Get Information

Find the Information You Need
Get Information

Topics in this section

  • Find the Information You Need

    There are various ways to find information about how to use this program, and multiple resources are available.

  • Get Information from Drawings

    You can retrieve general information from a drawing including identifying information and the number of objects that it contains.

Please send us your comment about this page


Find the Information You Need

Get Information
Get Information
Search For and Receive Information
Get Information >
Find the Information You Need

There are various ways to find information about how to use this program, and multiple resources are available.

Topics in this section

  • Search For and Receive Information

    In the upper right-side of the application, you can use InfoCenter to search a variety of information sources with one query. You can also easily access product updates and announcements.

  • Use the Help System Efficiently

    You can get much more benefit from the Help system when you learn how to use it efficiently.

  • Learn About New Features

    The New Features Workshop introduces you to what's new in AutoCAD.

  • Learn the Product

    Training programs and products from Autodesk help you learn the key technical features and improve your productivity. For the latest information about Autodesk training, visit http://www.autodesk.com/training or contact your local Autodesk office.

  • Access Subscription Center

    The Subscription Center is available to subscription members from within the product. If you are a subscription member, you can access subscription services by clicking the Communication Center button on the InfoCenter box, in the upper right-side of the application, and then clicking a Subscription Center link. To learn more about Autodesk subscription membership, visit http://www.autodesk.com/subscriptioncenter.

  • View the Product Readme

    You can find late-breaking information about this software in the Readme.

  • Where to Find AutoCAD Express Tools Volumes 1-9

    AutoCAD Express Tools Volumes 1-9 contain a library of productivity tools designed to help you extend the power of AutoCAD. They are easy to use, easily integrated into your menus and toolbars, and cover a wide range of AutoCAD functions (including dimensioning, drawing, object selection, and object modification).

  • Join the Customer Involvement Program

    You are invited to participate in helping guide the direction of Autodesk design software.


Search For and Receive Information

Find the Information You Need
Find the Information You Need
Overview of Searching for and Receiving Information
Get Information > Find the Information You Need >
Search For and Receive Information
Concept Procedure

In the upper right-side of the application, you can use InfoCenter to search a variety of information sources with one query. You can also easily access product updates and announcements.

Topics in this section

  • Overview of Searching for and Receiving Information

    In the upper right-side of the application, you can use InfoCenter to search for information through key words (or by entering a phrase), display the Communication Center panel for product updates and announcements, or display the Favorites panel to access saved topics.

  • Search for Information

    You can use InfoCenter to search multiple sources (for example, Help, the New Features Workshop, web locations, and specified files) at one time, or search a single file or location.

  • Receive Product Updates and Announcements

    Communication Center provides up-to-date product information, software updates, product support announcements, and other product-related announcements.

  • Save and Access Favorite Topics

    In InfoCenter, you can save links as favorites and easily access them later.

  • Specify InfoCenter Settings

    You can specify InfoCenter Search and Communication Center settings in the InfoCenter Settings dialog box.


Search For and Receive Information (Procedure)

Search For and Receive Information
Overview of Searching for and Receiving Information
Get Information > Find the Information You Need > Search For and Receive Information >
Search For and Receive Information
Concept Procedure

To rearrange the topics displayed on a panel

To browse search results displayed on a panel

To search multiple sources for information

To search a single location for information

To add a location to search

To display the InfoCenter Favorites panel

To save a link in InfoCenter as a favorite

To remove a favorite link from the InfoCenter Favorites panel

To specify locations to search for information

To add a new location to search for information

To remove a location to search for information

To specify the CAD Manager Channel location and name

To specify the channels to display in the Communication Center panel

To specify InfoCenter balloon notification settings

To turn on the display of Did You Know hidden messages

To add an RSS feed to Communication Center

To remove an RSS feed from Communication Center


Overview of Searching for and Receiving Information (Concept)

Search For and Receive Information
Search For and Receive Information
Search for Information
Get Information > Find the Information You Need > Search For and Receive Information >
Overview of Searching for and Receiving Information
Concept Procedure

In the upper right-side of the application, you can use InfoCenter to search for information through key words (or by entering a phrase), display the Communication Center panel for product updates and announcements, or display the Favorites panel to access saved topics.

You can click the arrow to the left of the InfoCenter box to display the InfoCenter window in a collapsed state. When you enter key words or a phrase and then press ENTER or click the InfoCenter button [image], you search multiple Help resources in addition to any files that have been specified in the InfoCenter Settings dialog box. The results are displayed as links on a panel. You can click any of these links to display the Help topic, article, or document.

NoteIt is recommended that you use key words to search for information, as key words often produce better results. In case of a misspelled word, spelling suggestions are displayed.

Show Me: Get Information through InfoCenter

Click the Play arrow to start the animation.

When you click the Communication Center button [image], the Communication Center panel is displayed. It displays links to information about product updates and product announcements, and may include links to Subscription Center, CAD Manager specified files, and RSS feeds.

When you click the Favorites button [image], a panel displays saved links to topics or web locations.

Use the Next and Previous buttons to browse search results. Click and drag categories or groups to rearrange them.

See Also

    • Use the Help System Efficiently

    • Learn About New Features


Overview of Searching for and Receiving Information (Procedure)

Search For and Receive Information
Up a level to ..
Overview of Searching for and Receiving Information
Get Information > Find the Information You Need > Search For and Receive Information > Overview of Searching for and Receiving Information >
Overview of Searching for and Receiving Information
Concept Procedure

To rearrange the topics displayed on a panel

To browse search results displayed on a panel


To rearrange the topics displayed on a panel (Procedure)

Overview of Searching for and Receiving Information
Up a level to ..
Overview of Searching for and Receiving Information
Get Information > Find the Information You Need > Search For and Receive Information > Overview of Searching for and Receiving Information >
Overview of Searching for and Receiving Information
Concept Procedure

To rearrange the topics displayed on a panel

  1. Display a panel by doing one of the following:
    • In the upper-right side of the application, in the InfoCenter box, enter a keyword or phrase. Then press ENTER or click the InfoCenter button [image].
    • In the upper-right side of the application, on the InfoCenter box, click the Communication Center button [image].
    • In the upper-right side of the application, on the InfoCenter box, click the Favorites button [image].
  2. Click and drag a category or group header to the desired position.
  3. Release the mouse button.
NoteCategories can be rearranged only within a group and cannot be moved into other groups.


To browse search results displayed on a panel (Procedure)

Overview of Searching for and Receiving Information
Up a level to ..
Search for Information
Get Information > Find the Information You Need > Search For and Receive Information > Overview of Searching for and Receiving Information >
Overview of Searching for and Receiving Information
Concept Procedure

To browse search results displayed on a panel

  1. On the InfoCenter Search Results, Communication Center, or Favorites panel, on the right side of the category header, do one of the following:
    • Click the Next button [image].
    • Click the Previous button [image].


Search for Information (Concept)

Overview of Searching for and Receiving Information
Search For and Receive Information
Receive Product Updates and Announcements
Get Information > Find the Information You Need > Search For and Receive Information >
Search for Information
Concept Procedure

You can use InfoCenter to search multiple sources (for example, Help, the New Features Workshop, web locations, and specified files) at one time, or search a single file or location.

When you enter key words or a phrase in the InfoCenter box, in the upper-right side of the application and then press ENTER or click the InfoCenter button, you search the contents of multiple Help resources as well as any additional documents and web locations that have been specified in the InfoCenter Settings dialog box or through the CAD Manager Control Utility. The results are displayed as links on the InfoCenter Search Results panel. You can click any of these links to display the topic, article, or document. You must have Internet access to display search results from the Autodesk Online category.

NoteIt is recommended that you use key words to search for information, as key words often produce better results. In case of a misspelled word, spelling suggestions are displayed.

Show Me: Get Information through InfoCenter

Click the Play arrow to start the animation.

You can also search a single location by clicking the arrow next to the InfoCenter button, and selecting a location or file from the list.

In addition, you can add a location (file or document) to search by clicking the arrow next to the InfoCenter button, and selecting Add Search Location from the list.

When you use InfoCenter to search for information, you can use the following special symbols (wild cards) in your query to refine or expand it. These symbols can be used alone or can be combined.

Symbol | Description
* | Replaces one or more characters when used at the beginning, middle, or end of a word. For example, “*lish”, “p*lish”, and “pub*” will all find “publish”. Also, “anno*” will find “annotative”, “annotation”, “annoupdate”, “annoreset”, and so on.
? | Replaces a single character. For example, “cop?” will find “copy”, but not “copybase”.
~ | Expands the tense of the word at the beginning or end of a word. For example, “plotting~” will find “plots”, “plotted”, and so on. Also, “~plot” will find “preplot”, “replot”, and so on.

When searching for multiple words in topics, use double quotation marks (" ") to enclose words that must appear next to each other in the specified sequence. For example, enter "specifying units of measurement" to find only topics with all those words in that order. You can also use the previously mentioned symbols (wild cards) in a text string that is enclosed in double quotation marks.

See Also

    • Specify InfoCenter Settings

    • Use the Help System Efficiently


Search for Information (Procedure)

Overview of Searching for and Receiving Information
Up a level to ..
Search for Information
Get Information > Find the Information You Need > Search For and Receive Information > Search for Information >
Search for Information
Concept Procedure

To search multiple sources for information

To search a single location for information

To add a location to search


To search multiple sources for information (Procedure)

Search for Information
Up a level to ..
Search for Information
Get Information > Find the Information You Need > Search For and Receive Information > Search for Information >
Search for Information
Concept Procedure

To search multiple sources for information

  1. In the upper right-side of the application, in the InfoCenter box, enter a keyword or phrase.
  2. Press ENTER, click the InfoCenter button, or click the arrow next to the InfoCenter button and select All Search Locations.

    The search results are displayed on the Search Results panel.


To search a single location for information (Procedure)

Search for Information
Up a level to ..
Search for Information
Get Information > Find the Information You Need > Search For and Receive Information > Search for Information >
Search for Information
Concept Procedure

To search a single location for information

  1. In the upper right-side of the application, in the InfoCenter box, enter a keyword or phrase.
  2. Click the arrow next to the InfoCenter button [image].
  3. Select a location from the list to search.

  4. The search results from that location are displayed on the Search Results panel.


To add a location to search (Procedure)

Search for Information
Up a level to ..
Save and Access Favorite Topics
Get Information > Find the Information You Need > Search For and Receive Information > Search for Information >
Search for Information
Concept Procedure

To add a location to search

  1. In the upper right-side of the application, on the InfoCenter box, click the arrow next to the InfoCenter button [image].
  2. Click Add Search Location.
  3. In the Add Search Location dialog box, specify a document or a file location to search.
  4. Click Add.


Receive Product Updates and Announcements

Search for Information
Search For and Receive Information
Overview of Communication Center
Get Information > Find the Information You Need > Search For and Receive Information >
Receive Product Updates and Announcements

Communication Center provides up-to-date product information, software updates, product support announcements, and other product-related announcements.

Topics in this section

  • Overview of Communication Center
  • Receive New Information Notifications

    Whenever new information is available, Communication Center notifies you by displaying a balloon message below the Communication Center button on the InfoCenter box.


Overview of Communication Center

Receive Product Updates and Announcements
Receive Product Updates and Announcements
Receive New Information Notifications
Get Information > Find the Information You Need > Search For and Receive Information > Receive Product Updates and Announcements >
Overview of Communication Center

To open Communication Center, click the Communication Center button [image] on the InfoCenter box in the upper right-side of the application.

Show Me: Access Communication Center

Click the Play arrow to start the animation.

Communication Center provides the following kinds of announcements:

  • Product Support Information. Get breaking news from the Product Support team at Autodesk, including when Live Update maintenance patches are released.
  • Subscription Announcements. Receive subscription announcements and subscription program news, as well as links to e-Learning Lessons, if you are an Autodesk subscription member (available in countries/regions where Autodesk subscriptions are offered). For more information about Autodesk Subscription, see Access Subscription Center.
  • Articles and Tips. Be notified when new articles and tips are available on Autodesk websites.
  • CAD Manager Channel. Receive information (RSS feeds) published by your CAD manager.
  • RSS Feeds. Receive information from RSS feeds to which you subscribe. (An RSS feed is information published by a website to which you subscribe. RSS feeds generally notify you when new content is posted.) Several default RSS feeds are automatically subscribed to when you install the program.
  • Live Update Maintenance Patches. Receive automatic notifications whenever new maintenance patches are released from Autodesk.
  • Featured Technologies and Content. Learn more about third-party developer applications and content.

You can customize the items that display on the Communication Center panel. For more information, see Specify InfoCenter Settings.

Communication Center Online Privacy

Communication Center is an interactive feature that must be connected to the Internet in order to deliver content and information. Each time Communication Center is connected, it sends your information to Autodesk so that you receive the correct information. All information is sent anonymously to Autodesk to maintain your privacy.

The following information is sent to Autodesk:

  • Product name (in which you are using Communication Center)
  • Product release number
  • Product language
  • Country/region (specified in the Communication Center settings)
  • Your subscription contract number (if you’re a subscription customer)

Autodesk compiles statistics using the information sent from Communication Center to monitor how it is being used and how it can be improved. Autodesk maintains information provided by or collected from you in accordance with the company's published privacy policy, which is available on http://www.autodesk.com/privacy.

See Also

    • Specify InfoCenter Settings

    • Access Subscription Center


Receive New Information Notifications

Overview of Communication Center
Receive Product Updates and Announcements
Save and Access Favorite Topics
Get Information > Find the Information You Need > Search For and Receive Information > Receive Product Updates and Announcements >
Receive New Information Notifications

Whenever new information is available, Communication Center notifies you by displaying a balloon message below the Communication Center button on the InfoCenter box.

Click the link in the balloon message to open the article or announcement. If you prefer not to be notified by Communication Center, you can turn off Balloon Notification in the InfoCenter Settings dialog box. You can also customize the transparency of balloon messages as well as the length of time they are displayed.

See Also

    • Specify InfoCenter Settings


Save and Access Favorite Topics (Concept)

Receive New Information Notifications
Search For and Receive Information
Specify InfoCenter Settings
Get Information > Find the Information You Need > Search For and Receive Information >
Save and Access Favorite Topics
Concept Procedure

In InfoCenter, you can save links as favorites and easily access them later.

Any link that displays on the InfoCenter Search Results panel or Communication Center panel can be marked as a favorite. Links that are marked as favorites are displayed on the Favorites panel. You display the Favorites panel by clicking the Favorites button [image] on the InfoCenter box, in the upper right-side of the application.

Show Me: Save and Access Favorite Topics through InfoCenter

Click the Play arrow to start the animation.

A link that is marked as a favorite displays a star icon [image] when the link is displayed on the Search Results panel or the Communication Center panel. You can click the star icon to remove the link’s “favorite” status, which removes it from the Favorites panel.


Save and Access Favorite Topics (Procedure)

Search for Information
Up a level to ..
Save and Access Favorite Topics
Get Information > Find the Information You Need > Search For and Receive Information > Save and Access Favorite Topics >
Save and Access Favorite Topics
Concept Procedure

To display the InfoCenter Favorites panel

To save a link in InfoCenter as a favorite

To remove a favorite link from the InfoCenter Favorites panel


To display the InfoCenter Favorites panel (Procedure)

Save and Access Favorite Topics
Up a level to ..
Save and Access Favorite Topics
Get Information > Find the Information You Need > Search For and Receive Information > Save and Access Favorite Topics >
Save and Access Favorite Topics
Concept Procedure

To display the InfoCenter Favorites panel

  • In the upper right-side of the application, on the InfoCenter box, click the Favorites button [image] to display the Favorites panel.
NoteThe links displayed on the Favorites panel are organized into the same groups or categories from which they were added.


To save a link in InfoCenter as a favorite (Procedure)

Save and Access Favorite Topics
Up a level to ..
Save and Access Favorite Topics
Get Information > Find the Information You Need > Search For and Receive Information > Save and Access Favorite Topics >
Save and Access Favorite Topics
Concept Procedure

To save a link in InfoCenter as a favorite

  1. Display a panel by doing one of the following:
    • In the upper right-side of the application, in the InfoCenter box, enter a keyword or phrase. Then press ENTER or click the InfoCenter button.
    • In the upper right-side of the application, on the InfoCenter box, click the Communication Center button.
  2. Click the Star icon [image] that appears next to the link that you want to save as a favorite.


To remove a favorite link from the InfoCenter Favorites panel (Procedure)

Save and Access Favorite Topics
Up a level to ..
Specify InfoCenter Settings
Get Information > Find the Information You Need > Search For and Receive Information > Save and Access Favorite Topics >
Save and Access Favorite Topics
Concept Procedure

To remove a favorite link from the InfoCenter Favorites panel

  1. In the upper right-side of the application, on the InfoCenter box, click the Favorites button [image] to display the Favorites panel.
  2. Click the Star icon [image] that is displayed next to the link that you want to remove from the Favorites panel.


Specify InfoCenter Settings (Concept)

Save and Access Favorite Topics
Search For and Receive Information
Use the Help System Efficiently
Get Information > Find the Information You Need > Search For and Receive Information >
Specify InfoCenter Settings
Concept Procedure

You can specify InfoCenter Search and Communication Center settings in the InfoCenter Settings dialog box.

In the InfoCenter Settings dialog box, you can specify the following settings:

  • General. Your current locations, how often to check for new online content, animated transition effects for panels.
  • Search Locations. Locations (documents, web locations, and files) to search for information, as well as the name that displays for each location and the number of results to display for each. Also, you can add or remove search locations. The Web Locations check box provides access to important information on the Autodesk website, including the Knowledge Base and discussion groups. When you add document locations, you can specify files on your local drive or files on a network.
    NoteUser-specified CHM files must be located on your local drive. InfoCenter can search CHM files located on network drives.
  • Communication Center. Maximum age of the articles displayed on the Communication Center panel and the location and name of the CAD Manager Channel.
  • Autodesk Channels. Channels to display in the Communication Center panel as well as the number of articles to display for each channel.
  • Balloon Notification. Notifications for new product information, software updates, product support announcements, and Did You Know messages. Also, you can customize the transparency and the display time of the balloon.
    NoteDid You Know balloons displayed below the Communication Center button on the InfoCenter box provide Knowledge Base information and general instructional messages such as tips. You can click on the text or the Expand icon [image] to expand the balloon to view the detailed information.
  • RSS Feeds. RSS feed subscriptions. You can add or remove RSS feeds. (An RSS feed is information published by a website to which you subscribe. RSS feeds generally notify you when new content is posted.) Several default RSS feeds are automatically subscribed to when you install the program.

Click the Play arrow to start the animation.

The CAD Manager Control utility can be used to specify InfoCenter Search and Communication Center settings. You use the CAD Manager Control utility to specify CAD Manager Channel settings. For more information about how to install and run the utility, see How to Install and Start the CAD Manager Control Utility. Click Help in the CAD Manager Control utility window for details about the settings you can control.


Specify InfoCenter Settings (Procedure)

Save and Access Favorite Topics
Up a level to ..
Specify InfoCenter Settings
Get Information > Find the Information You Need > Search For and Receive Information > Specify InfoCenter Settings >
Specify InfoCenter Settings
Concept Procedure

To specify locations to search for information

To add a new location to search for information

To remove a location to search for information

To specify the CAD Manager Channel location and name

To specify the channels to display in the Communication Center panel

To specify InfoCenter balloon notification settings

To turn on the display of Did You Know hidden messages

To add an RSS feed to Communication Center

To remove an RSS feed from Communication Center


To specify locations to search for information (Procedure)

Specify InfoCenter Settings
Up a level to ..
Specify InfoCenter Settings
Get Information > Find the Information You Need > Search For and Receive Information > Specify InfoCenter Settings >
Specify InfoCenter Settings
Concept Procedure

To specify locations to search for information

  1. In the upper right-side of the application, on the InfoCenter box, click the arrow next to the InfoCenter button [image].
  2. Click Search Settings.
  3. In the InfoCenter Settings dialog box, Search Locations panel, in the right pane, select or clear the search locations you want to include or exclude when you search for information.
    NoteYou can click directly on the search location name to change the name in the right pane of the Settings dialog box.
  4. Click OK.
NoteWith Search All Available Languages option, you can specify whether to search the default language or all available languages. This option is clear by default.


To add a new location to search for information (Procedure)

Specify InfoCenter Settings
Up a level to ..
Specify InfoCenter Settings
Get Information > Find the Information You Need > Search For and Receive Information > Specify InfoCenter Settings >
Specify InfoCenter Settings
Concept Procedure

To add a new location to search for information

  1. In the upper right-side of the application, on the InfoCenter box, click the arrow next to the InfoCenter button [image].
  2. Click Search Settings.
  3. In the InfoCenter Settings dialog box, do one of the following:
    • On the Search Locations panel, in the right pane, click Add.
    • On the Search Locations panel, in the right pane, right-click anywhere in the pane. Click Add.
  4. In the Add Search Location dialog box, specify a file location to search.
    NoteYou can specify a file on your local drive or on a network.
  5. Click Add.
  6. Click OK.


To remove a location to search for information (Procedure)

Specify InfoCenter Settings
Up a level to ..
Specify InfoCenter Settings
Get Information > Find the Information You Need > Search For and Receive Information > Specify InfoCenter Settings >
Specify InfoCenter Settings
Concept Procedure

To remove a location to search for information

  1. In the upper right-side of the application, on the InfoCenter box, click the arrow next to the InfoCenter button [image].
  2. Click Search Settings.
  3. In the InfoCenter Settings dialog box, do one of the following:
    • Select a location to remove, and then click Remove.
    • Right-click a search location. Click Remove.
  4. In the Remove Search Location dialog box, click Yes to remove the selected location.
  5. Click OK.


To specify the CAD Manager Channel location and name (Procedure)

Specify InfoCenter Settings
Up a level to ..
Specify InfoCenter Settings
Get Information > Find the Information You Need > Search For and Receive Information > Specify InfoCenter Settings >
Specify InfoCenter Settings
Concept Procedure

To specify the CAD Manager Channel location and name

  1. Click Start menu (Windows) [image] All Programs (or Programs) [image] Autodesk [image] CAD Manager Tools [image] CAD Manager Control Utility.
  2. Select the product you want to modify. Click OK.
  3. In the CAD Manager Control Utility window, InfoCenter tab, select the option to enable CAD Manager Channel.
  4. Enter an appropriate feed under Feed Location.
  5. Enter the display name for the CAD Manager and then click Apply. Click OK.
  6. Restart AutoCAD.
  7. In the upper right-side of the application, on the InfoCenter box, click the arrow next to the InfoCenter button.
  8. Click Search Settings.
  9. In the InfoCenter Settings dialog box, in the left pane, click Communication Center. The CAD Manager Channel location and name is displayed.
NoteA green check mark is displayed if the channel can be located and a yellow warning sign is displayed if it cannot be located.


To specify the channels to display in the Communication Center panel (Procedure)

Specify InfoCenter Settings
Up a level to ..
Specify InfoCenter Settings
Get Information > Find the Information You Need > Search For and Receive Information > Specify InfoCenter Settings >
Specify InfoCenter Settings
Concept Procedure

To specify the channels to display in the Communication Center panel

  1. In the upper right-side of the application, on the InfoCenter box, click the arrow next to the InfoCenter button [image].
  2. Click Search Settings.
  3. In the InfoCenter Settings dialog box, in the left pane, click Autodesk Channels.
  4. In the right pane, select or clear the channels you want to display in the Communication Center panel.
  5. Click OK.


To specify InfoCenter balloon notification settings (Procedure)

Specify InfoCenter Settings
Up a level to ..
Specify InfoCenter Settings
Get Information > Find the Information You Need > Search For and Receive Information > Specify InfoCenter Settings >
Specify InfoCenter Settings
Concept Procedure

To specify InfoCenter balloon notification settings

  1. In the upper right-side of the application, on the InfoCenter box, click the arrow next to the InfoCenter button [image].
  2. Click Search Settings.
  3. In the InfoCenter Settings dialog box, in the left pane, click Balloon Notification.
  4. In the right pane, select or clear the options to turn balloon notification on or off.
    NoteYou can turn off the balloon notification for Did You Know messages in the InfoCenter Settings dialog box.
  5. Enter the number of seconds to set the length of time for balloon notifications to display.
    NoteThe default value for the balloon display time is 5 seconds.
  6. Enter the transparency value of the balloon or set the value using the slider.
  7. Click OK.


To turn on the display of Did You Know hidden messages (Procedure)

Specify InfoCenter Settings
Up a level to ..
Specify InfoCenter Settings
Get Information > Find the Information You Need > Search For and Receive Information > Specify InfoCenter Settings >
Specify InfoCenter Settings
Concept Procedure

To turn on the display of Did You Know hidden messages

  1. Click Tools menu [image] Options.At the Command prompt, enter options.
  2. In the Options dialog box, System tab, under General Options, click the Hidden Message Settings button.
  3. In the Hidden Message Settings dialog box, select the InfoCenter Did You Know Balloons option to turn on the display of all hidden messages. Click OK.
  4. Click OK.


To add an RSS feed to Communication Center (Procedure)

Specify InfoCenter Settings
Up a level to ..
Specify InfoCenter Settings
Get Information > Find the Information You Need > Search For and Receive Information > Specify InfoCenter Settings >
Specify InfoCenter Settings
Concept Procedure

To add an RSS feed to Communication Center

  1. In the upper right-side of the application, on the InfoCenter box, click the arrow next to the InfoCenter button [image].
  2. Click Search Settings.
  3. In the InfoCenter Settings dialog box, in the left pane, click RSS Feeds.
  4. In the right pane, do one of the following:
    • Click Add.
    • Right-click anywhere in the right pane. Click Add.
  5. In the Add RSS Feed dialog box, enter the location of the RSS feed you want to add.
  6. Click Add.
  7. Click OK.


To remove an RSS feed from Communication Center (Procedure)

Specify InfoCenter Settings
Up a level to ..
Use the Help System Efficiently
Get Information > Find the Information You Need > Search For and Receive Information > Specify InfoCenter Settings >
Specify InfoCenter Settings
Concept Procedure

To remove an RSS feed from Communication Center

  1. In the upper right-side of the application, on the InfoCenter box, click the arrow next to the InfoCenter button [image].
  2. Click Search Settings.
  3. In the InfoCenter Settings dialog box, in the left pane, click RSS Feeds.
  4. In the right pane, do one of the following:
    • Click Remove.
    • Right-click an RSS feed. Click Remove.
  5. In the Remove RSS Subscription dialog box, click Yes to remove the selected RSS feed.
  6. Click OK.


Use the Help System Efficiently

Specify InfoCenter Settings
Find the Information You Need
Find Information in Help
Get Information > Find the Information You Need >
Use the Help System Efficiently
Concept Procedure

You can get much more benefit from the Help system when you learn how to use it efficiently.

The Help system contains complete information about using this program. In the Help window, you use the left pane to locate information. The tabs above the left pane give you several ways for finding the topics you want to view. The right pane displays the topics you select.

Topics in this section

  • Find Information in Help

    The tabs on the left side of the Help window provide different methods for finding information.

  • Use Searches

    Use the Search tab to find relevant topics based on keywords that you enter.

  • Understand How Help Topics Are Organized

    Most topics in this Help system have three tabs above the right pane of the Help window. The tabs display different types of information.

  • Print Help Topics

    The quickest way to print the current topic is to right-click within the topic and click Print.

  • Show and Hide the Contents Pane

    Use the Hide button on the Help toolbar to shrink the Help window to a compact size by hiding the pane that contains the Contents, Index, and Search tabs.

  • Get Additional Help

    You can access several additional sources of help.


Use the Help System Efficiently (Procedure)

Specify InfoCenter Settings
Use the Help System Efficiently
Find Information in Help
Get Information > Find the Information You Need > Use the Help System Efficiently >
Use the Help System Efficiently
Concept Procedure

To start Help

To use the Help Contents

To search for information in Help

To change the type of Help information displayed

To print a Help topic

To print a selected heading and all subtopics


Find Information in Help (Concept)

Use the Help System Efficiently
Use the Help System Efficiently
Use Searches
Get Information > Find the Information You Need > Use the Help System Efficiently >
Find Information in Help
Concept Procedure Quick Reference

The tabs on the left side of the Help window provide different methods for finding information.

To locate a specific word or phrase in the current topic, click in the topic text and press the CTRL+F keys.

Contents Tab

  • Presents an overview of the available documentation in a list of topics and subtopics.
  • Allows you to browse by selecting and expanding topics.
  • Provides a structure so you can always see where you are in Help and quickly jump to other topics.

Index Tab

  • Displays an alphabetical list of keywords related to the topics listed on the Contents tab.
  • Accesses information quickly when you already know the name of a feature, command, or operation, or when you know what action you want the program to perform.

Search Tab

  • Provides a keyword search of all the topics listed on the Contents tab.
  • Accepts the Boolean operators AND (+), OR, NOT (-), and NEAR.
  • Accepts the wild cards *, ?, and ~.
  • Allows you to perform a search for a phrase when the phrase is enclosed in double quotes.
  • Displays a ranked list of topics that contain the word or words entered in the keyword field.
  • Arranges the results alphabetically by title or by location if you click on the Title and Location column headings.


Find Information in Help (Procedure)

Use the Help System Efficiently
Up a level to ..
Find Information in Help
Get Information > Find the Information You Need > Use the Help System Efficiently > Find Information in Help >
Find Information in Help
Concept Procedure Quick Reference

To start Help

To use the Help Contents


To start Help (Procedure)

Find Information in Help
Up a level to ..
Find Information in Help
Get Information > Find the Information You Need > Use the Help System Efficiently > Find Information in Help >
Find Information in Help
Concept Procedure Quick Reference

To start Help

  • For User Help, click Help menu [image] Help.For User Help, at the Command prompt, enter help.
  • For Developer Help, click Help menu [image] Additional Resources [image] Developer Help.
NoteYou can display Help information by pressing F1 at the command prompt, in a dialog box, or at a prompt within a command.


To use the Help Contents (Procedure)

Find Information in Help
Up a level to ..
Use Searches
Get Information > Find the Information You Need > Use the Help System Efficiently > Find Information in Help >
Find Information in Help
Concept Procedure Quick Reference

To use the Help Contents

  1. If necessary, click the Show button to display the left pane of the Help window. Then click the Contents tab to display Help Contents.
  2. To expand the Help Contents list, use one of these methods:
    • Double-click a closed-book icon or click the + icon next to it.
    • Right-click in Help Contents. Click Open All.
  3. To close the Help Contents list, use one of these methods:
    • Double-click an open-book icon or click the - icon next to it.
    • Right-click in Help Contents. Click Close All.
  4. To view a topic, use one of these methods:
    • In Help Contents, click the topic.
    • In a topic, click any blue underlined text.


Find Information in Help (Quick Reference)

Find Information in Help
Use Searches
Get Information > Find the Information You Need > Use the Help System Efficiently > Find Information in Help >
Find Information in Help
Concept Procedure Quick Reference

Commands

HELP

Displays Help

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Use Searches (Concept)

Find Information in Help
Use the Help System Efficiently
Understand How Help Topics Are Organized
Get Information > Find the Information You Need > Use the Help System Efficiently >
Use Searches
Concept Procedure Quick Reference

Use the Search tab to find relevant topics based on keywords that you enter.

The basic search rules are as follows:

  • Type your keywords in uppercase or lowercase characters; searches are not case-sensitive.
  • Search for any combination of letters (a-z) and numbers (0-9).
  • Do not use punctuation marks such as a period, colon, semicolon, comma, hyphen, and single quotation marks; they are ignored during a search.
  • Group the elements of your search using double quotation marks or parentheses to set each element apart.

Use Wild Card Characters

You can use the following wild card characters in any keyword:

Symbol | Description
* | Replaces one or more characters when used at the beginning, middle, or end of a word. For example, “*lish”, “p*lish”, and “pub*” will all find “publish”. Also, “anno*” will find “annotative”, “annotation”, “annoupdate”, “annoreset”, and so on.
? | Replaces a single character. For example, “cop?” will find “copy”, but not “copybase”.
~ | Expands the tense of the word at the beginning or end of a word. For example, “plotting~” will find “plots”, “plotted”, and so on. Also, “~plot” will find “preplot”, “replot”, and so on.

Search for Phrases

When searching for a phrase, use double quotation marks (" ") to enclose words that must appear next to each other in the specified sequence. For example, enter "specifying units of measurement" to find only topics with all those words in that order. If you don't use the quotation marks around that text, Help finds all topics containing any one of the listed words, that is, all topics containing "specifying", all topics containing "units", all topics containing "of", and all topics containing "measurement".

NoteIf you can’t find the information you need through a search, try using the Contents tab.

Use Boolean Operators

With the AND, OR, NOT, and NEAR operators, you can precisely define your search by creating a relationship between search terms. The following table shows how you can use each of these operators. If no operator is specified, AND is used. For example, the query spacing border printing is equivalent to spacing AND border AND printing.

Search for | Example | Results
Both terms in the same topic | "tree view" AND palette “tree view” +palette | Topics containing both the words "tree view" and "palette"
Either term in a topic | raster OR vector | Topics containing either the word "raster" or the word "vector" or both
The first term without the second term | ole NOT dde ole -dde | Topics containing the word "OLE," but not the word "DDE"
Both terms in the same topic, close together | user NEAR kernel | Topics containing the word "user" within eight words of the word "kernel"
NoteThe |, &, and ! characters do not work as Boolean operators. You must use AND (also +), OR, and NOT (also -). If you want to search for the command prompt version of a command, for example -PLOT, do not use the minus (-) because it is interpreted as the Boolean operator, NOT.


To search for information in Help (Procedure)

Find Information in Help
Up a level to ..
Understand How Help Topics Are Organized
Get Information > Find the Information You Need > Use the Help System Efficiently > Use Searches >
Use Searches
Concept Procedure Quick Reference

To search for information in Help

  1. Click the Search tab. Enter the words or phrases that you want to find.
  2. (Optional) Refine your search with Boolean operators between the words and phrases.
  3. Click List Topics and select the topic you want. Click Display.
  4. To sort the topic list, click the Title, Location, or Rank column heading.


Use Searches (Quick Reference)

Find Information in Help
Use Searches
Understand How Help Topics Are Organized
Get Information > Find the Information You Need > Use the Help System Efficiently > Use Searches >
Use Searches
Concept Procedure Quick Reference

Commands

HELP

Displays Help

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Understand How Help Topics Are Organized (Concept)

Use Searches
Use the Help System Efficiently
Print Help Topics
Get Information > Find the Information You Need > Use the Help System Efficiently >
Understand How Help Topics Are Organized
Concept Procedure Quick Reference

Most topics in this Help system have three tabs above the right pane of the Help window. The tabs display different types of information.

  • Concept tab. Describes a feature or function. When you click the Concept tab, the Help Contents list in the left pane of the Help window expands and highlights the current topic. The Contents tab displays the structure of the Help on that topic. You can easily display nearby topics by clicking them in the list.
  • Procedure tab. Provides step-by-step instructions for common procedures related to the current topic. After displaying a procedure, you can click the Procedure tab to redisplay the current list of procedures.
  • Quick Reference tab. Lists commands and system variables related to the current topic, with links to detailed descriptions of the commands. If you click an entry on the Quick Reference tab, the Command Reference opens to the command or system variable that you selected.

When you click a different tab, the topic remains the same. Only the type of information displayed—concept, procedures, or quick reference links—is different.

Concept Tab Organization

In a Concept tab, there are two types of information that may be displayed: navigation text and destination text. Navigation text displays links with short descriptions. The purpose of navigation text is to guide you step-by-step to the information that you need. The links on navigation pages lead to additional navigation pages deeper in the Help structure until you come to a destination page. Each link is designed to provide you with more detailed information.

Procedure Tab and Quick Reference Tab Organization

As you navigate deeper into the Help structure on the Contents tab, the corresponding information on the Procedure tab and on the Quick Reference tab becomes more specific, and the number of entries displayed on each of these two tabs decreases.


To change the type of Help information displayed (Procedure)

Use Searches
Up a level to ..
Print Help Topics
Get Information > Find the Information You Need > Use the Help System Efficiently > Understand How Help Topics Are Organized >
Understand How Help Topics Are Organized
Concept Procedure Quick Reference

To change the type of Help information displayed

  • Click the Concept, Procedure, or Quick Reference tab to change the type of information that is displayed in the right pane of the Help window.


Understand How Help Topics Are Organized (Quick Reference)

Use Searches
Understand How Help Topics Are Organized
Print Help Topics
Get Information > Find the Information You Need > Use the Help System Efficiently > Understand How Help Topics Are Organized >
Understand How Help Topics Are Organized
Concept Procedure Quick Reference

Commands

HELP

Displays Help

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Print Help Topics (Concept)

Understand How Help Topics Are Organized
Use the Help System Efficiently
Show and Hide the Contents Pane
Get Information > Find the Information You Need > Use the Help System Efficiently >
Print Help Topics
Concept Procedure Quick Reference

The quickest way to print the current topic is to right-click within the topic and click Print.

The Print button on the Help toolbar provides these print options:

  • Print the selected topic (recommended)
  • Print the selected heading and all subtopics
NoteWhen you select the second option, you may get numerous printed pages, depending on how many subtopics the currently selected topic contains.


Print Help Topics (Procedure)

Understand How Help Topics Are Organized
Up a level to ..
Print Help Topics
Get Information > Find the Information You Need > Use the Help System Efficiently > Print Help Topics >
Print Help Topics
Concept Procedure Quick Reference

To print a Help topic

To print a selected heading and all subtopics


To print a Help topic (Procedure)

Print Help Topics
Up a level to ..
Print Help Topics
Get Information > Find the Information You Need > Use the Help System Efficiently > Print Help Topics >
Print Help Topics
Concept Procedure Quick Reference

To print a Help topic

  1. Display the topic you want to print.
  2. Right-click in the topic pane. Click Print.
  3. In the Print dialog box, click Print.


To print a selected heading and all subtopics (Procedure)

Print Help Topics
Up a level to ..
Access Subscription Center
Get Information > Find the Information You Need > Use the Help System Efficiently > Print Help Topics >
Print Help Topics
Concept Procedure Quick Reference

To print a selected heading and all subtopics

  1. Display the topic you want to print and make sure that the Contents tab is displayed.
  2. On the Help toolbar, click Print.
  3. In the Print Topics dialog box, click Print the Selected Heading and All Subtopics.
  4. Click OK.


Print Help Topics (Quick Reference)

Understand How Help Topics Are Organized
Print Help Topics
Show and Hide the Contents Pane
Get Information > Find the Information You Need > Use the Help System Efficiently > Print Help Topics >
Print Help Topics
Concept Procedure Quick Reference

Commands

HELP

Displays Help

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Show and Hide the Contents Pane (Concept)

Print Help Topics
Use the Help System Efficiently
Get Additional Help
Get Information > Find the Information You Need > Use the Help System Efficiently >
Show and Hide the Contents Pane
Concept Quick Reference

Use the Hide button on the Help toolbar to shrink the Help window to a compact size by hiding the pane that contains the Contents, Index, and Search tabs.

The compact window size is best for displaying procedures while you work.

Use the Show button to expand the Help window to display the pane that contains Help Contents, Index, and Search tabs. The expanded window size is best for locating and displaying conceptual and reference information.


Show and Hide the Contents Pane (Quick Reference)

Print Help Topics
Show and Hide the Contents Pane
Get Additional Help
Get Information > Find the Information You Need > Use the Help System Efficiently > Show and Hide the Contents Pane >
Show and Hide the Contents Pane
Concept Quick Reference

Commands

HELP

Displays Help

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Get Additional Help (Concept)

Show and Hide the Contents Pane
Use the Help System Efficiently
Learn About New Features
Get Information > Find the Information You Need > Use the Help System Efficiently >
Get Additional Help
Concept Quick Reference

You can access several additional sources of help.

  • On the menu bar, use InfoCenter. Search for key words or type a question for help, display the Communication Center panel for product updates and announcements, or display the Favorites panel to access saved topics. Displays links to Help topics, RSS feeds, and product updates and announcements.
  • Press F1 from within a command, system variable, or dialog box. Displays complete information from the Command Reference.
  • Click the question mark button in many dialog boxes. Displays a description of the dialog box option you select.
  • View the product Readme topic in Help. Displays late-breaking information about this product.

Other resources help you get information about Autodesk products and assistance with your questions about this program.

  • Autodesk website. Access http://www.autodesk.com.
  • Local support. Check with your dealer or Autodesk country/region office.
See Also

    • Search For and Receive Information


Get Additional Help (Quick Reference)

Show and Hide the Contents Pane
Get Additional Help
Learn the Product
Get Information > Find the Information You Need > Use the Help System Efficiently > Get Additional Help >
Get Additional Help
Concept Quick Reference

Commands

HELP

Displays Help

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Learn About New Features

Get Additional Help
Find the Information You Need
Learn the Product
Get Information > Find the Information You Need >
Learn About New Features

The New Features Workshop introduces you to what's new in AutoCAD.

The New Features Workshop

You can access the New Features Workshop from the Help menu, or click the following link.

  • Open the New Features Workshop.


Learn the Product (Concept)

Learn About New Features
Find the Information You Need
Access Subscription Center
Get Information > Find the Information You Need >
Learn the Product
Concept Quick Reference

Training programs and products from Autodesk help you learn the key technical features and improve your productivity. For the latest information about Autodesk training, visit http://www.autodesk.com/training or contact your local Autodesk office.

Autodesk Authorized Training Centers

The Autodesk® Authorized Training Center (ATC®) network delivers Autodesk-authorized, instructor-led training to design professionals who use Autodesk software. Autodesk Authorized Training Centers use experienced and knowledgeable instructors. More than 1,200 ATC sites are available worldwide to meet your needs for discipline-specific, locally based training.

To find a training center near you, contact your local Autodesk office or visit http://www.autodesk.com/atc.

Autodesk Official Training Courseware

Autodesk Official Training Courseware (AOTC) is technical training material developed by Autodesk. Designed for traditional 1/2-day to 5-day, instructor-led classroom training and used by Authorized Training Centers and other Autodesk partners, AOTC is well-suited for self-paced, stand-alone learning. The manuals cover key concepts and software functionality with hands-on, step-by-step, real-world exercises. You can purchase AOTC from your local reseller or distributor, or you can order it online from the Autodesk Store at http://www.autodesk.com/aotc .

e-Learning

Autodesk e-Learning for Autodesk Subscription customers features interactive lessons organized into product catalogs. Each lesson is 20-40 minutes in length and features hands-on exercises, with an option to use a simulation of the product or the actual application. You can also use an online evaluation tool that identifies gaps in skills, determines what lessons will be most helpful, and gauges learning progress.

If you are a member of Autodesk subscription, you can access e-Learning and other subscription services from within your Autodesk product. For more information about how to access e-Learning in the product, see Access Subscription Center. For more information about Autodesk subscription resources, visit http://www.autodesk.com/subscriptioncenter.

Autodesk Developer Network

The Autodesk Developer (ADN) program for ADN members provides support for full-time, professional developers who want to build software based on Autodesk products. As an ADN member, you will receive the business, software, support, and training you need to be successful. If you are a developer, visit http://www.autodesk.com/adn.

Autodesk Consulting

Autodesk Consulting provides services that help set up processes and provide critical training that will help increase productivity so you can capitalize on the power of your products. For more information on general consulting, systems integration, or custom training services, visit http://www.autodesk.com/consulting.

Partner Products and Services

Autodesk works together with thousands of software partners around the world. These partners provide products and services that enhance Autodesk products for design professionals. Visit the Partner Products & Services page at http://www.autodesk.com/partnerproducts for a list of resources available for your Autodesk product and your industry.


Learn the Product (Quick Reference)

Get Additional Help
Learn the Product
Overview of Subscription Center
Get Information > Find the Information You Need > Learn the Product >
Learn the Product
Concept Quick Reference

Commands

No entries

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Access Subscription Center

Learn the Product
Find the Information You Need
Overview of Subscription Center
Get Information > Find the Information You Need >
Access Subscription Center
Concept Procedure

The Subscription Center is available to subscription members from within the product. If you are a subscription member, you can access subscription services by clicking the Communication Center button on the InfoCenter box, in the upper right-side of the application, and then clicking a Subscription Center link. To learn more about Autodesk subscription membership, visit http://www.autodesk.com/subscriptioncenter.

Topics in this section

  • Overview of Subscription Center
  • Manage Files with Autodesk Vault


Access Subscription Center (Procedure)

Print Help Topics
Access Subscription Center
Overview of Subscription Center
Get Information > Find the Information You Need > Access Subscription Center >
Access Subscription Center
Concept Procedure

To access the Subscription Center in the program


Overview of Subscription Center (Concept)

Access Subscription Center
Access Subscription Center
Manage Files with Autodesk Vault
Get Information > Find the Information You Need > Access Subscription Center >
Overview of Subscription Center
Concept Procedure Quick Reference

With Autodesk Subscription, you get the latest releases of Autodesk software, incremental product enhancements, personalized web support from Autodesk technical experts, and self paced e-Learning. Subscription services are available to subscription members only.

By clicking the Communication Center button [image] in the upper right-side of the application, on the InfoCenter box, members have access to the following options (under Subscription Center):

  • Subscription status. Checks your subscription status.
  • Create support request. Provides direct one-to-one communication with Autodesk support technicians. You receive fast, complete answers to your installation, configuration, and troubleshooting questions.
  • View support requests. Tracks and manage your questions and responses through Autodesk's state-of-the-art support system.
  • Edit Subscription Center profile. Sets up and maintains your subscription account.
  • View e-Learning catalog. Features interactive lessons organized into product catalogs.
  • e-Learning Lessons. (For subscription members only.) Each lesson is 15-30 minutes and features hands-on exercises, with an option to use a simulation instead of the software application. You can use an online evaluation tool that identifies gaps in skills, determines what lessons will be most helpful, and gauges learning progress.

Subscription Resources and Privacy

Subscription resources provide interactive product features over the Internet. Each time you access subscription resources (such as e-Learning or Create Support Request) from Communication Center in an Autodesk product, product information (such as the serial number, version, language, and the subscription contract ID) is sent to Autodesk for verification that your product is on subscription.

Autodesk compiles statistics using the information sent to subscription resources to monitor how they are being used and how they can be improved. Autodesk maintains the information provided by or collected from you in accordance with Autodesk's published privacy policy, which is available at http://www.autodesk.com/privacy

Enable Subscription Resources

The CAD Manager Control utility can be used to turn Subscription Resources on and off in the program. For more information about how to install and run the utility, see How to Install and Start the CAD Manager Control Utility. Click Help in the CAD Manager Control utility window for details about the settings you can control.


To access the Subscription Center in the program (Procedure)

Access Subscription Center
Up a level to ..
Where to Find AutoCAD Express Tools Volumes 1-9
Get Information > Find the Information You Need > Access Subscription Center > Overview of Subscription Center >
Overview of Subscription Center
Concept Procedure Quick Reference

To access the Subscription Center in the program

  1. In the upper right-side of the application, on the InfoCenter box, click the Communication Center button.
  2. On the Communication Center panel, under Subscription Center, click the subscription resource you want to access.
NoteSubscription Center is not available to all product users. If subscription resources are not available in your product, your product is not entitled to subscription benefits.


Overview of Subscription Center (Quick Reference)

Learn the Product
Overview of Subscription Center
Manage Files with Autodesk Vault
Get Information > Find the Information You Need > Access Subscription Center > Overview of Subscription Center >
Overview of Subscription Center
Concept Procedure Quick Reference

Commands

No entries

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Manage Files with Autodesk Vault (Concept)

Overview of Subscription Center
Access Subscription Center
View the Product Readme
Get Information > Find the Information You Need > Access Subscription Center >
Manage Files with Autodesk Vault
Concept Quick Reference

If you are a subscription customer, you have access to Autodesk Vault, a file management tool that provides a repository where documents and files are stored and managed. Autodesk Vault gives you more power to manage files and track changes. Versioned copies of master files are maintained, allowing you to easily revert to earlier versions of files. You can check files out for editing and later check them back in. The master copy is never directly edited. During the check-in process, you can add comments regarding the edits you've made to inform other designers of your changes. You are able to quickly understand a project’s developmental flow and history.

Autodesk Vault consists of two required components: the Autodesk Data Management Server and the Vault Client. Optionally, you can also install the Vault Office Add-in.

For information about using the Vault, refer to the Vault Help system.

NoteThe main components for the Autodesk Vault can be downloaded from the Autodesk Subscription site.

The Autodesk Data Management Server

The Autodesk Data Management Server stores the master copies of all your documents and designs. By storing all your data in a common, centralized location, you can easily share and manage information with your design team.

The Vault Client

The Vault Client software includes Autodesk Vault Explorer. The Vault Explorer is a stand-alone application that provides tools you use to access data stored on the Autodesk Data Management Server. From within AutoCAD, you can log in, log out, and open and attach files directly from the Vault. You can also access the Vault using the Vault Explorer. With the Vault Explorer you can

  • Manage the Vault
  • Manage Vault user accounts
  • Set working folders
  • Create folders in the Vault
  • Add, check in, and check out files (including non-Inventor and non-DWG files; exception is AutoCAD Electrical files)
  • Move files in the Vault
  • Rename files in the Vault
  • View the history of design changes
  • Create file associations within the Vault by attaching two or more files
  • Check out the latest version of a file
  • Package files using Pack and Go

The Vault Office Add-in (Optional)

This optional component gives Vault access to Microsoft® Office products (Word, Excel). The Vault access is similar to the access to Microsoft Office that is available in AutoCAD. To use this component, the Vault Client must be installed.


Manage Files with Autodesk Vault (Quick Reference)

Overview of Subscription Center
Manage Files with Autodesk Vault
View the Product Readme
Get Information > Find the Information You Need > Access Subscription Center > Manage Files with Autodesk Vault >
Manage Files with Autodesk Vault
Concept Quick Reference

Commands

No entries

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


View the Product Readme (Concept)

Manage Files with Autodesk Vault
Find the Information You Need
Where to Find AutoCAD Express Tools Volumes 1-9
Get Information > Find the Information You Need >
View the Product Readme
Concept Quick Reference

You can find late-breaking information about this software in the Readme.

It is suggested that you read through the Readme for information about recommended hardware, updated installation instructions, and known software problems.

  • View the Readme


View the Product Readme (Quick Reference)

Manage Files with Autodesk Vault
View the Product Readme
Obtain General Drawing Information
Get Information > Find the Information You Need > View the Product Readme >
View the Product Readme
Concept Quick Reference

Commands

No entries

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Where to Find AutoCAD Express Tools Volumes 1-9 (Concept)

View the Product Readme
Find the Information You Need
Join the Customer Involvement Program
Get Information > Find the Information You Need >
Where to Find AutoCAD Express Tools Volumes 1-9
Concept Procedure

AutoCAD Express Tools Volumes 1-9 contain a library of productivity tools designed to help you extend the power of AutoCAD. They are easy to use, easily integrated into your menus and toolbars, and cover a wide range of AutoCAD functions (including dimensioning, drawing, object selection, and object modification).

AutoCAD Express Tools Volumes 1-9 are installed as a Typical installation of AutoCAD. If you do not want them installed, you must disable them during the AutoCAD installation by selecting the Express Tools option on the Select the Installation Type page.

For more detailed information about using Express Tools, refer to the AutoCAD Express Tools Help system found on the Express menu.

NoteExpress Tools are available in their original form, in English only, and are not supported. Double-byte characters are not supported.


Where to Find AutoCAD Express Tools Volumes 1-9 (Procedure)

Overview of Subscription Center
Where to Find AutoCAD Express Tools Volumes 1-9
Where to Find AutoCAD Express Tools Volumes 1-9
Get Information > Find the Information You Need > Where to Find AutoCAD Express Tools Volumes 1-9 >
Where to Find AutoCAD Express Tools Volumes 1-9
Concept Procedure

To verify if Express Tools are loaded

To access the Express Tools and their toolbars


To verify if Express Tools are loaded (Procedure)

Where to Find AutoCAD Express Tools Volumes 1-9
Where to Find AutoCAD Express Tools Volumes 1-9
Where to Find AutoCAD Express Tools Volumes 1-9
Get Information > Find the Information You Need > Where to Find AutoCAD Express Tools Volumes 1-9 >
Where to Find AutoCAD Express Tools Volumes 1-9
Concept Procedure

To verify if Express Tools are loaded

  • At the command prompt, enter EXPRESSTOOLS to enable the tools.

    You can install the AutoCAD Express Tools as part of the AutoCAD installation, or you can add them later using Add or Remove Programs on the Control Panel.


To access the Express Tools and their toolbars (Procedure)

Where to Find AutoCAD Express Tools Volumes 1-9
Where to Find AutoCAD Express Tools Volumes 1-9
Join the Customer Involvement Program
Get Information > Find the Information You Need > Where to Find AutoCAD Express Tools Volumes 1-9 >
Where to Find AutoCAD Express Tools Volumes 1-9
Concept Procedure

To access the Express Tools and their toolbars

  • To display the Express menu, enter EXPRESSMENU at the command prompt.
  • To display the Express toolbars, right-click next to any docked toolbar. Click EXPRESS, and select an Express toolbar. Repeat these steps until all of the Express toolbars you want are displayed.
    TipWith the Express toolbars displayed, select a workspace and save it. The Express Tools toolbars will then always be included with that workspace.


Join the Customer Involvement Program (Concept)

Where to Find AutoCAD Express Tools Volumes 1-9
Find the Information You Need
Get Information from Drawings
Get Information > Find the Information You Need >
Join the Customer Involvement Program
Concept Procedure

You are invited to participate in helping guide the direction of Autodesk design software.

If you participate in the Customer Involvement Program, specific information about how you use AutoCAD is forwarded to Autodesk. This information includes what features you use the most, problems that you encounter, and other information helpful to the future direction of the product.

Here is a list of the information that is automatically sent to Autodesk:

  • Name and version of the Autodesk product
  • AutoCAD commands used, and amount of time spent in AutoCAD
  • Error conditions encountered, fatal, and non-fatal
  • File formats imported or exported with AutoCAD
  • Operating system name and version
  • System configuration information such as processor, amount of memory, and graphics card
  • IP address, used to identify your country or region

What the Customer Involvement Program Cannot Do

The Customer Involvement Program is committed to protecting your privacy. It cannot do any of the following:

  • Collect any drawing or design data
  • Collect any identity information such as name, address, or phone number
  • Send you email or contact you in any other way

For additional information, click the links in the Customer Involvement Program dialog box.

Why You Should Consider Participating

The Customer Involvement Program involves you directly in telling Autodesk

  • The commands and features that Autodesk should focus on
  • The commands and features that are hardly ever used
  • The most common problem areas
  • The hardware typically used with AutoCAD
NoteYou can start or stop your participation in this program at any time. Access to the controls is available from the AutoCAD Help menu. In network installations, your system administrator can choose whether to make the CIP program available or not.


To turn the CIP on or off (Procedure)

Where to Find AutoCAD Express Tools Volumes 1-9
Join the Customer Involvement Program
Count Objects Within a Drawing
Get Information > Find the Information You Need > Join the Customer Involvement Program >
Join the Customer Involvement Program
Concept Procedure

To turn the CIP on or off

  1. Click Help menu [image] Customer Involvement Program.
  2. In the Customer Involvement Program dialog box, click a level of participation, and then click OK.


Get Information from Drawings

Join the Customer Involvement Program
Get Information
Obtain General Drawing Information
Get Information >
Get Information from Drawings

You can retrieve general information from a drawing including identifying information and the number of objects that it contains.

There are types of information stored in a drawing that are not specific to objects within the drawing, but provide useful information to help you understand the behavior of the drawing, the settings of system variables, the number of objects, descriptive information, and so on.

Topics in this section

  • Obtain General Drawing Information

    You can retrieve general information about the drawing file and its settings.

  • Count Objects Within a Drawing

    You can count objects within a drawing using the QSELECT command.


Obtain General Drawing Information (Concept)

Get Information from Drawings
Get Information from Drawings
Count Objects Within a Drawing
Get Information > Get Information from Drawings >
Obtain General Drawing Information
Concept Quick Reference

You can retrieve general information about the drawing file and its settings.

This information includes the following:

  • Custom descriptive information about the drawing (DWGPROPS)
  • General drawing settings (STATUS)
  • Amount of time spent in the drawing (TIME)

This information can help you document a drawing, displays a variety of drawing settings such as the total number of objects in the drawing and the amount of free space on your disk drive, and the total amount of time spent in the drawing file.

See Also

    • Enter System Variables on the Command Line

    • Add Identifying Information to Drawings
    • Extract Geometric Information from Objects
    • Compare Dimension Styles and Variables


Obtain General Drawing Information (Quick Reference)

View the Product Readme
Obtain General Drawing Information
Count Objects Within a Drawing
Get Information > Get Information from Drawings > Obtain General Drawing Information >
Obtain General Drawing Information
Concept Quick Reference

Commands

DWGPROPS

Sets and displays the properties of the current drawing

SETVAR

Lists or changes the values of system variables

STATUS

Displays drawing statistics, modes, and extents

TIME

Displays the date and time statistics of a drawing

System Variables

CDATE

Stores the current date and time in decimal format

DATE

Stores the current date and time in Modified Julian Date format

SAVENAME

Utilities

No entries

Command Modifiers

No entries


Count Objects Within a Drawing (Concept)

Obtain General Drawing Information
Get Information from Drawings
The User Interface
Get Information > Get Information from Drawings >
Count Objects Within a Drawing
Concept Procedure Quick Reference

You can count objects within a drawing using the QSELECT command.

The QSELECT command displays the Quick Select dialog box, which allows you to create a selection set based on the filtering criteria. You can filter selection sets by property such as color or linetype, and by object type.

Creating a selection set based on the filtering criteria in the Quick Select dialog box, allows you to count specified types of objects within a drawing.


To count specified types of objects in a drawing (Procedure)

Join the Customer Involvement Program
Count Objects Within a Drawing
The Ribbon
Get Information > Get Information from Drawings > Count Objects Within a Drawing >
Count Objects Within a Drawing
Concept Procedure Quick Reference

To count specified types of objects in a drawing

  1. Click Home tab [image] Utilities panel [image] Quick Select. At the command prompt, enter qselect.
  2. In the Quick Select dialog box, do one of the following:
    • In the Apply To List, select Entire Drawing.
    • Click the Select Objects button to select a group of objects. Press ENTER. In the Apply To list, select Current selection.
  3. In the Object Type list, select the type of object you want to count.
  4. In the Properties list, select a property that belongs to the type of objects you want to count.
  5. In the Operator list, select = Equals.
  6. In the Value list, select the property value of the type of objects you want to count.
  7. Click OK.

The number of objects displays at the command prompt.

Menu: Tools [image] Quick SelectDoes not exist in the menus.
Command entry: QSELECT
Shortcut menu: End any active commands, right-click in the drawing area, and choose Quick Select.


Count Objects Within a Drawing (Quick Reference)

Obtain General Drawing Information
Count Objects Within a Drawing
Organize the Ribbon
Get Information > Get Information from Drawings > Count Objects Within a Drawing >
Count Objects Within a Drawing
Concept Procedure Quick Reference

Commands

QSELECT

Creates a selection set based on filtering criteria

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


The User Interface

Count Objects Within a Drawing
The Ribbon, Menus, and Other Tool Locations
The User Interface

Topics in this section

  • The Ribbon, Menus, and Other Tool Locations

    You can use the ribbon and menus to access many frequently used commands.

  • The Command Window

    You can display commands, system variables, options, messages, and prompts in a dockable and resizable window called the command window.

  • Navigation Tools

    Navigation tools change the orientation and view of your model.

  • Customize the Drawing Environment

    Many elements of the working environment can be customized to fit your needs.

  • Action Macros

    Action macros can be used to automate repetitive tasks by recording a series of commands and any values entered.


The Ribbon, Menus, and Other Tool Locations

The User Interface
The User Interface
The Ribbon
The User Interface >
The Ribbon, Menus, and Other Tool Locations

You can use the ribbon and menus to access many frequently used commands.

Topics in this section

  • The Ribbon

    The ribbon is a palette that displays task-based buttons and controls in a workspace.

  • Access Menus

    Menus are available from the menu browser at the top of the drawing area.

  • Other Tool Locations

    Use common tools in the application window, toolbars, tool palettes, status bars, shortcut menus, and Design Center to find more commands, settings, and modes.


The Ribbon

The Ribbon, Menus, and Other Tool Locations
The Ribbon, Menus, and Other Tool Locations
Overview of the Ribbon
The User Interface > The Ribbon, Menus, and Other Tool Locations >
The Ribbon
Concept Procedure

The ribbon is a palette that displays task-based buttons and controls in a workspace.

Topics in this section

  • Overview of the Ribbon
  • Display and Organize the Ribbon

    The ribbon is displayed horizontally, vertically, or as a floating palette.

  • Customize the Ribbon

    You can customize the ribbon depending on your needs.


The Ribbon (Procedure)

Count Objects Within a Drawing
The Ribbon
Display and Organize the Ribbon
The User Interface > The Ribbon, Menus, and Other Tool Locations > The Ribbon >
The Ribbon
Concept Procedure

To associate a tool palette group with a ribbon panel

To display the tool palette group associated with a ribbon panel


Overview of the Ribbon

The Ribbon
The Ribbon
Display and Organize the Ribbon
The User Interface > The Ribbon, Menus, and Other Tool Locations > The Ribbon >
Overview of the Ribbon

The ribbon provides a single, compact placement for operations that are relevant to the current workspace. It eliminates the need to display multiple toolbars, reducing clutter in the application and maximizing the area available for work using a single compact interface.

The ribbon contains many of the same commands that were once available on the dashboard. For example, the DIMLINEAR command was once available on the dashboard’s Dimensions control panel. On the ribbon, DIMLINEAR is located on the Annotation tab, in the Dimensions panel.

The ribbon displays automatically when you create or open a drawing using either the 2D Drafting & Annotation workspace or the 3D Modeling workspace. You can open the ribbon manually by doing either of the following:

  • Click Tools menu [image] Palettes [image] Ribbon.
  • At the Command prompt, enter ribbon.

To close the ribbon, enter ribbonclose at the Command prompt.


Display and Organize the Ribbon

Overview of the Ribbon
The Ribbon
Organize the Ribbon
The User Interface > The Ribbon, Menus, and Other Tool Locations > The Ribbon >
Display and Organize the Ribbon
Concept Procedure

The ribbon is displayed horizontally, vertically, or as a floating palette.

Topics in this section

  • Organize the Ribbon

    The ribbon is composed of a series of panels, which are organized into tabs labeled by task.

  • Horizontal Ribbon

    The horizontal ribbon spans the top of the drawing window.

  • Vertical Ribbon


Display and Organize the Ribbon (Procedure)

The Ribbon
Up a level to ..
Organize the Ribbon
The User Interface > The Ribbon, Menus, and Other Tool Locations > The Ribbon > Display and Organize the Ribbon >
Display and Organize the Ribbon
Concept Procedure

To associate a tool palette group with a ribbon panel

To display the ribbon

To close the ribbon

To show or hide text labels on ribbon panels

To minimize the ribbon

To display or hide a ribbon panel

To display the ribbon

To close the ribbon

To show or hide text labels on ribbon panels

To display or hide a ribbon panel


Organize the Ribbon (Concept)

Display and Organize the Ribbon
Display and Organize the Ribbon
Horizontal Ribbon
The User Interface > The Ribbon, Menus, and Other Tool Locations > The Ribbon > Display and Organize the Ribbon >
Organize the Ribbon
Concept Procedure Quick Reference

The ribbon is composed of a series of panels, which are organized into tabs labeled by task.

Ribbon panels contain many of the same tools and controls available in toolbars and dialog boxes.

Click the Play arrow to start the animation.

The horizontal ribbon displays at the top of the drawing window by default when you create or open a drawing. The ribbon can also be placed at the bottom of the drawing window.

Click the Play arrow to start the animation.

To change the order of the tabs, click the tab you want to move, drag it to the desired position, and release.

You can associate a tool palette group with each ribbon panel. To display the associated tool palette group, click a tool or open a slide-out panel.


To associate a tool palette group with a ribbon panel (Procedure)

Display and Organize the Ribbon
Up a level to ..
Horizontal Ribbon
The User Interface > The Ribbon, Menus, and Other Tool Locations > The Ribbon > Display and Organize the Ribbon > Organize the Ribbon >
Organize the Ribbon
Concept Procedure Quick Reference

To associate a tool palette group with a ribbon panel

  1. Click Tools [image] Palettes [image] Tool Palettes.At the command prompt, enter toolpalettes
  2. On the ribbon, right-click a panel, and click Tool Palette Group.
  3. Click an available tool palette group from the list.
  4. Click Tools [image] Workspaces [image] Save Current As.At the command prompt, enter wssave.
  5. In the Save Workspace dialog box, enter a name for the new workspace or select a name from the drop-down list.
  6. Click Save.


Organize the Ribbon (Quick Reference)

Count Objects Within a Drawing
Organize the Ribbon
Horizontal Ribbon
The User Interface > The Ribbon, Menus, and Other Tool Locations > The Ribbon > Display and Organize the Ribbon > Organize the Ribbon >
Organize the Ribbon
Concept Procedure Quick Reference

Commands

CUI

Manages customized user interface elements such as workspaces, toolbars, menus, shortcut menus and keyboard shortcuts

RIBBON

Opens the ribbon window

RIBBONCLOSE

Closes the ribbon window

System Variables

MTEXTTOOLBAR

Controls the display of the Text Formatting toolbar

RIBBONSTATE

Indicates whether the ribbon palette is open or closed.

TABLETOOLBAR

Controls the display of the Table Toolbar

Utilities

No entries

Command Modifiers

No entries


Horizontal Ribbon (Concept)

Organize the Ribbon
Display and Organize the Ribbon
Vertical Ribbon
The User Interface > The Ribbon, Menus, and Other Tool Locations > The Ribbon > Display and Organize the Ribbon >
Horizontal Ribbon
Concept Procedure Quick Reference

The horizontal ribbon spans the top of the drawing window.

When the ribbon displays horizontally, each tab is identified with a text label. Each panel displays a text label by default.

An arrow in the bottom-right corner of a panel indicates that you can expand the panel to display additional tools and controls. By default, an expanded panel closes automatically when you click another panel. To keep a panel expanded, click the push pin icon in the bottom-right corner of the expanded panel.


Horizontal Ribbon (Procedure)

Organize the Ribbon
Up a level to ..
Horizontal Ribbon
The User Interface > The Ribbon, Menus, and Other Tool Locations > The Ribbon > Display and Organize the Ribbon > Horizontal Ribbon >
Horizontal Ribbon
Concept Procedure Quick Reference

To display the ribbon

To close the ribbon

To show or hide text labels on ribbon panels

To minimize the ribbon

To display or hide a ribbon panel


To display the ribbon (Procedure)

Horizontal Ribbon
Up a level to ..
Horizontal Ribbon
The User Interface > The Ribbon, Menus, and Other Tool Locations > The Ribbon > Display and Organize the Ribbon > Horizontal Ribbon >
Horizontal Ribbon
Concept Procedure Quick Reference

To display the ribbon

  • Click Tools menu [image] Palettes [image] Ribbon.
    NoteThe ribbon displays the ribbon panels associated with the workspace you used last. To display the ribbon panels associated with a specific workspace, click Tools menu [image] Workspaces. Then select a workspace.
Command entry: RIBBON


To close the ribbon (Procedure)

Horizontal Ribbon
Up a level to ..
Horizontal Ribbon
The User Interface > The Ribbon, Menus, and Other Tool Locations > The Ribbon > Display and Organize the Ribbon > Horizontal Ribbon >
Horizontal Ribbon
Concept Procedure Quick Reference

To close the ribbon

  • At the Command prompt, enter ribbonclose.
Command entry: RIBBONCLOSE


To show or hide text labels on ribbon panels (Procedure)

Horizontal Ribbon
Up a level to ..
Horizontal Ribbon
The User Interface > The Ribbon, Menus, and Other Tool Locations > The Ribbon > Display and Organize the Ribbon > Horizontal Ribbon >
Horizontal Ribbon
Concept Procedure Quick Reference

To show or hide text labels on ribbon panels

  • Right-click a ribbon panel and click Show Panel Titles.


To minimize the ribbon (Procedure)

Horizontal Ribbon
Up a level to ..
Horizontal Ribbon
The User Interface > The Ribbon, Menus, and Other Tool Locations > The Ribbon > Display and Organize the Ribbon > Horizontal Ribbon >
Horizontal Ribbon
Concept Procedure Quick Reference

To minimize the ribbon

  1. Click the ribbon minimize button to the right of the ribbon tabs.
  2. The minimize behavior will cycle through the following minimize options:
    • Minimize to Tabs: Minimizes the ribbon so that only tab titles are displayed.
    • Minimize to Panels: Minimizes the ribbon so that only tab and panel titles are displayed.
    • Show Full Ribbon: Displays tabs and full panels, including controls.
Shortcut menu: Right-click the ribbon, click Minimize, and then click one of the above minimize options.
Pointing device: Double-click the name of the active ribbon tab.
NoteMinimize behavior is available only for the horizontal ribbon.


To display or hide a ribbon panel (Procedure)

Horizontal Ribbon
Up a level to ..
Vertical Ribbon
The User Interface > The Ribbon, Menus, and Other Tool Locations > The Ribbon > Display and Organize the Ribbon > Horizontal Ribbon >
Horizontal Ribbon
Concept Procedure Quick Reference

To display or hide a ribbon panel

  • Right-click anywhere inside the ribbon. Under Panels, click or clear the name of a panel.


Horizontal Ribbon (Quick Reference)

Organize the Ribbon
Horizontal Ribbon
Vertical Ribbon
The User Interface > The Ribbon, Menus, and Other Tool Locations > The Ribbon > Display and Organize the Ribbon > Horizontal Ribbon >
Horizontal Ribbon
Concept Procedure Quick Reference

Commands

CUI

Manages customized user interface elements such as workspaces, toolbars, menus, shortcut menus and keyboard shortcuts

RIBBON

Opens the ribbon window

RIBBONCLOSE

Closes the ribbon window

System Variables

MTEXTTOOLBAR

Controls the display of the Text Formatting toolbar

RIBBONSTATE

Indicates whether the ribbon palette is open or closed.

TABLETOOLBAR

Controls the display of the Table Toolbar

Utilities

No entries

Command Modifiers

No entries


Vertical Ribbon (Concept)

Horizontal Ribbon
Display and Organize the Ribbon
Customize the Ribbon
The User Interface > The Ribbon, Menus, and Other Tool Locations > The Ribbon > Display and Organize the Ribbon >
Vertical Ribbon
Concept Procedure Quick Reference

When you display the ribbon vertically, each tab is identified with an icon.

An arrow in the bottom-left corner of a panel indicates that you can expand the panel to display additional tools and controls. By default, an expanded panel on the vertical ribbon remains open when you click another panel. To collapse an expanded panel, click the arrow in the bottom-left corner of the panel. To display panel titles, right-click a ribbon panel and click Show Panel Titles on the panel’s shortcut menu.

See Also
    • Create Task-Based Workspaces


Vertical Ribbon (Procedure)

Horizontal Ribbon
Up a level to ..
Vertical Ribbon
The User Interface > The Ribbon, Menus, and Other Tool Locations > The Ribbon > Display and Organize the Ribbon > Vertical Ribbon >
Vertical Ribbon
Concept Procedure Quick Reference

To display the ribbon

To close the ribbon

To show or hide text labels on ribbon panels

To display or hide a ribbon panel


To display the ribbon (Procedure)

Vertical Ribbon
Up a level to ..
Vertical Ribbon
The User Interface > The Ribbon, Menus, and Other Tool Locations > The Ribbon > Display and Organize the Ribbon > Vertical Ribbon >
Vertical Ribbon
Concept Procedure Quick Reference

To display the ribbon

  • Click Tools menu [image] Palettes [image] Ribbon.
    NoteThe ribbon displays the ribbon panels associated with the workspace you used last. To display the ribbon panels associated with a specific workspace, click Tools menu [image] Workspaces. Then select a workspace.
Command entry: RIBBON


To close the ribbon (Procedure)

Vertical Ribbon
Up a level to ..
Vertical Ribbon
The User Interface > The Ribbon, Menus, and Other Tool Locations > The Ribbon > Display and Organize the Ribbon > Vertical Ribbon >
Vertical Ribbon
Concept Procedure Quick Reference

To close the ribbon

  • At the command prompt, enter ribbonclose.
Command entry: RIBBONCLOSE


To show or hide text labels on ribbon panels (Procedure)

Vertical Ribbon
Up a level to ..
Vertical Ribbon
The User Interface > The Ribbon, Menus, and Other Tool Locations > The Ribbon > Display and Organize the Ribbon > Vertical Ribbon >
Vertical Ribbon
Concept Procedure Quick Reference

To show or hide text labels on ribbon panels

  • Right-click a ribbon panel and click Show Panel Titles.


To display or hide a ribbon panel (Procedure)

Vertical Ribbon
Up a level to ..
Customize the Ribbon
The User Interface > The Ribbon, Menus, and Other Tool Locations > The Ribbon > Display and Organize the Ribbon > Vertical Ribbon >
Vertical Ribbon
Concept Procedure Quick Reference

To display or hide a ribbon panel

  • Right-click anywhere inside the ribbon. Under Panels, click or clear the name of a panel.


Vertical Ribbon (Quick Reference)

Horizontal Ribbon
Vertical Ribbon
Customize the Ribbon
The User Interface > The Ribbon, Menus, and Other Tool Locations > The Ribbon > Display and Organize the Ribbon > Vertical Ribbon >
Vertical Ribbon
Concept Procedure Quick Reference

Commands

CUI

Manages customized user interface elements such as workspaces, toolbars, menus, shortcut menus and keyboard shortcuts

RIBBON

Opens the ribbon window

RIBBONCLOSE

Closes the ribbon window

System Variables

MTEXTTOOLBAR

Controls the display of the Text Formatting toolbar

RIBBONSTATE

Indicates whether the ribbon palette is open or closed.

TABLETOOLBAR

Controls the display of the Table Toolbar

Utilities

No entries

Command Modifiers

No entries


Customize the Ribbon (Concept)

Vertical Ribbon
The Ribbon
Access Menus
The User Interface > The Ribbon, Menus, and Other Tool Locations > The Ribbon >
Customize the Ribbon
Concept Procedure Quick Reference

You can customize the ribbon depending on your needs.

You can customize the ribbon in the following ways:

  • You can create and modify ribbon panels using the Customize User Interface Editor. See Customize Ribbon Panels and Tabs in the Customization Guide.
  • You can specify which ribbon tabs and panels are displayed by right-clicking the ribbon and, on the shortcut menu, clicking or clearing the names of tabs or panels.
  • You can associate a customizable tool palette group with each panel on the ribbon. Right-click the ribbon panel to display a list of available tool palette groups.
  • You can copy a panel from one ribbon tab to another by holding down the CTRL key and dragging the panel to the desired tab.
  • You can convert toolbars into ribbon panels using the Customize User Interface Editor. See Customize Ribbon Panels and Tabs in the Customization Guide.
See Also

    • Customize Ribbon Panels and Tabs


Customize the Ribbon (Procedure)

Vertical Ribbon
Up a level to ..
Customize the Ribbon
The User Interface > The Ribbon, Menus, and Other Tool Locations > The Ribbon > Customize the Ribbon >
Customize the Ribbon
Concept Procedure Quick Reference

To associate a tool palette group with a ribbon panel

To display the tool palette group associated with a ribbon panel


To associate a tool palette group with a ribbon panel (Procedure)

Customize the Ribbon
Up a level to ..
Customize the Ribbon
The User Interface > The Ribbon, Menus, and Other Tool Locations > The Ribbon > Customize the Ribbon >
Customize the Ribbon
Concept Procedure Quick Reference

To associate a tool palette group with a ribbon panel

  1. Click Tools [image] Palettes [image] Tool Palettes.At the command prompt, enter toolpalettes
  2. On the ribbon, right-click a ribbon panel and click Tool Palette Group.
  3. Click an available tool palette group from the list.


To display the tool palette group associated with a ribbon panel (Procedure)

Customize the Ribbon
Up a level to ..
Access Menus
The User Interface > The Ribbon, Menus, and Other Tool Locations > The Ribbon > Customize the Ribbon >
Customize the Ribbon
Concept Procedure Quick Reference

To display the tool palette group associated with a ribbon panel

  • Right-click a ribbon panel and click Show Related Tool Palette Group.


Customize the Ribbon (Quick Reference)

Vertical Ribbon
Customize the Ribbon
Overview of Menu Access
The User Interface > The Ribbon, Menus, and Other Tool Locations > The Ribbon > Customize the Ribbon >
Customize the Ribbon
Concept Procedure Quick Reference

Commands

CUI

Manages customized user interface elements such as workspaces, toolbars, menus, shortcut menus and keyboard shortcuts

RIBBON

Opens the ribbon window

RIBBONCLOSE

Closes the ribbon window

System Variables

MTEXTTOOLBAR

Controls the display of the Text Formatting toolbar

RIBBONSTATE

Indicates whether the ribbon palette is open or closed.

TABLETOOLBAR

Controls the display of the Table Toolbar

Utilities

No entries

Command Modifiers

No entries


Access Menus

Customize the Ribbon
The Ribbon, Menus, and Other Tool Locations
Overview of Menu Access
The User Interface > The Ribbon, Menus, and Other Tool Locations >
Access Menus
Concept Procedure

Menus are available from the menu browser at the top of the drawing area.

Topics in this section

  • Overview of Menu Access

    You can access the menus through the menu browser or the classic menu bar.

  • Search the Menu Browser

    Perform a real-time search for menus and menu actions in the menu browser.

  • Assign Search Tags

    Create search tags for any menu command to make searches more effective.

  • Browse Files

    View, sort, and access supported files that you have most recently opened in AutoCAD.

  • View Recent Actions

    Display and execute commands that you have most recently accessed from the menu browser.


Access Menus (Procedure)

Customize the Ribbon
Access Menus
Overview of Menu Access
The User Interface > The Ribbon, Menus, and Other Tool Locations > Access Menus >
Access Menus
Concept Procedure

To display the menu browser

To display the classic menu bar

To clear the search field in the menu browser

To assign a tag to a menu command

To remove a tag assigned to a menu command

To change the number of recent actions listed

To clear the Recent Actions list


Overview of Menu Access (Concept)

Access Menus
Access Menus
Search the Menu Browser
The User Interface > The Ribbon, Menus, and Other Tool Locations > Access Menus >
Overview of Menu Access
Concept Procedure Quick Reference

You can access the menus through the menu browser or the classic menu bar.

Click the Play arrow to start the animation.

The menu browser is available by default in the 2D Drafting & Annotation and 3D Modeling workspaces. Both the menu browser and the classic menu bar with drop-down menus are available in the AutoCAD Classic workspace.

You can specify menus to display in the menu browser for all workspaces by customizing a CUI file and loading it into the program.

See Also
    • Create Task-Based Workspaces

    • Create Pull-Down and Shortcut Menus in the Customization Guide


Overview of Menu Access (Procedure)

Access Menus
Up a level to ..
Overview of Menu Access
The User Interface > The Ribbon, Menus, and Other Tool Locations > Access Menus > Overview of Menu Access >
Overview of Menu Access
Concept Procedure Quick Reference

To display the menu browser

To display the classic menu bar


To display the menu browser (Procedure)

Overview of Menu Access
Up a level to ..
Overview of Menu Access
The User Interface > The Ribbon, Menus, and Other Tool Locations > Access Menus > Overview of Menu Access >
Overview of Menu Access
Concept Procedure Quick Reference

To display the menu browser

  • Click the menu browser button located at the top-left corner of the application window.


To display the classic menu bar (Procedure)

Overview of Menu Access
Up a level to ..
Search the Menu Browser
The User Interface > The Ribbon, Menus, and Other Tool Locations > Access Menus > Overview of Menu Access >
Overview of Menu Access
Concept Procedure Quick Reference

To display the classic menu bar

  • Right-click on the Quick Access toolbar, and click Show Menu Bar.
Command entry: MENUBAR


Overview of Menu Access (Quick Reference)

Customize the Ribbon
Overview of Menu Access
Search the Menu Browser
The User Interface > The Ribbon, Menus, and Other Tool Locations > Access Menus > Overview of Menu Access >
Overview of Menu Access
Concept Procedure Quick Reference

Commands

No entries

System Variables

MENUBAR

Controls the display of the menu bar

Utilities

No entries

Command Modifiers

No entries


Search the Menu Browser (Concept)

Overview of Menu Access
Access Menus
Assign Search Tags
The User Interface > The Ribbon, Menus, and Other Tool Locations > Access Menus >
Search the Menu Browser
Concept Procedure Quick Reference

Perform a real-time search for menus and menu actions in the menu browser.

The search field displays at the top of the menu browser. Search results can include menu commands, basic tooltips, command prompt text strings, or tags. You can enter a search term in any language. Menu commands display in a list labeled “Root Menus,” while command prompt text strings and tags display in a list labeled “Related Results.”

To open the menu browser with the search field active, press ALT+S.

Click the Play arrow to start the animation.

You can include any text character or special symbol in a search. Menu results are displayed in the same order as the menu, with the exception of the Best Match result at the top of the list. To execute a menu command, click the desired search result in the list. The list of search results includes disabled menu actions; however, you cannot execute these menu actions.

See Also
    • Assign Search Tags


To clear the search field in the menu browser (Procedure)

Overview of Menu Access
Up a level to ..
Assign Search Tags
The User Interface > The Ribbon, Menus, and Other Tool Locations > Access Menus > Search the Menu Browser >
Search the Menu Browser
Concept Procedure Quick Reference

To clear the search field in the menu browser

  1. Enter text in the search field. The spyglass button to the right of the search field becomes an [X].
  2. Click the [X] icon to the right of the search field. The search field is cleared and the [X] icon returns to a spyglass.
Shortcut menu: When text is entered, right-click the Search Menu field and click Clear Search.


Search the Menu Browser (Quick Reference)

Overview of Menu Access
Search the Menu Browser
Assign Search Tags
The User Interface > The Ribbon, Menus, and Other Tool Locations > Access Menus > Search the Menu Browser >
Search the Menu Browser
Concept Procedure Quick Reference

Commands

CUI

Manages customized user interface elements such as workspaces, toolbars, menus, shortcut menus and keyboard shortcuts

OPTIONS

Customizes the program settings

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Assign Search Tags (Concept)

Search the Menu Browser
Access Menus
Browse Files
The User Interface > The Ribbon, Menus, and Other Tool Locations > Access Menus >
Assign Search Tags
Concept Procedure Quick Reference

Create search tags for any menu command to make searches more effective.

With tags, you can group commands according to your drawing needs. For example, you can assign a group of menu commands that you use frequently for a project a tag named for that project. Create and edit tags using the Customize User Interface dialog box.

Any tag assigned to a menu command is displayed in the tooltip for that command in the menu browser. You can assign any number of tags to a single menu command.

See Also

    • Tag Editor dialog box in the Customization Guide.


Assign Search Tags (Procedure)

Search the Menu Browser
Up a level to ..
Assign Search Tags
The User Interface > The Ribbon, Menus, and Other Tool Locations > Access Menus > Assign Search Tags >
Assign Search Tags
Concept Procedure Quick Reference

To assign a tag to a menu command

To remove a tag assigned to a menu command


To assign a tag to a menu command (Procedure)

Assign Search Tags
Up a level to ..
Assign Search Tags
The User Interface > The Ribbon, Menus, and Other Tool Locations > Access Menus > Assign Search Tags >
Assign Search Tags
Concept Procedure Quick Reference

To assign a tag to a menu command

  1. Click Tools tab [image] Customization panel [image] User Interface. Enter cui at the Command prompt.
  2. In the Customize User Interface Editor, Customize tab, Command List pane, select the command to which you what to add a tag.
  3. In the Properties pane, select the Tags field and click the [...] button.
  4. In the Tag Editor dialog box, in the Tags text box, enter a tag.

    As you enter a tag, a popup window may appear displaying a list of previously used tags. Click one of the tags on the menu to use that tag instead. You can add more than one tag to a command; each tag must be separated by a comma.

  5. To add another tag to a command, press the LEFT ARROW key and enter the tag. Repeat as needed.
  6. Click OK.
  7. In the Customize User Interface editor, click OK.


To remove a tag assigned to a menu command (Procedure)

Assign Search Tags
Up a level to ..
Browse Files
The User Interface > The Ribbon, Menus, and Other Tool Locations > Access Menus > Assign Search Tags >
Assign Search Tags
Concept Procedure Quick Reference

To remove a tag assigned to a menu command

  1. Click Tools tab [image] Customization panel [image] User Interface. Enter CUI at the Command prompt.
  2. In the Customize User Interface Editor, Customize tab, Command List pane, select the command from which you want to remove a tag.
  3. In the Properties pane, select the Tags field and click the [...] button.
  4. In the Tag Editor dialog box, click the tag you want to remove. Press DELETE.
  5. Click OK.
  6. In the Customize User Interface Editor, click OK.


Assign Search Tags (Quick Reference)

Search the Menu Browser
Assign Search Tags
Recent Documents
The User Interface > The Ribbon, Menus, and Other Tool Locations > Access Menus > Assign Search Tags >
Assign Search Tags
Concept Procedure Quick Reference

Commands

CUI

Manages customized user interface elements such as workspaces, toolbars, menus, shortcut menus and keyboard shortcuts

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Browse Files

Assign Search Tags
Access Menus
Recent Documents
The User Interface > The Ribbon, Menus, and Other Tool Locations > Access Menus >
Browse Files
Concept Procedure

View, sort, and access supported files that you have most recently opened in AutoCAD.

Topics in this section

  • Recent Documents

    Select the Recent Documents option under the regular drawing menus to view a list of the most recent saved files.

  • Currently Open Documents

    Select the Open Documents option under the regular drawing menus to view a list of files that are currently open in AutoCAD.


Browse Files (Procedure)

Assign Search Tags
Up a level to ..
Recent Documents
The User Interface > The Ribbon, Menus, and Other Tool Locations > Access Menus > Browse Files >
Browse Files
Concept Procedure

To open a document in the Recent Documents list

To partially open a document in the Recent Documents list

To open/partially open a document in the Recent Documens list as Read-Only

To change the preview display options for recent documents

To change the number of recent documents listed

To keep a document in the Recent Documents list

To view the Recent Documents list by date

To view the Recent Documents list by type

To clear the Recent Documents list

To change the preview display options for currently open documents


Recent Documents (Concept)

Browse Files
Browse Files
Currently Open Documents
The User Interface > The Ribbon, Menus, and Other Tool Locations > Access Menus > Browse Files >
Recent Documents
Concept Procedure Quick Reference

Select the Recent Documents option under the regular drawing menus to view a list of the most recent saved files.

Files display in the Recent Documents quick menu with the most recently saved file at the top. You can view a preview image of the files in the recent documents list instead of the icon associated with the file type.

To open the menu browser with the Recent Documents quick menu active, press ALT+R.

Click the Play arrow to start the animation.

Pinned Documents

The push pin icon to the right of the file name keeps a file listed regardless of files saved later. The file displays at the bottom of the recent documents list until you turn off the push pin button. To pin a document in the Recent Documents list, click the push pin button, or select Pin.

Group Options

You can group files by date or type. To view alternate grouping options, click the Recent Documents option above the list of files or right-click a blank area of the list.

You can list documents according to the day of the week the file was last opened or saved.

See Also
    • Open or Save a Drawing


Recent Documents (Procedure)

Browse Files
Up a level to ..
Recent Documents
The User Interface > The Ribbon, Menus, and Other Tool Locations > Access Menus > Browse Files > Recent Documents >
Recent Documents
Concept Procedure Quick Reference

To open a document in the Recent Documents list

To partially open a document in the Recent Documents list

To open/partially open a document in the Recent Documens list as Read-Only

To change the preview display options for recent documents

To change the number of recent documents listed

To keep a document in the Recent Documents list

To view the Recent Documents list by date

To view the Recent Documents list by type

To clear the Recent Documents list


To open a document in the Recent Documents list (Procedure)

Recent Documents
Up a level to ..
Recent Documents
The User Interface > The Ribbon, Menus, and Other Tool Locations > Access Menus > Browse Files > Recent Documents >
Recent Documents
Concept Procedure Quick Reference

To open a document in the Recent Documents list

  • Click the document.
Shortcut menu: Right-click a document and click Open.


To partially open a document in the Recent Documents list (Procedure)

Recent Documents
Up a level to ..
Recent Documents
The User Interface > The Ribbon, Menus, and Other Tool Locations > Access Menus > Browse Files > Recent Documents >
Recent Documents
Concept Procedure Quick Reference

To partially open a document in the Recent Documents list

  • Right-click a document and click Partial Open.


To open/partially open a document in the Recent Documens list as Read-Only (Procedure)

Recent Documents
Up a level to ..
Recent Documents
The User Interface > The Ribbon, Menus, and Other Tool Locations > Access Menus > Browse Files > Recent Documents >
Recent Documents
Concept Procedure Quick Reference

To open/partially open a document in the Recent Documens list as Read-Only

  • Right-click a document and click either Open Read-Only or Partial Open Read-Only.


To change the preview display options for recent documents (Procedure)

Recent Documents
Up a level to ..
Recent Documents
The User Interface > The Ribbon, Menus, and Other Tool Locations > Access Menus > Browse Files > Recent Documents >
Recent Documents
Concept Procedure Quick Reference

To change the preview display options for recent documents

  1. Click the Menu Browser button, and then hover over Recent Documents.
  2. Under the Search text box, click the Display Options menu.
  3. Select a display option.

NoteThe preview display option will you choose remains in both the Recent Documents and Open Documents quick menus.
Shortcut menu: Right-click a blank area in the Recent Documents browse pane. Select a display option.


To change the number of recent documents listed (Procedure)

Recent Documents
Up a level to ..
Recent Documents
The User Interface > The Ribbon, Menus, and Other Tool Locations > Access Menus > Browse Files > Recent Documents >
Recent Documents
Concept Procedure Quick Reference

To change the number of recent documents listed

  1. Click Tools [image] Options.Enter options at the Command prompt.
  2. In the Options dialog box, click the Open and Save tab.
  3. In the Menu Browser [image] Number of Recently Used Files text box, enter the number of recent documents to be listed. You can choose any number between 0 and 50.


To keep a document in the Recent Documents list (Procedure)

Recent Documents
Up a level to ..
Recent Documents
The User Interface > The Ribbon, Menus, and Other Tool Locations > Access Menus > Browse Files > Recent Documents >
Recent Documents
Concept Procedure Quick Reference

To keep a document in the Recent Documents list

  • Click the push pin button to the right of the document.
Shortcut menu: Right-click a document and click Pin.


To view the Recent Documents list by date (Procedure)

Recent Documents
Up a level to ..
Recent Documents
The User Interface > The Ribbon, Menus, and Other Tool Locations > Access Menus > Browse Files > Recent Documents >
Recent Documents
Concept Procedure Quick Reference

To view the Recent Documents list by date

  • In the top-left corner of the Recent Documents browse pane, in the drop-down list, select Group By Date.


To view the Recent Documents list by type (Procedure)

Recent Documents
Up a level to ..
Recent Documents
The User Interface > The Ribbon, Menus, and Other Tool Locations > Access Menus > Browse Files > Recent Documents >
Recent Documents
Concept Procedure Quick Reference

To view the Recent Documents list by type

  • In the top-left corner of the Recent Documents browse pane, in the drop-down list, select Group By Type.


To clear the Recent Documents list (Procedure)

Recent Documents
Up a level to ..
Currently Open Documents
The User Interface > The Ribbon, Menus, and Other Tool Locations > Access Menus > Browse Files > Recent Documents >
Recent Documents
Concept Procedure Quick Reference

To clear the Recent Documents list

  • Right-click in the Recent Documents quick menu and click Clear Recent Documents List.


Recent Documents (Quick Reference)

Assign Search Tags
Recent Documents
Currently Open Documents
The User Interface > The Ribbon, Menus, and Other Tool Locations > Access Menus > Browse Files > Recent Documents >
Recent Documents
Concept Procedure Quick Reference

Commands

CUI

Manages customized user interface elements such as workspaces, toolbars, menus, shortcut menus and keyboard shortcuts

OPTIONS

Customizes the program settings

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Currently Open Documents (Concept)

Recent Documents
Browse Files
View Recent Actions
The User Interface > The Ribbon, Menus, and Other Tool Locations > Access Menus > Browse Files >
Currently Open Documents
Concept Procedure Quick Reference

Select the Open Documents option under the regular drawing menus to view a list of files that are currently open in AutoCAD.

The Open Documents list displays with the most recently opened file at the top. The current file displays with a radio button to the left of the file name. You can view a small thumbnail of the files in the open documents list instead of the icon associated with the file type.

To open the menu browser with the Open Documents quick menu active, press ALT+C.

Click the Play arrow to start the animation.


To change the preview display options for currently open documents (Procedure)

Recent Documents
Up a level to ..
View Recent Actions
The User Interface > The Ribbon, Menus, and Other Tool Locations > Access Menus > Browse Files > Currently Open Documents >
Currently Open Documents
Concept Procedure Quick Reference

To change the preview display options for currently open documents

  1. Click the Menu Browser button, and then hover over Open Documents.
  2. Under the Search text box, click the Display Options menu.
  3. Select a display option.

NoteThe preview display option you choose remains in both the Recent Documents and Open Documents quick menus.
Shortcut menu: Right-click a blank area in the Open Documents browse pane. Select a display option.


Currently Open Documents (Quick Reference)

Recent Documents
Currently Open Documents
View Recent Actions
The User Interface > The Ribbon, Menus, and Other Tool Locations > Access Menus > Browse Files > Currently Open Documents >
Currently Open Documents
Concept Procedure Quick Reference

Commands

CUI

Manages customized user interface elements such as workspaces, toolbars, menus, shortcut menus and keyboard shortcuts

OPTIONS

Customizes the program settings

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


View Recent Actions (Concept)

Currently Open Documents
Access Menus
Other Tool Locations
The User Interface > The Ribbon, Menus, and Other Tool Locations > Access Menus >
View Recent Actions
Concept Procedure Quick Reference

Display and execute commands that you have most recently accessed from the menu browser.

Select the Recent Actions option under the regular drawing menus to view a list of the most recent commands accessed from the menu browser. Menu commands display with the most recently executed command at the top of the list.

To open the menu browser with the Recent Actions quick menu active, press ALT+A.

Click the Play arrow to start the animation.

Pinned Commands

Click the push pin button to the right of the menu command in the list to keep it displayed regardless of commands executed later. The command displays at the bottom of the recent actions list until you unpin the command.


View Recent Actions (Procedure)

Currently Open Documents
Up a level to ..
View Recent Actions
The User Interface > The Ribbon, Menus, and Other Tool Locations > Access Menus > View Recent Actions >
View Recent Actions
Concept Procedure Quick Reference

To change the number of recent actions listed

To clear the Recent Actions list


To change the number of recent actions listed (Procedure)

View Recent Actions
Up a level to ..
View Recent Actions
The User Interface > The Ribbon, Menus, and Other Tool Locations > Access Menus > View Recent Actions >
View Recent Actions
Concept Procedure Quick Reference

To change the number of recent actions listed

  1. Click Tools [image] Options.Enter options at the Command prompt.
  2. In the Options dialog box, click the Open and Save tab.
  3. In the Menu Browser [image] Number of Recently Used Actions text box, enter the number of recent documents to be listed. You can choose any number between 0 and 50.


To clear the Recent Actions list (Procedure)

View Recent Actions
Up a level to ..
Other Tool Locations
The User Interface > The Ribbon, Menus, and Other Tool Locations > Access Menus > View Recent Actions >
View Recent Actions
Concept Procedure Quick Reference

To clear the Recent Actions list

  • Right-click the Recent Actions quick menu and click Clear Recent Actions List.


View Recent Actions (Quick Reference)

Currently Open Documents
View Recent Actions
Tools in the Application Window
The User Interface > The Ribbon, Menus, and Other Tool Locations > Access Menus > View Recent Actions >
View Recent Actions
Concept Procedure Quick Reference

Commands

CUI

Manages customized user interface elements such as workspaces, toolbars, menus, shortcut menus and keyboard shortcuts

OPTIONS

Customizes the program settings

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Other Tool Locations

View Recent Actions
The Ribbon, Menus, and Other Tool Locations
Tools in the Application Window
The User Interface > The Ribbon, Menus, and Other Tool Locations >
Other Tool Locations
Concept Procedure

Use common tools in the application window, toolbars, tool palettes, status bars, shortcut menus, and Design Center to find more commands, settings, and modes.

Topics in this section

  • Tools in the Application Window

    The top of the application window displays commonly used tools such as the menu browser, the Quick Access toolbar, and InfoCenter.

  • Quick Access Toolbar

    The Quick Access toolbar stores commands that you frequently access. It is a customizable toolbar that contains a set of commands defined by the workspace.

  • Toolbars

    Use buttons on toolbars to start commands, display flyout toolbars, and display tooltips. You can display or hide, dock, and resize toolbars.

  • Tool Palettes

    Tool palettes are tabbed areas within the Tool Palettes window that provide an efficient method for organizing, sharing, and placing blocks, hatches, and other tools. Tool palettes can also contain custom tools provided by third-party developers.

  • Status Bars

    The application and drawing status bars provide useful information and buttons for turning drawing tools on and off.

  • Shortcut Menus

    Display a shortcut menu for quick access to commands that are relevant to your current activity.

  • DesignCenter

    With DesignCenter, you can manage block references, xrefs, and other content such as layer definitions, layouts, and text styles.


Other Tool Locations (Procedure)

View Recent Actions
Other Tool Locations
Quick Access Toolbar
The User Interface > The Ribbon, Menus, and Other Tool Locations > Other Tool Locations >
Other Tool Locations
Concept Procedure

To add a command to the Quick Access toolbar

To remove a command from the Quick Access toolbar

To display a toolbar

To dock a toolbar

To undock a toolbar

To resize a toolbar

To close a toolbar

To display a shortcut menu

To turn off shortcut menus in the drawing area

To turn on time-sensitive right-click behavior

To control the display of recent input


Tools in the Application Window (Concept)

Other Tool Locations
Other Tool Locations
Quick Access Toolbar
The User Interface > The Ribbon, Menus, and Other Tool Locations > Other Tool Locations >
Tools in the Application Window
Concept Quick Reference

The top of the application window displays commonly used tools such as the menu browser, the Quick Access toolbar, and InfoCenter.

With the menu browser, you can browse all the menus in the application. For more information about the menu browser, see Overview of Menu Access.

You customize the Quick Access toolbar so you can access commands that you use frequently. For more information, see Quick Access Toolbar.

In InfoCenter, you can search for information sources and receive product notifications. For more information about how to search and receive information, see Overview of Searching for and Receiving Information.

Content Search Bar

The Content Search bar provides a way for you to search for design files on the web from manufacturers and other third parties.

NoteContent Search is only available in US English.


Tools in the Application Window (Quick Reference)

View Recent Actions
Tools in the Application Window
Quick Access Toolbar
The User Interface > The Ribbon, Menus, and Other Tool Locations > Other Tool Locations > Tools in the Application Window >
Tools in the Application Window
Concept Quick Reference

Commands

CUI

Manages customized user interface elements such as workspaces, toolbars, menus, shortcut menus and keyboard shortcuts

OPTIONS

Customizes the program settings

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Quick Access Toolbar (Concept)

Tools in the Application Window
Other Tool Locations
Toolbars
The User Interface > The Ribbon, Menus, and Other Tool Locations > Other Tool Locations >
Quick Access Toolbar
Concept Procedure Quick Reference

The Quick Access toolbar stores commands that you frequently access. It is a customizable toolbar that contains a set of commands defined by the workspace.

You can add, remove, and reposition commands on the Quick Access toolbar. You can add as many commands as you want. If there is no room available, commands roll into a flyout button.

Click the Play arrow to start the animation.

The following are the default commands in the Quick Access toolbar:

  • New
  • Open
  • Save
  • Plot
  • Undo
  • Redo

You can customize the Quick Access toolbar according to your workspace. For more information, see Customize the Quick Access Toolbar. You can also display toolbars from the shortcut menu of the Quick Access toolbar. For more information about toolbars, see Toolbars.

NoteWhen there are no drawings open, only the New, Open, and Sheet Set Manager icons are displayed on the Quick Access Toolbar.


Quick Access Toolbar (Procedure)

Other Tool Locations
Up a level to ..
Quick Access Toolbar
The User Interface > The Ribbon, Menus, and Other Tool Locations > Other Tool Locations > Quick Access Toolbar >
Quick Access Toolbar
Concept Procedure Quick Reference

To add a command to the Quick Access toolbar

To remove a command from the Quick Access toolbar


To add a command to the Quick Access toolbar (Procedure)

Quick Access Toolbar
Up a level to ..
Quick Access Toolbar
The User Interface > The Ribbon, Menus, and Other Tool Locations > Other Tool Locations > Quick Access Toolbar >
Quick Access Toolbar
Concept Procedure Quick Reference

To add a command to the Quick Access toolbar

  1. Right-click the Quick Access toolbar.
  2. Click Customize Quick Access Toolbar.
  3. In the Customize User Interface Editor, drag a command from the Command list to the position you want it to be displayed in the Quick Access toolbar.
    TipFor multiple commands, hold down CTRL and select the commands.
  4. Click OK.
    NoteIf you do not click OK, the command is not be saved in the workspace. The command only appears on the toolbar in the session you are in.


To remove a command from the Quick Access toolbar (Procedure)

Quick Access Toolbar
Up a level to ..
Toolbars
The User Interface > The Ribbon, Menus, and Other Tool Locations > Other Tool Locations > Quick Access Toolbar >
Quick Access Toolbar
Concept Procedure Quick Reference

To remove a command from the Quick Access toolbar

  1. Click Tools tab [image] Customization panel [image] User Interface. Enter at the command prompt cui.
  2. In the Customize User Interface editor, Customize tab, Customizations In <file name> pane, click the plus sign (+) next to the Workspaces node to expand it.
  3. Select the workspace that contains the Quick Access toolbar that you want to modify.
  4. In the Workspace Contents pane, click the plus sign (+) next to Quick Access toolbar to expand it.
  5. Right-click the command you want to remove. Click Remove from Workspace.
  6. Click OK.


Quick Access Toolbar (Quick Reference)

Tools in the Application Window
Quick Access Toolbar
Toolbars
The User Interface > The Ribbon, Menus, and Other Tool Locations > Other Tool Locations > Quick Access Toolbar >
Quick Access Toolbar
Concept Procedure Quick Reference

Commands

CUI

Manages customized user interface elements such as workspaces, toolbars, menus, shortcut menus and keyboard shortcuts

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Toolbars (Concept)

Quick Access Toolbar
Other Tool Locations
Tool Palettes
The User Interface > The Ribbon, Menus, and Other Tool Locations > Other Tool Locations >
Toolbars
Concept Procedure Quick Reference

Use buttons on toolbars to start commands, display flyout toolbars, and display tooltips. You can display or hide, dock, and resize toolbars.

Toolbars contain buttons that start commands. When you move your mouse or pointing device over a toolbar button, the tooltip displays the name of the button. Buttons with a small black triangle in the lower-right corner are flyout toolbars that contain related commands. With the cursor over the icon, hold down the left button on your mouse until the flyout toolbar displays.

The Quick Access toolbar at the top of the application window is displayed by default. This toolbar is like those found in Microsoft® Office programs. It contains frequently used AutoCAD® commands such as PLOT, UNDO, and REDO, as well as Microsoft Office standard commands such as New, Open, and Save. For more information about the Quick Access toolbar, see Quick Access Toolbar.

NoteYou can turn a toolbar into a ribbon panel using the Customize User Interface dialog box.

Display or Hide, Dock, and Resize Toolbars

You can display or hide toolbars, and you can save your selections as a workspace. You can also create your own toolbars.

A toolbar displays as floating or docked. A floating toolbar displays anywhere in the drawing area, and you can drag a floating toolbar to a new location, resize it, or dock it. A docked toolbar is attached to any edge of the drawing area. A toolbar docked at the top edge of the drawing area is located below the ribbon. You can move a docked toolbar by dragging it to a new docking location.

See Also

    • Create Task-Based Workspaces

    • Customize Toolbars in the Customization Guide

    • Customize Ribbon Panels and Tabs in the Customization Guide


Toolbars (Procedure)

Quick Access Toolbar
Up a level to ..
Toolbars
The User Interface > The Ribbon, Menus, and Other Tool Locations > Other Tool Locations > Toolbars >
Toolbars
Concept Procedure Quick Reference

To display a toolbar

To dock a toolbar

To undock a toolbar

To resize a toolbar

To close a toolbar


To display a toolbar (Procedure)

Toolbars
Up a level to ..
Toolbars
The User Interface > The Ribbon, Menus, and Other Tool Locations > Other Tool Locations > Toolbars >
Toolbars
Concept Procedure Quick Reference

To display a toolbar

Display a toolbar with one of the following methods

  • Right-click any toolbar and click a toolbar on the shortcut menu.
  • Right-click the Quick Access toolbar and click a toolbar on the shortcut menu.
  • Click Tools [image] Toolbars and click the toolbar to display.


To dock a toolbar (Procedure)

Toolbars
Up a level to ..
Toolbars
The User Interface > The Ribbon, Menus, and Other Tool Locations > Other Tool Locations > Toolbars >
Toolbars
Concept Procedure Quick Reference

To dock a toolbar

  1. Position the cursor on the name of the toolbar or in any blank area, and hold down the button on your pointing device.
  2. Drag the toolbar to a docking location at the top, bottom, or either side of the drawing area.
  3. When the outline of the toolbar is displayed in the docking area, release the button.

    To place a toolbar in a docking region without docking it, hold down CTRL as you drag.


To undock a toolbar (Procedure)

Toolbars
Up a level to ..
Toolbars
The User Interface > The Ribbon, Menus, and Other Tool Locations > Other Tool Locations > Toolbars >
Toolbars
Concept Procedure Quick Reference

To undock a toolbar

  1. Position the cursor on the double bars at the end of the toolbar, and hold down the button on your pointing device.
  2. Drag the toolbar away from its docked location and release the button.


To resize a toolbar (Procedure)

Toolbars
Up a level to ..
Toolbars
The User Interface > The Ribbon, Menus, and Other Tool Locations > Other Tool Locations > Toolbars >
Toolbars
Concept Procedure Quick Reference

To resize a toolbar

  1. Position the cursor on the edge of a floating toolbar until the cursor changes to a horizontal or vertical double arrow.
  2. Hold down the button and move the cursor until the toolbar is in the shape you want.


To close a toolbar (Procedure)

Toolbars
Up a level to ..
Tool Palettes
The User Interface > The Ribbon, Menus, and Other Tool Locations > Other Tool Locations > Toolbars >
Toolbars
Concept Procedure Quick Reference

To close a toolbar

  1. If the toolbar is docked, undock it.
  2. Click the Close button in the upper-right corner of the toolbar.


Toolbars (Quick Reference)

Quick Access Toolbar
Toolbars
Create and Use Tools from Objects and Images
The User Interface > The Ribbon, Menus, and Other Tool Locations > Other Tool Locations > Toolbars >
Toolbars
Concept Procedure Quick Reference

Commands

CUI

Manages customized user interface elements such as workspaces, toolbars, menus, shortcut menus and keyboard shortcuts

System Variables

TOOLTIPS

Controls the display of tooltips on toolbars

Utilities

No entries

Command Modifiers

No entries


Tool Palettes

Toolbars
Other Tool Locations
Create and Use Tools from Objects and Images
The User Interface > The Ribbon, Menus, and Other Tool Locations > Other Tool Locations >
Tool Palettes
Concept Procedure

Tool palettes are tabbed areas within the Tool Palettes window that provide an efficient method for organizing, sharing, and placing blocks, hatches, and other tools. Tool palettes can also contain custom tools provided by third-party developers.

Topics in this section

  • Create and Use Tools from Objects and Images

    You can create a tool by dragging objects from your drawing onto a tool palette. You can then use the new tool to create objects with the same properties as the object you dragged onto the tool palette.

  • Create and Use Command Tools

    You can create a tool on a tool palette that executes a single command or a string of commands.

  • Change Tool Palette Settings

    The options and settings for tool palettes are accessible from shortcut menus that are displayed when you right-click in different areas of the Tool Palettes window.

  • Control Tool Properties

    You can change the properties of any tool on a tool palette.

  • Customize Tool Palettes

    You can add tools to a tool palette with several methods.

  • Organize Tool Palettes

    You can organize tool palettes into groups and specify which group of tool palettes is displayed.

  • Save and Share Tool Palettes

    You can save and share a tool palette or tool palette group by exporting it or importing it as a file.


Tool Palettes (Procedure)

Toolbars
Up a level to ..
Create and Use Tools from Objects and Images
The User Interface > The Ribbon, Menus, and Other Tool Locations > Other Tool Locations > Tool Palettes >
Tool Palettes
Concept Procedure

To display the Tool Palettes window

To create a tool from an object in the current drawing

To use a tool created from a geometric object

To use a tool created from a dimension

To use a tool on a tool flyout

To add or remove a tool flyout

To customize a tool flyout

To use a tool created from a hatch

To use a tool created from a gradient fill

To use a tool created from a block, xref, or raster image

To be prompted for a rotation angle when placing a block or xref from a tool palette

To create a command tool from a toolbar button

To create a command tool that executes multiple or customized commands (advanced)

To use a command tool

To change the transparency of the Tool Palettes window

To change the icon display style in the Tool Palettes window

To display the properties of a tool on a tool palette

To change the property of a tool on a tool palette

To refresh the image of a block tool on a tool palette

To change the image of a tool on a tool palette

To change the image, name, and description of a flyout tool to the default settings

To create a tool palette

To create a tool palette from a folder or a drawing

To associate a tool palette group with a ribbon panel

To display the tool palette group associated with a ribbon panel

To rename a tool palette

To delete a tool palette

To change the position of a tool palette

To add text to a tool palette

To add a separator line to a tool palette

To sort items in a tool palette

To create a tool palette group

To add a tool palette to a tool palette group

To remove a tool palette from a tool palette group

To display a tool palette group

To delete a tool palette group

To delete all tool palette groups

To rename a tool palette group

To rearrange tool palette groups

To create a tool palette group within another one

To copy and paste a tool palette from one group to another

To change the order of displayed tool palettes within a group

To change the order of displayed tool palettes when all of them are displayed

To display all tool palettes

To share a tool palette

To share a tool palette group


Create and Use Tools from Objects and Images (Concept)

Tool Palettes
Tool Palettes
Create and Use Command Tools
The User Interface > The Ribbon, Menus, and Other Tool Locations > Other Tool Locations > Tool Palettes >
Create and Use Tools from Objects and Images
Concept Procedure Quick Reference

You can create a tool by dragging objects from your drawing onto a tool palette. You can then use the new tool to create objects with the same properties as the object you dragged onto the tool palette.

Tool palettes are tabbed areas within the Tool Palettes window. The items you add to a tool palette are called tools. You can create a tool by dragging any of the following, one at a time, onto your tool palette:

  • Geometric objects such as lines, circles, and polylines
  • Dimensions
  • Blocks
  • Hatches
  • Solid fills
  • Gradient fills
  • Raster images
  • External references (xrefs)
NoteWhen you drag an object onto a tool palette, you can switch to a different tab by hovering over the tab for a few seconds.

You can then use the new tool to create objects in your drawing with the same properties as the object you dragged to the tool palette. For example, if you drag a red circle with a lineweight of .05 mm from your drawing to your tool palette, the new tool creates a red circle with a lineweight of .05 mm. If you drag a block or xref to a tool palette, the new tool inserts the block or xref with the same properties into your drawing.

When you drag a geometric object or a dimension onto a tool palette, the new tool is automatically created with an appropriate flyout. Dimension tool flyouts, for example, provide an assortment of dimension styles. Click the arrow on the right side of the tool icon on the tool palette to display the flyout. When you use a tool on a flyout, the object in the drawing has the same properties as the original tool on the tool palette.

Insert Blocks and Attach References

You can choose to be prompted for a rotation angle (starting from 0) when you click and place a block or xref. This option ignores the angle specified under Rotation in the Tool Properties dialog box. The rotation angle prompt does not display if you drag the block or xref, or if you enter rotate at the initial insertion command prompt.

Blocks that are placed by dragging from a tool palette must often be rotated or scaled after placement. You can use object snaps when dragging blocks from a tool palette; however, grid snap is suppressed during dragging. You can set an auxiliary scale for a block or a hatch tool to override the regular scale setting when you use the tool. (An auxiliary scale multiplies your current scale setting by the plot scale or the dimension scale.)

Blocks dragged from a tool palette are automatically scaled according to the ratio of units in both the block and the current drawing. For example, if the current drawing uses meters as units and a block uses centimeters, the unit ratio is 1 m/100 cm. When you drag the block into the drawing, it is inserted at 1/100 scale.

NoteIn the Options dialog box, User Preferences tab, the Source Content Units and Target Drawing Units settings are used when Drag-and-Drop Scale is set to Unitless, either in the source block or target drawing.

Update Block Definitions on Tool Palettes

A block definition in your current drawing does not update automatically when you modify the block in the source drawing. To update a block definition in the current drawing, right-click the block tool on the tool palette and click Redefine on the shortcut menu.

If the Redefine option is unavailable, then the block definition source is a drawing file rather than a block within a drawing file. To update a block definition that was created by inserting a drawing file, use DesignCenter. For more information, see Add Content with DesignCenter.

NoteIf you move the source drawing file for a block tool to a different folder, then modify the tool that references it by right-clicking the tool and, in the Tool Properties dialog box, specifying the new source file folder.
See Also

    • Control Tool Properties

    • Customize Tool Palettes

    • Create Task-Based Workspaces

    • Add Content with DesignCenter


Create and Use Tools from Objects and Images (Procedure)

Tool Palettes
Up a level to ..
Create and Use Tools from Objects and Images
The User Interface > The Ribbon, Menus, and Other Tool Locations > Other Tool Locations > Tool Palettes > Create and Use Tools from Objects and Images >
Create and Use Tools from Objects and Images
Concept Procedure Quick Reference

To display the Tool Palettes window

To create a tool from an object in the current drawing

To use a tool created from a geometric object

To use a tool created from a dimension

To use a tool on a tool flyout

To add or remove a tool flyout

To customize a tool flyout

To use a tool created from a hatch

To use a tool created from a gradient fill

To use a tool created from a block, xref, or raster image

To be prompted for a rotation angle when placing a block or xref from a tool palette


To display the Tool Palettes window (Procedure)

Create and Use Tools from Objects and Images
Up a level to ..
Create and Use Tools from Objects and Images
The User Interface > The Ribbon, Menus, and Other Tool Locations > Other Tool Locations > Tool Palettes > Create and Use Tools from Objects and Images >
Create and Use Tools from Objects and Images
Concept Procedure Quick Reference

To display the Tool Palettes window

  • Click Tools menu [image] Palettes [image] Tool Palettes.At the command prompt, enter ToolPalettesClose.
  • Alternatively, you can press CTRL+3.
Toolbar: Standard
Command entry: TOOLPALETTES


To create a tool from an object in the current drawing (Procedure)

Create and Use Tools from Objects and Images
Up a level to ..
Create and Use Tools from Objects and Images
The User Interface > The Ribbon, Menus, and Other Tool Locations > Other Tool Locations > Tool Palettes > Create and Use Tools from Objects and Images >
Create and Use Tools from Objects and Images
Concept Procedure Quick Reference

To create a tool from an object in the current drawing

  1. In the current drawing, select an object such as a dimension, block, hatch, gradient fill, raster image, xref, or any geometric object.
  2. Drag the object to a tool palette and, without releasing the mouse button, move the cursor to the place on the tool palette where you want the tool.

    You can switch to a different tab by hovering over the tab for a few seconds. The black line indicates where the tool is located.

  3. Release the mouse button.
Toolbar: Standard
Command entry: TOOLPALETTES


To use a tool created from a geometric object (Procedure)

Create and Use Tools from Objects and Images
Up a level to ..
Create and Use Tools from Objects and Images
The User Interface > The Ribbon, Menus, and Other Tool Locations > Other Tool Locations > Tool Palettes > Create and Use Tools from Objects and Images >
Create and Use Tools from Objects and Images
Concept Procedure Quick Reference

To use a tool created from a geometric object

  1. On a tool palette, click the geometric object tool you want to use.
  2. Use the tool as if you selected the corresponding option from the Draw menu or the corresponding button on the Draw toolbar, following the command prompts.

    The geometric object you create has the same properties as the tool you selected from the tool palette.

Toolbar: Standard
Command entry: TOOLPALETTES


To use a tool created from a dimension (Procedure)

Create and Use Tools from Objects and Images
Up a level to ..
Create and Use Tools from Objects and Images
The User Interface > The Ribbon, Menus, and Other Tool Locations > Other Tool Locations > Tool Palettes > Create and Use Tools from Objects and Images >
Create and Use Tools from Objects and Images
Concept Procedure Quick Reference

To use a tool created from a dimension

  1. On a tool palette, click the dimension tool you want to use.
  2. Use the tool as if you selected the corresponding option from the Dimension menu or the corresponding button on the Dimension toolbar, following the command prompts.

    The dimension you create has the same dimension style and properties as the tool you selected from the tool palette.

Toolbar: Standard
Command entry: TOOLPALETTES


To use a tool on a tool flyout (Procedure)

Create and Use Tools from Objects and Images
Up a level to ..
Create and Use Tools from Objects and Images
The User Interface > The Ribbon, Menus, and Other Tool Locations > Other Tool Locations > Tool Palettes > Create and Use Tools from Objects and Images >
Create and Use Tools from Objects and Images
Concept Procedure Quick Reference

To use a tool on a tool flyout

  1. On a tool palette, click the arrow on the right side of the dimension tool or the geometric object tool you want to use.
  2. On the flyout, select a tool.
  3. Use the tool as if you selected the corresponding option from a menu or the corresponding button on a toolbar, following the command prompts.

    The object you create has the same properties as the tool whose icon you selected on the tool flyout.

Toolbar: Standard
Command entry: TOOLPALETTES


To add or remove a tool flyout (Procedure)

Create and Use Tools from Objects and Images
Up a level to ..
Create and Use Tools from Objects and Images
The User Interface > The Ribbon, Menus, and Other Tool Locations > Other Tool Locations > Tool Palettes > Create and Use Tools from Objects and Images >
Create and Use Tools from Objects and Images
Concept Procedure Quick Reference

To add or remove a tool flyout

  1. On a tool palette, right-click the geometric object tool or the dimension tool whose flyout you want to add or remove. Click Properties.
  2. In the Tool Properties dialog box, under Command, click in the Use Flyout box.
  3. In the drop-down list, select Yes if you want to add a flyout, or select No if you want to remove one.
  4. Click OK.
    NoteIf you remove the flyout from a tool but then add the flyout back, the image, name, and description (the tooltip) that displays on the tool palette for each tool on the flyout will not be accurate. To correct this, return the image, name, and description of the flyout tool to the default settings. See To change the image, name, and description of a flyout tool to the default settings.
Toolbar: Standard
Command entry: TOOLPALETTES


To customize a tool flyout (Procedure)

Create and Use Tools from Objects and Images
Up a level to ..
Create and Use Tools from Objects and Images
The User Interface > The Ribbon, Menus, and Other Tool Locations > Other Tool Locations > Tool Palettes > Create and Use Tools from Objects and Images >
Create and Use Tools from Objects and Images
Concept Procedure Quick Reference

To customize a tool flyout

  1. On a tool palette, right-click the geometric object tool or dimension tool whose flyout you want to customize. Click Properties.
  2. In the Tool Properties dialog box, under Command, click in the Flyout Options box. Click the [...] button.
  3. In the Flyout Options dialog box, select the tools that you want to show on the flyout. Click OK. (You must select at least one tool.)
  4. In the Tool Properties dialog box, click OK.
Toolbar: Standard
Command entry: TOOLPALETTES


To use a tool created from a hatch (Procedure)

Create and Use Tools from Objects and Images
Up a level to ..
Create and Use Tools from Objects and Images
The User Interface > The Ribbon, Menus, and Other Tool Locations > Other Tool Locations > Tool Palettes > Create and Use Tools from Objects and Images >
Create and Use Tools from Objects and Images
Concept Procedure Quick Reference

To use a tool created from a hatch

  1. On a tool palette, click a hatch tool and drag it to an object in the drawing.
  2. Release the mouse button to apply the hatch to the object.

    The hatch you create has the same hatch style and properties as the tool you selected from the tool palette.

Toolbar: Standard
Command entry: TOOLPALETTES


To use a tool created from a gradient fill (Procedure)

Create and Use Tools from Objects and Images
Up a level to ..
Create and Use Tools from Objects and Images
The User Interface > The Ribbon, Menus, and Other Tool Locations > Other Tool Locations > Tool Palettes > Create and Use Tools from Objects and Images >
Create and Use Tools from Objects and Images
Concept Procedure Quick Reference

To use a tool created from a gradient fill

  1. On a tool palette, click a gradient fill tool and drag it to an object in the drawing.
  2. Release the mouse button to apply the gradient fill to the object.

    The gradient fill you create has the same style and properties as the tool you selected from the tool palette.

Toolbar: Standard
Command entry: TOOLPALETTES


To use a tool created from a block, xref, or raster image (Procedure)

Create and Use Tools from Objects and Images
Up a level to ..
Create and Use Tools from Objects and Images
The User Interface > The Ribbon, Menus, and Other Tool Locations > Other Tool Locations > Tool Palettes > Create and Use Tools from Objects and Images >
Create and Use Tools from Objects and Images
Concept Procedure Quick Reference

To use a tool created from a block, xref, or raster image

  1. On a tool palette, click the block, xref, or raster image you want to insert into your drawing.
  2. Drag the block, xref, or raster image to the appropriate place in the drawing.
  3. Release the mouse button to insert the block, xref, or raster image.

    The block, xref, or raster image you insert has the same properties as the tool you selected from the tool palette.

Toolbar: Standard
Command entry: TOOLPALETTES


To be prompted for a rotation angle when placing a block or xref from a tool palette (Procedure)

Create and Use Tools from Objects and Images
Up a level to ..
Create and Use Command Tools
The User Interface > The Ribbon, Menus, and Other Tool Locations > Other Tool Locations > Tool Palettes > Create and Use Tools from Objects and Images >
Create and Use Tools from Objects and Images
Concept Procedure Quick Reference

To be prompted for a rotation angle when placing a block or xref from a tool palette

  1. In a tool palette, right-click a block or xref tool. Click Properties.
  2. In the Tool Properties dialog box, under Insert, click Prompt for Rotation.
  3. In the drop-down list, select Yes.
  4. Click OK.
    NoteThis option ignores the angle specified under Rotation in the Tool Properties dialog box. The rotation angle prompt does not display if you drag the block or xref, or if you enter rotate at the initial insertion command prompt.
Toolbar: Standard
Command entry: TOOLPALETTES


Create and Use Tools from Objects and Images (Quick Reference)

Toolbars
Create and Use Tools from Objects and Images
Create and Use Command Tools
The User Interface > The Ribbon, Menus, and Other Tool Locations > Other Tool Locations > Tool Palettes > Create and Use Tools from Objects and Images >
Create and Use Tools from Objects and Images
Concept Procedure Quick Reference

Commands

CUSTOMIZE

Customizes tool palettes

TOOLPALETTES

Opens the Tool Palettes window

TOOLPALETTESCLOSE

Closes the Tool Palettes window

UNITS

Controls coordinate and angle display formats and precision

System Variables

INSUNITSDEFSOURCE

Sets source content units value when INSUNITS is set to 0

INSUNITSDEFTARGET

Sets target drawing units value when INSUNITS is set to 0

PALETTEOPAQUE

Controls whether windows can be made transparent

TPSTATE

Indicates whether the Tool Palettes window is open or closed

Utilities

No entries

Command Modifiers

No entries


Create and Use Command Tools (Concept)

Create and Use Tools from Objects and Images
Tool Palettes
Change Tool Palette Settings
The User Interface > The Ribbon, Menus, and Other Tool Locations > Other Tool Locations > Tool Palettes >
Create and Use Command Tools
Concept Procedure Quick Reference

You can create a tool on a tool palette that executes a single command or a string of commands.

You can add frequently used commands to a tool palette. When the Customize dialog box is open, you can drag tools from a toolbar to a tool palette or you can drag tools from the Customize User Interface (CUI) editor to a tool palette.

Once you add a command to a tool palette, you can click the tool to execute the command. For example, clicking a Save tool on a tool palette saves a drawing just as the Save button on the Standard toolbar does.

You can also create a tool that executes a string of commands or customized commands, such as an AutoLISP® routine, a VBA macro or application, or a script.

NoteEven though the tools on palettes can be clicked when the Customize User Interface (CUI) editor is displayed, the end results might be unpredictable. It is best to not use any of the tools on a palette while the Customize User Interface (CUI) editor is displayed.


Create and Use Command Tools (Procedure)

Create and Use Tools from Objects and Images
Up a level to ..
Create and Use Command Tools
The User Interface > The Ribbon, Menus, and Other Tool Locations > Other Tool Locations > Tool Palettes > Create and Use Command Tools >
Create and Use Command Tools
Concept Procedure Quick Reference

To create a command tool from a toolbar button

To create a command tool that executes multiple or customized commands (advanced)

To use a command tool


To create a command tool from a toolbar button (Procedure)

Create and Use Command Tools
Up a level to ..
Create and Use Command Tools
The User Interface > The Ribbon, Menus, and Other Tool Locations > Other Tool Locations > Tool Palettes > Create and Use Command Tools >
Create and Use Command Tools
Concept Procedure Quick Reference

To create a command tool from a toolbar button

  1. Make sure the toolbar that contains the command you want to add to the tool palette is displayed.

    If the required toolbar is not displayed, right-click any displayed toolbar and select another toolbar from the list.

  2. Click Tools tab [image] Customize panel [image] Tool Palettes. Entercustomize at the command prompt.
    NoteEven though you won't make any changes in the Customize dialog box in this procedure, it must be displayed when you add command tools to a tool palette.
  3. In the program, drag a command (button) from a toolbar to the tool palette and, without releasing the mouse button, move the cursor to the place on the tool palette where you want the tool.

    The black horizontal line indicates where the tool will be located.

  4. Release the mouse button.
  5. In the Customize dialog box, click Close.
Command entry: CUSTOMIZE


Create and Use Command Tools (Procedure)

Create and Use Command Tools
Up a level to ..
Create and Use Command Tools
The User Interface > The Ribbon, Menus, and Other Tool Locations > Other Tool Locations > Tool Palettes > Create and Use Command Tools >
Create and Use Command Tools
Concept Procedure Quick Reference

To create a command tool from the Customize User Interface

  1. Click Tools tab [image] Customization panel [image] User Interface. Enter CUI at the Command prompt.

    If the Tool Palettes window is covered up, move the CUI dialog box off to the side.

  2. In the Command List pane, drag a command to the tool palette and, without releasing the mouse button, move the cursor to the place on the tool palette where you want the tool.

    The black horizontal line indicates where the tool will be located.

  3. Release the mouse button.
  4. In the CUI dialog box, click Close.
Command entry: CUI


To create a command tool that executes multiple or customized commands (advanced) (Procedure)

Create and Use Command Tools
Up a level to ..
Create and Use Command Tools
The User Interface > The Ribbon, Menus, and Other Tool Locations > Other Tool Locations > Tool Palettes > Create and Use Command Tools >
Create and Use Command Tools
Concept Procedure Quick Reference

To create a command tool that executes multiple or customized commands (advanced)

  1. Click Tools tab [image] Customize panel [image] Tool Palettes. Entercustomize at the command prompt.
  2. In the program, drag a command from a toolbar to the tool palette and, without releasing the mouse button, move the cursor to the place on the tool palette where you want the tool.
  3. Release the mouse button.
  4. On the tool palette, right-click the tool. Click Properties.
  5. In the Tool Properties dialog box, change the name and description to an appropriate name and description for the string, AutoLISP routine, or script.
  6. Under Command, in the Command String box, enter a string of commands or customized commands, such as an AutoLISP routine, a VBA macro or application, or a script.
  7. Click OK.
Command entry: CUSTOMIZE


To use a command tool (Procedure)

Create and Use Command Tools
Up a level to ..
Change Tool Palette Settings
The User Interface > The Ribbon, Menus, and Other Tool Locations > Other Tool Locations > Tool Palettes > Create and Use Command Tools >
Create and Use Command Tools
Concept Procedure Quick Reference

To use a command tool

  1. On a tool palette, click the command tool that you want to use.
  2. Follow any command prompts that are shown.


Create and Use Command Tools (Quick Reference)

Create and Use Tools from Objects and Images
Create and Use Command Tools
Change Tool Palette Settings
The User Interface > The Ribbon, Menus, and Other Tool Locations > Other Tool Locations > Tool Palettes > Create and Use Command Tools >
Create and Use Command Tools
Concept Procedure Quick Reference

Commands

CUI

Manages customized user interface elements such as workspaces, toolbars, menus, shortcut menus and keyboard shortcuts

CUSTOMIZE

Customizes tool palettes

TOOLPALETTES

Opens the Tool Palettes window

TOOLPALETTESCLOSE

Closes the Tool Palettes window

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Change Tool Palette Settings (Concept)

Create and Use Command Tools
Tool Palettes
Control Tool Properties
The User Interface > The Ribbon, Menus, and Other Tool Locations > Other Tool Locations > Tool Palettes >
Change Tool Palette Settings
Concept Procedure Quick Reference

The options and settings for tool palettes are accessible from shortcut menus that are displayed when you right-click in different areas of the Tool Palettes window.

You can dock the Tool Palettes window on the right or left edge of the application window. Press the CTRL key if you want to prevent docking as you move the Tool Palettes window.

Tool palette settings are saved with your profile.

These settings include

  • Allow Docking. Toggles the ability to dock or anchor palette windows. If this option is selected, a window can be docked when you drag it over a docking area at the side of a drawing. A docked window adheres to the side of the application window and causes the drawing area to be resized. Selecting this option also makes Anchor Right and Anchor Left available.
  • Anchor Left or Anchor Right. Attaches the palette to an anchor tab base at the left or right side of the drawing area. The palette rolls open and closed as the cursor moves across it. When an anchored palette is open, its content overlaps the drawing area. An anchored palette cannot be set to stay open.
  • Auto-hide. Controls the display of the palette when it is floating. When this option is selected, only the tool palette title bar is displayed when the cursor moves outside the tool palette. When this option is cleared, the palette stays open continuously. You can display the tool palette title bar as either icons or text from the shortcut menu of the title bar.
  • Transparency. Sets the transparency of the Tool Palettes window so it does not obscure objects under it.
  • Views. Changes the display style and size of the icons in a tool palette.


Change Tool Palette Settings (Procedure)

Create and Use Command Tools
Up a level to ..
Change Tool Palette Settings
The User Interface > The Ribbon, Menus, and Other Tool Locations > Other Tool Locations > Tool Palettes > Change Tool Palette Settings >
Change Tool Palette Settings
Concept Procedure Quick Reference

To change the transparency of the Tool Palettes window

To change the icon display style in the Tool Palettes window


Change Tool Palette Settings (Procedure)

Change Tool Palette Settings
Up a level to ..
Change Tool Palette Settings
The User Interface > The Ribbon, Menus, and Other Tool Locations > Other Tool Locations > Tool Palettes > Change Tool Palette Settings >
Change Tool Palette Settings
Concept Procedure Quick Reference

To change the rollover behavior of the Tool Palettes window

  • Click the Auto-Hide button at the bottom of the title bar of the Tool Palettes window.

Rollover behavior is on.

Rollover behavior is off.

NoteRollover behavior is available only when the Tool Palettes window is undocked.


To change the transparency of the Tool Palettes window (Procedure)

Change Tool Palette Settings
Up a level to ..
Change Tool Palette Settings
The User Interface > The Ribbon, Menus, and Other Tool Locations > Other Tool Locations > Tool Palettes > Change Tool Palette Settings >
Change Tool Palette Settings
Concept Procedure Quick Reference

To change the transparency of the Tool Palettes window

  1. Right-click the title bar of the Tool Palettes window. Click Transparency.
  2. In the Transparency dialog box, adjust the level of transparency for the Tool Palettes window. Click OK.
    NoteTransparency is available only when the Tool Palettes window is undocked.


To change the icon display style in the Tool Palettes window (Procedure)

Change Tool Palette Settings
Up a level to ..
Control Tool Properties
The User Interface > The Ribbon, Menus, and Other Tool Locations > Other Tool Locations > Tool Palettes > Change Tool Palette Settings >
Change Tool Palette Settings
Concept Procedure Quick Reference

To change the icon display style in the Tool Palettes window

  1. Right-click a blank area inside the Tool Palettes window. Click View Options.
  2. In the View Options dialog box, click the icon display option that you want to set. You can also change the size of the icons.
  3. Click the list box under Apply To, and then select either Current Tool Palette or All Tool Palettes.
  4. Click OK.


Change Tool Palette Settings (Quick Reference)

Create and Use Command Tools
Change Tool Palette Settings
Control Tool Properties
The User Interface > The Ribbon, Menus, and Other Tool Locations > Other Tool Locations > Tool Palettes > Change Tool Palette Settings >
Change Tool Palette Settings
Concept Procedure Quick Reference

Commands

CUSTOMIZE

Customizes tool palettes

TOOLPALETTES

Opens the Tool Palettes window

TOOLPALETTESCLOSE

Closes the Tool Palettes window

System Variables

PALETTEOPAQUE

Controls whether windows can be made transparent

TPSTATE

Indicates whether the Tool Palettes window is open or closed

Utilities

No entries

Command Modifiers

No entries


Control Tool Properties (Concept)

Change Tool Palette Settings
Tool Palettes
Customize Tool Palettes
The User Interface > The Ribbon, Menus, and Other Tool Locations > Other Tool Locations > Tool Palettes >
Control Tool Properties
Concept Procedure Quick Reference

You can change the properties of any tool on a tool palette.

Once a tool is on a tool palette, you can change its properties. For example, you can change the insertion scale of a block or the angle of a hatch pattern.

To change tool properties, right-click on a tool, and then click Properties on the shortcut menu to display the Tool Properties dialog box. The Tool Properties dialog box has the following two categories of properties:

  • Insert or Pattern properties. Control object-specific properties such as scale, rotation, and angle.
  • General properties. Override the current drawing property settings such as layer, color, and linetype.

You can expand and collapse the property categories by clicking the arrow buttons.

Specify a Different Icon for a Tool

You can replace the icon for a tool with an image that you specify. This is useful when the automatically generated icon is too cluttered to be easily recognizable.

To replace the image, right-click the tool in the tool palette and click Specify Image on the shortcut menu.

To restore the default image for a tool, right-click the tool and click Remove Specified Image.

Update the Icon for a Tool

The icon for a block, xref, or raster image in a tool palette is not automatically updated if its definition changes. If you change the definition for a block, xref, or raster image, you can update the icon by right-clicking the tool in the palette and clicking Update Tool Image. You must save the drawing before you can update the tool image.

Alternatively, you can delete the tool, and then replace it using DesignCenter™.

Specify Overrides for Tool Properties

In some cases, you may want to assign specific property overrides to a tool. For example, you may want a hatch to be placed automatically on a pre-specified layer, regardless of the current layer setting. This feature can save you time and reduce errors by setting properties automatically when creating certain objects.

The Tool Properties dialog box provides areas for each possible property override.

Layer property overrides affect color, linetype, lineweight, plot style, and plot. Layer property overrides are resolved as follows:

  • If a layer is missing from the drawing, that layer is created automatically.
  • If a layer to which you are adding content is currently turned off or frozen, the layer is temporarily turned on or thawed.


Control Tool Properties (Procedure)

Change Tool Palette Settings
Up a level to ..
Control Tool Properties
The User Interface > The Ribbon, Menus, and Other Tool Locations > Other Tool Locations > Tool Palettes > Control Tool Properties >
Control Tool Properties
Concept Procedure Quick Reference

To display the properties of a tool on a tool palette

To change the property of a tool on a tool palette

To refresh the image of a block tool on a tool palette

To change the image of a tool on a tool palette

To change the image, name, and description of a flyout tool to the default settings


To display the properties of a tool on a tool palette (Procedure)

Control Tool Properties
Up a level to ..
Control Tool Properties
The User Interface > The Ribbon, Menus, and Other Tool Locations > Other Tool Locations > Tool Palettes > Control Tool Properties >
Control Tool Properties
Concept Procedure Quick Reference

To display the properties of a tool on a tool palette

  1. On a tool palette, right-click a tool. Click Properties.
  2. In the Tool Properties dialog box, use the scroll bar to view all tool properties.

    You can resize the Tool Properties dialog box by dragging an edge, or you can expand and collapse the property categories by clicking the double arrow buttons.

  3. Click OK.


To change the property of a tool on a tool palette (Procedure)

Control Tool Properties
Up a level to ..
Control Tool Properties
The User Interface > The Ribbon, Menus, and Other Tool Locations > Other Tool Locations > Tool Palettes > Control Tool Properties >
Control Tool Properties
Concept Procedure Quick Reference

To change the property of a tool on a tool palette

  1. On a tool palette, right-click a tool. Click Properties.
  2. In the Tool Properties dialog box, click any property in the list of properties and specify the new value or setting.
    • Properties listed under the Insert or Pattern category control object-specific properties such as scale, rotation, and angle.
    • Properties listed under the General category override the current drawing property settings such as layer, color, and linetype.
    • Auxiliary scale for a block or a hatch tool overrides the regular scale setting when the tool is used. (An auxiliary scale multiplies your current scale setting by the plot scale or the dimension scale.)

    You can resize the Tool Properties dialog box by dragging an edge, or you can expand and collapse the property categories by clicking the arrow buttons.

  3. Click OK.
    NoteIf you specify an image, name, or description for a tool that has a flyout, that image, name, and description are displayed on the tool palette for each tool on the flyout. To return the flyout tool's image, name, and description to their default settings, leave the corresponding boxes blank in the Tool Properties dialog box.
Toolbar: Standard
Command entry: TOOLPALETTES


To refresh the image of a block tool on a tool palette (Procedure)

Control Tool Properties
Up a level to ..
Control Tool Properties
The User Interface > The Ribbon, Menus, and Other Tool Locations > Other Tool Locations > Tool Palettes > Control Tool Properties >
Control Tool Properties
Concept Procedure Quick Reference

To refresh the image of a block tool on a tool palette

  1. On a tool palette, right-click a tool.
  2. Click Update Tool Image.
    NoteYou must save the drawing before you can update the tool image.
Toolbar: Standard
Command entry: TOOLPALETTES


To change the image of a tool on a tool palette (Procedure)

Control Tool Properties
Up a level to ..
Control Tool Properties
The User Interface > The Ribbon, Menus, and Other Tool Locations > Other Tool Locations > Tool Palettes > Control Tool Properties >
Control Tool Properties
Concept Procedure Quick Reference

To change the image of a tool on a tool palette

  1. On a tool palette, right-click a tool.
  2. On the shortcut menu, click Specify Image.
  3. In the Select Image File dialog box, locate the image file you want to use.
  4. Click Open to insert the new image.
    NoteIf you specify an image for a tool that has a flyout, that image is displayed on the tool palette for each tool on the flyout. To return the flyout tool images to their default images, see To change the image, name, and description of a flyout tool to the default settings.
Toolbar: Standard
Command entry: TOOLPALETTES


To change the image, name, and description of a flyout tool to the default settings (Procedure)

Control Tool Properties
Up a level to ..
Customize Tool Palettes
The User Interface > The Ribbon, Menus, and Other Tool Locations > Other Tool Locations > Tool Palettes > Control Tool Properties >
Control Tool Properties
Concept Procedure Quick Reference

To change the image, name, and description of a flyout tool to the default settings

  1. On a tool palette, right-click a tool. Click Properties.
  2. In the Tool Properties dialog box, right-click in the image area. Click Delete Image.
  3. Click in the Name box and delete the text.
  4. Click in the Description box and delete the text.
  5. Click OK.
    NoteLeaving the Image, Name, and Description boxes blank in the Tool Properties dialog box will return the flyout tool's image, name, and description to their default settings.
Toolbar: Standard
Command entry: TOOLPALETTES


Control Tool Properties (Quick Reference)

Change Tool Palette Settings
Control Tool Properties
Customize Tool Palettes
The User Interface > The Ribbon, Menus, and Other Tool Locations > Other Tool Locations > Tool Palettes > Control Tool Properties >
Control Tool Properties
Concept Procedure Quick Reference

Commands

CUSTOMIZE

Customizes tool palettes

TOOLPALETTES

Opens the Tool Palettes window

TOOLPALETTESCLOSE

Closes the Tool Palettes window

TPNAVIGATE

Displays a specified tool palette or palette group

System Variables

PALETTEOPAQUE

Controls whether windows can be made transparent

TPSTATE

Indicates whether the Tool Palettes window is open or closed

Utilities

No entries

Command Modifiers

No entries


Customize Tool Palettes (Concept)

Control Tool Properties
Tool Palettes
Organize Tool Palettes
The User Interface > The Ribbon, Menus, and Other Tool Locations > Other Tool Locations > Tool Palettes >
Customize Tool Palettes
Concept Procedure Quick Reference

You can add tools to a tool palette with several methods.

You can create new tool palettes using the Properties button on the title bar of the Tool Palettes window. Add tools to a tool palette with the following methods:

  • Drag any of the following onto your tool palette: geometric objects such as lines, circles, and polylines; dimensions; hatches; gradient fills; blocks; xrefs; raster images.
  • Drag drawings, blocks, and hatches from DesignCenter to the tool palette. Drawings that are added to a tool palette are inserted as blocks when dragged into the drawing.
  • Use the Customize dialog box to drag commands to a tool palette just as you might add them to a toolbar.
  • Use the Customize User Interface (CUI) editor to drag commands to a tool palette from the Command List pane.
  • Use Cut, Copy, and Paste to move or copy tools from one tool palette to another.
  • Manage tool palettes by creating new palettes from scratch, renaming, deleting or moving palettes with the shortcut menu.
    NoteIt is not recommended to create or rename tool palettes when the Customize User Interface (CUI) editor is displayed.
  • Create a tool palette tab with predetermined content by right-clicking a folder, a drawing file, or a block in the DesignCenter tree view, and then clicking Create Tool Palette on the shortcut menu.

  • You can associate a customizable tool palette group with each panel on the ribbon. Right-click the ribbon panel to display a list of available tool palette groups.
NoteIf the source drawing file for a block, xref, or raster image tool is moved to a different folder, you must modify the tool that references it by right-clicking the tool and, in the Tool Properties dialog box, specifying the new source file folder.

Rearranging Tools and Tool Palettes

Once tools are placed on a tool palette, you can rearrange them by dragging them around or by sorting them. You can also add text and separator lines to tool palettes.

You can move a tool palette tab up and down the list of tabs by using the tool palette shortcut menu or the Tool Palettes tab of the Customize dialog box. Similarly, you can delete tool palettes that you no longer need. Tool palettes that are deleted are lost unless they are first saved by exporting them to a file. You can control the path to your tool palettes on the Files tab in the Options dialog box. This path can be to a shared network location.

Read-Only Tool Palettes

If a tool palette file is set with a read-only attribute, a lock icon is displayed in a lower corner of the tool palette. This indicates that you cannot modify the tool palette beyond changing its display settings and rearranging the icons.

To apply a read-only attribute to a tool palette, right-click the tool palette (ATC) file in the following location: C:\documents and settings\<user name>\application data\autodesk\AutoCAD 2009\r17.2\enu\support\ToolPalette\Palettes. On the shortcut menu, click Properties. On the General tab, select Read-only, and click OK.


Customize Tool Palettes (Procedure)

Control Tool Properties
Up a level to ..
Customize Tool Palettes
The User Interface > The Ribbon, Menus, and Other Tool Locations > Other Tool Locations > Tool Palettes > Customize Tool Palettes >
Customize Tool Palettes
Concept Procedure Quick Reference

To create a tool palette

To create a tool palette from a folder or a drawing

To associate a tool palette group with a ribbon panel

To display the tool palette group associated with a ribbon panel

To rename a tool palette

To delete a tool palette

To change the position of a tool palette

To add text to a tool palette

To add a separator line to a tool palette

To sort items in a tool palette


To create a tool palette (Procedure)

Customize Tool Palettes
Up a level to ..
Customize Tool Palettes
The User Interface > The Ribbon, Menus, and Other Tool Locations > Other Tool Locations > Tool Palettes > Customize Tool Palettes >
Customize Tool Palettes
Concept Procedure Quick Reference

To create a tool palette

  1. Right-click a blank area inside the Tool Palettes window. Click New Palette.
  2. In the text box, enter a name for the new palette.
  3. If necessary, right-click over the tab and select Move Up or Move Down to change the order in which the tab appears in.
Toolbar: Standard
Command entry: TOOLPALETTES


To create a tool palette from a folder or a drawing (Procedure)

Customize Tool Palettes
Up a level to ..
Customize Tool Palettes
The User Interface > The Ribbon, Menus, and Other Tool Locations > Other Tool Locations > Tool Palettes > Customize Tool Palettes >
Customize Tool Palettes
Concept Procedure Quick Reference

To create a tool palette from a folder or a drawing

  1. If DesignCenter is not already open, click Tools menu [image] Palettes [image] DesignCenter.If DesignCenter is not already open, at the command prompt, enter adcclose.
  2. In the DesignCenter tree view or the content area, right-click a folder, drawing file, or block. Click Create Tool Palette.

    A new tool palette is created that contains all the blocks and hatches in the selected folder or drawing.

Toolbar: Standard
Command entry: ADCENTER


To associate a tool palette group with a ribbon panel (Procedure)

Customize Tool Palettes
Up a level to ..
Customize Tool Palettes
The User Interface > The Ribbon, Menus, and Other Tool Locations > Other Tool Locations > Tool Palettes > Customize Tool Palettes >
Customize Tool Palettes
Concept Procedure Quick Reference

To associate a tool palette group with a ribbon panel

  1. Click Tools [image] Palettes [image] Tool Palettes.At the command prompt, enter toolpalettes
  2. On the ribbon, right-click a ribbon panel and click Tool Palette Group.
  3. Click an available tool palette group from the list.


To display the tool palette group associated with a ribbon panel (Procedure)

Customize Tool Palettes
Up a level to ..
Customize Tool Palettes
The User Interface > The Ribbon, Menus, and Other Tool Locations > Other Tool Locations > Tool Palettes > Customize Tool Palettes >
Customize Tool Palettes
Concept Procedure Quick Reference

To display the tool palette group associated with a ribbon panel

  • Right-click a ribbon panel and click Show Related Tool Palette Group.


To rename a tool palette (Procedure)

Customize Tool Palettes
Up a level to ..
Customize Tool Palettes
The User Interface > The Ribbon, Menus, and Other Tool Locations > Other Tool Locations > Tool Palettes > Customize Tool Palettes >
Customize Tool Palettes
Concept Procedure Quick Reference

To rename a tool palette

  1. Right-click a blank area inside the Tool Palettes window. Click Rename Palette.
  2. In the text box, enter a new name for the palette.
Toolbar: Standard
Command entry: TOOLPALETTES


To delete a tool palette (Procedure)

Customize Tool Palettes
Up a level to ..
Customize Tool Palettes
The User Interface > The Ribbon, Menus, and Other Tool Locations > Other Tool Locations > Tool Palettes > Customize Tool Palettes >
Customize Tool Palettes
Concept Procedure Quick Reference

To delete a tool palette

  1. Right-click a blank area inside the Tool Palettes window. Click Delete Palette.
  2. In the Confirm Palette Deletion message box, click OK to delete the tool palette.
    NoteThere is no way to undo the deletion of a tool palette. It is recommended that you first export the tool palette before making any deletions. Use the Export option in the Customize dialog box.
Toolbar: Standard
Command entry: TOOLPALETTES


To change the position of a tool palette (Procedure)

Customize Tool Palettes
Up a level to ..
Customize Tool Palettes
The User Interface > The Ribbon, Menus, and Other Tool Locations > Other Tool Locations > Tool Palettes > Customize Tool Palettes >
Customize Tool Palettes
Concept Procedure Quick Reference

To change the position of a tool palette

  1. Right-click the tab that represents the tool palette you want to move in the Tool Palettes Window. Click Move Up or Move Down.
  2. Repeat step 1 until the tool palette has been moved to the desired location.
    NoteYou can also change the order of a tool palette by right-clicking on the title bar of a tool palette, and then clicking Customize Palettes.
Toolbar: Standard
Command entry: TOOLPALETTES


To add text to a tool palette (Procedure)

Customize Tool Palettes
Up a level to ..
Customize Tool Palettes
The User Interface > The Ribbon, Menus, and Other Tool Locations > Other Tool Locations > Tool Palettes > Customize Tool Palettes >
Customize Tool Palettes
Concept Procedure Quick Reference

To add text to a tool palette

  1. Right-click a blank area inside the Tool Palettes window. Click Add Text.
  2. In the text box, add the text you want to display in the window.
  3. If necessary, drag the text to the appropriate location in the window.
Toolbar: Standard
Command entry: TOOLPALETTES


To add a separator line to a tool palette (Procedure)

Customize Tool Palettes
Up a level to ..
Customize Tool Palettes
The User Interface > The Ribbon, Menus, and Other Tool Locations > Other Tool Locations > Tool Palettes > Customize Tool Palettes >
Customize Tool Palettes
Concept Procedure Quick Reference

To add a separator line to a tool palette

  1. Right-click a blank area inside the Tool Palettes window. Click Add Separator.
  2. If necessary, drag the separator to the appropriate location in the window.
Toolbar: Standard
Command entry: TOOLPALETTES


To sort items in a tool palette (Procedure)

Customize Tool Palettes
Up a level to ..
Organize Tool Palettes
The User Interface > The Ribbon, Menus, and Other Tool Locations > Other Tool Locations > Tool Palettes > Customize Tool Palettes >
Customize Tool Palettes
Concept Procedure Quick Reference

To sort items in a tool palette

  • Right-click a blank area inside the Tool Palettes window. Click Sort By [image] Name or Sort By [image] Type.
    NoteItems are sorted in order, by text, separator, and tool.
Toolbar: Standard
Command entry: TOOLPALETTES


Customize Tool Palettes (Quick Reference)

Control Tool Properties
Customize Tool Palettes
Organize Tool Palettes
The User Interface > The Ribbon, Menus, and Other Tool Locations > Other Tool Locations > Tool Palettes > Customize Tool Palettes >
Customize Tool Palettes
Concept Procedure Quick Reference

Commands

CUSTOMIZE

Customizes tool palettes

TOOLPALETTES

Opens the Tool Palettes window

TOOLPALETTESCLOSE

Closes the Tool Palettes window

System Variables

PALETTEOPAQUE

Controls whether windows can be made transparent

TPSTATE

Indicates whether the Tool Palettes window is open or closed

Utilities

No entries

Command Modifiers

No entries


Organize Tool Palettes (Concept)

Customize Tool Palettes
Tool Palettes
Save and Share Tool Palettes
The User Interface > The Ribbon, Menus, and Other Tool Locations > Other Tool Locations > Tool Palettes >
Organize Tool Palettes
Concept Procedure Quick Reference

You can organize tool palettes into groups and specify which group of tool palettes is displayed.

For example, if you have several tool palettes that contain hatch patterns, you can use the CUSTOMIZE command to create a new palette group called Hatch Patterns. You can then add all your tool palettes that contain hatch patterns to the Hatch Pattern group.

When you set the Hatch Pattern group as the current group, only those tool palettes you've added to the group are displayed.


Organize Tool Palettes (Procedure)

Customize Tool Palettes
Up a level to ..
Organize Tool Palettes
The User Interface > The Ribbon, Menus, and Other Tool Locations > Other Tool Locations > Tool Palettes > Organize Tool Palettes >
Organize Tool Palettes
Concept Procedure Quick Reference

To create a tool palette group

To add a tool palette to a tool palette group

To remove a tool palette from a tool palette group

To display a tool palette group

To delete a tool palette group

To delete all tool palette groups

To rename a tool palette group

To rearrange tool palette groups

To create a tool palette group within another one

To copy and paste a tool palette from one group to another

To change the order of displayed tool palettes within a group

To change the order of displayed tool palettes when all of them are displayed

To display all tool palettes


To create a tool palette group (Procedure)

Organize Tool Palettes
Up a level to ..
Organize Tool Palettes
The User Interface > The Ribbon, Menus, and Other Tool Locations > Other Tool Locations > Tool Palettes > Organize Tool Palettes >
Organize Tool Palettes
Concept Procedure Quick Reference

To create a tool palette group

  1. Click Tools tab [image] Customize panel [image] Tool Palettes. Entercustomize at the command prompt.
  2. In the Customize dialog box, under Palette Groups, right-click on the lower, blank area. Click New Group.

    If there are no groups listed in the Palette Groups area, you can create a group by dragging a tool palette from the Tool Palettes area into the Palette Groups area.

  3. Enter a name for the tool palette group.
  4. Click Close.
Command entry: CUSTOMIZE


To add a tool palette to a tool palette group (Procedure)

Organize Tool Palettes
Up a level to ..
Organize Tool Palettes
The User Interface > The Ribbon, Menus, and Other Tool Locations > Other Tool Locations > Tool Palettes > Organize Tool Palettes >
Organize Tool Palettes
Concept Procedure Quick Reference

To add a tool palette to a tool palette group

  1. Click Tools tab [image] Customize panel [image] Tool Palettes. Entercustomize at the command prompt.
  2. In the Customize dialog box, drag a tool palette from the Tool Palettes area into a group in the Palette Groups area.
  3. Click Close.
Command entry: CUSTOMIZE


To remove a tool palette from a tool palette group (Procedure)

Organize Tool Palettes
Up a level to ..
Organize Tool Palettes
The User Interface > The Ribbon, Menus, and Other Tool Locations > Other Tool Locations > Tool Palettes > Organize Tool Palettes >
Organize Tool Palettes
Concept Procedure Quick Reference

To remove a tool palette from a tool palette group

  1. Click Tools tab [image] Customize panel [image] Tool Palettes. Entercustomize at the command prompt.
  2. In the Customize dialog box, under Palette Groups, right-click the name of the tool palette you want to remove. Click Remove.

    You can also drag the tool palette into the Tool Palettes area to remove it from a group.

  3. Click Close.
Command entry: CUSTOMIZE


To display a tool palette group (Procedure)

Organize Tool Palettes
Up a level to ..
Organize Tool Palettes
The User Interface > The Ribbon, Menus, and Other Tool Locations > Other Tool Locations > Tool Palettes > Organize Tool Palettes >
Organize Tool Palettes
Concept Procedure Quick Reference

To display a tool palette group

  1. Right-click on the title bar of a tool palette.
  2. Click the name of the tool palette group that you want to be shown.

You can also specify the tool palette group you want to be displayed using the Customize dialog box. Under Palette Groups, right-click the group you want to be shown. Click Set Current. The TPNAVIGATE command can be used to specify a tool palette group as well.

Command entry: CUSTOMIZE


To delete a tool palette group (Procedure)

Organize Tool Palettes
Up a level to ..
Organize Tool Palettes
The User Interface > The Ribbon, Menus, and Other Tool Locations > Other Tool Locations > Tool Palettes > Organize Tool Palettes >
Organize Tool Palettes
Concept Procedure Quick Reference

To delete a tool palette group

  1. Click Tools tab [image] Customize panel [image] Tool Palettes. Entercustomize at the command prompt.
  2. In the Customize dialog box, under Palette Groups, right-click the tool palette group you want to delete. Click Delete.
    NoteYou cannot delete a tool palette group if it is set as the current group. To delete a group that is set as the current group, you must first set another group as the current group.
  3. Click Close.
Command entry: CUSTOMIZE


To delete all tool palette groups (Procedure)

Organize Tool Palettes
Up a level to ..
Organize Tool Palettes
The User Interface > The Ribbon, Menus, and Other Tool Locations > Other Tool Locations > Tool Palettes > Organize Tool Palettes >
Organize Tool Palettes
Concept Procedure Quick Reference

To delete all tool palette groups

  1. Right-click on the title bar of a tool palette. Click All Palettes.
    NoteYou must display all tool palettes so that no tool palette group is set as the current group.
  2. Click Tools tab [image] Customize panel [image] Tool Palettes. Entercustomize at the command prompt.
  3. In the Customize dialog box, under Palette Groups, right-click a tool palette group. Click Delete.
  4. Repeat step 3 until all tool palette groups are deleted.
  5. When you are finished, click Close.
Command entry: CUSTOMIZE


To rename a tool palette group (Procedure)

Organize Tool Palettes
Up a level to ..
Organize Tool Palettes
The User Interface > The Ribbon, Menus, and Other Tool Locations > Other Tool Locations > Tool Palettes > Organize Tool Palettes >
Organize Tool Palettes
Concept Procedure Quick Reference

To rename a tool palette group

  1. Click Tools tab [image] Customize panel [image] Tool Palettes. Entercustomize at the command prompt.
  2. In the Customize dialog box, under Palette Groups, right-click the tool palette group you want to rename. Click Rename.
  3. Enter a new name for the tool palette group.
  4. Click Close.
Command entry: CUSTOMIZE


To rearrange tool palette groups (Procedure)

Organize Tool Palettes
Up a level to ..
Organize Tool Palettes
The User Interface > The Ribbon, Menus, and Other Tool Locations > Other Tool Locations > Tool Palettes > Organize Tool Palettes >
Organize Tool Palettes
Concept Procedure Quick Reference

To rearrange tool palette groups

  1. Click Tools tab [image] Customize panel [image] Tool Palettes. Entercustomize at the command prompt.
  2. In the Customize dialog box, under Palette Groups, click a tool palette group and drag it into the new position.

    Any other tool palette groups contained in the group you move will also be moved.

  3. Click Close.
    NoteYou cannot drag a tool palette group into a group that is contained by it.
Command entry: CUSTOMIZE


To create a tool palette group within another one (Procedure)

Organize Tool Palettes
Up a level to ..
Organize Tool Palettes
The User Interface > The Ribbon, Menus, and Other Tool Locations > Other Tool Locations > Tool Palettes > Organize Tool Palettes >
Organize Tool Palettes
Concept Procedure Quick Reference

To create a tool palette group within another one

  1. Click Tools tab [image] Customize panel [image] Tool Palettes. Entercustomize at the command prompt.
  2. In the Customize dialog box, under Palette Groups, right-click the tool palette group to which you want to add the new group. Click New Group.
  3. Enter a name for the new tool palette group.
  4. Click Close.
Command entry: CUSTOMIZE


To copy and paste a tool palette from one group to another (Procedure)

Organize Tool Palettes
Up a level to ..
Organize Tool Palettes
The User Interface > The Ribbon, Menus, and Other Tool Locations > Other Tool Locations > Tool Palettes > Organize Tool Palettes >
Organize Tool Palettes
Concept Procedure Quick Reference

To copy and paste a tool palette from one group to another

  1. Click Tools tab [image] Customize panel [image] Tool Palettes. Entercustomize at the command prompt.
  2. In the Customize dialog box, under Palette Groups, select the tool palette that you want to copy.
  3. Press CTRL while you drag the selected tool palette to another group.

    When you release the mouse button, a copy of the tool palette is displayed in the new location.

  4. Click Close.
Command entry: CUSTOMIZE


To change the order of displayed tool palettes within a group (Procedure)

Organize Tool Palettes
Up a level to ..
Organize Tool Palettes
The User Interface > The Ribbon, Menus, and Other Tool Locations > Other Tool Locations > Tool Palettes > Organize Tool Palettes >
Organize Tool Palettes
Concept Procedure Quick Reference

To change the order of displayed tool palettes within a group

  1. Click Tools tab [image] Customize panel [image] Tool Palettes. Entercustomize at the command prompt.
  2. In the Customize dialog box, under Palette Groups, drag a tool palette to the new location in its tool palette group.
  3. Click Close.
Command entry: CUSTOMIZE


To change the order of displayed tool palettes when all of them are displayed (Procedure)

Organize Tool Palettes
Up a level to ..
Organize Tool Palettes
The User Interface > The Ribbon, Menus, and Other Tool Locations > Other Tool Locations > Tool Palettes > Organize Tool Palettes >
Organize Tool Palettes
Concept Procedure Quick Reference

To change the order of displayed tool palettes when all of them are displayed

  1. Click Tools tab [image] Customize panel [image] Tool Palettes. Entercustomize at the command prompt.
  2. In the Customize dialog box, under Tool Palettes, drag a tool palette to the location you want.

    When all tool palettes are displayed, they are shown in the order they appear in this list.

  3. Click Close.
Command entry: CUSTOMIZE


To display all tool palettes (Procedure)

Organize Tool Palettes
Up a level to ..
Save and Share Tool Palettes
The User Interface > The Ribbon, Menus, and Other Tool Locations > Other Tool Locations > Tool Palettes > Organize Tool Palettes >
Organize Tool Palettes
Concept Procedure Quick Reference

To display all tool palettes

  • Right-click on the title bar of a tool palette. Click All Palettes.


Organize Tool Palettes (Quick Reference)

Customize Tool Palettes
Organize Tool Palettes
Save and Share Tool Palettes
The User Interface > The Ribbon, Menus, and Other Tool Locations > Other Tool Locations > Tool Palettes > Organize Tool Palettes >
Organize Tool Palettes
Concept Procedure Quick Reference

Commands

CUSTOMIZE

Customizes tool palettes

TOOLPALETTES

Opens the Tool Palettes window

TOOLPALETTESCLOSE

Closes the Tool Palettes window

TPNAVIGATE

Displays a specified tool palette or palette group

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Save and Share Tool Palettes (Concept)

Organize Tool Palettes
Tool Palettes
Status Bars
The User Interface > The Ribbon, Menus, and Other Tool Locations > Other Tool Locations > Tool Palettes >
Save and Share Tool Palettes
Concept Procedure Quick Reference

You can save and share a tool palette or tool palette group by exporting it or importing it as a file.

You can save and share a tool palette by exporting it or importing it as a tool palette file. Tool palette files have an .xtp file extension.

Similarly, you can save and share a tool palette group by exporting it or importing it as a palette group file. Tool palette files have an .xpg file extension.

In some cases, when you export a customized tool palette, an image folder with the same name as the exported tool palette is automatically created in the same location as the XTP file. This image folder contains the icon images used on the exported tool palette. The folder is created when you export a tool palette that contains any of the following items:

  • User-created content tools
  • Command tools that contain user-specified (custom) tool palette icons (images)

When you import a customized tool palette, this image folder must be in the same location as the imported XTP file in order for the icons to appear on the tool palette.

Tool palettes can be used only in the version of AutoCAD in which they were created. For example, you cannot use a tool palette that was created in AutoCAD 2009 in AutoCAD 2005.

The default path for tool palette files is set on the Files tab of the Options dialog box under Tool Palettes File Locations.

Tool palette groups are saved in profiles.

If you send tool palettes to someone who uses AutoCAD LT, note that some tools created in AutoCAD do not behave the same way or work in AutoCAD LT. Note the following limitations:

  • The color property of tools that use a color other than an AutoCAD Color Index (ACI) color convert to ByLayer in AutoCAD LT.
  • Gradient fill tools switch to hatch tools in AutoCAD LT.
  • Raster image tools do not work in AutoCAD LT.
NoteIf a tool palette file is set with a read-only attribute, a lock icon is displayed in a lower corner of the tool palette. This indicates that you cannot modify the tool palette beyond changing its display settings and rearranging the icons.
See Also

    • Save and Restore Interface Settings (Profiles)


Save and Share Tool Palettes (Procedure)

Organize Tool Palettes
Up a level to ..
Save and Share Tool Palettes
The User Interface > The Ribbon, Menus, and Other Tool Locations > Other Tool Locations > Tool Palettes > Save and Share Tool Palettes >
Save and Share Tool Palettes
Concept Procedure Quick Reference

To share a tool palette

To share a tool palette group


To share a tool palette (Procedure)

Save and Share Tool Palettes
Up a level to ..
Save and Share Tool Palettes
The User Interface > The Ribbon, Menus, and Other Tool Locations > Other Tool Locations > Tool Palettes > Save and Share Tool Palettes >
Save and Share Tool Palettes
Concept Procedure Quick Reference

To share a tool palette

  1. Click Tools tab [image] Customize panel [image] Tool Palettes. Entercustomize at the command prompt.
  2. In the Customize dialog box, under Palettes, right-click a tool palette. On the shortcut menu, click Export.
  3. In the Export Palette dialog box, enter a file name and click Save.
  4. Click Close.
Command entry: CUSTOMIZE


To share a tool palette group (Procedure)

Save and Share Tool Palettes
Up a level to ..
Status Bars
The User Interface > The Ribbon, Menus, and Other Tool Locations > Other Tool Locations > Tool Palettes > Save and Share Tool Palettes >
Save and Share Tool Palettes
Concept Procedure Quick Reference

To share a tool palette group

  1. Click Tools tab [image] Customize panel [image] Tool Palettes. Entercustomize at the command prompt.
  2. In the Customize dialog box, under Palette Groups, right-click a tool palette group. Click Export.
  3. In the Export Group dialog box, enter a file name and click Save.
  4. Click Close.
Command entry: CUSTOMIZE


Save and Share Tool Palettes (Quick Reference)

Organize Tool Palettes
Save and Share Tool Palettes
Application Status Bar
The User Interface > The Ribbon, Menus, and Other Tool Locations > Other Tool Locations > Tool Palettes > Save and Share Tool Palettes >
Save and Share Tool Palettes
Concept Procedure Quick Reference

Commands

CUSTOMIZE

Customizes tool palettes

TOOLPALETTES

Opens the Tool Palettes window

TOOLPALETTESCLOSE

Closes the Tool Palettes window

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Status Bars

Save and Share Tool Palettes
Other Tool Locations
Application Status Bar
The User Interface > The Ribbon, Menus, and Other Tool Locations > Other Tool Locations >
Status Bars
Concept Procedure

The application and drawing status bars provide useful information and buttons for turning drawing tools on and off.

The display of the application and drawing status bars can be controlled with the STATUSBAR system variable or by using a workspace. For more information about controlling which status bars are displayed using a workspace, see Customize Workspaces.

Topics in this section

  • Application Status Bar

    The application status bar displays the coordinate values of your cursor, drawing tools, navigation tools, and tools for Quick View and annotation scaling.

  • Drawing Status Bar

    The drawing status bar displays several tools for scaling annotations.


Status Bars (Procedure)

Save and Share Tool Palettes
Up a level to ..
Application Status Bar
The User Interface > The Ribbon, Menus, and Other Tool Locations > Other Tool Locations > Status Bars >
Status Bars
Concept Procedure

To display the application status bar

To control the display of icons and notifications in the status bar tray

To control the display of buttons on the status bar

To control the display of coordinates on the status bar

To display the drawing tools as text

To turn the drawing status bar on or off

To control the display of buttons on the drawing status bar


Application Status Bar (Concept)

Status Bars
Status Bars
Drawing Status Bar
The User Interface > The Ribbon, Menus, and Other Tool Locations > Other Tool Locations > Status Bars >
Application Status Bar
Concept Procedure Quick Reference

The application status bar displays the coordinate values of your cursor, drawing tools, navigation tools, and tools for Quick View and annotation scaling.

You can view the drawing tool buttons as icons or text. You also can easily change the settings of snap, polar, osnap, and otrack from the shortcut menus of these drawing tools.

With Quick View, you can preview and switch between open drawings and layouts in a drawing. For more information, see Preview Open Drawings and Layouts. You use the navigation tools to switch between open drawings and view a model in a drawing. For more information, see Navigation Tools. Tools for annotation scaling can also be displayed. For more information about annotation scaling, see Scale Annotations.

With the Workspace button, you can switch workspaces. The lock button locks the current positions of the toolbars and windows. To expand the drawing display area, click the Clean Screen button. For more information, see Set Interface Options.

You can add or remove a button from the application status bar from the shortcut menu of the status bar.

NoteWhen the application status bar is turned off, the Clean Screen button is not displayed on the screen.
See Also

    • Drawing Status Bar


Application Status Bar (Procedure)

Status Bars
Up a level to ..
Application Status Bar
The User Interface > The Ribbon, Menus, and Other Tool Locations > Other Tool Locations > Status Bars > Application Status Bar >
Application Status Bar
Concept Procedure Quick Reference

To display the application status bar

To control the display of icons and notifications in the status bar tray

To control the display of buttons on the status bar

To control the display of coordinates on the status bar

To display the drawing tools as text


To display the application status bar (Procedure)

Application Status Bar
Up a level to ..
Application Status Bar
The User Interface > The Ribbon, Menus, and Other Tool Locations > Other Tool Locations > Status Bars > Application Status Bar >
Application Status Bar
Concept Procedure Quick Reference

To display the application status bar

  • Enter STATUSBAR at the command prompt and set the value to 1 or 2.
Command entry: STATUSBAR


To control the display of icons and notifications in the status bar tray (Procedure)

Application Status Bar
Up a level to ..
Application Status Bar
The User Interface > The Ribbon, Menus, and Other Tool Locations > Other Tool Locations > Status Bars > Application Status Bar >
Application Status Bar
Concept Procedure Quick Reference

To control the display of icons and notifications in the status bar tray

  1. Click the Status Bar Menu arrow at the right end of the status bar, and then click Tray Settings.
  2. In the Tray Settings dialog box, select or clear the following display options:
    • Display Icons from Services. Displays the tray at the right end of the status bar and displays icons from services. When this option is cleared, the tray is not displayed.
    • Display Notifications from Services. Displays notifications from services such as Communications Center. When the Display Icons from Services option is cleared, this option is unavailable.
  3. If Display Notifications from Services is selected, set a time for a notification to be displayed, or select Display Until Closed.
  4. Click OK.
Shortcut menu: Right-click an empty area on the status bar. Click Tray Settings.
Command entry: TRAYSETTINGS


To control the display of buttons on the status bar (Procedure)

Application Status Bar
Up a level to ..
Application Status Bar
The User Interface > The Ribbon, Menus, and Other Tool Locations > Other Tool Locations > Status Bars > Application Status Bar >
Application Status Bar
Concept Procedure Quick Reference

To control the display of buttons on the status bar

  • Click the arrow at the right end of the status bar and click any button name to change the display.

Items with a check mark next to them are displayed on the status bar.

Shortcut menu: Right-click an empty area on the status bar. Click a button name.


To control the display of coordinates on the status bar (Procedure)

Application Status Bar
Up a level to ..
Application Status Bar
The User Interface > The Ribbon, Menus, and Other Tool Locations > Other Tool Locations > Status Bars > Application Status Bar >
Application Status Bar
Concept Procedure Quick Reference

To control the display of coordinates on the status bar

  • Click the arrow at the right end of the status bar and click Cursor Coordinate Values.

Items with a check mark next to them are displayed on the status bar.

Shortcut menu: Right-click an empty area on the status bar. Click Cursor Coordinate Values.


To display the drawing tools as text (Procedure)

Application Status Bar
Up a level to ..
Drawing Status Bar
The User Interface > The Ribbon, Menus, and Other Tool Locations > Other Tool Locations > Status Bars > Application Status Bar >
Application Status Bar
Concept Procedure Quick Reference

To display the drawing tools as text

  • Right-click on any of drawing tool. Click Use Icons.


Application Status Bar (Quick Reference)

Save and Share Tool Palettes
Application Status Bar
Drawing Status Bar
The User Interface > The Ribbon, Menus, and Other Tool Locations > Other Tool Locations > Status Bars > Application Status Bar >
Application Status Bar
Concept Procedure Quick Reference

Commands

TRAYSETTINGS

Controls the display of icons and notifications in the status bar tray

System Variables

STATUSBAR

Controls the display of the application and drawing status bars

TRAYICONS

Controls whether a tray is displayed on the status bar

TRAYNOTIFY

Controls whether service notifications are displayed in the status bar tray

TRAYTIMEOUT

Controls the length of time (in seconds) that service notifications are displayed

Utilities

No entries

Command Modifiers

No entries


Drawing Status Bar (Concept)

Application Status Bar
Status Bars
Shortcut Menus
The User Interface > The Ribbon, Menus, and Other Tool Locations > Other Tool Locations > Status Bars >
Drawing Status Bar
Concept Procedure Quick Reference

The drawing status bar displays several tools for scaling annotations.

Different tools display for model space and paper space.

When the drawing status bar is turned on, it displays at the bottom of the drawing area. When the drawing status bar is turned off, the tools found on the drawing status bar are moved to the application status bar.

When the drawing status bar is turned on, you can use the Drawing Status Bar menu to select which tool to display on the status bar.

See Also

    • Scale Annotations

    • Application Status Bar


Drawing Status Bar (Procedure)

Application Status Bar
Up a level to ..
Drawing Status Bar
The User Interface > The Ribbon, Menus, and Other Tool Locations > Other Tool Locations > Status Bars > Drawing Status Bar >
Drawing Status Bar
Concept Procedure Quick Reference

To turn the drawing status bar on or off

To control the display of buttons on the drawing status bar


To turn the drawing status bar on or off (Procedure)

Drawing Status Bar
Up a level to ..
Drawing Status Bar
The User Interface > The Ribbon, Menus, and Other Tool Locations > Other Tool Locations > Status Bars > Drawing Status Bar >
Drawing Status Bar
Concept Procedure Quick Reference

To turn the drawing status bar on or off

Do one of the following:

  • Click Tools menu [image] Options. Enter cui at the command prompt. In the Options dialog box, Display tab, select or clear Display Drawing Status Bar.
  • Click the arrow at the end of the right end of the status bar and select Drawing Status Bar.

    A check mark next to the drawing status bar indicates that the it is turned on.

  • On the ribbon, click the Windows Element panel in the View tab. Click Drawing Status Bar.


To control the display of buttons on the drawing status bar (Procedure)

Drawing Status Bar
Up a level to ..
Shortcut Menus
The User Interface > The Ribbon, Menus, and Other Tool Locations > Other Tool Locations > Status Bars > Drawing Status Bar >
Drawing Status Bar
Concept Procedure Quick Reference

To control the display of buttons on the drawing status bar

  • Click the arrow at the right end of the drawing status bar and select any option name to change the display.

    Items with a check mark next to them are displayed on the drawing status bar.


Drawing Status Bar (Quick Reference)

Application Status Bar
Drawing Status Bar
Shortcut Menus
The User Interface > The Ribbon, Menus, and Other Tool Locations > Other Tool Locations > Status Bars > Drawing Status Bar >
Drawing Status Bar
Concept Procedure Quick Reference

Commands

TRAYSETTINGS

Controls the display of icons and notifications in the status bar tray

System Variables

STATUSBAR

Controls the display of the application and drawing status bars

TRAYICONS

Controls whether a tray is displayed on the status bar

TRAYNOTIFY

Controls whether service notifications are displayed in the status bar tray

TRAYTIMEOUT

Controls the length of time (in seconds) that service notifications are displayed

Utilities

No entries

Command Modifiers

No entries


Shortcut Menus (Concept)

Drawing Status Bar
Other Tool Locations
DesignCenter
The User Interface > The Ribbon, Menus, and Other Tool Locations > Other Tool Locations >
Shortcut Menus
Concept Procedure Quick Reference

Display a shortcut menu for quick access to commands that are relevant to your current activity.

You can display different shortcut menus when you right-click different areas of the screen, including

  • Within the drawing area with or without any objects selected
  • Within the drawing area during a command
  • Within the text and command windows
  • Within areas and on icons in DesignCenter
  • Within areas and on text in the In-Place Text Editor
  • On a toolbar or tool palette
  • On the Model or layout tabs
  • On the status bar or the status bar buttons
  • In certain dialog boxes

Shortcut menus typically include options to

  • Repeat the last command entered
  • Cancel the current command
  • Display a list of recent user input
  • Cut, copy, and paste from the Clipboard
  • Select a different command option
  • Display a dialog box, such as Options or Customize
  • Undo the last command entered

You can customize right-click behavior to be time-sensitive, so that a quick right-click acts the same as pressing ENTER, and a longer right-click displays a shortcut menu.

Shortcut menus can be customized using a customization (CUI) file. The main CUI file is called acad.cui by default.

See Also

    • Create Submenus in the Customization Guide


Shortcut Menus (Procedure)

Drawing Status Bar
Up a level to ..
Shortcut Menus
The User Interface > The Ribbon, Menus, and Other Tool Locations > Other Tool Locations > Shortcut Menus >
Shortcut Menus
Concept Procedure Quick Reference

To display a shortcut menu

To turn off shortcut menus in the drawing area

To turn on time-sensitive right-click behavior

To control the display of recent input


To display a shortcut menu (Procedure)

Shortcut Menus
Up a level to ..
Shortcut Menus
The User Interface > The Ribbon, Menus, and Other Tool Locations > Other Tool Locations > Shortcut Menus >
Shortcut Menus
Concept Procedure Quick Reference

To display a shortcut menu

  1. At the command prompt, move the cursor over an area, feature, or icon.
  2. Right-click your mouse, or press the equivalent button on your pointing device.

    A shortcut menu relevant to the cursor location is displayed. If one or more objects are selected when you right-click in the drawing area, an editing-oriented shortcut menu is displayed. You can also display a shortcut menu during PAN or ZOOM.


To turn off shortcut menus in the drawing area (Procedure)

Shortcut Menus
Up a level to ..
Shortcut Menus
The User Interface > The Ribbon, Menus, and Other Tool Locations > Other Tool Locations > Shortcut Menus >
Shortcut Menus
Concept Procedure Quick Reference

To turn off shortcut menus in the drawing area

  1. Click Tools menu [image] Options.At the command prompt, enter options.
  2. In the Options dialog box, User Preferences tab, under Windows Standard Behavior, clear Shortcut Menus in Drawing Area.
  3. To control Default, Edit, and Command shortcut menus individually, select Shortcut Menus in Drawing Area. Right-Click Customization.
  4. In the Right-Click Customization dialog box, under Default Mode or Edit Mode, select one of the following options to control what happens when you right-click in the drawing area and no command is in progress:
    • Repeat Last Command. Repeats the last command. Selecting this option turns off the Default and Edit shortcut menus. Right-clicking is the same as pressing ENTER.
    • Shortcut Menu. Displays the Default or Edit shortcut menu.
  5. Under Command Mode, select one of the following options to determine what happens when you right-click in the drawing area while a command is in progress:
    • Enter. Turns off the Command shortcut menu. Right-clicking is the same as pressing ENTER.
    • Shortcut Menu: Always Enabled. Displays the Command shortcut menu.
    • Shortcut Menu: Enabled When Command Options Are Present. Displays the Command shortcut menu only when options are currently available in the command prompt. In a Command prompt, options are enclosed in square brackets. If no options are available, right-clicking is the same as pressing ENTER.

    In addition to turning the Default, Edit, and Command shortcut menus on and off, you can customize the options that are displayed on them. For example, you can add options to the Edit shortcut menu that are displayed only when circles are selected.


To turn on time-sensitive right-click behavior (Procedure)

Shortcut Menus
Up a level to ..
Shortcut Menus
The User Interface > The Ribbon, Menus, and Other Tool Locations > Other Tool Locations > Shortcut Menus >
Shortcut Menus
Concept Procedure Quick Reference

To turn on time-sensitive right-click behavior

  1. Click Tools menu [image] Options.At the command prompt, enter options.
  2. In the Options dialog box, User Preferences tab, under Windows Standard Behavior, click Right-Click Customization.
  3. In the Right-Click Customization dialog box, select Turn on Time-Sensitive Right-Click.

    You can specify the duration of the longer click. The default is 250 milliseconds

  4. Click Apply & Close.
  5. In the Options dialog box, click OK.
Command entry: OPTIONS


To control the display of recent input (Procedure)

Shortcut Menus
Up a level to ..
DesignCenter
The User Interface > The Ribbon, Menus, and Other Tool Locations > Other Tool Locations > Shortcut Menus >
Shortcut Menus
Concept Procedure Quick Reference

To control the display of recent input

  1. At the command prompt, enter inputhistorymode.
  2. Enter a sum of one or more of the following values:
    • 0. No history of recent input is displayed.
    • 1. History of recent input is displayed at the command prompt with access through Up Arrow and Down Arrow keys.
    • 2. History of recent input for the current command is displayed in the shortcut menu.
    • 4. History of recent input for all commands in the current session is displayed in the shortcut menu.
    • 8. Markers for recent input of point locations are displayed in the drawing.

    The default value is 15.

  3. (Optional) At the command prompt, enter cmdinputhistorymax.
  4. Enter a value to control how many unique values entered at a prompt are remembered and available to be displayed as recent input.


Shortcut Menus (Quick Reference)

Drawing Status Bar
Shortcut Menus
Overview of DesignCenter
The User Interface > The Ribbon, Menus, and Other Tool Locations > Other Tool Locations > Shortcut Menus >
Shortcut Menus
Concept Procedure Quick Reference

Commands

COPYCLIP

Copies selected objects to the Clipboard

COPYHIST

Copies the text in the command line history to the Clipboard

CUI

Manages customized user interface elements such as workspaces, toolbars, menus, shortcut menus and keyboard shortcuts

CUTCLIP

Moves the selected objects to the Clipboard and removes them from the drawing

OPTIONS

Customizes the program settings

PAN

Moves the view in the current viewport

PASTECLIP

Inserts data from the Clipboard

PROPERTIES

Controls properties of existing objects

TRAYSETTINGS

Controls the display of icons and notifications in the status bar tray

U

Reverses the most recent operation

ZOOM

Increases or decreases the apparent size of objects in the current viewport

System Variables

CMDINPUTHISTORYMAX

Sets the maximum number of previous input values that are stored for a prompt in a command

INPUTHISTORYMODE

Controls the content and location of the display of a history of user input

PICKFIRST

Controls whether you select objects before (noun-verb selection) or after you issue a command

SHORTCUTMENU

Controls whether Default, Edit, and Command mode shortcut menus are available in the drawing area

TRAYICONS

Controls whether a tray is displayed on the status bar

TRAYNOTIFY

Controls whether service notifications are displayed in the status bar tray

TRAYTIMEOUT

Controls the length of time (in seconds) that service notifications are displayed

Utilities

No entries

Command Modifiers

No entries


DesignCenter

Shortcut Menus
Other Tool Locations
Overview of DesignCenter
The User Interface > The Ribbon, Menus, and Other Tool Locations > Other Tool Locations >
DesignCenter
Concept Procedure

With DesignCenter, you can manage block references, xrefs, and other content such as layer definitions, layouts, and text styles.

Topics in this section

  • Overview of DesignCenter
  • Understand the DesignCenter Window

    You can control the size, location, and appearance of DesignCenter.

  • Access Content with DesignCenter

    The tree view in the left portion of the DesignCenter window and the four DesignCenter tabs help you find and load content into the content area.

  • Add Content with DesignCenter

    The right portion of the DesignCenter window operates on the content displayed.

  • Retrieve Content from the Web with DesignCenter Online

    DesignCenter Online provides access to pre-drawn content such as blocks, symbol libraries, manufacturers' content, and online catalogs.


DesignCenter (Procedure)

Shortcut Menus
Up a level to ..
Understand the DesignCenter Window
The User Interface > The Ribbon, Menus, and Other Tool Locations > Other Tool Locations > DesignCenter >
DesignCenter
Concept Procedure

To change the DesignCenter rollover behavior

To prevent DesignCenter from docking

To display and hide the DesignCenter tree view

To change the source of the content displayed in DesignCenter

To change the folder of the Home button in DesignCenter

To add items to the Favorites folder in DesignCenter

To display the contents of the Favorites folder in DesignCenter

To organize your DesignCenter Favorites folder

To create a tool palette containing DesignCenter content

To load the content area from the DesignCenter Search dialog box

To load the content area of DesignCenter with a symbol library

To load the content area of DesignCenter with hatch patterns

To open a drawing from DesignCenter

To update a block definition with DesignCenter


Overview of DesignCenter (Concept)

DesignCenter
DesignCenter
Understand the DesignCenter Window
The User Interface > The Ribbon, Menus, and Other Tool Locations > Other Tool Locations > DesignCenter >
Overview of DesignCenter
Concept Quick Reference

With DesignCenter, you can organize access to drawings, blocks, hatches, and other drawing content. You can drag content from any source drawing to your current drawing. You can drag drawings, blocks, and hatches to a tool palette. Source drawings can be on your computer, on a network location, or on a website. In addition, if you have multiple drawings open, you can use DesignCenter to streamline your drawing process by copying and pasting other content, such as layer definitions, layouts, and text styles between drawings.

With DesignCenter, you can

  • Browse for drawing content such as drawings or symbol libraries on your computer, on a networked drive, and on a web page
  • View definition tables for named objects such as blocks and layers in any drawing file and then insert, attach, or copy and paste the definitions into the current drawing
  • Update (redefine) a block definition
  • Create shortcuts to drawings, folders, and Internet locations that you access frequently
  • Add content such as xrefs, blocks, and hatches to a drawing
  • Open drawing files in a new window
  • Drag drawings, blocks, and hatches to a tool palette for convenient access


Overview of DesignCenter (Quick Reference)

Shortcut Menus
Overview of DesignCenter
Understand the DesignCenter Window
The User Interface > The Ribbon, Menus, and Other Tool Locations > Other Tool Locations > DesignCenter > Overview of DesignCenter >
Overview of DesignCenter
Concept Quick Reference

Commands

ADCENTER

Manages and inserts content such as blocks, xrefs, and hatch patterns

ADCNAVIGATE

Loads a specified DesignCenter drawing file, folder, or network path

System Variables

ADCSTATE

Indicates whether DesignCenter is active or not

Utilities

No entries

Command Modifiers

No entries


Understand the DesignCenter Window (Concept)

Overview of DesignCenter
DesignCenter
Access Content with DesignCenter
The User Interface > The Ribbon, Menus, and Other Tool Locations > Other Tool Locations > DesignCenter >
Understand the DesignCenter Window
Concept Procedure Quick Reference

You can control the size, location, and appearance of DesignCenter.

The Organization of the DesignCenter Window

The DesignCenter window is divided into the tree view on the left side and the content area on the right side. Use the tree view to browse sources of content and to display content in the content area. Use the content area to add items to a drawing or to a tool palette.

Undocked, the DesignCenter window is displayed as shown.

Below the content area, you can also display a preview or a description of a selected drawing, block, hatch pattern, or xref. A toolbar at the top of the window provides several options and operations.

Control the Size, Location, and Appearance of DesignCenter

You can control the size, location, and appearance of DesignCenter. Many of these options can be set by right-clicking and selecting an option on the shortcut menu.

  • Resize DesignCenter by dragging the bar between the content area and the tree view or by dragging an edge of the window.
  • Dock DesignCenter by dragging it over the right or left docking region of the application window until it snaps into the docked position. You can also dock the DesignCenter window by double-clicking its title bar.
  • Undock DesignCenter by dragging the area above the toolbar away from the docking region. Pressing CTRL while dragging prevents docking.
  • Anchor DesignCenter by choosing Anchor Right or Anchor Left from the shortcut menu. An anchored DesignCenter window rolls open and closed as the cursor moves across it. When an anchored DesignCenter window is open, its content overlaps the drawing area. It cannot be set to stay open.
  • When DesignCenter is floating, use Auto-hide to set it to roll open and closed as the cursor moves across it.

The DesignCenter Toolbar

The DesignCenter toolbar controls navigation and display of information in the tree view and the content area. For information about these buttons, see the ADCENTER command. The same navigation and display options are available on the shortcut menu. Right-click in the DesignCenter content area to display the menu.


Understand the DesignCenter Window (Procedure)

DesignCenter
Up a level to ..
Understand the DesignCenter Window
The User Interface > The Ribbon, Menus, and Other Tool Locations > Other Tool Locations > DesignCenter > Understand the DesignCenter Window >
Understand the DesignCenter Window
Concept Procedure Quick Reference

To change the DesignCenter rollover behavior

To prevent DesignCenter from docking

To display and hide the DesignCenter tree view


To change the DesignCenter rollover behavior (Procedure)

Understand the DesignCenter Window
Up a level to ..
Understand the DesignCenter Window
The User Interface > The Ribbon, Menus, and Other Tool Locations > Other Tool Locations > DesignCenter > Understand the DesignCenter Window >
Understand the DesignCenter Window
Concept Procedure Quick Reference

To change the DesignCenter rollover behavior

  1. If DesignCenter is not already open, click Tools [image] Palettes [image] DesignCenterEnter adcenter at the command prompt.
  2. Right-click the DesignCenter title bar. Click Auto-hide.

    When the DesignCenter rollover option is turned on, the DesignCenter tree view and content area disappear when you move your cursor off the DesignCenter window, leaving only the title bar. When you move your cursor over the title bar, the DesignCenter window is restored.

Toolbar: Standard
Command entry: ADCENTER


To prevent DesignCenter from docking (Procedure)

Understand the DesignCenter Window
Up a level to ..
Understand the DesignCenter Window
The User Interface > The Ribbon, Menus, and Other Tool Locations > Other Tool Locations > DesignCenter > Understand the DesignCenter Window >
Understand the DesignCenter Window
Concept Procedure Quick Reference

To prevent DesignCenter from docking

  1. If DesignCenter is not already open, click Tools [image] Palettes [image] DesignCenterEnter adcenter at the command prompt.
  2. Click and hold on the DesignCenter title bar. Press CTRL as you move your mouse.
Toolbar: Standard
Command entry: ADCENTER


To display and hide the DesignCenter tree view (Procedure)

Understand the DesignCenter Window
Up a level to ..
Access Content with DesignCenter
The User Interface > The Ribbon, Menus, and Other Tool Locations > Other Tool Locations > DesignCenter > Understand the DesignCenter Window >
Understand the DesignCenter Window
Concept Procedure Quick Reference

To display and hide the DesignCenter tree view

  1. If DesignCenter is not already open, click Tools [image] Palettes [image] DesignCenterEnter adcenter at the command prompt.
  2. On the DesignCenter toolbar, click Tree View Toggle.
Toolbar: Standard
Command entry: ADCENTER
Shortcut menu: Right-click the content area background and click Tree.


Understand the DesignCenter Window (Quick Reference)

Overview of DesignCenter
Understand the DesignCenter Window
Access Content with DesignCenter
The User Interface > The Ribbon, Menus, and Other Tool Locations > Other Tool Locations > DesignCenter > Understand the DesignCenter Window >
Understand the DesignCenter Window
Concept Procedure Quick Reference

Commands

ADCENTER

Manages and inserts content such as blocks, xrefs, and hatch patterns

ADCNAVIGATE

Loads a specified DesignCenter drawing file, folder, or network path

System Variables

ADCSTATE

Indicates whether DesignCenter is active or not

Utilities

No entries

Command Modifiers

No entries


Access Content with DesignCenter (Concept)

Understand the DesignCenter Window
DesignCenter
Add Content with DesignCenter
The User Interface > The Ribbon, Menus, and Other Tool Locations > Other Tool Locations > DesignCenter >
Access Content with DesignCenter
Concept Procedure Quick Reference

The tree view in the left portion of the DesignCenter window and the four DesignCenter tabs help you find and load content into the content area.

Folders Tab

The Folders tab displays a hierarchy of navigational icons, including

  • Networks and computers
  • Web addresses (URLs)
  • Computer drives
  • Folders
  • Drawings and related support files
  • Xrefs, layouts, hatch styles, and named objects, including blocks, layers, linetypes, text styles, dimension styles, table styles, multileader styles, and plot styles within a drawing

Click an item in the tree view to display its contents in the content area. Click the plus (+) or minus (-) sign to display and hide additional levels in the hierarchy. You can also double-click an item to display deeper levels. Right-clicking in the tree view displays a shortcut menu with several related options.

Open Drawings, History, and DC Online Tabs

The Open Drawings, History, and DC Online tabs provide alternate methods of locating content.

  • Open Drawings. Displays a list of the drawings that are currently open. Click a drawing file and then click one of the definition tables from the list to load the content into the content area.
  • History. Displays a list of files opened previously with DesignCenter. Double-click a drawing file from the list to navigate to the drawing file in the tree view of the Folders tab and to load the content into the content area.
  • DC Online. Provides content from the DesignCenter Online web page including blocks, symbol libraries, manufacturer's content, and online catalogs.

Bookmark Frequently Used Content

DesignCenter provides a solution to finding content that you need to access quickly on a regular basis. Both the tree view and the content area include options that activate a folder called Favorites. The Favorites folder can contain shortcuts to content on local or network drives as well as in Internet locations.

When you select a drawing, folder, or another type of content and choose Add to Favorites, a shortcut to that item is added to the Favorites folder. The original file or folder doesn't actually move; in fact, all the shortcuts you create are stored in the Favorites folder. The shortcuts saved in the Favorites folder can be moved, copied, or deleted using Windows® Explorer.


Access Content with DesignCenter (Procedure)

Understand the DesignCenter Window
Up a level to ..
Access Content with DesignCenter
The User Interface > The Ribbon, Menus, and Other Tool Locations > Other Tool Locations > DesignCenter > Access Content with DesignCenter >
Access Content with DesignCenter
Concept Procedure Quick Reference

To change the source of the content displayed in DesignCenter

To change the folder of the Home button in DesignCenter

To add items to the Favorites folder in DesignCenter

To display the contents of the Favorites folder in DesignCenter

To organize your DesignCenter Favorites folder


To change the source of the content displayed in DesignCenter (Procedure)

Access Content with DesignCenter
Up a level to ..
Access Content with DesignCenter
The User Interface > The Ribbon, Menus, and Other Tool Locations > Other Tool Locations > DesignCenter > Access Content with DesignCenter >
Access Content with DesignCenter
Concept Procedure Quick Reference

To change the source of the content displayed in DesignCenter

  1. If DesignCenter is not already open, click Tools [image] Palettes [image] DesignCenterEnter adcenter at the command prompt.
  2. On the DesignCenter window, click one of the following tabs:
    • Folders. Lists your local and network drives.
    • Open Drawings. Lists the drawings that are currently open.
    • History. Lists the last 20 locations accessed through DesignCenter.
    • DC Online. Displays online content from the Web.
Toolbar: Standard
Command entry: ADCENTER


To change the folder of the Home button in DesignCenter (Procedure)

Access Content with DesignCenter
Up a level to ..
Access Content with DesignCenter
The User Interface > The Ribbon, Menus, and Other Tool Locations > Other Tool Locations > DesignCenter > Access Content with DesignCenter >
Access Content with DesignCenter
Concept Procedure Quick Reference

To change the folder of the Home button in DesignCenter

  1. If DesignCenter is not already open, click Tools [image] Palettes [image] DesignCenterEnter adcenter at the command prompt.
  2. In the DesignCenter tree view, navigate to the folder that you want to set as home.
  3. Right-click on the folder. Click Set as Home.

When you click the Home button, DesignCenter will automatically load this folder.

Toolbar: Standard
Command entry: ADCENTER


To add items to the Favorites folder in DesignCenter (Procedure)

Access Content with DesignCenter
Up a level to ..
Access Content with DesignCenter
The User Interface > The Ribbon, Menus, and Other Tool Locations > Other Tool Locations > DesignCenter > Access Content with DesignCenter >
Access Content with DesignCenter
Concept Procedure Quick Reference

To add items to the Favorites folder in DesignCenter

  1. If DesignCenter is not already open, click Tools [image] Palettes [image] DesignCenterEnter adcenter at the command prompt.
  2. Right-click the item in the DesignCenter tree view or content area. Click Add to Favorites.
Toolbar: Standard
Command entry: ADCENTER


To display the contents of the Favorites folder in DesignCenter (Procedure)

Access Content with DesignCenter
Up a level to ..
Access Content with DesignCenter
The User Interface > The Ribbon, Menus, and Other Tool Locations > Other Tool Locations > DesignCenter > Access Content with DesignCenter >
Access Content with DesignCenter
Concept Procedure Quick Reference

To display the contents of the Favorites folder in DesignCenter

  1. If DesignCenter is not already open, click Tools [image] Palettes [image] DesignCenterEnter adcenter at the command prompt.
  2. In DesignCenter, click the Favorites button.

    When you are working in the tree view, you can use the Folders tab to navigate to the Favorites folder.

Toolbar: Standard
Command entry: ADCENTER


To organize your DesignCenter Favorites folder (Procedure)

Access Content with DesignCenter
Up a level to ..
Add Content with DesignCenter
The User Interface > The Ribbon, Menus, and Other Tool Locations > Other Tool Locations > DesignCenter > Access Content with DesignCenter >
Access Content with DesignCenter
Concept Procedure Quick Reference

To organize your DesignCenter Favorites folder

  1. If DesignCenter is not already open, click Tools [image] Palettes [image] DesignCenterEnter adcenter at the command prompt.
  2. In DesignCenter, click the Favorites button.
  3. Right-click the background in the content area. Click Organize Favorites.

    Your Autodesk Favorites folder is opened in a window.

Toolbar: Standard
Command entry: ADCENTER


Access Content with DesignCenter (Quick Reference)

Understand the DesignCenter Window
Access Content with DesignCenter
Add Content with DesignCenter
The User Interface > The Ribbon, Menus, and Other Tool Locations > Other Tool Locations > DesignCenter > Access Content with DesignCenter >
Access Content with DesignCenter
Concept Procedure Quick Reference

Commands

ADCENTER

Manages and inserts content such as blocks, xrefs, and hatch patterns

ADCNAVIGATE

Loads a specified DesignCenter drawing file, folder, or network path

System Variables

ADCSTATE

Indicates whether DesignCenter is active or not

Utilities

No entries

Command Modifiers

No entries


Add Content with DesignCenter (Concept)

Access Content with DesignCenter
DesignCenter
Retrieve Content from the Web with DesignCenter Online
The User Interface > The Ribbon, Menus, and Other Tool Locations > Other Tool Locations > DesignCenter >
Add Content with DesignCenter
Concept Procedure Quick Reference

The right portion of the DesignCenter window operates on the content displayed.

Double-clicking an item in the content area displays successive levels of detail. For example, double-clicking a drawing image displays several icons, including an icon for blocks. Double-clicking the Blocks icon displays images of each block in the drawing.

Add Content to a Drawing

You can add content from the content area into your current drawing using several methods:

  • Drag an item to the graphics area of a drawing to add it using default settings, if any.
  • Right-click an item in the content area to display a shortcut menu with several options.
  • Double-click a block to display the Insert dialog box; double-click a hatch to display the Boundary Hatch and Fill dialog box.

You can preview graphical content such as a drawing, xref, or block in the content area, and you can display a text description if available.

Update Block Definitions with DesignCenter

Unlike xrefs, when the source file of a block definition is changed, block definitions in the drawings that contain that block are not automatically updated. With DesignCenter, you decide whether a block definition should be updated in the current drawing. The source file of a block definition can be a drawing file or a nested block in a symbol library drawing.

From the shortcut menu displayed when you right-click a block or drawing file in the content area, click Redefine Only or Insert and Redefine to update the selected block.

Open Drawings with DesignCenter

With DesignCenter, you can open a drawing from the content area using the shortcut menu, pressing CTRL while dragging a drawing, or dragging a drawing icon to any location outside the graphics area of a drawing area. The drawing name is added to the DesignCenter history list for quick access in future sessions.

Add Items from DesignCenter to a Tool Palette

You can add drawings, blocks, and hatches from DesignCenter to the current tool palette.

  • From the DesignCenter content area, you can drag one or more items to the current tool palette.
  • From the DesignCenter tree view, you can right-click and, from the shortcut menu, create a new tool palette from the current folder, drawing file, or block icon.

When you add drawings to a tool palette, they are inserted as blocks when you drag them into the current drawing.

NoteYou can select multiple blocks or hatches from the content area to add them to a tool palette.


Add Content with DesignCenter (Procedure)

Access Content with DesignCenter
Up a level to ..
Add Content with DesignCenter
The User Interface > The Ribbon, Menus, and Other Tool Locations > Other Tool Locations > DesignCenter > Add Content with DesignCenter >
Add Content with DesignCenter
Concept Procedure Quick Reference

To create a tool palette containing DesignCenter content

To load the content area from the DesignCenter Search dialog box

To load the content area of DesignCenter with a symbol library

To load the content area of DesignCenter with hatch patterns

To open a drawing from DesignCenter

To update a block definition with DesignCenter


To create a tool palette containing DesignCenter content (Procedure)

Add Content with DesignCenter
Up a level to ..
Add Content with DesignCenter
The User Interface > The Ribbon, Menus, and Other Tool Locations > Other Tool Locations > DesignCenter > Add Content with DesignCenter >
Add Content with DesignCenter
Concept Procedure Quick Reference

To create a tool palette containing DesignCenter content

  1. If DesignCenter is not already open, click Tools [image] Palettes [image] DesignCenterEnter adcenter at the command prompt.
  2. Do one of the following:
    • Right-click an item in the DesignCenter tree view. Click Create Tool Palette. The new tool palette contains the drawings, blocks, or hatches from the item you selected.
    • Right-click the background in the DesignCenter content area. Click Create Tool Palette. The new tool palette contains the drawings, blocks, or hatches from the DesignCenter content area.
    • Right-click a drawing in the DesignCenter tree view or content area. Click Create Tool Palette of Blocks. The new tool palette contains the blocks from the drawing you selected.

    You can drag additional drawings, blocks, or hatches from the DesignCenter content area to the tool palette.

Toolbar: Standard
Command entry: ADCENTER


To load the content area from the DesignCenter Search dialog box (Procedure)

Add Content with DesignCenter
Up a level to ..
Add Content with DesignCenter
The User Interface > The Ribbon, Menus, and Other Tool Locations > Other Tool Locations > DesignCenter > Add Content with DesignCenter >
Add Content with DesignCenter
Concept Procedure Quick Reference

To load the content area from the DesignCenter Search dialog box

  1. If DesignCenter is not already open, click Tools [image] Palettes [image] DesignCenterEnter adcenter at the command prompt.
  2. In DesignCenter, use one of the following methods:
    • Drag the item from the search results list into the content area.
    • Double-click the item in the search results list.
    • Right-click the item in the search results list. Click Load into Content Area.
  3. In the DesignCenter content area, double-click the Blocks icon.
Toolbar: Standard
Command entry: ADCENTER


To load the content area of DesignCenter with a symbol library (Procedure)

Add Content with DesignCenter
Up a level to ..
Add Content with DesignCenter
The User Interface > The Ribbon, Menus, and Other Tool Locations > Other Tool Locations > DesignCenter > Add Content with DesignCenter >
Add Content with DesignCenter
Concept Procedure Quick Reference

To load the content area of DesignCenter with a symbol library

  1. If DesignCenter is not already open, click Tools [image] Palettes [image] DesignCenterEnter adcenter at the command prompt.
  2. On the DesignCenter toolbar, click Home.
  3. In the content area, double-click the symbol library drawing that you want to load into the DesignCenter and then double-click the Blocks icon.

    The symbol library you selected is loaded into the DesignCenter content area.

NoteYou can set your home folder to any folder that contains symbol library drawings. If your home folder is set to a different path, navigate to a folder that contains symbol library drawings and right-click on the folder. Click Set as Home.
Toolbar: Standard
Command entry: ADCENTER


To load the content area of DesignCenter with hatch patterns (Procedure)

Add Content with DesignCenter
Up a level to ..
Add Content with DesignCenter
The User Interface > The Ribbon, Menus, and Other Tool Locations > Other Tool Locations > DesignCenter > Add Content with DesignCenter >
Add Content with DesignCenter
Concept Procedure Quick Reference

To load the content area of DesignCenter with hatch patterns

  1. If DesignCenter is not already open, click Tools [image] Palettes [image] DesignCenterEnter adcenter at the command prompt.
  2. On the DesignCenter toolbar, click Search.
  3. In the Search dialog box, click the Look For box. Click Hatch Pattern Files.
  4. On the Hatch Pattern Files tab, in the Search for the Name box, enter *.
  5. Click Search Now.
  6. Double-click one of the hatch pattern files that was found.

    The hatch pattern file you selected is loaded into DesignCenter.

Toolbar: Standard
Command entry: ADCENTER


To open a drawing from DesignCenter (Procedure)

Add Content with DesignCenter
Up a level to ..
Add Content with DesignCenter
The User Interface > The Ribbon, Menus, and Other Tool Locations > Other Tool Locations > DesignCenter > Add Content with DesignCenter >
Add Content with DesignCenter
Concept Procedure Quick Reference

To open a drawing from DesignCenter

  1. If DesignCenter is not already open, click Tools [image] Palettes [image] DesignCenterEnter adcenter at the command prompt.
  2. In DesignCenter, do one of the following:
    • Right-click the drawing icon in the DesignCenter content area. Click Open in Application Window.
    • Press CTRL and drag the drawing icon from the DesignCenter content area to the drawing area.
    • Drag the drawing icon from the DesignCenter content area to a location anywhere outside the drawing area of the application window. (If you drag the drawing icon into the drawing area, a block is created in the current drawing.)
Toolbar: Standard
Command entry: ADCENTER


To update a block definition with DesignCenter (Procedure)

Add Content with DesignCenter
Up a level to ..
Retrieve Content from the Web with DesignCenter Online
The User Interface > The Ribbon, Menus, and Other Tool Locations > Other Tool Locations > DesignCenter > Add Content with DesignCenter >
Add Content with DesignCenter
Concept Procedure Quick Reference

To update a block definition with DesignCenter

  1. If DesignCenter is not already open, click Tools [image] Palettes [image] DesignCenterEnter adcenter at the command prompt.
  2. Right-click a block in the DesignCenter content area. Click Redefine Only or Insert and Redefine.
    NoteIf the source of the block that you want to update is an entire drawing file rather than a block definition within a drawing file, right-click the drawing's icon in the DesignCenter content area. Click Insert as Block.
Toolbar: Standard
Command entry: ADCENTER


Add Content with DesignCenter (Quick Reference)

Access Content with DesignCenter
Add Content with DesignCenter
Overview of DesignCenter Online
The User Interface > The Ribbon, Menus, and Other Tool Locations > Other Tool Locations > DesignCenter > Add Content with DesignCenter >
Add Content with DesignCenter
Concept Procedure Quick Reference

Commands

ADCENTER

Manages and inserts content such as blocks, xrefs, and hatch patterns

ADCNAVIGATE

Loads a specified DesignCenter drawing file, folder, or network path

System Variables

ADCSTATE

Indicates whether DesignCenter is active or not

Utilities

No entries

Command Modifiers

No entries


Retrieve Content from the Web with DesignCenter Online

Add Content with DesignCenter
DesignCenter
Overview of DesignCenter Online
The User Interface > The Ribbon, Menus, and Other Tool Locations > Other Tool Locations > DesignCenter >
Retrieve Content from the Web with DesignCenter Online
Concept Procedure

DesignCenter Online provides access to pre-drawn content such as blocks, symbol libraries, manufacturers' content, and online catalogs.

Topics in this section

  • Overview of DesignCenter Online
  • Understand DesignCenter Online Content Types

    With DesignCenter Online, content is categorized into folders.

  • Retrieve Content from the Web

    You can download content from the Web and use it in your drawings.


Retrieve Content from the Web with DesignCenter Online (Procedure)

Add Content with DesignCenter
Up a level to ..
Overview of DesignCenter Online
The User Interface > The Ribbon, Menus, and Other Tool Locations > Other Tool Locations > DesignCenter > Retrieve Content from the Web with DesignCenter Online >
Retrieve Content from the Web with DesignCenter Online
Concept Procedure

To install the CAD Manager Control utility

To view online content folders in the Category Listing view

To search for content in DesignCenter Online

To specify content collections

To download content to your computer

To download content to your drawing


Overview of DesignCenter Online (Concept)

Retrieve Content from the Web with DesignCenter Online
Retrieve Content from the Web with DesignCenter Online
Understand DesignCenter Online Content Types
The User Interface > The Ribbon, Menus, and Other Tool Locations > Other Tool Locations > DesignCenter > Retrieve Content from the Web with DesignCenter Online >
Overview of DesignCenter Online
Concept Procedure Quick Reference

DesignCenter Online provides access to pre-drawn content such as blocks, symbol libraries, manufacturers' content, and online catalogs. This content can be used in common design applications to assist you in creating your drawings.

To access DesignCenter Online, click the DC Online tab in DesignCenter. Once the DesignCenter Online window is open, you can browse, search, and download content to use in your drawing.

In the DesignCenter Online window, two panes are displayed—a right pane and a left pane. The right pane is called the content area. The content area displays the items or folders that you selected in the left pane. The left pane can display one of the following four views:

  • Category Listing. Displays folders containing libraries of standard parts, manufacturer-specific content, and content aggregator websites.
  • Search. Searches for online content. You can query items with Boolean and multiple-word search strings.
  • Settings. Controls how many categories and items are displayed on each page in the content area as a result of a search or folder navigation.
  • Collections. Specifies the discipline-specific content types that are displayed in DesignCenter Online.

You choose the view by clicking the heading at the top of the left pane.

Once you select a folder in the left pane, all of its content is loaded into the content area. You can select an item in the content area to load it into the preview area. Items can be downloaded by dragging them from the preview area into your drawing or tool palette, or by saving the items to your computer.

NoteIf the DC Online tab is not available in DesignCenter and you want to access DesignCenter Online, see your network or CAD administrator.

DesignCenter Online Privacy

DesignCenter Online is an interactive feature that must be connected to the Internet to deliver content and information. Each time DesignCenter Online is connected, it sends information to Autodesk so that the correct information can be returned. All information is sent anonymously to maintain your privacy.

The following information is sent to Autodesk:

  • Product Name. The name of the product in which you are using DesignCenter Online
  • Product Release Number. The version of the product
  • Product Language. The language version of your product
  • Random Number Identifier. DesignCenter Online assigns a random number identifier to each person who uses the feature. This identifier is used to retain your Collections and your Settings views each time DesignCenter Online is used.

Autodesk compiles statistics using the information sent from DesignCenter Online to monitor how it is being used and how it can be improved. Autodesk will maintain information provided by or collected from you in accordance with Autodesk's published privacy policy, which is available on http://www.autodesk.com/privacy.

Turn the DC Online Tab On or Off

The CAD Manager Control utility turns the DC Online tab in DesignCenter on and off. Information about how to use the utility is available after you install the utility from the Installation Wizard by running the utility and clicking Help in the CAD Manager Control Utility window.


To install the CAD Manager Control utility (Procedure)

Retrieve Content from the Web with DesignCenter Online
Up a level to ..
Understand DesignCenter Online Content Types
The User Interface > The Ribbon, Menus, and Other Tool Locations > Other Tool Locations > DesignCenter > Retrieve Content from the Web with DesignCenter Online > Overview of DesignCenter Online >
Overview of DesignCenter Online
Concept Procedure Quick Reference

To install the CAD Manager Control utility

  1. Insert the product DVD, or the first CD, into your computer's drive.
  2. In the Installation Wizard, click Install Tools And Utilities.
  3. On the Welcome to the Installation wizard page, click Next.
  4. Choose Autodesk CAD Manager Tools 4.0 on the Select the Products to Install page. Click Next.
  5. Review the Autodesk software license agreement for your country or region. You must accept this agreement to procede with the installation. Choose your country or region, click I Accept, and then click Next.
    NoteIf you do not agree to the terms of the license and wish to terminate the installation, click Cancel.
  6. On the Review - Configure - Install page, click Install if you want to accept the default install location.

    If you want the utility installed in a different installation path, click Configure, set the path and then click Configuration Complete and then Install.

  7. Click Finish when the Installation Complete page is displayed.


Overview of DesignCenter Online (Quick Reference)

Add Content with DesignCenter
Overview of DesignCenter Online
Understand DesignCenter Online Content Types
The User Interface > The Ribbon, Menus, and Other Tool Locations > Other Tool Locations > DesignCenter > Retrieve Content from the Web with DesignCenter Online > Overview of DesignCenter Online >
Overview of DesignCenter Online
Concept Procedure Quick Reference

Commands

ADCENTER

Manages and inserts content such as blocks, xrefs, and hatch patterns

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Understand DesignCenter Online Content Types (Concept)

Overview of DesignCenter Online
Retrieve Content from the Web with DesignCenter Online
Retrieve Content from the Web
The User Interface > The Ribbon, Menus, and Other Tool Locations > Other Tool Locations > DesignCenter > Retrieve Content from the Web with DesignCenter Online >
Understand DesignCenter Online Content Types
Concept Procedure Quick Reference

With DesignCenter Online, content is categorized into folders.

In the DesignCenter Online folders, you can retrieve discipline-specific content. The content that you can retrieve includes the following:

  • Standard Parts. Generic standard parts that are commonly used in design. These parts include blocks for architectural, mechanical, and GIS applications.
  • Manufacturers. Blocks and 3D models that can be located and downloaded by clicking a link to a manufacturer's website.
  • Aggregators. Lists of libraries from commercial catalog providers can be searched for parts and blocks.

You use the Collections view to select the categories of online content that you want to display in the Category Listing view.


To view online content folders in the Category Listing view (Procedure)

Overview of DesignCenter Online
Up a level to ..
Retrieve Content from the Web
The User Interface > The Ribbon, Menus, and Other Tool Locations > Other Tool Locations > DesignCenter > Retrieve Content from the Web with DesignCenter Online > Understand DesignCenter Online Content Types >
Understand DesignCenter Online Content Types
Concept Procedure Quick Reference

To view online content folders in the Category Listing view

  • In DesignCenter Online, at the top of the left pane, click the heading, and then click Category Listing.

The category folders are displayed in the left pane of the window.


Understand DesignCenter Online Content Types (Quick Reference)

Overview of DesignCenter Online
Understand DesignCenter Online Content Types
Retrieve Content from the Web
The User Interface > The Ribbon, Menus, and Other Tool Locations > Other Tool Locations > DesignCenter > Retrieve Content from the Web with DesignCenter Online > Understand DesignCenter Online Content Types >
Understand DesignCenter Online Content Types
Concept Procedure Quick Reference

Commands

No entries

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Retrieve Content from the Web (Concept)

Understand DesignCenter Online Content Types
Retrieve Content from the Web with DesignCenter Online
The Command Window
The User Interface > The Ribbon, Menus, and Other Tool Locations > Other Tool Locations > DesignCenter > Retrieve Content from the Web with DesignCenter Online >
Retrieve Content from the Web
Concept Procedure Quick Reference

You can download content from the Web and use it in your drawings.

Browse for Content

When you use the Category Listing view, you can click the folders in the left pane to view their contents. These folders may contain other folders.

When you click a folder or an item inside a folder, the contents are displayed in the Content area. When you click a block, graphical and descriptive information about the block is displayed in the preview area.

Search for Content

When you search for online content with DesignCenter Online, you can query items with Boolean and multiple-word search strings in the Search view. You can access Search by clicking the magnifying glass or by choosing Search from the drop-down heading at the top of the left pane.

Control the Number of Categories and Items in a Page

By using the Settings view, you can control how many categories or items are displayed on each page in the content area as a result of a search or folder navigation.

Collections

You can choose the type of content to navigate and search. In the Collections pane, you can specify the content types that are displayed each time you open DesignCenter Online. For example, if you use architectural blocks in your drawings, you select collections that contain architectural items. Once you make your selection, categories that you specified are displayed.

Download Content

To download content from the Web, locate the folder containing the content that you want to use. Then, click a thumbnail image of the content in the content area. The content is displayed in the preview area along with information about the content. You can drag the block directly from the preview area into a drawing or tool palette, or you can save it to your computer to be used later.

For more information about retrieving content from the Web, see Insert Content from a Website.


Retrieve Content from the Web (Procedure)

Understand DesignCenter Online Content Types
Up a level to ..
Retrieve Content from the Web
The User Interface > The Ribbon, Menus, and Other Tool Locations > Other Tool Locations > DesignCenter > Retrieve Content from the Web with DesignCenter Online > Retrieve Content from the Web >
Retrieve Content from the Web
Concept Procedure Quick Reference

To search for content in DesignCenter Online

To specify content collections

To download content to your computer

To download content to your drawing


To search for content in DesignCenter Online (Procedure)

Retrieve Content from the Web
Up a level to ..
Retrieve Content from the Web
The User Interface > The Ribbon, Menus, and Other Tool Locations > Other Tool Locations > DesignCenter > Retrieve Content from the Web with DesignCenter Online > Retrieve Content from the Web >
Retrieve Content from the Web
Concept Procedure Quick Reference

To search for content in DesignCenter Online

  1. In DesignCenter Online, at the top of the left pane, click the heading, and then click Search.
  2. In the Search view, enter a single word or multiple-word strings.
    NoteThe Need Help link provides more information about searches, including examples of Boolean searches.


To specify content collections (Procedure)

Retrieve Content from the Web
Up a level to ..
Retrieve Content from the Web
The User Interface > The Ribbon, Menus, and Other Tool Locations > Other Tool Locations > DesignCenter > Retrieve Content from the Web with DesignCenter Online > Retrieve Content from the Web >
Retrieve Content from the Web
Concept Procedure Quick Reference

To specify content collections

  1. In DesignCenter Online, at the top of the left pane, click the heading, and then click Collections.
  2. In the Collections view, click the check boxes of the collections that you want to use.
  3. Click Update Collections.

    The categories that you have selected are displayed in the left pane.


To download content to your computer (Procedure)

Retrieve Content from the Web
Up a level to ..
Retrieve Content from the Web
The User Interface > The Ribbon, Menus, and Other Tool Locations > Other Tool Locations > DesignCenter > Retrieve Content from the Web with DesignCenter Online > Retrieve Content from the Web >
Retrieve Content from the Web
Concept Procedure Quick Reference

To download content to your computer

  1. In DesignCenter Online, at the top of the left pane, click the heading, and then click Category Listing.
  2. In the Category folders, click a content item.
  3. In the Preview area, under the image of the content item, click Save This Symbol As.
  4. In the Save As dialog box, specify the location on your computer and the file name.
  5. Click Save.

    The content is downloaded to your computer.


To download content to your drawing (Procedure)

Retrieve Content from the Web
Up a level to ..
Enter Commands on the Command Line
The User Interface > The Ribbon, Menus, and Other Tool Locations > Other Tool Locations > DesignCenter > Retrieve Content from the Web with DesignCenter Online > Retrieve Content from the Web >
Retrieve Content from the Web
Concept Procedure Quick Reference

To download content to your drawing

  1. In DesignCenter Online, at the top of the left pane, click the heading, and then click Category Listing.
  2. In the Category folders, click a content item to display it in the Preview area.
  3. Drag the image from the Preview area into your drawing or tool palette.


Retrieve Content from the Web (Quick Reference)

Understand DesignCenter Online Content Types
Retrieve Content from the Web
Enter Commands on the Command Line
The User Interface > The Ribbon, Menus, and Other Tool Locations > Other Tool Locations > DesignCenter > Retrieve Content from the Web with DesignCenter Online > Retrieve Content from the Web >
Retrieve Content from the Web
Concept Procedure Quick Reference

Commands

ADCENTER

Manages and inserts content such as blocks, xrefs, and hatch patterns

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


The Command Window

Retrieve Content from the Web
The User Interface
Enter Commands on the Command Line
The User Interface >
The Command Window

You can display commands, system variables, options, messages, and prompts in a dockable and resizable window called the command window.

Topics in this section

  • Enter Commands on the Command Line

    You can enter a command by using the keyboard. Some commands also have abbreviated names called command aliases.

  • Enter System Variables on the Command Line

    System variables are settings that control how certain commands work.

  • Navigate and Edit Within the Command Window

    You can edit text in the command window to correct or repeat commands.

  • Switch Between Dialog Boxes and the Command Line

    You can display prompts on the command line instead of using a dialog box, or switch back again. This option is useful primarily when using scripts.

  • Dock, Resize, and Hide the Command Window

    Change the position and display of the command window to suit the way you work.


Enter Commands on the Command Line (Concept)

The Command Window
The Command Window
Enter System Variables on the Command Line
The User Interface > The Command Window >
Enter Commands on the Command Line
Concept Procedure Quick Reference

You can enter a command by using the keyboard. Some commands also have abbreviated names called command aliases.

To enter a command by using the keyboard, type the full command name on the command line and press ENTER or SPACEBAR.

NoteWhen Dynamic Input is on and is set to display dynamic prompts, you can enter many commands in tooltips near the cursor.

Some commands also have abbreviated names. For example, instead of entering line to start the LINE command, you can enter l. Abbreviated command names are called command aliases and are defined in the acad.pgp file.

To define your own command aliases, see Create Command Aliases in the Customization Guide.

To find a command, you can type a letter on the command line and press TAB to cycle through all the commands that begin with that letter. Press ENTER or SPACEBAR. Restart a recently used command by right-clicking on the command line.

Specify Command Options

When you enter commands on the command line, you see either a set of options or a dialog box. For example, when you enter circle at the command prompt, the following prompt is displayed:

Specify center point for circle or [3P/2P/Ttr (tan, tan, radius)]:

You can specify the center point either by entering X,Y coordinate values or by using the pointing device to click a point on the screen.

To choose a different option, enter the letters capitalized in one of the options in the brackets. You can enter uppercase or lowercase letters. For example, to choose the three-point option (3P), enter 3p.

Execute Commands

To execute commands, press SPACEBAR or ENTER, or right-click your pointing device after entering command names or responses to prompts. The instructions in Help assume this step and do not specifically instruct you to press ENTER after each entry.

Repeat and Cancel Commands

If you want to repeat a command that you have just used, press ENTER or SPACEBAR, or right-click your pointing device at the command prompt.

You also can repeat a command by entering multiple, a space, and the command name, as shown in the following example:

Command: multiple circle

To cancel a command in progress, press ESC.

Interrupt a Command with Another Command or System Variable

Many commands can be used transparently: that is, they can be entered on the command line while you use another command. Transparent commands frequently change drawing settings or display options, for example, GRID or ZOOM. In the Command Reference, transparent commands are designated by an apostrophe in front of the command name.

To use a command transparently, click its toolbar button or enter an apostrophe (') before entering the command at any prompt. On the command line, double angle brackets (>>) precede prompts that are displayed for transparent commands. After you complete the transparent command, the original command resumes. In the following example, you turn on the dot grid and set it to one-unit intervals while you draw a line, and then you continue drawing the line.

Command: line

Specify first point: 'grid

>>Specify grid spacing (X) or [ON/OFF/Snap/Aspect] <0.000>: 1

Resuming LINE command

Specify first point:

Commands that do not select objects, create new objects, or end the drawing session usually can be used transparently. Changes made in dialog boxes that you have opened transparently cannot take effect until the interrupted command has been executed. Similarly, if you reset a system variable transparently, the new value cannot take effect until you start the next command.

See Also

    • Add Shortcut Keys and Temporary Override Keys in the Customization Guide


To copy a command you have recently used (Procedure)

Retrieve Content from the Web
Enter Commands on the Command Line
Enter System Variables on the Command Line
The User Interface > The Command Window > Enter Commands on the Command Line >
Enter Commands on the Command Line
Concept Procedure Quick Reference

To copy a command you have recently used

  1. Right-click on the command line. Click Recent History.
  2. Click the command you want to use.


Enter Commands on the Command Line (Quick Reference)

Retrieve Content from the Web
Enter Commands on the Command Line
Enter System Variables on the Command Line
The User Interface > The Command Window > Enter Commands on the Command Line >
Enter Commands on the Command Line
Concept Procedure Quick Reference

Commands

MULTIPLE

Repeats the next command until canceled

OPTIONS

Customizes the program settings

PASTECLIP

Inserts data from the Clipboard

System Variables

CMDNAMES

Displays the names of the active and transparent commands

Utilities

No entries

Command Modifiers

No entries


Enter System Variables on the Command Line (Concept)

Enter Commands on the Command Line
The Command Window
Navigate and Edit Within the Command Window
The User Interface > The Command Window >
Enter System Variables on the Command Line
Concept Procedure Quick Reference

System variables are settings that control how certain commands work.

They can turn on or turn off modes such as Snap, Grid, or Ortho. They can set default scales for hatch patterns. They can store information about the current drawing and about program configuration. Sometimes you use a system variable in order to change a setting. At other times you use a system variable to display the current status.

For example, the GRIDMODE system variable turns the dot grid display on and off when you change the value. In this case, the GRIDMODE system variable is functionally equivalent to the GRID command. DATE is a read-only system variable that stores the current date. You can display this value, but you cannot change it.

Bitcode Variables

Some system variables are controlled using bitcodes. With these system variables, you add values to specify a unique combination of behaviors. For example, the LOCKUI system variable provides the following bitcode values:

0 | Toolbars and windows not locked
1 | Docked toolbars locked
2 | Docked or anchored windows locked
4 | Floating toolbars locked
8 | Floating windows locked

Thus, if LOCKUI is set to 1 + 4 = 5, only docked and floating toolbars are locked; docked, anchored, and floating windows are not locked.

NoteYou can examine or change a system variable's setting transparently, that is, while using another command; however, new values may not take effect until the interrupted command ends.


Enter System Variables on the Command Line (Procedure)

Enter Commands on the Command Line
Enter System Variables on the Command Line
Enter System Variables on the Command Line
The User Interface > The Command Window > Enter System Variables on the Command Line >
Enter System Variables on the Command Line
Concept Procedure Quick Reference

To change the setting of a system variable

To see a complete list of system variables


To change the setting of a system variable (Procedure)

Enter System Variables on the Command Line
Enter System Variables on the Command Line
Enter System Variables on the Command Line
The User Interface > The Command Window > Enter System Variables on the Command Line >
Enter System Variables on the Command Line
Concept Procedure Quick Reference

To change the setting of a system variable

  1. At the command prompt, enter the system variable name. For example, enter gridmode to change the grid setting.
  2. To change the status of GRIDMODE, enter 1 for on or 0 for off. To retain the current value of the system variable, press ENTER.


To see a complete list of system variables (Procedure)

Enter System Variables on the Command Line
Enter System Variables on the Command Line
Navigate and Edit Within the Command Window
The User Interface > The Command Window > Enter System Variables on the Command Line >
Enter System Variables on the Command Line
Concept Procedure Quick Reference

To see a complete list of system variables

  1. Click Tools menu [image] Inquiry [image] Set Variable.Enter setvar at the command prompt.
  2. At the Variable Name prompt, enter ?.
  3. At the Enter Variable(s) to List prompt, press ENTER.
Command entry: SETVAR


Enter System Variables on the Command Line (Quick Reference)

Enter Commands on the Command Line
Enter System Variables on the Command Line
Navigate and Edit Within the Command Window
The User Interface > The Command Window > Enter System Variables on the Command Line >
Enter System Variables on the Command Line
Concept Procedure Quick Reference

Commands

SETVAR

Lists or changes the values of system variables

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Navigate and Edit Within the Command Window (Concept)

Enter System Variables on the Command Line
The Command Window
Switch Between Dialog Boxes and the Command Line
The User Interface > The Command Window >
Navigate and Edit Within the Command Window
Concept Procedure Quick Reference

You can edit text in the command window to correct or repeat commands.

Use the standard keys:

  • UP, DOWN, LEFT ARROW, and RIGHT ARROW
  • INS, DEL
  • PAGE UP, PAGE DOWN
  • HOME, END
  • BACKSPACE

You can repeat any command used in the current session by cycling through the commands in the command window with UP ARROW and DOWN ARROW and pressing ENTER. By default, pressing CTRL+C copies highlighted text to the Clipboard. Pressing CTRL+V pastes text from the Clipboard to the text window or the command window.

If you right-click in the command window or text window, a shortcut menu is displayed from which you can access the six most recently used commands, copy selected text or the entire command history, paste text, and access the Options dialog box.

For most commands, a command line with two or three lines of previous prompts, called the command history, is sufficient for viewing and editing. To see more than one line of command history, you can scroll through the history or resize the command window by dragging its border. For commands with text output, such as LIST, you might need a larger command window, or you can press F2 to use the text window.

Use the Text Window

The text window is a window similar to the command window in which you can enter commands and view prompts and messages. The text window displays a complete command history for the current work session. Use the text window to view lengthy output of commands such as LIST, which displays detailed information about objects you select. To move forward and backward in the command history, you can click the scroll arrows along the right edge of the window.

Press SHIFT with a key to highlight text. For example, press SHIFT+HOME in the text window to highlight all text from the cursor location to the beginning of the line.

To copy all the text in the text window to the Clipboard, use the COPYHIST command.

To save commands to a log file, use the LOGFILEON command. For Unicode-compliant log files, use the TEXTOUTPUTFILEFORMAT system variable.

See Also

    • Dock, Resize, and Hide the Command Window

    • Use Dynamic Input


Navigate and Edit Within the Command Window (Procedure)

Enter System Variables on the Command Line
Navigate and Edit Within the Command Window
Navigate and Edit Within the Command Window
The User Interface > The Command Window > Navigate and Edit Within the Command Window >
Navigate and Edit Within the Command Window
Concept Procedure Quick Reference

To copy text from the text window to the command line


Navigate and Edit Within the Command Window (Procedure)

Navigate and Edit Within the Command Window
Navigate and Edit Within the Command Window
Navigate and Edit Within the Command Window
The User Interface > The Command Window > Navigate and Edit Within the Command Window >
Navigate and Edit Within the Command Window
Concept Procedure Quick Reference

To display the text window

  • Click View tab [image] Windows Elements panel [image] Text Window. Enter textscr at the command prompt.

The text window is displayed in front of the drawing area.

Command entry: TEXTSCR


Navigate and Edit Within the Command Window (Procedure)

Navigate and Edit Within the Command Window
Navigate and Edit Within the Command Window
Navigate and Edit Within the Command Window
The User Interface > The Command Window > Navigate and Edit Within the Command Window >
Navigate and Edit Within the Command Window
Concept Procedure Quick Reference

To close the text window

  • From within the text window, press F2.

The text window is closed. You can also close the text window using the standard Windows controls.

Command entry: GRAPHSCR


To copy text from the text window to the command line (Procedure)

Navigate and Edit Within the Command Window
Navigate and Edit Within the Command Window
Switch Between Dialog Boxes and the Command Line
The User Interface > The Command Window > Navigate and Edit Within the Command Window >
Navigate and Edit Within the Command Window
Concept Procedure Quick Reference

To copy text from the text window to the command line

  1. If the text window is not displayed, click Tools tab [image] Windows Elements panel [image] Text Window. Enter textscr at the command prompt.
  2. Select the text you want to copy.
  3. Right-click in the command window or text window. Click Paste to Command Line.

    The text is copied to the Clipboard and then pasted on the command line. After you press ENTER, the commands are executed in sequence, like a script. You can also use CTRL+C and CTRL+V to copy and paste text.

    Command entry: COPYCLIP, PASTECLIP


Navigate and Edit Within the Command Window (Quick Reference)

Enter System Variables on the Command Line
Navigate and Edit Within the Command Window
Switch Between Dialog Boxes and the Command Line
The User Interface > The Command Window > Navigate and Edit Within the Command Window >
Navigate and Edit Within the Command Window
Concept Procedure Quick Reference

Commands

COPYCLIP

Copies selected objects to the Clipboard

COPYHIST

Copies the text in the command line history to the Clipboard

GRAPHSCR

Switches from the text window to the drawing area

LOGFILEOFF

Closes the text window log file opened by LOGFILEON

LOGFILEON

Writes the text window contents to a file

PASTECLIP

Inserts data from the Clipboard

TEXTSCR

Opens the text window

System Variables

LOGFILEMODE

Specifies whether the contents of the text window are written to a log file

LOGFILENAME

Specifies the path and name of the text window log file for the current drawing

LOGFILEPATH

Specifies the path for the text window log files for all drawings in a session

TEXTFILEOUTPUTFORMAT

Provides Unicode options for plot and text window log files

Utilities

No entries

Command Modifiers

No entries


Switch Between Dialog Boxes and the Command Line (Concept)

Navigate and Edit Within the Command Window
The Command Window
Dock, Resize, and Hide the Command Window
The User Interface > The Command Window >
Switch Between Dialog Boxes and the Command Line
Concept Procedure Quick Reference

You can display prompts on the command line instead of using a dialog box, or switch back again. This option is useful primarily when using scripts.

Some functions are available both on the command line and in a dialog box. In many cases, you can enter a hyphen before the command to suppress the dialog box and display prompts on the command line instead. For example, entering layer on the command line displays the Layer Properties Manager. Entering -layer on the command line displays the equivalent command line options. Suppressing the dialog box is useful for compatibility with earlier versions of AutoCAD® and for using script files. There may be slight differences between the options in the dialog box and those available on the command line.

These system variables also affect the display of dialog boxes:

  • ATTDIA controls whether INSERT uses a dialog box for attribute value entry.
  • CMDNAMES displays the name (in English) of the currently active command and transparent command.
  • EXPERT controls whether certain warning dialog boxes are displayed.
  • FILEDIA controls the display of dialog boxes used with commands that read and write files. For example, if FILEDIA is set to 1, SAVEAS displays the Save Drawing As dialog box. If FILEDIA is set to 0, SAVEAS displays prompts on the command line. The procedures in this documentation assume that FILEDIA is set to 1. Even when FILEDIA is set to 0, you can display a file dialog box by entering a tilde (~) at the first prompt.

FILEDIA and EXPERT are useful when you use scripts to run commands.


To use the command line version of a command (Procedure)

Navigate and Edit Within the Command Window
Switch Between Dialog Boxes and the Command Line
Dock, Resize, and Hide the Command Window
The User Interface > The Command Window > Switch Between Dialog Boxes and the Command Line >
Switch Between Dialog Boxes and the Command Line
Concept Procedure Quick Reference

To use the command line version of a command

  • For most commands, enter minus (-) in front of the command.
  • For dialog boxes that open and save files, set the FILEDIA system variable to 0.


Switch Between Dialog Boxes and the Command Line (Quick Reference)

Navigate and Edit Within the Command Window
Switch Between Dialog Boxes and the Command Line
Dock, Resize, and Hide the Command Window
The User Interface > The Command Window > Switch Between Dialog Boxes and the Command Line >
Switch Between Dialog Boxes and the Command Line
Concept Procedure Quick Reference

Commands

No entries

System Variables

ATTDIA

Controls whether the INSERT command uses a dialog box for attribute value entry

CMDNAMES

Displays the names of the active and transparent commands

EXPERT

Controls whether certain prompts are issued

FILEDIA

Suppresses display of file navigation dialog boxes

Utilities

No entries

Command Modifiers

No entries


Dock, Resize, and Hide the Command Window (Concept)

Switch Between Dialog Boxes and the Command Line
The Command Window
Navigation Tools
The User Interface > The Command Window >
Dock, Resize, and Hide the Command Window
Concept Procedure Quick Reference

Change the position and display of the command window to suit the way you work.

Dock the Command Window

By default, the command window is docked. The docked command window is the same width as the AutoCAD window. If text that is entered becomes longer than the width of the command line, the window pops up in front of the command line to show the full text of the line.

Undock, or float, the command window by dragging it away from the docking region. The docking region is an edge of the AutoCAD application window that allows you to dock a toolbar, palette, or the command window. You can move the floating command window anywhere on the screen and resize its width and height with the pointing device.

Dock a floating command window again by dragging it to the docking region of the AutoCAD window.

Anchoring the Command Window

The command window can be anchored on the left or right side of the AutoCAD window. By anchoring the command window it remains on screen, but in a minimized state, which allows you to bring it back up when needed. This also helps to increase the amount of visible drawing area. The command window must be floating before an anchoring side can be selected. To anchor the command window make sure it is floating, and then right-click over its title bar and select either Anchor Left or Anchor Right.

Resize the Command Window

You can resize the command window vertically by dragging the splitter bar, which is located on the top edge of the window when it is docked on the bottom and at the bottom edge of the window when it is docked at the top.

Hide the Command Window

Hide and redisplay the command line by doing one of the following:

  • Click Tools menu [image] Command Line.
  • Press CTRL+9.

When you hide the command line, you can still enter commands. However, some commands and system variables return values at the command line, so you may want to redisplay the command line in those instances.

NoteFor information about display options (such as auto-hide or transparency) for dockable windows, see “Control the Display of Dockable Windows” in the topic Set Interface Options.


Dock, Resize, and Hide the Command Window (Procedure)

Switch Between Dialog Boxes and the Command Line
Dock, Resize, and Hide the Command Window
Dock, Resize, and Hide the Command Window
The User Interface > The Command Window > Dock, Resize, and Hide the Command Window >
Dock, Resize, and Hide the Command Window
Concept Procedure Quick Reference

To float the command window

To make the floating command window transparent

To dock the command window

To resize the command window when it is docked

To hide the command window


To float the command window (Procedure)

Dock, Resize, and Hide the Command Window
Dock, Resize, and Hide the Command Window
Dock, Resize, and Hide the Command Window
The User Interface > The Command Window > Dock, Resize, and Hide the Command Window >
Dock, Resize, and Hide the Command Window
Concept Procedure Quick Reference

To float the command window

  • Click the move handle (the double bars) on the left edge of the docked command window and drag the command window away from the docking region until it has a thick outline. Then drop it in the drawing area of the AutoCAD window.


To make the floating command window transparent (Procedure)

Dock, Resize, and Hide the Command Window
Dock, Resize, and Hide the Command Window
Dock, Resize, and Hide the Command Window
The User Interface > The Command Window > Dock, Resize, and Hide the Command Window >
Dock, Resize, and Hide the Command Window
Concept Procedure Quick Reference

To make the floating command window transparent

  1. Right-click in the floating command window. Click Transparency.
  2. In the Transparency dialog box, move the slider to the left to make the command window less transparent and to the right to make it more transparent.

    The range is from opaque to transparent. When the Turn Off Transparency for All Palettes option is selected, the command window cannot be made transparent.


To dock the command window (Procedure)

Dock, Resize, and Hide the Command Window
Dock, Resize, and Hide the Command Window
Dock, Resize, and Hide the Command Window
The User Interface > The Command Window > Dock, Resize, and Hide the Command Window >
Dock, Resize, and Hide the Command Window
Concept Procedure Quick Reference

To dock the command window

  • Click the title bar and drag the command window until it is over the top or bottom docking region of the AutoCAD window. When the command window becomes the same width as the AutoCAD window, release the mouse button to dock it.

    The docking region is an edge of the AutoCAD application window that allows you to dock a toolbar, palette, or the command window.

  • Right-click the title bar of the Command window, and select Allow Docking.
    NoteYou can control whether the command window docks by right-clicking the title bar of the command window and then clicking Allow docking.


To resize the command window when it is docked (Procedure)

Dock, Resize, and Hide the Command Window
Dock, Resize, and Hide the Command Window
Dock, Resize, and Hide the Command Window
The User Interface > The Command Window > Dock, Resize, and Hide the Command Window >
Dock, Resize, and Hide the Command Window
Concept Procedure Quick Reference

To resize the command window when it is docked

  1. Position the cursor over the horizontal splitter bar so that the cursor appears as a double line and arrows.
  2. Drag the splitter bar vertically until the command window is the size you want it to be.


To hide the command window (Procedure)

Dock, Resize, and Hide the Command Window
Dock, Resize, and Hide the Command Window
ViewCube
The User Interface > The Command Window > Dock, Resize, and Hide the Command Window >
Dock, Resize, and Hide the Command Window
Concept Procedure Quick Reference

To hide the command window

  • Click Tools menu [image] Command Line.At the command prompt, enter commandline.
    NoteSome commands and system variables return values at the command line, so you may want to display the command line in those instances. To display the command line when it's hidden, press CTRL+9. Alternate method: Click Tools menu [image] Command Line.


Dock, Resize, and Hide the Command Window (Quick Reference)

Switch Between Dialog Boxes and the Command Line
Dock, Resize, and Hide the Command Window
Overview of the ViewCube
The User Interface > The Command Window > Dock, Resize, and Hide the Command Window >
Dock, Resize, and Hide the Command Window
Concept Procedure Quick Reference

Commands

COMMANDLINE

Displays the command line

COMMANDLINEHIDE

Hides the command line

System Variables

PALETTEOPAQUE

Controls whether windows can be made transparent

Utilities

No entries

Command Modifiers

No entries


Navigation Tools

Dock, Resize, and Hide the Command Window
The User Interface
ViewCube
The User Interface >
Navigation Tools

Navigation tools change the orientation and view of your model.

The detail displayed for a model can be adjusted by increasing or decreasing magnification that objects are displayed at. You can create views that define an area of a model and use preset views to restore a known viewpoint and orientation.

Topics in this section

  • ViewCube

    The ViewCube provides visual feedback of the current orientation of a model. You can use the ViewCube to adjust the viewpoint of the model.

  • SteeringWheels

    SteeringWheels are tracking menus that allow you to access different 2D and 3D navigation tools from a single tool.

  • ShowMotion

    ShowMotion provides an onscreen display that can be used to create and play cinematic camera animations. These animations can be used for presentation purposes or to navigate through a design.


ViewCube

Navigation Tools
Navigation Tools
Overview of the ViewCube
The User Interface > Navigation Tools >
ViewCube
Concept Procedure

The ViewCube provides visual feedback of the current orientation of a model. You can use the ViewCube to adjust the viewpoint of the model.

Topics in this section

  • Overview of the ViewCube

    The ViewCube is a 3D navigation tool that appears when the 3D graphics system is enabled. With the ViewCube, you can switch between standard and isometric views.

  • ViewCube Menu

    The ViewCube menu provides options to define the orientation of the ViewCube, switch between parallel and perspective projection, define the Home view for the model, and control the appearance of the ViewCube.

  • Change the View of a Model with the ViewCube

    You can change the view of a model by restoring a preset view or drag the ViewCube, roll the current view 90 degrees, switch to an adjacent face view, switch between projection modes, and define and restore the Home view.

  • Change the UCS with the ViewCube

    With the ViewCube you can change the current UCS used for the model to one of the named UCSs saved with the model or define a new UCS.


ViewCube (Procedure)

Dock, Resize, and Hide the Command Window
ViewCube
Overview of the ViewCube
The User Interface > Navigation Tools > ViewCube >
ViewCube
Concept Procedure

To display or hide the ViewCube

To control the position of the ViewCube

To control the size of the ViewCube

To control the inactive opacity of the ViewCube

To display the compass for the ViewCube

To display the ViewCube menu

To control the display of the UCS menu

To identify the current UCS

To switch to a different UCS

To switch to WCS

To set the orientation of the ViewCube based on the current UCS or WCS


Overview of the ViewCube (Concept)

ViewCube
ViewCube
ViewCube Menu
The User Interface > Navigation Tools > ViewCube >
Overview of the ViewCube
Concept Procedure Quick Reference

The ViewCube is a 3D navigation tool that appears when the 3D graphics system is enabled. With the ViewCube, you can switch between standard and isometric views.

Once the ViewCube is displayed, it appears one of the corners of the drawing window over the model in an inactive state. While the ViewCube is inactive, it displays the current viewpoint of the model based on the current UCS and the North direction defined by the WCS of the model. When you position the cursor over the ViewCube, it becomes active. You can switch to one of the available preset views, roll the current view, or change to the Home view of the model.

Control the Appearance of the ViewCube

The ViewCube is displayed in one of two states: inactive and active. When the ViewCube is inactive, it appears transparent over the drawing window by default to not completely obscure the view of the model. If the ViewCube is active, it appears opaque and obscures the view of the objects in the model.

In addition to controlling the opacity level of the ViewCube when it is inactive, you can also control its size, on-screen position, and the display of the UCS menu and compass. The settings used to control the appearance of the ViewCube are located in the ViewCube Settings dialog box.

Using the Compass

The compass for the ViewCube indicates which direction North is defined in for the model. The North direction indicated by the compass is based on the North and Up directions defined by the WCS of the model. The Geographic Location dialog box is used to define the North and Up directions for a model. The display of the compass below the ViewCube is controlled through the ViewCube Settings dialog box.


Overview of the ViewCube (Procedure)

ViewCube
Up a level to ..
Overview of the ViewCube
The User Interface > Navigation Tools > ViewCube > Overview of the ViewCube >
Overview of the ViewCube
Concept Procedure Quick Reference

To display or hide the ViewCube

To control the position of the ViewCube

To control the size of the ViewCube

To control the inactive opacity of the ViewCube

To display the compass for the ViewCube


To display or hide the ViewCube (Procedure)

Overview of the ViewCube
Up a level to ..
Overview of the ViewCube
The User Interface > Navigation Tools > ViewCube > Overview of the ViewCube >
Overview of the ViewCube
Concept Procedure Quick Reference

To display or hide the ViewCube

  1. Click View tab [image] Navigation panel [image] ViewCube Display. At the Command prompt, enter navvcube.
  2. Set a 3D visual style current.

    Click Visualize tab [image] Visual Styles panel [image] Manage Visual Styles.At the Command prompt, enter visualstyles. Click in the viewport to make it current. In the Visual Styles Manager, double-click one of the sample images of the available visual styles other than 2D Wireframe.

Command entry: NAVVCUBE
Ribbon: Home tab [image] View panel [image] ViewCube Display.
Menu: View [image] Display [image] ViewCube [image] OnDoes not exist in the menus.


To control the position of the ViewCube (Procedure)

Overview of the ViewCube
Up a level to ..
Overview of the ViewCube
The User Interface > Navigation Tools > ViewCube > Overview of the ViewCube >
Overview of the ViewCube
Concept Procedure Quick Reference

To control the position of the ViewCube

  1. Right-click on the ViewCube and click ViewCube Settings.
  2. In the ViewCube Settings dialog box, under Display, select one of the available positions from the On-screen Position drop-down list.
  3. Click OK.
Command entry: NAVVCUBE
Menu: View [image] Display [image] ViewCube [image] SettingsDoes not exist in the menus.


To control the size of the ViewCube (Procedure)

Overview of the ViewCube
Up a level to ..
Overview of the ViewCube
The User Interface > Navigation Tools > ViewCube > Overview of the ViewCube >
Overview of the ViewCube
Concept Procedure Quick Reference

To control the size of the ViewCube

  1. Right-click on the ViewCube and click ViewCube Settings.
  2. In the ViewCube Settings dialog box, under Display, drag the ViewCube Size slider left or right.

    Dragging the slider to the left decreases the size of the ViewCube, while dragging the slider to the right increases the size of the ViewCube.

  3. Click OK.
Command entry: NAVVCUBE
Menu: View [image] Display [image] ViewCube [image] SettingsDoes not exist in the menus.


To control the inactive opacity of the ViewCube (Procedure)

Overview of the ViewCube
Up a level to ..
Overview of the ViewCube
The User Interface > Navigation Tools > ViewCube > Overview of the ViewCube >
Overview of the ViewCube
Concept Procedure Quick Reference

To control the inactive opacity of the ViewCube

  1. Right-click on the ViewCube and click ViewCube Settings.
  2. In the ViewCube Settings dialog box, under Display, drag the Inactive Opacity slider left or right.

    Dragging the slider to the left increases the transparency of the ViewCube, while dragging the slider to the right increases the opacity of the ViewCube.

  3. Click OK.
Command entry: NAVVCUBE
Menu: View [image] Display [image] ViewCube [image] SettingsDoes not exist in the menus.


To display the compass for the ViewCube (Procedure)

Overview of the ViewCube
Up a level to ..
ViewCube Menu
The User Interface > Navigation Tools > ViewCube > Overview of the ViewCube >
Overview of the ViewCube
Concept Procedure Quick Reference

To display the compass for the ViewCube

  1. Right-click on the ViewCube and click ViewCube Settings.
  2. In the ViewCube Settings dialog box, select Show Compass Below the ViewCube.

    The compass is displayed below the ViewCube and indicates which direction North is in the model.

  3. Click OK.
Command entry: NAVVCUBE
Menu: View [image] Display [image] ViewCube [image] SettingsDoes not exist in the menus.


Overview of the ViewCube (Quick Reference)

Dock, Resize, and Hide the Command Window
Overview of the ViewCube
ViewCube Menu
The User Interface > Navigation Tools > ViewCube > Overview of the ViewCube >
Overview of the ViewCube
Concept Procedure Quick Reference

Commands

NAVVCUBE

Controls the visibility and display properties of the ViewCube

OPTIONS

Customizes the program settings

System Variables

NAVVCUBEDISPLAY

Controls the display of the ViewCube for the current viewport when the 3D graphics system is active

NAVVCUBELOCATION

Identifies the corner in a viewport where the ViewCube is displayed

NAVVCUBEOPACITY

Controls the opacity of the ViewCube when inactive

NAVVCUBESIZE

Specifies the size of the ViewCube

Utilities

No entries

Command Modifiers

No entries


ViewCube Menu (Concept)

Overview of the ViewCube
ViewCube
Change the View of a Model with the ViewCube
The User Interface > Navigation Tools > ViewCube >
ViewCube Menu
Concept Procedure Quick Reference

The ViewCube menu provides options to define the orientation of the ViewCube, switch between parallel and perspective projection, define the Home view for the model, and control the appearance of the ViewCube.

The following options can be found on the shortcut menu of the ViewCube:

  • Home. Restores the Home view saved with the model.
  • Parallel. Switches the current view to parallel projection.
  • Perspective. Switches the current view to perspective projection.
  • Perspective with Ortho Faces. Switches the current view to perspective projection unless the current view aligns with a face view defined on the ViewCube.
  • Set Current View as Home. Defines the Home view of the model based on the current view.
  • Orients the camera to match the view angle of the selected view (a plan, elevation, section, or 3D view).
  • ViewCube Settings. Displays the dialog box where you can adjust the appearance and behavior of the ViewCube.
  • Help. Launches the online Help system and displays the topic on the ViewCube.


To display the ViewCube menu (Procedure)

Overview of the ViewCube
Up a level to ..
Change the Current View
The User Interface > Navigation Tools > ViewCube > ViewCube Menu >
ViewCube Menu
Concept Procedure Quick Reference

To display the ViewCube menu

  • Right-click on the compass, Home icon, or the main area of the ViewCube.
Command entry: NAVVCUBE
Ribbon: Home tab [image] View panel [image] ViewCube Display.
Menu: View [image] Display [image] ViewCube [image] OnDoes not exist in the menus.


ViewCube Menu (Quick Reference)

Overview of the ViewCube
ViewCube Menu
Change the View of a Model with the ViewCube
The User Interface > Navigation Tools > ViewCube > ViewCube Menu >
ViewCube Menu
Concept Procedure Quick Reference

Commands

NAVVCUBE

Controls the visibility and display properties of the ViewCube

OPTIONS

Customizes the program settings

System Variables

PERSPECTIVE

Specifies whether the current viewport displays a perspective view

Utilities

No entries

Command Modifiers

No entries


Changethe View of a Model with the ViewCube (Concept)

ViewCube Menu
ViewCube
Change the Current View
The User Interface > Navigation Tools > ViewCube >
Changethe View of a Model with the ViewCube
Concept Quick Reference

You can change the view of a model by restoring a preset view or drag the ViewCube, roll the current view 90 degrees, switch to an adjacent face view, switch between projection modes, and define and restore the Home view.

Topics in this section

  • Change the Current View

    You can change the current view of a model by clicking predefined areas on the ViewCube or dragging the ViewCube.

  • Set the View Projection Mode

    View projection produces realistic visual effects of a model.

  • Define the Home View

    You can define a Home view for a model so you can restore a familiar view when using the navigation tools.

  • Examine Individual Objects with the ViewCube

    You can examine individual objects of a model using the ViewCube.


Changethe View of a Model with the ViewCube (Quick Reference)

ViewCube Menu
Change the View of a Model with the ViewCube
Change the Current View
The User Interface > Navigation Tools > ViewCube > Change the View of a Model with the ViewCube >
Changethe View of a Model with the ViewCube
Concept Quick Reference

Commands

NAVVCUBE

Controls the visibility and display properties of the ViewCube

OPTIONS

Customizes the program settings

System Variables

NAVVCUBEDISPLAY

Controls the display of the ViewCube for the current viewport when the 3D graphics system is active

PERSPECTIVE

Specifies whether the current viewport displays a perspective view

Utilities

No entries

Command Modifiers

No entries


Change the Current View (Concept)

Change the View of a Model with the ViewCube
Change the View of a Model with the ViewCube
Set the View Projection Mode
The User Interface > Navigation Tools > ViewCube > Change the View of a Model with the ViewCube >
Change the Current View
Concept Procedure Quick Reference

You can change the current view of a model by clicking predefined areas on the ViewCube or dragging the ViewCube.

The ViewCube provides twenty-six defined areas you can click to change the current view of a model. The twenty-six defined areas are categorized into three groups: corner, edge, and face. Out of the twenty-six defined areas, six of the areas represent standard orthogonal views of a model: top, bottom, front, back, left, and right. Orthogonal views are set by clicking one of the faces on the ViewCube.

You use the other twenty defined areas to access angled views of a model. Clicking one of the corners on the ViewCube changes the current view of the model to a three-fourths view, based on a viewpoint defined by three sides of the model. Clicking one of the edges changes the view of the model to a three-fourths view based on two sides of the model.

Clicking over a defined area on the ViewCube is not the only way to change the view of a model with the ViewCube; you can click and drag the ViewCube. By clicking and dragging over the ViewCube you can change the view of a model to a custom viewpoint other than one of the twenty-six predefined viewpoints that are available.

Click the Play arrow to start the animation.

Roll a Face View

When you view a model from one of the face views, two additional icons are displayed near the ViewCube. These are the roll arrows. You use the roll arrows to roll or rotate the current view 90 degrees in the positive or negative directions around the center of the view.

Switch to an Adjacent Face

While viewing a model from one of the face views, you can use the ViewCube to switch to one of the adjacent face views without first changing the view of the model, in order to see the adjacent view. When the ViewCube is active and a face view is current, four triangles are displayed, one on each side of the ViewCube. With the triangles, you can rotate the current view to display the face view indicated by the triangle.


Change the Current View (Procedure)

ViewCube Menu
Change the Current View
Change the Current View
The User Interface > Navigation Tools > ViewCube > Change the View of a Model with the ViewCube > Change the Current View >
Change the Current View
Concept Procedure Quick Reference

To change the current view to a preset view

To view an adjacent face

To roll a face view

To interactively change the view


To change the current view to a preset view (Procedure)

Change the Current View
Change the Current View
Change the Current View
The User Interface > Navigation Tools > ViewCube > Change the View of a Model with the ViewCube > Change the Current View >
Change the Current View
Concept Procedure Quick Reference

To change the current view to a preset view

  1. Activate the ViewCube.
  2. Click one of the faces, edges or corners on the ViewCube.
Command entry: NAVVCUBE
Ribbon: Home tab [image] View panel [image] ViewCube Display.
Menu: View [image] Display [image] ViewCube [image] OnDoes not exist in the menus.


To view an adjacent face (Procedure)

Change the Current View
Change the Current View
Change the Current View
The User Interface > Navigation Tools > ViewCube > Change the View of a Model with the ViewCube > Change the Current View >
Change the Current View
Concept Procedure Quick Reference

To view an adjacent face

  1. Activate the ViewCube.
    NoteMake sure a face view is current.
  2. Click one of the triangles displayed near the edges of the ViewCube.
Command entry: NAVVCUBE
Ribbon: Home tab [image] View panel [image] ViewCube Display.
Menu: View [image] Display [image] ViewCube [image] OnDoes not exist in the menus.


To roll a face view (Procedure)

Change the Current View
Change the Current View
Change the Current View
The User Interface > Navigation Tools > ViewCube > Change the View of a Model with the ViewCube > Change the Current View >
Change the Current View
Concept Procedure Quick Reference

To roll a face view

  1. Activate the ViewCube.
    NoteMake sure a face view is current.
  2. Click one of the roll arrows displayed above and to the right of the ViewCube.

    Click the left roll arrow to rotate the view 90 degrees in a counterclockwise direction or click the right roll arrow to rotate the view 90 degrees in a clockwise direction.

Command entry: NAVVCUBE
Ribbon: Home tab [image] View panel [image] ViewCube Display.
Menu: View [image] Display [image] ViewCube [image] OnDoes not exist in the menus.


To interactively change the view (Procedure)

Change the Current View
Change the Current View
Set the View Projection Mode
The User Interface > Navigation Tools > ViewCube > Change the View of a Model with the ViewCube > Change the Current View >
Change the Current View
Concept Procedure Quick Reference

To interactively change the view

  • Click the ViewCube, hold down the button on your pointing device and drag to orbit the model.

    Drag in the direction that you want to orbit the model.

Command entry: NAVVCUBE
Ribbon: Home tab [image] View panel [image] ViewCube Display.
Menu: View [image] Display [image] ViewCube [image] OnDoes not exist in the menus.


Change the Current View (Quick Reference)

Change the View of a Model with the ViewCube
Change the View of a Model with the ViewCube
Set the View Projection Mode
The User Interface > Navigation Tools > ViewCube > Change the View of a Model with the ViewCube > Change the Current View >
Change the Current View
Concept Procedure Quick Reference

Commands

NAVVCUBE

Controls the visibility and display properties of the ViewCube

OPTIONS

Customizes the program settings

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Set the View Projection Mode (Concept)

Change the Current View
Change the View of a Model with the ViewCube
Define the Home View
The User Interface > Navigation Tools > ViewCube > Change the View of a Model with the ViewCube >
Set the View Projection Mode
Concept Procedure Quick Reference

View projection produces realistic visual effects of a model.

The ViewCube supports two different view projections: perspective and parallel. Perspective projected views are calculated based on the distance from a theoretical camera and target point. The shorter the distance between the camera and the target point, the more severe the perspective effect appears; greater distances produce less severe affects on the model. Parallel projected views display all the points of a model being projected parallel to the screen.

The following illustration shows the same model viewed from the same viewing direction, but with different view projections.

When the view for a model changes, the view is updated using the last projection mode unless the current projection mode set for the ViewCube is Perspective with Ortho Faces. The Perspective with Ortho Faces mode forces all views to be displayed in perspective projection unless the model is being viewed from one of the face views: top, bottom, front, back, left, or right.

When you close the ViewCube, the projection mode used to view the model is retained by the current view unless Perspective with Ortho Faces is the last mode. If Perspective with Ortho Faces was the last mode used, the view is assigned either parallel or perspective projection. When the ViewCube is restarted, the saved view projection is restored.


To change the view projection mode (Procedure)

Change the Current View
Set the View Projection Mode
Define the Home View
The User Interface > Navigation Tools > ViewCube > Change the View of a Model with the ViewCube > Set the View Projection Mode >
Set the View Projection Mode
Concept Procedure Quick Reference

To change the view projection mode

  1. Right-click on the ViewCube and click one of the following options:
    • Parallel
    • Perspective
    • Perspective with Ortho Faces
Command entry: NAVVCUBE
Ribbon: Home tab [image] View panel [image] ViewCube Display.
Menu: View [image] Display [image] ViewCube [image] OnDoes not exist in the menus.


Set the View Projection Mode (Quick Reference)

Change the Current View
Change the View of a Model with the ViewCube
Define the Home View
The User Interface > Navigation Tools > ViewCube > Change the View of a Model with the ViewCube > Set the View Projection Mode >
Set the View Projection Mode
Concept Procedure Quick Reference

Commands

NAVVCUBE

Controls the visibility and display properties of the ViewCube

OPTIONS

Customizes the program settings

System Variables

NAVVCUBEDISPLAY

Controls the display of the ViewCube for the current viewport when the 3D graphics system is active

PERSPECTIVE

Specifies whether the current viewport displays a perspective view

Utilities

No entries

Command Modifiers

No entries


Define the Home View (Concept)

Set the View Projection Mode
Change the View of a Model with the ViewCube
Examine Individual Objects with the ViewCube
The User Interface > Navigation Tools > ViewCube > Change the View of a Model with the ViewCube >
Define the Home View
Concept Procedure Quick Reference

You can define a Home view for a model so you can restore a familiar view when using the navigation tools.

The Home view is a special view of the model. The extents of a model are used as the default view for the Home view of models that were created prior to AutoCAD 2008, while a three fourths view of the model defined from the Top/Left/Front orientation is used for all new models. You can also define a view of the model as the Home view so you can easily return to the familiar view by clicking the Home icon or by clicking Home from on the shortcut menu.

While you can use the Home view to navigate back to a familiar view, you can also use it to generate the thumbnail preview when a model is saved instead of using the last saved view. The Thumbnail Preview Settings dialog box in the Options dialog box is used to control if the Home view or the last saved view of a model are used to generate the thumbnail preview when saving. Along with defining which view is used for the thumbnail preview when a model is saved, you can also reset the Home view back to its default view using the Thumbnail Preview Settings dialog box.


Define the Home View (Procedure)

Set the View Projection Mode
Define the Home View
Define the Home View
The User Interface > Navigation Tools > ViewCube > Change the View of a Model with the ViewCube > Define the Home View >
Define the Home View
Concept Procedure Quick Reference

To define the Home view

To restore the Home view

To reset the Home view to the default view


To define the Home view (Procedure)

Define the Home View
Define the Home View
Define the Home View
The User Interface > Navigation Tools > ViewCube > Change the View of a Model with the ViewCube > Define the Home View >
Define the Home View
Concept Procedure Quick Reference

To define the Home view

  • Right-click on the ViewCube and click Set Current View as Home.
Command entry: NAVVCUBE
Ribbon: Home tab [image] View panel [image] ViewCube Display.
Menu: View [image] Display [image] ViewCube [image] OnDoes not exist in the menus.


To restore the Home view (Procedure)

Define the Home View
Define the Home View
Define the Home View
The User Interface > Navigation Tools > ViewCube > Change the View of a Model with the ViewCube > Define the Home View >
Define the Home View
Concept Procedure Quick Reference

To restore the Home view

Use one of the following methods to restore the Home view:

  • Click the Home icon located near the ViewCube.
  • Right-click on the ViewCube and click Home.
Command entry: NAVVCUBE
Ribbon: Home tab [image] View panel [image] ViewCube Display.
Menu: View [image] Display [image] ViewCube [image] OnDoes not exist in the menus.


To reset the Home view to the default view (Procedure)

Define the Home View
Define the Home View
Examine Individual Objects with the ViewCube
The User Interface > Navigation Tools > ViewCube > Change the View of a Model with the ViewCube > Define the Home View >
Define the Home View
Concept Procedure Quick Reference

To reset the Home view to the default view

  1. Click Tools menu [image] Options.At the Command prompt, enter options.
  2. In the Options dialog box, Open and Save tab, under File Save, click Thumbnail Preview Settings.
  3. In the Thumbnail Preview Settings dialog box, click Reset Home to Default.
  4. Click OK to close the Thumbnail Preview Settings dialog box.
  5. Click OK to close the Options dialog box.
Command entry: OPTIONS


Define the Home View (Quick Reference)

Set the View Projection Mode
Change the View of a Model with the ViewCube
Examine Individual Objects with the ViewCube
The User Interface > Navigation Tools > ViewCube > Change the View of a Model with the ViewCube > Define the Home View >
Define the Home View
Concept Procedure Quick Reference

Commands

NAVVCUBE

Controls the visibility and display properties of the ViewCube

OPTIONS

Customizes the program settings

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Examine Individual Objects with the ViewCube (Concept)

Define the Home View
Change the View of a Model with the ViewCube
Change the UCS with the ViewCube
The User Interface > Navigation Tools > ViewCube > Change the View of a Model with the ViewCube >
Examine Individual Objects with the ViewCube
Concept Procedure Quick Reference

You can examine individual objects of a model using the ViewCube.

With the ViewCube, you can define the center of a view based on one or more selected objects. After an object or objects are selected and a view change occurs from the ViewCube, the model is rotated around the center of the view, which is calculated by the extents of the selected objects.


To examine an individual object with the ViewCube (Procedure)

Define the Home View
Examine Individual Objects with the ViewCube
Change the UCS with the ViewCube
The User Interface > Navigation Tools > ViewCube > Change the View of a Model with the ViewCube > Examine Individual Objects with the ViewCube >
Examine Individual Objects with the ViewCube
Concept Procedure Quick Reference

To examine an individual object with the ViewCube

  1. In the model, select one or more objects to define the center point of the view.
  2. Click one of the preset locations on the ViewCube, or click and drag the ViewCube to change the view of the model.

    The ViewCube changes the view of the model based on the center point of the selected objects.

Command entry: NAVVCUBE
Ribbon: Home tab [image] View panel [image] ViewCube Display.
Menu: View [image] Display [image] ViewCube [image] OnDoes not exist in the menus.


Examine Individual Objects with the ViewCube (Quick Reference)

Define the Home View
Change the View of a Model with the ViewCube
Change the UCS with the ViewCube
The User Interface > Navigation Tools > ViewCube > Change the View of a Model with the ViewCube > Examine Individual Objects with the ViewCube >
Examine Individual Objects with the ViewCube
Concept Procedure Quick Reference

Commands

NAVVCUBE

Controls the visibility and display properties of the ViewCube

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Change the UCS with the ViewCube (Concept)

Examine Individual Objects with the ViewCube
ViewCube
SteeringWheels
The User Interface > Navigation Tools > ViewCube >
Change the UCS with the ViewCube
Concept Procedure Quick Reference

With the ViewCube you can change the current UCS used for the model to one of the named UCSs saved with the model or define a new UCS.

The UCS menu, located below the ViewCube, displays the name of the current UCS in the model. From the menu, you can restore one of the named UCSs saved with the model or switch to WCS, or define a new UCS. With the WCS item on the menu, you can switch the coordinate system from the current UCS to WCS. With the New UCS, you can rotate the current UCS based on one, two, or three points to define a new UCS. When you click New UCS, a new UCS is defined with the default name of Unnamed. To save the UCS with a name so it can be restored later, use the Named option.

You can orient the ViewCube with the current UCS or WCS. By orienting the ViewCube with the current UCS, you know which direction you are modeling in. Orienting the ViewCube with the WCS, you can navigate the model based on the North and Up directions of the model. The settings for controlling the orientation of the ViewCube are in the ViewCube Settings dialog box.


Change the UCS with the ViewCube (Procedure)

Examine Individual Objects with the ViewCube
Up a level to ..
Change the UCS with the ViewCube
The User Interface > Navigation Tools > ViewCube > Change the UCS with the ViewCube >
Change the UCS with the ViewCube
Concept Procedure Quick Reference

To control the display of the UCS menu

To identify the current UCS

To switch to a different UCS

To switch to WCS

To set the orientation of the ViewCube based on the current UCS or WCS


To control the display of the UCS menu (Procedure)

Change the UCS with the ViewCube
Up a level to ..
Change the UCS with the ViewCube
The User Interface > Navigation Tools > ViewCube > Change the UCS with the ViewCube >
Change the UCS with the ViewCube
Concept Procedure Quick Reference

To control the display of the UCS menu

  1. Right-click on the ViewCube and click ViewCube Settings.
  2. In the ViewCube Settings dialog box, under Display, click Show UCS Menu.

    If Show UCS Menu is checked, the UCS menu is displayed below the ViewCube. You can see which UCS is current and switch to a different named UCS. When not checked, the UCS menu is not displayed.

Command entry: NAVVCUBE
Menu: View [image] Display [image] ViewCube [image] SettingsDoes not exist in the menus.


To identify the current UCS (Procedure)

Change the UCS with the ViewCube
Up a level to ..
Change the UCS with the ViewCube
The User Interface > Navigation Tools > ViewCube > Change the UCS with the ViewCube >
Change the UCS with the ViewCube
Concept Procedure Quick Reference

To identify the current UCS

  • The current UCS is displayed on the UCS menu below the ViewCube.
Command entry: NAVVCUBE
Ribbon: Home tab [image] View panel [image] ViewCube Display.
Menu: View [image] Display [image] ViewCube [image] OnDoes not exist in the menus.


To switch to a different UCS (Procedure)

Change the UCS with the ViewCube
Up a level to ..
Change the UCS with the ViewCube
The User Interface > Navigation Tools > ViewCube > Change the UCS with the ViewCube >
Change the UCS with the ViewCube
Concept Procedure Quick Reference

To switch to a different UCS

  1. On the UCS menu located below the ViewCube, click the down arrow next to the current UCS name.
  2. Select a named UCS from the list.
Command entry: NAVVCUBE
Ribbon: Home tab [image] View panel [image] ViewCube Display.
Menu: View [image] Display [image] ViewCube [image] OnDoes not exist in the menus.


To switch to WCS (Procedure)

Change the UCS with the ViewCube
Up a level to ..
Change the UCS with the ViewCube
The User Interface > Navigation Tools > ViewCube > Change the UCS with the ViewCube >
Change the UCS with the ViewCube
Concept Procedure Quick Reference

To switch to WCS

  1. On the UCS menu located below the ViewCube, click the down arrow next to the current UCS name.
  2. Select a WCS from the list.


To set the orientation of the ViewCube based on the current UCS or WCS (Procedure)

Change the UCS with the ViewCube
Up a level to ..
SteeringWheels
The User Interface > Navigation Tools > ViewCube > Change the UCS with the ViewCube >
Change the UCS with the ViewCube
Concept Procedure Quick Reference

To set the orientation of the ViewCube based on the current UCS or WCS

  1. Right-click on the ViewCube and click ViewCube Settings.
  2. In the ViewCube Settings dialog box, click Orient ViewCube to Current UCS.

    If Orient ViewCube to Current UCS is checked, the ViewCube aligns with the current UCS. When not checked, the ViewCube aligns with the WCS of the model.

Command entry: NAVVCUBE
Ribbon: Home tab [image] View panel [image] ViewCube Display.
Menu: View [image] Display [image] ViewCube [image] OnDoes not exist in the menus.


Change the UCS with the ViewCube (Quick Reference)

Examine Individual Objects with the ViewCube
Change the UCS with the ViewCube
Overview of SteeringWheels
The User Interface > Navigation Tools > ViewCube > Change the UCS with the ViewCube >
Change the UCS with the ViewCube
Concept Procedure Quick Reference

Commands

NAVVCUBE

Controls the visibility and display properties of the ViewCube

OPTIONS

Customizes the program settings

UCS

Manages user coordinate systems

System Variables

NAVVCUBEORIENT

Controls whether the ViewCube reflects the current UCS or WCS

Utilities

No entries

Command Modifiers

No entries


SteeringWheels

Change the UCS with the ViewCube
Navigation Tools
Overview of SteeringWheels
The User Interface > Navigation Tools >
SteeringWheels
Concept Procedure

SteeringWheels are tracking menus that allow you to access different 2D and 3D navigation tools from a single tool.

Topics in this section

  • Overview of SteeringWheels

    SteeringWheels are tracking menus that are divided into different sections known as wedges. Each wedge on a wheel represents a single navigation tool. You can pan, zoom, or manipulate the current view of a model in different ways.

  • Wheel Menu

    From the Wheel menu, you can switch between different wheels and change the behavior of some of the navigation tools on the current wheel.

  • Navigation Wheels

    You can choose from several different wheels. Each has its own drafting theme. Some wheels are designed for 2D navigation while other wheels are better suited for 3D navigation.

  • Navigation Tools

    The navigation tools change the current view of a model.


SteeringWheels (Procedure)

Change the UCS with the ViewCube
SteeringWheels
Overview of SteeringWheels
The User Interface > Navigation Tools > SteeringWheels >
SteeringWheels
Concept Procedure

To display a wheel

To close a wheel

To change the size of the wheels

To change the opacity of the wheels

To control the startup placement of the wheels

To enable tooltips for wheels

To enable messages for wheels

To display the wheel menu


Overview of SteeringWheels (Concept)

SteeringWheels
SteeringWheels
Wheel Menu
The User Interface > Navigation Tools > SteeringWheels >
Overview of SteeringWheels
Concept Procedure Quick Reference

SteeringWheels are tracking menus that are divided into different sections known as wedges. Each wedge on a wheel represents a single navigation tool. You can pan, zoom, or manipulate the current view of a model in different ways.

SteeringWheels, also known as wheels, can save you time by combining many of the common navigation tools into a single interface. Wheels are specific to the context that a model is being viewed in.

First Contact Balloon

When the wheel is pinned at startup it does not follow the cursor and the First Contact balloon for the wheels is displayed. The First Contact balloon serves as an introduction to the purpose of the wheels and how you can use them. The change startup behavior of the wheels in the SteeringWheels Settings dialog box.

Display and Use Wheels

You can display a wheel from a shortcut menu, toolbar, or pull-down menu. After a wheel is displayed, you can activate one of the available navigation tools by either clicking over one of the wedges on the wheel or clicking and holding down the button on the pointing device. Once the button is held down, dragging over the drawing window causes the current view to change. Releasing the button returns you to the wheel.

Click the Play arrow to start the animation.

Control the Appearance of Wheels

You can control the appearance of the wheels by changing the current mode, or by adjusting the size and opacity. Wheels (except the 2D Navigation wheel) are available in two different modes: big and mini. To change the current mode of a wheel, right-click the wheel and select a different mode.

In addition to changing the current mode, you can adjust the opacity and size for the wheels. The size of a wheel controls how large or small the wedges and labels appear on the wheel; the opacity level controls the visibility of the objects in the model behind the wheel. The settings used to control the appearance of the wheels are in the SteeringWheels Settings dialog box.

Control Tooltips for Wheels and Messages for Tools

Tooltips are displayed for each wedge and button on a wheel as the cursor hovers over them. The tooltips appear below the wheel and identify what action will be performed if the wedge or button is clicked. You can turn the display of tooltips on or off in the SteeringWheels Settings dialog box.

Similar to tooltips, tool messages are displayed when you use one of the navigation tools from a wheel. Tool messages are displayed over the drawing window and provide instructions for using the active navigation tool. Like tooltips, you can turn tool messages on or off in the SteeringWheels Settings dialog box. Disabling tool messages only affects the messages that are displayed when using the Full Navigation wheel.


Overview of SteeringWheels (Procedure)

SteeringWheels
Up a level to ..
Overview of SteeringWheels
The User Interface > Navigation Tools > SteeringWheels > Overview of SteeringWheels >
Overview of SteeringWheels
Concept Procedure Quick Reference

To display a wheel

To close a wheel

To change the size of the wheels

To change the opacity of the wheels

To control the startup placement of the wheels

To enable tooltips for wheels

To enable messages for wheels


To display a wheel (Procedure)

Overview of SteeringWheels
Up a level to ..
Overview of SteeringWheels
The User Interface > Navigation Tools > SteeringWheels > Overview of SteeringWheels >
Overview of SteeringWheels
Concept Procedure Quick Reference

To display a wheel

  • Click View menu [image] SteeringWheels.At the command prompt, enter navswheel.
Command entry: NAVSWHEEL
Ribbon: Home tab [image] View panel [image] SteeringWheels. Does not exist on the ribbon.


To close a wheel (Procedure)

Overview of SteeringWheels
Up a level to ..
Overview of SteeringWheels
The User Interface > Navigation Tools > SteeringWheels > Overview of SteeringWheels >
Overview of SteeringWheels
Concept Procedure Quick Reference

To close a wheel

Use one of the following methods to close a wheel:

  • Press the ESC or ENTER key.
  • Click the Close button.
  • Right-click on the wheel and click Close Wheel.


To change the size of the wheels (Procedure)

Overview of SteeringWheels
Up a level to ..
Overview of SteeringWheels
The User Interface > Navigation Tools > SteeringWheels > Overview of SteeringWheels >
Overview of SteeringWheels
Concept Procedure Quick Reference

To change the size of the wheels

  1. Display a wheel.
  2. Right-click on the wheel and click SteeringWheels Settings.
  3. In the SteeringWheels Settings dialog box, under Big Wheels or Mini Wheels, slide the Wheel Size slider left or right.

    Sliding the slider to the left decreases the size of the wheel, while sliding the slider to the right increases the size of the wheel.

  4. Click OK.
Command entry: NAVSWHEEL
Ribbon: Home tab [image] View panel [image] SteeringWheels. Does not exist on the ribbon.
Menu: View [image] SteeringWheelsDoes not exist in the menus.


To change the opacity of the wheels (Procedure)

Overview of SteeringWheels
Up a level to ..
Overview of SteeringWheels
The User Interface > Navigation Tools > SteeringWheels > Overview of SteeringWheels >
Overview of SteeringWheels
Concept Procedure Quick Reference

To change the opacity of the wheels

  1. Display a wheel.
  2. Right-click on the wheel and click SteeringWheels Settings.
  3. In the SteeringWheels Settings dialog box, under Big Wheels or Mini Wheels, slide the Wheel Opacity slider left or right.

    Sliding the slider to the left increases the transparency of the wheel, while sliding the slider to the right decreases the transparency of the wheel making it more opaque.

  4. Click OK.
Command entry: NAVSWHEEL
Ribbon: Home tab [image] View panel [image] SteeringWheels. Does not exist on the ribbon.
Menu: View [image] SteeringWheelsDoes not exist in the menus.


To control the startup placement of the wheels (Procedure)

Overview of SteeringWheels
Up a level to ..
Overview of SteeringWheels
The User Interface > Navigation Tools > SteeringWheels > Overview of SteeringWheels >
Overview of SteeringWheels
Concept Procedure Quick Reference

To control the startup placement of the wheels

  1. Display a wheel.
  2. Right-click on the wheel and click SteeringWheels Settings.
  3. In the SteeringWheels Settings dialog box, under Display, click Show the Pinned Wheel at Startup.

    The wheel appears pinned when it is displayed; when left unchecked, the wheel follows the position of the cursor.

  4. Click OK.
Command entry: NAVSWHEEL
Ribbon: Home tab [image] View panel [image] SteeringWheels. Does not exist on the ribbon.
Menu: View [image] SteeringWheelsDoes not exist in the menus.


To enable tooltips for wheels (Procedure)

Overview of SteeringWheels
Up a level to ..
Overview of SteeringWheels
The User Interface > Navigation Tools > SteeringWheels > Overview of SteeringWheels >
Overview of SteeringWheels
Concept Procedure Quick Reference

To enable tooltips for wheels

  1. Display a wheel.
  2. Right-click on the wheel and click SteeringWheels Settings.
  3. In the SteeringWheels Settings dialog box, under Display, click Show Tooltips.

    Tooltips are displayed for the wedges and buttons on a wheel when the cursor hovers over the wheel.

  4. Click OK.
Command entry: NAVSWHEEL
Ribbon: Home tab [image] View panel [image] SteeringWheels. Does not exist on the ribbon.
Menu: View [image] SteeringWheelsDoes not exist in the menus.


To enable messages for wheels (Procedure)

Overview of SteeringWheels
Up a level to ..
Wheel Menu
The User Interface > Navigation Tools > SteeringWheels > Overview of SteeringWheels >
Overview of SteeringWheels
Concept Procedure Quick Reference

To enable messages for wheels

  1. Display a wheel.
  2. Right-click on the wheel and click SteeringWheels Settings.
  3. In the SteeringWheels Settings dialog box, under Display, click Show Tool Messages.

    Messages are displayed when you use the navigation tools.

  4. Click OK.
Command entry: NAVSWHEEL
Ribbon: Home tab [image] View panel [image] SteeringWheels. Does not exist on the ribbon.
Menu: View [image] SteeringWheelsDoes not exist in the menus.


Overview of SteeringWheels (Quick Reference)

Change the UCS with the ViewCube
Overview of SteeringWheels
Wheel Menu
The User Interface > Navigation Tools > SteeringWheels > Overview of SteeringWheels >
Overview of SteeringWheels
Concept Procedure Quick Reference

Commands

NAVSWHEEL

Displays the SteeringWheels

OPTIONS

Customizes the program settings

System Variables

NAVSWHEELMODE

Specifies the current mode of the SteeringWheel

NAVSWHEELOPACITYBIG

Controls the opacity of the big SteeringWheels

NAVSWHEELOPACITYMINI

Controls the opacity of the mini SteeringWheels

NAVSWHEELSIZEBIG

Specifies the size of the big SteeringWheels

NAVSWHEELSIZEMINI

Specifies the size of the mini SteeringWheels

Utilities

No entries

Command Modifiers

No entries


Wheel Menu (Concept)

Overview of SteeringWheels
SteeringWheels
Navigation Wheels
The User Interface > Navigation Tools > SteeringWheels >
Wheel Menu
Concept Procedure Quick Reference

From the Wheel menu, you can switch between different wheels and change the behavior of some of the navigation tools on the current wheel.

Use the Wheel menu to switch between the big and mini wheels that are available, go to the Home view, change the preferences of the current wheel, and control the behavior of the orbit, look, and walk 3D navigation tools. The menu items available on the Wheel menu are dependent on the current wheel.

The Wheel menu has the following options:

  • Mini View Object Wheel. Displays the mini version of the View Object wheel.
  • Mini Tour Building Wheel. Displays the mini version of the Tour Building wheel.
  • Mini Full Navigation Wheel. Displays the mini version of the Full Navigation wheel.
  • Full Navigation Wheel. Displays the big version of the Full Navigation wheel.
  • Basic Wheels. Displays either the big version of the View Object or Tour Building wheel.
  • Go Home. Restores the Home view saved with the model.
  • Fit to Window. Resizes and centers the current view to display all objects.
  • Restore Original Center. Restores the center point of the view to the extents of the model.
  • Level Camera. Rotates the current view so it is relative to the XY ground plane.
  • Increase Walk Speed. Increases the walk speed used for the Walk tool by two times.
  • Decrease Walk Speed. Decreases the walk speed used for the Walk tool by one half.
  • Help. Launches the online Help system and displays the topic about the wheels.
  • SteeringWheels Settings. Displays the dialog box where you can adjust the preferences for the wheels.
  • Close Wheel. Closes the wheel.


To display the wheel menu (Procedure)

Overview of SteeringWheels
Up a level to ..
View Object Wheel
The User Interface > Navigation Tools > SteeringWheels > Wheel Menu >
Wheel Menu
Concept Procedure Quick Reference

To display the wheel menu

  • Click the down arrow in the lower-right corner of the wheel or right-click on the wheel.
Command entry: NAVSWHEEL
Ribbon: Home tab [image] View panel [image] SteeringWheels. Does not exist on the ribbon.
Menu: View [image] SteeringWheelsDoes not exist in the menus.


Wheel Menu (Quick Reference)

Overview of SteeringWheels
Wheel Menu
Navigation Wheels
The User Interface > Navigation Tools > SteeringWheels > Wheel Menu >
Wheel Menu
Concept Procedure Quick Reference

Commands

NAVSWHEEL

Displays the SteeringWheels

System Variables

NAVSWHEELMODE

Specifies the current mode of the SteeringWheel

Utilities

No entries

Command Modifiers

No entries


Navigation Wheels (Concept)

Wheel Menu
SteeringWheels
2D Navigation Wheel
The User Interface > Navigation Tools > SteeringWheels >
Navigation Wheels
Concept Quick Reference

You can choose from several different wheels. Each has its own drafting theme. Some wheels are designed for 2D navigation while other wheels are better suited for 3D navigation.

Wheels are available in two sizes: big and mini. The big wheel is larger than the cursor. A label is on each wedge in the wheel. The mini wheel is about the same size as the cursor. Labels are not displayed on the wheel wedges. The 2D Navigation wheel is only available in a big version.

You can choose from the following wheels:

  • 2D Navigation
  • View Object
  • Tour Building
  • Full Navigation

Topics in this section

  • 2D Navigation Wheel

    The 2D Navigation wheel is for basic navigation of a model.

  • View Object Wheel

    The View Object wheel is for 3D navigation; it includes the orbit 3D navigation tool. Use the View Object wheel to examine 3D objects from the outside.

  • Tour Building Wheels

    The Tour Building wheels are for 3D navigation. Use the Tour Building wheels to navigate within the interior of a model.

  • Full Navigation Wheel

    The Full Navigation wheel combines the 2D and 3D navigation tools found on the View Object and Tour Building wheels.


Navigation Wheels (Quick Reference)

Wheel Menu
Navigation Wheels
2D Navigation Wheel
The User Interface > Navigation Tools > SteeringWheels > Navigation Wheels >
Navigation Wheels
Concept Quick Reference

Commands

NAVSWHEEL

Displays the SteeringWheels

System Variables

NAVSWHEELMODE

Specifies the current mode of the SteeringWheel

Utilities

No entries

Command Modifiers

No entries


2D Navigation Wheel (Concept)

Navigation Wheels
Navigation Wheels
View Object Wheel
The User Interface > Navigation Tools > SteeringWheels > Navigation Wheels >
2D Navigation Wheel
Concept Quick Reference

The 2D Navigation wheel is for basic navigation of a model.

The 2D Navigation wheel is divided into the following wedges:

  • Pan. Repositions the current view by panning.
  • Zoom. Adjusts the magnification of the current view.
  • Rewind. Restores the most recent view. You can move backward or forward through previous views.
NoteUnlike other wheels, the 2D Navigation wheel is context specific and is displayed when a layout tab is active or when the NAVSWHEELMODE system variable is set to 3.


2D Navigation Wheel (Quick Reference)

Navigation Wheels
Navigation Wheels
View Object Wheel
The User Interface > Navigation Tools > SteeringWheels > Navigation Wheels > 2D Navigation Wheel >
2D Navigation Wheel
Concept Quick Reference

Commands

NAVSWHEEL

Displays the SteeringWheels

System Variables

NAVSWHEELMODE

Specifies the current mode of the SteeringWheel

Utilities

No entries

Command Modifiers

No entries


View Object Wheel (Concept)

2D Navigation Wheel
Navigation Wheels
Tour Building Wheels
The User Interface > Navigation Tools > SteeringWheels > Navigation Wheels >
View Object Wheel
Concept Procedure Quick Reference

The View Object wheel is for 3D navigation; it includes the orbit 3D navigation tool. Use the View Object wheel to examine 3D objects from the outside.

The big View Object wheel is divided into the following wedges:

  • Center. Specifies a point on a model to adjust the center of the current view or change the target point used for some of the navigation tools.
  • Zoom. Adjusts the magnification of the current view.
  • Rewind. Restores the most recent view. You can move backward or forward through previous views.
  • Orbit. Rotates the current view around a fixed pivot point.

The mini View Object wheel is divided into the following wedges:

  • Zoom (Top wedge). Adjusts the magnification of the current view.
  • Rewind (Right wedge). Restores the most recent view. You can move backward or forward through previous views.
  • Pan (Bottom wedge). Repositions the current view by panning.
  • Orbit (Left wedge). Rotates the current view around a fixed pivot point.


View Object Wheel (Procedure)

Wheel Menu
View Object Wheel
View Object Wheel
The User Interface > Navigation Tools > SteeringWheels > Navigation Wheels > View Object Wheel >
View Object Wheel
Concept Procedure Quick Reference

To switch to the big View Objects wheel

To switch to the mini View Objects wheel


To switch to the big View Objects wheel (Procedure)

View Object Wheel
View Object Wheel
View Object Wheel
The User Interface > Navigation Tools > SteeringWheels > Navigation Wheels > View Object Wheel >
View Object Wheel
Concept Procedure Quick Reference

To switch to the big View Objects wheel

  • Right-click on the wheel and click Basic Wheels [image] View Object Wheel.
Command entry: NAVSWHEEL
Ribbon: Home tab [image] View panel [image] SteeringWheels. Does not exist on the ribbon.
Menu: View [image] SteeringWheelsDoes not exist in the menus.


To switch to the mini View Objects wheel (Procedure)

View Object Wheel
View Object Wheel
Tour Building Wheels
The User Interface > Navigation Tools > SteeringWheels > Navigation Wheels > View Object Wheel >
View Object Wheel
Concept Procedure Quick Reference

To switch to the mini View Objects wheel

  • Right-click on the wheel and click Mini View Object Wheel.
Command entry: NAVSWHEEL
Ribbon: Home tab [image] View panel [image] SteeringWheels. Does not exist on the ribbon.
Menu: View [image] SteeringWheelsDoes not exist in the menus.


View Object Wheel (Quick Reference)

2D Navigation Wheel
Navigation Wheels
Tour Building Wheels
The User Interface > Navigation Tools > SteeringWheels > Navigation Wheels > View Object Wheel >
View Object Wheel
Concept Procedure Quick Reference

Commands

NAVSWHEEL

Displays the SteeringWheels

System Variables

NAVSWHEELMODE

Specifies the current mode of the SteeringWheel

Utilities

No entries

Command Modifiers

No entries


Tour Building Wheels (Concept)

View Object Wheel
Navigation Wheels
Full Navigation Wheel
The User Interface > Navigation Tools > SteeringWheels > Navigation Wheels >
Tour Building Wheels
Concept Procedure Quick Reference

The Tour Building wheels are for 3D navigation. Use the Tour Building wheels to navigate within the interior of a model.

The big Tour Building wheel is divided into the following wedges:

  • Forward. Adjusts the distance between the current point of view and the defined pivot point of the model.
  • Look. Swivels the current view.
  • Rewind. Restores the most recent view. You can move backward or forward through previous views.
  • Up/Down. Slides the current view of a model along the Y axis of the screen.

The mini Tour Building wheel is divided into the following wedges:

  • Walk (Top wedge). Simulates walking through a model.
  • Rewind (Right wedge). Restores the most recent view. You can move backward or forward through previous views.
  • Up/Down (Bottom wedge). Slides the current view of a model along the Y axis of the screen.
  • Look (Left wedge). Swivels the current view.


Tour Building Wheels (Procedure)

View Object Wheel
Tour Building Wheels
Tour Building Wheels
The User Interface > Navigation Tools > SteeringWheels > Navigation Wheels > Tour Building Wheels >
Tour Building Wheels
Concept Procedure Quick Reference

To switch to the big Tour Building wheel

To switch to the mini Tour Building wheel


To switch to the big Tour Building wheel (Procedure)

Tour Building Wheels
Tour Building Wheels
Tour Building Wheels
The User Interface > Navigation Tools > SteeringWheels > Navigation Wheels > Tour Building Wheels >
Tour Building Wheels
Concept Procedure Quick Reference

To switch to the big Tour Building wheel

  • Right-click on the wheel and click Basic Wheels [image] Tour Building Wheel.
Command entry: NAVSWHEEL
Ribbon: Home tab [image] View panel [image] SteeringWheels. Does not exist on the ribbon.
Menu: View [image] SteeringWheelsDoes not exist in the menus.


To switch to the mini Tour Building wheel (Procedure)

Tour Building Wheels
Tour Building Wheels
Full Navigation Wheel
The User Interface > Navigation Tools > SteeringWheels > Navigation Wheels > Tour Building Wheels >
Tour Building Wheels
Concept Procedure Quick Reference

To switch to the mini Tour Building wheel

  • Right-click on the wheel and click Mini Tour Building Wheel.
Command entry: NAVSWHEEL
Ribbon: Home tab [image] View panel [image] SteeringWheels. Does not exist on the ribbon.
Menu: View [image] SteeringWheelsDoes not exist in the menus.


Tour Building Wheels (Quick Reference)

View Object Wheel
Navigation Wheels
Full Navigation Wheel
The User Interface > Navigation Tools > SteeringWheels > Navigation Wheels > Tour Building Wheels >
Tour Building Wheels
Concept Procedure Quick Reference

Commands

NAVSWHEEL

Displays the SteeringWheels

System Variables

NAVSWHEELMODE

Specifies the current mode of the SteeringWheel

Utilities

No entries

Command Modifiers

No entries


Full Navigation Wheel (Concept)

Tour Building Wheels
Navigation Wheels
Navigation Tools
The User Interface > Navigation Tools > SteeringWheels > Navigation Wheels >
Full Navigation Wheel
Concept Procedure Quick Reference

The Full Navigation wheel combines the 2D and 3D navigation tools found on the View Object and Tour Building wheels.

The big Full Navigation wheel is divided into the following wedges:

  • Zoom. Adjusts the magnification of the current view.
  • Rewind. Restores the most recent view. You can move backward or forward through previous views.
  • Pan. Repositions the current view by panning.
  • Orbit. Rotates the current view around a fixed pivot point.
  • Center. Specifies a point on a model to adjust the center of the current view or change the target point used for some of the navigation tools.
  • Walk. Simulates walking through a model.
  • Look. Swivels the current view.
  • Up/Down. Slides the current view of a model along the Y axis of the screen.

The mini Full Navigation wheel is divided into the following wedges:

  • Zoom (Top wedge). Adjusts the magnification of the current view.
  • Walk (Upper right wedge). Simulates walking through a model.
  • Rewind (Right wedge). Restores the most recent view. You can move backward or forward through previous views.
  • Up/Down (Lower right wedge). Slides the current view of a model along the Y axis of the screen.
  • Pan (Bottom wedge). Repositions the current view by panning.
  • Look (Lower left wedge). Swivels the current view.
  • Orbit (Left wedge). Rotates the current view around a fixed pivot point.
  • Center (Upper left wedge). Specifies a point on a model to adjust the center of the current view or change the target point used for some of the navigation tools.


Full Navigation Wheel (Procedure)

Tour Building Wheels
Full Navigation Wheel
Full Navigation Wheel
The User Interface > Navigation Tools > SteeringWheels > Navigation Wheels > Full Navigation Wheel >
Full Navigation Wheel
Concept Procedure Quick Reference

To switch to the big Full Navigation wheel

To switch to the mini Full Navigation wheel


To switch to the big Full Navigation wheel (Procedure)

Full Navigation Wheel
Full Navigation Wheel
Full Navigation Wheel
The User Interface > Navigation Tools > SteeringWheels > Navigation Wheels > Full Navigation Wheel >
Full Navigation Wheel
Concept Procedure Quick Reference

To switch to the big Full Navigation wheel

  • Right-click on the wheel and click Full Navigation Wheel.
Command entry: NAVSWHEEL
Ribbon: Home tab [image] View panel [image] SteeringWheels. Does not exist on the ribbon.
Menu: View [image] SteeringWheelsDoes not exist in the menus.


To switch to the mini Full Navigation wheel (Procedure)

Full Navigation Wheel
Full Navigation Wheel
Center Tool
The User Interface > Navigation Tools > SteeringWheels > Navigation Wheels > Full Navigation Wheel >
Full Navigation Wheel
Concept Procedure Quick Reference

To switch to the mini Full Navigation wheel

  • Right-click on the wheel and click Mini Navigation Wheel.
Command entry: NAVSWHEEL
Ribbon: Home tab [image] View panel [image] SteeringWheels. Does not exist on the ribbon.
Menu: View [image] SteeringWheelsDoes not exist in the menus.


Full Navigation Wheel (Quick Reference)

Tour Building Wheels
Navigation Wheels
Navigation Tools
The User Interface > Navigation Tools > SteeringWheels > Navigation Wheels > Full Navigation Wheel >
Full Navigation Wheel
Concept Procedure Quick Reference

Commands

NAVSWHEEL

Displays the SteeringWheels

System Variables

NAVSWHEELMODE

Specifies the current mode of the SteeringWheel

Utilities

No entries

Command Modifiers

No entries


Navigation Tools (Concept)

Full Navigation Wheel
SteeringWheels
Center Tool
The User Interface > Navigation Tools > SteeringWheels >
Navigation Tools
Concept Quick Reference

The navigation tools change the current view of a model.

The availability of a navigation tool is dependent on the current wheel mode. Navigation tools include the following:

  • Center
  • Forward
  • Look
  • Orbit
  • Pan
  • Rewind
  • Up/Down
  • Walk
  • Zoom

Topics in this section

  • Center Tool

    The Center tool specifies a point on a model as the center of the current view. It also changes the target point used for some of the navigation tools.

  • Forward Tool

    The Forward tool adjusts the distance between the current point of view and the defined pivot point of the model.

  • Look Tool

    The Look tool rotates the view horizontally and vertically around a fixed point.

  • Orbit Tool

    The Orbit tool rotates the current view around a model based on a fixed pivot point.

  • Pan Tool

    The Pan tool repositions the current view of the model by panning.

  • Rewind Tool

    The Rewind tool restores the most recent view. You can also move backward or forward through previous views.

  • Up/Down Tool

    The Up/Down tool slides the current view of a model along the Y axis of the screen.

  • Walk Tool

    The Walk tool simulates walking through a model.

  • Zoom Tool

    The Zoom tool adjusts the magnification of the current view of a model.


Navigation Tools (Quick Reference)

Full Navigation Wheel
Navigation Tools
Center Tool
The User Interface > Navigation Tools > SteeringWheels > Navigation Tools >
Navigation Tools
Concept Quick Reference

Commands

NAVSWHEEL

Displays the SteeringWheels

System Variables

CAPTURETHUMBNAILS

Specifies if and when thumbnails are captured for the Rewind tool

Utilities

No entries

Command Modifiers

No entries


Center Tool (Concept)

Navigation Tools
Navigation Tools
Forward Tool
The User Interface > Navigation Tools > SteeringWheels > Navigation Tools >
Center Tool
Concept Procedure Quick Reference

The Center tool specifies a point on a model as the center of the current view. It also changes the target point used for some of the navigation tools.

When using the Center tool, you adjust the location of the center of the current view by clicking and dragging the cursor. As you drag the cursor, the cursor changes to a sphere indicating where the new center of the view will be established when the button on the pointing device is released. Releasing the button on the pointing device pans the model until the sphere is centered in the view and you are returned to the wheel.

The center point defined by the Center tool is used to constrain the Zoom tool and define the pivot point for the Orbit tool. The Zoom tool is only constrained to the center point when used from the View Objects wheel unless the CTRL key is held down when using the Zoom tool on the Full Navigation wheel.


Center Tool (Procedure)

Full Navigation Wheel
Center Tool
Center Tool
The User Interface > Navigation Tools > SteeringWheels > Navigation Tools > Center Tool >
Center Tool
Concept Procedure Quick Reference

To specify a point on a model as the center of a view

To specify the target point for the Zoom and Orbit tools


To specify a point on a model as the center of a view (Procedure)

Center Tool
Center Tool
Center Tool
The User Interface > Navigation Tools > SteeringWheels > Navigation Tools > Center Tool >
Center Tool
Concept Procedure Quick Reference

To specify a point on a model as the center of a view

  1. Display a wheel that has the Center tool.
  2. Click the Center wedge. Hold down the button on your pointing device and drag the cursor over the surface of the model.
  3. When the cursor changes to a sphere, release the button on your pointing device.

    The model is panned until the sphere is centered.

  4. Click Close to exit the wheel.
Command entry: NAVSWHEEL
Ribbon: Home tab [image] View panel [image] SteeringWheels. Does not exist on the ribbon.
Menu: View [image] SteeringWheelsDoes not exist in the menus.


To specify the target point for the Zoom and Orbit tools (Procedure)

Center Tool
Center Tool
Forward Tool
The User Interface > Navigation Tools > SteeringWheels > Navigation Tools > Center Tool >
Center Tool
Concept Procedure Quick Reference

To specify the target point for the Zoom and Orbit tools

  1. Display a wheel that has the Center tool.
  2. Click the Center wedge. Hold down the button on your pointing device and drag the cursor over the surface of the model.
  3. When the cursor changes to a sphere, release the button on your pointing device.

    The model is panned until the sphere is centered.

  4. Use the Zoom or Orbit tool to change the view of the model.
  5. Click Close to exit the wheel.
Command entry: NAVSWHEEL
Ribbon: Home tab [image] View panel [image] SteeringWheels. Does not exist on the ribbon.
Menu: View [image] SteeringWheelsDoes not exist in the menus.


Center Tool (Quick Reference)

Navigation Tools
Navigation Tools
Forward Tool
The User Interface > Navigation Tools > SteeringWheels > Navigation Tools > Center Tool >
Center Tool
Concept Procedure Quick Reference

Commands

NAVSWHEEL

Displays the SteeringWheels

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Forward Tool (Concept)

Center Tool
Navigation Tools
Look Tool
The User Interface > Navigation Tools > SteeringWheels > Navigation Tools >
Forward Tool
Concept Procedure Quick Reference

The Forward tool adjusts the distance between the current point of view and the defined pivot point of the model.

With the Forward tool, you can change the magnification of the model by increasing or decreasing the distance between the current point of view and the pivot point. The distance that you can move forward or backward is limited by the position of the pivot point.

To adjust the distance between the current point of view and the pivot point, you drag the cursor up or down after the pivot point is defined. As you drag the cursor, the current distance from the pivot point is displayed on a graphical element called the Drag Distance indicator. The Drag Distance indicator has two marks on it that show the start and ending distances from the current point of view. While changing the distance with the Drag Distance indicator, the current distance is shown by the bright orange indicator.


To change a view by moving towards or away from the model (Procedure)

Center Tool
Forward Tool
Look Tool
The User Interface > Navigation Tools > SteeringWheels > Navigation Tools > Forward Tool >
Forward Tool
Concept Procedure Quick Reference

To change a view by moving towards or away from the model

  1. Display a wheel that has the Forward tool.
  2. Click the Forward wedge. Hold down the button on your pointing device.
  3. When the Drag Distance indicator is displayed, drag the cursor up or down to change the distance from which you view the model.
  4. Release the button on your pointing device to return to the wheel.
  5. Click Close to exit the wheel.
Command entry: NAVSWHEEL
Ribbon: Home tab [image] View panel [image] SteeringWheels. Does not exist on the ribbon.
Menu: View [image] SteeringWheelsDoes not exist in the menus.


Forward Tool (Quick Reference)

Center Tool
Navigation Tools
Look Tool
The User Interface > Navigation Tools > SteeringWheels > Navigation Tools > Forward Tool >
Forward Tool
Concept Procedure Quick Reference

Commands

NAVSWHEEL

Displays the SteeringWheels

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Look Tool (Concept)

Forward Tool
Navigation Tools
Orbit Tool
The User Interface > Navigation Tools > SteeringWheels > Navigation Tools >
Look Tool
Concept Procedure Quick Reference

The Look tool rotates the view horizontally and vertically around a fixed point.

With the Look tool, you can rotate the current view vertically and horizontally. When rotating the view, the model is rotated around a fixed point defined by the center of the current view. The Look tool can be compared to you standing in a fixed location, and looking up and down while rotating left to right around a fixed point.

When using the Look tool, you adjust the view of the model by dragging the cursor. As you drag the cursor, the cursor icon changes to the Look cursor and the model rotates around the location of the current view.

Walking through a Model

When using the Look tool from the Full Navigation wheel, you can walk through a model by using the arrow keys on the keyboard. The walk speed is defined using the same settings as the Walk tool. To set the walk speed, you use the SteeringWheels Settings dialog box or the Increase Walk Speed and Decrease Walk Speed options on the Wheel menu.

Invert Vertical Axis

When you drag the cursor upward, the target point of the view lowers; dragging the cursor downward raises the target point of the view. If you do not like this behavior you can change it so moving the cursor upward raises the target point of the view and downward lowers the target point of the view. To invert the vertical axis for the Look tool, you use the SteeringWheels Settings dialog box.


Look Tool (Procedure)

Forward Tool
Look Tool
Look Tool
The User Interface > Navigation Tools > SteeringWheels > Navigation Tools > Look Tool >
Look Tool
Concept Procedure Quick Reference

To look around the view

To look around the view and walk through the model

To invert the vertical axis for the Look tool


To look around the view (Procedure)

Look Tool
Look Tool
Look Tool
The User Interface > Navigation Tools > SteeringWheels > Navigation Tools > Look Tool >
Look Tool
Concept Procedure Quick Reference

To look around the view

  1. Display a wheel that has the Look tool.
  2. Click the Look wedge. Hold down the button on your pointing device.
  3. When the Look cursor is displayed, drag the cursor up, down, left, and right to change the direction in which you are looking.
  4. Release the button on your pointing device to return to the wheel.
  5. Click Close to exit the wheel.
Command entry: NAVSWHEEL
Ribbon: Home tab [image] View panel [image] SteeringWheels. Does not exist on the ribbon.
Menu: View [image] SteeringWheelsDoes not exist in the menus.


To look around the view and walk through the model (Procedure)

Look Tool
Look Tool
Look Tool
The User Interface > Navigation Tools > SteeringWheels > Navigation Tools > Look Tool >
Look Tool
Concept Procedure Quick Reference

To look around the view and walk through the model

  1. Display the Full Navigation wheel.
  2. Click the Look wedge. Hold down the button on your pointing device.
  3. When the Look cursor is displayed, drag the cursor up, down, left, and right to change the direction in which you are looking.
  4. While holding down the button on your pointing device, press the arrow keys to walk in the model.
  5. Release the button on your pointing device to return to the wheel.
  6. Click Close to exit the wheel.
Command entry: NAVSWHEEL
Ribbon: Home tab [image] View panel [image] SteeringWheels. Does not exist on the ribbon.
Menu: View [image] SteeringWheelsDoes not exist in the menus.


To invert the vertical axis for the Look tool (Procedure)

Look Tool
Look Tool
Orbit Tool
The User Interface > Navigation Tools > SteeringWheels > Navigation Tools > Look Tool >
Look Tool
Concept Procedure Quick Reference

To invert the vertical axis for the Look tool

  1. Display a wheel.
  2. Right-click on the wheel and click SteeringWheels Settings.
  3. In the SteeringWheels Settings dialog box, click Invert Vertical Axis for Look Tool.

    Dragging the cursor downward raises the target point of the view; while dragging the cursor upward lowers the target point of the view.

  4. Click OK.
Command entry: NAVSWHEEL
Ribbon: Home tab [image] View panel [image] SteeringWheels. Does not exist on the ribbon.
Menu: View [image] SteeringWheelsDoes not exist in the menus.


Look Tool (Quick Reference)

Forward Tool
Navigation Tools
Orbit Tool
The User Interface > Navigation Tools > SteeringWheels > Navigation Tools > Look Tool >
Look Tool
Concept Procedure Quick Reference

Commands

NAVSWHEEL

Displays the SteeringWheels

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Orbit Tool (Concept)

Look Tool
Navigation Tools
Pan Tool
The User Interface > Navigation Tools > SteeringWheels > Navigation Tools >
Orbit Tool
Concept Procedure Quick Reference

The Orbit tool rotates the current view around a model based on a fixed pivot point.

You use the Orbit tool to change the orientation of a model. The cursor changes to the Orbit cursor. As you drag the cursor, the model rotates around a pivot point while the view remains fixed.

Specify the Pivot Point

The pivot point is the base point used when rotating the model with the Orbit tool. You can specify the pivot point in the following ways:

  • Default pivot point. When you first open a model, the target point of the current view is used as the pivot point for orbiting the model.
  • Select objects.With selection sensitivity enabled, you can select objects before the Orbit tool is used to calculate the pivot point. The pivot point is calculated based on the center of the extents of the selected objects.
  • Center tool. You can specify a point on the model to use as the pivot point for orbiting with the Center tool.

Maintain Up Direction

You can control how the model orbits around the pivot point by choosing to maintain the Up direction of the model. When the Up direction is maintained, orbiting is constrained along the XY axis and in the Z direction. If you drag the cursor horizontally, the camera moves parallel to the XY plane. If you drag the cursor vertically, the camera moves along the Z axis. To control if the Up direction is maintained for the Orbit tool, you use the SteeringWheels Settings dialog box


Orbit Tool (Procedure)

Look Tool
Orbit Tool
Orbit Tool
The User Interface > Navigation Tools > SteeringWheels > Navigation Tools > Orbit Tool >
Orbit Tool
Concept Procedure Quick Reference

To orbit around the center of the view

To orbit around an object

To turn on selection sensitivity for the Orbit tool

To maintain the up direction for the Orbit tool


To orbit around the center of the view (Procedure)

Orbit Tool
Orbit Tool
Orbit Tool
The User Interface > Navigation Tools > SteeringWheels > Navigation Tools > Orbit Tool >
Orbit Tool
Concept Procedure Quick Reference

To orbit around the center of the view

  1. Display a wheel that has the Orbit tool.
  2. Click the Orbit wedge. Hold down the button on your pointing device.
  3. When the cursor changes to the Orbit cursor, drag the cursor to rotate the model.
    NoteUse the Center tool if you need to change the part of the model that is displayed in the center of the view.
  4. Release the button on your pointing device to return to the wheel.
  5. Click Close to exit the wheel.
Command entry: NAVSWHEEL
Ribbon: Home tab [image] View panel [image] SteeringWheels. Does not exist on the ribbon.
Menu: View [image] SteeringWheelsDoes not exist in the menus.


To orbit around an object (Procedure)

Orbit Tool
Orbit Tool
Orbit Tool
The User Interface > Navigation Tools > SteeringWheels > Navigation Tools > Orbit Tool >
Orbit Tool
Concept Procedure Quick Reference

To orbit around an object

  1. Press ESC to make sure no commands are active and to clear any previously selected objects.
  2. Select the objects in the model that you want to define the pivot point with.
  3. Display a wheel that has the Orbit tool.
  4. Click the Orbit wedge. Hold down the button on your pointing device.
  5. When the cursor changes to the Orbit cursor, drag the cursor to rotate the model.
  6. Release the button on your pointing device to return to the wheel.
  7. Click Close to exit the wheel.
Command entry: NAVSWHEEL
Ribbon: Home tab [image] View panel [image] SteeringWheels. Does not exist on the ribbon.
Menu: View [image] SteeringWheelsDoes not exist in the menus.


To turn on selection sensitivity for the Orbit tool (Procedure)

Orbit Tool
Orbit Tool
Orbit Tool
The User Interface > Navigation Tools > SteeringWheels > Navigation Tools > Orbit Tool >
Orbit Tool
Concept Procedure Quick Reference

To turn on selection sensitivity for the Orbit tool

  1. Display a wheel that has the Orbit tool.
  2. Right-click on the wheel and click SteeringWheels Settings.
  3. In the SteeringWheels Settings dialog box, click Use Selection Sensitivity for Orbit Tool.

    The extents of any objects that are selected before the wheel is displayed are used to define the pivot point for the Orbit tool. If not objects are selected, the pivot point used by the Orbit is the one defined by the Center tool.

  4. Click OK.
Command entry: NAVSWHEEL
Ribbon: Home tab [image] View panel [image] SteeringWheels. Does not exist on the ribbon.
Menu: View [image] SteeringWheelsDoes not exist in the menus.


To maintain the up direction for the Orbit tool (Procedure)

Orbit Tool
Orbit Tool
Pan Tool
The User Interface > Navigation Tools > SteeringWheels > Navigation Tools > Orbit Tool >
Orbit Tool
Concept Procedure Quick Reference

To maintain the up direction for the Orbit tool

  1. Display a wheel that has the Orbit tool.
  2. Right-click on the wheel and click SteeringWheels Settings.
  3. In the SteeringWheels Settings dialog box, click Maintain Up Direction for Orbit Tool.

    Orbiting the model is constrained along the XY plane and Z directions.

  4. Click OK.
Command entry: NAVSWHEEL
Ribbon: Home tab [image] View panel [image] SteeringWheels. Does not exist on the ribbon.
Menu: View [image] SteeringWheelsDoes not exist in the menus.


Orbit Tool (Quick Reference)

Look Tool
Navigation Tools
Pan Tool
The User Interface > Navigation Tools > SteeringWheels > Navigation Tools > Orbit Tool >
Orbit Tool
Concept Procedure Quick Reference

Commands

NAVSWHEEL

Displays the SteeringWheels

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Pan Tool (Concept)

Orbit Tool
Navigation Tools
Rewind Tool
The User Interface > Navigation Tools > SteeringWheels > Navigation Tools >
Pan Tool
Concept Procedure Quick Reference

The Pan tool repositions the current view of the model by panning.

When the pan tool is active, the cursor changes to a four-sided arrow. As you drag the cursor, the direction you drag moves the model in the same direction. For example, dragging upward moves the model up while dragging the cursor downward moves the model down.

TipIf the cursor reaches the edge of the screen, you can continue panning by dragging the cursor further to force it to wrap around the screen.


To pan the view with the wheel Pan tool (Procedure)

Orbit Tool
Pan Tool
Rewind Tool
The User Interface > Navigation Tools > SteeringWheels > Navigation Tools > Pan Tool >
Pan Tool
Concept Procedure Quick Reference

To pan the view with the wheel Pan tool

  1. Display a wheel that has the Pan tool.
  2. Click the Pan wedge. Hold down the button on your pointing device and drag to reposition the model.
  3. Release the button on your pointing device to return to the wheel.
  4. Click Close to exit the wheel.
Command entry: NAVSWHEEL
Ribbon: Home tab [image] View panel [image] SteeringWheels. Does not exist on the ribbon.
Menu: View [image] SteeringWheelsDoes not exist in the menus.


Pan Tool (Quick Reference)

Orbit Tool
Navigation Tools
Rewind Tool
The User Interface > Navigation Tools > SteeringWheels > Navigation Tools > Pan Tool >
Pan Tool
Concept Procedure Quick Reference

Commands

NAVSWHEEL

Displays the SteeringWheels

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Rewind Tool (Concept)

Pan Tool
Navigation Tools
Up/Down Tool
The User Interface > Navigation Tools > SteeringWheels > Navigation Tools >
Rewind Tool
Concept Procedure Quick Reference

The Rewind tool restores the most recent view. You can also move backward or forward through previous views.

As you pan, zoom, orbit, or use one of the other navigation tools to change the view of a model, the previous view is saved to the navigation history. The navigation history holds a representation of the previous views of the model along with a thumbnail. A separate navigation history is maintained for each model opened in AutoCAD; it is not maintained after the model is closed.

Click the Play arrow to start the animation.

With the Rewind tool, you can retrieve the navigation history of a model. You can restore the previous view or you can scroll through any of the views saved to the navigation history.

When you hold down the button on the pointing device over the Rewind tool on the wheel, the Rewind UI is displayed. You can scroll through the navigation history. To restore one of the previous views in the navigation history, drag the bracket to the left in the Rewind UI.

When a view change occurs, the previous view is recorded to the navigation history. If the view change is made with a wheel, a thumbnail is automatically generated and added to the Rewind UI. For view changes that are made not using a wheel, a thumbnail is only generated when the system variable CAPTURETHUMBNAILS is set to a value of 2. You can control when thumbnails are generated for view changes in the SteeringWheels Settings dialog box.


Rewind Tool (Procedure)

Pan Tool
Rewind Tool
Rewind Tool
The User Interface > Navigation Tools > SteeringWheels > Navigation Tools > Rewind Tool >
Rewind Tool
Concept Procedure Quick Reference

To restore the previous view

To restore a previous view with the Rewind UI

To specify the display of rewind thumbnails


To restore the previous view (Procedure)

Rewind Tool
Rewind Tool
Rewind Tool
The User Interface > Navigation Tools > SteeringWheels > Navigation Tools > Rewind Tool >
Rewind Tool
Concept Procedure Quick Reference

To restore the previous view

  1. Display a wheel.
  2. Click the Rewind wedge.
  3. Click Close to exit the wheel.
Command entry: NAVSWHEEL
Ribbon: Home tab [image] View panel [image] SteeringWheels. Does not exist on the ribbon.
Menu: View [image] SteeringWheelsDoes not exist in the menus.


To restore a previous view with the Rewind UI (Procedure)

Rewind Tool
Rewind Tool
Rewind Tool
The User Interface > Navigation Tools > SteeringWheels > Navigation Tools > Rewind Tool >
Rewind Tool
Concept Procedure Quick Reference

To restore a previous view with the Rewind UI

  1. Display a wheel.
  2. Click on the Rewind wedge. Hold down the button on your pointing device.

    The Rewind UI is displayed.

  3. While holding down the button on your pointing device, drag to the left or to the right to restore a previous view.

    Dragging to the left restores an older previous view. Dragging to the right restores one of the recent previous views.The current position in the navigation history is indicated by the orange box that is dragged along the Rewind UI.

  4. Click Close to exit the wheel.
Command entry: NAVSWHEEL
Ribbon: Home tab [image] View panel [image] SteeringWheels. Does not exist on the ribbon.
Menu: View [image] SteeringWheelsDoes not exist in the menus.


To specify the display of rewind thumbnails (Procedure)

Rewind Tool
Rewind Tool
Up/Down Tool
The User Interface > Navigation Tools > SteeringWheels > Navigation Tools > Rewind Tool >
Rewind Tool
Concept Procedure Quick Reference

To specify the display of rewind thumbnails

  1. Display a wheel.
  2. Right-click on the wheel and click SteeringWheels Settings.
  3. In the SteeringWheels Settings dialog box, select one of the following:
    • Never - Only display thumbnails for view changes made with the SteeringWheels.
    • On Demand When the Bracket is Moved Over an Empty Frame - Display thumbnails on demand for a previous view change when using the Rewind UI.
    • Automatically When a View Change Occurs - Display thumbnails for all view changes saved to the navigation history.
  4. Click OK.
Command entry: NAVSWHEEL
Ribbon: Home tab [image] View panel [image] SteeringWheels. Does not exist on the ribbon.
Menu: View [image] SteeringWheelsDoes not exist in the menus.


Rewind Tool (Quick Reference)

Pan Tool
Navigation Tools
Up/Down Tool
The User Interface > Navigation Tools > SteeringWheels > Navigation Tools > Rewind Tool >
Rewind Tool
Concept Procedure Quick Reference

Commands

NAVSWHEEL

Displays the SteeringWheels

System Variables

CAPTURETHUMBNAILS

Specifies if and when thumbnails are captured for the Rewind tool

Utilities

No entries

Command Modifiers

No entries


Up/Down Tool (Concept)

Rewind Tool
Navigation Tools
Walk Tool
The User Interface > Navigation Tools > SteeringWheels > Navigation Tools >
Up/Down Tool
Concept Procedure Quick Reference

The Up/Down tool slides the current view of a model along the Y axis of the screen.

Unlike the Pan tool, the Up/Down tool does not significantly displace the model being viewed because the view is sliding along the Y axis of the screen. The view slides up or down. You can think of the Up/Down tool as similar to looking in a fixed direction while riding in a glass elevator.

To adjust the vertical elevation of the current view, you drag the cursor up or down. As you drag, the current elevation and the allowed range of motion is displayed on a graphical element called the Vertical Distance indicator. The Vertical Distance indicator has two marks on it that shows the highest (Top) and lowest (Bottom) elevation the view can have. While changing the elevation with the Vertical Distance indicator, the current elevation is shown by the bright orange indicator while the previous elevation is shown by the dim orange indicator.


To change the elevation of a view (Procedure)

Rewind Tool
Up/Down Tool
Walk Tool
The User Interface > Navigation Tools > SteeringWheels > Navigation Tools > Up/Down Tool >
Up/Down Tool
Concept Procedure Quick Reference

To change the elevation of a view

  1. Display a wheel that has the Up/Down tool.
  2. Click the Up/Down wedge. Hold down the button on your pointing device.
  3. When the Vertical Distance indicator is displayed, drag the cursor up or down to change the elevation of the view.
  4. Release the button on your pointing device to return to the wheel.
  5. Click Close to exit the wheel.
Command entry: NAVSWHEEL
Ribbon: Home tab [image] View panel [image] SteeringWheels. Does not exist on the ribbon.
Menu: View [image] SteeringWheelsDoes not exist in the menus.


Up/Down Tool (Quick Reference)

Rewind Tool
Navigation Tools
Walk Tool
The User Interface > Navigation Tools > SteeringWheels > Navigation Tools > Up/Down Tool >
Up/Down Tool
Concept Procedure Quick Reference

Commands

NAVSWHEEL

Displays the SteeringWheels

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Walk Tool (Concept)

Up/Down Tool
Navigation Tools
Zoom Tool
The User Interface > Navigation Tools > SteeringWheels > Navigation Tools >
Walk Tool
Concept Procedure Quick Reference

The Walk tool simulates walking through a model.

With the Walk tool, you can navigate through a model as if you were walking through it. Once you start the Walk tool, the Center Circle icon is displayed near the center of the view and the cursor changes to display a series of arrows. To walk through the model, you drag the cursor in the direction that you want to move in.

Constrain the Walk Angle

When walking through a model, you can constrain the movement angle to the ground plane. If the Constrain Walk Angle to Ground Plane option is enabled, you can freely look around while the current view moves parallel to the ground plane; if the walk angle is not constrained, you will “fly” in the direction you are looking. To constrain the movement angle to the ground plane, you use the SteeringWheels Settings dialog box.

Movement Speed

As you walk or “fly” through a model, you can control the movement speed. The speed of movement is controlled by the distance that the cursor is moved from the Center Circle icon. To set the movement speed, you use the SteeringWheels Settings dialog box or the Increase Walk Speed and Decrease Walk Speed options on the Wheel menu.

Change the Elevation of the View

As you use the Walk tool, you can adjust the elevation of the view by holding down the SHIFT key. You switch temporarily to the Up/Down tool. To change the current elevation of the view for the model, you drag up and down.


Walk Tool (Procedure)

Up/Down Tool
Walk Tool
Walk Tool
The User Interface > Navigation Tools > SteeringWheels > Navigation Tools > Walk Tool >
Walk Tool
Concept Procedure Quick Reference

To use the Walk tool to move through the model

To change the movement speed for the Walk tool

To constrain the walk angle to the ground plane


To use the Walk tool to move through the model (Procedure)

Walk Tool
Walk Tool
Walk Tool
The User Interface > Navigation Tools > SteeringWheels > Navigation Tools > Walk Tool >
Walk Tool
Concept Procedure Quick Reference

To use the Walk tool to move through the model

  1. Display a wheel that has the Walk tool.
  2. Click the Walk wedge. Hold down the button on your pointing device.
  3. When the Center Circle icon is displayed, drag the cursor in the direction that you want to walk.
  4. Release the button on your pointing device to return to the wheel.
  5. Click Close to exit the wheel.
Command entry: NAVSWHEEL
Ribbon: Home tab [image] View panel [image] SteeringWheels. Does not exist on the ribbon.
Menu: View [image] SteeringWheelsDoes not exist in the menus.


To change the movement speed for the Walk tool (Procedure)

Walk Tool
Walk Tool
Walk Tool
The User Interface > Navigation Tools > SteeringWheels > Navigation Tools > Walk Tool >
Walk Tool
Concept Procedure Quick Reference

To change the movement speed for the Walk tool

  1. Display a wheel.
  2. Right-click on the wheel and click SteeringWheels Settings.
  3. In the SteeringWheels Settings dialog box, under Walk Tool, drag the Walk Speed slider to the left to decrease the walking speed or to the right to increase the walking speed.

    Alternatively, you can enter a walking speed between the range 0.1 and 10 in the text box to the right of the Walk Speed slider.

  4. Click OK.
Command entry: NAVSWHEEL
Ribbon: Home tab [image] View panel [image] SteeringWheels. Does not exist on the ribbon.
Menu: View [image] SteeringWheelsDoes not exist in the menus.


To constrain the walk angle to the ground plane (Procedure)

Walk Tool
Walk Tool
Zoom Tool
The User Interface > Navigation Tools > SteeringWheels > Navigation Tools > Walk Tool >
Walk Tool
Concept Procedure Quick Reference

To constrain the walk angle to the ground plane

  1. Display a wheel.
  2. Right-click on the wheel and click SteeringWheels Settings.
  3. In the SteeringWheels Settings dialog box, under Walk Tool, click Constrain Walk Angle to Ground Plane.

    Movement when walking is done parallel to the ground plane of the model.

  4. Click OK.
Command entry: NAVSWHEEL
Ribbon: Home tab [image] View panel [image] SteeringWheels. Does not exist on the ribbon.
Menu: View [image] SteeringWheelsDoes not exist in the menus.


Walk Tool (Quick Reference)

Up/Down Tool
Navigation Tools
Zoom Tool
The User Interface > Navigation Tools > SteeringWheels > Navigation Tools > Walk Tool >
Walk Tool
Concept Procedure Quick Reference

Commands

NAVSWHEEL

Displays the SteeringWheels

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Zoom Tool (Concept)

Walk Tool
Navigation Tools
ShowMotion
The User Interface > Navigation Tools > SteeringWheels > Navigation Tools >
Zoom Tool
Concept Procedure Quick Reference

The Zoom tool adjusts the magnification of the current view of a model.

With the Zoom tool, you can change the zoom magnification of a model in the following ways:

  • Click. If you click the Zoom tool on a wheel, the current view is zoomed in by a factor of 25 percent. If you are using the Full Navigation wheel, Enable Single Click Incremental Zoom must be enabled in the SteeringWheels Settings dialog box.
  • SHIFT + click. If you hold down the SHIFT key before you click the Zoom tool on a wheel, the current view is zoomed out by a factor of 25 percent.
  • CTRL + click. If you hold down the CTRL key before you click the Zoom tool on a wheel, the current view is zoomed in by a factor of 25 percent.
  • Click and drag. If you click the Zoom tool and hold down the button on your pointing device, you can adjust the magnification of the model by dragging up and down.

Zoom Constraints

When changing the magnification of a model with the Zoom tool, you cannot zoom in any further than the focus point or out past the extents of the model. The direction you can zoom in and out is controlled by the center point set by the Center tool.

NoteUnlike the Zoom tool on the View Object wheels, the Zoom tool on the Full Navigation wheels is not constrained.


Zoom Tool (Procedure)

Walk Tool
Zoom Tool
Zoom Tool
The User Interface > Navigation Tools > SteeringWheels > Navigation Tools > Zoom Tool >
Zoom Tool
Concept Procedure Quick Reference

To zoom the view with a single click

To zoom a view in and out by dragging

To toggle single click zoom for wheels


To zoom the view with a single click (Procedure)

Zoom Tool
Zoom Tool
Zoom Tool
The User Interface > Navigation Tools > SteeringWheels > Navigation Tools > Zoom Tool >
Zoom Tool
Concept Procedure Quick Reference

To zoom the view with a single click

  1. Make sure the Enable Single Click Incremental Zoom option is enabled. If it is not do the following:
    • Display the Full Navigation wheel
    • Right-click on the Wheel and click SteeringWheels Settings.
    • In the SteeringWheels Settings dialog box, under Zoom Tool, select Enable Single Click Incremental Zoom.
    • Click OK.
  2. Display a wheel that has the Zoom tool.
  3. Click the Zoom wedge.

    The magnification of the model is increased and you are zoomed in closer to the model. If you hold down the SHIFT key while clicking the Zoom wedge, the model is zoomed out or you can hold down the CTRL key to zoom in.

  4. Click Close to exit the wheel.
Command entry: NAVSWHEEL
Ribbon: Home tab [image] View panel [image] SteeringWheels. Does not exist on the ribbon.
Menu: View [image] SteeringWheelsDoes not exist in the menus.


To zoom a view in and out by dragging (Procedure)

Zoom Tool
Zoom Tool
Zoom Tool
The User Interface > Navigation Tools > SteeringWheels > Navigation Tools > Zoom Tool >
Zoom Tool
Concept Procedure Quick Reference

To zoom a view in and out by dragging

  1. Display the wheel.
  2. Click the Zoom wedge. Hold down the button on your pointing device and drag vertically to zoom in and out.
  3. Release the button on your pointing device to return to the wheel.
  4. Click Close to exit the wheel.
Command entry: NAVSWHEEL
Ribbon: Home tab [image] View panel [image] SteeringWheels. Does not exist on the ribbon.
Menu: View [image] SteeringWheelsDoes not exist in the menus.


To toggle single click zoom for wheels (Procedure)

Zoom Tool
Zoom Tool
ShowMotion
The User Interface > Navigation Tools > SteeringWheels > Navigation Tools > Zoom Tool >
Zoom Tool
Concept Procedure Quick Reference

To toggle single click zoom for wheels

  1. Display a wheel that has the Zoom tool.
  2. Right-click on the wheel and click SteeringWheels Settings.
  3. In the SteeringWheels Settings dialog box, under Zoom Tool, select Enable Single Click Incremental Zoom.

    If Enable Single Click Incremental Zoom is enabled, clicking over the Zoom wedge increases the magnification of the model.

  4. Click OK.
NoteTurning off single click behavior for the Zoom tool only affects the Full Navigation wheel.
Command entry: NAVSWHEEL
Ribbon: Home tab [image] View panel [image] SteeringWheels. Does not exist on the ribbon.
Menu: View [image] SteeringWheelsDoes not exist in the menus.


Zoom Tool (Quick Reference)

Walk Tool
Navigation Tools
Overview of ShowMotion
The User Interface > Navigation Tools > SteeringWheels > Navigation Tools > Zoom Tool >
Zoom Tool
Concept Procedure Quick Reference

Commands

NAVSWHEEL

Displays the SteeringWheels

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


ShowMotion

Zoom Tool
Navigation Tools
Overview of ShowMotion
The User Interface > Navigation Tools >
ShowMotion
Concept Procedure

ShowMotion provides an onscreen display that can be used to create and play cinematic camera animations. These animations can be used for presentation purposes or to navigate through a design.

Topics in this section

  • Overview of ShowMotion

    You can record several types of views, called shots, which can then be altered or placed in sequences. Each type is unique.

  • Create and Modify Animated Views

    As you create animated views, thumbnails will allow you to make changes.

  • Play a Shot in ShowMotion

    You can view shots individually or in sequences through the controls found on each thumbnail.


ShowMotion (Procedure)

Zoom Tool
ShowMotion
Overview of ShowMotion
The User Interface > Navigation Tools > ShowMotion >
ShowMotion
Concept Procedure

To start ShowMotion

To create a still shot

To create a recorded walk shot

To create a cinematic shot

To modify a shot

To play a shot

To play all shots within a view category

To loop the playback of a shot


Overview of ShowMotion (Concept)

ShowMotion
ShowMotion
Create and Modify Animated Views
The User Interface > Navigation Tools > ShowMotion >
Overview of ShowMotion
Concept Procedure Quick Reference

You can record several types of views, called shots, which can then be altered or placed in sequences. Each type is unique.

Using ShowMotion, you can add movement and transitions to captured camera positions, similar to those seen in television commercials. These animated views are called shots. Three types exist. The types of shots are:

  • Still: are comprised of a single stored camera position.
  • Cinematic: utilize a single camera position, with additional cinematic camera movement applied.
  • Recorded Walk: allow you to click and drag along the path of desired animation.

Shots can be grouped together to form sequences. These sequences are called view categories.


To start ShowMotion (Procedure)

ShowMotion
Up a level to ..
Create and Modify Animated Views
The User Interface > Navigation Tools > ShowMotion > Overview of ShowMotion >
Overview of ShowMotion
Concept Procedure Quick Reference

To start ShowMotion

  • Click View menu [image] ShowMotion.At the Command prompt, enter navsmotion.
Command entry: NAVSMOTION


Overview of ShowMotion (Quick Reference)

Zoom Tool
Overview of ShowMotion
Create and Modify Animated Views
The User Interface > Navigation Tools > ShowMotion > Overview of ShowMotion >
Overview of ShowMotion
Concept Procedure Quick Reference

Commands

NAVSMOTION

Displays the ShowMotion interface

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Create and Modify Animated Views (Concept)

Overview of ShowMotion
ShowMotion
Play a Shot in ShowMotion
The User Interface > Navigation Tools > ShowMotion >
Create and Modify Animated Views
Concept Procedure Quick Reference

As you create animated views, thumbnails will allow you to make changes.

Shot Thumbnails

When a shot is created, it is given a name and a thumbnail. These can be updated and recaptured at any time. Shot names are displayed in the drawing area below their respective thumbnails.

To delete a shot, right-click its thumbnail and select Delete. Once deleted, a shot cannot be retrieved.

View Category Thumbnails

When a view category is created, it is given a name and a thumbnail. View category names are displayed in the drawing area below their respective thumbnails. Each view category thumbnail is identical to the first shot thumbnail in the view category.

The order of shots within a view category can be changed. Right-click on the thumbnail you wish to move. Select move left or more right to change the order of shots.

To delete a view category, and the shots contained within it, right-click on its thumbnail and click Delete. Once deleted, a view category cannot be retrieved.


Create and Modify Animated Views (Procedure)

Overview of ShowMotion
Up a level to ..
Create and Modify Animated Views
The User Interface > Navigation Tools > ShowMotion > Create and Modify Animated Views >
Create and Modify Animated Views
Concept Procedure Quick Reference

To create a still shot

To create a recorded walk shot

To create a cinematic shot

To modify a shot


To create a still shot (Procedure)

Create and Modify Animated Views
Up a level to ..
Create and Modify Animated Views
The User Interface > Navigation Tools > ShowMotion > Create and Modify Animated Views >
Create and Modify Animated Views
Concept Procedure Quick Reference

To create a still shot

  1. Click View menu [image] ShowMotion.At the Command prompt, enter navsmotion.
  2. In the New View / Shot Properties dialog box, in the View name box, enter a name.
  3. In the View category drop-down list, select a view category.
  4. In the View type drop-down list, select a shot type.
  5. Click on the Shot Properties tab.
  6. Under Transition, select a transition type from the Transition Type drop-down list.
  7. Under Transition, select a transition duration.
  8. Click OK. A new shot thumbnail will now appear.
Command entry: NAVSMOTION


To create a recorded walk shot (Procedure)

Create and Modify Animated Views
Up a level to ..
Create and Modify Animated Views
The User Interface > Navigation Tools > ShowMotion > Create and Modify Animated Views >
Create and Modify Animated Views
Concept Procedure Quick Reference

To create a recorded walk shot

  1. Click View menu [image] ShowMotion.At the Command prompt, enter navsmotion.
  2. In the the New View / Shot Properties dialog box, in the View name box, enter a name.
  3. In the View category drop-down list, select a view category.
  4. In the View type drop-down list, select Recorded Walk.
  5. Click on the Shot Properties tab.
  6. Under Transition, select a transition type from the Transition Type drop-down list.
  7. Under Transition, select a transition duration.
  8. Under Motion, click the Start Recording button.
  9. Click on the 3D canvas and drag the mouse along the desired path of animation. Release the mouse to stop recording.
  10. Click OK. A new shot thumbnail will now appear.
Command entry: NAVSMOTION


To create a cinematic shot (Procedure)

Create and Modify Animated Views
Up a level to ..
Create and Modify Animated Views
The User Interface > Navigation Tools > ShowMotion > Create and Modify Animated Views >
Create and Modify Animated Views
Concept Procedure Quick Reference

To create a cinematic shot

  1. Click View menu [image] ShowMotion.At the Command prompt, enter navsmotion.
  2. In the New View / Shot Properties dialog box, in the View name box, eneter a name.
  3. In the View Category drop-down list, select a view category.
  4. In the View type drop-down list, select Cinematic.
  5. Click on the Shot Properties tab.
  6. Under Transition, select a transition type from the Transition Type drop-down list.
  7. Under Transition, select a transition duration.
  8. Set the camera position.
  9. Set the duration of the shot.
  10. Set the distance of the camera.
  11. Click OK. A new shot thumbnail will now appear.
Command entry: NAVSMOTION


To modify a shot (Procedure)

Create and Modify Animated Views
Up a level to ..
Play a Shot in ShowMotion
The User Interface > Navigation Tools > ShowMotion > Create and Modify Animated Views >
Create and Modify Animated Views
Concept Procedure Quick Reference

To modify a shot

  1. Click View menu [image] ShowMotion.At the Command prompt, enter navsmotion.
  2. Click on the empty frame to the right of the shot. This opens the View / Shot Properties dialog box.
  3. In the View / Shot Propeties dialog box, in the View name box, enter the name of the shot you wish to modify.
  4. On the Shot Properties tab, change the settings desired. Available options change depending on the shot type selected. These options will change if the shot type is changed.
  5. On the Shot Properties tab, under Motion, click the Preview button. Be sure your are satisfied with changes to the shot. If not, make additional modifications.
  6. Click OK.
Command entry: NAVSMOTION


Create and Modify Animated Views (Quick Reference)

Overview of ShowMotion
Create and Modify Animated Views
Play a Shot in ShowMotion
The User Interface > Navigation Tools > ShowMotion > Create and Modify Animated Views >
Create and Modify Animated Views
Concept Procedure Quick Reference

Commands

NAVSMOTION

Displays the ShowMotion interface

NEWSHOT

Creates a named view with motion that is played back when viewed with ShowMotion

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Play a Shot in ShowMotion (Concept)

Create and Modify Animated Views
ShowMotion
Customize the Drawing Environment
The User Interface > Navigation Tools > ShowMotion >
Play a Shot in ShowMotion
Concept Procedure Quick Reference

You can view shots individually or in sequences through the controls found on each thumbnail.

Once you have created a shot in ShowMotion, viewing it is simple. Viewing controls are located on each thumbnail. They include the following:

  • The Play button allows you to play shots and view categories. When the cursor is over a thumbnail, the Play button appears in the center of the thumbnail.
  • The Pause button replaces the Play button during playback. Click on the Pause button to pause the playback. When the playback has been paused the Pause button is replaced by the Play button.
  • The View Go button allows you to move the camera to key positions while modifying shots or view categories. When the cursor is over a view category thumbnail, the View Go button appears in the upper right-hand corner of the thumbnail. To move the camera to the key position of the first Shot of the view category, click the View Go button. Key positions are determined by the Current Camera Used As setting found on the Shot Properties tab.


Play a Shot in ShowMotion (Procedure)

Create and Modify Animated Views
Up a level to ..
Play a Shot in ShowMotion
The User Interface > Navigation Tools > ShowMotion > Play a Shot in ShowMotion >
Play a Shot in ShowMotion
Concept Procedure Quick Reference

To play a shot

To play all shots within a view category

To loop the playback of a shot


To play a shot (Procedure)

Play a Shot in ShowMotion
Up a level to ..
Play a Shot in ShowMotion
The User Interface > Navigation Tools > ShowMotion > Play a Shot in ShowMotion >
Play a Shot in ShowMotion
Concept Procedure Quick Reference

To play a shot

  1. Click View menu [image] ShowMotion.At the Command prompt, enter navsmotion.
  2. Drag the cursor over the thumbnail of the Shot you wish to view.
  3. On the Shot thumbnail, click the Play button located on the upper left-hand side of the thumbnail. Only the shot you have selected will play.
Command entry: NAVSMOTION


To play all shots within a view category (Procedure)

Play a Shot in ShowMotion
Up a level to ..
Play a Shot in ShowMotion
The User Interface > Navigation Tools > ShowMotion > Play a Shot in ShowMotion >
Play a Shot in ShowMotion
Concept Procedure Quick Reference

To play all shots within a view category

  1. Click View menu [image] ShowMotion.At the Command prompt, enter navsmotion.
  2. Drag the cursor over the thumbnail of the view category you wish to view.
  3. On the thumbnail, click the Play button located on the upper left-hand corner of the thumbnail. All shots with the view category will play.
Command entry: NAVSMOTION


To loop the playback of a shot (Procedure)

Play a Shot in ShowMotion
Up a level to ..
Set Interface Options
The User Interface > Navigation Tools > ShowMotion > Play a Shot in ShowMotion >
Play a Shot in ShowMotion
Concept Procedure Quick Reference

To loop the playback of a shot

  1. Click View menu [image] ShowMotion.At the Command prompt, enter navsmotion.
  2. In the title area of the thumbnail, click loop.
NoteIf the loop setting is on, the shot will loop when played until the Stop button is clicked or the ESC key has been pressed.
Command entry: NAVSMOTION


Play a Shot in ShowMotion (Quick Reference)

Create and Modify Animated Views
Play a Shot in ShowMotion
Set Interface Options
The User Interface > Navigation Tools > ShowMotion > Play a Shot in ShowMotion >
Play a Shot in ShowMotion
Concept Procedure Quick Reference

Commands

NAVSMOTION

Displays the ShowMotion interface

VIEWGO

Restores a named view

VIEWPLAY

Plays the animation associated to a named view

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Customize the Drawing Environment

Play a Shot in ShowMotion
The User Interface
Set Interface Options
The User Interface >
Customize the Drawing Environment

Many elements of the working environment can be customized to fit your needs.

Topics in this section

  • Set Interface Options

    You can adjust the application interface and drawing area to match the way you work.

  • Create Task-Based Workspaces

    Workspaces are sets of menus, toolbars, palettes, and ribbon control panels that are grouped and organized so that you can work in a custom, task-oriented drawing environment.

  • Save and Restore Interface Settings (Profiles)

    Profiles store drawing environment settings. You can create profiles for different users or projects, and you can share profiles by importing and exporting them as files.

  • Customize Startup

    Command line switches can specify a separate startup routine for each project.


Set Interface Options (Concept)

Customize the Drawing Environment
Customize the Drawing Environment
Create Task-Based Workspaces
The User Interface > Customize the Drawing Environment >
Set Interface Options
Concept Procedure Quick Reference

You can adjust the application interface and drawing area to match the way you work.

Many of the settings are available from shortcut menus and the Options dialog box. Some workspace elements, such as the presence and location of toolbars and palettes, can be specified and saved using the Customize User Interface dialog box.

Set Up the Drawing Area

Some settings affect how you work in the drawing area:

  • Color scheme (Options dialog box, Display tab, Colors). You specify a dark or light color scheme for the overall user interface. The settings affect the window frame background, status bar, title bar, menu browser frame, toolbars, and palettes.
  • Background colors (Options dialog box, Display tab, Colors). You specify the background colors used in model space, layouts, and the block editor. Background colors on the Model tab change to indicate whether you are working in a 2D design context, 3D modeling (parallel projection), or 3D modeling (perspective projection).
  • UCS icon and crosshairs cursor (Options dialog box, 3D Modeling tab). You specify that the 3D display options and labels for the UCS icon can be set in the 3D Modeling tab of the Options dialog box.
  • Color assignments for X, Y, and Z (Options dialog box, Display tab, Colors). In 3D views, any interface elements that are associated with the UCS X, Y, and Z axis use special color assignments. The X axis is colored or tinted red, the Y axis is green, and the Z axis is blue. These tints can be turned on or off in the Drawing Window Colors dialog box.
  • Clean Screen. You can expand the drawing display area to display only the menu bar, status bar, and command window with the clean screen button on the application status bar. Click the button again to restore the previous setup.
  • View Transitions. You can control whether view transitions are smooth or instantaneous when you pan, zoom, or change from one view to another (VTOPTIONS command). The default is a smooth transition.
  • Tooltips. Several types of tooltips provide pop-up information for interaction with toolbars, object snaps, and drafting operations. You can view tooltips in toolbars, the menu browser, the ribbon, and dialog boxes. Initially, a basic tooltip is displayed. If you continue to hover, the tooltip expands to display additional information. You can customize the display and content of a tooltip. For more information about customizing the display of tooltips, see Display Tab (Options dialog box). You can also create extended tooltips for your custom commands. For more information about customizing command tooltips, see Create Tooltips and Extended Help for Commands. For more information about customizing rollover tooltips, see Customize Rollover Tooltips.

    Click the Play arrow to start the animation.

3D Modeling with Perspective Projection

  • Ground Plane (Options dialog box, Display tab, Colors). When perspective projection is turned on, the XY plane of the UCS displays as a ground plane with a gradient color. The ground plane displays a gradient from the ground horizon to the ground origin.
  • Sky (Options dialog box, Display tab, Colors). The area not covered by the ground plane is the sky, which displays a gradient color from the sky horizon to the sky zenith.
  • Underground (Options dialog box, Display tab, Colors). If the ground plane is viewed from below ground, the ground plane displays a gradient from the earth horizon to the earth azimuth.
  • Ground Plane Grid (Options dialog box, Display tab, Colors). When perspective projection is turned on, the grid displays as a ground plane grid. Colors are set for major grid lines, minor grid lines, and axis lines.

Switch Between Model Space and Layouts

You can control how you change between model space and one or more layouts. The classic interface provides a Model tab and one or more layout tabs. To optimize space in the drawing area, you can turn off these tabs and use the equivalent buttons on the status bar. The control to change between the two interface designs is included as an item on the Model and layout tab shortcut menu, and on the shortcut menu of the Model/Layout button on the status bar.

NoteAccess to all shortcut menu options is available from the tabs only.

Specify Application Fonts

  • Font (Options dialog box, Display tab). Change the fonts used in the application window and in the text window. This setting does not affect the text in your drawings.

Control the Display of Dockable Windows

Many windows, such as the Properties palette, a tool palette, and DesignCenter, are dockable. That is, they can be docked, anchored, or floated.

Settings for these and other options are often changed on a shortcut menu, available by right-clicking the title bar of the palette or window.

  • Resize. Drag an edge of the window to change its size. If the window has panes, drag the bar between panes to resize the panes.
  • Allow Docking. Select this option if you want to dock or anchor a dockable window. A docked window adheres to one side of the application window, causing the drawing area to be resized.
  • Anchor. Attach, or anchor, a dockable window or palette to the left or right side of the drawing area. An anchored window rolls open and closed as the cursor moves across it. When an anchored window is open, its content overlaps the drawing area. An anchored window cannot be set to stay open. The Allow Docking option must be selected before you can anchor a window.
  • Auto-hide. A floating window rolls open and closes as the cursor moves across it. When this option is cleared, the window stays open continuously. Docked windows with auto-hide show up as a bar inside the application.
  • Transparency. Sets the degree of transparency for the window and on mouse over. The window becomes transparent so that it does not obscure objects under it. The window becomes more opaque when it is moused over. This option is not available for all windows.

You can hide all the palettes at once with HIDEPALETTES and turn all the palettes that were hidden with SHOWPALETTES. If one of the palettes had already been turned back on manually and moved, it is not affected by SHOWPALETTES.

Control the Display of Toolbars

To display or hide toolbars, right-click any toolbar to display a list of toolbars. A check mark next to a toolbar name indicates that it is displayed. Click a toolbar name in the list to display or clear the check mark.

A toolbar can be docked or floating. A docked toolbar is attached to any edge of the drawing area. A toolbar docked at the top edge of the drawing area is located below the ribbon. Undock a toolbar by clicking the double bars and dragging it into the drawing area. You can click the title bar and drag it to a new location or dock it. Resize a floating toolbar by dragging an edge.

Lock the Position of Toolbars and Dockable Windows

Once you have arranged toolbars and docked, floating, or anchored windows the way you want them, you can lock their position. Locked toolbars and windows can still be opened and closed and items can be added and deleted. To unlock them temporarily, hold down CTRL.

See Also

    • Display Tab (Options Dialog Box) in the Command Reference

    • Customize the User Interface in the Customization Guide

    • Customize Rollover Tooltips in the Customization Guide

    • Create Tooltips and Extended Help for Commands in the Customization Guide


Set Interface Options (Procedure)

Play a Shot in ShowMotion
Set Interface Options
Set Interface Options
The User Interface > Customize the Drawing Environment > Set Interface Options >
Set Interface Options
Concept Procedure Quick Reference

To set options

To customize the colors of the application window elements

To change the Model and layout tabs to status bar buttons

To turn on the Model and layout tabs

To change the font displayed in the command window

To lock the position and size of toolbars and dockable windows

To anchor a dockable window

To float an anchored window

To change the appearance of an anchor tab base

To dock a window or palette

To undock a window or palette

To turn Auto-hide on or off for a floating palette or window

To change the appearance of view transitions

To turn tooltips on or off

To display hidden message dialogs


To set options (Procedure)

Set Interface Options
Set Interface Options
Set Interface Options
The User Interface > Customize the Drawing Environment > Set Interface Options >
Set Interface Options
Concept Procedure Quick Reference

To set options

  1. Click Tools menu [image] Options.At the command prompt, enter options.
  2. In the Options dialog box, click the tab you want.
  3. Set options as desired.
  4. Do either or both of the following:
    • Click Apply to record the current options settings in the system registry.
    • Click OK to record the current options settings in the system registry and close the Options dialog box.
Command entry: OPTIONS


To customize the colors of the application window elements (Procedure)

Set Interface Options
Set Interface Options
Set Interface Options
The User Interface > Customize the Drawing Environment > Set Interface Options >
Set Interface Options
Concept Procedure Quick Reference

To customize the colors of the application window elements

  1. Click Tools menu [image] Options.At the command prompt, enter options.
  2. In the Options dialog box, Display tab, click Colors.
  3. In the Drawing Window Colors dialog box, select context and then the interface element you want to change.
  4. Select the color you want to use from the Color list.

    To specify a custom color, select Select Color from the Color list.

  5. If you want to revert to the default colors, click Restore Current Element, Restore Current Context, or Restore All Contexts.
  6. Click Apply and Close to record the current option settings in the system registry and close the dialog box.
  7. Click OK to close the Options dialog box.
Command entry: OPTIONS


To change the Model and layout tabs to status bar buttons (Procedure)

Set Interface Options
Set Interface Options
Set Interface Options
The User Interface > Customize the Drawing Environment > Set Interface Options >
Set Interface Options
Concept Procedure Quick Reference

To change the Model and layout tabs to status bar buttons

  • Right-click the Model tab or a layout tab. Click Hide Layout and Model Tabs.


To turn on the Model and layout tabs (Procedure)

Set Interface Options
Set Interface Options
Set Interface Options
The User Interface > Customize the Drawing Environment > Set Interface Options >
Set Interface Options
Concept Procedure Quick Reference

To turn on the Model and layout tabs

  • On the status bar, right-click the Model or layout button. Click Display Layout and Model Tabs.


To change the font displayed in the command window (Procedure)

Set Interface Options
Set Interface Options
Set Interface Options
The User Interface > Customize the Drawing Environment > Set Interface Options >
Set Interface Options
Concept Procedure Quick Reference

To change the font displayed in the command window

  1. Click Tools menu [image] Options.At the command prompt, enter options.
  2. In the Options dialog box, Display tab, under Window Elements, click Fonts.
  3. In the Command Line Window Font dialog box, select the appropriate Font, Font Style, and Size.

    An example of the current choices appears under Sample Command Line Font.

  4. Click Apply & Close to record the current option settings in the system registry and close the dialog box.
  5. Click OK to close the Options dialog box.
Command entry: OPTIONS


To lock the position and size of toolbars and dockable windows (Procedure)

Set Interface Options
Set Interface Options
Set Interface Options
The User Interface > Customize the Drawing Environment > Set Interface Options >
Set Interface Options
Concept Procedure Quick Reference

To lock the position and size of toolbars and dockable windows

  • Do one of the following:
    • Click Window menu [image] Lock Location [image] Floating Toolbars.At the command prompt, enter lockui.
    • Click Window menu [image] Lock Location [image] Docked Toolbars.At the command prompt, enter lockui.
    • Click Window menu [image] Lock Location [image] Floating Windows.At the command prompt, enter lockui.
    • Click Window menu [image] Lock Location [image] Docked Windows.At the command prompt, enter lockui.
    • Click Window menu [image] Lock Location [image] All [image] Locked.At the command prompt, enter lockui.

A lock icon in the system tray indicates whether toolbars or dockable windows are locked. To unlock them temporarily, hold down CTRL.

Command entry: LOCKUI
Shortcut menu: Right-click the lock icon in the system tray. Place a check mark next to one or more options or click All [image] Locked.


To anchor a dockable window (Procedure)

Set Interface Options
Set Interface Options
Set Interface Options
The User Interface > Customize the Drawing Environment > Set Interface Options >
Set Interface Options
Concept Procedure Quick Reference

To anchor a dockable window

  1. Right-click a floating window or palette title bar. Click Allow Docking.
  2. Right-click the window or palette title bar. Click Anchor Right or Anchor Left.


To float an anchored window (Procedure)

Set Interface Options
Set Interface Options
Set Interface Options
The User Interface > Customize the Drawing Environment > Set Interface Options >
Set Interface Options
Concept Procedure Quick Reference

To float an anchored window

Do one of the following:

  • When the anchored window is open, drag the window title bar away from the anchor tab base.
  • Double-click the anchor tab.
  • Right-click the window title bar. Clear Allow Docking.

The window is detached from the side of the drawing area.


To change the appearance of an anchor tab base (Procedure)

Set Interface Options
Set Interface Options
Set Interface Options
The User Interface > Customize the Drawing Environment > Set Interface Options >
Set Interface Options
Concept Procedure Quick Reference

To change the appearance of an anchor tab base

Do one of the following:

  • To represent anchored windows with an icon, right-click the anchor tab base. Click Icons Only.
  • To display both an icon and text for anchored windows, right-click the anchor tab base. Click Icons and Text.


To dock a window or palette (Procedure)

Set Interface Options
Set Interface Options
Set Interface Options
The User Interface > Customize the Drawing Environment > Set Interface Options >
Set Interface Options
Concept Procedure Quick Reference

To dock a window or palette

  1. Right-click the window or palette title bar. Verify that Allow Docking is selected.
  2. Position the cursor on the title bar, and hold down the left button on your pointing device.
  3. Drag the window or palette to a docking location on the right or left side of the drawing area.
  4. When the outline of the window is displayed in the docking area, release the button.
    NoteTo place a toolbar in a docking region without docking it, hold down the CTRL key as you drag.


To undock a window or palette (Procedure)

Set Interface Options
Set Interface Options
Set Interface Options
The User Interface > Customize the Drawing Environment > Set Interface Options >
Set Interface Options
Concept Procedure Quick Reference

To undock a window or palette

Use one of the following methods:

  • Double-click the double bars on the side or top of the window.
  • Position the cursor on the double bars at the top or side of the window, hold down the left button on your pointing device, and drag the window away from its docked location.


To turn Auto-hide on or off for a floating palette or window (Procedure)

Set Interface Options
Set Interface Options
Set Interface Options
The User Interface > Customize the Drawing Environment > Set Interface Options >
Set Interface Options
Concept Procedure Quick Reference

To turn Auto-hide on or off for a floating palette or window

Do one of the following:

  • Right-click the title bar of the floating palette or window. Click Auto-hide.
  • On the title bar of a floating palette or window, click the Auto-hide button.

    If Auto-hide is selected, floating windows roll open and closed as the cursor moves across them. When this option is cleared, the full window stays open continuously.

    NoteThis procedure applies to the Tool palette, DesignCenter, the Properties palette, and several other palettes.


To change the appearance of view transitions (Procedure)

Set Interface Options
Set Interface Options
Set Interface Options
The User Interface > Customize the Drawing Environment > Set Interface Options >
Set Interface Options
Concept Procedure Quick Reference

To change the appearance of view transitions

  1. At the command prompt, enter vtoptions.
  2. In the View Transitions dialog box, check one or more of the following options:
    • Enable Animation for Pan and Zoom. Makes a smooth view transition during panning and zooming.
    • Enable Animation When View Rotates. Makes a smooth view transition when the view angle is changed.
    • Enable Animation During Scripts. Makes a smooth view transition while a script is running.
  3. Set the transition speed by moving the slider.
  4. To preserve performance, set the minimum frames per second for showing smooth view transitions. When a smooth view transition cannot maintain this speed, an instant transition is used.
  5. Click OK.


To turn tooltips on or off (Procedure)

Set Interface Options
Set Interface Options
Set Interface Options
The User Interface > Customize the Drawing Environment > Set Interface Options >
Set Interface Options
Concept Procedure Quick Reference

To turn tooltips on or off

  1. Click Tools menu [image] Options.At the command prompt, enter options.
  2. In the Options dialog box, Display tab, under Window Elements, click Show Tooltips.
  3. Click OK.


To display hidden message dialogs (Procedure)

Set Interface Options
Set Interface Options
Create Task-Based Workspaces
The User Interface > Customize the Drawing Environment > Set Interface Options >
Set Interface Options
Concept Procedure Quick Reference

To display hidden message dialogs

  1. Click Tools menu [image] Options.At the command prompt, enter options.
  2. In the Options dialog box, System tab, under General Options, click Hidden Messages Settings button.
  3. The Hidden Message Settings dialog box is displayed.
  4. Check the corresponding dialog name from the tree directory.
  5. Click OK.


Set Interface Options (Quick Reference)

Play a Shot in ShowMotion
Set Interface Options
Create Task-Based Workspaces
The User Interface > Customize the Drawing Environment > Set Interface Options >
Set Interface Options
Concept Procedure Quick Reference

Commands

3DCONFIG

Provides 3D graphics system configuration settings

CLEANSCREENON

Clears the screen of toolbars and dockable windows (excluding the command line)

CLEANSCREENOFF

Restores display of toolbars and dockable windows (excluding the command line)

DRAGMODE

Controls the way dragged objects are displayed

HIDEPALETTES

Hides currently displayed palettes (including the command line)

LOGFILEOFF

Closes the text window log file opened by LOGFILEON

LOGFILEON

Writes the text window contents to a file

OPTIONS

Customizes the program settings

REVDATE

Inserts or updates a block containing user name, current time and date, and drawing name

SHOWPALETTES

Restores the display of hidden palettes

VIEWRES

Sets the resolution for objects in the current viewport

VTOPTIONS

Displays a change in view as a smooth transition

System Variables

APERTURE

Sets the display size for the object snap target box, in pixels

CALCINPUT

Controls whether mathematical expressions and global constants are evaluated in text and numeric entry boxes of windows and dialog boxes

CLEANSCREENSTATE

Indicates whether the clean screen state is on or off

CURSORSIZE

Determines the size of the crosshairs as a percentage of the screen size

DCTCUST

Displays the path and file name of the current custom spelling dictionary

DCTMAIN

Displays the three letter keyword for the current main spelling dictionary

DEFPLSTYLE

Specifies the default plot style for new objects in a drawing when opening a drawing that was created in a release prior to AutoCAD 2000, or when creating a new drawing from scratch without using a drawing template

DRAGMODE

Controls the way dragged objects are displayed

EXEDIR

Displays the folder path of the AutoCAD LT executable file

EXTNAMES

Sets the parameters for named object names (such as linetypes and layers) stored in definition tables

FILLMODE

Specifies whether hatches and fills, 2D solids, and wide polylines are filled in

GRIPBLOCK

Controls the assignment of grips in blocks

GRIPCOLOR

Controls the color of nonselected grips

GRIPHOT

Controls the color of selected grips

GRIPS

Controls the use of selection set grips for the Stretch, Move, Rotate, Scale, and Mirror Grip modes

INSUNITS

Specifies a drawing-units value for automatic scaling of blocks, images, or xrefs inserted or attached to a drawing

INSUNITSDEFSOURCE

Sets source content units value when INSUNITS is set to 0

INSUNITSDEFTARGET

Sets target drawing units value when INSUNITS is set to 0

INTELLIGENTUPDATE

Controls the graphics refresh rate

ISAVEBAK

Improves the speed of incremental saves, especially for large drawings

ISAVEPERCENT

Determines the amount of wasted space tolerated in a drawing file

LAYOUTREGENCTL

Specifies how the display list is updated in the Model tab and layout tabs

LOCALE

Displays a code that indicates the current locale

LOCALROOTPREFIX

Stores the full path to the root folder where local customizable files were installed

LOCKUI

Locks the position and size of toolbars and dockable windows such as DesignCenter and the Properties palette

LOGFILEMODE

Specifies whether the contents of the text window are written to a log file

LOGFILENAME

Specifies the path and name of the text window log file for the current drawing

LOGFILEPATH

Specifies the path for the text window log files for all drawings in a session

MTEXTED

Sets the application for editing multiline text objects

OLEQUALITY

Sets the default plot quality for OLE objects

OLESTARTUP

Controls whether the source application of an embedded OLE object loads when plotting

OSNAPCOORD

Controls whether coordinates entered on the command line override running object snaps

PAPERUPDATE

Controls the display of a warning dialog when attempting to print a layout with a paper size different from the paper size specified by the default for the plotter configuration file

PALETTEOPAQUE

Controls whether windows can be made transparent

PICKADD

Controls whether subsequent selections replace the current selection set or add to it

PICKAUTO

Controls automatic windowing at the Select Objects prompt

PICKBOX

Sets the object selection target height, in pixels

PICKDRAG

Controls the method of drawing a selection window

PICKFIRST

Controls whether you select objects before (noun-verb selection) or after you issue a command

PICKSTYLE

Controls the use of group selection and associative hatch selection

PSTYLEPOLICY

Controls the plot style mode, Color-Dependent or Named, that is used when opening a drawing that was created in a release prior to AutoCAD 2000 or when creating a new drawing from scratch without using a drawing template

QTEXTMODE

Controls how text is displayed

RASTERPREVIEW

Controls whether BMP preview images are saved with the drawing

ROLLOVERTIPS

Controls the display of rollover tooltips in the application

SAVEFILE

Stores the current automatic save file name

SAVEFILEPATH

Specifies the path to the directory for all automatic save files for the current session

SAVETIME

Sets the automatic save interval, in minutes

SPLINESEGS

Sets the number of line segments to be generated for each spline-fit polyline generated by the Spline option of the PEDIT command

TDUSRTIMER

Stores the user-elapsed timer

TOOLTIPMERGE

Combines drafting tooltips into a single tooltip

TOOLTIPS

Controls the display of tooltips on toolbars

USERNAME

Specifies the user name

VISRETAIN

Controls the properties of xref-dependent layers

VTDURATION

Sets the duration of a smooth view transition, in milliseconds

VTENABLE

Controls when smooth view transitions are used

VTFPS

Sets the minimum speed of a smooth view transition, in frames per second

XLOADCTL

Turns xref demand-loading on and off, and controls whether it opens the referenced drawing or a copy

Utilities

No entries

Command Modifiers

No entries


Create Task-Based Workspaces (Concept)

Set Interface Options
Customize the Drawing Environment
Save and Restore Interface Settings (Profiles)
The User Interface > Customize the Drawing Environment >
Create Task-Based Workspaces
Concept Procedure Quick Reference

Workspaces are sets of menus, toolbars, palettes, and ribbon control panels that are grouped and organized so that you can work in a custom, task-oriented drawing environment.

When you use a workspace, only the menus, toolbars, and palettes that are relevant to a task are displayed. In addition, a workspace may automatically display the ribbon, a special palette with task-specific control panels.

For more information about using the ribbon, see The Ribbon.

You can easily switch between workspaces. The following task-based workspaces are already defined in the product:

  • 2D Drafting & Annotation
  • 3D Modeling
  • AutoCAD Classic

For example, when you create 3D models, you can use the 3D Modeling workspace that contains only 3D-related toolbars, menus, and palettes. Interface items that you do not need for 3D modeling are hidden, maximizing the screen area available for your work.

Click the Play arrow to start the animation.

When you make changes to your drawing display (such as moving, hiding, or displaying a toolbar or a tool palette group) and you want to preserve the display settings for future use, you can save the current settings to a workspace.

Switch Workspaces

You can switch to another workspace whenever you need to work on a different task from the Workspace icon [image] on the status bar.

Click the Play arrow to start the animation.

Create or Change a Workspace

You can create your own workspaces and modify the default workspaces. To create or change a workspace, use either of the following methods:

  • Display, hide, and rearrange your toolbars and windows, modify your ribbon settings, and then save the current workspace from the Workspaces icon in the status bar, Workspaces toolbar or the Window menu, or use the WORKSPACE command.
  • For more extensive changes, open the Customize User Interface dialog box to set up the workspace environment.

You can control the display order of your saved workspaces and other options in the Workspace Settings dialog box.

NoteFor more information about creating or modifying workspaces, and how toolbars and menus interact with workspaces, see Customize Workspaces in the Customization Guide.

Select a Sample Workspace

You can experiment with the sample workspace included with the product. This predefined workspace demonstrates how you might use a workspace to streamline your work tasks.

You can find the sample workspace in the following location:

C:\Documents and Settings\<user name>\Application Data\Autodesk\AutoCAD 2009\R17.2\<product language>\Support\acadSampleWorkspaces.CUI

To use the sample workspace, you must first transfer it to your main customization (CUI) file. To learn more about transferring a workspace, see Migrate and Transfer Customizations in the Customization Guide.

Workspaces and Profiles

Workspaces work with and complement the control over your drawing environment that profiles provide.

Workspaces control the display of menus, toolbars, and palettes in the drawing area. When you use or switch a workspace, you change the display of your drawing area. You manage your workspaces from the Customize User Interface dialog box.

Profiles save environment settings including many of your user options, drafting settings, paths, and other values. Profiles are updated each time you make a change to an option, setting, or other value. You can manage your profiles from the Options dialog box.

NoteWhen you make changes to the drawing display, the changes are stored in your profile and are displayed the next time you launch the program, regardless of your workspace settings. The profile changes are not automatically saved to a workspace unless you select the Automatically Save Workspace Changes option in the Workspace Settings dialog box. To preserve profile settings in a workspace, at the command prompt, enter WSSAVE.

For more information about profiles, see Save and Restore Interface Settings (Profiles).


Create Task-Based Workspaces (Procedure)

Set Interface Options
Create Task-Based Workspaces
Create Task-Based Workspaces
The User Interface > Customize the Drawing Environment > Create Task-Based Workspaces >
Create Task-Based Workspaces
Concept Procedure Quick Reference

To switch workspaces

To change workspace settings

To save a workspace


To switch workspaces (Procedure)

Create Task-Based Workspaces
Create Task-Based Workspaces
Create Task-Based Workspaces
The User Interface > Customize the Drawing Environment > Create Task-Based Workspaces >
Create Task-Based Workspaces
Concept Procedure Quick Reference

To switch workspaces

  1. On the status bar, click Workspace Switching [image].
  2. From the list of workspaces, select the workspace you want to switch to.

    The workspace with a check mark is your current workspace.

Menu: Tools [image] Workspaces
Command entry: WORKSPACE


To change workspace settings (Procedure)

Create Task-Based Workspaces
Create Task-Based Workspaces
Create Task-Based Workspaces
The User Interface > Customize the Drawing Environment > Create Task-Based Workspaces >
Create Task-Based Workspaces
Concept Procedure Quick Reference

To change workspace settings

  1. On the status bar, click Workspace Switching [image].
  2. Click Workspace Settings from the shortcut menu.
  3. In the Workspace Settings dialog box, change workspace settings as needed.
  4. Click OK.
Menu: Tools [image] Workspaces [image] Workspace Settings
Command entry: WORKSPACE
Command entry: WSSETTINGS


To save a workspace (Procedure)

Create Task-Based Workspaces
Create Task-Based Workspaces
Save and Restore Interface Settings (Profiles)
The User Interface > Customize the Drawing Environment > Create Task-Based Workspaces >
Create Task-Based Workspaces
Concept Procedure Quick Reference

To save a workspace

  1. In the drawing area, arrange a drawing environment by moving, deleting, or displaying those toolbars and dockable windows you want to preserve for future use.
  2. On the status bar, click Workspace Switching [image].
  3. Click Workspace Settings from the shortcut menu.
  4. In the Save Workspace dialog box, enter a name for the new workspace or select a name from the drop-down list.
  5. Click Save.
Menu: Tools [image] Workspaces [image] Save Current As
Command entry: WORKSPACE
Command entry: WSSAVE


Create Task-Based Workspaces (Quick Reference)

Set Interface Options
Create Task-Based Workspaces
Save and Restore Interface Settings (Profiles)
The User Interface > Customize the Drawing Environment > Create Task-Based Workspaces >
Create Task-Based Workspaces
Concept Procedure Quick Reference

Commands

WORKSPACE

Creates, modifies, and saves workspaces and makes a workspace current

WSSAVE

Saves a workspace

WSSETTINGS

Sets options for workspaces

System Variables

WSCURRENT

Returns the current workspace name in the command line interface and sets a workspace to current

Utilities

No entries

Command Modifiers

No entries


Save and Restore Interface Settings (Profiles) (Concept)

Create Task-Based Workspaces
Customize the Drawing Environment
Customize Startup
The User Interface > Customize the Drawing Environment >
Save and Restore Interface Settings (Profiles)
Concept Procedure Quick Reference

Profiles store drawing environment settings. You can create profiles for different users or projects, and you can share profiles by importing and exporting them as files.

Profiles store settings such as the following:

  • Default search and project file paths
  • Template file locations
  • Initial folder specified in file navigation dialog boxes
  • Default linetype and hatch pattern files
  • Printer defaults

Profile information is typically set on the Files tab of the Options dialog box, stored in the system registry, and can be exported to a text file (an ARG file).

Use Profiles for Shared Computers or Different Projects

Use the Profiles tab in the Options dialog box to create and save your drawing environment settings as a profile. If you share your workstation with other users who use the same login name, you can restore your options by making the profile current. You can also create and save profiles to use with different projects. By default, your current options are stored in a profile named UNNAMEDPROFILE. The current profile name, as well as the current drawing name, are displayed in the Options dialog box.

Transfer Profiles between Computers

Once you save a profile, you can export or import the ARG file to and from different computers. This is useful for copying, restoring, or standardizing project-oriented work environments over a network.

If you make changes to your current profile during a work session and you want to save those changes in an ARG file, you must re-export the profile. When you export the profile with the current profile name, the ARG file is updated with the new settings.

For more information about profiles, see OPTIONS in the Command Reference.


Save and Restore Interface Settings (Profiles) (Procedure)

Create Task-Based Workspaces
Save and Restore Interface Settings (Profiles)
Save and Restore Interface Settings (Profiles)
The User Interface > Customize the Drawing Environment > Save and Restore Interface Settings (Profiles) >
Save and Restore Interface Settings (Profiles)
Concept Procedure Quick Reference

To make a profile current

To save a profile

To make a profile current before starting the program


To make a profile current (Procedure)

Save and Restore Interface Settings (Profiles)
Save and Restore Interface Settings (Profiles)
Save and Restore Interface Settings (Profiles)
The User Interface > Customize the Drawing Environment > Save and Restore Interface Settings (Profiles) >
Save and Restore Interface Settings (Profiles)
Concept Procedure Quick Reference

To make a profile current

  1. Click Tools menu [image] Options.At the command prompt, enter options.
  2. In the Options dialog box, Profiles tab, select the profile you want to make current.
  3. Click Set Current.
  4. Click OK.
Command entry: OPTIONS


To save a profile (Procedure)

Save and Restore Interface Settings (Profiles)
Save and Restore Interface Settings (Profiles)
Save and Restore Interface Settings (Profiles)
The User Interface > Customize the Drawing Environment > Save and Restore Interface Settings (Profiles) >
Save and Restore Interface Settings (Profiles)
Concept Procedure Quick Reference

To save a profile

  1. Click Tools menu [image] Options.At the command prompt, enter options.
  2. In the Options dialog box, Profiles tab, click Add to List.
  3. In the Add Profiles dialog box, enter a Profile name and Description.
  4. Click Apply & Close to record the current option settings in the system registry and close the dialog box.
  5. Click OK.
Command entry: OPTIONS


To make a profile current before starting the program (Procedure)

Save and Restore Interface Settings (Profiles)
Save and Restore Interface Settings (Profiles)
Customize Startup
The User Interface > Customize the Drawing Environment > Save and Restore Interface Settings (Profiles) >
Save and Restore Interface Settings (Profiles)
Concept Procedure Quick Reference

To make a profile current before starting the program

  1. On the Windows desktop, right-click the program icon. Click Properties.
  2. In the AutoCAD Properties dialog box, Shortcut tab, under Target, enter /p currentprofile after the current target directory. For example, to make the profile User12 current, enter the following in Target:

    "c:\Program Files\<current release name>\acad.exe"/p user12

  3. Click OK.

    The profile name you enter is the current profile each time you start the program.


Save and Restore Interface Settings (Profiles) (Quick Reference)

Create Task-Based Workspaces
Save and Restore Interface Settings (Profiles)
Customize Startup
The User Interface > Customize the Drawing Environment > Save and Restore Interface Settings (Profiles) >
Save and Restore Interface Settings (Profiles)
Concept Procedure Quick Reference

Commands

OPTIONS

Customizes the program settings

System Variables

CPROFILE

Displays the name of the current profile

Utilities

No entries

Command Modifiers

No entries


Customize Startup (Concept)

Save and Restore Interface Settings (Profiles)
Customize the Drawing Environment
Action Macros
The User Interface > Customize the Drawing Environment >
Customize Startup
Concept Procedure Quick Reference

Command line switches can specify a separate startup routine for each project.

You can use command line switches to specify several options when you start the program. For example, you can run a script, start with a specified drawing template, and display a specified view when a drawing is opened. With command line switches, you can also set up several program icons, each with different start-up options.

Command line switches are parameters you can add to the acad.exe command line associated with a Microsoft® Windows® shortcut icon or the Windows Run dialog box. You can include several switches within a single command line. Valid switches are listed in the following table.

/b

Script name

Designates a script to run after you start the program (b stands for batch process). Scripts can be used to set up drawing parameters in a new drawing file. An SCR file type is assumed.

/t

Template file name

Creates a new drawing based on a template or prototype drawing. A DWT file type is assumed.

/c

Configuration folder

Specifies the path for the hardware configuration file that you want to use. You can specify a directory or a particular file. A CFG file type is assumed.

If you don't set the /c switch, the executable directory is searched and the ACADCFGW or ACADCFG environment variable is used as a way to define the configuration file and directory location.

/v

View name

Designates a particular view of the drawing for display at startup.

/ld

ARX or DBX application

Loads a specified ARX or DBX application. Use the following format:

<path>\<filename>.ARX

If the path or file name contains spaces, then the path or file name should be wrapped in double quotes. If no path information is included, the program search path is used.

/s

Support folders

Designates support folders other than the current folder. Drawing support files include text fonts, menus, AutoLISP files, linetypes, and hatch patterns. The maximum number of folders you can specify in the path is 15. Each folder name is delimited by semicolons.

/r

Default system pointing

device

Restores the default system pointing device. It creates a new configuration file (acad2009.cfg) and renames the previous acad2009.cfg file to acad.bak.

/nologo

No AutoCAD logo screen

Starts the program without first displaying the logo screen.

/p

User-defined registry

profile for starting the

program

Specifies a user-defined registry profile for starting the program. The selected profile is in effect only for the current session of the program, unless you make another profile current in the Options dialog box during that session.

You create or import profiles on the Profiles tab in the Options dialog box. With the /p switch, you can specify only those profiles that are listed in the Options dialog box. If the profile does not exist, the current profile is used.

/nohardware

Disables hardware

acceleration

Disables hardware acceleration on startup.

/nossm

No Sheet Set Manager

window

Suppresses the display of the Sheet Set Manager window on startup.

/set

Sheet set

Loads the named sheet set on startup. Use the following format:

<path>\<sheet set data file>.DST

/w

Default workspace

Designates which workspace in the loaded CUI files should be restored on startup.

/pl

Background plotting/publishing

Publishes a drawing set descriptions (DSD) file in the background. Use the following format:

<path>\<drawing set descriptions file>.DSD

The syntax for using command line switches is

"drive:pathname\acad.exe" ["drawingname"] [/switch "name"]

When using a switch option, you must follow the switch with a space and then the name of a file, path, or view within quotation marks. For example, the following entry starts the program from a folder named AutoCAD 2009 with the drawing template arch1.dwt, restores a named view PLAN1, and executes a script file startup.scr.

"d:\AutoCAD 2009\acad.exe”/t "d:\AutoCAD 2009\template\arch1" /v "plan1" /b "startup"

The environment settings are resolved in the following way:

  • If you use a command line switch to specify an environment setting, the command line switch overrides the settings specified in either the Options dialog box or the environment variable.
  • If a command line switch is not set, the corresponding value set in the Options dialog box is used.
  • If neither a command line switch nor an Options value is set, the environment variable value is used.
NoteCommand line switches and environment variables override values set in the Options dialog box for the current session only. They do not alter the system registry.


To start the program with a command line switch (Procedure)

Save and Restore Interface Settings (Profiles)
Customize Startup
Overview of Action Macros
The User Interface > Customize the Drawing Environment > Customize Startup >
Customize Startup
Concept Procedure Quick Reference

To start the program with a command line switch

  1. Right-click the program icon on the Windows desktop. Click Properties.
  2. In the AutoCAD Properties dialog box, Shortcut tab, in the Target box, edit the parameters for the switch using the following syntax:

    "drive:pathname\acad.exe" ["drawing name"] [/switch "name"]

    Valid switches are as follows:

    /b

    Script name (b stands for batch process)

    /t

    Template file name

    /c

    Configuration folder

    /v

    View name

    /s

    Support folders

    /r

    Default system pointing device

    /nologo

    No AutoCAD logo screen

    /nohardware

    Disables hardware acceleration

    /p

    User-defined registry profile

    /nossm

    No Sheet Set Manager window

    /set

    Sheet Set name

    /w

    Default workspace

    /pl

    Background plotting/publishing for a Drawing Set Descriptions (DSD) file

    For example, enter "d:\AutoCAD 2009\acad.exe" /t "d:\AutoCAD 2009\template\arch1" /v "plan1" /b "startup"

  3. Click OK.


Customize Startup (Quick Reference)

Save and Restore Interface Settings (Profiles)
Customize Startup
Overview of Action Macros
The User Interface > Customize the Drawing Environment > Customize Startup >
Customize Startup
Concept Procedure Quick Reference

Commands

No entries

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Action Macros

Customize Startup
The User Interface
Overview of Action Macros
The User Interface >
Action Macros

Action macros can be used to automate repetitive tasks by recording a series of commands and any values entered.

Topics in this section

  • Overview of Action Macros

    With action macros, you can automate repetitive tasks without any previous experience with programming.

  • Work with the Action Recorder

    With the Action Recorder, you can create action macros that can be used to automate repetitive tasks.

  • Record an Action Macro

    The Action Recorder can record most of the commands that can be used from the command line and from the user interface elements that you are already familiar with.

  • Modify an Action Macro

    You can rename, copy, or delete an action macro. You can also modify an action macro by removing actions from the Action tree, inserting user messages and requests for user input, or editing and changing the behavior of an action.

  • Play Back an Action Macro

    After an action macro is recorded with the Action Recorder, you can play back the series of recorded commands and input values.

  • Tips for Using the Action Recorder

    The Action Recorder is designed to be intuitive and allow you to create custom commands that can reduce the number of actions required to perform a repetitive task. There are some things to consider when recording an action macro.

  • Examples of Action Macros

    The following examples show some of the ways that action macros can automate repetitive tasks. The examples shows some of the different ways that you can record actions with the Action Recorder.


Overview of Action Macros (Concept)

Action Macros
Action Macros
Work with the Action Recorder
The User Interface > Action Macros >
Overview of Action Macros
Concept Procedure Quick Reference

With action macros, you can automate repetitive tasks without any previous experience with programming.

You use the Action Recorder to record an action macro. After an action macro is recorded, you save the recorded commands and input to an action macro, which has the file extension ACTM.

The Action Recorder is a panel on the ribbon and contains the tools to record, play back, and modify an action macro. You can also set the preferences for the Action Recorder from the Action Recorder Preferences dialog box. During the playback, editing, or recording of an action macro, you can expand the Action Recorder panel to access the individual actions of the current action macro from the Action tree.

In the Action tree, you can modify and delete the action nodes of an action macro. Action nodes represent the recorded commands or input values of an action macro. You can also insert user messages and request user input for a value node during playback. A value node in an action macro represents the input that was provided at a sub-prompt of a command during recording. Value nodes can contain acquired points, text strings, numbers, keywords, or other values that might be entered when recording a command.


To change the preferences for the Action Recorder (Procedure)

Customize Startup
Overview of Action Macros
Record an Action Macro
The User Interface > Action Macros > Overview of Action Macros >
Overview of Action Macros
Concept Procedure Quick Reference

To change the preferences for the Action Recorder

  1. On the ribbon, click Tools tab [image] Action Recorder panel [image] Preference.
  2. In the Action Recorder Preferences dialog box, do the following:
    • Select Expand on Playback to have the Action Recorder panel expand when an action macro is played back.
    • Select Expand on Recording to have the Action Recorder panel expand when an action macro is being recorded.
    • Select Prompt for Action Macro Name to have the Action Macro dialog box displayed when the recording of an action macro is stopped. If not checked, the default name is used to save the recorded action macro.
  3. Click OK.


Overview of Action Macros (Quick Reference)

Customize Startup
Overview of Action Macros
Record an Action Macro
The User Interface > Action Macros > Overview of Action Macros >
Overview of Action Macros
Concept Procedure Quick Reference

Commands

ACTRECORD

Starts the Action Recorder

ACTSTOP

Stops the Action Recorder and provides the option of saving the recorded actions to an action macro file

ACTUSERINPUT

Inserts a request for user input into an action macro

ACTUSERMESSAGE

Inserts a user message into an action macro

OPTIONS

Customizes the program settings

RIBBON

Opens the ribbon window

System Variables

ACTPATH

Specifies the additional paths to use when locating available action macros for playback

ACTRECORDERSTATE

Specifies the current state of the Action Recorder

ACTRECPATH

Specifies the path used to store new action macros

ACTUI

Controls the behavior of the Action Recorder panel when recording and playing back macros

Utilities

No entries

Command Modifiers

No entries


Work with the Action Recorder

Overview of Action Macros
Action Macros
Record an Action Macro
The User Interface > Action Macros >
Work with the Action Recorder

With the Action Recorder, you can create action macros that can be used to automate repetitive tasks.

While recording actions, commands and input values are captured and displayed in the Action tree. After recording is stopped, you can save the captured commands and input to an action macro file which can later be played back. Once an action macro is saved, you can insert user messages or change the behavior of the recorded input values to request a new input value during playback.


Record an Action Macro (Concept)

Work with the Action Recorder
Action Macros
Action Node Icons
The User Interface > Action Macros >
Record an Action Macro
Concept Procedure Quick Reference

The Action Recorder can record most of the commands that can be used from the command line and from the user interface elements that you are already familiar with.

You use the Action Recorder to record commands and input values for an action macro. While recording an action macro, the Red Recording Circle icon is displayed near the crosshairs to indicate that the Action Recorder is active and when commands and input are being recorded.

Click the Play arrow to start the animation.

While recording, commands and input that is entered at the command line are recorded with the exception of commands that open or close drawing files. If a dialog box is displayed while recording an action macro, only the display of the dialog box is recorded and not the changes made to the dialog box. It is recommended that you do not use dialog boxes when recording an action macro. Use the command line version of the command instead. For example, use the -HATCH command instead of the HATCH command, which displays the Hatch and Gradient dialog box.

Once you are done recording an action macro, you then have the option to save or discard the recorded action macro. If you save the action macro, you must specify a name and optionally, a description and the playback settings for the action macro. The playback settings control if the view prior to the playback of the action macro is restored when a request for user input is made or when playback is complete.

When the Action Recorder is set to check for inconsistencies, it compares the settings of the drawing environment when the action macro was recorded against the current settings of the drawing environment. For example, the Action Recorder checks the value of the INSUNITS system variable in the current drawing against the value that was used when the action macro was recorded. If an inconsistency is found, you are given the option to continue playing back the action macro or to stop playback. If you continue playing back the action macro, the action macro might produce unexpected results.

Use Action Macros while Recording

You can play back an action macro while you are recording an action macro; you can combine multiple action macros together to create a new action macro. To use an existing action macro while recording another action macro, the action macro that you want to play back needs to be present in one of the paths defined by the system variables ACTPATH or ACTRECPATH. If the action macro is in one of the defined paths, enter the name of the action macro at the Command prompt to play it back.

Use Custom Commands and Routines with Action Macros

When recording commands and input, you can use the standard commands that come with AutoCAD and other custom commands that you might already use. The custom commands that you can use is not limited to just commands defined with AutoLISP or ObjectARX, but also includes commands defined with .NET and macros defined with VBA.

Before playing back an action macro that contains references to custom commands and macros, the original programs that define the commands and macros must be loaded into AutoCAD in order for the action macro to be played back correctly. To make sure the custom commands are available when an action macro is played back, you can use one or more of the following

  • Startup Suite - The Start Up Suite in the Load/Unload Applications dialog box can be used to load files that contain custom commands.
  • ACAD.lsp or ACADDOC.lsp File - The acad.lsp or acaddoc.lsp file can be used to automatically load files that contain custom commands.
  • Menu AutoLISP (MNL) File - A MNL file can be used to load files that contain custom commands specific to a CUI file.
  • Customization User Interface (CUI) File - AutoLISP files that define custom commands can be associated to a CUI file by adding them to the LISP node in the CUI Editor.
  • Script Files - A script file can be used to load AutoLISP, ObjectARX, VBA, or .NET files. To record the running of a script file, set FILEDIA to 0 before using the SCRIPT command.

Store Recorded Action Macros

When you stop the recording of an action macro, you have the option to save the recorded action macro. If you save the recorded action macro, the command name specified for the action macro is also used as the file name of the action macro. The saved action macro is stored in the folder defined by the ACTRECPATH system variable. You can change the folder in the Options dialog box.

Topics in this section

  • Action Node Icons

    When an action macro is being recorded or is current, each action in the action macro file is represented by a node in the Action tree.

  • Work with User Interface Elements

    Many of the common user interface elements can be used when recording an action macro.


Record an Action Macro (Procedure)

Overview of Action Macros
Record an Action Macro
Record an Action Macro
The User Interface > Action Macros > Record an Action Macro >
Record an Action Macro
Concept Procedure Quick Reference

To start recording an action macro

To stop the recording of an action macro

To cancel the recording of an action macro

To copy an action macro to create a new action macro

To change the location used to save a recorded action macro


To start recording an action macro (Procedure)

Record an Action Macro
Record an Action Macro
Record an Action Macro
The User Interface > Action Macros > Record an Action Macro >
Record an Action Macro
Concept Procedure Quick Reference

To start recording an action macro

  1. On the ribbon, click Tools tab [image] Action Recorder panel [image] Record.
  2. Use the commands and provide the input that is needed to complete the task that you want to automate.
Command entry: ACTRECORD
Menu: Tools [image] Action Recorder [image] Record
Shortcut menu: Right-click in the drawing window. Click Action Recorder [image] Record.


To stop the recording of an action macro (Procedure)

Record an Action Macro
Record an Action Macro
Record an Action Macro
The User Interface > Action Macros > Record an Action Macro >
Record an Action Macro
Concept Procedure Quick Reference

To stop the recording of an action macro

  1. On the ribbon, click Tools tab [image] Action Recorder panel [image] Stop.
  2. In the Action Macro dialog box, enter a name in the Action Macro Command Name text box.
  3. Optionally, do the following:
    • Enter a description for the action macro in the Description text box.
    • Under Restore Pre-playback View, select When Requesting User Input to restore the view prior to the playback of the action macro.
    • Under Restore Pre-playback View, select Once Playback Finishes to restore the view prior to the playback of the action macro.
    • Select Check for Inconsistencies when Playback Begins to have the Action Recorder validate the action macro before playback.
  4. Click OK.
Command entry: ACTSTOP
Menu: Tools [image] Action Recorder [image] Stop
Shortcut menu: Right-click in the drawing window. Click Action Recorder [image] Stop.


To cancel the recording of an action macro (Procedure)

Record an Action Macro
Record an Action Macro
Record an Action Macro
The User Interface > Action Macros > Record an Action Macro >
Record an Action Macro
Concept Procedure Quick Reference

To cancel the recording of an action macro

  1. On the ribbon, click Tools tab [image] Action Recorder panel [image] Stop.
  2. In the Action Macro dialog box, click Cancel.
Command entry: ACTSTOP
Menu: Tools [image] Action Recorder [image] Stop
Shortcut menu: Right-click in the drawing window. Click Action Recorder [image] Stop.


To copy an action macro to create a new action macro (Procedure)

Record an Action Macro
Record an Action Macro
Record an Action Macro
The User Interface > Action Macros > Record an Action Macro >
Record an Action Macro
Concept Procedure Quick Reference

To copy an action macro to create a new action macro

  1. On the ribbon, click Tools tab [image] Action Recorder panel. Click the down arrow next to the Action Macro list.
  2. In the Action Macro list, select the action macro you want to copy.
  3. Expand the Action Recorder panel.
  4. In the Action tree, right-click the top node and click Copy.
  5. In the Action Macro dialog box, enter a name in the Action Macro Name text box.
  6. Optionally, do the following:
    • Enter a command name for the action macro in the Action Macro Command Name text box.
    • Enter a description for the action macro in the Description text box.
    • Under Restore Pre-playback View, select When Requesting User Input to restore the view prior to the playback of the action macro.
    • Under Restore Pre-playback View, select Once Playback Finishes to restore the view prior to the playback of the action macro.
    • Select Check for Inconsistencies when Playback Begins to have the Action Recorder validate the action macro before playback.
  7. Click OK.


To change the location used to save a recorded action macro (Procedure)

Record an Action Macro
Record an Action Macro
Modify an Action Macro
The User Interface > Action Macros > Record an Action Macro >
Record an Action Macro
Concept Procedure Quick Reference

To change the location used to save a recorded action macro

  1. Click Tools menu [image] Options.At the Command prompt, enter options.
  2. In the Options dialog box, Files tab, in the list of nodes, click the plus sign (+) next to Action Recorder Settings.
  3. Click the plus sign (+) next to Actions Recording File Locations, and specify a folder path.
  4. Click OK.
Command entry: OPTIONS
Shortcut menu: Right-click in the drawing window. Click Options.


Record an Action Macro (Quick Reference)

Overview of Action Macros
Record an Action Macro
Action Node Icons
The User Interface > Action Macros > Record an Action Macro >
Record an Action Macro
Concept Procedure Quick Reference

Commands

ACTRECORD

Starts the Action Recorder

ACTSTOP

Stops the Action Recorder and provides the option of saving the recorded actions to an action macro file

OPTIONS

Customizes the program settings

RIBBON

Opens the ribbon window

System Variables

ACTPATH

Specifies the additional paths to use when locating available action macros for playback

ACTRECORDERSTATE

Specifies the current state of the Action Recorder

ACTRECPATH

Specifies the path used to store new action macros

Utilities

No entries

Command Modifiers

No entries


Action Node Icons (Concept)

Record an Action Macro
Record an Action Macro
Work with User Interface Elements
The User Interface > Action Macros > Record an Action Macro >
Action Node Icons
Concept Quick Reference

When an action macro is being recorded or is current, each action in the action macro file is represented by a node in the Action tree.

To help determine the type of action or input used during the recording of an action macro, icons are displayed next to each one of the nodes on the Action tree. The following table explains what each of the different action nodes represent and the icon that is displayed next to them in the Action tree.

Icon | Action Node Name | Description
 | Request User Input | Designates that a request for user input will be made for the action during playback.
 | User Text Message | A user message will be displayed for this action during playback.
 | Command | Node that contains all recorded input for a command.
 | Action Macro | Top level node that contains all the actions associated with the current action macro.
 | Absolute Coordinate Point | An absolute coordinate value based on the point acquired during recording.
 | Relative Coordinate Point | A relative coordinate value based on the previous coordinate value in the action macro.
 | Prompt Interaction/Keyword | A prompt/keyword interaction. This action node cannot be changed to request user input.
 | Angle | An angle value.
 | Distance | A distance value.
 | Real (Double) | A real or double number value.
 | Integer | An integer number value.
 | String | A text string value.
 | Scale Factor | A scaling percentage value.
 | Color | A color value.
 | Selection Results | The final selection set that is used by a command. It contains a node for each sub-selection.
 | Macro-created object Selection | A selection that contains only the objects that have been created within the current action macro.
 | Use Pick First Selection | The existing selection will be replaced by the objects selected before the start of the playback for the action macro.
 | Request User Input (Selection) | A request for a new selection.
 | Properties Palettes | Indicates that a change was made with the Properties palette or Quick Properties panel.
 | Property | Property change made with the Properties palette or Quick Properties panel.
 | Object Filtering | A selection with an object filter applied via either the Properties palette or the Quick Properties panel. Indicates which object filter type was used.
 | Modal Dialog | A modal dialog box.
 | Observation Change | A view change occurred that was not explicitly made by a command or coordinate change.
 | UCS Change | UCS change that was not explicitly made by a command or coordinate change.


Action Node Icons (Quick Reference)

Record an Action Macro
Record an Action Macro
Work with User Interface Elements
The User Interface > Action Macros > Record an Action Macro > Action Node Icons >
Action Node Icons
Concept Quick Reference

Commands

ACTRECORD

Starts the Action Recorder

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Work with User Interface Elements (Concept)

Action Node Icons
Record an Action Macro
Modify an Action Macro
The User Interface > Action Macros > Record an Action Macro >
Work with User Interface Elements
Concept Quick Reference

Many of the common user interface elements can be used when recording an action macro.

There are some elements that you cannot use. The following user interface elements can be used when recording an action macro:

  • Toolbars and Quick Access toolbar
  • Pull-down menus and shortcut menus
  • Ribbon
  • Menu browser
  • Legacy user interface elements (screen, icon, and tablet menus)
  • Application and drawing status bars
  • Properties palette and Quick Properties panel
  • Tool Palettes window
  • DesignCenter

User Interface Elements You Cannot Record

Not all actions preformed with the Properties palette and Quick Properties panel are recorded. The following actions are not recorded:

  • Property changes made from a dialog box in the Properties palette or Quick Properties panel.
  • Value changes made to the Vertex properties of 3D faces and polylines with the Properties palette or Quick Properties panel.
  • Actions that do not execute a command from the status bars.

Not all actions preformed with the status bar are recorded. Only controls that execute commands are recorded. The following buttons are recorded from status bar:

  • Quick Properties
  • Model and layout
  • Quick View Layouts (limited to recording when layouts are switched)
  • Pan
  • Zoom
  • SteeringWheels
  • ShowMotion (limited to playing and restoring views)
  • Maximize/Minimize Viewport
  • Annotation/Viewport Scale
  • Synchronize Annotation/Viewport Scale
  • Annotation Visibility
  • Automatically Add Scales
  • Lock UI
  • Clean Screen

Not all actions performed in DesignCenter are recorded. The following actions are not recorded:

  • Inserting blocks from the DC Online tab.
  • All actions from shortcut menus except Attach as Xref and Insert as Block.
  • Dragging named objects (such as layers and linetypes).


Work with User Interface Elements (Quick Reference)

Action Node Icons
Record an Action Macro
Modify an Action Macro
The User Interface > Action Macros > Record an Action Macro > Work with User Interface Elements >
Work with User Interface Elements
Concept Quick Reference

Commands

ACTRECORD

Starts the Action Recorder

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Modify an Action Macro (Concept)

Work with User Interface Elements
Action Macros
Insert User Messages
The User Interface > Action Macros >
Modify an Action Macro
Concept Procedure Quick Reference

You can rename, copy, or delete an action macro. You can also modify an action macro by removing actions from the Action tree, inserting user messages and requests for user input, or editing and changing the behavior of an action.

In the Action Recorder panel, you can modify the actions in an action macro and perform some basic file management on an action macro file. Modification and management of an action macro file are handled through the Action tree, which is displayed when the Action Recorder panel is expanded. The following modify options are available when you right-click the Action Macro node in the Action tree:

  • Rename. Renames the command name of the action macro.
  • Delete. Removes the action macro file from the Action Macro list and places the file in the Windows Recycle Bin.
  • Copy. Creates a duplicate copy of the action macro; you specify a new command and file name for the action macro.
  • Properties. Changes the command name and playback settings for the action macro.

Action nodes that represent commands can be deleted and value nodes can be edited. Action nodes in an action macro are modified through the Action tree, which is displayed when the Action Recorder panel is expanded. The following modify options are available when you right-click an action node in the Action tree:

  • Delete. Removes an action node from the current action macro.
  • Edit. Changes the current value to a new value.

Topics in this section

  • Insert User Messages

    User messages can be inserted into an action macro to provide information about or specific instructions for playing back an action macro.

  • Request User Input

    Actions in an action macro can be modified to be played back with the values they were recorded with or to request input to replace a recorded value during playback.

  • Work with Coordinates

    You can use absolute or relative coordinates for acquired points in an action macro.

  • Work with Object Selections

    Selection nodes are modified through the Action tree to control which objects are used for the commands in an action macro.


Modify an Action Macro (Procedure)

Record an Action Macro
Modify an Action Macro
Modify an Action Macro
The User Interface > Action Macros > Modify an Action Macro >
Modify an Action Macro
Concept Procedure Quick Reference

To rename an action macro

To delete a previously recorded action macro

To copy an action macro

To change the properties of an action macro

To delete an action from an action macro

To edit a value node in an action macro


To rename an action macro (Procedure)

Modify an Action Macro
Modify an Action Macro
Modify an Action Macro
The User Interface > Action Macros > Modify an Action Macro >
Modify an Action Macro
Concept Procedure Quick Reference

To rename an action macro

  1. On the ribbon, click Tools tab [image] Action Recorder panel. Click the down arrow next to the Action Macro list.
  2. In the Action Macro list, select the action macro you want to rename.
  3. Expand the Action Recorder panel.
  4. In the Action tree, right-click the top node and click Rename.
  5. In the Action Macro dialog box, in the Action Macro Command Name text box, enter a different name.
  6. Click OK.


To delete a previously recorded action macro (Procedure)

Modify an Action Macro
Modify an Action Macro
Modify an Action Macro
The User Interface > Action Macros > Modify an Action Macro >
Modify an Action Macro
Concept Procedure Quick Reference

To delete a previously recorded action macro

  1. On the ribbon, click Tools tab [image] Action Recorder panel. Click the down arrow next to the Action Macro list.
  2. In the Action Macro list, select the action macro you want to delete.
  3. Expand the Action Recorder panel.
  4. In the Action Tree, right-click the top node and click Delete.
  5. In the Action Macro - Confirm Deletion dialog box, click Delete File.
NoteWhen you delete an action macro, the file that the action macro was stored in is also moved to the Recycle Bin until deleted. If you might need the file later, move the file from the Actions folder to a different folder.


To copy an action macro (Procedure)

Modify an Action Macro
Modify an Action Macro
Modify an Action Macro
The User Interface > Action Macros > Modify an Action Macro >
Modify an Action Macro
Concept Procedure Quick Reference

To copy an action macro

  1. On the ribbon, click Tools tab [image] Action Recorder panel. Click the down arrow next to the Action Macro list.
  2. In the Action Macro list, select the action macro you want to copy.
  3. Expand the Action Recorder panel.
  4. In the Action tree, right-click the top node and click Copy.
  5. In the Action Macro dialog box, in the Action Macro Command Name text box, enter a different name and optionally do the following
    • Enter a description for the action macro in the Description text box.
    • Under Restore Pre-playback View, select When Requesting User Input to restore the view prior to the playback of the action macro.
    • Under Restore Pre-playback View, select Once Playback Finishes to restore the view prior to the playback of the action macro.
    • Select Check for Inconsistencies when Playback Begins to have the Action Recorder validate the action macro before playback.
  6. Click OK.


To change the properties of an action macro (Procedure)

Modify an Action Macro
Modify an Action Macro
Modify an Action Macro
The User Interface > Action Macros > Modify an Action Macro >
Modify an Action Macro
Concept Procedure Quick Reference

To change the properties of an action macro

  1. On the ribbon, click Tools tab [image] Action Recorder panel. Click the down arrow next to the Action Macro list.
  2. In the Action Macro list, select the action macro for which you want to change properties.
  3. Expand the Action Recorder panel.
  4. In the Action tree, right-click the top node and click Properties.
  5. In the Action Macro dialog box, change the properties of the action macro by doing the following
    • Enter a command name for the action macro in the Action Macro Command Name text box.
    • Enter a description for the action macro in the Description text box.
    • Under Restore Pre-playback View, select When Requesting User Input to restore the view prior to the playback of the action macro.
    • Under Restore Pre-playback View, select Once Playback Finishes to restore the view prior to the playback of the action macro.
    • Select Check for Inconsistencies when Playback Begins to have the Action Recorder validate the action macro before playback.
  6. Click OK.


To delete an action from an action macro (Procedure)

Modify an Action Macro
Modify an Action Macro
Modify an Action Macro
The User Interface > Action Macros > Modify an Action Macro >
Modify an Action Macro
Concept Procedure Quick Reference

To delete an action from an action macro

  1. On the ribbon, click Tools tab [image] Action Recorder panel. Click the down arrow next to the Action Macro list.
  2. In the Action Macro list, select the action macro from which you want to delete an action.
  3. Expand the Action Recorder panel.
  4. In the Action tree, right-click an action node and click Delete.
  5. In the Action Macro - Confirm Deletion of Item dialog box, click Delete.
NoteYou cannot delete an action while recording an action macro.


To edit a value node in an action macro (Procedure)

Modify an Action Macro
Modify an Action Macro
Insert User Messages
The User Interface > Action Macros > Modify an Action Macro >
Modify an Action Macro
Concept Procedure Quick Reference

To edit a value node in an action macro

  1. On the ribbon, click Tools tab [image] Action Recorder panel. Click the down arrow next to the Action Macro list.
  2. In the Action Macro list, select the action macro in which you want to edit a value node.
  3. Expand the Action Recorder panel.
  4. In the Action tree, right-click a value node and click Edit.
  5. Enter the new value and press ENTER.


Modify an Action Macro (Quick Reference)

Work with User Interface Elements
Modify an Action Macro
Insert User Messages
The User Interface > Action Macros > Modify an Action Macro >
Modify an Action Macro
Concept Procedure Quick Reference

Commands

ACTRECORD

Starts the Action Recorder

RIBBON

Opens the ribbon window

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Insert User Messages (Concept)

Modify an Action Macro
Modify an Action Macro
Request User Input
The User Interface > Action Macros > Modify an Action Macro >
Insert User Messages
Concept Procedure Quick Reference

User messages can be inserted into an action macro to provide information about or specific instructions for playing back an action macro.

While recording an action macro, you can insert a user message into an action macro that is displayed during playback. The message might be an overview of what the action macro does, or settings that are needed before the action macro is played back. You can insert as many user messages in an action macro that you want; they can be inserted before or after any action in an action macro.

When a message is displayed, you can continue with playback by clicking Yes or cancel the playback by clicking No. If the playback is cancelled, all changes up to the message are retained. To undo any of the changes that were made by the action macro, you can use the U or the UNDO command.


Insert User Messages (Procedure)

Modify an Action Macro
Modify an Action Macro
Insert User Messages
The User Interface > Action Macros > Modify an Action Macro > Insert User Messages >
Insert User Messages
Concept Procedure Quick Reference

To insert a user message into an action macro

To edit a user message inserted into an action macro


To insert a user message into an action macro (Procedure)

Insert User Messages
Modify an Action Macro
Insert User Messages
The User Interface > Action Macros > Modify an Action Macro > Insert User Messages >
Insert User Messages
Concept Procedure Quick Reference

To insert a user message into an action macro

  1. On the ribbon, click Tools tab [image] Action Recorder panel. Click the down arrow next to the Action Macro list.
  2. In the Action Macro list, select the action macro in which you want to insert a user message.
  3. Expand the Action Recorder panel.
  4. In the Action tree, right-click a node and click Insert User Message.
    NoteYou can only insert a user message before or after a node located under the action macro node in the Action tree.
  5. In the Insert User Message dialog box, enter the text message that you want displayed when the action macro is played back.
  6. Click OK.
Command entry: ACTUSERMESSAGE


To edit a user message inserted into an action macro (Procedure)

Insert User Messages
Modify an Action Macro
Request User Input
The User Interface > Action Macros > Modify an Action Macro > Insert User Messages >
Insert User Messages
Concept Procedure Quick Reference

To edit a user message inserted into an action macro

  1. On the ribbon, click Tools tab [image] Action Recorder panel. Click the down arrow next to the Action Macro list.
  2. In the Action Macro list, select the action macro whose user message you want to edit.
  3. Expand the Action Recorder panel.
  4. In the Action tree, right-click the Text Message node and click Edit Message.
  5. In the Insert User Message dialog box, change the text message.
  6. Click OK.
Command entry: ACTUSERMESSAGE


Insert User Messages (Quick Reference)

Modify an Action Macro
Modify an Action Macro
Request User Input
The User Interface > Action Macros > Modify an Action Macro > Insert User Messages >
Insert User Messages
Concept Procedure Quick Reference

Commands

ACTRECORD

Starts the Action Recorder

ACTUSERMESSAGE

Inserts a request for user input into an action macro

RIBBON

Opens the ribbon window

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Request User Input (Concept)

Insert User Messages
Modify an Action Macro
Work with Coordinates
The User Interface > Action Macros > Modify an Action Macro >
Request User Input
Concept Procedure Quick Reference

Actions in an action macro can be modified to be played back with the values they were recorded with or to request input to replace a recorded value during playback.

While recording an action macro, you might choose a point or provide input that you do not want to use each time the action macro is played back. You can toggle the behavior of a value node in the current action macro to prompt for input during playback. A value node might contain an acquired point, text string, number, command option, or object selection. If an action macro contains a request for input, you can choose to use the recorded value or provide a new input value during playback.


To toggle the request for input of a value during the playback of an action macro (Procedure)

Insert User Messages
Modify an Action Macro
Work with Coordinates
The User Interface > Action Macros > Modify an Action Macro > Request User Input >
Request User Input
Concept Procedure Quick Reference

To toggle the request for input of a value during the playback of an action macro

  1. On the ribbon, click Tools tab [image] Action Recorder panel. Click the down arrow next to the Action Macro list.
  2. In the Action Macro list, select the action macro that contains the value node that you want to request user input for during playback.
  3. Expand the Action Recorder panel.
  4. In the Action tree, right-click the value node and click Request User Input.
Command entry: ACTUSERINPUT


Request User Input (Quick Reference)

Insert User Messages
Modify an Action Macro
Work with Coordinates
The User Interface > Action Macros > Modify an Action Macro > Request User Input >
Request User Input
Concept Procedure Quick Reference

Commands

ACTRECORD

Starts the Action Recorder

ACTUSERINPUT

Inserts a user message into an action macro

RIBBON

Opens the ribbon window

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Work with Coordinates (Concept)

Request User Input
Modify an Action Macro
Work with Object Selections
The User Interface > Action Macros > Modify an Action Macro >
Work with Coordinates
Concept Procedure Quick Reference

You can use absolute or relative coordinates for acquired points in an action macro.

As you record an action macro, recorded coordinate values can be represented as absolute or relative. While a coordinate value can be absolute or relative, the stored value for all recorded coordinate values is absolute. Since all coordinate values are stored as absolute with an action macro, you can toggle between using the absolute or relative to previous point value for a recorded coordinate value during playback. The first recorded coordinate value or coordinate value after a UCS change is always defined as absolute. An absolute coordinate value in an action macro is used as the base point for all later relative coordinate values.

You can toggle the behavior of a coordinate value from the Action tree on the Action Recorder. You can also change all coordinate values in an action macro to be relative or absolute from the top node in the Action tree.


Work with Coordinates (Procedure)

Request User Input
Modify an Action Macro
Work with Coordinates
The User Interface > Action Macros > Modify an Action Macro > Work with Coordinates >
Work with Coordinates
Concept Procedure Quick Reference

To toggle a coordinate value to be absolute or relative to the previous point

To toggle all coordinate values to be absolute or relative to the previous point


To toggle a coordinate value to be absolute or relative to the previous point (Procedure)

Work with Coordinates
Modify an Action Macro
Work with Coordinates
The User Interface > Action Macros > Modify an Action Macro > Work with Coordinates >
Work with Coordinates
Concept Procedure Quick Reference

To toggle a coordinate value to be absolute or relative to the previous point

  1. On the ribbon, click Tools tab [image] Action Recorder panel. Click the down arrow next to the Action Macro list.
  2. In the Action Macro list, select the action macro that contains the coordinate value node you want to modify.
  3. Expand the Action Recorder panel.
  4. In the Action tree, right-click the coordinate value node and click Relative to Previous.
    • To make a coordinate value absolute, click Relative to Previous if a check mark is present before it. If no check mark is present, then the coordinate value is already absolute.
    • To make a coordinate value relative to the previous point, click Relative to Previous if a check mark is not present before it. If a check mark is present, then the coordinate value is already relative to the previous point.


To toggle all coordinate values to be absolute or relative to the previous point (Procedure)

Work with Coordinates
Modify an Action Macro
Work with Object Selections
The User Interface > Action Macros > Modify an Action Macro > Work with Coordinates >
Work with Coordinates
Concept Procedure Quick Reference

To toggle all coordinate values to be absolute or relative to the previous point

  1. On the ribbon, click Tools tab [image] Action Recorder panel. Click the down arrow next to the Action Macro list.
  2. In the Action Macro list, select the action macro that contains the coordinate value node in which you want to be absolute or relative to the previous coordinate.
  3. Expand the Action Recorder panel.
  4. In the Action tree, right-click the top node and click All Points Are Relative.
    • To make all coordinate values absolute, click All Points Are Relative if a check mark is present before it. If no check mark is present, then the coordinate values might already be absolute; there might also be a combination of absolute and relative coordinate values in the macro.
      NoteTo be sure all coordinate values are absolute when All Points Are Relative is not checked, select All Points Are Relative twice to avoid some coordinate values being absolute while others are set relative to the previous point.
    • To make all coordinate values relative to the previous point, except for the first coordinate value, click Relative to Previous if a check mark is not present before it. If a check mark is present, then all coordinate values are already relative to the previous point with the exception of the first coordinate value, which is always absolute.


Work with Coordinates (Quick Reference)

Request User Input
Modify an Action Macro
Work with Object Selections
The User Interface > Action Macros > Modify an Action Macro > Work with Coordinates >
Work with Coordinates
Concept Procedure Quick Reference

Commands

ACTRECORD

Starts the Action Recorder

RIBBON

Opens the ribbon window

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Work with Object Selections (Concept)

Work with Coordinates
Modify an Action Macro
Play Back an Action Macro
The User Interface > Action Macros > Modify an Action Macro >
Work with Object Selections
Concept Procedure Quick Reference

Selection nodes are modified through the Action tree to control which objects are used for the commands in an action macro.

When modifying an action macro, you can control the selection method to use when playing back an action macro. You can use one of the following options to alter the behavior of how objects are selected for the selection results node in an action macro:

  • Use Pick First. Uses the objects selected prior to the start of the action macro.
  • Request for User Input. Prompts for a new selection set.
  • Use Macro-Created Object Selection. Selects all the objects that have been created since the start of the action macro.


Work with Object Selections (Procedure)

Work with Coordinates
Modify an Action Macro
Work with Object Selections
The User Interface > Action Macros > Modify an Action Macro > Work with Object Selections >
Work with Object Selections
Concept Procedure Quick Reference

To request user input for a selection during playback

To toggle the use of macro-created selection during playback

To use Pick First selection during playback


To request user input for a selection during playback (Procedure)

Work with Object Selections
Modify an Action Macro
Work with Object Selections
The User Interface > Action Macros > Modify an Action Macro > Work with Object Selections >
Work with Object Selections
Concept Procedure Quick Reference

To request user input for a selection during playback

  1. On the ribbon, click Tools tab [image] Action Recorder panel. Click the down arrow next to the Action Macro list.
  2. In the Action Macro list, select the action macro that contains the selection results node that you want to request user input for during playback.
  3. Expand the Action Recorder panel.
  4. In the Action tree, right-click the selection results node and click Request User Input.


To toggle the use of macro-created selection during playback (Procedure)

Work with Object Selections
Modify an Action Macro
Work with Object Selections
The User Interface > Action Macros > Modify an Action Macro > Work with Object Selections >
Work with Object Selections
Concept Procedure Quick Reference

To toggle the use of macro-created selection during playback

  1. On the ribbon, click Tools tab [image] Action Recorder panel. Click the down arrow next to the Action Macro list.
  2. In the Action Macro list, select the action macro that contains the selection results node that you want to represent a selection of all the objects created during the macro playback.
  3. Expand the Action Recorder panel.
  4. In the Action tree, right-click the selection results node and click Macro-created Object Selection.


To use Pick First selection during playback (Procedure)

Work with Object Selections
Modify an Action Macro
Play Back an Action Macro
The User Interface > Action Macros > Modify an Action Macro > Work with Object Selections >
Work with Object Selections
Concept Procedure Quick Reference

To use Pick First selection during playback

  1. On the ribbon, click Tools tab [image] Action Recorder panel. Click the down arrow next to the Action Macro list.
  2. In the Action Macro list, select the action macro that contains the selection results node that you want to represent the Pick First selection of all the objects selected before a macro is played back.
  3. Expand the Action Recorder panel.
  4. In the Action tree, right-click the selection results node and click Use Pick First Set.


Work with Object Selections (Quick Reference)

Work with Coordinates
Modify an Action Macro
Play Back an Action Macro
The User Interface > Action Macros > Modify an Action Macro > Work with Object Selections >
Work with Object Selections
Concept Procedure Quick Reference

Commands

ACTRECORD

Starts the Action Recorder

RIBBON

Opens the ribbon window

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Play Back an Action Macro (Concept)

Work with Object Selections
Action Macros
Tips for Using the Action Recorder
The User Interface > Action Macros >
Play Back an Action Macro
Concept Procedure Quick Reference

After an action macro is recorded with the Action Recorder, you can play back the series of recorded commands and input values.

You play back an action macro from the Action Recorder panel. You can also enter the name of the action macro at the Command prompt. As an action macro is played back, you might be prompted for input or requested to respond to a message.

Based on the current action or request for user interaction in the action macro, an icon near the cursor is displayed to indicate when the action macro needs input in order to continue. A dialog box may be displayed where you enter a value or use the recorded value.

Click the Play arrow to start the animation.

As an action macro is played back, the series of commands are performed one after the other until playback is complete or an error is encountered. Some of the reasons for the playback to stop or fail are as follows:

  • Invalid command. The command that is defined in the action macro is unknown to AutoCAD. The action macro might have been recorded in a different product or contains custom commands or macros that are not loaded.
  • Empty selection. The current action expected a selection set of objects, but no objects were selected.
  • Macro cancelled. The Cancel button in one of the dialogs boxes was clicked.

Location of Action Macros

When you record an action macro, it is saved to the path defined by the system variable ACTRECPATH. For playback, paths are defined by the system variable ACTPATH.

Both sets of paths are used when loading and playing back an action macro. In the Action Recorder Settings node on the Files tab of the Options dialog box, you can to set the paths used for both recording and reading action macro files.


Play Back an Action Macro (Procedure)

Work with Object Selections
Play Back an Action Macro
Play Back an Action Macro
The User Interface > Action Macros > Play Back an Action Macro >
Play Back an Action Macro
Concept Procedure Quick Reference

To play back an action macro from the Action Recorder panel

To play back an action macro from the menu browser

To play back an action macro from the Command prompt

To provide user input during playback

To change the location used to search for recorded action macros


To play back an action macro from the Action Recorder panel (Procedure)

Play Back an Action Macro
Play Back an Action Macro
Play Back an Action Macro
The User Interface > Action Macros > Play Back an Action Macro >
Play Back an Action Macro
Concept Procedure Quick Reference

To play back an action macro from the Action Recorder panel

  1. On the ribbon, click Tools tab [image] Action Recorder panel. Click the down arrow next to the Action Macro list and select the action macro to play back.
  2. Click Play.
  3. Follow any Command prompts and dialog boxes displayed to complete the action macro.


To play back an action macro from the menu browser (Procedure)

Play Back an Action Macro
Play Back an Action Macro
Play Back an Action Macro
The User Interface > Action Macros > Play Back an Action Macro >
Play Back an Action Macro
Concept Procedure Quick Reference

To play back an action macro from the menu browser

  1. Click Tools menu [image] Action Recorder [image] Play. Select the action macro to play back.At the Command prompt, enter the name of the action macro that you want to play back and press ENTER.
  2. Follow any Command prompts and dialog boxes displayed to complete the action macro.


To play back an action macro from the Command prompt (Procedure)

Play Back an Action Macro
Play Back an Action Macro
Play Back an Action Macro
The User Interface > Action Macros > Play Back an Action Macro >
Play Back an Action Macro
Concept Procedure Quick Reference

To play back an action macro from the Command prompt

  • At the Command prompt, enter the name of the action macro that you want to play back and press ENTER.

    For example, if the action macro command name is DRAWLINE, enter drawline at the Command prompt and press ENTER.


To provide user input during playback (Procedure)

Play Back an Action Macro
Play Back an Action Macro
Play Back an Action Macro
The User Interface > Action Macros > Play Back an Action Macro >
Play Back an Action Macro
Concept Procedure Quick Reference

To provide user input during playback

  1. Start the playback on an action macro.
  2. In the Action Macro - Input Request task dialog box, click Provide Input.
  3. Follow the prompts displayed at the Command prompt.


To change the location used to search for recorded action macros (Procedure)

Play Back an Action Macro
Play Back an Action Macro
Start a Drawing from Scratch
The User Interface > Action Macros > Play Back an Action Macro >
Play Back an Action Macro
Concept Procedure Quick Reference

To change the location used to search for recorded action macros

  1. Click Tools menu [image] Options.At the Command prompt, enter options.
  2. In the Options dialog box, Files tab, in the list of nodes, click the plus sign (+) next to Action Recorder Settings.
  3. Click the plus sign (+) next to Additional Actions Reading File Locations, and specify a folder path.
  4. Click OK
Command entry: OPTIONS
Shortcut menu: Right-click in the drawing window. Click Options.


Play Back an Action Macro (Quick Reference)

Work with Object Selections
Play Back an Action Macro
Tips for Using the Action Recorder
The User Interface > Action Macros > Play Back an Action Macro >
Play Back an Action Macro
Concept Procedure Quick Reference

Commands

OPTIONS

Customizes the program settings

RIBBON

Opens the ribbon window

System Variables

ACTPATH

Specifies the additional paths to use when locating available action macros for playback

ACTRECPATH

Specifies the path used to store new action macros

Utilities

No entries

Command Modifiers

No entries


Tips for Using the Action Recorder (Concept)

Play Back an Action Macro
Action Macros
Examples of Action Macros
The User Interface > Action Macros >
Tips for Using the Action Recorder
Concept Quick Reference

The Action Recorder is designed to be intuitive and allow you to create custom commands that can reduce the number of actions required to perform a repetitive task. There are some things to consider when recording an action macro.

Recording Action Macros

When recording an action macro, you should be aware of the following:

  • The current drawing settings used when recording an action macro are not completely retained by an action macro. To make sure that specific drawing settings are used during playback, record them as part of the action macro using the system variable name or the SETVAR command.
  • While many commands are recorded, there are some commands that are not recorded. The commands that are not recorded are related to drawing file operations, working with the Action Recorder, and grip editing. The following table lists the commands that are not recorded by the Action Recorder.
    ACTSTOP | ACTUSERINPUT
    ACTUSERMESSAGE | -ACTUSERMESSAGE
    DXFIN | FILEOPEN
    NEW | OPEN
    PARTIALOPEN | PRESSPULL
    QNEW | RECOVER
    TABLEDIT | VBAIDE
    -VBALOAD | VBALOAD
    VBAMAN | VBANEW
    VBAPREF | -VBARUN
    VBARUN | VBASTMT
    VBAUNLOAD | XOPEN
  • Actions recorded with the Action Recorder are limited to interactions with the Properties palette, Quick Properties panel, the Layer Modeless dialog box, and any user interface element that starts a command.

    Some of the user interface elements that start commands are: most tools on tool palettes, some actions in DesignCenter, and some tools on the status bars.

  • Changes to a dialog box are not recorded, but the dialog box is displayed during playback. Instead of using a dialog box during recording, use the command line version of the command to ensure that the action macro behaves consistently each time it is played back.
  • Commands defined with AutoLISP and ObjectARX can be recorded with an action macro, but the command must be loaded before the action macro is played back. VBA macros and .NET assemblies can also be recorded as part of an action macro, but they must be loaded in order to be played back.
  • Action macros cannot have the same name as a command that is already defined and loaded into AutoCAD.
  • While recording the LINE and ARC commands, it is not recommended to press ENTER when prompted for the first point of the line or arc. Pressing ENTER to continue from the last drawn line or arc segment can cause an inconsistency in the playback of the action macro.
  • The direction of an arc segment created with the Arc option of the PLINE command is not played back correctly unless the Direction option is used to define the arc segment.
  • While recording the TABLE command, the creation of the table is recorded but any edits made to the cells of the table are not recorded.

Editing an Action Macro

When editing an action macro, AutoCAD loads the action macro files that are found in the paths defined by the system variables ACTRECPATH and ACTPATH. If more than one action macro file has the same name, the first action macro file that AutoCAD finds is loaded into the Action Recorder. The other files with the same names are ignored and not loaded.

To identify the path of a loaded action macro, select the action macro from the Action Macros drop-down list and expand the Action Recorder panel. Right-click the action macro’s node in the Action tree and click Properties. In the Action Macro dialog box, the path to the action macro file is displayed in the Folder Path text box.

Playing Back an Action Macro

When playing back an action macro, you should be aware of the following:

  • When playing back an action macro, the results of an action macro may vary from those achieved when initially recording the action macro due to differences between the drawing settings in the current drawing and the one open when the action macro was recorded.
  • When playing back an action macro that displays a dialog box, the macro will pause and wait until the dialog box is dismissed after changes are made. If the dialog box is canceled, the macro will continue to play back but the results may differ from those expected.
  • When playing back an action macro that contains commands defined with AutoLISP, ObjectARX, or .NET assemblies, playback of the action macro will fail if the files that define the commands are not loaded. If an action macro references a VBA macro, the playback of the action macro will fail if the project file is not loaded.

Exchanging Action Macros

When exchanging action macros with others, you should be aware of the following:

  • Action macros recorded with one of the AutoCAD based vertical products may not play back correctly based on the commands that were used when the action macro was recorded.
  • Action macros may not play back correctly when recorded in one language of AutoCAD and then played back with a different language of AutoCAD.


Tips for Using the Action Recorder (Quick Reference)

Play Back an Action Macro
Tips for Using the Action Recorder
Create a New Layer and Draw Objects
The User Interface > Action Macros > Tips for Using the Action Recorder >
Tips for Using the Action Recorder
Concept Quick Reference

Commands

ACTRECORD

Starts the Action Recorder

RIBBON

Opens the ribbon window

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Examples of Action Macros

Tips for Using the Action Recorder
Action Macros
Create a New Layer and Draw Objects
The User Interface > Action Macros >
Examples of Action Macros

The following examples show some of the ways that action macros can automate repetitive tasks. The examples shows some of the different ways that you can record actions with the Action Recorder.

Topics in this section

  • Create a New Layer and Draw Objects

    In this example, you create an action macro that makes a new layer and then draws objects on the layer to create a two-dimensional top view of a hexagon bolt.

  • Insert a Block and Change a Dynamic Property Value

    This example shows how to insert a dynamic block from a tool palette and change its dynamic properties using the Properties palette.

  • Modify Circles with the Properties Palette

    This example shows how to apply an object filter to select objects and then change the color property of the selected objects.


Create a New Layer and Draw Objects (Concept)

Examples of Action Macros
Examples of Action Macros
Insert a Block and Change a Dynamic Property Value
The User Interface > Action Macros > Examples of Action Macros >
Create a New Layer and Draw Objects
Concept Quick Reference

In this example, you create an action macro that makes a new layer and then draws objects on the layer to create a two-dimensional top view of a hexagon bolt.

In this example, you learn how to

  • Record and save an action macro
  • Record actions in the Layer Properties Manager
  • Record commands and input values to create and modify objects
  • Insert a user message
  • Insert a request for user input
  • Play back an action macro

Start Recording an Action Macro

You start recording actions in the Action Recorder panel. To display the Action Recorder panel and start recording, follow these steps:

  1. On the ribbon, click the Tools tab.
  2. On the Action Recorder panel, click Record.

Record Actions from the Layer Properties Manager Palette

Once the Action Recorder starts recording, you use the Layer Properties Manager to create a new layer. Follow these steps:

  1. At the Command prompt, enter layer and press ENTER.
  2. In the Layer Properties Manager, click New Layer.
  3. In the in-place editor that is displayed for changing the new layer’s name, enter Bolt and press ENTER.
  4. In the Color column for the Bolt layer, double-click the color swatch.
  5. In the Select Color dialog box, click the color swatch for color 1 (red) and click OK.
  6. In the Layer Properties Manager, click Set Current.

Record Commands and Input Values Used to Create and Modify Objects

Creating the Bolt layer has been recorded. Next, you create a circle and then a six sided polygon based on the center of the circle for a hexagon bolt. Once the circle and polygon are drawn, you use the SCALE command to control the size of the hexagon bolt when the action macro is played back. Follow these steps:

  1. At the Command prompt, enter circle and press ENTER.
  2. At the

    Specify center point for circle or [3P/2P/Ttr (tan tan radius)]:

    prompt, click in the drawing window.
  3. At the

    Specify radius of circle or [Diameter]:

    prompt, enter 0.9 and press ENTER.
  4. At the Command prompt, enter polygon and press ENTER.
  5. At the

    Enter number of sides <4>:

    prompt, enter 6 and press ENTER.
  6. At the

    Specify center of polygon or [Edge]:

    prompt, use the Center object snap and select the edge of the circle.
  7. At the

    Enter an option [Inscribed in circle/Circumscribed about circle] <C>:

    prompt, enter C for the Circumscribed About Circle option and press ENTER.
  8. At the

    Specify radius of circle:

    prompt, enter 1 and press ENTER.
  9. At the Command prompt, enter scale and press ENTER.
  10. At the

    Select objects:

    prompt, select both the circle and polygon and press ENTER.
  11. At the

    Specify base point:

    prompt, use the Center object snap and select the edge of the circle.
  12. At the

    Specify scale factor or [Copy/Reference] <1.0000>:

    prompt, enter 1 and press ENTER.

Stop Recording and Save an Action Macro

After all the actions have been recorded, you stop recording and save the recorded actions to an action macro file. Follow these steps:

  1. On the Action Recorder panel, click Stop.
  2. In the Action Macro dialog box, do the following:
    • In the Action Macro Command Name box, enter CreateBolt.
    • In the Description box, enter Creates a hexagon bolt.
  3. Click OK.

Insert a User Message

With a user message, you can provide instructions or general information about the action macro to the user before any changes are made to the drawing during playback. To insert a user message in the action macro, follow these steps:

  1. On the Action Recorder panel, click the title bar to expand the panel.
  2. In the Action tree, select the CreateBolt node and right-click. Click Insert User Message.
  3. In the Insert User Message dialog box, enter Creates a hexagon bolt by drawing a circle and polygon. During playback you are prompted for the center point of the circle and size of the bolt. Click OK.

Insert a Request for User Input

With a request for user input, you are prompted for a value to be entered instead of using a recorded value when playing back an action macro. In this action macro, you change the coordinate value used for the center point of the circle and the scale factor for the SCALE command to request user input during play back. Follow these steps:

  1. On the Action Recorder panel, click the title bar to expand the panel.
  2. In the Action tree, select the Absolute Coordinate Point value node under the Circle action node and right-click. Click Request User Input.
  3. Select the Scale Factor value node under the Scale action node and right-click. Click Request User Input.

Play Back the Action Macro

When you play back the action macro, you are prompted to specify the center point of the circle and then the scale factor for the SCALE command. To see the results of the action macro, follow these steps:

  1. On the Action Recorder panel, on the Action Macro list, select CreateBolt.
  2. Click Play.
  3. In the User Message dialog box, click Yes.
  4. In the Action Macro - Request Input dialog box, click Provide Input.
  5. When prompted to specify a point, click a point in the drawing window.

    The circle and polygon are drawn.

  6. In the Action Macro - Request Input dialog box, click Provide Input.
  7. When prompted for a scale factor, enter a numeric value (such as 1 or 0.25) at the Command prompt and press ENTER.

    The circle and polygon are scaled based on the scale factor entered.

  8. In the Action Macro - Playback Complete dialog box, click OK.


Create a New Layer and Draw Objects (Quick Reference)

Tips for Using the Action Recorder
Create a New Layer and Draw Objects
Insert a Block and Change a Dynamic Property Value
The User Interface > Action Macros > Examples of Action Macros > Create a New Layer and Draw Objects >
Create a New Layer and Draw Objects
Concept Quick Reference

Commands

ACTRECORD

Starts the Action Recorder

ACTSTOP

Stops the Action Recorder and provides the option of saving the recorded actions to an action macro file

ACTUSERINPUT

Inserts a request for user input into an action macro

ACTUSERMESSAGE

Inserts a user message into an action macro

CIRCLE

Creates a circle

LAYER

Manages layers and layer properties

POLYGON

Creates an equilateral closed polyline

RIBBON

Opens the ribbon window

SCALE

Enlarges or reduces selected objects, keeping the proportions of the object the same after scaling

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Insert a Block and Change a Dynamic Property Value (Concept)

Create a New Layer and Draw Objects
Examples of Action Macros
Modify Circles with the Properties Palette
The User Interface > Action Macros > Examples of Action Macros >
Insert a Block and Change a Dynamic Property Value
Concept Quick Reference

This example shows how to insert a dynamic block from a tool palette and change its dynamic properties using the Properties palette.

In this example, you learn how to

  • Record and save an action macro
  • Record actions from the Tool Palettes window
  • Modify an object using the Properties palette
  • Remove action nodes from an action macro
  • Insert a request for user input
  • Play back an action macro

Start Recording an Action Macro

You start recording actions on the Action Recorder panel. To display the Action Recorder panel and to start recording, follow these steps:

  1. On the ribbon, click the Tools tab.
  2. On the Action Recorder panel, click Record.

Record Actions from the Tool Palettes Window

You can use tools from a tool palette and then play back the action that is performed by a tool. From the Tool Palettes window, you will place the I Beam - Imperial dynamic block from the Structural tool palette. Follow these steps:

  1. At the Command prompt, enter toolpalettes to display the Tool Palettes window.
  2. At the Command prompt, enter properties to display the Properties palette.
  3. In the Tool Palettes window, under the All Palettes group, click the Structural tab.
  4. On the Structural tab, click the I Beam - Imperial tool.
  5. On the Properties palette, under the Custom category, click the Beam Sizes field.
  6. On the Beam Sizes drop-down list, select IPE A 140.
  7. In the drawing window, specify the insertion point for the block.

Stop Recording and Save an Action Macro

After all the actions have been recorded, you stop recording and save the recorded actions to an action macro file. Follow these steps:

  1. On the Action Recorder panel, click Stop.
  2. In the Action Macro dialog box, do the following
    • In the Action Macro Command Name box, enter InsertIPEA140.
    • In the Description box, enter Inserts an IPE A 140 beam.
  3. Click OK.

Remove Action Nodes

When you record an action macro, at times additional actions are recorded that you do not need. For example, while recording the action macro you displayed the Tool Palettes window and the Properties palette. Those action nodes are not needed in order to play back the action macro. To remove action nodes from the action macro, follow these steps:

  1. On the Action Recorder panel, click the title bar to expand the panel.
  2. In the Action tree, select the TOOLPALETTES action node under the Action Macro node and right-click. Click Delete.
  3. Select the Properties action node and right-click. Click Delete.

Insert a Request for User Input

With a request for user input, you are prompted for a value to be entered instead of using a recorded value when playing back an action macro. In this action macro, you request user input to change the coordinate value for the insertion point of the block. Follow these steps:

  1. On the Action Recorder panel, click the title bar to expand the panel.
  2. In the Action tree, select the Absolute Coordinate Point value node under the EXECUTETOOL action node and right-click. Click Request User Input.

Play Back the Action Macro

When you play back the action macro, you are prompted to specify the insertion point of the block. To see the results of the action macro, follow these steps:

  1. On the Action Recorder panel, on the Action Macro list, select InsertIPEA140.
  2. Click Play.
  3. In the Action Macro - Request Input dialog box, click Provide Input.
  4. When prompted to specify a point, click a point in the drawing window to insert the block.

    As the block is inserted, the beam size selected on the Properties palette is reflected on-screen.

  5. In the Action Macro - Playback Complete dialog box, click OK.


Insert a Block and Change a Dynamic Property Value (Quick Reference)

Create a New Layer and Draw Objects
Insert a Block and Change a Dynamic Property Value
Modify Circles with the Properties Palette
The User Interface > Action Macros > Examples of Action Macros > Insert a Block and Change a Dynamic Property Value >
Insert a Block and Change a Dynamic Property Value
Concept Quick Reference

Commands

ACTRECORD

Starts the Action Recorder

ACTSTOP

Stops the Action Recorder and provides the option of saving the recorded actions to an action macro file

ACTUSERINPUT

Inserts a request for user input into an action macro

PROPERTIES

Controls properties of existing objects

RIBBON

Opens the ribbon window

TOOLPALETTES

Opens the Tool Palettes window

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Modify Circles with the Properties Palette (Concept)

Insert a Block and Change a Dynamic Property Value
Examples of Action Macros
Start, Organize, and Save a Drawing
The User Interface > Action Macros > Examples of Action Macros >
Modify Circles with the Properties Palette
Concept Quick Reference

This example shows how to apply an object filter to select objects and then change the color property of the selected objects.

In this example, you learn how to

  • Record and save an action macro
  • Modify an object using the Properties palette
  • Select objects and use an object selection filter
  • Use Pick First selection
  • Play back an action macro

Start Recording an Action Macro

You start recording actions on the Action Recorder panel. To display the Action Recorder panel and to start recording, follow these steps:

  1. On the ribbon, click the Tools tab.
  2. On the Action recorder panel, click Record.

Modify Objects Using the Properties Palette and Object Selection Filter

When working with the Properties palette, you can control which objects you modify by applying an object selection filter to the selected objects. Follow these steps:

  1. Select the objects in the drawing that you want to modify and right-click. Click Properties.
  2. On the Properties palette, in the Objects drop-down list, select Circles.
  3. Under the General category, select the Color field.
  4. In the Color drop-down list, select Blue.

Stop Recording and Save an Action Macro

After all the actions have been recorded, you stop recording and save the recorded actions to an action macro file. Follow these steps:

  1. On the Action Recorder panel, click Stop.
  2. In the Action Macro dialog box, do the following
    • In the Action Macro Command Name box, enter BlueCircles.
    • In the Description box, enter Changes the color of all selected circles to blue.
  3. Click OK.

Change the Selection Set to Use the Pick First Selection Set

With a request for user input, you are prompted for a value to be entered instead of using a recorded value when playing back an action macro. In this action macro, you change the selection set created to use the Pick First selection. Follow these steps:

  1. On the Action Recorder panel, click the title bar to expand the panel.
  2. In the Action tree, under the Action Macro node, select the Pickfirst value node and right-click. Click Use Pick First Set.

Play Back the Action Macro

When you play back the action macro, you are prompted to select objects if no objects. To see the results of the action macro, follow these steps:

  1. Draw some circles and other objects in the drawing. Change the colors of the objects to colors other than blue.
  2. On the Action Recorder panel, on the Action Macro list, select BlueCircles.
  3. Click Play.
  4. In the Action Macro - No Objects Selected dialog box, click Select Objects and Continue.
  5. When prompted to select objects, select the circles and the other objects in the drawing. Press ENTER to complete object selection.

    The circles in the selection set are changed to the color blue.

  6. If the Action Macro - Playback Complete dialog box is displayed, click OK.

Undo the changes made by the action macro by clicking Undo from the Quick Access toolbar. Now select some objects in the drawing and playback the BlueCircles action macro. This time the action macro uses the Pick First selection and you are not prompted to select the objects in the drawing when the action macro is played back.


Modify Circles with the Properties Palette (Quick Reference)

Insert a Block and Change a Dynamic Property Value
Modify Circles with the Properties Palette
Start a Drawing from Scratch
The User Interface > Action Macros > Examples of Action Macros > Modify Circles with the Properties Palette >
Modify Circles with the Properties Palette
Concept Quick Reference

Commands

ACTRECORD

Starts the Action Recorder

ACTSTOP

Stops the Action Recorder and provides the option of saving the recorded actions to an action macro file

PROPERTIES

Controls properties of existing objects

RIBBON

Opens the ribbon window

System Variables

PICKFIRST

Controls whether you select objects before (noun-verb selection) or after you issue a command

Utilities

No entries

Command Modifiers

No entries


Start, Organize, and Save a Drawing

Modify Circles with the Properties Palette
Start a Drawing
Start, Organize, and Save a Drawing

Topics in this section

  • Start a Drawing

    You can start a new drawing several ways, including starting from scratch or using a template file. In each case, you can choose the units of measurement and other unit format conventions.

  • Open or Save a Drawing

    You can use several methods to find and open drawings, even damaged drawings. You can save and backup drawings automatically.

  • Repair, Restore, or Recover Drawing Files

    If a drawing file is damaged or if your program terminates unexpectedly, you can recover some or all of the data by using commands to find and correct errors, or by reverting to a backup file.

  • Maintain Standards in Drawings

    Drawings are easier to interpret if you set standards to enforce consistency. You can set standards for layer names, dimension styles, and other elements; check drawings against these standards; and then change any properties that do not conform.


Start a Drawing

Start, Organize, and Save a Drawing
Start, Organize, and Save a Drawing
Start a Drawing from Scratch
Start, Organize, and Save a Drawing >
Start a Drawing

You can start a new drawing several ways, including starting from scratch or using a template file. In each case, you can choose the units of measurement and other unit format conventions.

Topics in this section

  • Start a Drawing from Scratch

    A quick way to begin a new drawing is to start from scratch, which starts a drawing that uses settings from a default drawing template file.

  • Use a Wizard to Start a Drawing

    A setup wizard establishes basic drawing settings step by step.

  • Use a Template File to Start a Drawing

    A drawing template file contains standard settings. Select one of the template files supplied, or create your own template files.

  • Specify Units and Unit Formats

    Before you start to draw, you decide on the units of measurement to be used in the drawing, and set the format, precision, and other conventions to be used in coordinates and distances.

  • Add Identifying Information to Drawings

    You can keep track of your drawings more easily if you add keywords or other information to them.

  • Insert Geographical Location Information in a Drawing


Start a Drawing from Scratch (Concept)

Start a Drawing
Start a Drawing
Use a Wizard to Start a Drawing
Start, Organize, and Save a Drawing > Start a Drawing >
Start a Drawing from Scratch
Concept Procedure Quick Reference

A quick way to begin a new drawing is to start from scratch, which starts a drawing that uses settings from a default drawing template file.

You can start from scratch from the Create New Drawing dialog box, from the Select Template dialog box, or without using a dialog box at all. In each case, you use either the NEW command or the QNEW command.

Use the Create New Drawing Dialog Box

The following conditions must be met to display the Create New Drawing dialog box:

  • The STARTUP system variable is set to 1 (on).
  • The FILEDIA system variable is set to 1 (on).

When no drawing template file is specified in the Options dialog box, you can open the dialog box using one of the following methods:

  • Click Quick Access Toolbar [image] New.Enter new at the command prompt.
  • Click File menu [image] New.At the command prompt, enter new.
  • Click Qnew on the Standard toolbar.

The Create New Drawing dialog box provides several methods for starting a new drawing.

When you use Start from Scratch, you can specify either imperial or metric units for the new drawing. The setting you select determines default values used for many system variables controlling text, dimensions, grid, snap, and the default linetype and hatch pattern file.

  • Imperial. Creates a new drawing based on the imperial measurement system. The drawing uses internal default values, and the default grid display boundary, called the gridlimits, is 12 x 9 inches.
  • Metric. Creates a new drawing based on the metric measurement system. The drawing uses internal default values, and the default grid display boundary is 420 x 290 millimeters.

Use the Select Template Dialog Box

The Select Template dialog box is displayed under the following conditions:

  • The STARTUP system variable is set to 0 (off).
  • The FILEDIA system variable is set to 1 (on).

You can open the dialog box using one of the following methods:

  • Click Quick Access Toolbar [image] New.Enter new at the command prompt.
  • Click File menu [image] New.At the command prompt, enter new.
  • Click Qnew on the Standard toolbar.

At the bottom-right corner of the Select Template dialog box, there is an Open button with an arrow button next to it. If you click the arrow button, you can choose between two internal default drawing templates, metric or imperial.

Use a Default Drawing Template File

The fastest way to begin working on a new drawing is to start automatically with a default drawing template file. No dialog box is displayed with this method.

  • The STARTUP system variable is set to 0 (off).
  • The FILEDIA system variable is set to 1 (on).
  • Specify a default drawing template file in the Options dialog box on the Files tab. Click the node labeled “Drawing Template Settings” and specify a path and drawing template file.
  • Click Qnew on the Standard toolbar.

Thereafter, new drawings are automatically based on the specified default drawing template file.

If no template file is specified in the Options dialog box, QNEW displays the Select Template dialog box.


Start a Drawing from Scratch (Procedure)

Play Back an Action Macro
Start a Drawing from Scratch
Start a Drawing from Scratch
Start, Organize, and Save a Drawing > Start a Drawing > Start a Drawing from Scratch >
Start a Drawing from Scratch
Concept Procedure Quick Reference

To start a drawing from scratch with the Create Drawing dialog box

To start a drawing from scratch from a default drawing template file


To start a drawing from scratch with the Create Drawing dialog box (Procedure)

Start a Drawing from Scratch
Start a Drawing from Scratch
Start a Drawing from Scratch
Start, Organize, and Save a Drawing > Start a Drawing > Start a Drawing from Scratch >
Start a Drawing from Scratch
Concept Procedure Quick Reference

To start a drawing from scratch with the Create Drawing dialog box

  1. If necessary, set the STARTUP system variable to 1 and the FILEDIA system variable to 1. At the command prompt, enter startup and 1; then enter filedia and 1.
  2. Click Quick Access Toolbar [image] New.Enter new at the command prompt.
  3. In the Create New Drawing dialog box, click Start from Scratch.
  4. Under Default Settings, click either Imperial or Metric.

    The new drawing starts as drawing1.dwg. The default drawing name changes to reflect the number of new drawings that have been started. For example, if you start another drawing, the default drawing name is drawing2.dwg.

Command entry: NEW
Menu: File [image] New


To start a drawing from scratch from a default drawing template file (Procedure)

Start a Drawing from Scratch
Start a Drawing from Scratch
Use a Wizard to Start a Drawing
Start, Organize, and Save a Drawing > Start a Drawing > Start a Drawing from Scratch >
Start a Drawing from Scratch
Concept Procedure Quick Reference

To start a drawing from scratch from a default drawing template file

  1. If necessary, set the STARTUP system variable to 0 and the FILEDIA system variable to 1. At the command prompt, enter startup and 0; then enter filedia and 1.
  2. Click Tools menu [image] Options.At the command prompt, enter options.
  3. In the Options dialog box, Files tab, in the list of nodes, click the plus sign (+) next to Template Settings. Click the plus sign (+) next to Drawing Template File Location, and specify a folder path.
  4. Click the plus sign (+) next to Default Template File Name for QNEW, and specify a drawing template file name.
  5. Click OK.
  6. Click Quick Access Toolbar [image] New.Enter new at the command prompt.

    The new drawing starts as drawing1.dwg. The default drawing name changes to reflect the number of new drawings that have been started. For example, if you start another drawing, the default drawing name is drawing2.dwg.

Toolbar: Standard
Command entry: QNEW


Start a Drawing from Scratch (Quick Reference)

Modify Circles with the Properties Palette
Start a Drawing from Scratch
Use a Wizard to Start a Drawing
Start, Organize, and Save a Drawing > Start a Drawing > Start a Drawing from Scratch >
Start a Drawing from Scratch
Concept Procedure Quick Reference

Commands

NEW

Creates a new drawing

OPTIONS

Customizes the program settings

QNEW

Starts a new drawing with the option of using a default drawing template file

System Variables

FILEDIA

Suppresses display of file navigation dialog boxes

MEASUREINIT

Controls whether a drawing you start from scratch uses imperial or metric default settings

MEASUREMENT

Controls whether the current drawing uses imperial or metric hatch pattern and linetype files

STARTUP

Controls whether the Create New Drawing dialog box is displayed when a new drawing is started with NEW or QNEW

Utilities

No entries

Command Modifiers

No entries


Use a Wizard to Start a Drawing (Concept)

Start a Drawing from Scratch
Start a Drawing
Use a Template File to Start a Drawing
Start, Organize, and Save a Drawing > Start a Drawing >
Use a Wizard to Start a Drawing
Concept Procedure Quick Reference

A setup wizard establishes basic drawing settings step by step.

You have two wizard options to help you set up a drawing:

  • Quick Setup Wizard. Sets units of measurement, precision of displayed units, and grid limits.
  • Advanced Setup Wizard. Sets units of measurement, precision of displayed units, and grid limits. Also establishes angle settings such as units of measurement style, precision, direction, and orientation.

These wizards are available in the Create New Drawing dialog box.


To begin a new drawing using a wizard (Procedure)

Start a Drawing from Scratch
Use a Wizard to Start a Drawing
Use a Template File to Start a Drawing
Start, Organize, and Save a Drawing > Start a Drawing > Use a Wizard to Start a Drawing >
Use a Wizard to Start a Drawing
Concept Procedure Quick Reference

To begin a new drawing using a wizard

  1. If necessary, set the STARTUP system variable to 1 and the FILEDIA system variable to 1.
  2. Click Quick Access Toolbar [image] New.Enter new at the command prompt.
  3. In the Create New Drawing dialog box, click Use a Wizard.
  4. Click Quick Setup or Advanced Setup.
  5. Complete the wizard pages using the Next and Back buttons to move forward and backward.
  6. On the last page, click Finish.
Menu: File [image] New
Command entry: NEW


Use a Wizard to Start a Drawing (Quick Reference)

Start a Drawing from Scratch
Use a Wizard to Start a Drawing
Use a Template File to Start a Drawing
Start, Organize, and Save a Drawing > Start a Drawing > Use a Wizard to Start a Drawing >
Use a Wizard to Start a Drawing
Concept Procedure Quick Reference

Commands

NEW

Creates a new drawing

System Variables

MEASUREINIT

Controls whether a drawing you start from scratch uses imperial or metric default settings

MEASUREMENT

Controls whether the current drawing uses imperial or metric hatch pattern and linetype files

Utilities

No entries

Command Modifiers

No entries


Use a Template File to Start a Drawing (Concept)

Use a Wizard to Start a Drawing
Start a Drawing
Specify Units and Unit Formats
Start, Organize, and Save a Drawing > Start a Drawing >
Use a Template File to Start a Drawing
Concept Procedure Quick Reference

A drawing template file contains standard settings. Select one of the template files supplied, or create your own template files.

Drawing template files have a .dwt file extension.

When you create a new drawing based on an existing template file and make changes, the changes in the new drawing do not affect the template file. You can use one of the template files supplied with the program, or you can create your own template files.

Create a Drawing Template File

When you need to create several drawings that use the same conventions and default settings, you can save time by creating or customizing a template file instead of specifying the conventions and default settings each time you start. Conventions and settings commonly stored in template files include

  • Unit type and precision
  • Title blocks, borders, and logos
  • Layer names
  • Snap, Grid, and Ortho settings
  • Grid limits
  • Dimension styles
  • Text styles
  • Linetypes

By default, drawing template files are stored in the template folder, where they are easily accessible.

Recover the Default Drawing Template File

If the settings in the drawing template file acad.dwt or acadiso.dwt have been changed from the original defaults, you can reset them by starting a new drawing with no template and then saving the drawing as a drawing template file, replacing acad.dwt or acadiso.dwt.

If you specify the 3D Modeling workspace, the default drawing template files are acad3d.dwt and acadiso3d.dwt.

You can start a new drawing with the original defaults by using NEW to display the Select Template dialog box. To do this, click the arrow next to the Open button and then click one of the “no template” options from the list.

See Also
    • Use a Hyperlink to Start a New Drawing


Use a Template File to Start a Drawing (Procedure)

Use a Wizard to Start a Drawing
Use a Template File to Start a Drawing
Use a Template File to Start a Drawing
Start, Organize, and Save a Drawing > Start a Drawing > Use a Template File to Start a Drawing >
Use a Template File to Start a Drawing
Concept Procedure Quick Reference

To start a drawing by selecting a template file

To create a drawing template file from an existing drawing

To recover the default drawing template files


To start a drawing by selecting a template file (Procedure)

Use a Template File to Start a Drawing
Use a Template File to Start a Drawing
Use a Template File to Start a Drawing
Start, Organize, and Save a Drawing > Start a Drawing > Use a Template File to Start a Drawing >
Use a Template File to Start a Drawing
Concept Procedure Quick Reference

To start a drawing by selecting a template file

  1. Click Quick Access Toolbar [image] New.Enter new at the command prompt.
  2. In the Select Template dialog box, select a template from the list.
  3. Click Open.

    The drawing is opened as drawing1.dwg. The default drawing name changes to reflect the number of new drawings that have been opened. For example, if you open another drawing from a template, the default drawing name is drawing2.dwg.

    To start a new drawing with no template file, click the arrow next to the Open button. Select one of the “no template” options from the list.

Menu: File [image] New
Command entry: NEW


To create a drawing template file from an existing drawing (Procedure)

Use a Template File to Start a Drawing
Use a Template File to Start a Drawing
Use a Template File to Start a Drawing
Start, Organize, and Save a Drawing > Start a Drawing > Use a Template File to Start a Drawing >
Use a Template File to Start a Drawing
Concept Procedure Quick Reference

To create a drawing template file from an existing drawing

  1. Click Quick Access Toolbar [image] Open.At the command prompt, enter open.
  2. In the Select File dialog box, select the file you want to use as a template.
  3. Click OK.
  4. To delete the existing file contents, click Modify menu [image] Erase.To delete the existing file contents, at the command prompt, enter erase.
  5. At the Select Objects prompt, enter all, and then select the border and title block (if you want to remove them) and enter r (Remove).
  6. Click File menu [image] Save As.At the command prompt, enter saveas.
  7. In the Save Drawing As dialog box, under Files of Type, select the Drawing Template file type.

    DWT files must be saved in the current drawing file format. To create a DWT file in a previous format, save the file in the desired DWG format, and then rename the DWG file using a DWT extension.

  8. In the File Name box, enter a name for the template.
  9. Click Save.
  10. Enter a description of the template.
  11. Click OK.

    The new template is saved in the template folder.

Toolbar: Standard
Command entry: OPEN


To recover the default drawing template files (Procedure)

Use a Template File to Start a Drawing
Use a Template File to Start a Drawing
Specify Units and Unit Formats
Start, Organize, and Save a Drawing > Start a Drawing > Use a Template File to Start a Drawing >
Use a Template File to Start a Drawing
Concept Procedure Quick Reference

To recover the default drawing template files

  1. Click Quick Access Toolbar [image] New.Enter new at the command prompt.
  2. In the Select Template dialog box, click the arrow next to the Open button. Select one of the options from the list:
    • Open with No Template - Imperial (to restore acad.dwt)
    • Open with No Template - Metric (to restore acadiso.dwt)

    The drawing opens with the default settings.

  3. Click File menu [image] Save As.At the command prompt, enter saveas.
  4. In the Save Drawing As dialog box, select the Drawing Template file type. Save the drawing with its original name, either acad.dwt for imperial or acadiso.dwt for metric.
  5. Click Save.
    NoteFor the 3D Modeling workspace, the default drawing template files are acad3d.dwt and acadiso3d.dwt
Command entry: NEW


Use a Template File to Start a Drawing (Quick Reference)

Use a Wizard to Start a Drawing
Use a Template File to Start a Drawing
Determine the Units of Measurement
Start, Organize, and Save a Drawing > Start a Drawing > Use a Template File to Start a Drawing >
Use a Template File to Start a Drawing
Concept Procedure Quick Reference

Commands

NEW

Creates a new drawing

OPEN

Opens an existing drawing file

OPTIONS

Customizes the program settings

SAVEAS

Saves a copy of the current drawing under a new file name

System Variables

MEASUREMENT

Controls whether the current drawing uses imperial or metric hatch pattern and linetype files

Utilities

No entries

Command Modifiers

No entries


Specify Units and Unit Formats

Use a Template File to Start a Drawing
Start a Drawing
Determine the Units of Measurement
Start, Organize, and Save a Drawing > Start a Drawing >
Specify Units and Unit Formats
Concept Procedure

Before you start to draw, you decide on the units of measurement to be used in the drawing, and set the format, precision, and other conventions to be used in coordinates and distances.

Topics in this section

  • Determine the Units of Measurement

    Before you start to draw, you must decide what one drawing unit represents based on what you plan to draw. You can convert a drawing between systems of measurement by scaling it.

  • Set Linear Unit Conventions

    Before you start to draw, you set the format and the number of decimal places to be used when you enter and display linear units.

  • Set Angular Unit Conventions

    Angle conventions include the position of angle 0 and the direction of measurement: clockwise or counterclockwise. You also set the format and the number of decimal places.


Specify Units and Unit Formats (Procedure)

Use a Template File to Start a Drawing
Specify Units and Unit Formats
Determine the Units of Measurement
Start, Organize, and Save a Drawing > Start a Drawing > Specify Units and Unit Formats >
Specify Units and Unit Formats
Concept Procedure

To set the units format and precision

To convert a drawing from inches to centimeters

To convert a drawing from centimeters to inches

To set the units format and precision

To convert a drawing from inches to centimeters

To convert a drawing from centimeters to inches

To set the angle format and precision


Determine the Units of Measurement (Concept)

Specify Units and Unit Formats
Specify Units and Unit Formats
Set Linear Unit Conventions
Start, Organize, and Save a Drawing > Start a Drawing > Specify Units and Unit Formats >
Determine the Units of Measurement
Concept Procedure Quick Reference

Before you start to draw, you must decide what one drawing unit represents based on what you plan to draw. You can convert a drawing between systems of measurement by scaling it.

Every object you create is measured in drawing units. Before you start to draw, you must decide what one drawing unit will represent based on what you plan to draw. Then you create your drawing at actual size with that convention. For example, a distance of one drawing unit typically represents one millimeter, one centimeter, one inch, or one foot in real-world units.

Convert Drawing Units

If you start a drawing in one system of measurement (imperial or metric) and then want to switch to the other system, use SCALE to scale the model geometry by the appropriate conversion factor to obtain correct distances and dimensions.

For example, to convert a drawing created in inches to centimeters, you scale the model geometry by a factor of 2.54. To convert from centimeters to inches, the scale factor is 1/2.54 or about 0.3937.

See Also

    • Set the Scale for Dimensions


Determine the Units of Measurement (Procedure)

Specify Units and Unit Formats
Up a level to ..
Determine the Units of Measurement
Start, Organize, and Save a Drawing > Start a Drawing > Specify Units and Unit Formats > Determine the Units of Measurement >
Determine the Units of Measurement
Concept Procedure Quick Reference

To set the units format and precision

To convert a drawing from inches to centimeters

To convert a drawing from centimeters to inches


To set the units format and precision (Procedure)

Determine the Units of Measurement
Up a level to ..
Determine the Units of Measurement
Start, Organize, and Save a Drawing > Start a Drawing > Specify Units and Unit Formats > Determine the Units of Measurement >
Determine the Units of Measurement
Concept Procedure Quick Reference

To set the units format and precision

  1. Click Tools tab [image] Drawing Utilities panel [image] Units. At the command prompt, enter units.
  2. In the Drawing Units dialog box, under Length, select a unit format and precision.

    The Sample Output area shows an example of the unit format at the current precision.

  3. Click OK.
Command entry: UNITS


To convert a drawing from inches to centimeters (Procedure)

Determine the Units of Measurement
Up a level to ..
Determine the Units of Measurement
Start, Organize, and Save a Drawing > Start a Drawing > Specify Units and Unit Formats > Determine the Units of Measurement >
Determine the Units of Measurement
Concept Procedure Quick Reference

To convert a drawing from inches to centimeters

  1. Click Modify menu [image] Scale.
  2. At the Select Objects prompt, enter all.

    All objects in the drawing are selected for scaling.

  3. Enter a base point of *0,0.

    Scaling will be relative to the world coordinate system origin and the location of the drawing origin will remain at the WCS origin.

  4. Enter a scale factor of 2.54 (there are 2.54 centimeters per inch).

    All objects in the drawing are now 2.54 times larger, corresponding to the equivalent distance in centimeters.

Toolbar: Modify
Command entry: SCALE


To convert a drawing from centimeters to inches (Procedure)

Determine the Units of Measurement
Up a level to ..
Set Linear Unit Conventions
Start, Organize, and Save a Drawing > Start a Drawing > Specify Units and Unit Formats > Determine the Units of Measurement >
Determine the Units of Measurement
Concept Procedure Quick Reference

To convert a drawing from centimeters to inches

  1. Click Modify menu [image] Scale.
  2. At the Select Objects prompt, enter all.

    All objects in the drawing are selected for scaling.

  3. Enter a base point of *0,0.

    Scaling is performed relative to the world coordinate system origin, and the location of the drawing origin will remain at the WCS origin.

  4. Enter a scale factor of 0.3937 (the inverse of 2.54 centimeters per inch).

    All objects in the drawing are now smaller, corresponding to the equivalent distance in inches.

Toolbar: Modify
Command entry: SCALE


Determine the Units of Measurement (Quick Reference)

Use a Template File to Start a Drawing
Determine the Units of Measurement
Set Linear Unit Conventions
Start, Organize, and Save a Drawing > Start a Drawing > Specify Units and Unit Formats > Determine the Units of Measurement >
Determine the Units of Measurement
Concept Procedure Quick Reference

Commands

UNITS

Controls coordinate and angle display formats and precision

System Variables

LUNITS

Sets linear units

LUPREC

Sets the number of decimal places displayed for all read-only linear units, and for all editable linear units whose precision is less than or equal to the current LUPREC value

MEASUREINIT

Controls whether a drawing you start from scratch uses imperial or metric default settings

MEASUREMENT

Controls whether the current drawing uses imperial or metric hatch pattern and linetype files

UNITMODE

Controls the display format for units

Utilities

No entries

Command Modifiers

No entries


Set Linear Unit Conventions (Concept)

Determine the Units of Measurement
Specify Units and Unit Formats
Set Angular Unit Conventions
Start, Organize, and Save a Drawing > Start a Drawing > Specify Units and Unit Formats >
Set Linear Unit Conventions
Concept Procedure Quick Reference

Before you start to draw, you set the format and the number of decimal places to be used when you enter and display linear units.

You can choose from several common conventions to represent the display style and the precision of distances and coordinates. Depending on what you specify, you can enter and display in decimal format, fractional format, or other notation. These settings affect

  • The Properties palette
  • Dynamic input
  • The LIST command
  • The ID command
  • The coordinate display on the status bar
  • Several dialog boxes that display coordinates

You can set the unit type and precision in the Drawing Units dialog box, the Quick Setup wizard, or the Advanced Setup wizard.

Understand Rounding and Precision

When you specify the display precision of units, the values for coordinates and distances are rounded off. However, the internal precision of coordinates and distances is always maintained regardless of the display precision.

For example, if you set the display precision of decimal-format units to 1 (or 0.0), the display of coordinates is rounded to one place after the decimal point. Thus, the coordinates 0.000,1.375 are displayed as 0.0,1.4, but the internal precision is still maintained.

Enter Distances in Imperial Architectural Format

In architectural format, to enter feet and inches, indicate feet using the prime symbol ('), for example, 72'3. You don't need to enter quotation marks (“) to specify inches.

NoteThe units format for creating and listing objects, measuring distances, and displaying coordinate locations is separate from the dimension units setting used in creating dimension values.
See Also

    • Set the Scale for Dimensions


Set Linear Unit Conventions (Procedure)

Determine the Units of Measurement
Up a level to ..
Set Linear Unit Conventions
Start, Organize, and Save a Drawing > Start a Drawing > Specify Units and Unit Formats > Set Linear Unit Conventions >
Set Linear Unit Conventions
Concept Procedure Quick Reference

To set the units format and precision

To convert a drawing from inches to centimeters

To convert a drawing from centimeters to inches


To set the units format and precision (Procedure)

Set Linear Unit Conventions
Up a level to ..
Set Linear Unit Conventions
Start, Organize, and Save a Drawing > Start a Drawing > Specify Units and Unit Formats > Set Linear Unit Conventions >
Set Linear Unit Conventions
Concept Procedure Quick Reference

To set the units format and precision

  1. Click Tools tab [image] Drawing Utilities panel [image] Units. At the command prompt, enter units.
  2. In the Drawing Units dialog box, under Length, select a unit format and precision.

    The Sample Output area shows an example of the unit format at the current precision.

  3. Click OK.
Command entry: UNITS


To convert a drawing from inches to centimeters (Procedure)

Set Linear Unit Conventions
Up a level to ..
Set Linear Unit Conventions
Start, Organize, and Save a Drawing > Start a Drawing > Specify Units and Unit Formats > Set Linear Unit Conventions >
Set Linear Unit Conventions
Concept Procedure Quick Reference

To convert a drawing from inches to centimeters

  1. If necessary, click the Model tab to make the Model tab current.
  2. Click Modify menu [image] Scale.
  3. At the Select Objects prompt, enter all.

    All objects in the drawing are selected for scaling.

  4. Enter a base point of *0,0.

    Scaling will be relative to the world coordinate system origin and the location of the drawing origin will remain at the WCS origin.

  5. Enter a scale factor of 2.54 (there are 2.54 centimeters per inch).

    All objects in the drawing are now 2.54 times larger, corresponding to the equivalent distance in centimeters.

Toolbar: Modify
Command entry: SCALE


To convert a drawing from centimeters to inches (Procedure)

Set Linear Unit Conventions
Up a level to ..
Set Angular Unit Conventions
Start, Organize, and Save a Drawing > Start a Drawing > Specify Units and Unit Formats > Set Linear Unit Conventions >
Set Linear Unit Conventions
Concept Procedure Quick Reference

To convert a drawing from centimeters to inches

  1. If necessary, click the Model tab to make the Model tab current.
  2. Click Modify menu [image] Scale.
  3. At the Select Objects prompt, enter all.

    All objects in the drawing are selected for scaling.

  4. Enter a base point of *0,0.

    Scaling is performed relative to the world coordinate system origin, and the location of the drawing origin will remain at the WCS origin.

  5. Enter a scale factor of 0.3937 (the inverse of 2.54 centimeters per inch).

    All objects in the drawing are now smaller, corresponding to the equivalent distance in inches.

Toolbar: Modify
Command entry: SCALE


Set Linear Unit Conventions (Quick Reference)

Determine the Units of Measurement
Set Linear Unit Conventions
Set Angular Unit Conventions
Start, Organize, and Save a Drawing > Start a Drawing > Specify Units and Unit Formats > Set Linear Unit Conventions >
Set Linear Unit Conventions
Concept Procedure Quick Reference

Commands

UNITS

Controls coordinate and angle display formats and precision

System Variables

LUNITS

Sets linear units

LUPREC

Sets the number of decimal places displayed for all read-only linear units, and for all editable linear units whose precision is less than or equal to the current LUPREC value

MEASUREINIT

Controls whether a drawing you start from scratch uses imperial or metric default settings

MEASUREMENT

Controls whether the current drawing uses imperial or metric hatch pattern and linetype files

UNITMODE

Controls the display format for units

Utilities

No entries

Command Modifiers

No entries


Set Angular Unit Conventions (Concept)

Set Linear Unit Conventions
Specify Units and Unit Formats
Add Identifying Information to Drawings
Start, Organize, and Save a Drawing > Start a Drawing > Specify Units and Unit Formats >
Set Angular Unit Conventions
Concept Procedure Quick Reference

Angle conventions include the position of angle 0 and the direction of measurement: clockwise or counterclockwise. You also set the format and the number of decimal places.

You can choose from several common conventions to represent angles in a drawing. You can specify that positive values of angles are measured either clockwise or counterclockwise, and angle 0 can be set to any direction (usually East or North). You can enter angles using grads, radians, or surveyor's units or using degrees, minutes, and seconds.

Work with Surveyor's Angles

If you use surveyor's angles when specifying polar coordinates, indicate whether the surveyor's angles are in the north, south, east, or west direction. For example, to enter a coordinate relative to the current coordinate for a property line that is 72 feet, 8 inches long with a bearing of 45 degrees north, 20 minutes, 6 seconds east, enter

@72'8"<n45d20'6"e


To set the angle format and precision (Procedure)

Set Linear Unit Conventions
Up a level to ..
Add Identifying Information to Drawings
Start, Organize, and Save a Drawing > Start a Drawing > Specify Units and Unit Formats > Set Angular Unit Conventions >
Set Angular Unit Conventions
Concept Procedure Quick Reference

To set the angle format and precision

  1. Click Tools tab [image] Drawing Utilities panel [image] Units. At the command prompt, enter units.
  2. In the Drawing Units dialog box, under Angle, select an angle type and precision.

    The Sample Output area shows an example of the angle type at the current precision.

  3. Select Direction to specify an angle direction.

    The angle direction controls the point from which angles are measured and the direction in which they're measured. The default starting angle, 0 degrees, is toward 3 o'clock (or east), and positive angle measurement is counterclockwise.

  4. Select the options you want to use.
  5. Click OK to close each dialog box.
Command entry: UNITS


Set Angular Unit Conventions (Quick Reference)

Set Linear Unit Conventions
Set Angular Unit Conventions
Add Identifying Information to Drawings
Start, Organize, and Save a Drawing > Start a Drawing > Specify Units and Unit Formats > Set Angular Unit Conventions >
Set Angular Unit Conventions
Concept Procedure Quick Reference

Commands

UNITS

Controls coordinate and angle display formats and precision

System Variables

ANGBASE

Sets the base angle to 0 with respect to the current UCS

ANGDIR

Sets the direction of positive angles

AUNITS

Sets units for angles

AUPREC

Sets the number of decimal places for all read-only angular units displayed on the status line, and for all editable angular units whose precision is less than or equal to the current AUPREC value

UNITMODE

Controls the display format for units

Utilities

No entries

Command Modifiers

No entries


Add Identifying Information to Drawings (Concept)

Set Angular Unit Conventions
Start a Drawing
Insert Geographical Location Information in a Drawing
Start, Organize, and Save a Drawing > Start a Drawing >
Add Identifying Information to Drawings
Concept Procedure Quick Reference

You can keep track of your drawings more easily if you add keywords or other information to them.

Use Windows Explorer

Drawing properties can help you identify a drawing. Some drawing properties are stored by the operating system; for example, drawing type, location, and size. These values are read-only in the drawing file and can only be changed through Windows Explorer.

Use the Find Tool

The Find tool in a standard file selection dialog box can use this information. For example, you can search for all files created on a certain date, or for files you modified yesterday.

Use DesignCenter

You can create additional properties in drawing files. You can store author, title, and subject, and you can assign keywords, hyperlink addresses or directory paths, and custom properties to your drawings. The Advanced tab in the Search tool in DesignCenter can use these properties to locate drawing files. For more information about DesignCenter, see ADCENTER and Access Content with DesignCenter.

Use Sheet Set Manager Properties

With the Sheet Set Manager, you can assign a sheet title, number, and a description to every sheet in a sheet set. For more information about sheet sets, see Include Information with Sheets and Sheet Sets.

Display Properties in Fields

You can assign any of the drawing properties to a field in a text object. For more information about fields, see Use Fields in Text.


Add Identifying Information to Drawings (Procedure)

Set Angular Unit Conventions
Add Identifying Information to Drawings
Add Identifying Information to Drawings
Start, Organize, and Save a Drawing > Start a Drawing > Add Identifying Information to Drawings >
Add Identifying Information to Drawings
Concept Procedure Quick Reference

To display drawing properties for the active drawing

To define drawing properties


To display drawing properties for the active drawing (Procedure)

Add Identifying Information to Drawings
Add Identifying Information to Drawings
Add Identifying Information to Drawings
Start, Organize, and Save a Drawing > Start a Drawing > Add Identifying Information to Drawings >
Add Identifying Information to Drawings
Concept Procedure Quick Reference

To display drawing properties for the active drawing

  1. Click Tools tab [image] Drawing Utilities panel [image] Drawing Properties. At the command prompt, enter dwgprops.
  2. In the Drawing Properties dialog box, click tabs to view the different types of information.
Command entry: DWGPROPS


To define drawing properties (Procedure)

Add Identifying Information to Drawings
Add Identifying Information to Drawings
Insert Geographical Location Information in a Drawing
Start, Organize, and Save a Drawing > Start a Drawing > Add Identifying Information to Drawings >
Add Identifying Information to Drawings
Concept Procedure Quick Reference

To define drawing properties

  1. Click Tools tab [image] Drawing Utilities panel [image] Drawing Properties. At the command prompt, enter dwgprops.
  2. In the Drawing Properties dialog box, enter property information on the following tabs:
    • Summary tab. Enter the drawing title, subject, author, keywords, comments, and a default address for hyperlinked data in your drawing. For example, you can add the keyword Autodesk to certain drawing files and then use DesignCenter to search for all drawing files with that keyword. For a hyperlink base, you can specify an Internet address or a path to a folder on a network drive.
    • Custom tab. Click Add. In the Add Custom Property dialog box, enter a name and a value for the custom property. Click OK. The new custom property and its value are displayed on the Custom tab. This information can be used for advanced searches in DesignCenter.
  3. Click OK.
Command entry: DWGPROPS


Add Identifying Information to Drawings (Quick Reference)

Set Angular Unit Conventions
Add Identifying Information to Drawings
Overview of Geographic Location
Start, Organize, and Save a Drawing > Start a Drawing > Add Identifying Information to Drawings >
Add Identifying Information to Drawings
Concept Procedure Quick Reference

Commands

DWGPROPS

Sets and displays the properties of the current drawing

System Variables

CDATE

Stores the current date and time in decimal format

DATE

Stores the current date and time in Modified Julian Date format

Utilities

No entries

Command Modifiers

No entries


Insert Geographical Location Information in a Drawing

Add Identifying Information to Drawings
Start a Drawing
Overview of Geographic Location
Start, Organize, and Save a Drawing > Start a Drawing >
Insert Geographical Location Information in a Drawing
Concept Procedure

You can embed the geographic location of the geometry in a drawing file.

Topics in this section

  • Overview of Geographic Location
  • Define the Geographic Location for a DWG File

    You can insert geographic location information in the drawing by importing .kml files, or .kmz files; or location information from Google Earth; or by manually entering the location values.

  • View the Geographic Location Information

    You can view a marker that defines the geographic location as a graphic (in model space view) or as a status bar coordinate display.


Insert Geographical Location Information in a Drawing (Procedure)

Add Identifying Information to Drawings
Insert Geographical Location Information in a Drawing
Overview of Geographic Location
Start, Organize, and Save a Drawing > Start a Drawing > Insert Geographical Location Information in a Drawing >
Insert Geographical Location Information in a Drawing
Concept Procedure

To import a kml or kmz file into the drawing

To import the current location from google earth

To enter the location values manually

To view the graphic of a geographic marker

To view the status bar coordinate display

To import a .kml or .kmz file into the drawing

To import the current location from Google Earth

To enter the location values manually

To edit a geographic marker

To remove a geographic marker

To import a drawing with an external coordinate system defined

To view the graphic of a geographic marker

To view the status bar coordinate display


Overview of Geographic Location (Concept)

Insert Geographical Location Information in a Drawing
Insert Geographical Location Information in a Drawing
Define the Geographic Location for a DWG File
Start, Organize, and Save a Drawing > Start a Drawing > Insert Geographical Location Information in a Drawing >
Overview of Geographic Location
Concept Procedure Quick Reference

Geographic location embeds location-specific references – expressed as real-world coordinates (X,Y, and Z) – in your drawing.

You can then send your georeferenced drawing for review.

For example, you can:

  • Put the drawing on a map (using AutoCAD Map 3D)
  • See your design in the landscape (using AutoCAD)

When you add a geographic location to a drawing, a geographic marker is created.

The geographic marker is a visual representation of the location information and is created at the specified point on the drawing.

Geographic location information can be included in either of the following ways:

  • Import a KML or KMZ file with the appropriate location information
  • Import a location from Google Earth
  • Use the Geographic Location dialog box

When you insert location information, the drawing contains the following data:

  • North direction — a vector that defines the direction of the North pole from the XY plane
  • Up direction — a vector that is always constrained 90 degrees to the XY plane
  • Geographic location data
See Also
    • Define the Geographic Location for a DWG File
    • View the Geographic Location Information


Overview of Geographic Location (Procedure)

Insert Geographical Location Information in a Drawing
Up a level to ..
Overview of Geographic Location
Start, Organize, and Save a Drawing > Start a Drawing > Insert Geographical Location Information in a Drawing > Overview of Geographic Location >
Overview of Geographic Location
Concept Procedure Quick Reference

To import a kml or kmz file into the drawing

To import the current location from google earth

To enter the location values manually

To view the graphic of a geographic marker

To view the status bar coordinate display


To import a kml or kmz file into the drawing (Procedure)

Overview of Geographic Location
Up a level to ..
Overview of Geographic Location
Start, Organize, and Save a Drawing > Start a Drawing > Insert Geographical Location Information in a Drawing > Overview of Geographic Location >
Overview of Geographic Location
Concept Procedure Quick Reference

To import a kml or kmz file into the drawing

  1. Enter geographiclocation at the command prompt.

    The Define Geographic Location task dialog box appears.

  2. Click Import a .kml or .kmz file.

    The Import a .kml or .kmz file dialog box appears.

  3. Navigate to the location of the KML or KMZ file, and click Open.

    If your KML or KMZ file references multiple locations, only the first location is used.

    In such cases, click Close when the Multiple Locations Found task dialog box appears.

  4. Click or enter a point / value for the location in the World Coordinate System (WCS) X, Y, Z format.
  5. Click to specify the north direction.

    A geographic marker (visual representation of the location information) is inserted at the specified location.

    The geographic marker displays differently in 2D ( [image]) and 3D ( [image] ) views.


To import the current location from google earth (Procedure)

Overview of Geographic Location
Up a level to ..
Overview of Geographic Location
Start, Organize, and Save a Drawing > Start a Drawing > Insert Geographical Location Information in a Drawing > Overview of Geographic Location >
Overview of Geographic Location
Concept Procedure Quick Reference

To import the current location from google earth

  1. Enter geographiclocation at the command prompt.

    The Define Geographic Location task dialog box appears.

    NoteBefore you proceed, you must have Google Earth installed and open, with the location selected.
  2. Click Import the current location from Google Earth.

    The Import from Google Earth task dialog box appears.

  3. Click Continue.
  4. Click or enter a point / value for the location in the World Coordinate System (WCS) X, Y, Z format.
  5. Click to specify the north direction.

    The geographic marker is created at the specified point on the drawing.

    The geographic marker displays differently in 2D ( [image]) and 3D ( [image] ) views.


To enter the location values manually (Procedure)

Overview of Geographic Location
Up a level to ..
Overview of Geographic Location
Start, Organize, and Save a Drawing > Start a Drawing > Insert Geographical Location Information in a Drawing > Overview of Geographic Location >
Overview of Geographic Location
Concept Procedure Quick Reference

To enter the location values manually

  1. Enter geographiclocation at the command prompt.

    The Define Geographic Location task dialog box appears.

  2. Click Enter the location values.

    The Geographic Location dialog box appears.

  3. (Optional) Select the latitude and longitude format.

    You can enter the latitude, longitude, and time zone values manually, or click the Use Map button (steps 4 through 8) to select the values visually.

  4. (Optional) Click Use Map....

    The Location Picker dialog box appears.

  5. From the Region drop-down list, select the applicable region.
  6. From the Nearest City drop-down list, select the nearest city that represents the time zone.

    The Time Zone value is updated automatically based on the Nearest City selected.

  7. Click OK.

    The Time Zone Updated task dialog box appears.

  8. Click Accept updated time zone, if correct. Click Return to the previous dialog box to select a different time zone.

    The latitude, longitude, direction, and time zone values are automatically populated based on the values selected in the location picker dialog box.

  9. Click the Pick Point ( [image]) button to specify the X, Y, and Z coordinates.

    You can also type in the values .

  10. Use the up or down arrows to specify the elevation.
  11. Click the Pick Point ( [image]) button to specify the angle.

    The north direction angle is calculated when you select a point with reference to the geographic location.

  12. Alternatively, drag the compass needle to specify the angle [image] .

    When you select the angle option, you key the value in degrees.

  13. Specify the Up direction, if necessary.
  14. Click OK.

  15. The geographic marker is created at the specified point on the drawing.

    The geographic marker displays differently in 2D ( [image]) and 3D ( [image] ) views.


To view the graphic of a geographic marker (Procedure)

Overview of Geographic Location
Up a level to ..
Overview of Geographic Location
Start, Organize, and Save a Drawing > Start a Drawing > Insert Geographical Location Information in a Drawing > Overview of Geographic Location >
Overview of Geographic Location
Concept Procedure Quick Reference

To view the graphic of a geographic marker

  1. Type GEOMARKERVISIBILITY at the command prompt.
  2. Type 1 as the value, and press Enter.
  3. Enter geographiclocation at the command prompt.

    Insert a geographic marker using the options available.

    A geographic marker inserted at the coordinates specified.


To view the status bar coordinate display (Procedure)

Overview of Geographic Location
Up a level to ..
Define the Geographic Location for a DWG File
Start, Organize, and Save a Drawing > Start a Drawing > Insert Geographical Location Information in a Drawing > Overview of Geographic Location >
Overview of Geographic Location
Concept Procedure Quick Reference

To view the status bar coordinate display

  1. Enter geographiclocation at the command prompt.

    Insert a geographic marker using the options available.

  2. Right-click the status bar display. Click Geographic.

    The status bar coordinates display the latitude and longitude values of the geographic location.


Overview of Geographic Location (Quick Reference)

Add Identifying Information to Drawings
Overview of Geographic Location
Define the Geographic Location for a DWG File
Start, Organize, and Save a Drawing > Start a Drawing > Insert Geographical Location Information in a Drawing > Overview of Geographic Location >
Overview of Geographic Location
Concept Procedure Quick Reference

Command

GEOGRAPHICLOCATION

Specifies the geographic location information for the drawing file

System Variables

GEOLATLONGFORMAT

Controls the format of the latitude or longitude values in the Geographic Location dialog box, and the coordinate status bar in Geographic mode

GEOMARKERVISIBILITY

Controls the visibility of geographic markers


Define the Geographic Location for a DWG File (Concept)

Overview of Geographic Location
Insert Geographical Location Information in a Drawing
View the Geographic Location Information
Start, Organize, and Save a Drawing > Start a Drawing > Insert Geographical Location Information in a Drawing >
Define the Geographic Location for a DWG File
Concept Procedure Quick Reference

You can insert geographic location information in the drawing by importing .kml files, or .kmz files; or location information from Google Earth; or by manually entering the location values.

Import KML or KMZ files

You can import the location information (latitude, longitude, and altitude) specified in KML or KMZ files.

Once imported, specify the location in the drawing; and the north direction, or angle.

NoteWhen a KML or KMZ file references multiple locations only the first placemark found is used.

Import Location from Google Earth

You can navigate to a specific location in Google Earth and import the location information in the drawing file.

NoteBefore proceeding, you must have Google Earth installed and open with the location selected.

You can then pick a point in the drawing to define the coordinates for the location defined in Google Earth.

Use the Geographic Location Dialog Box

You can manually enter the latitude, longitude, north direction, elevation, and up-direction values.

Click the Play arrow to start the animation.

You can also enter a city name or other known geographic entity in the Location Picker dialog box to insert the location.

Latitude and longitude is defined either as Decimal Degrees or as Degree Minutes Second.


Define the Geographic Location for a DWG File (Procedure)

Overview of Geographic Location
Up a level to ..
Define the Geographic Location for a DWG File
Start, Organize, and Save a Drawing > Start a Drawing > Insert Geographical Location Information in a Drawing > Define the Geographic Location for a DWG File >
Define the Geographic Location for a DWG File
Concept Procedure Quick Reference

To import a .kml or .kmz file into the drawing

To import the current location from Google Earth

To enter the location values manually

To edit a geographic marker

To remove a geographic marker

To import a drawing with an external coordinate system defined


To import a .kml or .kmz file into the drawing (Procedure)

Define the Geographic Location for a DWG File
Up a level to ..
Define the Geographic Location for a DWG File
Start, Organize, and Save a Drawing > Start a Drawing > Insert Geographical Location Information in a Drawing > Define the Geographic Location for a DWG File >
Define the Geographic Location for a DWG File
Concept Procedure Quick Reference

To import a .kml or .kmz file into the drawing

  1. Enter geographiclocation at the command prompt.

    The Define Geographic Location task dialog box appears.

  2. Click Import a .kml or .kmz file.

    The Import a .kml or .kmz file dialog box appears.

  3. Navigate to the location of the KML or KMZ file, and click Open.

    If your KML or KMZ file references multiple locations, only the first location is used.

    In such cases, click Close when the Multiple Locations Found task dialog box appears.

  4. Click or enter a point / value for the location in the World Coordinate System (WCS) X, Y, Z format.
  5. Click to specify the north direction.

    A geographic marker (visual representation of the location information) is inserted at the specified location.

    The geographic marker displays differently in 2D ( [image]) and 3D ( [image] ) views.


To import the current location from Google Earth (Procedure)

Define the Geographic Location for a DWG File
Up a level to ..
Define the Geographic Location for a DWG File
Start, Organize, and Save a Drawing > Start a Drawing > Insert Geographical Location Information in a Drawing > Define the Geographic Location for a DWG File >
Define the Geographic Location for a DWG File
Concept Procedure Quick Reference

To import the current location from Google Earth

  1. Enter geographiclocation at the command prompt.

    The Define Geographic Location task dialog box appears.

    NoteBefore you proceed, you must have Google Earth installed and open, with the location selected.
  2. Click Import the current location from Google Earth.

    The Import from Google Earth task dialog box appears.

  3. Click Continue.
  4. Click or enter a point / value for the location in the World Coordinate System (WCS) X, Y, Z format.
  5. Click to specify the north direction.

    A geographic marker (visual representation of the location information) is inserted at the specified location.

    The geographic marker displays differently in 2D ( [image]) and 3D ( [image] ) views.


To enter the location values manually (Procedure)

Define the Geographic Location for a DWG File
Up a level to ..
Define the Geographic Location for a DWG File
Start, Organize, and Save a Drawing > Start a Drawing > Insert Geographical Location Information in a Drawing > Define the Geographic Location for a DWG File >
Define the Geographic Location for a DWG File
Concept Procedure Quick Reference

To enter the location values manually

  1. Click Visualize tab [image] Time & Location panel [image] Location.At the command prompt, enter geographiclocation.

    The Define Geographic Location task dialog box appears.

  2. Click Enter the location values.

    The Geographic Location dialog box appears.

  3. (Optional) Select the latitude and longitude format.

    You can enter the latitude, longitude, and time zone values manually, or click the Use Map button (steps 4 through 8) to select the values visually.

  4. (Optional) Click Use Map....

    The Location Picker dialog box appears.

  5. From the Region drop-down list, select the applicable region.
  6. From the Nearest City drop-down list, select the nearest city that represents the time zone.

    The Time Zone value is updated automatically based on the Nearest City selected.

  7. Click OK.

    The Time Zone Updated task dialog box appears.

  8. Click Accept updated time zone, if correct. Click Return to the previous dialog box to select a different time zone.

    The latitude, longitude, direction, and time zone values are automatically populated based on the values selected in the location picker dialog box.

  9. Click the Pick Point ( [image]) button to specify the X, Y, and Z coordinates.

    You can also type in the values.

  10. Use the up or down arrows to specify the elevation.
  11. Click the Pick Point ( [image]) button to specify the angle.

    The north direction angle is calculated when you select a point with reference to the geographic location.

  12. Alternatively, drag the compass needle to specify the angle [image] .

    When you select the angle option, you key the value in degrees.

  13. Specify the Up direction, if necessary.
  14. Click OK.

  15. The geographic marker is created at the specified point on the drawing.

    The geographic marker displays differently in 2D ( [image]) and 3D ( [image] ) views.


To edit a geographic marker (Procedure)

Define the Geographic Location for a DWG File
Up a level to ..
Define the Geographic Location for a DWG File
Start, Organize, and Save a Drawing > Start a Drawing > Insert Geographical Location Information in a Drawing > Define the Geographic Location for a DWG File >
Define the Geographic Location for a DWG File
Concept Procedure Quick Reference

To edit a geographic marker

  1. Enter geographiclocation at the command prompt.

    The Location Already Exists task dialog box appears.

  2. Click Edit Current Geographic Location.

    The Geographic Location dialog box appears.

  3. Edit the existing values you want to change
  4. Click OK.


To remove a geographic marker (Procedure)

Define the Geographic Location for a DWG File
Up a level to ..
Define the Geographic Location for a DWG File
Start, Organize, and Save a Drawing > Start a Drawing > Insert Geographical Location Information in a Drawing > Define the Geographic Location for a DWG File >
Define the Geographic Location for a DWG File
Concept Procedure Quick Reference

To remove a geographic marker

  1. Enter geographiclocation at the command prompt.

    The Location Already Exists task dialog box appears.

  2. Click Remove Geographic Location.

    The Remove task dialog box appears.

  3. Click Yes at the confirmation task dialog box.


To import a drawing with an external coordinate system defined (Procedure)

Define the Geographic Location for a DWG File
Up a level to ..
View the Geographic Location Information
Start, Organize, and Save a Drawing > Start a Drawing > Insert Geographical Location Information in a Drawing > Define the Geographic Location for a DWG File >
Define the Geographic Location for a DWG File
Concept Procedure Quick Reference

To import a drawing with an external coordinate system defined

  1. Enter geographiclocation at the command prompt.

    The Coordinate System Already Exists task dialog box appears.

  2. Click one of the following options:
    • Leave Existing Coordinate System —AutoCAD does not convert the external coordinate system to the LL84 coordinate system.
    • Convert to AutoCAD and then edit — Converts the coordinate system to theLL84 system and then displays the Location Already Exists task dialog box.
  3. Edit the geographic location using the options presented.


Define the Geographic Location for a DWG File (Quick Reference)

Overview of Geographic Location
Define the Geographic Location for a DWG File
View the Geographic Location Information
Start, Organize, and Save a Drawing > Start a Drawing > Insert Geographical Location Information in a Drawing > Define the Geographic Location for a DWG File >
Define the Geographic Location for a DWG File
Concept Procedure Quick Reference

Command

GEOGRAPHICLOCATION

Specifies the geographic location information for the drawing file

System Variables

GEOLATLONGFORMAT

Controls the format of the latitude or longitude values in the Geographic Location dialog box, and the coordinate status bar in Geographic mode

GEOMARKERVISIBILITY

Controls the visibility of geographic markers


View the Geographic Location Information (Concept)

Define the Geographic Location for a DWG File
Insert Geographical Location Information in a Drawing
Open or Save a Drawing
Start, Organize, and Save a Drawing > Start a Drawing > Insert Geographical Location Information in a Drawing >
View the Geographic Location Information
Concept Procedure Quick Reference

You can view a marker that defines the geographic location as a graphic (in model space view) or as a status bar coordinate display.

You can view a geographic marker in either of the following ways:

  • A graphic overlaid on the model space view at the World Coordinate System (WCS) location of the geographic marker.

    The graphic displays differently in 2D ( [image]) and 3D ( [image] ) views.

    Note Set the GEOMARKERVISIBILITY system variable to 1 to view the graphic for geographic marker in the drawing.
  • A status bar coordinate display that shows the latitude or longitude of a WCS coordinate at the cursor location.


View the Geographic Location Information (Procedure)

Define the Geographic Location for a DWG File
Up a level to ..
View the Geographic Location Information
Start, Organize, and Save a Drawing > Start a Drawing > Insert Geographical Location Information in a Drawing > View the Geographic Location Information >
View the Geographic Location Information
Concept Procedure Quick Reference

To view the graphic of a geographic marker

To view the status bar coordinate display


To view the graphic of a geographic marker (Procedure)

View the Geographic Location Information
Up a level to ..
View the Geographic Location Information
Start, Organize, and Save a Drawing > Start a Drawing > Insert Geographical Location Information in a Drawing > View the Geographic Location Information >
View the Geographic Location Information
Concept Procedure Quick Reference

To view the graphic of a geographic marker

  1. Enter GEOMARKERVISIBILITY at the command prompt.
  2. Enter 1 as the value.
  3. Enter geographiclocation at the command prompt.

    Insert a geographic marker using the options available.

    A geographic marker is inserted at the coordinates specified.


To view the status bar coordinate display (Procedure)

View the Geographic Location Information
Up a level to ..
Open a Drawing
Start, Organize, and Save a Drawing > Start a Drawing > Insert Geographical Location Information in a Drawing > View the Geographic Location Information >
View the Geographic Location Information
Concept Procedure Quick Reference

To view the status bar coordinate display

  1. Enter geographiclocation at the command prompt.

    Insert a geographic marker using the options available.

  2. Right-click the status bar display. Click Geographic.

    The status bar coordinates display the latitude and longitude values of the geographic location.


View the Geographic Location Information (Quick Reference)

Define the Geographic Location for a DWG File
View the Geographic Location Information
Open a Drawing
Start, Organize, and Save a Drawing > Start a Drawing > Insert Geographical Location Information in a Drawing > View the Geographic Location Information >
View the Geographic Location Information
Concept Procedure Quick Reference

Command

GEOGRAPHICLOCATION

Specifies the geographic location information for the drawing file

System Variables

GEOLATLONGFORMAT

Controls the format of the latitude or longitude values in the Geographic Location dialog box, and the coordinate status bar in Geographic mode

GEOMARKERVISIBILITY

Controls the visibility of geographic markers


Open or Save a Drawing

View the Geographic Location Information
Start, Organize, and Save a Drawing
Open a Drawing
Start, Organize, and Save a Drawing >
Open or Save a Drawing

You can use several methods to find and open drawings, even damaged drawings. You can save and backup drawings automatically.

Topics in this section

  • Open a Drawing

    You open drawings to work on them just as you do with other Windows applications. In addition, you can choose from several alternative methods.

  • Open Part of a Large Drawing (Partial Load)

    If you work with large drawings, you can improve performance by opening only the view and layer geometry that you want to work with.

  • Work with Multiple Open Drawings

    You can preview and switch between open drawings and layouts in a drawing and transfer information between open drawings.

  • Save a Drawing

    You save drawing files for later use just as you do with other Microsoft Windows applications. You can also set up automatic saving and backup files and save only selected objects.

  • Find a Drawing File

    You can search for a drawing using name, location, and date filters, properties such as keywords that you added to the drawing, or text strings containing a specific word or phrase.

  • Specify Search Paths and File Locations

    You can set the search path to drawing support files such as text fonts, drawings, linetypes, and hatch patterns. You also can specify the location of temporary files, which is important when working in a network environment.


Open a Drawing (Concept)

Open or Save a Drawing
Open or Save a Drawing
Open Part of a Large Drawing (Partial Load)
Start, Organize, and Save a Drawing > Open or Save a Drawing >
Open a Drawing
Concept Procedure Quick Reference

You open drawings to work on them just as you do with other Windows applications. In addition, you can choose from several alternative methods.

To open a drawing, you can

  • Use Open on the File menu or Quick Access toolbar to display the Select File dialog box. If the FILEDIA system variable is turned off (set to 0), the command prompt version displays instead of a file navigation dialog box.
  • Double-click a drawing in Windows Explorer to launch AutoCAD® and open the drawing. If the program is already running, the drawing opens in the current session rather than in a second session.
  • Drag a drawing from Windows Explorer into AutoCAD.

    If you drop a drawing anywhere outside the drawing area—for example, the command line or the blank space next to the toolbars— the drawing is opened. However, if you drag a single drawing into the drawing area of an open drawing, the new drawing is not opened but inserted as a block reference.

  • Use DesignCenter to open drawings.
  • Use the Sheet Set Manager to locate and open the drawings in a sheet set.

Work on Drawings During Loading

You can work on drawings before they are fully open. This is useful when you work on large drawings and you want to begin working immediately. To take advantage of this capability, three conditions are required.

  • The drawing must have been saved in paper space.
  • The OPENPARTIAL system variabel must be turned on (set to 1).
  • The INDEXCTL system variable must be set to a non-zero value.

When these conditions are met, you can create or modify visible objects, pan or zoom, turn off or freeze layers, and any other operation that does not require displaying objects not visible when the drawing was last saved.

NoteThe Quick View feature will not be fully functional during loading under these conditions.

TrustedDWG™ Drawing Files

DWG, DWT, and DWS files that are created with Autodesk applications and RealDWG™-based applications are trusted by Autodesk. When you open a TrustedDWG file, the following icon displays in the application status bar or the drawing status bar.

If the DWGCHECK system variable is set to On (1), an alert box is displayed if

  • The drawing file format is AutoCAD Release 14 or later and
  • The drawing file was not saved by an Autodesk application or RealDWG-based application.

For more information about TrustedDWG, click the TrustedDWG icon.

Recover Defective Drawing Files

In some circumstances, it is possible that a drawing file becomes defective. This can result from hardware problems or transmission errors. If a drawing file is corrupt, you might be able to recover it. See Repair, Restore, or Recover Drawing Files.

Change the Default Drawing Folder

Each time you start AutoCAD, the My Documents folder is the default path in each standard file selection dialog box. Alternatively, you can configure AutoCAD to always default to a specified path by changing the default drawing folder using the REMEMBERFOLDERS system variable.

See Also

    • Overview of DesignCenter

    • Open and Save Drawing Files from the Internet

    • Work with Sheets in a Sheet Set


Open a Drawing (Procedure)

View the Geographic Location Information
Open a Drawing
Open a Drawing
Start, Organize, and Save a Drawing > Open or Save a Drawing > Open a Drawing >
Open a Drawing
Concept Procedure Quick Reference

To open a drawing

To change the default drawing folder


To open a drawing (Procedure)

Open a Drawing
Open a Drawing
Open a Drawing
Start, Organize, and Save a Drawing > Open or Save a Drawing > Open a Drawing >
Open a Drawing
Concept Procedure Quick Reference

To open a drawing

  1. Click Quick Access Toolbar [image] Open.Enter open at the command prompt.
  2. In the Select File dialog box, select one or more files. Click Open.

    The icons on the left side of the dialog box provide quick access to commonly used files and file locations. To reorder the icons, drag them to a new location. To add, modify, or remove an icon, right-click the icon to display a shortcut menu.

Menu: Click File menu [image] Open
Toolbar: Standard
Command entry: OPEN


To change the default drawing folder (Procedure)

Open a Drawing
Open a Drawing
Open Part of a Large Drawing (Partial Load)
Start, Organize, and Save a Drawing > Open or Save a Drawing > Open a Drawing >
Open a Drawing
Concept Procedure Quick Reference

To change the default drawing folder

  1. At the command prompt, enter rememberfolders, and then enter 0.
  2. On the Windows desktop, right-click the AutoCAD icon. Click Properties.
  3. Click the Shortcut tab.
  4. In the Start In box, enter the path of the folder that should be the default when you open or save drawing files.
  5. Click OK.


Open a Drawing (Quick Reference)

View the Geographic Location Information
Open a Drawing
Open Part of a Large Drawing (Partial Load)
Start, Organize, and Save a Drawing > Open or Save a Drawing > Open a Drawing >
Open a Drawing
Concept Procedure Quick Reference

Commands

WHOHAS

Displays ownership information for opened drawing files

OPEN

Opens an existing drawing file

System Variables

DWGCHECK

Checks drawings for potential problems when opening them

FILEDIA

Suppresses display of file navigation dialog boxes

INDEXCTL

Controls whether layer and spatial indexes are created and saved in drawing files

OPENPARTIAL

Controls whether a drawing file can be worked on before it is fully open

REMEMBERFOLDERS

Controls the default path displayed in standard file selection dialog boxes

ROAMABLEROOTPREFIX

Stores the full path to the root folder where roamable customizable files were installed

Utilities

No entries

Command Modifiers

No entries


Open Part of a Large Drawing (Partial Load) (Concept)

Open a Drawing
Open or Save a Drawing
Work with Multiple Open Drawings
Start, Organize, and Save a Drawing > Open or Save a Drawing >
Open Part of a Large Drawing (Partial Load)
Concept Procedure Quick Reference

If you work with large drawings, you can improve performance by opening only the view and layer geometry that you want to work with.

If you work with large drawings, you can use the Partial Open option of the OPEN command to select which view and layer geometry (graphical objects only) that you want to work with in a drawing. For example, if you load geometry from the EXTENTS view and the SITE layer, everything on the SITE layer that falls within the Extents view is loaded into the drawing.

You can only edit what is loaded into the drawing file, but all the drawing's named objects are available in the partially open drawing. Named objects include layers, views, blocks, dimension styles, text styles, viewport configurations, layouts, UCSs, and linetypes.

By organizing large drawings into sectored views, you can load and edit only what you need. For example, if you work with a city plan and need to edit only the southeast sector (sector D3 in the illustration), you can load this drawing area by specifying the predefined view. If you need to edit only the city plot numbers, you can load just the geometry on this specific layer.

After a drawing is partially open, you can load additional geometry from a view, selected area, or layer into the drawing by using PARTIALOAD. The Partial Open option is available only for drawings in AutoCAD 2000 or later format.


Open Part of a Large Drawing (Partial Load) (Procedure)

Open a Drawing
Open Part of a Large Drawing (Partial Load)
Open Part of a Large Drawing (Partial Load)
Start, Organize, and Save a Drawing > Open or Save a Drawing > Open Part of a Large Drawing (Partial Load) >
Open Part of a Large Drawing (Partial Load)
Concept Procedure Quick Reference

To partially open a drawing

To load additional geometry into a partially open drawing


To partially open a drawing (Procedure)

Open Part of a Large Drawing (Partial Load)
Open Part of a Large Drawing (Partial Load)
Open Part of a Large Drawing (Partial Load)
Start, Organize, and Save a Drawing > Open or Save a Drawing > Open Part of a Large Drawing (Partial Load) >
Open Part of a Large Drawing (Partial Load)
Concept Procedure Quick Reference

To partially open a drawing

  1. Click Quick Access Toolbar [image] Open. Enter open at the command prompt.
  2. In the Select File dialog box, select a drawing.
  3. Click the arrow next to Open. Click Partial Open.
  4. In the Partial Open dialog box, select a view; the default view is EXTENTS.

    You can load only geometry from model space views that are saved in the current drawing.

  5. Select one or more layers.

    If you do not select a layer or layers to load, no layer geometry is loaded into the drawing but all drawing layers exist in the drawing. If no layer geometry is specified to load into the drawing, no geometry is loaded even if the geometry from a view is specified to load. If you draw objects on a layer that is not loaded, you may be drawing on top of existing geometry that is not loaded in the drawing.

    NoteXref-dependent layers are displayed in the Layer Geometry to Load list only if the selected drawing was last saved with the VISRETAIN system variable set to 1. Any layers created in the xref since the xref was loaded into the drawing are not displayed in the Layer Geometry to Load list.
  6. If the drawing contains a spatial index, you can select the Use Spatial Index option.

    A spatial index is a list that organizes objects based on their location in space. A spatial index is used to locate the portion of the drawing that is read; this minimizes the time required to open the drawing.

  7. If the drawing contains xrefs but you don't want to load them, select Unload All Xrefs on Open.
    NoteIf you partially open a drawing that contains a bound xref, only the portion of the xref that is loaded (defined by the selected view) is bound to the partially open drawing.
  8. Click Open.

    You can choose to load additional information into the current drawing as long as the drawing is partially open.

Menu: Click File menu [image] Open
Command entry: PARTIALOPEN


To load additional geometry into a partially open drawing (Procedure)

Open Part of a Large Drawing (Partial Load)
Open Part of a Large Drawing (Partial Load)
Work with Multiple Open Drawings
Start, Organize, and Save a Drawing > Open or Save a Drawing > Open Part of a Large Drawing (Partial Load) >
Open Part of a Large Drawing (Partial Load)
Concept Procedure Quick Reference

To load additional geometry into a partially open drawing

  1. Click File menu [image] Partial Load.At the command prompt, enter partiaload.

    The Partial Load option is available only if the current drawing is a partially open drawing.

  2. In the Partial Load dialog box, select a view or click Pick Window to define a view.

    The default view is Extents. You can load only geometry from model space views that are saved in the current drawing.

  3. Select one or more layers.

    If you do not select a layer or layers to load, no layer geometry is loaded into the drawing, but all drawing layers exist in the drawing. If no layer geometry is specified to load into the drawing, no geometry is loaded even if the geometry from a view is specified to load. If you draw objects on a layer that is not loaded, you may be drawing on top of existing geometry that is not loaded in the drawing. You cannot unload any geometry that is loaded in the current drawing.

  4. Click Open.
Command entry: PARTIALOAD


Open Part of a Large Drawing (Partial Load) (Quick Reference)

Open a Drawing
Open Part of a Large Drawing (Partial Load)
Preview Open Drawings and Layouts
Start, Organize, and Save a Drawing > Open or Save a Drawing > Open Part of a Large Drawing (Partial Load) >
Open Part of a Large Drawing (Partial Load)
Concept Procedure Quick Reference

Commands

PARTIALOAD

Loads additional geometry into a partially opened drawing

PARTIALOPEN

Loads geometry and named objects from a selected view or layer into a drawing

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Work with Multiple Open Drawings

Open Part of a Large Drawing (Partial Load)
Open or Save a Drawing
Preview Open Drawings and Layouts
Start, Organize, and Save a Drawing > Open or Save a Drawing >
Work with Multiple Open Drawings
Concept Procedure

You can preview and switch between open drawings and layouts in a drawing and transfer information between open drawings.

Topics in this section

  • Preview Open Drawings and Layouts

    With Quick View, you can easily preview and switch between open drawings and the model space and layouts in an open drawing. These are displayed in thumbnail images called Quick View images at the bottom of the application window.

  • Switch Between Open Drawings

    Preview and switch between all open drawings and layouts in a drawing in two-level structure with the Quick View Drawings tool.

  • Switch Between Layouts in the Current Drawing

    Preview and switch between the model space and layouts in the current drawing with the Quick View Layouts tool.

  • Transfer Information between Open Drawings

    You can easily transfer information between drawings that are open in a single session.


Work with Multiple Open Drawings (Procedure)

Open Part of a Large Drawing (Partial Load)
Work with Multiple Open Drawings
Switch Between Open Drawings
Start, Organize, and Save a Drawing > Open or Save a Drawing > Work with Multiple Open Drawings >
Work with Multiple Open Drawings
Concept Procedure

To display Quick View drawings

To preview and switch between open drawings

To preview and switch between layouts in a drawing

To resize a Quick View image

To view Quick View images not displayed in the application display area

To pin the row of Quick View images

To create a drawing in Quick View

To open a drawing in Quick View

To save a drawing in Quick View

To save all open drawings in Quick View

To close a drawing in Quick View

To close all drawings in Quick View

To close all drawings except the drawing you want to work on in Quick View

To preview model space and layouts in a drawing

To update a thumbnail image

To make a model space or layout current

To specify the page setup for a layout in Quick View

To create a layout in Quick View

To rename a layout in Quick View

To import a layout from a template in Quick View

To arrange layouts in Quick View

To duplicate a layout in Quick View

To arrange layouts in Quick View

To activate the previous layout in Quick View

To select all layouts in Quick View

To export a layout to model space in Quick View

To plot a layout in Quick View

To publish a layout in Quick View

To switch between open drawings

To display only the active drawing


Preview Open Drawings and Layouts (Concept)

Work with Multiple Open Drawings
Work with Multiple Open Drawings
Switch Between Open Drawings
Start, Organize, and Save a Drawing > Open or Save a Drawing > Work with Multiple Open Drawings >
Preview Open Drawings and Layouts
Concept Quick Reference

With Quick View, you can easily preview and switch between open drawings and the model space and layouts in an open drawing. These are displayed in thumbnail images called Quick View images at the bottom of the application window.

The Quick View tools in the application status bar do the following:

  • Quick View Drawings

    Displays all currently open drawings in a row of Quick View drawing images. You can also preview and switch between the model space and layouts in an open drawing when you move your cursor over a Quick View drawing image. For more information, see Switch Between Open Drawings.

  • Quick View Layouts

    Displays the model space and layouts in the current drawing in a row of Quick View layout images. You can right-click a Quick View layout image to view layout options. For more information, see Switch Between Layouts in the Current Drawing.

The supported file formats are DWG, DWT, DXF, and DWS.

NoteThe application status bar must be displayed to view the Quick View tools.


Preview Open Drawings and Layouts (Quick Reference)

Open Part of a Large Drawing (Partial Load)
Preview Open Drawings and Layouts
Switch Between Open Drawings
Start, Organize, and Save a Drawing > Open or Save a Drawing > Work with Multiple Open Drawings > Preview Open Drawings and Layouts >
Preview Open Drawings and Layouts
Concept Quick Reference

Commands

QVDRAWING

Displays open drawings and layouts in a drawing in preview images

QVDRAWINGCLOSE

Closes preview images of open drawings and layouts in a drawing

QVLAYOUT

Displays preview images of model space and layouts in a drawing

QVLAYOUTCLOSE

Closes preview images of model space and layouts in a drawing

System Variables

STATUSBAR

Controls the display of the application and drawing status bars

Utilities

No entries

Command Modifiers

No entries


Switch Between Open Drawings (Concept)

Preview Open Drawings and Layouts
Work with Multiple Open Drawings
Switch Between Layouts in the Current Drawing
Start, Organize, and Save a Drawing > Open or Save a Drawing > Work with Multiple Open Drawings >
Switch Between Open Drawings
Concept Procedure Quick Reference

Preview and switch between all open drawings and layouts in a drawing in two-level structure with the Quick View Drawings tool.

The first level displays the Quick View images of open drawings and the second level displays the images for model space and all layouts in a drawing.

When you click the Quick View Drawings button on the status bar, each open drawing displays as a thumbnail image in a row. The image of the current drawing is highlighted by default. If you move your cursor over an image, all the layouts and the model for that drawing are displayed in a row of images above the Quick View drawing.

The toolbar displayed below the Quick View drawings has the following options:

  • Pin Quick View Drawings

    Pins the row of Quick View images of drawings so that it is always visible while you are working in the drawing editor.

  • New

    Creates a drawing that is also displayed at the end of the Quick View images row.

  • Open

    Opens an existing drawing that is also displayed at the end of the Quick View images row.

  • Close

    Closes all the Quick View images.

You can do any of the following with the Quick View Drawings tool:

  • Click a Quick View drawing image to make that drawing current.
  • Move your cursor over the Quick View drawing image to display the Save and Close buttons on the top corners of the image to save or close the drawing.
  • Move your cursor over a Quick View drawing to display the preview images of the model space and layouts in the drawing.
  • Close all drawings, except the drawing you want to work on, from the shortcut menu.
  • Close and save all open drawings.
  • Manage the display of the drawings in the windows to be tiled vertically or horizontally, or cascaded.

You can access more options for layouts from the Quick View layout image. For more information, see Switch Between Layouts in the Current Drawing.

If a row of Quick View images extends beyond the application display area, scroll arrows display on the left or right side of the row. You can scroll to view the other images. You can resize Quick View images dynamically using CTRL + scrollwheel.

TipIf you often work with many open drawings or many layouts in a drawing, you can use multiple monitors to display complete rows of Quick View images.

When a drawing is saved in DXF format, it does not have a stored image for a drawing. The image is not updated even if you use the UPDATETHUMBSNOW command. A static image is displayed instead.


Switch Between Open Drawings (Procedure)

Work with Multiple Open Drawings
Up a level to ..
Switch Between Open Drawings
Start, Organize, and Save a Drawing > Open or Save a Drawing > Work with Multiple Open Drawings > Switch Between Open Drawings >
Switch Between Open Drawings
Concept Procedure Quick Reference

To display Quick View drawings

To preview and switch between open drawings

To preview and switch between layouts in a drawing

To resize a Quick View image

To view Quick View images not displayed in the application display area

To pin the row of Quick View images

To create a drawing in Quick View

To open a drawing in Quick View

To save a drawing in Quick View

To save all open drawings in Quick View

To close a drawing in Quick View

To close all drawings in Quick View

To close all drawings except the drawing you want to work on in Quick View


To display Quick View drawings (Procedure)

Switch Between Open Drawings
Up a level to ..
Switch Between Open Drawings
Start, Organize, and Save a Drawing > Open or Save a Drawing > Work with Multiple Open Drawings > Switch Between Open Drawings >
Switch Between Open Drawings
Concept Procedure Quick Reference

To display Quick View drawings

Do one of the following:

  • Click [image] on the status bar
  • Enter qvdrawing at the command prompt.
Command entry: QVDRAWING


To preview and switch between open drawings (Procedure)

Switch Between Open Drawings
Up a level to ..
Switch Between Open Drawings
Start, Organize, and Save a Drawing > Open or Save a Drawing > Work with Multiple Open Drawings > Switch Between Open Drawings >
Switch Between Open Drawings
Concept Procedure Quick Reference

To preview and switch between open drawings

  1. Click [image] on the status bar.

    A row of Quick View images is displayed at the bottom of the application.

  2. Click the Quick View image you want to work on.
Command entry: QVDRAWING


To preview and switch between layouts in a drawing (Procedure)

Switch Between Open Drawings
Up a level to ..
Switch Between Open Drawings
Start, Organize, and Save a Drawing > Open or Save a Drawing > Work with Multiple Open Drawings > Switch Between Open Drawings >
Switch Between Open Drawings
Concept Procedure Quick Reference

To preview and switch between layouts in a drawing

  1. Click [image] on the status bar.

    A row of Quick View images is displayed at the bottom of the application.

  2. Move your cursor over a drawing image to preview the model and layouts in a drawing.
  3. Click a Quick View image to make the drawing or layout current.
Command entry: QVDRAWING


To resize a Quick View image (Procedure)

Switch Between Open Drawings
Up a level to ..
Switch Between Open Drawings
Start, Organize, and Save a Drawing > Open or Save a Drawing > Work with Multiple Open Drawings > Switch Between Open Drawings >
Switch Between Open Drawings
Concept Procedure Quick Reference

To resize a Quick View image

  1. Click [image] on the status bar.

    A row of Quick View images is displayed at the bottom of the application.

  2. Press CTRL + scrollwheel over a Quick View image to resize.
Command entry: QVDRAWING


To view Quick View images not displayed in the application display area (Procedure)

Switch Between Open Drawings
Up a level to ..
Switch Between Open Drawings
Start, Organize, and Save a Drawing > Open or Save a Drawing > Work with Multiple Open Drawings > Switch Between Open Drawings >
Switch Between Open Drawings
Concept Procedure Quick Reference

To view Quick View images not displayed in the application display area

  1. Click [image] on the status bar.

    A row of Quick View images is displayed at the bottom of the application.

  2. Click the left or right scroll arrow to view Quick View images not shown on the application display area.
Command entry: QVDRAWING


To pin the row of Quick View images (Procedure)

Switch Between Open Drawings
Up a level to ..
Switch Between Open Drawings
Start, Organize, and Save a Drawing > Open or Save a Drawing > Work with Multiple Open Drawings > Switch Between Open Drawings >
Switch Between Open Drawings
Concept Procedure Quick Reference

To pin the row of Quick View images

  1. Click [image] on the status bar.

    A toolbar is displayed below the row of Quick View images.

  2. On the toolbar, click the Pin Quick View Drawings button [image].

    The Quick View images are always displayed unless you unpin them. To unpin, click Pin Quick View Drawings button again.


To create a drawing in Quick View (Procedure)

Switch Between Open Drawings
Up a level to ..
Switch Between Open Drawings
Start, Organize, and Save a Drawing > Open or Save a Drawing > Work with Multiple Open Drawings > Switch Between Open Drawings >
Switch Between Open Drawings
Concept Procedure Quick Reference

To create a drawing in Quick View

  1. Click [image] on the status bar.

    A toolbar is displayed below the row of Quick View images.

  2. On the toolbar, click the New button [image].

    A new drawing is displayed in a Quick View image.


To open a drawing in Quick View (Procedure)

Switch Between Open Drawings
Up a level to ..
Switch Between Open Drawings
Start, Organize, and Save a Drawing > Open or Save a Drawing > Work with Multiple Open Drawings > Switch Between Open Drawings >
Switch Between Open Drawings
Concept Procedure Quick Reference

To open a drawing in Quick View

  1. Click [image] on the status bar.

    A toolbar is displayed below the row of Quick View images.

  2. On the toolbar, click Open [image] .
  3. In the Select File dialog box, select one or more files.
  4. Click Open.


To save a drawing in Quick View (Procedure)

Switch Between Open Drawings
Up a level to ..
Switch Between Open Drawings
Start, Organize, and Save a Drawing > Open or Save a Drawing > Work with Multiple Open Drawings > Switch Between Open Drawings >
Switch Between Open Drawings
Concept Procedure Quick Reference

To save a drawing in Quick View

  1. Click [image] on the status bar.

    A row of images is displayed at the bottom of the application.

  2. Mouse over the image you want to save.
  3. Click [image] displayed on the the Quick View image.


To save all open drawings in Quick View (Procedure)

Switch Between Open Drawings
Up a level to ..
Switch Between Open Drawings
Start, Organize, and Save a Drawing > Open or Save a Drawing > Work with Multiple Open Drawings > Switch Between Open Drawings >
Switch Between Open Drawings
Concept Procedure Quick Reference

To save all open drawings in Quick View

  1. Click [image] on the status bar.

    A row of images is displayed at the bottom of the application.

  2. Right-click any Quick View drawing image and click Save All.


To close a drawing in Quick View (Procedure)

Switch Between Open Drawings
Up a level to ..
Switch Between Open Drawings
Start, Organize, and Save a Drawing > Open or Save a Drawing > Work with Multiple Open Drawings > Switch Between Open Drawings >
Switch Between Open Drawings
Concept Procedure Quick Reference

To close a drawing in Quick View

  1. Click [image] on the status bar.

    A row of images is displayed at the bottom of the application.

  2. Right-click the Quick View drawing image you want to close and click Close.


To close all drawings in Quick View (Procedure)

Switch Between Open Drawings
Up a level to ..
Switch Between Open Drawings
Start, Organize, and Save a Drawing > Open or Save a Drawing > Work with Multiple Open Drawings > Switch Between Open Drawings >
Switch Between Open Drawings
Concept Procedure Quick Reference

To close all drawings in Quick View

  1. Click [image] on the status bar.

    A row of images is displayed at the bottom of the application.

  2. Right-click any Quick View drawing image and click Close All.


To close all drawings except the drawing you want to work on in Quick View (Procedure)

Switch Between Open Drawings
Up a level to ..
Switch Between Layouts in the Current Drawing
Start, Organize, and Save a Drawing > Open or Save a Drawing > Work with Multiple Open Drawings > Switch Between Open Drawings >
Switch Between Open Drawings
Concept Procedure Quick Reference

To close all drawings except the drawing you want to work on in Quick View

  1. Click [image] on the status bar.

    A row of images is displayed at the bottom of the application.

  2. Right-click the Quick View image of the drawing you want to work on. Click Close Other Files.


Switch Between Open Drawings (Quick Reference)

Preview Open Drawings and Layouts
Switch Between Open Drawings
Switch Between Layouts in the Current Drawing
Start, Organize, and Save a Drawing > Open or Save a Drawing > Work with Multiple Open Drawings > Switch Between Open Drawings >
Switch Between Open Drawings
Concept Procedure Quick Reference

Commands

QVDRAWING

Displays open drawings and layouts in a drawing in preview images

QVDRAWINGCLOSE

Closes preview images of open drawings and layouts in a drawing

SYSWINDOWS

Arranges windows and icons when the application window is shared with external applications

UPDATETHUMBSNOW

Manually updates thumbnail previews for sheets, sheet views, and model space views in the Sheet Set Manager

System Variables

QVDRAWINGPIN

Controls the default display state of preview images of drawings

Utilities

No entries

Command Modifiers

No entries


Switch Between Layouts in the Current Drawing (Concept)

Switch Between Open Drawings
Work with Multiple Open Drawings
Transfer Information between Open Drawings
Start, Organize, and Save a Drawing > Open or Save a Drawing > Work with Multiple Open Drawings >
Switch Between Layouts in the Current Drawing
Concept Procedure Quick Reference

Preview and switch between the model space and layouts in the current drawing with the Quick View Layouts tool.

Click the Play arrow to start the animation.

When you click the Quick View Layouts button [image] on the status bar, the model space and layouts in the drawing are displayed in a horizontal row.

You can plot or publish when you move the cursor over a Quick View image of a layout. The toolbar displayed below the Quick View images of drawings has the following options:

  • Pin Quick View Layouts

    Pins the row of Quick View images of layouts so that it is always visible while you are working in the drawing editor.

  • New Layout

    Creates a layout that is also displayed as a Quick View image at the end of the row.

  • Publish

    Launches the Publish dialog box to publish the layouts.

  • Close Quick View Layouts

    Closes all the Quick View layout images.

Click the Play arrow to start the animation.

You can do any of the following with the Quick View layout image:

  • Click the image to make it current
  • Move your cursor over the image to display the Plot and Publish buttons on the top corners of the image to plot the layout or publish all the layouts in the drawing.
  • Move and copy layouts from the shortcut menu.
  • Access the Page Setup Manager from the shortcut menu.
  • Import a layout as a sheet from the shortcut menu.
  • Export a layout to model space in a new drawing.

You can resize Quick View images dynamically using CTRL + scrollwheel.

TipIf you often work with many open drawings or many layouts in a drawing, you can use multiple monitors to display complete rows of Quick View images.

If a row of Quick View images extends beyond the application display area, scroll arrows display on the left or right side of the row. You can scroll to view the other images.

NoteThe Quick View feature will not be fully functional if the drawing is still opening and not fully loaded.

Update Quick View Images

The UPDATETHUMBNAIL system variable and the UPDATETHUMBSNOW command control how Quick View images are stored and updated.

  • The Quick View image for model space always displays a static image. The model space preview is not stored in the drawing file.
  • Quick View images for layouts are updated only when you switch between layouts. They are not updated dynamically when working on a layout.

When a drawing does not have a stored image for a layout, a placeholder image is displayed instead.

This placeholder image is displayed in the following cases:

  • When you create a new drawing
  • When the layout is not initialized
  • When the drawing is not saved
  • When the UPDATETHUMBNAIL system variable is set to 0. In this case, the image is not updated even if you use the UPDATETHUMBSNOW command.


Switch Between Layouts in the Current Drawing (Procedure)

Switch Between Open Drawings
Up a level to ..
Switch Between Layouts in the Current Drawing
Start, Organize, and Save a Drawing > Open or Save a Drawing > Work with Multiple Open Drawings > Switch Between Layouts in the Current Drawing >
Switch Between Layouts in the Current Drawing
Concept Procedure Quick Reference

To preview model space and layouts in a drawing

To update a thumbnail image

To make a model space or layout current

To specify the page setup for a layout in Quick View

To create a layout in Quick View

To rename a layout in Quick View

To import a layout from a template in Quick View

To arrange layouts in Quick View

To duplicate a layout in Quick View

To arrange layouts in Quick View

To activate the previous layout in Quick View

To select all layouts in Quick View

To export a layout to model space in Quick View

To plot a layout in Quick View

To publish a layout in Quick View


To preview model space and layouts in a drawing (Procedure)

Switch Between Layouts in the Current Drawing
Up a level to ..
Switch Between Layouts in the Current Drawing
Start, Organize, and Save a Drawing > Open or Save a Drawing > Work with Multiple Open Drawings > Switch Between Layouts in the Current Drawing >
Switch Between Layouts in the Current Drawing
Concept Procedure Quick Reference

To preview model space and layouts in a drawing

  • Click [image] on the status bar.

    A row of Quick View images of model space and layouts in a drawing is displayed at the bottom of the application.

Command entry: QVLAYOUT


To update a thumbnail image (Procedure)

Switch Between Layouts in the Current Drawing
Up a level to ..
Switch Between Layouts in the Current Drawing
Start, Organize, and Save a Drawing > Open or Save a Drawing > Work with Multiple Open Drawings > Switch Between Layouts in the Current Drawing >
Switch Between Layouts in the Current Drawing
Concept Procedure Quick Reference

To update a thumbnail image

  1. Verify that the value of UPDATETHUMBNAIL is not set to 0.
  2. Enter UPDATETHUMBSNOW at the Command prompt.

    This command ensures that the thumbnail images are updated.

  3. Click [image] on the status bar.

    A row of Quick View images of model space and layouts in a drawing displays at the bottom of the application.


To make a model space or layout current (Procedure)

Switch Between Layouts in the Current Drawing
Up a level to ..
Switch Between Layouts in the Current Drawing
Start, Organize, and Save a Drawing > Open or Save a Drawing > Work with Multiple Open Drawings > Switch Between Layouts in the Current Drawing >
Switch Between Layouts in the Current Drawing
Concept Procedure Quick Reference

To make a model space or layout current

  1. Click [image] on the status bar.

    A row of Quick View images of model space and layouts in a drawing displays at the bottom of the application.

  2. Click a model space or layout image to make it current.
Command entry: QVLAYOUT


To specify the page setup for a layout in Quick View (Procedure)

Switch Between Layouts in the Current Drawing
Up a level to ..
Switch Between Layouts in the Current Drawing
Start, Organize, and Save a Drawing > Open or Save a Drawing > Work with Multiple Open Drawings > Switch Between Layouts in the Current Drawing >
Switch Between Layouts in the Current Drawing
Concept Procedure Quick Reference

To specify the page setup for a layout in Quick View

  1. Click [image] on the status bar.

    A row of Quick View images of model space and layouts in a drawing is displayed at the bottom of the application.

  2. Right-click the Quick View image. Click Page Setup.
Command entry: QVLAYOUT


To create a layout in Quick View (Procedure)

Switch Between Layouts in the Current Drawing
Up a level to ..
Switch Between Layouts in the Current Drawing
Start, Organize, and Save a Drawing > Open or Save a Drawing > Work with Multiple Open Drawings > Switch Between Layouts in the Current Drawing >
Switch Between Layouts in the Current Drawing
Concept Procedure Quick Reference

To create a layout in Quick View

  1. Click [image] on the status bar.

    A row of Quick View images of model space and layouts in a drawing is displayed at the bottom of the application. A toolbar is displayed below the Quick View images.

  2. Do one of the following:
    • Right-click the Quick View image. Click New Layout.
    • On the toolbar, click [image].

    A Quick View image of a new layout is displayed.

Command entry: QVLAYOUT


To rename a layout in Quick View (Procedure)

Switch Between Layouts in the Current Drawing
Up a level to ..
Switch Between Layouts in the Current Drawing
Start, Organize, and Save a Drawing > Open or Save a Drawing > Work with Multiple Open Drawings > Switch Between Layouts in the Current Drawing >
Switch Between Layouts in the Current Drawing
Concept Procedure Quick Reference

To rename a layout in Quick View

  1. Click [image] on the status bar.

    A row of Quick View images of model space and layouts in a drawing is displayed at the bottom of the application.

  2. Double-click the layout name you want to rename.
  3. Enter a new name for the layout.
Command entry: QVLAYOUT


To import a layout from a template in Quick View (Procedure)

Switch Between Layouts in the Current Drawing
Up a level to ..
Switch Between Layouts in the Current Drawing
Start, Organize, and Save a Drawing > Open or Save a Drawing > Work with Multiple Open Drawings > Switch Between Layouts in the Current Drawing >
Switch Between Layouts in the Current Drawing
Concept Procedure Quick Reference

To import a layout from a template in Quick View

  1. Click [image] on the status bar.

    A row of Quick View images of model space and layouts in a drawing is displayed at the bottom of the application.

  2. Right-click a Quick View image. Click From Template.
  3. In the Select File dialog box, select a DWT or DWG file to import a layout from. Click Open. In the Insert Layout(s) dialog box, select a layout to import.
  4. Enter a new name for the layout.
  5. Click OK.
Command entry: QVLAYOUT


To arrange layouts in Quick View (Procedure)

Switch Between Layouts in the Current Drawing
Up a level to ..
Switch Between Layouts in the Current Drawing
Start, Organize, and Save a Drawing > Open or Save a Drawing > Work with Multiple Open Drawings > Switch Between Layouts in the Current Drawing >
Switch Between Layouts in the Current Drawing
Concept Procedure Quick Reference

To arrange layouts in Quick View

  1. Click [image] on the status bar.

    A row of Quick View images of model space and layouts in a drawing is displayed at the bottom of the application.

  2. Right-click the Quick View image you want to move. Click Move or Copy.
  3. In the Move or Copy dialog box, select a new position for the model or layout image that should be placed immediately after the moved or copied layout. If you want to move the layout tab to the end of the list of layout tabs, select Move to End.
  4. Click OK.
Command entry: QVLAYOUT


To duplicate a layout in Quick View (Procedure)

Switch Between Layouts in the Current Drawing
Up a level to ..
Switch Between Layouts in the Current Drawing
Start, Organize, and Save a Drawing > Open or Save a Drawing > Work with Multiple Open Drawings > Switch Between Layouts in the Current Drawing >
Switch Between Layouts in the Current Drawing
Concept Procedure Quick Reference

To duplicate a layout in Quick View

  1. Click [image] on the status bar.

    A row of Quick View images of model space and layouts in a drawing is displayed at the bottom of the application.

  2. Right-click the Quick View image you want to move. Click Move or Copy.
  3. In the Move or Copy dialog box, select a new position for the new layout image.
  4. Click OK.
NoteThis option is not available for model space.
Command entry: QVLAYOUT


To activate the previous layout in Quick View (Procedure)

Switch Between Layouts in the Current Drawing
Up a level to ..
Switch Between Layouts in the Current Drawing
Start, Organize, and Save a Drawing > Open or Save a Drawing > Work with Multiple Open Drawings > Switch Between Layouts in the Current Drawing >
Switch Between Layouts in the Current Drawing
Concept Procedure Quick Reference

To activate the previous layout in Quick View

  1. Click [image] on the status bar.

    A row of Quick View images of model space and layouts in a drawing is displayed at the bottom of the application.

  2. Right-click a Quick View image.
  3. Click Activate Previous Layout.
Command entry: QVLAYOUT


To select all layouts in Quick View (Procedure)

Switch Between Layouts in the Current Drawing
Up a level to ..
Switch Between Layouts in the Current Drawing
Start, Organize, and Save a Drawing > Open or Save a Drawing > Work with Multiple Open Drawings > Switch Between Layouts in the Current Drawing >
Switch Between Layouts in the Current Drawing
Concept Procedure Quick Reference

To select all layouts in Quick View

  1. Click [image] on the status bar.

    A row of Quick View images of model space and layouts in a drawing is displayed at the bottom of the application.

  2. Right-click a Quick View image.
  3. Click Select All Layouts.
Command entry: QVLAYOUT


To export a layout to model space in Quick View (Procedure)

Switch Between Layouts in the Current Drawing
Up a level to ..
Switch Between Layouts in the Current Drawing
Start, Organize, and Save a Drawing > Open or Save a Drawing > Work with Multiple Open Drawings > Switch Between Layouts in the Current Drawing >
Switch Between Layouts in the Current Drawing
Concept Procedure Quick Reference

To export a layout to model space in Quick View

  1. Click [image] on the status bar.

    A row of Quick View images of model space and layouts in a drawing is displayed at the bottom of the application.

  2. Right-click a Quick View image.
  3. Click Export Layout to a Model.
  4. In the Export Layout to Model Space Drawing dialog box, enter a name for the new file.
  5. Click Save.
Command entry: QVLAYOUT


To plot a layout in Quick View (Procedure)

Switch Between Layouts in the Current Drawing
Up a level to ..
Switch Between Layouts in the Current Drawing
Start, Organize, and Save a Drawing > Open or Save a Drawing > Work with Multiple Open Drawings > Switch Between Layouts in the Current Drawing >
Switch Between Layouts in the Current Drawing
Concept Procedure Quick Reference

To plot a layout in Quick View

  1. Click [image] on the status bar.

    A row of Quick View images of model space and layouts in a drawing is displayed at the bottom of the application.

  2. On the top-left corner of a layout image, click [image].
  3. In the Plot dialog box, select the plot settings.
  4. Click OK.
Command entry: QVLAYOUT


To publish a layout in Quick View (Procedure)

Switch Between Layouts in the Current Drawing
Up a level to ..
Transfer Information between Open Drawings
Start, Organize, and Save a Drawing > Open or Save a Drawing > Work with Multiple Open Drawings > Switch Between Layouts in the Current Drawing >
Switch Between Layouts in the Current Drawing
Concept Procedure Quick Reference

To publish a layout in Quick View

  1. Click [image] on the status bar.

    A row of Quick View images of model space and layouts in a drawing is displayed at the bottom of the application.

  2. On the top-left corner of a layout image, click [image].
  3. In the Publish dialog box, select the publish settings.
  4. Click OK.
Command entry: QVLAYOUT


Switch Between Layouts in the Current Drawing (Quick Reference)

Switch Between Open Drawings
Switch Between Layouts in the Current Drawing
Transfer Information between Open Drawings
Start, Organize, and Save a Drawing > Open or Save a Drawing > Work with Multiple Open Drawings > Switch Between Layouts in the Current Drawing >
Switch Between Layouts in the Current Drawing
Concept Procedure Quick Reference

Commands

PLOT

Plots a drawing to a plotter, printer, or file

PUBLISH

Publishes drawings to DWF files, DWFx files, or plotters

QVLAYOUT

Displays preview images of model space and layouts in a drawing

QVLAYOUTCLOSE

Closes preview images of model space and layouts in a drawing

System Variables

QVLAYOUTPIN

Controls the default display state of preview images of model space and layouts in a drawing

Utilities

No entries

Command Modifiers

No entries


Transfer Information between Open Drawings (Concept)

Switch Between Layouts in the Current Drawing
Work with Multiple Open Drawings
Save a Drawing
Start, Organize, and Save a Drawing > Open or Save a Drawing > Work with Multiple Open Drawings >
Transfer Information between Open Drawings
Concept Procedure Quick Reference

You can easily transfer information between drawings that are open in a single session.

When you open multiple drawings in a single session, you can

  • Quickly reference other drawings.
  • Copy and paste between drawings.
  • Drag selected objects from one drawing to another with the right-click button on your pointing device.
  • Use Match Properties (MATCHPROP) to copy properties from objects in one drawing to objects in another drawing.
  • Use object snaps, the Copy with Basepoint (COPYBASE) command, and the Paste to Original Coordinates (PASTEORIG) command to ensure accurate placement.


Transfer Information between Open Drawings (Procedure)

Switch Between Layouts in the Current Drawing
Up a level to ..
Transfer Information between Open Drawings
Start, Organize, and Save a Drawing > Open or Save a Drawing > Work with Multiple Open Drawings > Transfer Information between Open Drawings >
Transfer Information between Open Drawings
Concept Procedure Quick Reference

To switch between open drawings

To display only the active drawing


To switch between open drawings (Procedure)

Transfer Information between Open Drawings
Up a level to ..
Transfer Information between Open Drawings
Start, Organize, and Save a Drawing > Open or Save a Drawing > Work with Multiple Open Drawings > Transfer Information between Open Drawings >
Transfer Information between Open Drawings
Concept Procedure Quick Reference

To switch between open drawings

Do one of the following to switch between open drawings:

  • Click the Quick View Drawings tool on the status bar to preview and switch between drawings.
  • Click anywhere in a drawing to make it active.
  • Use CTRL+F6 or CTRL+TAB.
  • Set the TASKBAR command to 1 to display multiple open drawings as separate items on the Windows taskbar. You can then press Alt+TAB to quickly switch from drawing to drawing.
Command entry: TASKBAR


To display only the active drawing (Procedure)

Transfer Information between Open Drawings
Up a level to ..
Save a Drawing
Start, Organize, and Save a Drawing > Open or Save a Drawing > Work with Multiple Open Drawings > Transfer Information between Open Drawings >
Transfer Information between Open Drawings
Concept Procedure Quick Reference

To display only the active drawing

  • Set TASKBAR to 0 to display only the active drawing on the taskbar
Command entry: TASKBAR


Transfer Information between Open Drawings (Quick Reference)

Switch Between Layouts in the Current Drawing
Transfer Information between Open Drawings
Save a Drawing
Start, Organize, and Save a Drawing > Open or Save a Drawing > Work with Multiple Open Drawings > Transfer Information between Open Drawings >
Transfer Information between Open Drawings
Concept Procedure Quick Reference

Commands

OPTIONS

Customizes the program settings

TASKBAR

Controls how drawings are displayed on the Windows taskbar

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Save a Drawing (Concept)

Transfer Information between Open Drawings
Open or Save a Drawing
Find a Drawing File
Start, Organize, and Save a Drawing > Open or Save a Drawing >
Save a Drawing
Concept Procedure Quick Reference

You save drawing files for later use just as you do with other Microsoft Windows applications. You can also set up automatic saving and backup files and save only selected objects.

When you work on a drawing, you should save it frequently. Saving protects you from losing work in the event of a power failure or other unexpected event. If you want to create a new version of a drawing without affecting the original drawing, you can save it under another name.

The file extension for drawing files is .dwg, and unless you change the default file format in which drawings are saved, drawings are saved in the latest drawing file format. This format is optimized for file compression and for use on a network.

The character limit for a DWG file name (including its path) is 256 characters.

NoteIf the FILEDIA system variable is turned off (set to 0), the command prompt version displays instead of a file navigation dialog box.

Save Part of a Drawing File

If you want to create a new drawing file from part of an existing drawing, you can use BLOCK or WBLOCK. With either command, you can select objects or specify a block definition in your current drawing and save them in a new drawing file. You can also save a description along with the new drawing.

Save to a Different Type of Drawing File

You can save a drawing to an earlier version of the drawing format (DWG) or drawing interchange format (DXF), or save a drawing as a template file. Choose the format from Files of Type in the Save Drawing As dialog box.

Save with Visual Fidelity for Annotative Objects

When working with annotative objects, this option allows you to maintain visual fidelity for these objects when they are viewed in AutoCAD 2007 and earlier releases. Visual fidelity is controlled by the SAVEFIDELITY system variable.

If you work primarily in model space, it is recommended that you turn off visual fidelity (set SAVEFIDELITY to 0). However, if you need to exchange drawings with other users, and layout fidelity is most important, then visual fidelity should be turned on (SAVEFIDELITY set to 1).

Annotative objects may have multiple scale representations. When visual fidelity is on, annotative objects are decomposed and scale representations are saved (in an anonymous block) to separate layers, which are named based on their original layer and appended with a number. If you explode the block in AutoCAD 2007 or earlier releases, and then open the drawing in AutoCAD 2008 or later releases, each scale representation becomes a separate annotative object, each with one annotation scale. It is not recommended that you edit or create objects on these layers when working with a drawing created in AutoCAD 2008 and later releases in AutoCAD 2007 and earlier releases.

When this option is not selected, a single model space representation is displayed on the Model tab. More annotation objects may be displayed on the Model tab depending on the ANNOALLVISIBLE setting. Also, more objects may be displayed in paper space viewports at different sizes than in AutoCAD 2008 and later releases.

Reduce the Time Required to Save a Drawing File

You can reduce the time required to save a drawing file if you specify incremental saves rather than full saves. An incremental save updates only those portions of the saved drawing file that you changed.

When you use incremental saves, drawing files will contain a percentage of potentially wasted space. This percentage increases after each incremental save until it reaches a specified maximum, at which time a full save is performed instead. You can set the incremental save percentage in the Open and Save tab of the Options dialog box or by setting the value of the system variable ISAVEPERCENT. If you set the value of ISAVEPERCENT to 0, all saves are full saves.

To reduce the size of drawing files, it is recommended that you perform a full save (with ISAVEPERCENT set to 0) before transmitting or archiving a drawing.

Work Internationally

If you share drawing files with companies in other countries and regions, the drawing file names might contain characters that are not used in other languages.

If a drawing file is created in a different language version of Windows, the following will occur:

  • If support for the language is installed, the file name characters are visible in Windows Explorer.
  • If support for the language is not installed, the file name characters appear as a series of boxes in Windows Explorer and a dialog box is displayed offering to install the language pack.

In either case, you will be able to open the drawing file beginning with AutoCAD 2007 or AutoCAD LT 2007 because these products are Unicode-compliant applications.

NoteIf you share drawing files with companies using earlier releases of the product, you can avoid file name issues for Asian languages and languages that use accented characters. In those circumstances, do not use high ASCII values, or values of 80 hexadecimal and above, when creating a file name.
See Also

    • Save Drawings to Previous Drawing File Formats

    • Work with Drawings in Earlier Releases

    • Export Drawings to Other File Formats

    • Create Drawing Files for Use as Blocks

    • Add Identifying Information to Drawings

    • Create and Restore Backup Files

    • Share Drawing Files Internationally

    • Open and Save Drawing Files from the Internet


Save a Drawing (Procedure)

Transfer Information between Open Drawings
Save a Drawing
Save a Drawing
Start, Organize, and Save a Drawing > Open or Save a Drawing > Save a Drawing >
Save a Drawing
Concept Procedure Quick Reference

To save a drawing

To save a drawing automatically

To save a backup of the previous version every time the drawing is saved

To save selected objects into a new drawing file

To save a block definition as a new drawing file

To save drawings with visual fidelity for annotative objects


To save a drawing (Procedure)

Save a Drawing
Save a Drawing
Save a Drawing
Start, Organize, and Save a Drawing > Open or Save a Drawing > Save a Drawing >
Save a Drawing
Concept Procedure Quick Reference

To save a drawing

  1. Do one of the following:
  2. Click Quick Access Toolbar [image] Save [image] .Enter qsave at the command prompt.

    If you previously saved and named the drawing, any changes made are saved and the command prompt is redisplayed. If you have never saved the drawing, the Save Drawing As dialog box is displayed.

  3. In the Save Drawing As dialog box under File Name, enter the new drawing name; the file extension is not required. Click Save.
Menu: File [image] Save
Toolbar: Standard
Command entry: SAVE


To save a drawing automatically (Procedure)

Save a Drawing
Save a Drawing
Save a Drawing
Start, Organize, and Save a Drawing > Open or Save a Drawing > Save a Drawing >
Save a Drawing
Concept Procedure Quick Reference

To save a drawing automatically

  1. Click Tools menu [image] Options.At the command prompt, enter options.
  2. In the Options dialog box, Open and Save tab, select Automatic Save.
  3. Enter a number in Minutes Between Saves.
  4. Click OK.


To save a backup of the previous version every time the drawing is saved (Procedure)

Save a Drawing
Save a Drawing
Save a Drawing
Start, Organize, and Save a Drawing > Open or Save a Drawing > Save a Drawing >
Save a Drawing
Concept Procedure Quick Reference

To save a backup of the previous version every time the drawing is saved

  1. Click Tools menu [image] Options.At the command prompt, enter options.
  2. In the Options dialog box, Open and Save tab, select Create Backup Copy with Each Save.
  3. Click OK.


To save selected objects into a new drawing file (Procedure)

Save a Drawing
Save a Drawing
Save a Drawing
Start, Organize, and Save a Drawing > Open or Save a Drawing > Save a Drawing >
Save a Drawing
Concept Procedure Quick Reference

To save selected objects into a new drawing file

  1. At the command prompt, enter wblock.
  2. In the Write Block dialog box, under Objects, select Objects.
  3. Under Base Point, click Pick Point.
  4. Specify the base point in the drawing area, or enter coordinate values in the X, Y, and Z boxes.
  5. Under Objects, click the Select Objects button.
  6. Select the objects in the drawing area.
  7. Under Objects, select an option to indicate whether you want to retain, convert, or delete the selected objects.
  8. In the File Name box, enter the name for the new drawing file.
  9. In the Location box, specify the folder for the new drawing file.
  10. In the Insert Units box, you can select a different base unit. This option provides a method to scale objects automatically in the new drawing file.
  11. Click OK.

    The objects you selected in the drawing are saved in a new drawing file.

Command entry: WBLOCK


To save a block definition as a new drawing file (Procedure)

Save a Drawing
Save a Drawing
Save a Drawing
Start, Organize, and Save a Drawing > Open or Save a Drawing > Save a Drawing >
Save a Drawing
Concept Procedure Quick Reference

To save a block definition as a new drawing file

  1. At the command prompt, enter wblock.
  2. In the Write Block dialog box, select Block.
  3. Click in the box next to Block. Select the block definition you want to save.
  4. In the File Name box, enter the name for the new drawing file.
  5. In the Location box, specify the folder for the new drawing file.
  6. In the Insert Units box, you can select a different base unit. This option provides a method to scale objects automatically in the new drawing file.
  7. Click OK.

    The objects in the specified block definition are saved as objects in a new drawing file. The insertion base point of the block definition will be located at the origin point (0,0,0) in the new drawing.

Command entry: WBLOCK


To save drawings with visual fidelity for annotative objects (Procedure)

Save a Drawing
Save a Drawing
Find a Drawing File
Start, Organize, and Save a Drawing > Open or Save a Drawing > Save a Drawing >
Save a Drawing
Concept Procedure Quick Reference

To save drawings with visual fidelity for annotative objects

  1. Click Tools menu [image] Options.At the command prompt, enter options.
  2. In the Options dialog box, Open and Save tab, under File Save, select Maintain Visual Fidelity for Annotative Objects.
  3. Click OK.
Command entry: SAVEFIDELITY


Save a Drawing (Quick Reference)

Transfer Information between Open Drawings
Save a Drawing
Find a Drawing File
Start, Organize, and Save a Drawing > Open or Save a Drawing > Save a Drawing >
Save a Drawing
Concept Procedure Quick Reference

Commands

BLOCK

Creates a block definition from selected objects

OPTIONS

Customizes the program settings

QSAVE

Saves the current drawing using the file format specified in the Options dialog box

QUIT

Exits the program

SAVE

Saves the drawing under the current file name or a specified name

SAVEAS

Saves a copy of the current drawing under a new file name

WBLOCK

Writes objects or a block to a new drawing file

System Variables

DWGCHECK

Checks drawings for potential problems when opening them

DWGNAME

Stores the name of the current drawing

DWGPREFIX

Stores the drive and folder prefix for the drawing

DWGTITLED

Indicates whether the current drawing has been named

FILEDIA

Suppresses display of file navigation dialog boxes

ISAVEBAK

Improves the speed of incremental saves, especially for large drawings

ISAVEPERCENT

Determines the amount of wasted space tolerated in a drawing file

RASTERPREVIEW

Controls whether BMP preview images are saved with the drawing

SAVEFIDELITY

Controls whether the drawing is saved with visual fidelity

SAVEFILE

Stores the current automatic save file name

SAVEFILEPATH

Specifies the path to the directory for all automatic save files for the current session

SAVENAME

Displays the file name and directory path of the most recently saved drawing

SAVETIME

Sets the automatic save interval, in minutes

Utilities

No entries

Command Modifiers

No entries


Find a Drawing File (Concept)

Save a Drawing
Open or Save a Drawing
Specify Search Paths and File Locations
Start, Organize, and Save a Drawing > Open or Save a Drawing >
Find a Drawing File
Concept Procedure Quick Reference

You can search for a drawing using name, location, and date filters, properties such as keywords that you added to the drawing, or text strings containing a specific word or phrase.

  • Use the Search tool in Microsoft® Windows® to search for drawings using name, location, and date filters. You can also specify a word or phrase contained in the drawing file. You can search for all textual data except text in tables and fields, and xrefs within drawing files. Supported drawing file types include DWG, DWF, DWT, and DWS.
  • Use the Search dialog box for DesignCenter™ to search for Microsoft Windows file properties, such as title or keyword, that you added to drawings.
  • Use the Select File dialog box for the OPEN command to display drawing file previews. When the RASTERPREVIEW system variable is on, a raster preview image is automatically generated and stored with the drawing when you save it.
See Also

    • Add Identifying Information to Drawings

    • Access Content with DesignCenter

    • Work with Sheets in a Sheet Set


To search for files (Procedure)

Save a Drawing
Find a Drawing File
Specify Search Paths and File Locations
Start, Organize, and Save a Drawing > Open or Save a Drawing > Find a Drawing File >
Find a Drawing File
Concept Procedure Quick Reference

To search for files

  1. Click Quick Access Toolbar [image] Open.At the command prompt, enter open.
  2. In the Select File dialog box, click Tools [image] Find.
  3. In the Find dialog box, Name & Location tab, specify a file type, file name, and path.

    You can use wild cards when specifying a file name.

  4. On the Date Modified tab, click All Files, or click Find All Files Created or Modified to specify a date filter.

    You can search for drawings modified between a specified range of dates or within a specified number of months or days.

  5. Click Find Now.
  6. Select one or more files from the search results. Click OK.
  7. In the Select File dialog box, click Open.
Toolbar: Standard
Command entry: OPEN


Find a Drawing File (Quick Reference)

Save a Drawing
Find a Drawing File
Specify Search Paths and File Locations
Start, Organize, and Save a Drawing > Open or Save a Drawing > Find a Drawing File >
Find a Drawing File
Concept Procedure Quick Reference

Commands

OPEN

Opens an existing drawing file

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Specify Search Paths and File Locations (Concept)

Find a Drawing File
Open or Save a Drawing
Repair, Restore, or Recover Drawing Files
Start, Organize, and Save a Drawing > Open or Save a Drawing >
Specify Search Paths and File Locations
Concept Procedure Quick Reference

You can set the search path to drawing support files such as text fonts, drawings, linetypes, and hatch patterns. You also can specify the location of temporary files, which is important when working in a network environment.

The Files tab of the Options dialog box is where you set the search path that is used by the program to find drawing support files such as text fonts, drawings, linetypes, and hatch patterns. The MYDOCUMENTSPREFIX system variable stores the location of the My Documents folder for the current user.

The working search path for drawing support files lists paths that are valid and exist in the current system folder structure (including system network mapping). Using these options helps improve performance when these files are loaded.

Using the Files tab of the Options dialog box, you can also specify the location of temporary files. Temporary files are created on disk, and then deleted when you exit the program. The temporary folder is set to the location that Microsoft Windows uses. If you plan to run this program from a write-protected folder (for example, if you work on a network or open files on a CD), specify a different location for your temporary files.

The temporary folder that you specify must not be write-protected, and the drive containing the folder should have sufficient disk space for the temporary files. It is recommended that you manually delete the files from this folder on a regular basis to ensure sufficient space is provided for temporary files. If not enough space is available for temporary files, you may experience errors or instability in the program.

If you want to use a file that contains custom interface elements, specify it in the Customizations Files item on the Files tab of the Options dialog box. The default customization file is acad.cui.


To change a search path (Procedure)

Find a Drawing File
Specify Search Paths and File Locations
Repair a Damaged Drawing File
Start, Organize, and Save a Drawing > Open or Save a Drawing > Specify Search Paths and File Locations >
Specify Search Paths and File Locations
Concept Procedure Quick Reference

To change a search path

  1. Click Tools menu [image] Options.At the command prompt, enter options.
  2. In the Options dialog box, Files tab, click the plus sign (+) to the left of the kind of path you want to change.
  3. Select the path you want to change.
  4. Click Browse, and then search drives and folders until you find the one you want.
  5. Select the drive and folder that you want to use.
  6. Click OK.
Command entry: OPTIONS


Specify Search Paths and File Locations (Quick Reference)

Find a Drawing File
Specify Search Paths and File Locations
Repair a Damaged Drawing File
Start, Organize, and Save a Drawing > Open or Save a Drawing > Specify Search Paths and File Locations >
Specify Search Paths and File Locations
Concept Procedure Quick Reference

Commands

OPTIONS

Customizes the program settings

System Variables

MYDOCUMENTSPREFIX

Stores the full path to the My Documents folder for the user currently logged on

Utilities

No entries

Command Modifiers

No entries


Repair, Restore, or Recover Drawing Files

Specify Search Paths and File Locations
Start, Organize, and Save a Drawing
Repair a Damaged Drawing File
Start, Organize, and Save a Drawing >
Repair, Restore, or Recover Drawing Files

If a drawing file is damaged or if your program terminates unexpectedly, you can recover some or all of the data by using commands to find and correct errors, or by reverting to a backup file.

Topics in this section

  • Repair a Damaged Drawing File

    If a drawing file is damaged, you can recover some or all of the data by using commands to find and correct errors.

  • Create and Restore Backup Files

    Backup files help ensure the safety of your drawing data. If a problem occurs, you can restore a drawing backup file.

  • Recover from a System Failure

    A hardware problem, power failure, or software problem can cause this program to terminate unexpectedly. If this happens, you can restore the drawing files that were open.


Repair a Damaged Drawing File (Concept)

Repair, Restore, or Recover Drawing Files
Repair, Restore, or Recover Drawing Files
Create and Restore Backup Files
Start, Organize, and Save a Drawing > Repair, Restore, or Recover Drawing Files >
Repair a Damaged Drawing File
Concept Procedure Quick Reference

If a drawing file is damaged, you can recover some or all of the data by using commands to find and correct errors.

Repair and Recovery

When an error occurs, diagnostic information is recorded in the acad.err file, which you can use to report a problem.

A drawing file is marked as damaged if corrupted data is detected, or if you request that the drawing be saved after a program failure. If the damage is minor, sometimes you can repair the drawing simply by opening it. Otherwise, you can use the following:

  • RECOVER. Performs an audit on, and attempts to open, any drawing file.
  • RECOVERALL. Similar to recover, it additionally operates on all nested xrefs. The results are displayed in the Drawing Recovery Log window.
  • AUDIT. Finds and corrects errors in the currently open drawing file.

Example: Auditing Files

Auditing a file generates a description of problems with a drawing file and recommendations for correcting them. As you start the audit, you specify whether you want the program to try to fix the problems it encounters. The report is similar to the following example:

Auditing Header

DXF NAME Current Value Validation Default

PDMODE 990 - 2040

UCSFOLLOW 811 or 0

Error found in auditing header variables

4 Blocks audited

Pass 1 4 objects audited

Pass 2 4 objects audited

Total errors found 2 fixed 2

If you chose not to correct the errors, the last statement changes to

Total errors found 2 fixed 0.

The output from a recovery audit is written to an audit log (ADT) file if the AUDITCTL system variable is set to 1 (On).

Recovery does not necessarily preserve the high-level consistency of the drawing file. The program extracts as much material as it can from the damaged file.

See Also

    • Create and Restore Backup Files


Repair a Damaged Drawing File (Procedure)

Specify Search Paths and File Locations
Repair a Damaged Drawing File
Repair a Damaged Drawing File
Start, Organize, and Save a Drawing > Repair, Restore, or Recover Drawing Files > Repair a Damaged Drawing File >
Repair a Damaged Drawing File
Concept Procedure Quick Reference

To repair a damaged drawing file

To repair a damaged drawing file due to a system failure

To repair an open drawing

To restore a drawing from a backup file


To repair a damaged drawing file (Procedure)

Repair a Damaged Drawing File
Repair a Damaged Drawing File
Repair a Damaged Drawing File
Start, Organize, and Save a Drawing > Repair, Restore, or Recover Drawing Files > Repair a Damaged Drawing File >
Repair a Damaged Drawing File
Concept Procedure Quick Reference

To repair a damaged drawing file

  1. Click Tools tab [image] Drawing Utilities panel [image] Recover. At the command prompt, enter recover.
  2. In the Select File dialog box, select a file. Click Open.

    After the audit, all objects with errors are placed in the Previous selection set for easy access. The output from the audit is written to an audit log (ADT) file if the AUDITCTL system variable is set to 1 (On).

Command entry: RECOVER, RECOVERALL


To repair a damaged drawing file due to a system failure (Procedure)

Repair a Damaged Drawing File
Repair a Damaged Drawing File
Repair a Damaged Drawing File
Start, Organize, and Save a Drawing > Repair, Restore, or Recover Drawing Files > Repair a Damaged Drawing File >
Repair a Damaged Drawing File
Concept Procedure Quick Reference

To repair a damaged drawing file due to a system failure

  1. If the program encounters a problem and cannot continue, it displays an error message and, for some errors, an error code. Record the error code number, save the changes if possible, and exit to the operating system.
  2. Restart the program.
  3. In the Drawing Recovery window, under Backup Files, double-click the drawing node to expand it. On the list, double-click one of the drawing or backup files to open it.

    If the program detects that the drawing has been damaged, a message is displayed asking if you want to proceed.

  4. Enter y to proceed.

    As the program attempts to repair the drawing, a diagnostic report is displayed. The output from the audit is written to an audit log (ADT) file if the AUDITCTL system variable is set to 1 (On).

  5. Depending on whether the repair is successful, do one of the following:
    • If the repair is successful, the drawing opens. Save the drawing file.
    • If the program cannot repair the file, a message is displayed. In that case, choose one of the other drawing or backup files listed in the Drawing Recovery window beginning with step 3.
Command entry: RECOVER


To repair an open drawing (Procedure)

Repair a Damaged Drawing File
Repair a Damaged Drawing File
Repair a Damaged Drawing File
Start, Organize, and Save a Drawing > Repair, Restore, or Recover Drawing Files > Repair a Damaged Drawing File >
Repair a Damaged Drawing File
Concept Procedure Quick Reference

To repair an open drawing

  1. Click Tools tab [image] Drawing Utilities panel [image] Audit. At the command prompt, enter audit.
  2. At the Fix Any Errors Detected? prompt, enter y or n.

    AUDIT places all objects with errors in the Previous selection set for easy access. The output from the audit is written to an audit log (ADT) file if the AUDITCTL system variable is set to 1 (On).

    NoteIf the drawing contains errors that AUDIT cannot fix, try using RECOVER. RECOVER repairs any specified DWG file that is not the current drawing file.
Command entry: AUDIT


To restore a drawing from a backup file (Procedure)

Repair a Damaged Drawing File
Repair a Damaged Drawing File
Create and Restore Backup Files
Start, Organize, and Save a Drawing > Repair, Restore, or Recover Drawing Files > Repair a Damaged Drawing File >
Repair a Damaged Drawing File
Concept Procedure Quick Reference

To restore a drawing from a backup file

  1. In Windows Explorer, locate the backup file identified by the .bak file extension.
  2. Right-click the backup file. Click Rename.
  3. Type a new name using the .dwg file extension.
  4. Open the file as you would open any other drawing file.


Repair a Damaged Drawing File (Quick Reference)

Specify Search Paths and File Locations
Repair a Damaged Drawing File
Create and Restore Backup Files
Start, Organize, and Save a Drawing > Repair, Restore, or Recover Drawing Files > Repair a Damaged Drawing File >
Repair a Damaged Drawing File
Concept Procedure Quick Reference

Commands

AUDIT

Evaluates the integrity of a drawing and corrects some errors

DRAWINGRECOVERY

Displays a list of drawing files that can be recovered after a program or system failure

OPTIONS

Customizes the program settings

RECOVER

Repairs a damaged drawing

RECOVERALL

Repairs a damaged drawing

System Variables

AUDITCTL

Controls whether AUDIT creates an audit report (ADT) file

REPORTERROR

Controls whether an error report can be sent to Autodesk if the program closes unexpectedly

Utilities

No entries

Command Modifiers

No entries


Create and Restore Backup Files (Concept)

Repair a Damaged Drawing File
Repair, Restore, or Recover Drawing Files
Recover from a System Failure
Start, Organize, and Save a Drawing > Repair, Restore, or Recover Drawing Files >
Create and Restore Backup Files
Concept Procedure Quick Reference

Backup files help ensure the safety of your drawing data. If a problem occurs, you can restore a drawing backup file.

Computer hardware problems, power failures or surges, user mistakes, or software problems can cause errors in a drawing. By saving your work frequently, you can ensure a minimum of lost data if your system fails for any reason. If a problem occurs, you can restore a drawing backup file.

Use Backup Files

In the Options dialog box, on the Open and Save tab, you can specify that backup files are created when you save drawings. If you do, each time you save a drawing, the previous version of your drawing is saved to a file with the same name and a .bak file extension. The backup file is located in the same folder as the drawing file.

You can revert to your backup version by renaming the .bak file in Windows Explorer to a file with a .dwg extension. You may want to copy it to a different folder to avoid overwriting your original file.

Save Your Drawing Automatically at Specified Intervals

If you turn the automatic save option on, your drawing is saved at specified time intervals. By default, files saved automatically are temporarily assigned the name filename_a_b_nnnn.sv$.

  • Filename is the current drawing name.
  • a is the number of open instances of the same drawing file in the same work session.
  • b is the number of open instances of the same drawing in different work sessions.
  • nnnn is a random number.

These temporary files are automatically deleted when a drawing closes normally. In the event of a program failure or a power failure, these files are not deleted.

To recover a previous version of your drawing from the automatically saved file, rename the file using a .dwg extension in place of the .sv$ extension before you close the program.

See Also

    • Recover from a System Failure


To restore a drawing from a backup file (Procedure)

Repair a Damaged Drawing File
Create and Restore Backup Files
Recover from a System Failure
Start, Organize, and Save a Drawing > Repair, Restore, or Recover Drawing Files > Create and Restore Backup Files >
Create and Restore Backup Files
Concept Procedure Quick Reference

To restore a drawing from a backup file

  1. In Windows Explorer, locate the backup file identified by the .bak file extension.
  2. Select the file you want to rename. You do not need to open it.
  3. Click File menu [image] Rename
  4. Enter a new name using the .dwg file extension.
  5. Open the file as you would open any other drawing file.


Create and Restore Backup Files (Quick Reference)

Repair a Damaged Drawing File
Create and Restore Backup Files
Recover from a System Failure
Start, Organize, and Save a Drawing > Repair, Restore, or Recover Drawing Files > Create and Restore Backup Files >
Create and Restore Backup Files
Concept Procedure Quick Reference

Commands

OPTIONS

Customizes the program settings

System Variables

ISAVEBAK

Improves the speed of incremental saves, especially for large drawings

Utilities

No entries

Command Modifiers

No entries


Recover from a System Failure (Concept)

Create and Restore Backup Files
Repair, Restore, or Recover Drawing Files
Maintain Standards in Drawings
Start, Organize, and Save a Drawing > Repair, Restore, or Recover Drawing Files >
Recover from a System Failure
Concept Procedure Quick Reference

A hardware problem, power failure, or software problem can cause this program to terminate unexpectedly. If this happens, you can restore the drawing files that were open.

If the program fails, you can save your current work to a different file. This file uses the format, DrawingFileName_recover.dwg, where DrawingFileName is the file name of your current drawing.

Resolve Drawing Files

After a program or system failure, the Drawing Recovery Manager opens the next time you start AutoCAD. Drawing Recovery Manager displays a list of all drawing files that were open, including the following drawing file types:

  • Drawing files (DWG)
  • Drawing template files (DWT)
  • Drawing Standards files (DWS)
NoteUnsaved drawings that are open at the time of an unexpected failure are not tracked by the Drawing Recovery Manager. Be sure to save your work after you begin, and regularly thereafter.

For each drawing, you can open and choose from the following files if they exist:

  • DrawingFileName_recover.dwg
  • DrawingFileName_a_b_nnnn.sv$
  • DrawingFileName.dwg
  • DrawingFileName.bak
NoteThe drawing, backup, and recover files are listed in the order of their time stamps—the time when they were last saved.

Double-click a top-level drawing node listed under Backup Files to display up to four files as listed above. Right-click any node under Backup Files to display shortcut menu options.

If you close the Drawing Recovery window before resolving all affected drawings, you can open Drawing Recovery at a later time with the DRAWINGRECOVERY command.

Send an Error Report Automatically to Autodesk

If the program encounters a problem and closes unexpectedly, you can send an error report to help Autodesk diagnose problems with the software. The error report includes information about the state of your system at the time the error occurred. You can also add other information, such as what you were doing at the time of the error. The REPORTERROR system variable controls whether the error-reporting feature is available.


Recover from a System Failure (Procedure)

Create and Restore Backup Files
Recover from a System Failure
Recover from a System Failure
Start, Organize, and Save a Drawing > Repair, Restore, or Recover Drawing Files > Recover from a System Failure >
Recover from a System Failure
Concept Procedure Quick Reference

To restore a drawing using the Drawing Recovery Manager

To remove a drawing from the Drawing Recovery Manager

To turn error reporting on or off


Recover from a System Failure (Procedure)

Recover from a System Failure
Recover from a System Failure
Recover from a System Failure
Start, Organize, and Save a Drawing > Repair, Restore, or Recover Drawing Files > Recover from a System Failure >
Recover from a System Failure
Concept Procedure Quick Reference

To open the Drawing Recovery Manager

  • Click Tools tab [image] Drawing Utilities panel [image] Recovery Manager. At the command prompt, enter drawingrecovery.

    Any drawings that need to be restored from an unexpected program or system failure are listed under Backup Files.

Command entry: DRAWINGRECOVERY


To restore a drawing using the Drawing Recovery Manager (Procedure)

Recover from a System Failure
Recover from a System Failure
Recover from a System Failure
Start, Organize, and Save a Drawing > Repair, Restore, or Recover Drawing Files > Recover from a System Failure >
Recover from a System Failure
Concept Procedure Quick Reference

To restore a drawing using the Drawing Recovery Manager

  1. If necessary open the Drawing Recovery Manager.
  2. In the Drawing Recovery Manager, under Backup Files, double-click a drawing node to list all available drawing and backup files.
  3. Double-click a file to open it.

    If the drawing file is damaged, the drawing is automatically repaired, if possible.

Command entry: DRAWINGRECOVERY


To remove a drawing from the Drawing Recovery Manager (Procedure)

Recover from a System Failure
Recover from a System Failure
Recover from a System Failure
Start, Organize, and Save a Drawing > Repair, Restore, or Recover Drawing Files > Recover from a System Failure >
Recover from a System Failure
Concept Procedure Quick Reference

To remove a drawing from the Drawing Recovery Manager

  1. If necessary, click Tools tab [image] Drawing Utilities panel [image] Recovery Manager. At the command prompt, enter drawingrecovery.
  2. Do one of the following:
    • Restore the drawing and then save it.
    • Right-click a drawing node. Click Remove.
Command entry: DRAWINGRECOVERY


Recover from a System Failure (Procedure)

Recover from a System Failure
Recover from a System Failure
Recover from a System Failure
Start, Organize, and Save a Drawing > Repair, Restore, or Recover Drawing Files > Recover from a System Failure >
Recover from a System Failure
Concept Procedure Quick Reference

To expand or collapse all nodes in the Drawing Recovery Manager

  • Right-click in the Backup Files area under the last drawing node listed. Click Collapse All.
Command entry: DRAWINGRECOVERY


To turn error reporting on or off (Procedure)

Recover from a System Failure
Recover from a System Failure
Define Standards
Start, Organize, and Save a Drawing > Repair, Restore, or Recover Drawing Files > Recover from a System Failure >
Recover from a System Failure
Concept Procedure Quick Reference

To turn error reporting on or off

  1. At the command prompt, enter reporterror.
  2. Enter 0 to turn off error reporting, or enter 1 to turn on error reporting.


Recover from a System Failure (Quick Reference)

Create and Restore Backup Files
Recover from a System Failure
Overview of CAD Standards
Start, Organize, and Save a Drawing > Repair, Restore, or Recover Drawing Files > Recover from a System Failure >
Recover from a System Failure
Concept Procedure Quick Reference

Commands

DRAWINGRECOVERY

Displays a list of drawing files that can be recovered after a program or system failure

DRAWINGRECOVERYHIDE

Closes the Drawing Recovery Manager

OPTIONS

Customizes the program settings

RECOVERY

System Variables

DRSTATE

Indicates whether the Drawing Recovery Manager window is open or closed

ISAVEBAK

Improves the speed of incremental saves, especially for large drawings

RECOVERYMODE

Controls whether drawing recovery information is recorded after a system failure

REPORTERROR

Controls whether an error report can be sent to Autodesk if the program closes unexpectedly

Utilities

No entries

Command Modifiers

No entries


Maintain Standards in Drawings

Recover from a System Failure
Start, Organize, and Save a Drawing
Overview of CAD Standards
Start, Organize, and Save a Drawing >
Maintain Standards in Drawings

Drawings are easier to interpret if you set standards to enforce consistency. You can set standards for layer names, dimension styles, and other elements; check drawings against these standards; and then change any properties that do not conform.

Topics in this section

  • Overview of CAD Standards
  • Define Standards

    To set standards, you create a file that defines properties for layers, dimension styles, linetypes, and text styles, and you save it as a standards file with the .dws file name extension.

  • Check Drawings for Standards Violations

    You can audit a drawing file for violations of standards and then fix violations. The Batch Standards Checker audits more than one file at a time.

  • Translate Layer Names and Properties

    You can reorganize a drawing's layers to match a set of layer standards.


Overview of CAD Standards (Concept)

Maintain Standards in Drawings
Maintain Standards in Drawings
Define Standards
Start, Organize, and Save a Drawing > Maintain Standards in Drawings >
Overview of CAD Standards
Concept Quick Reference

You can create a standards file to define common properties in order to maintain consistency throughout your drawing files. Standards define a set of common properties for named objects such as layers and text styles. You or your CAD manager can create, apply, and audit standards in drawings to enforce consistency. Because standards make it easier for others to interpret drawings, standards are particularly useful in collaborative environments, where many individuals contribute to the creation of a drawing.

Named Objects for Standards-Checking

You can create standards for the following named objects:

  • Layers
  • Text styles
  • Linetypes
  • Dimension styles

Standards File

After you define standards, you save them as a standards file. You can then associate the standards file with one or more drawing files. After you associate a standards file with a drawing, you should periodically check the drawing to make sure it conforms with the standards.

How a Standards Audit Works

When you check a drawing for standards violations, each named object of a specific type is checked against the standards files associated with the drawing. For example, each layer in the drawing is checked against the layers in the standards file.

A standards audit can uncover two types of problems:

  • An object with a nonstandard name is present in the drawing being checked. For example, a layer named WALL is present in the drawing but not in any associated standards files.
  • A named object in a drawing matches the name of one in a standards file, but their properties are different. For example, in the drawing the WALL layer is yellow, but the standards file specifies red for the WALL layer.

When you fix objects with nonstandard names, the nonstandard objects are purged from the drawing. Any drawing objects that are associated with the nonstandard object are transferred to a replacement standard object that you specify. For example, you fix a nonstandard layer, WALL, and replace it with the standard ARCH-WALL. In this example, choosing Fix in the Check Standards dialog box transfers all objects from layer WALL to layer ARCH-WALL and then purges layer WALL from the drawing.

Standards Plug-Ins

The auditing process uses standards plug-ins, applications that define the rules for the properties that are checked for individual named objects. Layers, dimension styles, linetypes, and text styles are each checked against their corresponding plug-ins. You can specify which plug-ins to use when checking a drawing for standards violations. Autodesk or third-party developers may add standards plug-ins for checking additional drawing properties.

All plug-ins check all properties for each named object except for the layer plug-in. The following layer properties are checked when using the layer plug-in:

  • Color
  • Linetype
  • Lineweight
  • Plot style mode
  • Plot style name (when the PSTYLEMODE system variable is set to 0)

The following layer properties are not checked by the layer plug-in:

  • On/Off
  • Freeze/Thaw
  • Lock
  • Plot/No Plot

Standards Settings

A variety of settings that may be useful to CAD managers are available in the CAD Standards Settings dialog box. This dialog box can be accessed by clicking Settings in the Check Standards and Configure Standards dialog boxes.


Overview of CAD Standards (Quick Reference)

Recover from a System Failure
Overview of CAD Standards
Define Standards
Start, Organize, and Save a Drawing > Maintain Standards in Drawings > Overview of CAD Standards >
Overview of CAD Standards
Concept Quick Reference

Commands

CHECKSTANDARDS

Checks the current drawing for standards violations

STANDARDS

Manages the association of standards files with drawings

System Variables

STANDARDSVIOLATION

Specifies whether a user is notified of standards violations in the current drawing when a nonstandard object is created or modified

Utilities

Batch Standards Checker

Audits a set of drawings for standards violations

Command Modifiers

No entries


Define Standards (Concept)

Overview of CAD Standards
Maintain Standards in Drawings
Check Drawings for Standards Violations
Start, Organize, and Save a Drawing > Maintain Standards in Drawings >
Define Standards
Concept Procedure Quick Reference

To set standards, you create a file that defines properties for layers, dimension styles, linetypes, and text styles, and you save it as a standards file with the .dws file name extension.

Depending on how you organize your projects, you may decide to create and associate more than one project-specific standards file with an individual drawing. When you audit the drawing file, conflicts may arise between settings in the standards files. For example, one standards file specifies that the layer WALL is yellow, and another standards file specifies that it is red. In the case of conflicts, the first standards file associated with the drawing takes precedence. If necessary, you can change the order of the standards files to change the precedence.

If you want to audit drawings using just a specific plug-in, you can specify the plug-in when defining your standards file. For example, if recent changes to a drawing are limited to text changes, you may want to audit the drawing using only the layers and text styles plug-ins to save time. By default, all plug-ins are used when auditing drawings for standards violations.


Define Standards (Procedure)

Recover from a System Failure
Define Standards
Define Standards
Start, Organize, and Save a Drawing > Maintain Standards in Drawings > Define Standards >
Define Standards
Concept Procedure Quick Reference

To create a standards file

To associate a standards file with the current drawing

To remove a standards file from the current drawing

To change the order of standards files associated with the current drawing

To specify which standards plug-ins to use when auditing a drawing


To create a standards file (Procedure)

Define Standards
Define Standards
Define Standards
Start, Organize, and Save a Drawing > Maintain Standards in Drawings > Define Standards >
Define Standards
Concept Procedure Quick Reference

To create a standards file

  1. Click File menu [image] New.At the command prompt, enter new.
  2. Enter a template file name or press ENTER to continue.
  3. In a new drawing, create any layers, dimension styles, linetypes, and text styles that you want to be part of the standards file.
  4. Click File menu [image] Save As.At the command prompt, enter saveas.
  5. In File Name, enter a name for the standards file.
  6. In the Files of Type list, select AutoCAD Drawing Standards (*.dws).

    DWS files must be saved in the current drawing file format. To create a DWS file in a previous drawing file format, save the file in the desired DWG format, and then rename the DWG file using a .dws extension.

  7. Click Save.


To associate a standards file with the current drawing (Procedure)

Define Standards
Define Standards
Define Standards
Start, Organize, and Save a Drawing > Maintain Standards in Drawings > Define Standards >
Define Standards
Concept Procedure Quick Reference

To associate a standards file with the current drawing

  1. At the command prompt, enter standards.
  2. In the Configure Standards dialog box, Standards tab, click the plus (+) button (Add Standards File).
  3. In the Select Standards File dialog box, locate and select a standards file.
  4. Click Open.
  5. (Optional) Repeat steps 2 and 3 if you want to associate additional standards files with the current drawing.
  6. Click OK.
Toolbar: CAD Standards


To remove a standards file from the current drawing (Procedure)

Define Standards
Define Standards
Define Standards
Start, Organize, and Save a Drawing > Maintain Standards in Drawings > Define Standards >
Define Standards
Concept Procedure Quick Reference

To remove a standards file from the current drawing

  1. At the command prompt, enter standards.
  2. In the Configure Standards dialog box, Standards tab, select a standards file in Standards Files Associated with the Current Drawing.
  3. Click the X button (Remove Standards File).
  4. (Optional) Repeat steps 2 and 3 if you want to remove additional standards files.
  5. Click OK.
Toolbar: CAD Standards


To change the order of standards files associated with the current drawing (Procedure)

Define Standards
Define Standards
Define Standards
Start, Organize, and Save a Drawing > Maintain Standards in Drawings > Define Standards >
Define Standards
Concept Procedure Quick Reference

To change the order of standards files associated with the current drawing

  1. At the command prompt, enter standards.
  2. In the Configure Standards dialog box, Standards tab, select the standards file whose position you want to change in Standards Files Associated with the Current Drawing.
  3. Do one of the following:
    • Click the up arrow button (Move Up) to move the standards file up one position in the list.
    • Click the down arrow button (Move Down) to move the standards file down one position in the list.
  4. (Optional) Repeat steps 2 and 3 if you want to change the position of other standards files in the list.
  5. Click OK.
Toolbar: CAD Standards


To specify which standards plug-ins to use when auditing a drawing (Procedure)

Define Standards
Define Standards
Check Drawings for Standards Violations
Start, Organize, and Save a Drawing > Maintain Standards in Drawings > Define Standards >
Define Standards
Concept Procedure Quick Reference

To specify which standards plug-ins to use when auditing a drawing

  1. At the command prompt, enter standards.
  2. In the Configure Standards dialog box, Plug-ins tab, do one of the following:
    • Select the check box for at least one plug-in to audit a drawing for standards violations.
    • To select all plug-ins, right-click in the Plug-ins list. Click Select All. (You can clear all plug-ins. Right-click in the Plug-ins list. Click Clear All.)
  3. Click OK.
Toolbar: CAD Standards


Define Standards (Quick Reference)

Overview of CAD Standards
Define Standards
Check Drawings for Standards Violations
Start, Organize, and Save a Drawing > Maintain Standards in Drawings > Define Standards >
Define Standards
Concept Procedure Quick Reference

Commands

CHECKSTANDARDS

Checks the current drawing for standards violations

STANDARDS

Manages the association of standards files with drawings

System Variables

STANDARDSVIOLATION

Specifies whether a user is notified of standards violations in the current drawing when a nonstandard object is created or modified

Utilities

No entries

Command Modifiers

No entries


Check Drawings for Standards Violations (Concept)

Define Standards
Maintain Standards in Drawings
Translate Layer Names and Properties
Start, Organize, and Save a Drawing > Maintain Standards in Drawings >
Check Drawings for Standards Violations
Concept Procedure Quick Reference

You can audit a drawing file for violations of standards and then fix violations. The Batch Standards Checker audits more than one file at a time.

After you associate a standards file with a drawing, you should periodically check the drawing to make sure it conforms with its standards. This is especially important when more than one person is updating the drawing file. For example, in a project with multiple subcontractors, one subcontractor may create new layers that do not comply with the standards you have defined. In that case, you need to be able to identify the nonstandard layers and fix them.

You can use the notification feature to alert users that a standards violation has occurred while working in a drawing. This feature allows you to fix a standards violation just after it has occurred, making it easier to create and maintain drawings that comply with standards.

Check a Single Drawing

You can use the CHECKSTANDARDS command to view all standards violations in the current drawing. The Check Standards dialog box reports each nonstandard object, along with any suggested fixes.

You can choose to fix or ignore each reported standards violation. If you ignore a reported violation, it is flagged in the drawing. You can turn off the display of ignored problems so that they are not reported as violations the next time you audit the drawing.

If no fix is provided for the current standards violation, no item is highlighted in the Replace With list, and the Fix button is not available. If you fix a standards violation that is currently displayed in the Check Standards dialog box, the violation is not removed from the dialog box until you click the Fix or the Next button.

Once the entire drawing has been audited, the Checking Complete message is displayed. This message summarizes the standards violations that were found in the drawing. The message also shows the violations that were fixed automatically, the violations that were fixed manually, and the violations that were ignored.

NoteWhen a nonstandard layer contains multiple violations (for example, a violation where there is a nonstandard layer name and one for nonstandard layer properties), the first violation that is encountered is displayed. Subsequent violations that exist on the nonstandard layer are not evaluated, and therefore, not displayed. You will need to run the command again to check for additional violations.

Check Multiple Drawings

You can use the Batch Standards Checker to analyze multiple drawings and summarize standards violations in an HTML report. To run a batch standards audit, you must first create a standards check (CHX) file. The CHX file is a configuration and report file; it contains a list of drawing and standards files, as well as a report on a standards check.

By default, each drawing is checked against the standards files that are associated with it. Alternatively, you can override the default and choose another set of standards files to be used.

After the batch standards audit is complete, you can view an HTML report with details of the audit. You can also create notes that are included in the HTML report. This report can be exported and printed. In a collaborative environment, you can distribute the report to drafters so that they can fix any problems with their sections.

Use Notification of Standards Violations While Working in a Drawing

You can set options for notification in the CAD Standards Settings dialog box and with the STANDARDSVIOLATION system variable. If you select Display Alert upon Standards Violation in the dialog box, then an alert is displayed when a violation occurs while you work. If you select Display Standards Status Bar Icon, an icon is displayed when you open a file associated with a standards file and when you create or modify nonstandard objects.

By default, if an associated standards file is missing or if a violation occurs while you work, a pop-up message appears in the lower-right corner of the application window (the status bar tray).

You should check a drawing for standards violations using the Check Standards dialog box before using the notification options. This prevents triggering a notification alert carried over from a previous session. After a drawing has been checked and fixed, the notification options trigger an alert only if a new violation occurs.

Display Alerts for Named Objects

If you select Display Alert upon Standards Violation, you are notified of violations when you create or edit only named objects (linetypes, text styles, layers, and dimensions). Standards violations that do not affect named objects do not trigger a notification alert. Also, if a named object was marked as ignored in the Check Standards dialog box, that object no longer triggers a notification alert, even though the named object is nonstandard. Changing nonstandard named objects, such as setting a nonstandard layer as current, does trigger a notification alert.

After an alert is displayed, you can choose to fix or not fix the violation. Choosing to fix the violation opens the Check Standards dialog box. If it is already open, the dialog box addresses the specific violations that just occurred. You can resume your previous work in the Check Standards dialog box after you respond to the most recent standards violations. Alternatively, if you do not want to fix violations when alerted, you can click Do Not Fix to dismiss the alert.

If you open a drawing that has one or more associated standards files, an Associated Standards File(s) icon is displayed in the status bar. If an associated standards file is missing, a Missing Standards File(s) icon is displayed in the status bar. If you double-click the Missing Standards File(s) icon and then resolve or dissociate missing standards files, the Missing Standards File(s) icon is replaced by the Associated Standards File(s) icon.

NoteIf you select Display Alert upon Standards Violation in the Check Standards dialog box and you fix a violation, you can return to a fixing operation where you left off. If you select Display Standards Status Bar icon and you click the icon and fix a violation, you must return to a standards-fixing operation from the beginning.


Check Drawings for Standards Violations (Procedure)

Define Standards
Check Drawings for Standards Violations
Check Drawings for Standards Violations
Start, Organize, and Save a Drawing > Maintain Standards in Drawings > Check Drawings for Standards Violations >
Check Drawings for Standards Violations
Concept Procedure Quick Reference

To audit a drawing for standards violations

To turn the display of ignored problems on or off

To turn notification for standards violations on or off

To start the Batch Standards Checker

To create a standards check file for the Batch Standards Checker

To open an existing standards check file

To specify a standards override for a standards check file

To audit a set of drawings for standards violations

To add notes to the batch audit report

To view a previously generated batch audit report

To export a batch audit report


To audit a drawing for standards violations (Procedure)

Check Drawings for Standards Violations
Check Drawings for Standards Violations
Check Drawings for Standards Violations
Start, Organize, and Save a Drawing > Maintain Standards in Drawings > Check Drawings for Standards Violations >
Check Drawings for Standards Violations
Concept Procedure Quick Reference

To audit a drawing for standards violations

  1. Open a drawing that has one or more associated standards files.

    An Associated Standards File(s) icon is displayed in the status bar. If an associated standards file is missing, a Missing Standards File(s) icon is displayed in the status bar.

    NoteIf you click the Missing Standards File(s) icon and then resolve or dissociate missing standards files, the Missing Standards File(s) icon is replaced by the Associated Standards File(s) icon.
  2. In the drawing with one or more associated standards files, click Tools tab [image] Standards panel [image] Check. enter checkstandards at the command prompt.

    The Check Standards dialog box is displayed with the first standards violation reported under Problem.

  3. Do one of the following:
    • If you want to apply the item selected in the Replace With list to fix the violation reported under Problem, click Fix. If there is a recommended fix in the Replace With list, it is preceded by a check mark. If no recommended fix exists for the current standards violation, the Fix button is not available.

      The Check Standards dialog box automatically displays the next standards violation under Problem.

    • Manually fix the standards violation. Click the Next button to display the next violation.
    • Select Mark This Problem as Ignored. Click the Next button to display the next violation.

      Selecting Mark This Problem as Ignored flags the standards violation so you can prevent it from being displayed the next time you use the CHECKSTANDARDS command.

    • Click the Next button to display the next violation.
  4. Repeat steps 2 and 3 until you have cycled through all standards violations.
  5. Click Close.
Toolbar: CAD Standards


To turn the display of ignored problems on or off (Procedure)

Check Drawings for Standards Violations
Check Drawings for Standards Violations
Check Drawings for Standards Violations
Start, Organize, and Save a Drawing > Maintain Standards in Drawings > Check Drawings for Standards Violations >
Check Drawings for Standards Violations
Concept Procedure Quick Reference

To turn the display of ignored problems on or off

  1. In a drawing with one or more associated standards files, click Tools tab [image] Standards panel [image] Check. enter checkstandards at the command prompt.
  2. In the Check Standards dialog box, click Settings.
  3. In the CAD Standards Settings dialog box, select or clear Show Ignored Problems.
  4. Click OK.
Toolbar: CAD Standards


To turn notification for standards violations on or off (Procedure)

Check Drawings for Standards Violations
Check Drawings for Standards Violations
Check Drawings for Standards Violations
Start, Organize, and Save a Drawing > Maintain Standards in Drawings > Check Drawings for Standards Violations >
Check Drawings for Standards Violations
Concept Procedure Quick Reference

To turn notification for standards violations on or off

  1. Click Tools tab [image] Standards panel [image] Configure. Enter standards at the command prompt.
  2. In the Configure Standards dialog box, click Settings.
  3. Do one of the following:
    • To turn off standards notifications, select Disable Standards Notifications.
    • To be notified by alert, select Display Alert upon Standards Violation.
    • To be notified by the display of an icon in the status bar, select Display Standards Status Bar Icon.
  4. Click OK.
Toolbar: CAD Standards


To start the Batch Standards Checker (Procedure)

Check Drawings for Standards Violations
Check Drawings for Standards Violations
Check Drawings for Standards Violations
Start, Organize, and Save a Drawing > Maintain Standards in Drawings > Check Drawings for Standards Violations >
Check Drawings for Standards Violations
Concept Procedure Quick Reference

To start the Batch Standards Checker

  • Click Start menu (Windows) [image] All Programs [image] Autodesk [image] ProductNameLong [image] Batch Standards Checker.
NoteWhen you start the Batch Standards Checker from a DOS command line using the DWGCHECKSTANDARDS command, the Batch Standards Checker accepts a variety of command-line parameters that can be used for scripting batch standards audits.


To create a standards check file for the Batch Standards Checker (Procedure)

Check Drawings for Standards Violations
Check Drawings for Standards Violations
Check Drawings for Standards Violations
Start, Organize, and Save a Drawing > Maintain Standards in Drawings > Check Drawings for Standards Violations >
Check Drawings for Standards Violations
Concept Procedure Quick Reference

To create a standards check file for the Batch Standards Checker

  1. Start the Batch Standards Checker.
  2. In the Batch Standards Checker, click File menu [image] New Check File. (You can also click New on the Batch Standards Checker toolbar.)
  3. On the Drawings tab, click the + button (Add Drawing).
  4. In the Open dialog box, select a drawing to audit.
  5. (Optional) Repeat steps 3 and 4 if you want to add additional drawings to the standards check file.
  6. Click File menu [image] Save As.At the command prompt, enter saveas. (You can also click the Save As button on the Batch Standards Checker toolbar.)
  7. In the Save As dialog box, in File Name, enter a name for the file.
  8. Click Save.


To open an existing standards check file (Procedure)

Check Drawings for Standards Violations
Check Drawings for Standards Violations
Check Drawings for Standards Violations
Start, Organize, and Save a Drawing > Maintain Standards in Drawings > Check Drawings for Standards Violations >
Check Drawings for Standards Violations
Concept Procedure Quick Reference

To open an existing standards check file

  1. Start the Batch Standards Checker.
  2. In the Batch Standards Checker, click File menu [image] Open Check File. (You can also click Open on the Batch Standards Checker toolbar.)
  3. In the Open dialog box, locate and select a standards check file.
  4. Click Open.


To specify a standards override for a standards check file (Procedure)

Check Drawings for Standards Violations
Check Drawings for Standards Violations
Check Drawings for Standards Violations
Start, Organize, and Save a Drawing > Maintain Standards in Drawings > Check Drawings for Standards Violations >
Check Drawings for Standards Violations
Concept Procedure Quick Reference

To specify a standards override for a standards check file

  1. Start the Batch Standards Checker.
  2. Create a standards check file or open an existing one.
  3. In the Batch Standards Checker, Standards tab, select the Check All Drawings Using the Following Standards Files option.
  4. Click the + button (Add Standards File).
  5. In the Open dialog box, select a standards file to use as an override. Click Open.
  6. (Optional) Repeat steps 5 and 6 if you want to add additional standards files as overrides.
  7. In the Batch Standards Checker, click File menu [image] Save Check File. (You can also click Save on the Batch Standards Checker toolbar.)


To audit a set of drawings for standards violations (Procedure)

Check Drawings for Standards Violations
Check Drawings for Standards Violations
Check Drawings for Standards Violations
Start, Organize, and Save a Drawing > Maintain Standards in Drawings > Check Drawings for Standards Violations >
Check Drawings for Standards Violations
Concept Procedure Quick Reference

To audit a set of drawings for standards violations

  1. Start the Batch Standards Checker.
  2. Open an existing standards check file, or create a new one.
  3. In the Batch Standards Checker, click Check menu [image] Start Check.You can also click Start Check on the Batch Standards Checker toolbar.)

    When the batch audit is complete, the report is displayed in a browser window.

    You can cancel the batch audit at any time by clicking Stop Check.

    NoteYou cannot check encrypted files using the Batch Standards Checker.


To add notes to the batch audit report (Procedure)

Check Drawings for Standards Violations
Check Drawings for Standards Violations
Check Drawings for Standards Violations
Start, Organize, and Save a Drawing > Maintain Standards in Drawings > Check Drawings for Standards Violations >
Check Drawings for Standards Violations
Concept Procedure Quick Reference

To add notes to the batch audit report

  1. Start the Batch Standards Checker.
  2. Create a standards check file or open an existing one.
  3. In the Batch Standards Checker, Notes tab, enter notes to be included in the report.
  4. Click File menu [image] Save Check File. (You can also click Save on the Batch Standards Checker toolbar.)


To view a previously generated batch audit report (Procedure)

Check Drawings for Standards Violations
Check Drawings for Standards Violations
Check Drawings for Standards Violations
Start, Organize, and Save a Drawing > Maintain Standards in Drawings > Check Drawings for Standards Violations >
Check Drawings for Standards Violations
Concept Procedure Quick Reference

To view a previously generated batch audit report

  1. Start the Batch Standards Checker.
  2. Open the standards check file that generated the report you want to view.
  3. In the Batch Standards Checker, click Check menu [image] View Report.(You can also click View Report on the Batch Standards Checker toolbar.)

    The report is displayed in a browser window.

  4. Select one of the following options to filter the data displayed in the report:
    • Overview. Summarizes the number of problems encountered in each audited drawing.
    • Plug-ins. Summarizes the standards plug-ins installed on the system used to run the batch audit.
    • Standards. Summarizes the standards files used to check the drawings in the batch audit.
    • Problems. Provides detailed information about each problem that was encountered.
    • Ignored Problems. Provides detailed information about problems that were flagged as ignored.
    • All. Shows all available standards audit information.
  5. In the For list, select individual drawings to view their audit information.


To export a batch audit report (Procedure)

Check Drawings for Standards Violations
Check Drawings for Standards Violations
Translate Layer Names and Properties
Start, Organize, and Save a Drawing > Maintain Standards in Drawings > Check Drawings for Standards Violations >
Check Drawings for Standards Violations
Concept Procedure Quick Reference

To export a batch audit report

  1. Start the Batch Standards Checker.
  2. Create a standards check file or open an existing one.
  3. In the Batch Standards Checker, click Check menu [image] Export Report. (You can also click Export Report on the Batch Standards Checker toolbar.)


Check Drawings for Standards Violations (Quick Reference)

Define Standards
Check Drawings for Standards Violations
Translate Layer Names and Properties
Start, Organize, and Save a Drawing > Maintain Standards in Drawings > Check Drawings for Standards Violations >
Check Drawings for Standards Violations
Concept Procedure Quick Reference

Commands

CHECKSTANDARDS

Checks the current drawing for standards violations

STANDARDS

Manages the association of standards files with drawings

System Variables

STANDARDSVIOLATION

Specifies whether a user is notified of standards violations in the current drawing when a nonstandard object is created or modified

Utilities

Batch Standards Checker

Audits a set of drawings for standards violations

Command Modifiers

No entries


Translate Layer Names and Properties (Concept)

Check Drawings for Standards Violations
Maintain Standards in Drawings
Control the Drawing Views
Start, Organize, and Save a Drawing > Maintain Standards in Drawings >
Translate Layer Names and Properties
Concept Procedure Quick Reference

You can reorganize a drawing's layers to match a set of layer standards.

Convert Layers to Established Drawing Standards

With the Layer Translator, you can convert layers in one drawing to layer standards that you define.

For example, if you receive a drawing from a company that does not follow your company's layer standards, you can convert the drawing's layer names and properties to your company's standards. You can map layers in the drawing you are currently working on to different layers in another drawing or standards file, and then convert the current layers using those mappings. If the drawings contain layers of the same name, the Layer Translator can automatically change the properties of the current layers to match those in the other layers.

You can save your layer translation mappings in a file and reuse them with other drawings.

View Selected Drawing Layers

With the Layer Translator, you can control which layers are visible in the drawing area.

You can choose to display objects on all layers in your drawing, or objects on layers you specify. By viewing selected layers, you can visually verify the contents of those layers.

Purge Unreferenced Layers

With the Layer Translator, you can purge (delete) all unreferenced layers from a drawing.

For example, if your drawing includes layers that you do not need, you may want to remove those layers. Reducing the number of layers makes working with the remaining layers more manageable.


Translate Layer Names and Properties (Procedure)

Check Drawings for Standards Violations
Translate Layer Names and Properties
Translate Layer Names and Properties
Start, Organize, and Save a Drawing > Maintain Standards in Drawings > Translate Layer Names and Properties >
Translate Layer Names and Properties
Concept Procedure Quick Reference

To convert a drawing's layers to standard layer settings

To specify which layers are displayed in the drawing area

To purge all unreferenced layers from a drawing


To convert a drawing's layers to standard layer settings (Procedure)

Translate Layer Names and Properties
Translate Layer Names and Properties
Translate Layer Names and Properties
Start, Organize, and Save a Drawing > Maintain Standards in Drawings > Translate Layer Names and Properties >
Translate Layer Names and Properties
Concept Procedure Quick Reference

To convert a drawing's layers to standard layer settings

  1. Click Tools tab [image] Standards panel [image] Layer Translator. At the command prompt, enter laytrans.
  2. In the Layer Translator, do one of the following:
    • Click Load to load layers from a drawing, a drawing template, or a drawing standards file. In the Select Drawing File dialog box, select the file you want. Click Open.
    • Click New to define a new layer. In the New Layer dialog box, enter a name for the new layer and select its properties. Click OK.

    You can repeat step 2 as many times as you want. If you load other files containing layers of the same name as ones already shown in the Translate To list, the layer properties first loaded in the list are maintained; any duplicate layer properties are ignored.

  3. Map layers in the current drawing to the layers you want to convert to. Use either or both of the following methods to map layers:
    • To map all identically named layers from one list to the other, click Map Same.
    • To map individual layers, in the Translate From list, select one or more layers. In the Translate To list, select the layer whose properties you want to use. Click Map to define the mapping. You can repeat this method for each layer or group of layers to be translated.

    To remove a mapping, select the mapping from the Layer Translation Mappings list. Click Remove. To remove all mappings, right-click in the list. Click Remove All.

  4. (Optional) You can perform the following tasks in the Layer Translator:
    • To change the properties of a mapped layer, in the Layer Translation Mappings list, select the mapping whose properties you want to change. Click Edit. In the Edit Layer dialog box, change the linetype, color, lineweight, or plot style of the mapped layer. Click OK.
    • To customize the process of layer translation, click Settings. In the Settings dialog box, select the options you want. Click OK.
    • To save layer mappings to a file, click Save. In the Save Layer Mappings dialog box, enter a file name. Click OK.
  5. Click Translate to perform the layer translations you have specified.
Toolbar: CAD Standards
Command entry: LAYTRANS


To specify which layers are displayed in the drawing area (Procedure)

Translate Layer Names and Properties
Translate Layer Names and Properties
Translate Layer Names and Properties
Start, Organize, and Save a Drawing > Maintain Standards in Drawings > Translate Layer Names and Properties >
Translate Layer Names and Properties
Concept Procedure Quick Reference

To specify which layers are displayed in the drawing area

  1. Click Tools tab [image] Standards panel [image] Layer Translator. At the command prompt, enter laytrans.
  2. In the Layer Translator, click Settings.
  3. In the Settings dialog box, do one of the following:
    • To display objects on selected layers in your drawing, select Show Layer Contents When Selected. Only the layers selected in the Layer Translator dialog box are displayed in the drawing area.
    • To display objects on all layers in your drawing, clear Show Layer Contents When Selected.
  4. Click OK.
Toolbar: CAD Standards
Command entry: LAYTRANS


To purge all unreferenced layers from a drawing (Procedure)

Translate Layer Names and Properties
Translate Layer Names and Properties
Pan or Zoom a View
Start, Organize, and Save a Drawing > Maintain Standards in Drawings > Translate Layer Names and Properties >
Translate Layer Names and Properties
Concept Procedure Quick Reference

To purge all unreferenced layers from a drawing

  1. Click Tools tab [image] Standards panel [image] Layer Translator. At the command prompt, enter laytrans.
  2. In the Layer Translator, right-click in the Translate From list. Click Purge Layers. All unreferenced layers are deleted from the current drawing.
Toolbar: CAD Standards
Command entry: LAYTRANS


Translate Layer Names and Properties (Quick Reference)

Check Drawings for Standards Violations
Translate Layer Names and Properties
Pan or Zoom a View
Start, Organize, and Save a Drawing > Maintain Standards in Drawings > Translate Layer Names and Properties >
Translate Layer Names and Properties
Concept Procedure Quick Reference

Commands

LAYTRANS

Changes a drawing's layers to layer standards you specify

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Control the Drawing Views

Translate Layer Names and Properties
Change Views
Control the Drawing Views

Topics in this section

  • Change Views

    You can magnify the details in your drawing for a closer view or shift the view to a different part of the drawing. If you save views by name, you can restore them later.

  • Use 3D Viewing Tools

    When working in 3D, you'll often want to display different views so that you can see and verify the 3D effects in your drawing.

  • Display Multiple Views in Model Space

    To see several views at the same time, you can split the drawing area of the Model tab into separate viewing areas called model space viewports. You can save arrangements of model space viewports for reuse at any time.


Change Views

Control the Drawing Views
Control the Drawing Views
Pan or Zoom a View
Control the Drawing Views >
Change Views

You can magnify the details in your drawing for a closer view or shift the view to a different part of the drawing. If you save views by name, you can restore them later.

Topics in this section

  • Pan or Zoom a View

    You can pan to reposition the view in the drawing area or zoom to change magnification.

  • Pan and Zoom with the Aerial View Window

    In a large drawing, you can pan and zoom quickly in a window that can display the whole drawing.

  • Save and Restore Views

    When you save specific views by name, you can restore them for layout and plotting or when you need to refer to specific details. You can create and save views using the VIEW or the CAMERA command.

  • Control the 3D Projection Style

    You can view both parallel and perspective projection of a 3D model.

  • Shade a Model and Use Edge Effects

    Hiding lines enhances the drawing and clarifies the design. The addition of shading produces a more realistic image of your model.


Pan or Zoom a View (Concept)

Change Views
Change Views
Pan and Zoom with the Aerial View Window
Control the Drawing Views > Change Views >
Pan or Zoom a View
Concept Procedure Quick Reference

You can pan to reposition the view in the drawing area or zoom to change magnification.

With the Realtime option of PAN, you pan dynamically by moving your pointing device. Like panning with a camera, PAN does not change the location or magnification of objects on your drawing; it changes only the view.

You can change the magnification of a view by zooming in and out, which is similar to zooming in and out with a camera. ZOOM does not change the absolute size of objects in the drawing; it changes only the magnification of the view.

When you work with minute parts in your drawing, you may need to zoom out frequently to see an overview of your work. Use ZOOM Previous to return quickly to the prior view.

The options described here are the options most commonly used. For a description of all ZOOM options, see the Command Reference.

Zoom to Magnify a Specified Rectangular Area

You can quickly zoom on a rectangular area of your drawing by specifying two diagonal corners of the area you are interested in.

The lower-left corner of the area you specify becomes the lower-left corner of the new display. The shape of the zoom area you specify does not correspond exactly to the new view, which must fit the shape of the viewport.

Zoom in Real Time

With the Realtime option, you zoom dynamically by moving your pointing device up or down. By right-clicking, you can display a shortcut menu with additional viewing options.

Zoom to Magnify One or More Objects

ZOOM Objects displays a view with the largest possible magnification that includes all of the objects you selected.

Zoom to View All Objects in the Drawing

ZOOM Extents displays a view with the largest possible magnification that includes all of the objects in the drawing. This view includes objects on layers that are turned off but does not include objects on frozen layers.

ZOOM All displays either the user-defined grid limits or the drawing extents, whichever view is larger.

See Also

    • “Pointing Device Buttons” on page 1

    • Scale Views in Layout Viewports

    • Toolbars


Pan or Zoom a View (Procedure)

Translate Layer Names and Properties
Pan or Zoom a View
Pan or Zoom a View
Control the Drawing Views > Change Views > Pan or Zoom a View >
Pan or Zoom a View
Concept Procedure Quick Reference

To pan by dragging

To pan by specifying points

To zoom by dragging

To zoom in to an area by specifying its boundaries

To display the drawing extents by zooming

To display the area of the grid limits by zooming

To restore the previous view


To pan by dragging (Procedure)

Pan or Zoom a View
Pan or Zoom a View
Pan or Zoom a View
Control the Drawing Views > Change Views > Pan or Zoom a View >
Pan or Zoom a View
Concept Procedure Quick Reference

To pan by dragging

  1. Click Home tab [image] Utilities panel [image] Pan. At the command prompt, enter pan.
  2. When the hand cursor appears, hold down the button on your pointing device as you move.

    If you are using a wheel mouse, hold down the wheel button and move the mouse.

  3. Press ENTER, press ESC, or right-click to exit.
Toolbar: Standard
Command entry: PAN


To pan by specifying points (Procedure)

Pan or Zoom a View
Pan or Zoom a View
Pan or Zoom a View
Control the Drawing Views > Change Views > Pan or Zoom a View >
Pan or Zoom a View
Concept Procedure Quick Reference

To pan by specifying points

  1. Click View menu [image] Pan [image] Point.
  2. Specify a base point. This is the point you want to change.
  3. Specify a second (pan to) point. This is the new location for the point you selected first.
Command entry: PAN


To zoom by dragging (Procedure)

Pan or Zoom a View
Pan or Zoom a View
Pan or Zoom a View
Control the Drawing Views > Change Views > Pan or Zoom a View >
Pan or Zoom a View
Concept Procedure Quick Reference

To zoom by dragging

  1. Click Home tab [image] Utilities panel [image] Zoom. At the command prompt, enter zoom.
  2. When the hand cursor appears, hold down the button on your pointing device and drag vertically to zoom in and out.
  3. Press ENTER, press ESC, or right-click to exit.
Toolbar: Standard
Command entry: ZOOM


To zoom in to an area by specifying its boundaries (Procedure)

Pan or Zoom a View
Pan or Zoom a View
Pan or Zoom a View
Control the Drawing Views > Change Views > Pan or Zoom a View >
Pan or Zoom a View
Concept Procedure Quick Reference

To zoom in to an area by specifying its boundaries

  1. Click View menu [image] Zoom [image] Window.At the command prompt, enter zoom.
  2. Specify one corner of the rectangular area you want to view.
  3. Specify the opposite corner.

    You automatically choose the Window option when you specify a point immediately after starting the ZOOM command.

Toolbar: Standard
Command entry: ZOOM
Shortcut menu: With the ZOOM command active, right-click in the drawing area. Click Zoom Window.


To display the drawing extents by zooming (Procedure)

Pan or Zoom a View
Pan or Zoom a View
Pan or Zoom a View
Control the Drawing Views > Change Views > Pan or Zoom a View >
Pan or Zoom a View
Concept Procedure Quick Reference

To display the drawing extents by zooming

  • Click View menu [image] Zoom [image] Extents.At the command prompt, enter zoom.

All objects in the drawing are displayed to be as large as possible and still fit in the current viewport or the drawing area.

Toolbar: Standard
Command entry: ZOOM
Shortcut menu: With the ZOOM command active, right-click in the drawing area. Click Zoom Extents.


To display the area of the grid limits by zooming (Procedure)

Pan or Zoom a View
Pan or Zoom a View
Pan or Zoom a View
Control the Drawing Views > Change Views > Pan or Zoom a View >
Pan or Zoom a View
Concept Procedure Quick Reference

To display the area of the grid limits by zooming

  • Click View menu [image] Zoom [image] All.At the command prompt, enter zoom.

The limits of the drawing grid fill the current viewport or the drawing area. If there are any objects outside the grid limits, they are also included.

Toolbar: Standard
Command entry: ZOOM


To restore the previous view (Procedure)

Pan or Zoom a View
Pan or Zoom a View
Pan and Zoom with the Aerial View Window
Control the Drawing Views > Change Views > Pan or Zoom a View >
Pan or Zoom a View
Concept Procedure Quick Reference

To restore the previous view

  • Click View menu [image] Zoom [image] Previous.At the command prompt, enter zoom.

Zoom Previous restores only the view magnification and position, not the previous content of an edited drawing.

Toolbar: Standard
Command entry: ZOOM
Shortcut menu: With the ZOOM command active, right-click in the drawing area. Click Zoom Original.


Pan or Zoom a View (Quick Reference)

Translate Layer Names and Properties
Pan or Zoom a View
Pan and Zoom with the Aerial View Window
Control the Drawing Views > Change Views > Pan or Zoom a View >
Pan or Zoom a View
Concept Procedure Quick Reference

Commands

DSVIEWER

Opens the Aerial View window

PAN

Moves the view in the current viewport

UNDO

Reverses the effect of commands

VIEWRES

Sets the resolution for objects in the current viewport

VTOPTIONS

Displays a change in view as a smooth transition

ZOOM

Increases or decreases the apparent size of objects in the current viewport

System Variables

EXTMAX

Stores the upper-right point of the drawing extents

EXTMIN

Stores the lower-left point of the drawing extents

MBUTTONPAN

Controls the behavior of the third button or wheel on the pointing device

RTDISPLAY

Controls the display of raster images and OLE objects during Realtime ZOOM or PAN

VTENABLE

Controls when smooth view transitions are used

VTDURATION

Sets the duration of a smooth view transition, in milliseconds

VTFPS

Sets the minimum speed of a smooth view transition, in frames per second

WHIPARC

Controls whether the display of circles and arcs is smooth

WHIPTHREAD

Controls whether to use an additional processor to improve the speed of operations such as ZOOM that redraw or regenerate the drawing

ZOOMFACTOR

Controls how much the magnification changes when the mouse wheel moves forward or backward

Utilities

No entries

Command Modifiers

No entries


Pan and Zoom with the Aerial View Window (Concept)

Pan or Zoom a View
Change Views
Save and Restore Views
Control the Drawing Views > Change Views >
Pan and Zoom with the Aerial View Window
Concept Procedure Quick Reference

In a large drawing, you can pan and zoom quickly in a window that can display the whole drawing.

You can use the Aerial View window to change the view in your current viewport quickly. If you keep the Aerial View window open as you work, you can zoom and pan without interrupting your current command. You can also specify a new view without having to choose a menu option or enter a command.

Use the View Box to Pan and Zoom

Within the Aerial View window is a view box, a heavy rectangle that displays the boundary of the view in your current viewport. You can change the view in the drawing by changing the view box in the Aerial View window. To zoom in to the drawing, make the view box smaller. To zoom out of the drawing, make the view box larger. All pan and zoom operations are performed by left-clicking. Right-click to end a pan or zoom operation.

To pan the drawing, move the view box.

Change the View Displayed Inside the Aerial View Window

You can use the Aerial View toolbar buttons to change the magnification of the image in the Aerial View window, or you can resize the image incrementally. These changes do not affect the view in the drawing itself.

Use the Aerial View Window with Multiple Viewports

Only the view in the current viewport is used in the Aerial View window.

The Aerial View image is updated as you make changes to your drawing and as you select different viewports. In complex drawings, you may want to turn off this dynamic updating to improve drawing speed. If you turn off this feature, the Aerial View image is updated only when you activate the Aerial View window.


Pan and Zoom with the Aerial View Window (Procedure)

Pan or Zoom a View
Pan and Zoom with the Aerial View Window
Pan and Zoom with the Aerial View Window
Control the Drawing Views > Change Views > Pan and Zoom with the Aerial View Window >
Pan and Zoom with the Aerial View Window
Concept Procedure Quick Reference

To zoom to a new area using the Aerial View window

To pan using the Aerial View window

To display the entire drawing in the Aerial View window

To increase or decrease magnification of the Aerial View image

To turn dynamic updating on and off

To turn viewport updating on and off


To zoom to a new area using the Aerial View window (Procedure)

Pan and Zoom with the Aerial View Window
Pan and Zoom with the Aerial View Window
Pan and Zoom with the Aerial View Window
Control the Drawing Views > Change Views > Pan and Zoom with the Aerial View Window >
Pan and Zoom with the Aerial View Window
Concept Procedure Quick Reference

To zoom to a new area using the Aerial View window

  1. Click View menu [image] Aerial View.At the command prompt, enter dsviewer.
  2. In the Aerial View window, click inside the view box until you see the arrow.
  3. Drag to the right to zoom out. Drag to the left to zoom in.
  4. Right-click to end the zoom operation.
Command entry: DSVIEWER


To pan using the Aerial View window (Procedure)

Pan and Zoom with the Aerial View Window
Pan and Zoom with the Aerial View Window
Pan and Zoom with the Aerial View Window
Control the Drawing Views > Change Views > Pan and Zoom with the Aerial View Window >
Pan and Zoom with the Aerial View Window
Concept Procedure Quick Reference

To pan using the Aerial View window

  1. Click View menu [image] Aerial View.At the command prompt, enter dsviewer.
  2. In the Aerial View window, click inside the view box until you see an X.
  3. Drag to change the view.
  4. Right-click to end the pan operation.
Command entry: DSVIEWER


To display the entire drawing in the Aerial View window (Procedure)

Pan and Zoom with the Aerial View Window
Pan and Zoom with the Aerial View Window
Pan and Zoom with the Aerial View Window
Control the Drawing Views > Change Views > Pan and Zoom with the Aerial View Window >
Pan and Zoom with the Aerial View Window
Concept Procedure Quick Reference

To display the entire drawing in the Aerial View window

  1. Click View menu [image] Aerial View.At the command prompt, enter dsviewer.
  2. In the Aerial View window, click View menu [image] Global.
Command entry: DSVIEWER


To increase or decrease magnification of the Aerial View image (Procedure)

Pan and Zoom with the Aerial View Window
Pan and Zoom with the Aerial View Window
Pan and Zoom with the Aerial View Window
Control the Drawing Views > Change Views > Pan and Zoom with the Aerial View Window >
Pan and Zoom with the Aerial View Window
Concept Procedure Quick Reference

To increase or decrease magnification of the Aerial View image

  1. Click View menu [image] Aerial View.At the command prompt, enter dsviewer.
  2. On the Aerial View toolbar, click Zoom Out or Zoom In.
NoteWhen the entire drawing is displayed in the Aerial View window, the Zoom Out menu option and button are unavailable. When the current view nearly fills the Aerial View window, the Zoom In menu option and button are unavailable.
Command entry: DSVIEWER


To turn dynamic updating on and off (Procedure)

Pan and Zoom with the Aerial View Window
Pan and Zoom with the Aerial View Window
Pan and Zoom with the Aerial View Window
Control the Drawing Views > Change Views > Pan and Zoom with the Aerial View Window >
Pan and Zoom with the Aerial View Window
Concept Procedure Quick Reference

To turn dynamic updating on and off

  • In the Aerial View window, click Options menu [image] Dynamic Update.

    A check mark indicates that the Aerial View window shows changes as they occur.


To turn viewport updating on and off (Procedure)

Pan and Zoom with the Aerial View Window
Pan and Zoom with the Aerial View Window
Save and Restore Views
Control the Drawing Views > Change Views > Pan and Zoom with the Aerial View Window >
Pan and Zoom with the Aerial View Window
Concept Procedure Quick Reference

To turn viewport updating on and off

  • In the Aerial View window, click Options menu [image] Auto Viewport.

    A check mark indicates that Aerial View displays the current viewport as you switch viewports.


Pan and Zoom with the Aerial View Window (Quick Reference)

Pan or Zoom a View
Pan and Zoom with the Aerial View Window
Save and Restore Views
Control the Drawing Views > Change Views > Pan and Zoom with the Aerial View Window >
Pan and Zoom with the Aerial View Window
Concept Procedure Quick Reference

Commands

DSVIEWER

Opens the Aerial View window

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Save and Restore Views (Concept)

Pan and Zoom with the Aerial View Window
Change Views
Control the 3D Projection Style
Control the Drawing Views > Change Views >
Save and Restore Views
Concept Procedure Quick Reference

When you save specific views by name, you can restore them for layout and plotting or when you need to refer to specific details. You can create and save views using the VIEW or the CAMERA command.

A named view created with the VIEW command consists of a specific magnification, position, and orientation. In each drawing session, you can restore the last view displayed in each viewport and up to 10 previous views.

Named views and cameras are saved with a drawing and can be used any time. When you are composing a layout, you can restore a named view or a camera to a viewport on the layout.

Save a View

When you name and save a view, the following settings are saved:

  • Magnification, center point, and view direction
  • View category that you assign to the view (optional)
  • The location of the view (the Model tab or a specific layout tab)
  • Layer visibility in the drawing at the time the view is saved
  • User coordinate system
  • 3D perspective
  • Live section
  • Visual style
  • Background

Restore a Named View

You restore a named view to the current viewport. You can use named views to do the following:

  • Compose a layout.
  • Restore a view that you use frequently while you are working in model space.
  • Control which model space view is displayed when the drawing is opened.


Save and Restore Views (Procedure)

Pan and Zoom with the Aerial View Window
Save and Restore Views
Save and Restore Views
Control the Drawing Views > Change Views > Save and Restore Views >
Save and Restore Views
Concept Procedure Quick Reference

To display the previous view

To display the previous view during PAN Realtime and ZOOM Realtime

To save and name a view

To restore a saved view

To rename a view

To change the properties of a view

To delete a named view

To view a list of saved viewport arrangements


To display the previous view (Procedure)

Save and Restore Views
Save and Restore Views
Save and Restore Views
Control the Drawing Views > Change Views > Save and Restore Views >
Save and Restore Views
Concept Procedure Quick Reference

To display the previous view

  • On the Standard toolbar, click Zoom Previous.
Command entry: ZOOM


To display the previous view during PAN Realtime and ZOOM Realtime (Procedure)

Save and Restore Views
Save and Restore Views
Save and Restore Views
Control the Drawing Views > Change Views > Save and Restore Views >
Save and Restore Views
Concept Procedure Quick Reference

To display the previous view during PAN Realtime and ZOOM Realtime

  • Right-click in the drawing area. Click Zoom Original.


To save and name a view (Procedure)

Save and Restore Views
Save and Restore Views
Save and Restore Views
Control the Drawing Views > Change Views > Save and Restore Views >
Save and Restore Views
Concept Procedure Quick Reference

To save and name a view

  1. Do one of the following:
    • If you have more than one viewport in model space, click inside the viewport that contains the view you want to save.
    • If you are working in a layout, select the viewport.
  2. Click View menu [image] Named Views.At the command prompt, enter view.
  3. In the View Manager, click New.
  4. In the New View dialog box, View Name box, enter a name for the view.

    If the drawing is part of a sheet set, the view categories for the sheet set are listed. You can add a category or select one from the list.

  5. In the Boundary section, select one of the following options to define the area of the view:
    • Current Display. Includes all of the drawing that is currently visible.
    • Define Window. Saves part of the current display. The dialog box closes while you use the pointing device in the drawing to specify opposite corners of the view. To redefine the window, click the Define View Window button.
  6. Click OK twice to save the new view.
Command entry: VIEW


To restore a saved view (Procedure)

Save and Restore Views
Save and Restore Views
Save and Restore Views
Control the Drawing Views > Change Views > Save and Restore Views >
Save and Restore Views
Concept Procedure Quick Reference

To restore a saved view

  1. Do one of the following:
    • If you have more than one viewport in model space, click inside the viewport that contains the view you want to restore.
    • If you are working in a layout, select the viewport.
  2. Click View menu [image] Named Views.At the command prompt, enter view.
  3. In the View Manager, Views list, select the view that you want to restore.
  4. Click Set Current.
  5. Click OK.
Toolbar: View
Command entry: VIEW


To rename a view (Procedure)

Save and Restore Views
Save and Restore Views
Save and Restore Views
Control the Drawing Views > Change Views > Save and Restore Views >
Save and Restore Views
Concept Procedure Quick Reference

To rename a view

  1. Click View menu [image] Named Views.At the command prompt, enter view.
  2. In the View Manager, click the view name you want to change. If the view isn’t already displayed, expand the appropriate View list, and then click a view name.
  3. In the General section of the Properties panel, select the view name. Enter a new name.
  4. Click OK.
Toolbar: View
Command entry: VIEW


To change the properties of a view (Procedure)

Save and Restore Views
Save and Restore Views
Save and Restore Views
Control the Drawing Views > Change Views > Save and Restore Views >
Save and Restore Views
Concept Procedure Quick Reference

To change the properties of a view

  1. Click View menu [image] Named Views.At the command prompt, enter view.
  2. In the View Manager, click the view name you want to change. If the view isn’t already displayed, expand the appropriate View list, and then click a view name.
  3. In the Properties panel, click the property that you want to change.
  4. Specify the new property value by entering a new value or by selecting from a list of values.
  5. Click OK.
Toolbar: View
Command entry: VIEW


To delete a named view (Procedure)

Save and Restore Views
Save and Restore Views
Save and Restore Views
Control the Drawing Views > Change Views > Save and Restore Views >
Save and Restore Views
Concept Procedure Quick Reference

To delete a named view

  1. Click View menu [image] Named Views.At the command prompt, enter view.
  2. In the View Manager, click a view, and then click Delete.
  3. Click OK.
Toolbar: View
Command entry: VIEW


To view a list of saved viewport arrangements (Procedure)

Save and Restore Views
Save and Restore Views
Control the 3D Projection Style
Control the Drawing Views > Change Views > Save and Restore Views >
Save and Restore Views
Concept Procedure Quick Reference

To view a list of saved viewport arrangements

  • Click View tab [image] Viewports panel [image] Named Viewports. At the command prompt, enter vports.

The list of saved viewports is displayed in the Viewports dialog box, Named Viewports tab.

Toolbar: Viewports
Command entry: VPORTS


Save and Restore Views (Quick Reference)

Pan and Zoom with the Aerial View Window
Save and Restore Views
Overview of Parallel and Perspective Views
Control the Drawing Views > Change Views > Save and Restore Views >
Save and Restore Views
Concept Procedure Quick Reference

Commands

VIEW

Saves and restores named views, camera views, layout views, and preset views

VPORTS

Creates multiple viewports in model space or paper space

ZOOM

Increases or decreases the apparent size of objects in the current viewport

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Control the 3D Projection Style

Save and Restore Views
Change Views
Overview of Parallel and Perspective Views
Control the Drawing Views > Change Views >
Control the 3D Projection Style
Concept Procedure

You can view both parallel and perspective projection of a 3D model.

Topics in this section

  • Overview of Parallel and Perspective Views

    You can create realistic visual effects in a drawing by defining either parallel or perspective projections of a model.

  • Define a Perspective Projection (DVIEW)

    Perspective projections require a distance between a theoretical camera and a target point. Small distances produce severe perspective effects; large distances produce milder effects.

  • Define a Parallel Projection

    You can define a parallel projection.

  • Choose Preset 3D Views

    You can select predefined standard orthographic and isometric views by name or description.

  • Define a 3D View with Coordinate Values or Angles

    You can define a viewing direction by entering the coordinate values of a point or the measures of two angles of rotation.

  • Change to a View of the XY Plane

    You can change the current viewpoint to a plan view of the current UCS, a previously saved UCS, or the WCS.


Control the 3D Projection Style (Procedure)

Save and Restore Views
Control the 3D Projection Style
Define a Perspective Projection (DVIEW)
Control the Drawing Views > Change Views > Control the 3D Projection Style >
Control the 3D Projection Style
Concept Procedure

To define a perspective view of a 3D model using DVIEW

To turn off a perspective view using DVIEW

To create a parallel projection dynamically

To use a preset 3D view

To set a view with a viewpoint coordinate

To set a view with two angles of rotation

To set standard views with VPOINT (AEC convention)

To set standard views with VPOINT (mechanical design convention)

To change the current view to theXYplane


Overview of Parallel and Perspective Views (Concept)

Control the 3D Projection Style
Control the 3D Projection Style
Define a Perspective Projection (DVIEW)
Control the Drawing Views > Change Views > Control the 3D Projection Style >
Overview of Parallel and Perspective Views
Concept Quick Reference

You can create realistic visual effects in a drawing by defining either parallel or perspective projections of a model.

The difference between perspective views and parallel projections is that perspective views require a distance between a theoretical camera and target point. Small distances produce severe perspective effects; large distances produce mild effects.

The following illustration shows the same model in both a parallel projection and perspective projection. Both are based on the same viewing direction.


Overview of Parallel and Perspective Views (Quick Reference)

Save and Restore Views
Overview of Parallel and Perspective Views
Define a Perspective Projection (DVIEW)
Control the Drawing Views > Change Views > Control the 3D Projection Style > Overview of Parallel and Perspective Views >
Overview of Parallel and Perspective Views
Concept Quick Reference

Commands

3DORBIT

Controls the interactive viewing of objects in 3D

DVIEW

Defines parallel projection or perspective views by using a camera and target

System Variables

BACKZ
FRONTZ
LENSLENGTH

Stores the length of the lens (in millimeters) used in perspective viewing

TARGET

Stores the location (as a UCS coordinate) of the target point for the current viewport

VIEWDIR

Stores the viewing direction in the current viewport, expressed in UCS coordinates

VIEWMODE

Stores the View mode for the current viewport

VIEWTWIST

Stores the view rotation angle for the current viewport measured relative to the WCS

WORLDVIEW

Utilities

No entries

Command Modifiers

No entries


Define a Perspective Projection (DVIEW) (Concept)

Overview of Parallel and Perspective Views
Control the 3D Projection Style
Define a Parallel Projection
Control the Drawing Views > Change Views > Control the 3D Projection Style >
Define a Perspective Projection (DVIEW)
Concept Procedure Quick Reference

Perspective projections require a distance between a theoretical camera and a target point. Small distances produce severe perspective effects; large distances produce milder effects.

A perspective view remains in effect until the perspective effect is turned off or until a new view is defined in its place.


Define a Perspective Projection (DVIEW) (Procedure)

Control the 3D Projection Style
Up a level to ..
Define a Perspective Projection (DVIEW)
Control the Drawing Views > Change Views > Control the 3D Projection Style > Define a Perspective Projection (DVIEW) >
Define a Perspective Projection (DVIEW)
Concept Procedure Quick Reference

To define a perspective view of a 3D model using DVIEW

To turn off a perspective view using DVIEW


To define a perspective view of a 3D model using DVIEW (Procedure)

Define a Perspective Projection (DVIEW)
Up a level to ..
Define a Perspective Projection (DVIEW)
Control the Drawing Views > Change Views > Control the 3D Projection Style > Define a Perspective Projection (DVIEW) >
Define a Perspective Projection (DVIEW)
Concept Procedure Quick Reference

To define a perspective view of a 3D model using DVIEW

  1. At the command prompt, enter dview.
  2. Select the objects to display.
  3. Enter ca (Camera).

    By default, a camera point is set at the center of the drawing.

  4. Adjust the view as if you're aiming a camera.

    A representation of a house shows the current viewing angle. You can set your view dynamically by moving the crosshairs and clicking.

  5. To switch between angle-input methods, enter t (Toggle Angle).

    You also can adjust the view with one of two angle-input methods.

    • For the Enter Angle from the XY Plane option, enter the angle of the camera up or down relative to the XY plane of the current UCS. The default setting, 90 degrees, points the camera straight down from above.

      After you enter the angle, the camera is locked at that height, and you can rotate the camera about the target with the rotation angle measured relative to the X axis of the current UCS.

    • For the Enter Angle in the XY Plane from the X Axis option, rotate the camera about the target with the rotation angle measured relative to the X axis of the current UCS.
  6. To turn on the perspective view, enter d (Distance).
  7. Specify a distance, or press ENTER to set the perspective view.

    You can use the slider bar to set the distance between the selected objects and the camera, or you can enter a real number. If the target and camera points are very close (or if the Zoom option is set high), you might see only a small part of your drawing.

Command entry: DVIEW


To turn off a perspective view using DVIEW (Procedure)

Define a Perspective Projection (DVIEW)
Up a level to ..
Define a Parallel Projection
Control the Drawing Views > Change Views > Control the 3D Projection Style > Define a Perspective Projection (DVIEW) >
Define a Perspective Projection (DVIEW)
Concept Procedure Quick Reference

To turn off a perspective view using DVIEW

  1. At the command prompt, enter dview.
  2. Select the objects to display.
  3. Enter o (Off).

    Perspective is turned off and the view is restored to a parallel projection.

Command entry: DVIEW


Define a Perspective Projection (DVIEW) (Quick Reference)

Overview of Parallel and Perspective Views
Define a Perspective Projection (DVIEW)
Define a Parallel Projection
Control the Drawing Views > Change Views > Control the 3D Projection Style > Define a Perspective Projection (DVIEW) >
Define a Perspective Projection (DVIEW)
Concept Procedure Quick Reference

Commands

3DORBIT

Controls the interactive viewing of objects in 3D

DVIEW

Defines parallel projection or perspective views by using a camera and target

System Variables

BACKZ
FRONTZ
LENSLENGTH

Stores the length of the lens (in millimeters) used in perspective viewing

PERSPECTIVE
PERSPECTIVECLIP

Determines the location of eyepoint clipping. The value determines where the eye point clipping occurs as a percentage. Values can range between 0.01 and 10.0. If you select a small value, the z-values of objects will be compressed at the target view and beyond. If you select a value such as 0.5%, the clipping will appear very close to the eyepoint of the view. In some extreme cases it might be appropriate to use 0.1%, but it is recommended to change the setting to a higher value such as 5%

TARGET

Stores the location (as a UCS coordinate) of the target point for the current viewport

VIEWDIR

Stores the viewing direction in the current viewport, expressed in UCS coordinates

VIEWMODE

Stores the View mode for the current viewport

VIEWTWIST

Stores the view rotation angle for the current viewport measured relative to the WCS

WORLDVIEW

Utilities

No entries

Command Modifiers

No entries


Define a Parallel Projection (Concept)

Define a Perspective Projection (DVIEW)
Control the 3D Projection Style
Choose Preset 3D Views
Control the Drawing Views > Change Views > Control the 3D Projection Style >
Define a Parallel Projection
Concept Procedure Quick Reference

You can define a parallel projection.

To determine the point or angle in model space, you can

  • Choose a preset 3D view from the View toolbar.
  • Enter a coordinate or angles that represent your viewing location in 3D.
  • Change to a view of the XY plane of the current UCS, a saved UCS, or the WCS.
  • Change the 3D view dynamically with your pointing device.
  • Set front and back clipping planes to limit the objects being displayed.

Viewing in 3D is available only in model space. If you are working in paper space, you cannot use 3D viewing commands such as VPOINT, DVIEW, or PLAN to define paper space views. The view in paper space is always a plan view.


To create a parallel projection dynamically (Procedure)

Define a Perspective Projection (DVIEW)
Up a level to ..
Choose Preset 3D Views
Control the Drawing Views > Change Views > Control the 3D Projection Style > Define a Parallel Projection >
Define a Parallel Projection
Concept Procedure Quick Reference

To create a parallel projection dynamically

  1. At the command prompt, enter dview.
  2. Do one of the following:
    • Select the objects to display and press ENTER.
    • Press ENTER without selecting objects to see a representation of a house that shows the current viewing angle.
  3. Enter ca (Camera).

    By default, a camera point is set at the center of the drawing.

  4. Adjust the view as if you're aiming a camera.

    You can set your view dynamically by moving the crosshairs and clicking.

  5. To switch between the angle-input methods, enter t (Toggle Angle).

    You can also adjust the view with one of two angle-input methods.

    • For the Enter Angle from the XY Plane option, enter the angle of the camera up or down relative to the XY plane of the current UCS. The default setting, 90 degrees, points the camera straight down from above.

      After you enter the angle, the camera is locked at that height, and you can rotate the camera about the target with the rotation angle measured relative to the X axis of the current UCS.

    • For the Enter Angle in the XY Plane from the X Axis option, rotate the camera about the target with the rotation angle measured relative to the X axis of the current UCS.
  6. When you finish specifying the parallel projection, press ENTER.
Command entry: DVIEW


Define a Parallel Projection (Quick Reference)

Define a Perspective Projection (DVIEW)
Define a Parallel Projection
Choose Preset 3D Views
Control the Drawing Views > Change Views > Control the 3D Projection Style > Define a Parallel Projection >
Define a Parallel Projection
Concept Procedure Quick Reference

Commands

DVIEW

Defines parallel projection or perspective views by using a camera and target

PLAN

Displays the plan view of a specified user coordinate system

VPOINT

Sets the viewing direction for a 3D visualization of the drawing

System Variables

PERSPECTIVE
VIEWDIR

Stores the viewing direction in the current viewport, expressed in UCS coordinates

WORLDVIEW

Utilities

No entries

Command Modifiers

No entries


Choose Preset 3D Views (Concept)

Define a Parallel Projection
Control the 3D Projection Style
Define a 3D View with Coordinate Values or Angles
Control the Drawing Views > Change Views > Control the 3D Projection Style >
Choose Preset 3D Views
Concept Procedure Quick Reference

You can select predefined standard orthographic and isometric views by name or description.

A quick way to set a view is to choose one of the predefined 3D views. You can select predefined standard orthographic and isometric views by name or description. These views represent commonly used options: Top, Bottom, Front, Left, Right, and Back. In addition, you can set views from isometric options: SW (southwest) Isometric, SE (southeast) Isometric, NE (northeast) Isometric, and NW (northwest) Isometric.

To understand how the isometric views work, imagine you are looking down at the top of a box. If you move toward the lower-left corner of the box, you are viewing the box from the SW Isometric View. If you move toward the upper-right corner of the box, you are viewing it from NE Isometric View.


To use a preset 3D view (Procedure)

Define a Parallel Projection
Up a level to ..
Define a 3D View with Coordinate Values or Angles
Control the Drawing Views > Change Views > Control the 3D Projection Style > Choose Preset 3D Views >
Choose Preset 3D Views
Concept Procedure Quick Reference

To use a preset 3D view

  • Click View menu [image] 3D Views. Select a preset view (Top, Bottom, Left, and so on).
Toolbar: View
Command entry: VIEW


Choose Preset 3D Views (Quick Reference)

Define a Parallel Projection
Choose Preset 3D Views
Define a 3D View with Coordinate Values or Angles
Control the Drawing Views > Change Views > Control the 3D Projection Style > Choose Preset 3D Views >
Choose Preset 3D Views
Concept Procedure Quick Reference

Commands

VIEW

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Define a 3D View with Coordinate Values or Angles (Concept)

Choose Preset 3D Views
Control the 3D Projection Style
Change to a View of the XY Plane
Control the Drawing Views > Change Views > Control the 3D Projection Style >
Define a 3D View with Coordinate Values or Angles
Concept Procedure Quick Reference

You can define a viewing direction by entering the coordinate values of a point or the measures of two angles of rotation.

This point represents your position in 3D space as you view the model while looking toward the origin (0,0,0). Viewpoint coordinate values are relative to the world coordinate system unless you change the WORLDVIEW system variable. The conventions for defining standard views differ between architectural (AEC) and mechanical design. In AEC design, the perpendicular view of the XY plane is the top or plan view; in mechanical design, the perpendicular view of the XY plane is the front view.

You can rotate a view using DDVPOINT. The following illustration shows a view defined by two angles relative to the X axis and the XY plane of the WCS.


Define a 3D View with Coordinate Values or Angles (Procedure)

Choose Preset 3D Views
Up a level to ..
Define a 3D View with Coordinate Values or Angles
Control the Drawing Views > Change Views > Control the 3D Projection Style > Define a 3D View with Coordinate Values or Angles >
Define a 3D View with Coordinate Values or Angles
Concept Procedure Quick Reference

To set a view with a viewpoint coordinate

To set a view with two angles of rotation

To set standard views with VPOINT (AEC convention)

To set standard views with VPOINT (mechanical design convention)


To set a view with a viewpoint coordinate (Procedure)

Define a 3D View with Coordinate Values or Angles
Up a level to ..
Define a 3D View with Coordinate Values or Angles
Control the Drawing Views > Change Views > Control the 3D Projection Style > Define a 3D View with Coordinate Values or Angles >
Define a 3D View with Coordinate Values or Angles
Concept Procedure Quick Reference

To set a view with a viewpoint coordinate

  1. Click View menu [image] 3D Views [image] Viewpoint.At the command prompt, enter vpoint.
  2. Click inside the compass to specify the viewpoint. The selected viewpoint is used to view the drawing in the direction of 0,0,0.
Command entry: VPOINT


To set a view with two angles of rotation (Procedure)

Define a 3D View with Coordinate Values or Angles
Up a level to ..
Define a 3D View with Coordinate Values or Angles
Control the Drawing Views > Change Views > Control the 3D Projection Style > Define a 3D View with Coordinate Values or Angles >
Define a 3D View with Coordinate Values or Angles
Concept Procedure Quick Reference

To set a view with two angles of rotation

  1. At the command prompt, enter vpoint.
  2. Enter r (Rotate) to specify a new direction using two angles.
  3. Enter an angle in the XY plane measured from the positive X axis.
  4. Enter an angle from the XY plane that represents your position while viewing the model in the direction of 0,0,0.
Command entry: VPOINT


To set standard views with VPOINT (AEC convention) (Procedure)

Define a 3D View with Coordinate Values or Angles
Up a level to ..
Define a 3D View with Coordinate Values or Angles
Control the Drawing Views > Change Views > Control the 3D Projection Style > Define a 3D View with Coordinate Values or Angles >
Define a 3D View with Coordinate Values or Angles
Concept Procedure Quick Reference

To set standard views with VPOINT (AEC convention)

  1. At the command prompt, enter vpoint.
  2. Enter a coordinate according to the viewpoint you want:
    • Enter 0,0,1 for a top (plan) view.
    • Enter 0,-1,0 for a front view.
    • Enter 1,0,0 for a right side view.
    • Enter 1,-1,1 for an isometric view.
Command entry: VPOINT


To set standard views with VPOINT (mechanical design convention) (Procedure)

Define a 3D View with Coordinate Values or Angles
Up a level to ..
Change to a View of the XY Plane
Control the Drawing Views > Change Views > Control the 3D Projection Style > Define a 3D View with Coordinate Values or Angles >
Define a 3D View with Coordinate Values or Angles
Concept Procedure Quick Reference

To set standard views with VPOINT (mechanical design convention)

  1. At the command prompt, enter vpoint.
  2. Enter a coordinate according to the viewpoint you want:
    • Enter 0,1,0 for a top view.
    • Enter 0,0,1 for a front view.
    • Enter 1,0,0 for a right side view.
    • Enter 1,1,1 for an isometric view. This view is identical to one with a right-out of 45 degrees and a top-out of 35.267 degrees.
Command entry: VPOINT


Define a 3D View with Coordinate Values or Angles (Quick Reference)

Choose Preset 3D Views
Define a 3D View with Coordinate Values or Angles
Change to a View of the XY Plane
Control the Drawing Views > Change Views > Control the 3D Projection Style > Define a 3D View with Coordinate Values or Angles >
Define a 3D View with Coordinate Values or Angles
Concept Procedure Quick Reference

Commands

VIEW

System Variables

WORLDVIEW

Utilities

No entries

Command Modifiers

No entries


Change to a View of the XY Plane (Concept)

Define a 3D View with Coordinate Values or Angles
Control the 3D Projection Style
Shade a Model and Use Edge Effects
Control the Drawing Views > Change Views > Control the 3D Projection Style >
Change to a View of the XY Plane
Concept Procedure Quick Reference

You can change the current viewpoint to a plan view of the current UCS, a previously saved UCS, or the WCS.

A plan view is a view aimed toward the origin (0,0,0) from a point on the positive Z axis. This results in a view of the XY plane.

You can restore the view and coordinate system that is the default for most drawings by setting the UCS orientation to World and then setting the 3D view to Plan View.


To change the current view to theXYplane (Procedure)

Define a 3D View with Coordinate Values or Angles
Up a level to ..
Shade a Model and Use Edge Effects
Control the Drawing Views > Change Views > Control the 3D Projection Style > Change to a View of the XY Plane >
Change to a View of the XY Plane
Concept Procedure Quick Reference

To change the current view to the XY plane

  1. Click View menu [image] 3D Views.Click Plan View.
  2. Select one of the following options:
    • Current (for the current UCS)
    • World (for the WCS)
    • Named (for a saved UCS)
    NotePLAN changes the viewing direction and turns off perspective and clipping; it does not change the current UCS. Any coordinates entered or displayed subsequent to the PLAN command remain relative to the current UCS.
Command entry: PLAN


Change to a View of the XY Plane (Quick Reference)

Define a 3D View with Coordinate Values or Angles
Change to a View of the XY Plane
Use a Visual Style to Display Your Model
Control the Drawing Views > Change Views > Control the 3D Projection Style > Change to a View of the XY Plane >
Change to a View of the XY Plane
Concept Procedure Quick Reference

Commands

DVIEW

Defines parallel projection or perspective views by using a camera and target

PLAN

Displays the plan view of a specified user coordinate system

System Variables

BACKZ
FRONTZ
VIEWDIR

Stores the viewing direction in the current viewport, expressed in UCS coordinates

VIEWTWIST

Stores the view rotation angle for the current viewport measured relative to the WCS

WORLDVIEW

Utilities

No entries

Command Modifiers

No entries


Shade a Model and Use Edge Effects

Change to a View of the XY Plane
Change Views
Use a Visual Style to Display Your Model
Control the Drawing Views > Change Views >
Shade a Model and Use Edge Effects
Concept Procedure

Hiding lines enhances the drawing and clarifies the design. The addition of shading produces a more realistic image of your model.

Topics in this section

  • Use a Visual Style to Display Your Model

    A visual style is a collection of settings that control the display of edges and shading in the viewport. Instead of using commands and setting system variables, you change the properties of the visual style. As soon as you apply a visual style or change its settings, you can see the effect in the viewport.

  • Customize a Visual Style

    You can create your own visual styles by changing the face and edge settings and using shadows and backgrounds.

  • Control Performance

    3D graphics display and memory allocation can slow performance on your system. Adaptive degradation, performance tuning and memory tuning are different approaches to delivering the best performance possible.


Shade a Model and Use Edge Effects (Procedure)

Change to a View of the XY Plane
Shade a Model and Use Edge Effects
Use a Visual Style to Display Your Model
Control the Drawing Views > Change Views > Shade a Model and Use Edge Effects >
Shade a Model and Use Edge Effects
Concept Procedure

To apply a visual style to a viewport

To store a visual style on a tool palette

To use a visual style from a different drawing

To restore the original settings of a default visual style


Use a Visual Style to Display Your Model (Concept)

Shade a Model and Use Edge Effects
Shade a Model and Use Edge Effects
Customize a Visual Style
Control the Drawing Views > Change Views > Shade a Model and Use Edge Effects >
Use a Visual Style to Display Your Model
Concept Procedure Quick Reference

A visual style is a collection of settings that control the display of edges and shading in the viewport. Instead of using commands and setting system variables, you change the properties of the visual style. As soon as you apply a visual style or change its settings, you can see the effect in the viewport.

The Visual Styles Manager displays sample images of the visual styles available in the drawing. The selected visual style is indicated by a yellow border, and its settings are displayed in the panel below the sample images.

When the ribbon is displayed, you can change some frequently used settings directly or open the Visual Styles Manager.

Five default visual styles are supplied with the product:

  • 2D Wireframe. Displays the objects using lines and curves to represent the boundaries. Raster and OLE objects, linetypes, and lineweights are visible.
  • 3D Wireframe (upper left in the illustration). Displays the objects using lines and curves to represent the boundaries.
  • 3D Hidden (upper right). Displays the objects using 3D wireframe representation and hides lines representing back faces.
  • Realistic (lower left). Shades the objects and smooths the edges between polygon faces. Materials that you have attached to the objects are displayed.
  • Conceptual (lower right). Shades the objects and smooths the edges between polygon faces. Shading uses the Gooch face style, a transition between cool and warm colors rather than dark to light. The effect is less realistic, but it can make the details of the model easier to see.

In shaded visual styles, faces are lighted by two distant light sources that follow the viewpoint as you move around the model. This default lighting is designed to illuminate all faces in the model so that they are visually discernable. Default lighting is available only when other lights, including the sun, are off.

You can select a visual style and change its settings at any time. The changes you make are reflected in the viewports where the visual style is applied. For more information about face settings, environment settings, and edge settings, see Customize a Visual Style. Any changes you make to a visual style are saved in the drawing.


Use a Visual Style to Display Your Model (Procedure)

Shade a Model and Use Edge Effects
Up a level to ..
Use a Visual Style to Display Your Model
Control the Drawing Views > Change Views > Shade a Model and Use Edge Effects > Use a Visual Style to Display Your Model >
Use a Visual Style to Display Your Model
Concept Procedure Quick Reference

To apply a visual style to a viewport

To store a visual style on a tool palette

To use a visual style from a different drawing

To restore the original settings of a default visual style


Use a Visual Style to Display Your Model (Procedure)

Use a Visual Style to Display Your Model
Up a level to ..
Use a Visual Style to Display Your Model
Control the Drawing Views > Change Views > Shade a Model and Use Edge Effects > Use a Visual Style to Display Your Model >
Use a Visual Style to Display Your Model
Concept Procedure Quick Reference

To save a visual style in the drawing

  • Enter vssave at the command prompt.


To apply a visual style to a viewport (Procedure)

Use a Visual Style to Display Your Model
Up a level to ..
Use a Visual Style to Display Your Model
Control the Drawing Views > Change Views > Shade a Model and Use Edge Effects > Use a Visual Style to Display Your Model >
Use a Visual Style to Display Your Model
Concept Procedure Quick Reference

To apply a visual style to a viewport

  1. Enter visualstyles at the command prompt
  2. Click in the viewport to make it current.
  3. In the Visual Styles Manager, double-click the sample image of the visual style.

    The selected visual style is applied to the model in the viewport.

    An icon in the sample image indicates that the visual style is in use in the current viewport. When you change viewports, the icon changes to indicate that the visual style is in use in the current drawing.

    Toolbar: Visual Styles
    Shortcut menu: Right-click the visual style in the Visual Styles Manager. Click Apply to Current Viewport.
    Command entry: VISUALSTYLES


To store a visual style on a tool palette (Procedure)

Use a Visual Style to Display Your Model
Up a level to ..
Use a Visual Style to Display Your Model
Control the Drawing Views > Change Views > Shade a Model and Use Edge Effects > Use a Visual Style to Display Your Model >
Use a Visual Style to Display Your Model
Concept Procedure Quick Reference

To store a visual style on a tool palette

  1. Enter visualstyles at the command prompt
  2. Click Tools menu [image] Palettes [image] Tool Palettes.At the command prompt, enter ToolPalettesClose.
  3. In the Tool Palettes window, click the Visual Styles tab.
  4. In the Visual Styles Manager, select the sample image of the visual style.
  5. Below the images, click the Export the Selected Visual Style to the Tool Palette button.
    Toolbar: Visual Styles
    Shortcut menu: Right-click the visual style in the Visual Styles Manager. Click Export to Active Tool Palette.
    Command entry: VISUALSTYLES


To use a visual style from a different drawing (Procedure)

Use a Visual Style to Display Your Model
Up a level to ..
Use a Visual Style to Display Your Model
Control the Drawing Views > Change Views > Shade a Model and Use Edge Effects > Use a Visual Style to Display Your Model >
Use a Visual Style to Display Your Model
Concept Procedure Quick Reference

To use a visual style from a different drawing

  1. Open the drawing that has the visual style that you want to use.
  2. Enter visualstyles at the command prompt
  3. Click Tools menu [image] Palettes [image] Tool Palettes.At the command prompt, enter ToolPalettesClose.
  4. In the Tool Palettes window, click the Visual Styles tab.
  5. In the Visual Styles Manager, select the sample image of the visual style.
  6. Below the images, click the Export the Selected Visual Style to the Tool Palette button.
  7. Open the drawing where you want to use the visual style.
  8. On the tool palette, select the visual style.
  9. Right-click and click Add to Current Drawing.

    The visual style is added to the sample images in the Visual Styles Manager and the ribbon.

    Toolbar: Visual Styles
    Shortcut menu: Right-click the visual style in the Visual Styles Manager. Click Export to Active Tool Palette.
    Command entry: VISUALSTYLES


To restore the original settings of a default visual style (Procedure)

Use a Visual Style to Display Your Model
Up a level to ..
Customize a Visual Style
Control the Drawing Views > Change Views > Shade a Model and Use Edge Effects > Use a Visual Style to Display Your Model >
Use a Visual Style to Display Your Model
Concept Procedure Quick Reference

To restore the original settings of a default visual style

  1. Enter visualstyles at the command prompt
  2. Select a default visual style.

    A default visual style displays a drawing icon at bottom right in the sample image.

  3. Right-click and click Reset to Default.
    Toolbar: Visual Styles
    Command entry: VISUALSTYLES


Use a Visual Style to Display Your Model (Quick Reference)

Change to a View of the XY Plane
Use a Visual Style to Display Your Model
Shade and Color Faces
Control the Drawing Views > Change Views > Shade a Model and Use Edge Effects > Use a Visual Style to Display Your Model >
Use a Visual Style to Display Your Model
Concept Procedure Quick Reference

Commands

TOOLPALETTES

Opens the Tool Palettes window

VISUALSTYLES

Creates and modifies visual styles and applies a visual style to a viewport

System Variables

VISUALSTYLESCLOSE

Closes the Visual Styles Manager

Utilities

No entries

Command Modifiers

No entries


Customize a Visual Style

Use a Visual Style to Display Your Model
Shade a Model and Use Edge Effects
Shade and Color Faces
Control the Drawing Views > Change Views > Shade a Model and Use Edge Effects >
Customize a Visual Style
Concept Procedure

You can create your own visual styles by changing the face and edge settings and using shadows and backgrounds.

Topics in this section

  • Shade and Color Faces

    Shading and color effects control the display of faces in a model.

  • Display Backgrounds and Shadows

    The visual style also controls the display of backgrounds and shadows in the viewport.

  • Control the Display of Edges

    Edges of different types can be displayed using different colors and linetypes. You can also add special effects such as jitter and overhang to edges.


Customize a Visual Style (Procedure)

Use a Visual Style to Display Your Model
Up a level to ..
Shade and Color Faces
Control the Drawing Views > Change Views > Shade a Model and Use Edge Effects > Customize a Visual Style >
Customize a Visual Style
Concept Procedure

To change the display of faces from smooth to faceted

To control the face style

To control the display of colors on faces

To make all faces in a viewport transparent

To control the display of shadows in a viewport

To set a solid as a viewport background

To set a gradient as a viewport background

To set an image as a viewport background

To set a Sun/Sky as a viewport background

To control the display of edges and edge colors

To add an overhang effect to edges

To add a jitter effect to edges

To control display of silhouette edges


Shade and Color Faces (Concept)

Customize a Visual Style
Customize a Visual Style
Display Backgrounds and Shadows
Control the Drawing Views > Change Views > Shade a Model and Use Edge Effects > Customize a Visual Style >
Shade and Color Faces
Concept Procedure Quick Reference

Shading and color effects control the display of faces in a model.

Face Styles

The face style defines the shading on a face. Real (below left) is meant to produce the effect of realism. Gooch (below right) can show details better by softening the contrast between lighted areas and shadowed areas. Lighted areas use warm tones and darker areas cool tones.

When the None face style is active, there is no shading, and only edges are displayed if Edge Mode is set to Facet Edges or Isolines under Edge Settings.

Lighting Quality

Faceted lighting computes a single color for each face. Objects appear flatter. Smooth lighting smoothes the edges between polygon faces by computing the colors as a gradient between the vertexes of the faces. This gives the objects a smooth appearance. For the smoothest option, the Per-Pixel Lighting setting needs to be turned on in the Manual Performance Tuning Dialog Box. The colors are computed for individual pixels and gives a smoother appearance. If not, the smooth setting is used instead.

Highlights

The size of the highlights on an object affects the perception of shininess (below). A smaller, more intense highlight makes objects look shinier. The highlight intensity that is set in a visual style does not apply to objects with materials attached.

Opacity

The opacity property controls the degree to which an object appears transparent (below).

Face Color Modes

Color can be displayed in the normal way, or you can change the face color mode. Monochrome displays all faces in the same color and shaded. Tint uses the same color to shade all faces by changing the hue and saturation values of the color. Desaturate mode softens colors.


Shade and Color Faces (Procedure)

Customize a Visual Style
Up a level to ..
Shade and Color Faces
Control the Drawing Views > Change Views > Shade a Model and Use Edge Effects > Customize a Visual Style > Shade and Color Faces >
Shade and Color Faces
Concept Procedure Quick Reference

To change the display of faces from smooth to faceted

To control the face style

To control the display of colors on faces

To make all faces in a viewport transparent


To change the display of faces from smooth to faceted (Procedure)

Shade and Color Faces
Up a level to ..
Shade and Color Faces
Control the Drawing Views > Change Views > Shade a Model and Use Edge Effects > Customize a Visual Style > Shade and Color Faces >
Shade and Color Faces
Concept Procedure Quick Reference

To change the display of faces from smooth to faceted

  1. Click Tools menu [image] Palettes [image] Visual Styles.
  2. With the current visual style selected in the sample images, in Face Settings, Lighting Quality, change Smooth to Faceted.
Toolbar: Visual Styles
Command entry: VISUALSTYLES


To control the face style (Procedure)

Shade and Color Faces
Up a level to ..
Shade and Color Faces
Control the Drawing Views > Change Views > Shade a Model and Use Edge Effects > Customize a Visual Style > Shade and Color Faces >
Shade and Color Faces
Concept Procedure Quick Reference

To control the face style

  1. Enter visualstyles at the command prompt
  2. With the current visual style selected in the sample images, in Face Settings, Face Style, select one of the following options:
    • Real, the default, is as close as possible to how the face would appear in the real world.
    • Gooch uses cool and warm colors instead of dark and light to enhance the display of faces that might be shadowed and difficult to see in a realistic display.
    • None does not apply a face style. Other face settings are disabled.
Toolbar: Visual Styles
Command entry: VISUALSTYLES


To control the display of colors on faces (Procedure)

Shade and Color Faces
Up a level to ..
Shade and Color Faces
Control the Drawing Views > Change Views > Shade a Model and Use Edge Effects > Customize a Visual Style > Shade and Color Faces >
Shade and Color Faces
Concept Procedure Quick Reference

To control the display of colors on faces

  1. With the current visual style selected in the sample images, in Face Settings, Materials and Color, Face Color Mode, select one of the following options:
    • Normal. Does not apply a face color modifier.
    • Monochrome. Displays the model in shades of the color you specify.
    • Tint. Changes the hue and saturation value of face colors.
    • Desaturate. Softens the color by reducing its saturation component by 30 percent.
  2. If Monochrome or Tint is selected, specify a color. Select Color opens the Select Color dialog box.
Toolbar: Visual Styles
Command entry: VISUALSTYLES


To make all faces in a viewport transparent (Procedure)

Shade and Color Faces
Up a level to ..
Display Backgrounds and Shadows
Control the Drawing Views > Change Views > Shade a Model and Use Edge Effects > Customize a Visual Style > Shade and Color Faces >
Shade and Color Faces
Concept Procedure Quick Reference

To make all faces in a viewport transparent

  1. Click Tools menu [image] Palettes [image] Ribbon.
  2. In the Visual Style control panel, click X-ray Mode.


Shade and Color Faces (Quick Reference)

Use a Visual Style to Display Your Model
Shade and Color Faces
Display Backgrounds and Shadows
Control the Drawing Views > Change Views > Shade a Model and Use Edge Effects > Customize a Visual Style > Shade and Color Faces >
Shade and Color Faces
Concept Procedure Quick Reference

Commands

VISUALSTYLES

Creates and modifies visual styles and applies a visual style to a viewport

System Variables

VISUALSTYLESCLOSE

Closes the Visual Styles Manager

VSFACECOLORMODE

Controls how the color of faces is calculated

VSFACEHIGHLIGHT

Controls the display of specular highlights on faces without materials in the current viewport

VSFACESTYLE

Controls how faces are displayed in the current viewport

VSLIGHTINGQUALITY

Sets the lighting quality in the current viewport

VSMONOCOLOR

Sets the color for monochrome and tint display of faces in the visual style applied to the current viewport

Utilities

No entries

Command Modifiers

No entries


Display Backgrounds and Shadows (Concept)

Shade and Color Faces
Customize a Visual Style
Control the Display of Edges
Control the Drawing Views > Change Views > Shade a Model and Use Edge Effects > Customize a Visual Style >
Display Backgrounds and Shadows
Concept Procedure Quick Reference

The visual style also controls the display of backgrounds and shadows in the viewport.

Backgrounds

You can use a color, a gradient fill, an image, or the sun & sky as a background in the viewport in any 3D visual style, even one that does not shade objects. To use a background, you first create a named view with a background and set the named view as current in the viewport. When Background is set to On in the current visual style, the background is displayed.

Shadows

Shaded objects in a viewport can display shadows. Ground shadows are shadows that objects cast on the ground. Full shadows are shadows cast by objects onto other objects. The lighting in the viewport must be from user-created lights or the sun for full shadows to be displayed. Where shadows overlap, they appear darker.

NoteTo display full shadows, hardware acceleration is required. When Enhanced 3D Performance is off, full shadows cannot be displayed. (To access these settings, enter 3dconfig at the command prompt. In the Adaptive Degradation and Performance Tuning dialog box, click Manual Tune.)

Displaying shadows can slow performance. You can turn off shadows in the current visual style while you work and turn them back on when you need them.

In the Properties palette, you can set the Shadow Display property for an object: casts shadows, receives shadows, casts and receives shadows, or ignores shadows.

More options are available for shadows used in rendering.

See Also

    • Use Shadows in Rendering


Display Backgrounds and Shadows (Procedure)

Shade and Color Faces
Up a level to ..
Display Backgrounds and Shadows
Control the Drawing Views > Change Views > Shade a Model and Use Edge Effects > Customize a Visual Style > Display Backgrounds and Shadows >
Display Backgrounds and Shadows
Concept Procedure Quick Reference

To control the display of shadows in a viewport

To set a solid as a viewport background

To set a gradient as a viewport background

To set an image as a viewport background

To set a Sun/Sky as a viewport background


To control the display of shadows in a viewport (Procedure)

Display Backgrounds and Shadows
Up a level to ..
Display Backgrounds and Shadows
Control the Drawing Views > Change Views > Shade a Model and Use Edge Effects > Customize a Visual Style > Display Backgrounds and Shadows >
Display Backgrounds and Shadows
Concept Procedure Quick Reference

To control the display of shadows in a viewport

  1. Enter visualstyles at the command prompt
  2. With the current visual style selected in the sample images, in Environment Settings, Shadow Display, select Off, Full Shadows, or Ground Shadows.
Toolbar: Visual Styles
Command entry: VISUALSTYLES


To set a solid as a viewport background (Procedure)

Display Backgrounds and Shadows
Up a level to ..
Display Backgrounds and Shadows
Control the Drawing Views > Change Views > Shade a Model and Use Edge Effects > Customize a Visual Style > Display Backgrounds and Shadows >
Display Backgrounds and Shadows
Concept Procedure Quick Reference

To set a solid as a viewport background

  1. Click View menu [image] Named Views.At the command prompt, enter view.
  2. In the View Manager, click the view name you want to change. If the view isn’t already displayed, expand the appropriate View list, and then click a view name.
  3. In the Properties panel, click the Background Override field.
  4. Select Solid from the Background Override drop-down list.
  5. In the Background dialog box, click the swatch under the Color section.
  6. In the Select Color dialog box, specify the color you want to use for the background.
  7. Click OK.
  8. In the Background dialog box, click OK.
  9. In the View Manager, click Set Current.
  10. Click OK.
Toolbar: View
Command entry: VIEW


To set a gradient as a viewport background (Procedure)

Display Backgrounds and Shadows
Up a level to ..
Display Backgrounds and Shadows
Control the Drawing Views > Change Views > Shade a Model and Use Edge Effects > Customize a Visual Style > Display Backgrounds and Shadows >
Display Backgrounds and Shadows
Concept Procedure Quick Reference

To set a gradient as a viewport background

  1. Click View menu [image] Named Views.At the command prompt, enter view.
  2. In the View Manager, click the view name you want to change. If the view isn’t already displayed, expand the appropriate View list, and then click a view name.
  3. In the Properties panel, click the Background Override field.
  4. Select Gradient from the Background Override drop-down list.
  5. In the Background dialog box, specify the desired options for the gradient fill.
    • Select Three Color to use a two or three color gradient fill.
    • Click on the color swatches to display the Select Color dialog box to specify the colors you want to use for the gradient fill.
    • Enter a rotation value for the gradient fill in the Rotation text box.
  6. In the Background dialog box, click OK.
  7. In the View Manager, click Set Current.
  8. Click OK.
Toolbar: View
Command entry: VIEW


To set an image as a viewport background (Procedure)

Display Backgrounds and Shadows
Up a level to ..
Display Backgrounds and Shadows
Control the Drawing Views > Change Views > Shade a Model and Use Edge Effects > Customize a Visual Style > Display Backgrounds and Shadows >
Display Backgrounds and Shadows
Concept Procedure Quick Reference

To set an image as a viewport background

  1. Click View menu [image] Named Views.At the command prompt, enter view.
  2. In the View Manager, click the view name you want to change. If the view isn’t already displayed, expand the appropriate View list, and then click a view name.
  3. In the Properties panel, click the Background Override field.
  4. Select Image from the Background Override drop-down list.
  5. In the Background dialog box, click Browse and specify the image for the background.
  6. Click Adjust Image.
  7. In the Adjust Background Image dialog box, specify the desired options for the image.
    • Specify the position for the image by choosing an option from the Image Position drop-down list.
    • Click Offset or Scale to adjust what functionality the sliders have.
    • Click Maintain Aspect Ratio When Scaling to have the image scale uniformily.
    • Drag the sliders to adjust the offset or scale of the image based on the current setting.
  8. In the Adjust Background Image dialog box, click OK.
  9. In the Background dialog box, click OK.
  10. In the View Manager, click Set Current.
  11. Click OK.
Toolbar: View
Command entry: VIEW


To set a Sun/Sky as a viewport background (Procedure)

Display Backgrounds and Shadows
Up a level to ..
Control the Display of Edges
Control the Drawing Views > Change Views > Shade a Model and Use Edge Effects > Customize a Visual Style > Display Backgrounds and Shadows >
Display Backgrounds and Shadows
Concept Procedure Quick Reference

To set a Sun/Sky as a viewport background

  1. Before changing the background, make sure that photometric lighting is enabled.
    • Use the UNITS command and set the Lighting to International or American.
    • Enter LIGHTINGUNITS at the command prompt, then enter a 1 or 2 and press ENTER.
  2. Click View menu [image] Named Views.At the command prompt, enter view.
  3. In the View Manager, click the view name you want to change. If the view isn’t already displayed, expand the appropriate View list, and then click a view name.
  4. In the Properties panel, click the Background Override field.
  5. Select Sun&Sky from the Background Override drop-down list.
  6. In the Adjust Sun & Sky Background dialog box, specify the desired options for the background.
  7. Click OK.
  8. In the View Manager, click Set Current.
  9. Click OK.
Toolbar: View
Command entry: VIEW


Display Backgrounds and Shadows (Quick Reference)

Shade and Color Faces
Display Backgrounds and Shadows
Control the Display of Edges
Control the Drawing Views > Change Views > Shade a Model and Use Edge Effects > Customize a Visual Style > Display Backgrounds and Shadows >
Display Backgrounds and Shadows
Concept Procedure Quick Reference

Commands

VIEW
VISUALSTYLES

Creates and modifies visual styles and applies a visual style to a viewport

System Variables

CSHADOW

Sets the shadow display property for a 3D object

SHADOWPLANELOCATION

Controls the location of an invisible ground plane used to display shadows

VSBACKGROUNDS

Controls whether backgrounds are displayed in the visual style applied to the current viewport

VSSHADOWS

Controls whether a visual style displays shadows

VISUALSTYLESCLOSE

Closes the Visual Styles Manager

Utilities

No entries

Command Modifiers

No entries


Control the Display of Edges (Concept)

Display Backgrounds and Shadows
Customize a Visual Style
Control Performance
Control the Drawing Views > Change Views > Shade a Model and Use Edge Effects > Customize a Visual Style >
Control the Display of Edges
Concept Procedure Quick Reference

Edges of different types can be displayed using different colors and linetypes. You can also add special effects such as jitter and overhang to edges.

In a shaded or a wireframe model, the visual style sets the visibility and appearance of isolines, facet edges, silhouette edges, obscured edges, and intersection edges. Facet edges (the edges between planar faces representing a surface) are displayed only when the angle between the facets is smaller than the crease angle value you specify.

Edge modifiers such as Overhang and Jitter produce the look of a model that is still in the conceptual phase. Jitter makes lines look as though they were sketched with a pencil. Overhang produces another kind of hand-drawn effect.

NotePlot styles are not available for objects with the Jitter edge modifier applied.


Control the Display of Edges (Procedure)

Display Backgrounds and Shadows
Up a level to ..
Control the Display of Edges
Control the Drawing Views > Change Views > Shade a Model and Use Edge Effects > Customize a Visual Style > Control the Display of Edges >
Control the Display of Edges
Concept Procedure Quick Reference

To control the display of edges and edge colors

To add an overhang effect to edges

To add a jitter effect to edges

To control display of silhouette edges


To control the display of edges and edge colors (Procedure)

Control the Display of Edges
Up a level to ..
Control the Display of Edges
Control the Drawing Views > Change Views > Shade a Model and Use Edge Effects > Customize a Visual Style > Control the Display of Edges >
Control the Display of Edges
Concept Procedure Quick Reference

To control the display of edges and edge colors

  1. Enter visualstyles at the command prompt
  2. With the current visual style selected in the sample images, in Edge Settings, Edge Mode, select Facet edges, Isolines, or None.
  3. If Isolines is selected, specify the number of lines.
  4. In Color, specify a color. Select Color opens the Select Color dialog box.
Toolbar: Visual Styles
Command entry: VISUALSTYLES


To add an overhang effect to edges (Procedure)

Control the Display of Edges
Up a level to ..
Control the Display of Edges
Control the Drawing Views > Change Views > Shade a Model and Use Edge Effects > Customize a Visual Style > Control the Display of Edges >
Control the Display of Edges
Concept Procedure Quick Reference

To add an overhang effect to edges

  1. Enter visualstyles at the command prompt
  2. With the current visual style selected in the sample images, in Edge Modifiers, click the Overhanging Edges button and adjust the amount of overhang in Overhang.
NoteThe overhang is scaled to look appropriate in viewports of different sizes. The overhang effect is not applied to a line that is less than twice as long as the overhang would be.
Toolbar: Visual Styles
Command entry: VISUALSTYLES


To add a jitter effect to edges (Procedure)

Control the Display of Edges
Up a level to ..
Control the Display of Edges
Control the Drawing Views > Change Views > Shade a Model and Use Edge Effects > Customize a Visual Style > Control the Display of Edges >
Control the Display of Edges
Concept Procedure Quick Reference

To add a jitter effect to edges

  1. Enter visualstyles at the command prompt
  2. With the current visual style selected in the sample images, in Edge Modifiers, click the Jitter Edges button and adjust the amount of jitter in Jitter.
Toolbar: Visual Styles
Command entry: VISUALSTYLES


To control display of silhouette edges (Procedure)

Control the Display of Edges
Up a level to ..
Control Performance
Control the Drawing Views > Change Views > Shade a Model and Use Edge Effects > Customize a Visual Style > Control the Display of Edges >
Control the Display of Edges
Concept Procedure Quick Reference

To control display of silhouette edges

  1. Enter visualstyles at the command prompt
  2. With the current visual style selected in the sample images, in Fast Silhouette Edges, Visible, select Yes or No.
  3. If Yes is selected, specify a width for silhouette edges.
Toolbar: Visual Styles
Command entry: VISUALSTYLES


Control the Display of Edges (Quick Reference)

Display Backgrounds and Shadows
Control the Display of Edges
Adaptive Degradation
Control the Drawing Views > Change Views > Shade a Model and Use Edge Effects > Customize a Visual Style > Control the Display of Edges >
Control the Display of Edges
Concept Procedure Quick Reference

Commands

VISUALSTYLES

Creates and modifies visual styles and applies a visual style to a viewport

System Variables

FACETRES

Adjusts the smoothness of shaded and rendered objects and objects with hidden lines removed

INTERSECTIONCOLOR
INTERSECTIONDISPLAY

Specifies the display of intersection polylines

VISUALSTYLESCLOSE

Closes the Visual Styles Manager

VSEDGECOLOR

Sets the color of edges in the visual style in the current viewport

VSEDGEJITTER

Controls the degree to which lines are made to appear as though sketched with a pencil

VSEDGEOVERHANG

Makes lines extend beyond their intersection, for a hand-drawn effect

VSEDGES

Controls the types of edges that are displayed in the viewport

VSEDGESMOOTH

Specifies the angle at which crease edges are displayed

VSHALOGAP

Sets the halo gap in the visual style applied to the current viewport

VSINTERSECTIONEDGES

Controls the display of intersection edges in the visual style applied to the current viewport

VSINTERSECTIONCOLOR

Specifies the color of intersection polylines in the visual style applied to the current viewport

VSINTERSECTIONLTYPE

Sets the linetype for intersection lines in the visual style applied to the current viewport

VSOBSCUREDEDGES

Controls whether obscured (hidden) edges are displayed

VSOBSCUREDCOLOR

Specifies the color of obscured (hidden) lines in the visual style applied to the current viewport

VSOBSCUREDLTYPE

Specifies the linetype of obscured (hidden) lines in the visual style applied to the current viewport

VSSILHEDGES

Controls display of silhouette edges of solid objects in the visual style applied to the current viewport

VSSILHWIDTH

Specifies the width in pixels of silhouette edges in the current viewport

Utilities

No entries

Command Modifiers

No entries


Control Performance

Control the Display of Edges
Shade a Model and Use Edge Effects
Adaptive Degradation
Control the Drawing Views > Change Views > Shade a Model and Use Edge Effects >
Control Performance
Concept Procedure

3D graphics display and memory allocation can slow performance on your system. Adaptive degradation, performance tuning and memory tuning are different approaches to delivering the best performance possible.

Topics in this section

  • Adaptive Degradation

    Adaptive degradation is a way to control performance of features as you use them.

  • Performance Tuning

    Examines your graphics card and 3D display driver and decides whether to use software or hardware implementation for features that support both.

  • Memory Tuning

    Performance can also be improved by adding memory to your system. This is especially true when working on larger models.


Control Performance (Procedure)

Control the Display of Edges
Up a level to ..
Adaptive Degradation
Control the Drawing Views > Change Views > Shade a Model and Use Edge Effects > Control Performance >
Control Performance
Concept Procedure

To set the performance level for adaptive degradation

To change the adaptive degradation order

To view the performance tuner log

To tune performance manually

To check for graphics card and driver certification updates

To check physical memory (RAM)

To check swap file allocation


Adaptive Degradation (Concept)

Control Performance
Control Performance
Performance Tuning
Control the Drawing Views > Change Views > Shade a Model and Use Edge Effects > Control Performance >
Adaptive Degradation
Concept Procedure Quick Reference

Adaptive degradation is a way to control performance of features as you use them.

With adaptive degradation on, if performance goes below the level you specify, effects are turned off or turned down in a certain order until performance returns to an acceptable level. Each visual style sets a degradation order appropriate for itself, based on a master order that you can adjust manually.

You set the performance level in frames per second in the Adaptive Degradation and Performance Tuning dialog box. You can also control the order in which features are turned off when performance slows. For example, if you’re working on your model with a visual style that has shadows and a background, you can move Shadows and Backgrounds to the top of the list so that they degrade first and preserve edge effects that you need while drafting.


Adaptive Degradation (Procedure)

Control Performance
Up a level to ..
Adaptive Degradation
Control the Drawing Views > Change Views > Shade a Model and Use Edge Effects > Control Performance > Adaptive Degradation >
Adaptive Degradation
Concept Procedure Quick Reference

To set the performance level for adaptive degradation

To change the adaptive degradation order


To set the performance level for adaptive degradation (Procedure)

Adaptive Degradation
Up a level to ..
Adaptive Degradation
Control the Drawing Views > Change Views > Shade a Model and Use Edge Effects > Control Performance > Adaptive Degradation >
Adaptive Degradation
Concept Procedure Quick Reference

To set the performance level for adaptive degradation

  1. Click Tools menu [image] Options.At the command prompt, enter options.
  2. In the Options dialog box, System tab, click Performance Settings.
  3. In the Adaptive Degradation and Performance Tuning dialog box, check Adaptive Degradation.
  4. Enter or select a value for the frames per second. Degradation of the display begins when performance is below this value.
  5. Click OK.
Command entry: 3dconfig


To change the adaptive degradation order (Procedure)

Adaptive Degradation
Up a level to ..
Performance Tuning
Control the Drawing Views > Change Views > Shade a Model and Use Edge Effects > Control Performance > Adaptive Degradation >
Adaptive Degradation
Concept Procedure Quick Reference

To change the adaptive degradation order

  1. Click Tools menu [image] Options.At the command prompt, enter options.
  2. In the Options dialog box, System tab, click Performance Settings.
  3. In the Adaptive Degradation and Performance Tuning dialog box, select a feature in the list.
  4. Click Move Up or Move Down to change its order in the list.

    Items at the top of the list degrade first.

  5. Click OK.
Command entry: 3dconfig


Adaptive Degradation (Quick Reference)

Control the Display of Edges
Adaptive Degradation
Performance Tuning
Control the Drawing Views > Change Views > Shade a Model and Use Edge Effects > Control Performance > Adaptive Degradation >
Adaptive Degradation
Concept Procedure Quick Reference

Commands

3DCONFIG

Provides 3D graphics system configuration settings

OPTIONS

Customizes the program settings

System Variables

VSBACKGROUNDS

Controls whether backgrounds are displayed in the visual style applied to the current viewport

VSFACEOPACITY

Controls the transparency of faces in the current viewport

VSINTERSECTIONEDGES

Controls the display of intersection edges in the visual style applied to the current viewport

VSSHADOWS

Controls whether a visual style displays shadows

VSSILHEDGES

Controls display of silhouette edges of solid objects in the visual style applied to the current viewport

Utilities

No entries

Command Modifiers

No entries


Performance Tuning (Concept)

Adaptive Degradation
Control Performance
Memory Tuning
Control the Drawing Views > Change Views > Shade a Model and Use Edge Effects > Control Performance >
Performance Tuning
Concept Procedure Quick Reference

Examines your graphics card and 3D display driver and decides whether to use software or hardware implementation for features that support both.

Features that cannot work properly on your system are turned off. Some features may work but not be recommended for use with your graphics card or 3D graphics display driver. You can turn these on at your own risk.

NoteIf you are using a graphics card that does not support all of the available hardware effects, you can plot a drawing through software emulation. (To enable the emulation of hardware effects in software, enter 3dconfig at the command prompt. In the Adaptive Degradation and Performance Tuning dialog box, click Manual Tune. Then click Emulate Unsupported Hardware Effects in Software When Plotting.)

The performance tuner creates a log that reports the graphics card and 3D display driver found on your system and the on or off status of effects. The Current Effects Status section displays the settings of the current display driver. An example of the Current Effects Status section might look like the following:

Enhanced 3D Performance:  Available and on
Smooth line display:    Available and on
Gooch shader:           Available and using hardware
Full-shadow display:    Available and on
Per-pixel lighting :    Available and on
Texture compression:    Available and on

You can manually turn on and off features that your system supports, recommended or not.

The log that is created by the performance tuner not only displays information about the current application driver, but also displays information about all the available application drivers and which effects are supported. This information is in the Available Application Drivers and Effect Support section. By using the information that is displayed, you can make the best decision about which application driver to use for your graphics card such as Open GL, Direct 3D, or the Software driver. The Available Application Drivers and Effect Support section might look like the following:

Software driver
Effect support:
Enhanced 3D Performance:  Not applicable
Smooth line display:    Not applicable
Gooch shader:           Software emulation only
Per-pixel lighting :    Available and on
Full-shadow display:    Not applicable
Texture compression:    Not applicable
OpenGL driver:    Certified
Effect support:
Enhanced 3D Performance:  Available
Smooth line display:    Available
Gooch shader:           Available
Per-pixel lighting :    Not applicable
Full-shadow display:    Available
Texture compression:    Available
Direct3D driver:  Certified
Effect support:
Enhanced 3D Performance:  Available
Smooth line display:    Not applicable
Gooch shader:           Available
Per-pixel lighting :    Available and on
Full-shadow display:    Available
Texture compression:    Available
NoteTo display full shadows in viewports and to use Per-pixel lighting, hardware acceleration is required. When Enhanced 3D Performance is off, full shadows cannot be displayed in viewports. (To access these settings, enter 3dconfig at the command prompt. In the Adaptive Degradation and Performance Tuning dialog box, click Manual Tune.)
NoteWhen Texture Compression is turned on, the amount of video memory required to open a drawing that contains materials with images or has attached images is decreased. By using the effect it can reduce the amount of video memory necessary to display the drawing, but the downside to this effect is it may increase the time it takes to load the images the first time that they are accessed. Also, there is a reduction in the quality of the images when they are displayed in the viewport or plotted. (To access these settings, enter 3dconfig at the command prompt. In the Adaptive Degradation and Performance Tuning dialog box, click Manual Tune.)

Certification Updates

As more graphics cards and 3D display drivers are tested, they are added to a list on the Autodesk website. You can check for updates and download the latest list at any time. In the Adaptive Degradation and Performance Tuning dialog box, click Check for Updates.


Performance Tuning (Procedure)

Adaptive Degradation
Up a level to ..
Performance Tuning
Control the Drawing Views > Change Views > Shade a Model and Use Edge Effects > Control Performance > Performance Tuning >
Performance Tuning
Concept Procedure Quick Reference

To view the performance tuner log

To tune performance manually

To check for graphics card and driver certification updates


To view the performance tuner log (Procedure)

Performance Tuning
Up a level to ..
Performance Tuning
Control the Drawing Views > Change Views > Shade a Model and Use Edge Effects > Control Performance > Performance Tuning >
Performance Tuning
Concept Procedure Quick Reference

To view the performance tuner log

  1. Click Tools menu [image] Options.At the command prompt, enter options.
  2. In the Options dialog box, System tab, click Performance Settings.
  3. In the Adaptive Degradation and Performance Tuning dialog box, click View Tune Log.
  4. Click OK to exit each dialog box.
Command entry: 3dconfig


To tune performance manually (Procedure)

Performance Tuning
Up a level to ..
Performance Tuning
Control the Drawing Views > Change Views > Shade a Model and Use Edge Effects > Control Performance > Performance Tuning >
Performance Tuning
Concept Procedure Quick Reference

To tune performance manually

  1. Click Tools menu [image] Options.At the command prompt, enter options.
  2. In the Options dialog box, System tab, click Performance Settings.
  3. In the Adaptive Degradation and Performance Tuning dialog box, click Manual Tune.
  4. In the Manual Performance Tuning dialog box, you can enable hardware acceleration if the icon next to the check box is a green check mark or a yellow warning sign.
  5. In General Settings, you can clear or turn down settings to improve performance.
  6. (Optional) Use the Reset to Recommended Values option.
  7. Click OK to exit each dialog box.
Command entry: 3dconfig


To check for graphics card and driver certification updates (Procedure)

Performance Tuning
Up a level to ..
Memory Tuning
Control the Drawing Views > Change Views > Shade a Model and Use Edge Effects > Control Performance > Performance Tuning >
Performance Tuning
Concept Procedure Quick Reference

To check for graphics card and driver certification updates

  1. Click Tools menu [image] Options.At the command prompt, enter options.
  2. In the Options dialog box, System tab, click Performance Settings.
  3. In the Adaptive Degradation and Performance Tuning dialog box, click Check for Updates.

    A web page is displayed that describes the certification program.

  4. Look for your graphics card and driver in the list. If you find them, follow the download instructions.
  5. Click OK to exit each dialog box.
Command entry: 3dconfig


Performance Tuning (Quick Reference)

Adaptive Degradation
Performance Tuning
Memory Tuning
Control the Drawing Views > Change Views > Shade a Model and Use Edge Effects > Control Performance > Performance Tuning >
Performance Tuning
Concept Procedure Quick Reference

Commands

3DCONFIG

Provides 3D graphics system configuration settings

OPTIONS

Customizes the program settings

System Variables

VSSHADOWS

Controls whether a visual style displays shadows

Utilities

No entries

Command Modifiers

No entries


Memory Tuning (Concept)

Performance Tuning
Control Performance
Use 3D Viewing Tools
Control the Drawing Views > Change Views > Shade a Model and Use Edge Effects > Control Performance >
Memory Tuning
Concept Procedure Quick Reference

Performance can also be improved by adding memory to your system. This is especially true when working on larger models.

The system requirements for AutoCAD require at least 512 MB of physical memory (RAM) for working in 2D. For creating and working with 3D models, at least 2 GB of RAM is required.

The size and complexity of a model often defines how efficiently an application runs. If you notice increased hard drive activity, it means that physical memory has been exceeded and data is being passed to a swap file (virtual memory).

A swap file is an area on the hard drive that Windows uses as if it were physical memory (RAM). The swap file size is basically a limit which restricts the total virtual size of the AutoCAD process. A good rule of thumb for configuring your swap file is three times the amount of physical memory on your system. This usually sets the limit high enough that AutoCAD doesn't run out of swap space.

Typically, systems are limited to a maximum of 2 GB of virtual memory. On some systems, you can set the /3GB switch that allows applications to use up to 3 GB of virtual memory. Before attempting to set the switch, you need to find out the following:

  • If your system supports the switch.
  • If other device drivers (video card, plotter drivers, etc.) may be affected if the switch is set.
  • How to set the switch.

Refer to the Microsoft website for details regarding the /3GB switch.


Memory Tuning (Procedure)

Performance Tuning
Up a level to ..
Memory Tuning
Control the Drawing Views > Change Views > Shade a Model and Use Edge Effects > Control Performance > Memory Tuning >
Memory Tuning
Concept Procedure Quick Reference

To check physical memory (RAM)

To check swap file allocation


To check physical memory (RAM) (Procedure)

Memory Tuning
Up a level to ..
Memory Tuning
Control the Drawing Views > Change Views > Shade a Model and Use Edge Effects > Control Performance > Memory Tuning >
Memory Tuning
Concept Procedure Quick Reference

To check physical memory (RAM)

  1. On the Start menu (Windows), click Control Panel (or Settings [image] Control Panel).
  2. In the Control Panel, click System. You might have to click Performance and Maintenance and then System.
  3. On the General tab, review the information about your computer. The amount of RAM should be listed on this tab.


To check swap file allocation (Procedure)

Memory Tuning
Up a level to ..
Specify 3D Views
Control the Drawing Views > Change Views > Shade a Model and Use Edge Effects > Control Performance > Memory Tuning >
Memory Tuning
Concept Procedure Quick Reference

To check swap file allocation

  1. On the Start menu (Windows), click Control Panel (or Settings [image] Control Panel).
  2. In the Control Panel, click System. You might have to click Performance and Maintenance and then System.
  3. Open the Advanced tab and click the Settings (or Performance Options) button under Performance.
  4. Check the allocated size under the Virtual Memory group, the file size will be listed after the text “Total Paging File Size For All Drives”. You might have to click the Advanced tab first in order to see the allocated size.


Memory Tuning (Quick Reference)

Performance Tuning
Memory Tuning
Overview of 3D Views
Control the Drawing Views > Change Views > Shade a Model and Use Edge Effects > Control Performance > Memory Tuning >
Memory Tuning
Concept Procedure Quick Reference

Commands

No entries

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Use 3D Viewing Tools

Memory Tuning
Control the Drawing Views
Specify 3D Views
Control the Drawing Views >
Use 3D Viewing Tools

When working in 3D, you'll often want to display different views so that you can see and verify the 3D effects in your drawing.

Topics in this section

  • Specify 3D Views

    You can control the 3D navigation display, projection, and visualization tools.

  • Define a 3D View with a Camera

    Define a 3D view by placing a camera in model space and adjusting camera settings to suit your needs.

  • Create Preview Animations

    You can create 3D preview animations and adjust the settings before you create a motion path animation.

  • Create Motion Path Animations

    Motion path animations, such as 3D animated walk-throughs of a model, allow you to visually demonstrate a model to both a technical and non-technical audience. You can record and play back a navigation to communicate your design intent dynamically.


Specify 3D Views

Use 3D Viewing Tools
Use 3D Viewing Tools
Overview of 3D Views
Control the Drawing Views > Use 3D Viewing Tools >
Specify 3D Views
Concept Procedure

You can control the 3D navigation display, projection, and visualization tools.

Topics in this section

  • Overview of 3D Views

    You can create an interactive view of your drawing in the current viewport.

  • Use 3D Navigation Tools

    3D navigation tools allow you to view objects in a drawing from different angles, heights, and distances.

  • Walk and Fly Through a Drawing

    You can simulate walking and flying through a 3D drawing.

  • Create a 3D Dynamic View (DVIEW)

    You can change a view without interrupting your current operation using a feature that combines panning and zooming.


Specify 3D Views (Procedure)

Memory Tuning
Specify 3D Views
Use 3D Navigation Tools
Control the Drawing Views > Use 3D Viewing Tools > Specify 3D Views >
Specify 3D Views
Concept Procedure

To start 3D Orbit view

To switch a 3D navigation mode

To choose a parallel or perspective projection in a 3D view

To change a visual style in a 3D view

To start a continuous orbit

To reset a view

To use preset views

To display a named view

To start walk mode

To start fly mode

To specify Walk or Fly settings

To change the viewing position in the Position Locator window

To turn off the Position Locator window

To set clipping planes (DVIEW)

To restore the default view and UCS


Overview of 3D Views (Concept)

Specify 3D Views
Specify 3D Views
Use 3D Navigation Tools
Control the Drawing Views > Use 3D Viewing Tools > Specify 3D Views >
Overview of 3D Views
Concept Quick Reference

You can create an interactive view of your drawing in the current viewport.

Using the 3D viewing and navigation tools, you can navigate through a drawing, set up a camera for a specific view, and create animations to share your design with others. You can orbit, swivel, walk, and fly around a 3D model, set up a camera, create a preview animation, and record motion path animations that you can distribute to others to visually convey the intent of your design.


Overview of 3D Views (Quick Reference)

Memory Tuning
Overview of 3D Views
Use 3D Navigation Tools
Control the Drawing Views > Use 3D Viewing Tools > Specify 3D Views > Overview of 3D Views >
Overview of 3D Views
Concept Quick Reference

Commands

3DCLIP

Starts an interactive 3D view and opens the Adjust Clipping Planes window

3DCORBIT

Starts an interactive 3D view and sets the objects into continuous motion

3DDISTANCE

Starts the interactive 3D view and makes objects appear closer or farther away

3DFLY

Interactively changes your view of a 3D drawings so that you appear to be flying through the model

3DFORBIT

Controls the interactive viewing of objects in 3D, using an unconstrained orbit

3DORBIT

Controls the interactive viewing of objects in 3D

3DORBITCTR

Sets the center of rotation in 3D Orbit view

3DPAN

When a drawing is in a Perspective view, starts the interactive 3D view and enables you to drag the view horizontally and vertically

3DSWIVEL

Changes the target of the view in the direction that you drag

3DWALK

Interactively changes the view of a 3D drawing so that you appear to be walking through the model

3DZOOM

Zooms in and out in a perspective view

ANIPATH

Saves an animation along a path in a 3D model

CAMERA

Sets a camera and target location to create and save a 3D perspective view of objects

VIEW
WALKFLYSETTINGS

Specifies walk and fly settings

System Variables

CAMERADISPLAY

Turns the display of camera objects on or off

CAMERAHEIGHT

Specifies the default height for new camera objects

Utilities

No entries

Command Modifiers

No entries


Use 3D Navigation Tools (Concept)

Overview of 3D Views
Specify 3D Views
Walk and Fly Through a Drawing
Control the Drawing Views > Use 3D Viewing Tools > Specify 3D Views >
Use 3D Navigation Tools
Concept Procedure Quick Reference

3D navigation tools allow you to view objects in a drawing from different angles, heights, and distances.

Use the following 3D tools to orbit, swivel, adjust distance, zoom, and pan in a 3D view.

  • 3D Orbit. Moves around a target. The target of the view stays stationary while the camera location, or point of view, moves. The center of the viewport, not the center of the objects you’re viewing, is the target point.
  • Constrained Orbit. Constrains 3D Orbit along the XY plane or the Z axis. (3DORBIT)
  • Free Orbit. Orbits in any direction without reference to the planes. The point of view is not constrained along the XY plane of the Z axis. (3DFORBIT)
  • Continuous Orbit. Orbits continuously. Click and drag in the direction you want the continuous orbit to move, and then release the mouse button. The orbit continues to move in that direction. (3DCORBIT)
  • Adjust Distance. Changes the distance of objects as you move the cursor vertically. You can make objects appear larger or smaller, and you can adjust the distance. (3DDISTANCE)
  • Swivel. Simulates panning with a camera in the direction that you drag. The target of the view changes. You can swivel the view along the XY plane or along the Z axis. (3DSWIVEL)
  • Zoom. Simulates moving the camera closer to an object or farther away. Zooming in magnifies the image. (3DZOOM)
  • Pan. Starts the interactive 3D view and enables you to drag the view horizontally and vertically. (3DPAN)

Animate a Navigation

You can create a preview animation of any navigation. Create the preview to fine-tune your animation before you create a motion path animation. You can create, record, play back, and save the animation. For more information about previewing an animation, see Create Preview Animations. For more information about creating motion path animations, see Create Motion Path Animations.


Use 3D Navigation Tools (Procedure)

Specify 3D Views
Up a level to ..
Use 3D Navigation Tools
Control the Drawing Views > Use 3D Viewing Tools > Specify 3D Views > Use 3D Navigation Tools >
Use 3D Navigation Tools
Concept Procedure Quick Reference

To start 3D Orbit view

To switch a 3D navigation mode

To choose a parallel or perspective projection in a 3D view

To change a visual style in a 3D view

To start a continuous orbit

To reset a view

To use preset views

To display a named view


To start 3D Orbit view (Procedure)

Use 3D Navigation Tools
Up a level to ..
Use 3D Navigation Tools
Control the Drawing Views > Use 3D Viewing Tools > Specify 3D Views > Use 3D Navigation Tools >
Use 3D Navigation Tools
Concept Procedure Quick Reference

To start 3D Orbit view

  1. Select one or more objects that you want to view with 3DORBIT or select no objects if you want to view the entire drawing.
    NoteOLE objects and raster objects do not appear in the 3D Orbit view.
  2. Enter 3dcorbit at the command prompt.
  3. Use one of the following methods to orbit around the objects:
    • To rotate along the XY plane, click in the drawing and drag the cursor left or right.
    • To rotate along the Z axis, click in the drawing and drag the cursor up or down.
    • To allow unconstrained orbiting along the XY plane and the Z axis, press SHIFT while you drag the cursor. An arcball appears and you can use the 3D Free Orbit (3DFORBIT) interaction.
  4. Press ENTER.
Toolbar: 3D Navigation
Command entry: 3DORBIT


To switch a 3D navigation mode (Procedure)

Use 3D Navigation Tools
Up a level to ..
Use 3D Navigation Tools
Control the Drawing Views > Use 3D Viewing Tools > Specify 3D Views > Use 3D Navigation Tools >
Use 3D Navigation Tools
Concept Procedure Quick Reference

To switch a 3D navigation mode

  • Start any 3D navigation command, and right-click in the drawing area. Click Other Navigation Modes, and click another navigation mode.
Command entry: 3DORBIT


To choose a parallel or perspective projection in a 3D view (Procedure)

Use 3D Navigation Tools
Up a level to ..
Use 3D Navigation Tools
Control the Drawing Views > Use 3D Viewing Tools > Specify 3D Views > Use 3D Navigation Tools >
Use 3D Navigation Tools
Concept Procedure Quick Reference

To choose a parallel or perspective projection in a 3D view

  1. Start any 3D navigation command, and right-click in the drawing area. Click Parallel or Perspective.

    A check mark is displayed next to the current projection.

Command entry: 3DORBIT, PERSPECTIVE


To change a visual style in a 3D view (Procedure)

Use 3D Navigation Tools
Up a level to ..
Use 3D Navigation Tools
Control the Drawing Views > Use 3D Viewing Tools > Specify 3D Views > Use 3D Navigation Tools >
Use 3D Navigation Tools
Concept Procedure Quick Reference

To change a visual style in a 3D view

  1. Start any 3D navigation command, and right-click in the drawing area. Click Visual Styles.
  2. Select a visual style.

For more information about visual styles, see Use a Visual Style to Display Your Model.

Command entry: 3DORBIT


To start a continuous orbit (Procedure)

Use 3D Navigation Tools
Up a level to ..
Use 3D Navigation Tools
Control the Drawing Views > Use 3D Viewing Tools > Specify 3D Views > Use 3D Navigation Tools >
Use 3D Navigation Tools
Concept Procedure Quick Reference

To start a continuous orbit

  1. Enter 3dcorbit at the command prompt.
  2. Click in the drawing and drag the cursor to start a continuous motion. When you release cursor, the orbit continues in the direction that you were dragging.
Command entry: 3DCORBIT


To reset a view (Procedure)

Use 3D Navigation Tools
Up a level to ..
Use 3D Navigation Tools
Control the Drawing Views > Use 3D Viewing Tools > Specify 3D Views > Use 3D Navigation Tools >
Use 3D Navigation Tools
Concept Procedure Quick Reference

To reset a view

  • Start any 3D navigation command, and right-click in the drawing area. Click Reset View.

The view that was originally displayed when you entered the 3D navigation mode is restored.

Command entry: 3DORBIT


To use preset views (Procedure)

Use 3D Navigation Tools
Up a level to ..
Use 3D Navigation Tools
Control the Drawing Views > Use 3D Viewing Tools > Specify 3D Views > Use 3D Navigation Tools >
Use 3D Navigation Tools
Concept Procedure Quick Reference

To use preset views

  1. Start any 3D navigation command, and right-click in the drawing area. Click Preset Views.
  2. Click a view.
Command entry: 3DORBIT


To display a named view (Procedure)

Use 3D Navigation Tools
Up a level to ..
Walk and Fly Through a Drawing
Control the Drawing Views > Use 3D Viewing Tools > Specify 3D Views > Use 3D Navigation Tools >
Use 3D Navigation Tools
Concept Procedure Quick Reference

To display a named view

  1. Start any 3D navigation command, and right-click in the drawing area. Click Named Views.
  2. Click a named view or a camera.
Command entry: 3DORBIT


Use 3D Navigation Tools (Quick Reference)

Overview of 3D Views
Use 3D Navigation Tools
Walk and Fly Through a Drawing
Control the Drawing Views > Use 3D Viewing Tools > Specify 3D Views > Use 3D Navigation Tools >
Use 3D Navigation Tools
Concept Procedure Quick Reference

Commands

3DCORBIT

Starts an interactive 3D view and sets the objects into continuous motion

3DDISTANCE

Starts the interactive 3D view and makes objects appear closer or farther away

3DFORBIT

Controls the interactive viewing of objects in 3D, using an unconstrained orbit

3DORBIT

Controls the interactive viewing of objects in 3D

3DORBITCTR

Sets the center of rotation in 3D Orbit view

3DPAN

When a drawing is in a Perspective view, starts the interactive 3D view and enables you to drag the view horizontally and vertically

3DSWIVEL

Changes the target of the view in the direction that you drag

3DZOOM

Zooms in and out in a perspective view

System Variables

PERSPECTIVE
PERSPECTIVECLIP

Determines the location of eyepoint clipping. The value determines where the eye point clipping occurs as a percentage. Values can range between 0.01 and 10.0. If you select a small value, the z-values of objects will be compressed at the target view and beyond. If you select a value such as 0.5%, the clipping will appear very close to the eyepoint of the view. In some extreme cases it might be appropriate to use 0.1%, but it is recommended to change the setting to a higher value such as 5%

Utilities

No entries

Command Modifiers

No entries


Walk and Fly Through a Drawing (Concept)

Use 3D Navigation Tools
Specify 3D Views
Create a 3D Dynamic View (DVIEW)
Control the Drawing Views > Use 3D Viewing Tools > Specify 3D Views >
Walk and Fly Through a Drawing
Concept Procedure Quick Reference

You can simulate walking and flying through a 3D drawing.

When you walk through a model, you travel along the XY plane. When you fly through a model, you are not constrained by the XY plane, so you appear to “fly” over an area in a model.

Show Me: Walk Through a Drawing

Click the Play arrow to start the animation.

Use the Keyboard and Mouse Interactions to Walk and Fly

You can use a standard set of keys and mouse interactions to walk and fly through a drawing. Use the four arrow keys or the W, A, S, and D keys to move up, down, left, or right. To toggle between walk and fly mode, press the F key. To specify the direction of the view, drag the mouse in the direction you want to look.

NoteThe Walk and Fly Navigation Mappings balloon provides information about the keyboard and mouse actions that control walk and fly modes. The appearance of the balloon depends on the display option selected in the Walk and Fly settings dialog box.

Display a Top View of a Model as You Walk or Fly

AutoCAD provides a helpful way for you to keep track of your position in a 3D model as you walk or fly through it. When you start the 3DWALK or 3DFLY command, the Position Locator window displays a top view of the model. A position indicator shows your location in relationship to the model, and a target indicator shows the model you are walking or flying through. You can edit the position settings in the Position Locator window before you start walk or fly mode, or while you are moving in the model.

NoteIf performance slows when the Position Locator window is displayed, you may want to close the window.

Specify Walk and Fly Settings

Specify walk and fly settings in the 3D Navigate panel on the the ribbon or in the Walk and Fly Settings dialog box. You can set the default step size, the number of steps per second, and other display settings.

Animate Walk and Fly Navigation

You can create a preview animation of any navigation, including walking and flying through a drawing. Create the preview to fine-tune your animation before you create a motion path animation. You can create, record, play back, and save the animation. For more information about previewing an animation, see Create Preview Animations. For more information about creating motion path animations, see Create Motion Path Animations.


Walk and Fly Through a Drawing (Procedure)

Use 3D Navigation Tools
Up a level to ..
Walk and Fly Through a Drawing
Control the Drawing Views > Use 3D Viewing Tools > Specify 3D Views > Walk and Fly Through a Drawing >
Walk and Fly Through a Drawing
Concept Procedure Quick Reference

To start walk mode

To start fly mode

To specify Walk or Fly settings

To change the viewing position in the Position Locator window

To turn off the Position Locator window


To start walk mode (Procedure)

Walk and Fly Through a Drawing
Up a level to ..
Walk and Fly Through a Drawing
Control the Drawing Views > Use 3D Viewing Tools > Specify 3D Views > Walk and Fly Through a Drawing >
Walk and Fly Through a Drawing
Concept Procedure Quick Reference

To start walk mode

  • Click View [image] Walk and Fly [image] Walk.Enter 3dwalk at the command prompt.
Toolbar: 3D Navigation
Shortcut menu: Start any 3D navigation command, right-click in the drawing area, and select Other Navigation Modes [image] Walk.
Command entry: 3DWALK


To start fly mode (Procedure)

Walk and Fly Through a Drawing
Up a level to ..
Walk and Fly Through a Drawing
Control the Drawing Views > Use 3D Viewing Tools > Specify 3D Views > Walk and Fly Through a Drawing >
Walk and Fly Through a Drawing
Concept Procedure Quick Reference

To start fly mode

  • Enter 3dflyat the command prompt.
Toolbar: 3D Navigation
Shortcut menu: Start any 3D navigation command, right-click in the drawing area, and select Other Navigation Modes [image] Fly.
Command entry: 3DFLY


To specify Walk or Fly settings (Procedure)

Walk and Fly Through a Drawing
Up a level to ..
Walk and Fly Through a Drawing
Control the Drawing Views > Use 3D Viewing Tools > Specify 3D Views > Walk and Fly Through a Drawing >
Walk and Fly Through a Drawing
Concept Procedure Quick Reference

To specify Walk or Fly settings

  1. Enter walkflysettings at the command prompt.
  2. In the Walk and Fly Settings dialog box, Settings section, do the following:
    • Under the Display Instruction balloon option, click the button next to a display option.
    • In the Display Position Locator Window option, clear the check box if you do not want to display the window. If performance slows when this window is displayed, you may want to close the Position Locator window.
  3. In the Current Drawing Settings section, do the following
    • Under the Walk/Fly Step Size option, enter a number to set the step size in drawing units.
    • In the Steps Per Second option, enter a number between 1 and 30.
  4. Click OK.
Toolbar: 3D Navigation
Command entry: WALKFLYSETTINGS


To change the viewing position in the Position Locator window (Procedure)

Walk and Fly Through a Drawing
Up a level to ..
Walk and Fly Through a Drawing
Control the Drawing Views > Use 3D Viewing Tools > Specify 3D Views > Walk and Fly Through a Drawing >
Walk and Fly Through a Drawing
Concept Procedure Quick Reference

To change the viewing position in the Position Locator window

  1. Click View menu [image] Walk And Fly [image] Walk Or Fly.
  2. In the Position Locator window, Preview area, click the position indicator (a colored dot) and drag it to a new position.
  3. If the target indicator is displayed, click it and drag it to the new target.
  4. In the General section, make any changes to the current settings.
  5. Continue walking or flying through the model.
Command entry: 3DWALK, 3DFLY


To turn off the Position Locator window (Procedure)

Walk and Fly Through a Drawing
Up a level to ..
Create a 3D Dynamic View (DVIEW)
Control the Drawing Views > Use 3D Viewing Tools > Specify 3D Views > Walk and Fly Through a Drawing >
Walk and Fly Through a Drawing
Concept Procedure Quick Reference

To turn off the Position Locator window

  1. Enter walkflysettings at the command prompt.
  2. In the Walk and Fly Settings dialog box, clear the check mark next to Display Position Locator.
  3. Click OK.
Toolbar: 3D Navigation
Shortcut menu: While in any 3D Navigation mode, right-click. Click Walk And Fly Settings.
Command entry: WALKFLYSETTINGS


Walk and Fly Through a Drawing (Quick Reference)

Use 3D Navigation Tools
Walk and Fly Through a Drawing
Create a 3D Dynamic View (DVIEW)
Control the Drawing Views > Use 3D Viewing Tools > Specify 3D Views > Walk and Fly Through a Drawing >
Walk and Fly Through a Drawing
Concept Procedure Quick Reference

Commands

3DFLY

Interactively changes your view of a 3D drawings so that you appear to be flying through the model

3DWALK

Interactively changes the view of a 3D drawing so that you appear to be walking through the model

WALKFLYSETTINGS

Specifies walk and fly settings

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Create a 3D Dynamic View (DVIEW) (Concept)

Walk and Fly Through a Drawing
Specify 3D Views
Define a 3D View with a Camera
Control the Drawing Views > Use 3D Viewing Tools > Specify 3D Views >
Create a 3D Dynamic View (DVIEW)
Concept Procedure Quick Reference

You can change a view without interrupting your current operation using a feature that combines panning and zooming.

With dynamic viewing, you can display the effects of changing your viewpoint as you make the changes. Using this method, you can also simplify your view temporarily by choosing only the objects that you need to determine the view. Alternatively, if you press ENTER without selecting any objects, 3D Dynamic View displays a model of a small house instead of your actual drawing. You can use this house to define the viewing angle and distance. When your adjustments are complete and you exit the command, the changes are applied to the entire 3D model in the current view.

NoteMore powerful options for dynamic viewing in 3D are available in the 3DORBIT command. For more information, see Use 3D Navigation Tools.

Set Clipping Planes

You can create cutaway, or section, views of your drawing by positioning front and back clipping planes that control the visibility of objects based on their distance from a theoretical camera. You can move the clipping planes perpendicular to the line of sight between the camera and target (where the camera is pointing). Clipping removes the display of objects from the front and back of clipping planes. The following illustration shows how clipping planes work:

NoteYou can also set clipping planes when you create a camera glyph. For more information, see Change Camera Properties.


Create a 3D Dynamic View (DVIEW) (Procedure)

Walk and Fly Through a Drawing
Up a level to ..
Create a 3D Dynamic View (DVIEW)
Control the Drawing Views > Use 3D Viewing Tools > Specify 3D Views > Create a 3D Dynamic View (DVIEW) >
Create a 3D Dynamic View (DVIEW)
Concept Procedure Quick Reference

To set clipping planes (DVIEW)

To restore the default view and UCS


Create a 3D Dynamic View (DVIEW) (Procedure)

Create a 3D Dynamic View (DVIEW)
Up a level to ..
Create a 3D Dynamic View (DVIEW)
Control the Drawing Views > Use 3D Viewing Tools > Specify 3D Views > Create a 3D Dynamic View (DVIEW) >
Create a 3D Dynamic View (DVIEW)
Concept Procedure Quick Reference
Command entry: DVIEW


To set clipping planes (DVIEW) (Procedure)

Create a 3D Dynamic View (DVIEW)
Up a level to ..
Create a 3D Dynamic View (DVIEW)
Control the Drawing Views > Use 3D Viewing Tools > Specify 3D Views > Create a 3D Dynamic View (DVIEW) >
Create a 3D Dynamic View (DVIEW)
Concept Procedure Quick Reference

To set clipping planes (DVIEW)

  1. At the command prompt, enter dview.
  2. Select the objects on which to base the view.
  3. At the command prompt, enter cL (Clip).
  4. Enter f to set a front clipping plane or b to set a back clipping plane, or press ENTER.
  5. Position the clipping plane by dragging the slider or entering a distance from the target.
  6. Press ENTER to exit the command.
    NoteYou can also set clipping planes when you create a camera glyph. For more information, see Change Camera Properties.
Command entry: DVIEW


To restore the default view and UCS (Procedure)

Create a 3D Dynamic View (DVIEW)
Up a level to ..
Define a 3D View with a Camera
Control the Drawing Views > Use 3D Viewing Tools > Specify 3D Views > Create a 3D Dynamic View (DVIEW) >
Create a 3D Dynamic View (DVIEW)
Concept Procedure Quick Reference

To restore the default view and UCS

  1. Click View menu [image] 3D Views [image] Plan View [image] World UCS.
Command entry: PLAN


Create a 3D Dynamic View (DVIEW) (Quick Reference)

Walk and Fly Through a Drawing
Create a 3D Dynamic View (DVIEW)
Overview of Cameras
Control the Drawing Views > Use 3D Viewing Tools > Specify 3D Views > Create a 3D Dynamic View (DVIEW) >
Create a 3D Dynamic View (DVIEW)
Concept Procedure Quick Reference

Commands

DVIEW

Defines parallel projection or perspective views by using a camera and target

PLAN

Displays the plan view of a specified user coordinate system

System Variables

VIEWDIR

Stores the viewing direction in the current viewport, expressed in UCS coordinates

VIEWTWIST

Stores the view rotation angle for the current viewport measured relative to the WCS

WORLDVIEW

Utilities

No entries

Command Modifiers

No entries


Define a 3D View with a Camera

Create a 3D Dynamic View (DVIEW)
Use 3D Viewing Tools
Overview of Cameras
Control the Drawing Views > Use 3D Viewing Tools >
Define a 3D View with a Camera
Concept Procedure

Define a 3D view by placing a camera in model space and adjusting camera settings to suit your needs.

Topics in this section

  • Overview of Cameras

    You can place a camera in a drawing to define a 3D view.

  • Create a Camera

    Set a camera and target location to create and save 3D perspective views of objects.

  • Change Camera Properties

    You can modify a camera’s lens length, change its front and back clipping planes, name a camera, and turn the display of all cameras on or off in a drawing.


Define a 3D View with a Camera (Procedure)

Create a 3D Dynamic View (DVIEW)
Define a 3D View with a Camera
Create a Camera
Control the Drawing Views > Use 3D Viewing Tools > Define a 3D View with a Camera >
Define a 3D View with a Camera
Concept Procedure

To create a camera

To create a camera from the Tool palette

To display a camera

To change a camera’s lens length

To set a camera’s clipping planes

To rename a camera

To change a camera’s location

To change a camera’s target

To specify whether the camera glyph plots


Overview of Cameras (Concept)

Define a 3D View with a Camera
Define a 3D View with a Camera
Create a Camera
Control the Drawing Views > Use 3D Viewing Tools > Define a 3D View with a Camera >
Overview of Cameras
Concept Quick Reference

You can place a camera in a drawing to define a 3D view.

You can turn a camera on or off in a drawing and use grips to edit a camera’s location, target, or lens length. A camera is defined by a location XYZ coordinate, a target XYZ coordinate, and a field of view/lens length, which determines the magnification, or zoom factor. You can also define clipping planes, which establish front and back boundaries for the associated view.

  • Location. Defines the point from which you are viewing a 3D model.
  • Target. Defines the point you are viewing by specifying the coordinate at the center of the view.
  • Lens length. Defines the magnification properties of a camera’s lens. The greater the lens length, the narrower the field of view.
  • Front and back clipping planes. Specifies the location of clipping planes. Clipping planes are boundaries that define, or clip, a view. In the camera's view, everything between the camera and the front clipping plane is hidden. Likewise, everything between the back clipping plane and the target is hidden.

By default, saved cameras are given names such as Camera1, Camera2, and so on. You can rename a camera to better describe its view. The View Manager lists existing cameras in a drawing as well as other named views.

Use the Camera Glyph Appearance dialog box to control the camera glyph's colors and size.


Overview of Cameras (Quick Reference)

Create a 3D Dynamic View (DVIEW)
Overview of Cameras
Create a Camera
Control the Drawing Views > Use 3D Viewing Tools > Define a 3D View with a Camera > Overview of Cameras >
Overview of Cameras
Concept Quick Reference

Commands

CAMERA

Sets a camera and target location to create and save a 3D perspective view of objects

OPTIONS

Customizes the program settings

System Variables

CAMERADISPLAY

Turns the display of camera objects on or off

CAMERAHEIGHT

Specifies the default height for new camera objects

Utilities

No entries

Command Modifiers

No entries


Create a Camera (Concept)

Overview of Cameras
Define a 3D View with a Camera
Change Camera Properties
Control the Drawing Views > Use 3D Viewing Tools > Define a 3D View with a Camera >
Create a Camera
Concept Procedure Quick Reference

Set a camera and target location to create and save 3D perspective views of objects.

You can create a new camera by defining its location and a target, and by further defining its name, height, lens length, and clipping planes. You can also use one of several pre-defined camera types that are available on the tool palette.


Create a Camera (Procedure)

Define a 3D View with a Camera
Up a level to ..
Create a Camera
Control the Drawing Views > Use 3D Viewing Tools > Define a 3D View with a Camera > Create a Camera >
Create a Camera
Concept Procedure Quick Reference

To create a camera

To create a camera from the Tool palette

To display a camera


To create a camera (Procedure)

Create a Camera
Up a level to ..
Create a Camera
Control the Drawing Views > Use 3D Viewing Tools > Define a 3D View with a Camera > Create a Camera >
Create a Camera
Concept Procedure Quick Reference

To create a camera

  1. Enter camera at the command prompt.
  2. Click in the drawing to specify the camera’s location.
  3. Click again in the drawing to specify a target location.
  4. Do one of the following:
    • If you are finished setting up the camera, press ENTER.
    • To further define camera properties, right-click and select from the list of options. Then press ENTER to finish setting up the camera.
    Toolbar: View
    Command entry: CAMERA


To create a camera from the Tool palette (Procedure)

Create a Camera
Up a level to ..
Create a Camera
Control the Drawing Views > Use 3D Viewing Tools > Define a 3D View with a Camera > Create a Camera >
Create a Camera
Concept Procedure Quick Reference

To create a camera from the Tool palette

  1. Enter ToolPalettesCloseat the command prompt.
  2. Click the Camera tool palette tab to make it active.
  3. Select a camera type. Drag the camera icon from the tool palette, and click in the drawing where you want to set its location.
  4. Click again in the drawing when you want to place the target.
Command entry: CAMERA


To display a camera (Procedure)

Create a Camera
Up a level to ..
Change Camera Properties
Control the Drawing Views > Use 3D Viewing Tools > Define a 3D View with a Camera > Create a Camera >
Create a Camera
Concept Procedure Quick Reference

To display a camera

  • Click View menu [image] Display [image] Cameras.
    Command entry: CAMERADISPLAY


Create a Camera (Quick Reference)

Overview of Cameras
Create a Camera
Change Camera Properties
Control the Drawing Views > Use 3D Viewing Tools > Define a 3D View with a Camera > Create a Camera >
Create a Camera
Concept Procedure Quick Reference

Commands

CAMERA

Sets a camera and target location to create and save a 3D perspective view of objects

OPTIONS

Customizes the program settings

System Variables

CAMERADISPLAY

Turns the display of camera objects on or off

CAMERAHEIGHT

Specifies the default height for new camera objects

Utilities

No entries

Command Modifiers

No entries


Change Camera Properties (Concept)

Create a Camera
Define a 3D View with a Camera
Create Preview Animations
Control the Drawing Views > Use 3D Viewing Tools > Define a 3D View with a Camera >
Change Camera Properties
Concept Procedure Quick Reference

You can modify a camera’s lens length, change its front and back clipping planes, name a camera, and turn the display of all cameras on or off in a drawing.

When you select a camera, the Camera Preview dialog box opens to display the camera's view.

There are several ways to change camera settings:

  • Click and drag grips to resize or relocate a lens length or field of view.

  • Use the Dynamic Input tooltip to enter X,Y, Z coordinate values.

  • Modify camera properties in the Camera Properties palette.


Change Camera Properties (Procedure)

Create a Camera
Up a level to ..
Change Camera Properties
Control the Drawing Views > Use 3D Viewing Tools > Define a 3D View with a Camera > Change Camera Properties >
Change Camera Properties
Concept Procedure Quick Reference

To change a camera’s lens length

To set a camera’s clipping planes

To rename a camera

To change a camera’s location

To change a camera’s target

To specify whether the camera glyph plots


To change a camera’s lens length (Procedure)

Change Camera Properties
Up a level to ..
Change Camera Properties
Control the Drawing Views > Use 3D Viewing Tools > Define a 3D View with a Camera > Change Camera Properties >
Change Camera Properties
Concept Procedure Quick Reference

To change a camera’s lens length

  1. If cameras are not already displayed in the drawing, click View menu [image] Display [image] Cameras.
  2. Click the camera glyph.
  3. Click a Lens Length/FOV grip tool.
  4. Move the cursor and click where you want to position the lens.
  5. Press ENTER.
    NoteTo change a lens length to a precise value, double-click a camera glyph to open the Properties palette. In the Cameras section, Lens Length option (mm), enter a numeric value.
Command entry: CAMERADISPLAY


To set a camera’s clipping planes (Procedure)

Change Camera Properties
Up a level to ..
Change Camera Properties
Control the Drawing Views > Use 3D Viewing Tools > Define a 3D View with a Camera > Change Camera Properties >
Change Camera Properties
Concept Procedure Quick Reference

To set a camera’s clipping planes

  1. If cameras are not already displayed in the drawing, click View menu [image] Display [image] Cameras.
  2. Double-click the camera whose clipping planes you want to set.
  3. In the Properties palette, Clipping section, Clipping option, select Front On, Back On, or Front and Back On.
  4. In the Front Plane or Back Plane option, enter numeric values.
  5. Press ENTER.
    Command entry: CAMERADISPLAY


To rename a camera (Procedure)

Change Camera Properties
Up a level to ..
Change Camera Properties
Control the Drawing Views > Use 3D Viewing Tools > Define a 3D View with a Camera > Change Camera Properties >
Change Camera Properties
Concept Procedure Quick Reference

To rename a camera

  1. If cameras are not already displayed in the drawing, click View menu [image] Display [image] Cameras.
  2. Double-click a camera glyph.
  3. In the Properties palette, General section, Name option, enter a new name.
  4. Press ENTER.
Command entry: CAMERADISPLAY


To change a camera’s location (Procedure)

Change Camera Properties
Up a level to ..
Change Camera Properties
Control the Drawing Views > Use 3D Viewing Tools > Define a 3D View with a Camera > Change Camera Properties >
Change Camera Properties
Concept Procedure Quick Reference

To change a camera’s location

  1. If cameras are not already displayed in the drawing, click View menu [image] Display [image] Cameras.
  2. Click the camera glyph, drag it to the new location, and click to place the camera.
  3. Press ENTER.
Command entry: CAMERADISPLAY


To change a camera’s target (Procedure)

Change Camera Properties
Up a level to ..
Change Camera Properties
Control the Drawing Views > Use 3D Viewing Tools > Define a 3D View with a Camera > Change Camera Properties >
Change Camera Properties
Concept Procedure Quick Reference

To change a camera’s target

  1. If cameras are not already displayed in the drawing, click View menu [image] Display [image] Cameras.
  2. Click the camera glyph whose target you want to change.
  3. Click the Target Distance grip tool (the blue grip in the center), drag it to the new location, and click to place the target.
  4. Press ENTER.
Command entry: CAMERADISPLAY


To specify whether the camera glyph plots (Procedure)

Change Camera Properties
Up a level to ..
Create Preview Animations
Control the Drawing Views > Use 3D Viewing Tools > Define a 3D View with a Camera > Change Camera Properties >
Change Camera Properties
Concept Procedure Quick Reference

To specify whether the camera glyph plots

  1. If cameras are not already displayed in the drawing, click View menu [image] Display [image] Cameras.
  2. Double-click a camera.
  3. In the Properties palette, Camera section, Plot option, click Yes or No.
Command entry: CAMERADISPLAY


Change Camera Properties (Quick Reference)

Create a Camera
Change Camera Properties
Create Preview Animations
Control the Drawing Views > Use 3D Viewing Tools > Define a 3D View with a Camera > Change Camera Properties >
Change Camera Properties
Concept Procedure Quick Reference

Commands

CAMERA

Sets a camera and target location to create and save a 3D perspective view of objects

System Variables

CAMERADISPLAY

Turns the display of camera objects on or off

CAMERAHEIGHT

Specifies the default height for new camera objects

Utilities

No entries

Command Modifiers

No entries


Create Preview Animations (Concept)

Change Camera Properties
Use 3D Viewing Tools
Create Motion Path Animations
Control the Drawing Views > Use 3D Viewing Tools >
Create Preview Animations
Concept Procedure Quick Reference

You can create 3D preview animations and adjust the settings before you create a motion path animation.

Preview animations are created with the controls on the Animation panel found on the ribbon and the 3D navigation tools. Once a 3D navigation tool is active, the controls on the Animation panel are enabled to start recording an animation.

The following commands can be used to create an animation

  • 3DCORBIT
  • 3DDISTANCE
  • 3DFLY
  • 3DFORBIT
  • 3DORBIT
  • 3DPAN
  • 3DSWIVEL
  • 3DWALK
  • 3DZOOM

To learn more about the 3D navigation tools available for creating an animation, see Use 3D Navigation Tools.


Create Preview Animations (Procedure)

Change Camera Properties
Create Preview Animations
Create Preview Animations
Control the Drawing Views > Use 3D Viewing Tools > Create Preview Animations >
Create Preview Animations
Concept Procedure Quick Reference

To create a preview animation

To record a preview animation


To create a preview animation (Procedure)

Create Preview Animations
Create Preview Animations
Create Preview Animations
Control the Drawing Views > Use 3D Viewing Tools > Create Preview Animations >
Create Preview Animations
Concept Procedure Quick Reference

To create a preview animation

  1. Start any 3D navigation command, and click the Animation panel on the ribbon.
  2. In the Animation panel, click the Start button.
  3. Navigate through the drawing model. If you are in walk or fly mode, you can use the Position Locator window as a visual guide.
  4. (Optional) Do any of the following:
    • Right-click in the drawing and click Other Navigation Modes. Click another navigation mode.
    • Click the Pause Recording Animation button to set up another navigation mode or adjust animation settings. If you are in walk or fly mode, you can also adjust settings for the Position Locator window.
  5. Click the Play button.
  6. In the Animation Preview dialog box, view the animation, and do the following:
    • If you want to preview the animation in a different visual style, select another style from the list.
    • If you are satisfied with the animation playback, click the Save button.
  7. In the Save As dialog box, select a file location, file name, and file type (AVI, MPG, MOV, or WMV).
  8. Click Save.
Command entry: 3DORBIT, RIBBON


To record a preview animation (Procedure)

Create Preview Animations
Create Preview Animations
Create Motion Path Animations
Control the Drawing Views > Use 3D Viewing Tools > Create Preview Animations >
Create Preview Animations
Concept Procedure Quick Reference

To record a preview animation

  1. Start any navigation command, and click the Animation panel on the ribbon.
  2. On the ribbon, click the Start button.
  3. Navigate through the model to record the movement.
  4. When you are finished recording the animation, click the Pause Recording Animation button.
  5. Click the Play button. In the Animation Preview dialog box, view the recording to verify that the animation is suitable for your presentation needs.
    NoteThe playback of the animation gives you a general visual idea of the final output. It may not display the visual style or with the same quality of the final output.
  6. If you are satisfied with the animation, click the Save Animation button.
  7. In the Save As dialog box, choose a location and file name.
    NoteTo change the file type, click the Animation Settings button. In the Animation Settings dialog box, Format option, click a file type. Click OK to return to the Save As dialog box.
  8. Click Save.
Command entry: 3DORBIT, RIBBON


Create Preview Animations (Quick Reference)

Change Camera Properties
Create Preview Animations
Control a Camera Motion Path
Control the Drawing Views > Use 3D Viewing Tools > Create Preview Animations >
Create Preview Animations
Concept Procedure Quick Reference

Commands

3DCLIP

Starts an interactive 3D view and opens the Adjust Clipping Planes window

3DCORBIT

Starts an interactive 3D view and sets the objects into continuous motion

3DDISTANCE

Starts the interactive 3D view and makes objects appear closer or farther away

3DFLY

Interactively changes your view of a 3D drawings so that you appear to be flying through the model

3DFORBIT

Controls the interactive viewing of objects in 3D, using an unconstrained orbit

3DORBIT

Controls the interactive viewing of objects in 3D

3DORBITCTR

Sets the center of rotation in 3D Orbit view

3DPAN

When a drawing is in a Perspective view, starts the interactive 3D view and enables you to drag the view horizontally and vertically

3DSWIVEL

Changes the target of the view in the direction that you drag

3DWALK

Interactively changes the view of a 3D drawing so that you appear to be walking through the model

3DZOOM

Zooms in and out in a perspective view

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Create Motion Path Animations

Create Preview Animations
Use 3D Viewing Tools
Control a Camera Motion Path
Control the Drawing Views > Use 3D Viewing Tools >
Create Motion Path Animations
Concept Procedure

Motion path animations, such as 3D animated walk-throughs of a model, allow you to visually demonstrate a model to both a technical and non-technical audience. You can record and play back a navigation to communicate your design intent dynamically.

When you set up a motion path animation, you can:

  • Specify a starting point or path
  • Specify a destination (target) point or path
  • Preview the current camera and path relationship
  • Adjust animation settings
  • Record an animation

For more information, see any of the following topics.

Topics in this section

  • Control a Camera Motion Path

    You control the camera motion, and therefore the animation, by linking the camera and its target to a point or a path.

  • Specify Motion Path Settings

    You determine the format of the animation file of a motion path animation by specifying settings in the Motion Path Animation dialog box.

  • Record a Motion Path Animation

    You can preview the animation before you record it and then save it in the desired format.


Create Motion Path Animations (Procedure)

Create Preview Animations
Create Motion Path Animations
Control a Camera Motion Path
Control the Drawing Views > Use 3D Viewing Tools > Create Motion Path Animations >
Create Motion Path Animations
Concept Procedure

To create a motion path animation

To view a reverse motion path animation

To control the speed and duration of the animation

To set animation resolution

To set the video format

To preview and save a motion path animation


Control a Camera Motion Path (Concept)

Create Motion Path Animations
Create Motion Path Animations
Specify Motion Path Settings
Control the Drawing Views > Use 3D Viewing Tools > Create Motion Path Animations >
Control a Camera Motion Path
Concept Procedure Quick Reference

You control the camera motion, and therefore the animation, by linking the camera and its target to a point or a path.

To create an animation using motion paths, you link the camera and its target to either a point or a path. If you want the camera to remain still, link it to a point. If you want the camera to move along a path, link it to a path.

If you want the target to remain still, link it to a point. If you want the target to move, link it to a path. You cannot link both the camera and the target to a point.

Use the same path when you want the animation view to follow in line with the camera's path. You do this by setting the target's path to None in the Motion Path Animation dialog box. This is the default setting.

NoteTo link a camera or target to a path, you must create the path object before you create the motion path animation. A path can be a line, arc, elliptical arc, circle, polyline, 3D polyline, or spline.


To create a motion path animation (Procedure)

Create Motion Path Animations
Up a level to ..
Specify Motion Path Settings
Control the Drawing Views > Use 3D Viewing Tools > Create Motion Path Animations > Control a Camera Motion Path >
Control a Camera Motion Path
Concept Procedure Quick Reference

To create a motion path animation

  1. In the drawing, create a path object for either the camera or the target. A path can be a line, arc, elliptical arc, circle, polyline, 3D polyline, or spline.
    NoteThe path you create is not visible in the animation.
  2. Click Tools tab [image] Animations panel [image] Animation Motion Path. At the command prompt, enter anipath.
  3. In the Motion Path Animation dialog box, Camera section, click either Point or Path.
  4. Do one of the following:
    • To specify a new camera point, click the Pick Point button, and specify a point in the drawing. Enter a name for the point. Click OK.
    • To specify a new camera path, click the Select Path button, and specify a path in the drawing. Enter a name for the path. Click OK.
    • To specify an existing camera point or path, select it from the drop-down list.
  5. In the Motion Path Animation dialog box, Target section, click either Point or Path.
  6. Do one of the following:
    • To specify a new target point, click the Pick Point button, and specify a point in the drawing. Enter a name for the point. Click OK.
    • To specify a new target path, click the Select Path button, and specify a path in the drawing. Enter a name for the path. Click OK.
    • To specify an existing target point or path, select it from the drop-down list.
  7. In the Animation Settings section, adjust the animation settings to create the animation to suit your needs.
  8. When you have finished adjusting the points, paths, and settings, click Preview to view the animation, or OK to save it.
Command entry: ANIPATH


Control a Camera Motion Path (Quick Reference)

Create Preview Animations
Control a Camera Motion Path
Specify Motion Path Settings
Control the Drawing Views > Use 3D Viewing Tools > Create Motion Path Animations > Control a Camera Motion Path >
Control a Camera Motion Path
Concept Procedure Quick Reference

Commands

ANIPATH

Saves an animation along a path in a 3D model

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Specify Motion Path Settings (Concept)

Control a Camera Motion Path
Create Motion Path Animations
Record a Motion Path Animation
Control the Drawing Views > Use 3D Viewing Tools > Create Motion Path Animations >
Specify Motion Path Settings
Concept Procedure Quick Reference

You determine the format of the animation file of a motion path animation by specifying settings in the Motion Path Animation dialog box.

Several settings control the animation's frame rate, duration, resolution, visual style, and file format.


Specify Motion Path Settings (Procedure)

Control a Camera Motion Path
Up a level to ..
Specify Motion Path Settings
Control the Drawing Views > Use 3D Viewing Tools > Create Motion Path Animations > Specify Motion Path Settings >
Specify Motion Path Settings
Concept Procedure Quick Reference

To view a reverse motion path animation

To control the speed and duration of the animation

To set animation resolution

To set the video format


To view a reverse motion path animation (Procedure)

Specify Motion Path Settings
Up a level to ..
Specify Motion Path Settings
Control the Drawing Views > Use 3D Viewing Tools > Create Motion Path Animations > Specify Motion Path Settings >
Specify Motion Path Settings
Concept Procedure Quick Reference

To view a reverse motion path animation

  1. Click Tools tab [image] Animations panel [image] Animation Motion Path. At the command prompt, enter anipath.
  2. In the Motion Path Animation dialog box, Animation Settings section, click the Reverse check box.
  3. Click OK.
Command entry: ANIPATH


To control the speed and duration of the animation (Procedure)

Specify Motion Path Settings
Up a level to ..
Specify Motion Path Settings
Control the Drawing Views > Use 3D Viewing Tools > Create Motion Path Animations > Specify Motion Path Settings >
Specify Motion Path Settings
Concept Procedure Quick Reference

To control the speed and duration of the animation

  1. Click Tools tab [image] Animations panel [image] Animation Motion Path. At the command prompt, enter anipath.
  2. In the Motion Path Animation dialog box, Animation Settings section, specify a Frame rate (FPS).
  3. Do one of the following:
    • Specify a number of frames.
    • Specify a duration, in seconds.
  4. Click Preview or OK.
    Command entry: ANIPATH


To set animation resolution (Procedure)

Specify Motion Path Settings
Up a level to ..
Specify Motion Path Settings
Control the Drawing Views > Use 3D Viewing Tools > Create Motion Path Animations > Specify Motion Path Settings >
Specify Motion Path Settings
Concept Procedure Quick Reference

To set animation resolution

  1. Click Tools tab [image] Animations panel [image] Animation Motion Path. At the command prompt, enter anipath.
  2. In the Motion Path Animation dialog box, Animation Settings section, select a resolution from the Resolution drop-down list.
Command entry: ANIPATH


To set the video format (Procedure)

Specify Motion Path Settings
Up a level to ..
Record a Motion Path Animation
Control the Drawing Views > Use 3D Viewing Tools > Create Motion Path Animations > Specify Motion Path Settings >
Specify Motion Path Settings
Concept Procedure Quick Reference

To set the video format

  1. Click Tools tab [image] Animations panel [image] Animation Motion Path. At the command prompt, enter anipath.
  2. In the Motion Path Animation dialog box, Animation Settings section, click a video format (AVI, MPG, MOV, or WMV) from the Format drop-down list.
Command entry: ANIPATH


Specify Motion Path Settings (Quick Reference)

Control a Camera Motion Path
Specify Motion Path Settings
Record a Motion Path Animation
Control the Drawing Views > Use 3D Viewing Tools > Create Motion Path Animations > Specify Motion Path Settings >
Specify Motion Path Settings
Concept Procedure Quick Reference

Commands

ANIPATH

Saves an animation along a path in a 3D model

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Record a Motion Path Animation (Concept)

Specify Motion Path Settings
Create Motion Path Animations
Display Multiple Views in Model Space
Control the Drawing Views > Use 3D Viewing Tools > Create Motion Path Animations >
Record a Motion Path Animation
Concept Procedure Quick Reference

You can preview the animation before you record it and then save it in the desired format.


To preview and save a motion path animation (Procedure)

Specify Motion Path Settings
Up a level to ..
Set Model Space Viewports
Control the Drawing Views > Use 3D Viewing Tools > Create Motion Path Animations > Record a Motion Path Animation >
Record a Motion Path Animation
Concept Procedure Quick Reference

To preview and save a motion path animation

  1. Click Tools tab [image] Animations panel [image] Animation Motion Path. At the command prompt, enter anipath.
  2. In the Motion Path Animations dialog box, do the following:
    • Specify a point or path for the camera.
    • Specify a point or path for the target.
    • Adjust any animation settings.
  3. To preview the animation, click the Preview button.
  4. In the Animation Preview window, view the animation. When the preview animation is complete, close the Animation Preview window.
  5. In the Motion Path Animations dialog box, click OK.
  6. In the Save As dialog box, specify a file name and location to save the animation file.
  7. Click Save.
Command entry: ANIPATH


Record a Motion Path Animation (Quick Reference)

Specify Motion Path Settings
Record a Motion Path Animation
Set Model Space Viewports
Control the Drawing Views > Use 3D Viewing Tools > Create Motion Path Animations > Record a Motion Path Animation >
Record a Motion Path Animation
Concept Procedure Quick Reference

Commands

ANIPATH

Saves an animation along a path in a 3D model

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Display Multiple Views in Model Space

Record a Motion Path Animation
Control the Drawing Views
Set Model Space Viewports
Control the Drawing Views >
Display Multiple Views in Model Space

To see several views at the same time, you can split the drawing area of the Model tab into separate viewing areas called model space viewports. You can save arrangements of model space viewports for reuse at any time.

Topics in this section

  • Set Model Space Viewports

    On the Model tab, you can split the drawing area into one or more adjacent rectangular views known as model space viewports.

  • Select and Use the Current Viewport

    When you use multiple viewports, one of them is the current viewport, which accepts cursor input and view commands.

  • Save and Restore Model Tab Viewport Arrangements

    Arrangements of model viewports can be saved and restored by name.


Set Model Space Viewports (Concept)

Display Multiple Views in Model Space
Display Multiple Views in Model Space
Select and Use the Current Viewport
Control the Drawing Views > Display Multiple Views in Model Space >
Set Model Space Viewports
Concept Procedure Quick Reference

On the Model tab, you can split the drawing area into one or more adjacent rectangular views known as model space viewports.

Viewports are areas that display different views of your model. As you work on the Model tab, you can split the drawing area into one or more adjacent rectangular views known as model space viewports. In large or complex drawings, displaying different views reduces the time needed to zoom or pan in a single view. Also, errors you might miss in one view may be apparent in the others.

Viewports created on the Model tab completely fill the drawing area and do not overlap. As you make changes in one viewport, the others are updated simultaneously. Three model space viewports are shown in the illustration.

You can also create viewports on a layout tab. You use those viewports, called layout viewports, to arrange the views of your drawing on a sheet. You can move and resize layout viewports. By using layout viewports, you have more control over the display; for example, you can freeze certain layers in one layout viewport without affecting the others. For more information about layouts and layout viewports, see Create Multiple-View Drawing Layouts (Paper Space).

Use Model Space Viewports

With model space viewports, you can do the following:

  • Pan; zoom; set Snap, Grid, and UCS icon modes; and restore named views.
  • Save user coordinate system orientations with individual viewports.
  • Draw from one viewport to another when executing a command.
  • Name a viewport arrangement so that you can reuse it on the Model tab or insert it on a layout tab.

Setting up different coordinate systems in individual viewports is useful if you typically work on 3D models. See Assign User Coordinate System Orientations to Viewports.

Split and Join Model Space Viewports

The illustrations below show several default model space viewport configurations.

You can easily modify model space viewports by splitting and joining them. If you want to join two viewports, they must share a common edge of the same length.


Set Model Space Viewports (Procedure)

Record a Motion Path Animation
Set Model Space Viewports
Set Model Space Viewports
Control the Drawing Views > Display Multiple Views in Model Space > Set Model Space Viewports >
Set Model Space Viewports
Concept Procedure Quick Reference

To subdivide a viewport on the Model tab

To join two viewports on the Model tab

To restore a single viewport on the Model tab

To switch from a layout tab to the Model tab


To subdivide a viewport on the Model tab (Procedure)

Set Model Space Viewports
Set Model Space Viewports
Set Model Space Viewports
Control the Drawing Views > Display Multiple Views in Model Space > Set Model Space Viewports >
Set Model Space Viewports
Concept Procedure Quick Reference

To subdivide a viewport on the Model tab

  1. If you have more than one viewport, click inside the viewport you want to subdivide.
  2. To indicate how many model space viewports should be created, do one of the following:
    • Click View menu [image] Viewports [image] 2 Viewports.At the command prompt, enter vports.
    • ClickView menu [image] Viewports [image] 3 Viewports.At the command prompt, enter vports.
    • Click View menu [image] Viewports [image] 4 ViewportsAt the command prompt, enter vports.
  3. At the Next prompt, specify the arrangement of the new viewports.
Command entry: VPORTS


To join two viewports on the Model tab (Procedure)

Set Model Space Viewports
Set Model Space Viewports
Set Model Space Viewports
Control the Drawing Views > Display Multiple Views in Model Space > Set Model Space Viewports >
Set Model Space Viewports
Concept Procedure Quick Reference

To join two viewports on the Model tab

  1. Click View menu [image] Viewports [image] Join.At the command prompt, enter vports.
  2. Click within the model space viewport containing the view you want to keep.
  3. Click within an adjacent viewport to join it to the first viewport.
Command entry: VPORTS


To restore a single viewport on the Model tab (Procedure)

Set Model Space Viewports
Set Model Space Viewports
Set Model Space Viewports
Control the Drawing Views > Display Multiple Views in Model Space > Set Model Space Viewports >
Set Model Space Viewports
Concept Procedure Quick Reference

To restore a single viewport on the Model tab

  • Click View menu [image] Viewports [image] 1 Viewport.
Command entry: VPORTS


To switch from a layout tab to the Model tab (Procedure)

Set Model Space Viewports
Set Model Space Viewports
Select and Use the Current Viewport
Control the Drawing Views > Display Multiple Views in Model Space > Set Model Space Viewports >
Set Model Space Viewports
Concept Procedure Quick Reference

To switch from a layout tab to the Model tab

  • Click the Model tab at the bottom of the drawing area.
Command entry: TILEMODE


Set Model Space Viewports (Quick Reference)

Record a Motion Path Animation
Set Model Space Viewports
Select and Use the Current Viewport
Control the Drawing Views > Display Multiple Views in Model Space > Set Model Space Viewports >
Set Model Space Viewports
Concept Procedure Quick Reference

Commands

MODEL

Switches from a layout tab to the Model tab

VPORTS

Creates multiple viewports in model space or paper space

System Variables

MAXACTVP

Sets the maximum number of viewports that can be active at one time in a layout

CTAB

Returns the name of the current (model or layout) tab in the drawing

TILEMODE

Makes the Model tab or the last layout tab current

Utilities

No entries

Command Modifiers

No entries


Select and Use the Current Viewport (Concept)

Set Model Space Viewports
Display Multiple Views in Model Space
Save and Restore Model Tab Viewport Arrangements
Control the Drawing Views > Display Multiple Views in Model Space >
Select and Use the Current Viewport
Concept Procedure Quick Reference

When you use multiple viewports, one of them is the current viewport, which accepts cursor input and view commands.

When a viewport is current, the cursor is displayed as crosshairs rather than an arrow, and the viewport boundary is highlighted. You can change the current viewport at any time except when a View command is in progress.

To make a viewport the current viewport, you click inside it or press CTRL+R to cycle through the existing viewports.

To draw a line using two model space viewports, you start the line in the current viewport, make another viewport current by clicking within it, and then specify the endpoint of the line in the second viewport. In a large drawing, you can use this method to draw a line from a detail in one corner to a detail in a distant corner.


Select and Use the Current Viewport (Procedure)

Set Model Space Viewports
Select and Use the Current Viewport
Select and Use the Current Viewport
Control the Drawing Views > Display Multiple Views in Model Space > Select and Use the Current Viewport >
Select and Use the Current Viewport
Concept Procedure Quick Reference

To make a viewport current

To cycle through viewports without clicking


To make a viewport current (Procedure)

Select and Use the Current Viewport
Select and Use the Current Viewport
Select and Use the Current Viewport
Control the Drawing Views > Display Multiple Views in Model Space > Select and Use the Current Viewport >
Select and Use the Current Viewport
Concept Procedure Quick Reference

To make a viewport current

  • Click anywhere within the viewport border.


To cycle through viewports without clicking (Procedure)

Select and Use the Current Viewport
Select and Use the Current Viewport
Save and Restore Model Tab Viewport Arrangements
Control the Drawing Views > Display Multiple Views in Model Space > Select and Use the Current Viewport >
Select and Use the Current Viewport
Concept Procedure Quick Reference

To cycle through viewports without clicking

  • Press CTRL+ R repeatedly.


Select and Use the Current Viewport (Quick Reference)

Set Model Space Viewports
Select and Use the Current Viewport
Save and Restore Model Tab Viewport Arrangements
Control the Drawing Views > Display Multiple Views in Model Space > Select and Use the Current Viewport >
Select and Use the Current Viewport
Concept Procedure Quick Reference

Commands

No entries

System Variables

CVPORT

Displays the identification number of the current viewport

VIEWCTR

Stores the center of view in the current viewport

VIEWSIZE

Stores the height of the view displayed in the current viewport, measured in drawing units

Utilities

No entries

Command Modifiers

No entries


Save and Restore Model Tab Viewport Arrangements (Concept)

Select and Use the Current Viewport
Display Multiple Views in Model Space
Choose a Work Process Before You Begin
Control the Drawing Views > Display Multiple Views in Model Space >
Save and Restore Model Tab Viewport Arrangements
Concept Procedure Quick Reference

Arrangements of model viewports can be saved and restored by name.

You don't have to set up viewports and views every time you need them. With VPORTS, viewport arrangements can be saved and later restored by name. Settings that are saved with viewport arrangements include

  • The number and position of viewports
  • The views that the viewports contain
  • The grid and snap settings for each viewport
  • The UCS icon display setting for each viewport

You can list, restore, and delete the available viewport arrangements. A viewport arrangement saved on the Model tab can be inserted on a layout tab.


Save and Restore Model Tab Viewport Arrangements (Procedure)

Select and Use the Current Viewport
Save and Restore Model Tab Viewport Arrangements
Save and Restore Model Tab Viewport Arrangements
Control the Drawing Views > Display Multiple Views in Model Space > Save and Restore Model Tab Viewport Arrangements >
Save and Restore Model Tab Viewport Arrangements
Concept Procedure Quick Reference

To save and name a viewport arrangement

To restore a saved viewport arrangement

To delete a saved viewport arrangement

To view a list of saved viewport arrangements


To save and name a viewport arrangement (Procedure)

Save and Restore Model Tab Viewport Arrangements
Save and Restore Model Tab Viewport Arrangements
Save and Restore Model Tab Viewport Arrangements
Control the Drawing Views > Display Multiple Views in Model Space > Save and Restore Model Tab Viewport Arrangements >
Save and Restore Model Tab Viewport Arrangements
Concept Procedure Quick Reference

To save and name a viewport arrangement

  1. Click View menu [image] Viewports [image] New Viewports.At the command prompt, enter vports.
  2. In the Viewports dialog box, New Viewports tab, enter a name for the viewport configuration in the New Name box.

    The name can be up to 255 characters long and contain letters, digits, the special characters dollar sign ($), hyphen (-), and underscore (_).

  3. Click OK.
NoteYou can save a viewport arrangement only on the Model tab.
Command entry: VPORTS


To restore a saved viewport arrangement (Procedure)

Save and Restore Model Tab Viewport Arrangements
Save and Restore Model Tab Viewport Arrangements
Save and Restore Model Tab Viewport Arrangements
Control the Drawing Views > Display Multiple Views in Model Space > Save and Restore Model Tab Viewport Arrangements >
Save and Restore Model Tab Viewport Arrangements
Concept Procedure Quick Reference

To restore a saved viewport arrangement

  1. Click View tab [image] Viewports panel [image] Named. At the command prompt, enter vports.
  2. In the Viewports dialog box, Named Viewports tab, select the name of the viewport configuration from the list.
  3. Click OK.
Command entry: VPORTS


To delete a saved viewport arrangement (Procedure)

Save and Restore Model Tab Viewport Arrangements
Save and Restore Model Tab Viewport Arrangements
Save and Restore Model Tab Viewport Arrangements
Control the Drawing Views > Display Multiple Views in Model Space > Save and Restore Model Tab Viewport Arrangements >
Save and Restore Model Tab Viewport Arrangements
Concept Procedure Quick Reference

To delete a saved viewport arrangement

  1. Click View tab [image] Viewports panel [image] Named. At the command prompt, enter vports.
  2. In the Viewports dialog box, Named Viewports tab, select the name of the viewport configuration you want to delete.
  3. Press DELETE.
Command entry: VPORTS


To view a list of saved viewport arrangements (Procedure)

Save and Restore Model Tab Viewport Arrangements
Save and Restore Model Tab Viewport Arrangements
Draw, Scale, and Annotate in Model Space
Control the Drawing Views > Display Multiple Views in Model Space > Save and Restore Model Tab Viewport Arrangements >
Save and Restore Model Tab Viewport Arrangements
Concept Procedure Quick Reference

To view a list of saved viewport arrangements

  • Click View tab [image] Viewports panel [image] Named. At the command prompt, enter vports.

    The Viewports dialog box is displayed.

All saved viewport arrangements in the drawing are listed on the Named Viewports tab under Named Viewports.

Command entry: VPORTS


Save and Restore Model Tab Viewport Arrangements (Quick Reference)

Select and Use the Current Viewport
Save and Restore Model Tab Viewport Arrangements
Quick Start for Model Space Drafting
Control the Drawing Views > Display Multiple Views in Model Space > Save and Restore Model Tab Viewport Arrangements >
Save and Restore Model Tab Viewport Arrangements
Concept Procedure Quick Reference

Commands

RENAME

Changes the names of named objects

VPORTS

Creates multiple viewports in model space or paper space

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Choose a Work Process Before You Begin

Save and Restore Model Tab Viewport Arrangements
Create Single-View Drawings (Model Space)
Choose a Work Process Before You Begin

Topics in this section

  • Create Single-View Drawings (Model Space)

    If you are going to create a two dimensional drawing that has one view, you can create the drawing and its annotation entirely in model space. This is the traditional method for creating drawings with AutoCAD®.

  • Create Multiple-View Drawing Layouts (Paper Space)

    Paper space is a sheet layout environment where you can specify the size of your sheet, add a title block, display multiple views of your model, and create dimensions and notes for your drawing.

  • Work with Sheets in a Sheet Set

    With the Sheet Set Manager, you can organize drawing layouts into named sheet sets. The sheets in a sheet set can be transmitted, published, and archived as a unit.


Create Single-View Drawings (Model Space)

Choose a Work Process Before You Begin
Choose a Work Process Before You Begin
Quick Start for Model Space Drafting
Choose a Work Process Before You Begin >
Create Single-View Drawings (Model Space)

If you are going to create a two dimensional drawing that has one view, you can create the drawing and its annotation entirely in model space. This is the traditional method for creating drawings with AutoCAD®.

Topics in this section

  • Quick Start for Model Space Drafting

    The process of creating and plotting a drawing file in model space is very different from the process used in manual drafting.

  • Draw, Scale, and Annotate in Model Space

    If you draw and plot from model space, you must determine and apply a scale factor to annotate objects before you plot.


Quick Start for Model Space Drafting (Concept)

Create Single-View Drawings (Model Space)
Create Single-View Drawings (Model Space)
Draw, Scale, and Annotate in Model Space
Choose a Work Process Before You Begin > Create Single-View Drawings (Model Space) >
Quick Start for Model Space Drafting
Concept Quick Reference

The process of creating and plotting a drawing file in model space is very different from the process used in manual drafting.

In AutoCAD, there are two distinct working environments that are represented by the Model and layout tabs. These tabs are located near the bottom of the drawing area.

If you are going to create a two-dimensional drawing that has one view, you can create both the model and its annotation entirely in model space, not using a layout tab. This is the traditional method for creating drawings with AutoCAD. This method is simple but has several limitations, including

  • It is suitable for 2D drawings only
  • It does not support multiple views and view-dependent layer settings
  • Scaling the annotation and title block requires computation unless you use annotative objects.

With this method, you always draw geometric objects at full scale (1:1) and text, dimensions, and other annotation at a scale that will appear at the correct size when the drawing is plotted.

For information about using annotative objects and scaling annotations automatically, see Scale Annotations.

See Also

    • Create Multiple-View Drawing Layouts (Paper Space)

    • Work with Sheets in a Sheet Set


Quick Start for Model Space Drafting (Quick Reference)

Save and Restore Model Tab Viewport Arrangements
Quick Start for Model Space Drafting
Draw, Scale, and Annotate in Model Space
Choose a Work Process Before You Begin > Create Single-View Drawings (Model Space) > Quick Start for Model Space Drafting >
Quick Start for Model Space Drafting
Concept Quick Reference

Commands

MODEL

Switches from a layout tab to the Model tab

RENAME

Changes the names of named objects

VPORTS

Creates multiple viewports in model space or paper space

System Variables

CVPORT

Displays the identification number of the current viewport

MAXACTVP

Sets the maximum number of viewports that can be active at one time in a layout

TILEMODE

Makes the Model tab or the last layout tab current

VIEWCTR

Stores the center of view in the current viewport

VIEWSIZE

Stores the height of the view displayed in the current viewport, measured in drawing units

Utilities

No entries

Command Modifiers

No entries


Draw, Scale, and Annotate in Model Space (Concept)

Quick Start for Model Space Drafting
Create Single-View Drawings (Model Space)
Create Multiple-View Drawing Layouts (Paper Space)
Choose a Work Process Before You Begin > Create Single-View Drawings (Model Space) >
Draw, Scale, and Annotate in Model Space
Concept Procedure Quick Reference

If you draw and plot from model space, you must determine and apply a scale factor to annotate objects before you plot.

You can draw and plot entirely from model space. This method is useful primarily for two-dimensional drawings that have a single view. With this method, you use the following process:

  • Determine the unit of measurement (drawing units) for the drawing.
  • Specify the display style for the drawing unit.
  • Calculate and set the scale for dimensions, annotations, and blocks.
  • Draw at full scale (1:1) in model space.
  • Create the annotation and insert the blocks in model space.
  • Plot the drawing at the predetermined scale.

You can also use annotative objects if you want to scale annotations automatically. For information about using annotative objects and scaling annotations automatically, see Scale Annotations.

Determine the Unit of Measurement

Before you begin drawing in model space, you determine the unit of measurement (drawing units) that you plan to use. You decide what each unit on the screen represents, such as an inch, a millimeter, a kilometer, or some other unit of measurement. For example, if you are drawing a motor part, you might decide that one drawing unit equals a millimeter. If you are drawing a map, you might decide that one unit equals a kilometer.

Specify the Display Style of Drawing Units

Once you have determined a drawing unit for the drawing, you need to specify the style for displaying the drawing unit, which includes the unit type and precision. For example, a value of 14.5 can be displayed as 14.500, 14-1/2, or 1'2-1/2".

Specify the display style of drawing units with the UNITS command. The default drawing unit type is decimal.

Set the Scale for Annotations and Blocks

Before you draw, you should set the scale for dimensions, annotations, and blocks in your drawings. Scaling these elements beforehand ensures that they are at the correct size when you plot the final drawing.

You should enter the scale for the following objects:

  • Text. Set the text height as you create text or by setting a fixed text height in the text style (STYLE).
  • Dimensions. Set the dimension scale in a dimension style (DIMSTYLE) or with the DIMSCALE system variable.
  • Linetypes. Set the scale for noncontinuous linetypes with the CELTSCALE and LTSCALE system variables.
  • Hatch patterns. Set the scale for hatch patterns in the Hatch and Gradient dialog box (HATCH) or with the HPSCALE system variable.
  • Blocks. Specify the insertion scale for blocks either as you insert them, or set an insertion scale in the Insert dialog box (INSERT) or in DesignCenter (ADCENTER). The system variables used for inserting blocks are INSUNITS, INSUNITSDEFSOURCE, and INSUNITSDEFTARGET. This also applies to the border and title block of the drawing.

You can also use annotative objects if you want to scale annotations automatically. For information about using annotative objects and scaling annotations automatically, see Scale Annotations.

Determine the Scale Factor for Plotting

To plot your drawing from the Model tab, you calculate the exact scale factor by converting the drawing scale to a ratio of 1:n. This ratio compares plotted units to drawing units that represent the actual size of the objects you are drawing.

For example, if you plan to plot at a scale of 1/4 inch = 1 foot, you would calculate the scale factor 48 as follows:

1/4" = 12"

1 = 12 x 4

1 (plotted unit) = 48 (drawing units)

Using the same calculation, the scale factor for 1 centimeter = 1 meter is 100, and the scale factor for 1 inch = 20 feet is 240.

Sample Scale Ratios

The sample architectural scale ratios in the table can be used to calculate text sizes in model space.

Scale | Scale factor | To plot text size at | Set drawing text size to
1 cm = 1 m | 100 | 3 mm | 30 cm
1/8" = 1'-0" | 96 | 1/8" | 12"
3/16" = 1'-0" | 64 | 1/8" | 8"
1/4" = 1'-0" | 48 | 1/8" | 6"
3/8" = 1'-0" | 32 | 1/8" | 4"
1/2" = 1'-0" | 24 | 1/8" | 3"
3/4" = 1'-0" | 16 | 1/8" | 2"
1" = 1'-0" | 12 | 1/8" | 1.5"
1 1/2" = 1'-0" | 8 | 1/8" | 1.0"

If you are working in metric units, you might have a sheet size of 210 x 297 mm (A4 size) and a scale factor of 20. You calculate grid limits as follows:

210 x 20 = 4200 mm

297 x 20 = 5900 mm

See Also

    • Specify Units and Unit Formats


To specify the display style for drawing units (Procedure)

Save and Restore Model Tab Viewport Arrangements
Draw, Scale, and Annotate in Model Space
Work with Model Space and Paper Space
Choose a Work Process Before You Begin > Create Single-View Drawings (Model Space) > Draw, Scale, and Annotate in Model Space >
Draw, Scale, and Annotate in Model Space
Concept Procedure Quick Reference

To specify the display style for drawing units

  1. Click Format menu [image] Units.At the command prompt, enter units.
  2. In the Drawing Units dialog box, set the unit values for your drawing.
  3. As you change unit settings, you can see examples under Sample Output.
    • Under Length, select a unit type and level of precision. This determines the display style for linear drawing units.
    • Under Drawing Units for DesignCenter Blocks, select the unit that you want used to scale blocks, images, or other content inserted into the drawing. If you do not want inserted content to be scaled, select Unitless.
    • Under Angle, select an angle type and precision. This determines the display style for angular drawing units. The default starting angle, 0 degrees, is toward 3 o'clock (or east).
    • To specify an angle direction, click Direction, and then select the base angle in the Direction Control dialog box. The angle direction controls the point from which angles are measured and the direction in which they are measured. If you select Other, you can enter an angle, or click Angle to specify an angle using your pointing device. The default positive angle measurement is counterclockwise.
  4. Click OK to exit each dialog box.
Command entry: UNITS


Draw, Scale, and Annotate in Model Space (Quick Reference)

Quick Start for Model Space Drafting
Draw, Scale, and Annotate in Model Space
Quick Start for Layouts
Choose a Work Process Before You Begin > Create Single-View Drawings (Model Space) > Draw, Scale, and Annotate in Model Space >
Draw, Scale, and Annotate in Model Space
Concept Procedure Quick Reference

Commands

ADCENTER

Manages and inserts content such as blocks, xrefs, and hatch patterns

DIMSTYLE

Creates and modifies dimension styles

INSERT

Inserts a block or drawing into the current drawing

LINETYPE

Loads, sets, and modifies linetypes

PLOT

Plots a drawing to a plotter, printer, or file

STYLE

Creates, modifies, or specifies text styles

UNITS

Controls coordinate and angle display formats and precision

System Variables

CELTSCALE

Sets the current object linetype scaling factor

DIMSCALE

Sets the overall scale factor applied to dimensioning variables that specify sizes, distances, or offsets

HPSCALE

Specifies the hatch pattern scale factor, which must be greater than zero

HPSPACE

Specifies the hatch pattern line spacing for user-defined simple patterns, which must be greater than zero

INSUNITS

Specifies a drawing-units value for automatic scaling of blocks, images, or xrefs inserted or attached to a drawing

INSUNITSDEFSOURCE

Sets source content units value when INSUNITS is set to 0

INSUNITSDEFTARGET

Sets target drawing units value when INSUNITS is set to 0

LTSCALE

Sets the global linetype scale factor

LUNITS

Sets linear units

TEXTSIZE

Sets the default height for new text objects drawn with the current text style

Utilities

No entries

Command Modifiers

No entries


Create Multiple-View Drawing Layouts (Paper Space)

Draw, Scale, and Annotate in Model Space
Choose a Work Process Before You Begin
Quick Start for Layouts
Choose a Work Process Before You Begin >
Create Multiple-View Drawing Layouts (Paper Space)

Paper space is a sheet layout environment where you can specify the size of your sheet, add a title block, display multiple views of your model, and create dimensions and notes for your drawing.

Topics in this section

  • Quick Start for Layouts

    There are two distinct working environments, or “spaces,” in which you can create objects in a drawing. These are represented by the Model and layout tabs.

  • Understand the Layout Process

    When you use a layout tab to prepare your drawing for plotting, you follow a series of steps in a process.

  • Work with Model Space and Paper Space

    There are several benefits to switching between model space and paper space to perform certain tasks. Use model space for creating and editing your model. Use paper space for composing your drawing sheet and defining views.

  • Create and Modify Layout Viewports

    You can create a single layout viewport that fits the entire layout or create multiple layout viewports in the layout. Once you create the viewports, you can change their size, their properties, and also scale and move them as needed.

  • Control Views in Layout Viewports

    When you create a layout, you can add layout viewports that act as windows into model space. In each layout viewport, you can control the view that is displayed.

  • Reuse Layouts and Layout Settings

    When you create a layout, you can choose to apply the information from an existing template.


Quick Start for Layouts (Concept)

Create Multiple-View Drawing Layouts (Paper Space)
Create Multiple-View Drawing Layouts (Paper Space)
Understand the Layout Process
Choose a Work Process Before You Begin > Create Multiple-View Drawing Layouts (Paper Space) >
Quick Start for Layouts
Concept Quick Reference

There are two distinct working environments, or “spaces,” in which you can create objects in a drawing. These are represented by the Model and layout tabs.

Typically, a model composed of geometric objects is created in a three-dimensional space called model space. A final layout of specific views and annotations of this model is created in a two-dimensional space called paper space. These spaces are accessible on two or more tabs near the bottom of the drawing area: the Model tab and one or more layout tabs.

NoteThese tabs can be hidden, appearing instead as buttons on the status bar at the bottom-center of the application window.

Working on the Model tab, you draw a model of your subject at 1:1 scale. Working on a layout tab, you can create one or more layout viewports, dimensions, notes, and a title block to represent a drawing sheet.

Each layout viewport is like a picture frame containing a “photograph” of the model in model space. Each layout viewport contains a view that displays the model at the scale and orientation that you specify. You can also specify which layers are visible in each layout viewport.

After you finish arranging the layout, you turn off the layer that contains the layout viewport objects. The views are still visible, and you can plot the layout without displaying the viewport boundaries.


Quick Start for Layouts (Quick Reference)

Draw, Scale, and Annotate in Model Space
Quick Start for Layouts
Understand the Layout Process
Choose a Work Process Before You Begin > Create Multiple-View Drawing Layouts (Paper Space) > Quick Start for Layouts >
Quick Start for Layouts
Concept Quick Reference

Commands

LAYOUT

Creates and modifies drawing layout tabs

LAYOUTWIZARD

Creates a new layout tab and specifies page and plot settings

MODEL

Switches from a layout tab to the Model tab

MSPACE

Switches from paper space to a model space viewport

MVIEW

Creates and controls layout viewports

PAGESETUP

Controls the page layout, plotting device, paper size, and other settings for each new layout

PSETUPIN

Imports a user-defined page setup into a new drawing layout

PSPACE

Switches from a model space viewport to paper space

VPORTS

Creates multiple viewports in model space or paper space

VPLAYER

Sets layer visibility within viewports

System Variables

MAXACTVP

Sets the maximum number of viewports that can be active at one time in a layout

PSLTSCALE

Controls paper space linetype scaling

TILEMODE

Makes the Model tab or the last layout tab current

Utilities

No entries

Command Modifiers

No entries


Understand the Layout Process (Concept)

Quick Start for Layouts
Create Multiple-View Drawing Layouts (Paper Space)
Work with Model Space and Paper Space
Choose a Work Process Before You Begin > Create Multiple-View Drawing Layouts (Paper Space) >
Understand the Layout Process
Concept Quick Reference

When you use a layout tab to prepare your drawing for plotting, you follow a series of steps in a process.

You design the subject of your drawing on the Model tab (in model space) and prepare it for plotting on a layout tab (in paper space).

There is one Model tab and one or more layout tabs at the bottom of the drawing window.

NoteThese tabs can be hidden, appearing instead as buttons on the status bar at the bottom-center of the application window.

You can initialize a layout by clicking on its tab to activate the previously unused layout. A layout does not contain any plot settings before initialization. Once initialized, layouts can be drawn upon, published, and added to sheet sets as sheets (after the drawing has been saved).

Process Summary

When you prepare a layout, you typically step through the following process:

  • Create a model of your subject on the Model tab.
  • Click a layout tab.
  • Specify layout page settings such as plotting device, paper size, plot area, plot scale, and drawing orientation.
  • Insert a title block into the layout (unless you have started with a drawing template that already has a title block).
  • Create a new layer to be used for layout viewports.
  • Create layout viewports and position them on the layout.
  • Set the orientation, scale, and layer visibility of the view in each layout viewport.
  • Add dimensions and annotate in the layout as needed.
  • Turn off the layer containing the layout viewports.
  • Plot your layout.

You can also use annotative objects if you want to annotate your drawing in model space and scale the annotations automatically. For information about using annotative objects and scaling annotations automatically, see Scale Annotations.


Understand the Layout Process (Quick Reference)

Quick Start for Layouts
Understand the Layout Process
Work on the Model Tab
Choose a Work Process Before You Begin > Create Multiple-View Drawing Layouts (Paper Space) > Understand the Layout Process >
Understand the Layout Process
Concept Quick Reference

Commands

LAYOUT

Creates and modifies drawing layout tabs

LAYOUTWIZARD

Creates a new layout tab and specifies page and plot settings

MODEL

Switches from a layout tab to the Model tab

MSPACE

Switches from paper space to a model space viewport

MVIEW

Creates and controls layout viewports

PAGESETUP

Controls the page layout, plotting device, paper size, and other settings for each new layout

PLOT

Plots a drawing to a plotter, printer, or file

PSETUPIN

Imports a user-defined page setup into a new drawing layout

PSPACE

Switches from a model space viewport to paper space

VPLAYER

Sets layer visibility within viewports

VPMAX

Expands the current layout viewport for editing

VPMIN

Restores the current layout viewport

VPORTS

Creates multiple viewports in model space or paper space

System Variables

LAYOUTREGENCTL

Specifies how the display list is updated in the Model tab and layout tabs

MAXACTVP

Sets the maximum number of viewports that can be active at one time in a layout

TILEMODE

Makes the Model tab or the last layout tab current

Utilities

No entries

Command Modifiers

No entries


Work with Model Space and Paper Space

Understand the Layout Process
Create Multiple-View Drawing Layouts (Paper Space)
Work on the Model Tab
Choose a Work Process Before You Begin > Create Multiple-View Drawing Layouts (Paper Space) >
Work with Model Space and Paper Space
Concept Procedure

There are several benefits to switching between model space and paper space to perform certain tasks. Use model space for creating and editing your model. Use paper space for composing your drawing sheet and defining views.

Topics in this section

  • Work on the Model Tab

    The Model tab accesses a limitless drawing area called model space. In model space, you draw, view, and edit your model.

  • Work on a Layout Tab

    Layout tabs access an area called paper space. In paper space, you place your title block, create layout viewports to display views, dimension your drawing, and add notes.

  • Access Model Space from a Layout Viewport

    You can access model space from a layout viewport to edit objects, to freeze and thaw layers, and to adjust the view.

  • Export a Layout to Model Space

    You can export all visible objects from the current layout to model space.


Work with Model Space and Paper Space (Procedure)

Draw, Scale, and Annotate in Model Space
Work with Model Space and Paper Space
Work on the Model Tab
Choose a Work Process Before You Begin > Create Multiple-View Drawing Layouts (Paper Space) > Work with Model Space and Paper Space >
Work with Model Space and Paper Space
Concept Procedure

To activate the Model tab

To specify the page setup for the current layout

To create a new layout

To import a layout from a template

To create a layout using a wizard

To duplicate a layout

To rename a layout

To delete a layout

To rearrange layout tabs

To make a layout current

To move an object from model space to paper space (or vice versa)

To activate the previous layout

To select all layouts

To plot a layout

To switch between model space and paper space on a layout

To edit in a maximized layout viewport

To export a layout to a model space drawing

To achieve better visual fidelity for a drawing containing AEC objects


Work on the Model Tab (Concept)

Work with Model Space and Paper Space
Work with Model Space and Paper Space
Work on a Layout Tab
Choose a Work Process Before You Begin > Create Multiple-View Drawing Layouts (Paper Space) > Work with Model Space and Paper Space >
Work on the Model Tab
Concept Procedure Quick Reference

The Model tab accesses a limitless drawing area called model space. In model space, you draw, view, and edit your model.

In model space, you draw your model at 1:1 scale, and you decide whether one unit represents one millimeter, one centimeter, one inch, one foot, or whatever unit is most convenient or customary in your business.

On the Model tab, you can view and edit model space objects. The crosshairs cursor is active over the entire drawing area.

In model space, you can also define named views that you display in layout viewports on a layout.


To activate the Model tab (Procedure)

Work with Model Space and Paper Space
Up a level to ..
Work on a Layout Tab
Choose a Work Process Before You Begin > Create Multiple-View Drawing Layouts (Paper Space) > Work with Model Space and Paper Space > Work on the Model Tab >
Work on the Model Tab
Concept Procedure Quick Reference

To activate the Model tab

Do one of the following to make the Model tab current:

  • Click the Model tab.
  • Right-click any layout tab or the Model tab. Click Activate Model Tab.
  • If the Model and layout tabs are hidden, click the Model button on the status bar at the bottom of the application window.


Work on the Model Tab (Quick Reference)

Understand the Layout Process
Work on the Model Tab
Work on a Layout Tab
Choose a Work Process Before You Begin > Create Multiple-View Drawing Layouts (Paper Space) > Work with Model Space and Paper Space > Work on the Model Tab >
Work on the Model Tab
Concept Procedure Quick Reference

Commands

MODEL

Switches from a layout tab to the Model tab

MSPACE

Switches from paper space to a model space viewport

PSPACE

Switches from a model space viewport to paper space

System Variables

LAYOUTREGENCTL

Specifies how the display list is updated in the Model tab and layout tabs

MAXACTVP

Sets the maximum number of viewports that can be active at one time in a layout

TILEMODE

Makes the Model tab or the last layout tab current

Utilities

No entries

Command Modifiers

No entries


Work on a Layout Tab (Concept)

Work on the Model Tab
Work with Model Space and Paper Space
Access Model Space from a Layout Viewport
Choose a Work Process Before You Begin > Create Multiple-View Drawing Layouts (Paper Space) > Work with Model Space and Paper Space >
Work on a Layout Tab
Concept Procedure Quick Reference

Layout tabs access an area called paper space. In paper space, you place your title block, create layout viewports to display views, dimension your drawing, and add notes.

In paper space, one unit represents the paper distance on a plotted sheet. The units will be in either millimeters or inches, depending on the plot setup for your plotter.

On a layout tab, you can view and edit paper space objects, such as layout viewports and title blocks. You can also move an object (such as a leader or a title block) from model space to paper space (or vice versa). The crosshairs cursor is active over the entire layout area.

NoteThese tabs can be hidden, appearing instead as buttons on the status bar at the bottom-center of the application window. To display the tabs, right-click the Model or layout button and click Display Layout and Model Tabs on the shortcut menu.

Create Additional Layout Tabs

By default, a new drawing starts with two layout tabs, named Layout1 and Layout2. If you use a drawing template or open an existing drawing, the layout tabs in your drawing may be named differently.

You can create a new layout tab using one of the following methods:

  • Add a new layout tab with no settings and then specify the settings in the Page Setup Manager.
  • Use the Create Layout wizard to create the layout tab and specify settings.
  • Copy a layout tab and its settings from the current drawing file.
  • Import a layout tab from an existing drawing template (DWT) file or drawing (DWG) file.
NoteYou can create multiple layouts in a drawing; each layout can contain different plot settings and paper sizes. However, to avoid confusion when transmitting and publishing drawings, it is usually recommended that you create only one layout for each drawing.

Use the Layout Wizard to Specify Layout Settings

You can create a new layout using the Create Layout wizard. The wizard prompts you for information about the layout settings, including

  • A name for the new layout
  • The printer associated with the layout
  • A paper size to use for the layout
  • The orientation of the drawing on the paper
  • A title block
  • Viewport setup information
  • A location for the viewport configuration in the layout

You can edit the information entered in the wizard later. After selecting the layout, click File menu [image] Page Setup Manager.


Work on a Layout Tab (Procedure)

Work on the Model Tab
Up a level to ..
Work on a Layout Tab
Choose a Work Process Before You Begin > Create Multiple-View Drawing Layouts (Paper Space) > Work with Model Space and Paper Space > Work on a Layout Tab >
Work on a Layout Tab
Concept Procedure Quick Reference

To specify the page setup for the current layout

To create a new layout

To import a layout from a template

To create a layout using a wizard

To duplicate a layout

To rename a layout

To delete a layout

To rearrange layout tabs

To make a layout current

To move an object from model space to paper space (or vice versa)

To activate the previous layout

To select all layouts

To plot a layout


To specify the page setup for the current layout (Procedure)

Work on a Layout Tab
Up a level to ..
Work on a Layout Tab
Choose a Work Process Before You Begin > Create Multiple-View Drawing Layouts (Paper Space) > Work with Model Space and Paper Space > Work on a Layout Tab >
Work on a Layout Tab
Concept Procedure Quick Reference

To specify the page setup for the current layout

  • Right-click the current layout tab. Click Page Setup.
Toolbar: Layouts
Command entry: PAGESETUP


To create a new layout (Procedure)

Work on a Layout Tab
Up a level to ..
Work on a Layout Tab
Choose a Work Process Before You Begin > Create Multiple-View Drawing Layouts (Paper Space) > Work with Model Space and Paper Space > Work on a Layout Tab >
Work on a Layout Tab
Concept Procedure Quick Reference

To create a new layout

  1. Click Insert menu [image] Layout [image] New Layout.At the command prompt, enter layout.
  2. Enter the name of the new layout at the command prompt.

    A new layout tab is created. To switch to the new layout, choose the layout tab.

Alternatively, you can right-click the existing layout tab and click New layout. To rename a layout, double-click the layout tab.

Toolbar: Layouts
Command entry: LAYOUT


To import a layout from a template (Procedure)

Work on a Layout Tab
Up a level to ..
Work on a Layout Tab
Choose a Work Process Before You Begin > Create Multiple-View Drawing Layouts (Paper Space) > Work with Model Space and Paper Space > Work on a Layout Tab >
Work on a Layout Tab
Concept Procedure Quick Reference

To import a layout from a template

  1. Click Insert menu [image] Layout [image] Layout From Template.At the command prompt, enter layout.
  2. In the Select File dialog box, select a DWT or DWG file to import a layout from.
  3. Click Open.
  4. In the Insert Layout(s) dialog box, select a layout to import.

    A new layout tab is created. To switch to the new layout, click the layout tab.

Toolbar: Layouts
Command entry: LAYOUT


To create a layout using a wizard (Procedure)

Work on a Layout Tab
Up a level to ..
Work on a Layout Tab
Choose a Work Process Before You Begin > Create Multiple-View Drawing Layouts (Paper Space) > Work with Model Space and Paper Space > Work on a Layout Tab >
Work on a Layout Tab
Concept Procedure Quick Reference

To create a layout using a wizard

  1. Click Insert menu [image] Layout [image] Layout Wizard.
  2. On each page of the Create Layout wizard, select the appropriate settings for the new layout.

    When finished, the new layout will be the current layout tab.

Command entry: LAYOUTWIZARD


To duplicate a layout (Procedure)

Work on a Layout Tab
Up a level to ..
Work on a Layout Tab
Choose a Work Process Before You Begin > Create Multiple-View Drawing Layouts (Paper Space) > Work with Model Space and Paper Space > Work on a Layout Tab >
Work on a Layout Tab
Concept Procedure Quick Reference

To duplicate a layout

  1. Right-click the layout tab of the layout you want to duplicate. Click Move or Copy.
  2. In the Move or Copy dialog box, select a position for the new layout tab.
  3. Make sure that Create a Copy is selected.
  4. Click OK.

Alternatively, you can press CTRL+drag to create a duplicate copy of the selected layout or a group of selected layouts.

NoteThe Model tab cannot be duplicated.
Command entry: LAYOUT


To rename a layout (Procedure)

Work on a Layout Tab
Up a level to ..
Work on a Layout Tab
Choose a Work Process Before You Begin > Create Multiple-View Drawing Layouts (Paper Space) > Work with Model Space and Paper Space > Work on a Layout Tab >
Work on a Layout Tab
Concept Procedure Quick Reference

To rename a layout

  1. Right-click the layout tab for the layout you want to rename. Click Rename.
  2. In the Rename Layout dialog box, enter the new name for the layout.
  3. Click OK.

Alternatively, you can double-click the layout tab for the layout you want to rename and directly enter the new name for the layout.

NoteThe Model tab cannot be renamed.
Command entry: LAYOUT


To delete a layout (Procedure)

Work on a Layout Tab
Up a level to ..
Work on a Layout Tab
Choose a Work Process Before You Begin > Create Multiple-View Drawing Layouts (Paper Space) > Work with Model Space and Paper Space > Work on a Layout Tab >
Work on a Layout Tab
Concept Procedure Quick Reference

To delete a layout

  1. Right-click the layout tab for the layout you want to delete. Click Delete.
  2. In the warning box, click OK to delete the layout.

    Any named views associated with the layout are deleted automatically when the layout is deleted.

NoteThe Model tab cannot be deleted.
Command entry: LAYOUT


To rearrange layout tabs (Procedure)

Work on a Layout Tab
Up a level to ..
Work on a Layout Tab
Choose a Work Process Before You Begin > Create Multiple-View Drawing Layouts (Paper Space) > Work with Model Space and Paper Space > Work on a Layout Tab >
Work on a Layout Tab
Concept Procedure Quick Reference

To rearrange layout tabs

  1. Right-click the layout tab of the layout you want to reposition. Click Move or Copy.
  2. In the Move or Copy dialog box, select the layout tab that should be placed immediately after the moved or copied layout tab. If you want to move the layout tab to the end of the list of layout tabs, select Move to End.
  3. Click OK.

Alternatively, you can click and drag the layout tab of the layout you want to reposition and place the layout at the desired position.

NoteThe Model tab cannot be repositioned.
Command entry: LAYOUT


To make a layout current (Procedure)

Work on a Layout Tab
Up a level to ..
Work on a Layout Tab
Choose a Work Process Before You Begin > Create Multiple-View Drawing Layouts (Paper Space) > Work with Model Space and Paper Space > Work on a Layout Tab >
Work on a Layout Tab
Concept Procedure Quick Reference

To make a layout current

Do one of the following to make a layout current:

  • Click the layout tab for the layout that you want to make current.
  • Press CTRL+Page Down to cycle through the layout tabs from left to right or CTRL+Page Up to cycle through the layout tabs from right to left. Stop when you get to the tab of the layout that you want to make current.


To move an object from model space to paper space (or vice versa) (Procedure)

Work on a Layout Tab
Up a level to ..
Work on a Layout Tab
Choose a Work Process Before You Begin > Create Multiple-View Drawing Layouts (Paper Space) > Work with Model Space and Paper Space > Work on a Layout Tab >
Work on a Layout Tab
Concept Procedure Quick Reference

To move an object from model space to paper space (or vice versa)

  1. Click Modify menu [image] Change Space.At the command prompt, enter chspace.
  2. Select one or more objects to move.
  3. Press ENTER to end the command.
Command entry: CHSPACE


To activate the previous layout (Procedure)

Work on a Layout Tab
Up a level to ..
Work on a Layout Tab
Choose a Work Process Before You Begin > Create Multiple-View Drawing Layouts (Paper Space) > Work with Model Space and Paper Space > Work on a Layout Tab >
Work on a Layout Tab
Concept Procedure Quick Reference

To activate the previous layout

  1. Right-click any layout tab or the Model tab.
  2. Click Activate Previous Layout.


To select all layouts (Procedure)

Work on a Layout Tab
Up a level to ..
Work on a Layout Tab
Choose a Work Process Before You Begin > Create Multiple-View Drawing Layouts (Paper Space) > Work with Model Space and Paper Space > Work on a Layout Tab >
Work on a Layout Tab
Concept Procedure Quick Reference

To select all layouts

  • Right-click any layout tab. Click Select All Layouts.
Command entry: LAYOUT


To plot a layout (Procedure)

Work on a Layout Tab
Up a level to ..
Access Model Space from a Layout Viewport
Choose a Work Process Before You Begin > Create Multiple-View Drawing Layouts (Paper Space) > Work with Model Space and Paper Space > Work on a Layout Tab >
Work on a Layout Tab
Concept Procedure Quick Reference

To plot a layout

  1. Do one of the following:
    • Right-click a layout tab. Click Plot.
    • Hold down SHIFT to select several layout tabs. Right-click a layout tab. Click Publish Selected Layouts.
  2. Select settings in the Plot or the Publish dialog box. Click OK or Publish.
Toolbar: Standard
Command entry: PLOT


Work on a Layout Tab (Quick Reference)

Work on the Model Tab
Work on a Layout Tab
Access Model Space from a Layout Viewport
Choose a Work Process Before You Begin > Create Multiple-View Drawing Layouts (Paper Space) > Work with Model Space and Paper Space > Work on a Layout Tab >
Work on a Layout Tab
Concept Procedure Quick Reference

Commands

LAYOUT

Creates and modifies drawing layout tabs

LAYOUTWIZARD

Creates a new layout tab and specifies page and plot settings

MODEL

Switches from a layout tab to the Model tab

MSPACE

Switches from paper space to a model space viewport

MVIEW

Creates and controls layout viewports

PAGESETUP

Controls the page layout, plotting device, paper size, and other settings for each new layout

PLOT

Plots a drawing to a plotter, printer, or file

PSETUPIN

Imports a user-defined page setup into a new drawing layout

PSPACE

Switches from a model space viewport to paper space

VPORTS

Creates multiple viewports in model space or paper space

VPLAYER

Sets layer visibility within viewports

System Variables

CTAB

Returns the name of the current (model or layout) tab in the drawing

CVPORT

Displays the identification number of the current viewport

LAYOUTREGENCTL

Specifies how the display list is updated in the Model tab and layout tabs

MAXACTVP

Sets the maximum number of viewports that can be active at one time in a layout

PLOTROTMODE

Controls the orientation of plots

TILEMODE

Makes the Model tab or the last layout tab current

Utilities

No entries

Command Modifiers

No entries


Access Model Space from a Layout Viewport (Concept)

Work on a Layout Tab
Work with Model Space and Paper Space
Export a Layout to Model Space
Choose a Work Process Before You Begin > Create Multiple-View Drawing Layouts (Paper Space) > Work with Model Space and Paper Space >
Access Model Space from a Layout Viewport
Concept Procedure Quick Reference

You can access model space from a layout viewport to edit objects, to freeze and thaw layers, and to adjust the view.

After creating viewport objects, you can access model space from a layout viewport to perform the following tasks:

  • Create and modify objects in model space inside the layout viewport.
  • Pan the view inside the layout viewport and change layer visibility.

The method you use to access model space depends on what you plan to do.

Create and Modify Objects in a Layout Viewport

If you plan to create or modify objects, use the button on the status bar to maximize the layout viewport. The maximized layout viewport expands to fill the drawing area. The center point and the layer visibility settings of the viewport are retained, and the surrounding objects are displayed.

You can pan and zoom while you are working in model space, but when you restore the viewport to return to paper space, the position and scale of the objects in the layout viewport are restored.

NoteIf you use PLOT while a viewport is maximized, the layout tab is restored before the Plot dialog box is displayed. If you save and close the drawing while a viewport is maximized, the drawing opens with the layout tab restored.

If you choose to switch to the Model tab to make changes, the layer visibility settings are the settings for the drawing as a whole, not the settings for that particular layout viewport. Also, the view is not centered or magnified the same way it is in the layout viewport.

Adjust the View in a Layout Viewport

If you plan to pan the view and change the visibility of layers, double-click within a layout viewport to access model space. The viewport border becomes thicker, and the crosshairs cursor is visible in the current viewport only. All active viewports in the layout remain visible while you work. You can freeze and thaw layers in the current viewport in the Layer Properties Manager, and you can pan the view. To return to paper space, double-click an empty area on the layout outside a viewport. The changes you made are displayed in the viewport.

If you set the scale in the layout viewport before you access model space, you can lock the scale to prevent changes. When the scale is locked, you cannot use ZOOM while you work in model space.


Access Model Space from a Layout Viewport (Procedure)

Work on a Layout Tab
Up a level to ..
Access Model Space from a Layout Viewport
Choose a Work Process Before You Begin > Create Multiple-View Drawing Layouts (Paper Space) > Work with Model Space and Paper Space > Access Model Space from a Layout Viewport >
Access Model Space from a Layout Viewport
Concept Procedure Quick Reference

To switch between model space and paper space on a layout

To edit in a maximized layout viewport


To switch between model space and paper space on a layout (Procedure)

Access Model Space from a Layout Viewport
Up a level to ..
Access Model Space from a Layout Viewport
Choose a Work Process Before You Begin > Create Multiple-View Drawing Layouts (Paper Space) > Work with Model Space and Paper Space > Access Model Space from a Layout Viewport >
Access Model Space from a Layout Viewport
Concept Procedure Quick Reference

To switch between model space and paper space on a layout

On a layout, use one of the following methods:

  • If you are in paper space, double-click within a layout viewport.

    You are now in model space. The selected layout viewport becomes the current viewport, and you can pan the view and change layer properties. If you need to make significant changes to the model, it is recommended that you use VPMAX to maximize the layout viewport or switch to the Model tab.

  • If you are in model space in a layout viewport, double-click outside the viewport.

    You are now in paper space. You can create and modify objects on the layout.

  • If you are in model space and want to switch to another layout viewport, double-click within another layout viewport, or press CTRL+R to cycle through the existing layout viewports.


To edit in a maximized layout viewport (Procedure)

Access Model Space from a Layout Viewport
Up a level to ..
Export a Layout to Model Space
Choose a Work Process Before You Begin > Create Multiple-View Drawing Layouts (Paper Space) > Work with Model Space and Paper Space > Access Model Space from a Layout Viewport >
Access Model Space from a Layout Viewport
Concept Procedure Quick Reference

To edit in a maximized layout viewport

  1. Click the boundary of the layout viewport to select it.
    NoteYou can maximize a locked viewport and modify objects. When you restore the viewport, it is locked again.
  2. On the status bar, click the Maximize Viewport button.

    You can restore the viewport and maximize another viewport by clicking one of the arrows next to the Maximize Viewport button.

  3. Make any changes.
  4. To return to the layout viewport, click the Restore Viewport button on the status bar.

    The center point and magnification are returned to the settings that were in effect before the viewport was maximized.

Command entry: VPMAX, VPMIN
Shortcut menu: Right-click. Click Maximize Viewport.


Access Model Space from a Layout Viewport (Quick Reference)

Work on a Layout Tab
Access Model Space from a Layout Viewport
Export a Layout to Model Space
Choose a Work Process Before You Begin > Create Multiple-View Drawing Layouts (Paper Space) > Work with Model Space and Paper Space > Access Model Space from a Layout Viewport >
Access Model Space from a Layout Viewport
Concept Procedure Quick Reference

Commands

MODEL

Switches from a layout tab to the Model tab

MSPACE

Switches from paper space to a model space viewport

PSPACE

Switches from a model space viewport to paper space

VPMAX

Expands the current layout viewport for editing

VPMIN

Restores the current layout viewport

System Variables

VPMAXIMIZEDSTATE

Indicates whether the viewport is maximized or not

Utilities

No entries

Command Modifiers

No entries


Export a Layout to Model Space (Concept)

Access Model Space from a Layout Viewport
Work with Model Space and Paper Space
Create and Modify Layout Viewports
Choose a Work Process Before You Begin > Create Multiple-View Drawing Layouts (Paper Space) > Work with Model Space and Paper Space >
Export a Layout to Model Space
Concept Procedure Quick Reference

You can export all visible objects from the current layout to model space.

You can export all visible objects from the current layout to the model space with the EXPORTLAYOUT command. Objects that are outside the boundaries of “paper” in the layout are also exported.

Some objects are not exported to the model space drawing. The objects are

  • Materials
  • Cameras
  • Lights
  • Named views
  • Objects on layers that are disabled (off) or frozen
  • Model space objects not visible in a given viewport

Changes to Exported Objects

When exported, some objects become a different object type, or are modified in order to maximize visual fidelity with the layout.

Object Type | Representation in Exported Drawing
Dimensions | Dimensions that exceed the boundaries of the layout viewport are exploded.
Standard or dynamic block (with or without attributes) | Standard or dynamic blocks, with or without attributes, that exceed the boundaries of the layout viewport will be converted to a new, anonymous block. Attributes are converted to text objects in the block. NoteThe “Allow Exploding” setting (a setting on the block definition) is ignored if the block exceeds the boundaries of the layout viewport.
Annotative objects | Objects become non-annotative.
External reference (xref) | An Xref with nested objects that exceed the boundaries of the layout viewport is converted to a block reference and exploded.
Layout viewport | Layout viewports are represented by either a polyline or the clipped viewport object.
Custom objects | Custom objects are exploded and converted to anonymous blocks.
Xref clipped with the XCLIP command | Xrefs clipped with the XCLIP command are converted to a clipped block reference.
Visual Styles | The 2D wireframe visual style is used.
Perspective viewports | Objects within a perspective viewport will have parallel projection.
NoteObjects that can be directly trimmed without changing their types are not listed on the table.

Visual Changes to Objects

Not all objects when displayed in a layout will display the same in the Model tab of the exported drawing. This includes (but is not limited to) the following instances:

  • The same object displayed in multiple viewports becomes multiple objects in the exported model space drawing. In addition, objects are transformed and often scaled. Both of these can affect data extraction of blocks.
  • Some objects are converted or exploded in order to trim them.
  • Viewports in a layout can each have a different visual style; only a single visual style can be used in model space.
  • Polylines with width that is clipped by the viewport boundary may not be accurately trimmed in the exported drawing.

Recommendations

When exporting a layout to model space, consider the following:

  • The performance of the EXPORTLAYOUT command may be slower if a model space viewport is active.
  • In the exported drawing, the viewport displays the original linetype, which may not match the look of the original drawing. If this happens, assign “Continuous” linetype to viewports in the original drawing.
  • Linetype scaling may not be accurately maintained for objects in xrefs and blocks if PSLTSCALE is 0.
  • If you have a problem with xrefs during export, detach unresolved xrefs or manually bind xrefs and then use the EXPORTLAYOUT command.
  • Superhatch objects (from Express Tools) are exported, but the hatching may not stay within the original boundaries. You can use the TRIM command in the exported drawing to correct any problems with visual appearance.


Export a Layout to Model Space (Procedure)

Access Model Space from a Layout Viewport
Up a level to ..
Export a Layout to Model Space
Choose a Work Process Before You Begin > Create Multiple-View Drawing Layouts (Paper Space) > Work with Model Space and Paper Space > Export a Layout to Model Space >
Export a Layout to Model Space
Concept Procedure Quick Reference

To export a layout to a model space drawing

To achieve better visual fidelity for a drawing containing AEC objects


To export a layout to a model space drawing (Procedure)

Export a Layout to Model Space
Up a level to ..
Export a Layout to Model Space
Choose a Work Process Before You Begin > Create Multiple-View Drawing Layouts (Paper Space) > Work with Model Space and Paper Space > Export a Layout to Model Space >
Export a Layout to Model Space
Concept Procedure Quick Reference

To export a layout to a model space drawing

  1. Click Output tab [image] Send panel [image] Export Layout to Model.
    NoteYou can use the EXPORTLAYOUT command only from a layout tab.
  2. In the Export Layout to Model Space Drawing dialog box, enter a file name.
  3. Specify the location where you want to save the file. The default location is the location of the current drawing.
  4. Click Save.
Command entry: EXPORTLAYOUT


To achieve better visual fidelity for a drawing containing AEC objects (Procedure)

Export a Layout to Model Space
Up a level to ..
Create and Modify Layout Viewports
Choose a Work Process Before You Begin > Create Multiple-View Drawing Layouts (Paper Space) > Work with Model Space and Paper Space > Export a Layout to Model Space >
Export a Layout to Model Space
Concept Procedure Quick Reference

To achieve better visual fidelity for a drawing containing AEC objects

  1. In an open drawing, enter aectoacad. The AECTOACAD command creates a new DWG file with all AEC objects exploded into basic AutoCAD objects.
    NoteIt is also recommended to select the Bind option with Insert type when using the AECTOACAD command.
  2. Navigate to the converted drawing. Click Open.
  3. On the command line, enter exportlatyout.
Command entry: EXPORTLAYOUT


Export a Layout to Model Space (Quick Reference)

Access Model Space from a Layout Viewport
Export a Layout to Model Space
Create and Modify Layout Viewports
Choose a Work Process Before You Begin > Create Multiple-View Drawing Layouts (Paper Space) > Work with Model Space and Paper Space > Export a Layout to Model Space >
Export a Layout to Model Space
Concept Procedure Quick Reference

Commands

EXPORTLAYOUT

Exports the current layout to the model space of a new drawing

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Create and Modify Layout Viewports (Concept)

Export a Layout to Model Space
Create Multiple-View Drawing Layouts (Paper Space)
Control Views in Layout Viewports
Choose a Work Process Before You Begin > Create Multiple-View Drawing Layouts (Paper Space) >
Create and Modify Layout Viewports
Concept Procedure Quick Reference

You can create a single layout viewport that fits the entire layout or create multiple layout viewports in the layout. Once you create the viewports, you can change their size, their properties, and also scale and move them as needed.

NoteIt is important to create layout viewports on their own layer. When you are ready to plot, you can turn off the layer and plot the layout without plotting the boundaries of the layout viewports.

With MVIEW, you have several options for creating one or more layout viewports. You can also use COPY and ARRAY to create multiple layout viewports.

Create Nonrectangular Layout Viewports

You can create a new viewport with nonrectangular boundaries by converting an object drawn in paper space into a layout viewport.

You can use the MVIEW command to create nonrectangular viewports.

  • With the Object option, you can select a closed object, such as a circle or closed polyline created in paper space, to convert into a layout viewport. The object that defines the viewport boundary is associated with the viewport after the viewport is created
  • With the Polygonal option, you can create a nonrectangular layout viewport by specifying points. The prompts are the same as the prompts for creating a polyline
NoteWhen you want to suppress the display of the boundary of a layout viewport, you should turn off the layer of the nonrectangular viewport instead of freezing it. If the layer of a nonrectangular layout viewport is frozen, the viewport is not clipped correctly.

Redefine Layout Viewport Boundaries

You can redefine the boundary of a layout viewport by using the VPCLIP command. You can either select an existing object to designate as the new boundary, or specify the points of a new boundary. The new boundary does not clip the old boundary, it redefines it.

A nonrectangular viewport consists of two objects: the viewport itself and the clipping boundary. You can make changes to the viewport, the clipping boundary, or both.

NoteIn the Properties palette, the default selection for a nonrectangular viewport is Viewport. This is because you are more likely to change the properties of the viewport than of the clipping boundary.

Resize Layout Viewports

If you want to change the shape or size of a layout viewport, you can use grips to edit the vertices just as you edit any object with grips.


Create and Modify Layout Viewports (Procedure)

Export a Layout to Model Space
Create and Modify Layout Viewports
Create and Modify Layout Viewports
Choose a Work Process Before You Begin > Create Multiple-View Drawing Layouts (Paper Space) > Create and Modify Layout Viewports >
Create and Modify Layout Viewports
Concept Procedure Quick Reference

To create a new layout viewport

To create a viewport configuration on a layout

To place a named viewport configuration into a layout

To modify layout viewport properties using the Properties palette

To clip a layout viewport boundary


To create a new layout viewport (Procedure)

Create and Modify Layout Viewports
Create and Modify Layout Viewports
Create and Modify Layout Viewports
Choose a Work Process Before You Begin > Create Multiple-View Drawing Layouts (Paper Space) > Create and Modify Layout Viewports >
Create and Modify Layout Viewports
Concept Procedure Quick Reference

To create a new layout viewport

  1. On the layout tab, click View menu [image] Viewports [image] 1 Viewport.
  2. Click to specify one corner of the new layout viewport.
  3. Click to specify the opposite corner.

    A new layout viewport object is available and displays a default view. To adjust the view, double-click within the layout viewport to access model space.

Toolbar: Viewports
Command entry: VPORTS, MVIEW


To create a viewport configuration on a layout (Procedure)

Create and Modify Layout Viewports
Create and Modify Layout Viewports
Create and Modify Layout Viewports
Choose a Work Process Before You Begin > Create Multiple-View Drawing Layouts (Paper Space) > Create and Modify Layout Viewports >
Create and Modify Layout Viewports
Concept Procedure Quick Reference

To create a viewport configuration on a layout

  1. Click a layout tab.
  2. Click View menu [image] Viewports [image] New Viewports.At the command prompt, enter vports.
  3. In the Viewports dialog box, New Viewports tab, select a viewport configuration from the list.
  4. Under Setup, select either 2D or 3D.

    When you select 3D, a set of standard 3D views is applied to each viewport in the configuration.

  5. Under Viewport Spacing, select the amount of spacing you want to add between the viewports.
  6. To change a view, select a viewport in the preview image. Under Change View To, select a view from the list of standard views.

    The list includes top, bottom, front, back, left, right, and isometric views, along with any named views that are saved in the drawing. The selected view is displayed under Preview.

  7. Click OK.
  8. In the drawing area, specify two points to indicate the area to contain the viewport configuration.
Toolbar: Viewports
Command entry: VPORTS


To place a named viewport configuration into a layout (Procedure)

Create and Modify Layout Viewports
Create and Modify Layout Viewports
Create and Modify Layout Viewports
Choose a Work Process Before You Begin > Create Multiple-View Drawing Layouts (Paper Space) > Create and Modify Layout Viewports >
Create and Modify Layout Viewports
Concept Procedure Quick Reference

To place a named viewport configuration into a layout

  1. Click a layout tab.
  2. Click View tab [image] Viewports panel [image] Named. At the command prompt, enter vports.
  3. In the Viewports dialog box, Named Viewports tab, select the named viewport configuration from the list.
  4. Click OK.
  5. In the layout, specify a location for the named viewport configuration.
Toolbar: Viewports
Command entry: VPORTS


To modify layout viewport properties using the Properties palette (Procedure)

Create and Modify Layout Viewports
Create and Modify Layout Viewports
Create and Modify Layout Viewports
Choose a Work Process Before You Begin > Create Multiple-View Drawing Layouts (Paper Space) > Create and Modify Layout Viewports >
Create and Modify Layout Viewports
Concept Procedure Quick Reference

To modify layout viewport properties using the Properties palette

  1. Click the border of the layout viewport whose properties you want to modify.
  2. Right-click, and then click Properties.
  3. In the Properties palette, select the value for the property you want to modify. Enter a new value or select a new setting from the list provided.

    The new property setting or value is assigned to the selected layout viewport.

Toolbar: Standard
Command entry: PROPERTIES
Shortcut menu: Select the viewport and right-click in the drawing area. Click Properties.


To clip a layout viewport boundary (Procedure)

Create and Modify Layout Viewports
Create and Modify Layout Viewports
Control Views in Layout Viewports
Choose a Work Process Before You Begin > Create Multiple-View Drawing Layouts (Paper Space) > Create and Modify Layout Viewports >
Create and Modify Layout Viewports
Concept Procedure Quick Reference

To clip a layout viewport boundary

  1. Click View tab [image] Viewports panel [image] Viewport Clip. Enter vpclip at the command prompt.
  2. Select the viewport to clip.
  3. (Optional) Enter d (Delete) to delete an existing clipping boundary.
  4. Do one of the following:
    • Enter p (Polygonal) to specify a series of points to define a polygonal boundary.
    • Select a paper space object that will define the new viewport boundary.
Command entry: Select the viewport to clip and right-click in the drawing area. Click Viewport Clip.


Create and Modify Layout Viewports (Quick Reference)

Export a Layout to Model Space
Create and Modify Layout Viewports
Scale Views in Layout Viewports
Choose a Work Process Before You Begin > Create Multiple-View Drawing Layouts (Paper Space) > Create and Modify Layout Viewports >
Create and Modify Layout Viewports
Concept Procedure Quick Reference

Commands

MVIEW

Creates and controls layout viewports

PROPERTIES

Controls properties of existing objects

VPCLIP

Clips viewport objects and reshapes the viewport border

VPORTS

Creates multiple viewports in model space or paper space

System Variables

MAXACTVP

Sets the maximum number of viewports that can be active at one time in a layout

Utilities

No entries

Command Modifiers

No entries


Control Views in Layout Viewports

Create and Modify Layout Viewports
Create Multiple-View Drawing Layouts (Paper Space)
Scale Views in Layout Viewports
Choose a Work Process Before You Begin > Create Multiple-View Drawing Layouts (Paper Space) >
Control Views in Layout Viewports
Concept Procedure

When you create a layout, you can add layout viewports that act as windows into model space. In each layout viewport, you can control the view that is displayed.

Topics in this section

  • Scale Views in Layout Viewports

    To scale each displayed view in the plotted drawing accurately, set the scale of each view relative to paper space.

  • Control Visibility in Layout Viewports

    You can control the visibility of objects in layout viewports using several methods. These methods are useful for emphasizing or hiding different elements of a drawing, and for reducing screen regeneration time.

  • Scale Linetypes in Layout Viewports

    You can scale linetypes in paper space either based on the drawing units of the space in which the object was created or based on the paper space units.

  • Align Views in Layout Viewports

    You can arrange the elements of your drawing by aligning the view in one layout viewport with the view in another viewport.

  • Rotate Views in Layout Viewports

    You can rotate an entire view within a layout viewport by changing the UCS and using the PLAN command.


Control Views in Layout Viewports (Procedure)

Create and Modify Layout Viewports
Control Views in Layout Viewports
Scale Views in Layout Viewports
Choose a Work Process Before You Begin > Create Multiple-View Drawing Layouts (Paper Space) > Control Views in Layout Viewports >
Control Views in Layout Viewports
Concept Procedure

To modify a layout viewport scale using the Properties palette

To turn on scale locking in a layout viewport

To scale linetypes globally in paper space

To align objects between viewports using a construction line

To align objects between viewports using MVSETUP

To rotate a view by changing the UCS

To rotate a layout view using MVSETUP


Scale Views in Layout Viewports (Concept)

Control Views in Layout Viewports
Control Views in Layout Viewports
Control Visibility in Layout Viewports
Choose a Work Process Before You Begin > Create Multiple-View Drawing Layouts (Paper Space) > Control Views in Layout Viewports >
Scale Views in Layout Viewports
Concept Procedure Quick Reference

To scale each displayed view in the plotted drawing accurately, set the scale of each view relative to paper space.

You can change the view scale of the viewport using

  • The Properties palette
  • The XP option of the ZOOM command
  • The Viewports toolbar
NoteYou can modify the list of scales that are displayed in all view and plot scale lists with SCALELISTEDIT.

When you work in a layout, the scale factor of a view in a layout viewport represents a ratio between the actual size of the model displayed in the viewport and the size of the layout. The ratio is determined by dividing the paper space units by the model space units. For example, for a quarter-scale drawing, the ratio would be a scale factor of one paper space unit to four model space units, or 1:4.

Scaling or stretching the layout viewport border does not change the scale of the view within the viewport.

Lock the Scale of Layout Viewports

Once you set the viewport scale, you cannot zoom within a viewport without changing the viewport scale. By locking the viewport scale first, you can zoom in to view different levels of detail in your viewport without altering the viewport scale.

Scale locking locks the scale that you set for the selected viewport. Once the scale is locked, you can continue to modify the geometry in the viewport without affecting the viewport scale. If you turn a viewport's scale locking on, most of the viewing commands, such as VPOINT, DVIEW, 3DORBIT, PLAN, and VIEW, no longer function in that viewport.

NoteViewport scale locking is also available for nonrectangular viewports. To lock a nonrectangular viewport, you must perform an extra step in the Properties palette to select the viewport object rather than the viewport clipping boundary.


Scale Views in Layout Viewports (Procedure)

Control Views in Layout Viewports
Up a level to ..
Scale Views in Layout Viewports
Choose a Work Process Before You Begin > Create Multiple-View Drawing Layouts (Paper Space) > Control Views in Layout Viewports > Scale Views in Layout Viewports >
Scale Views in Layout Viewports
Concept Procedure Quick Reference

To modify a layout viewport scale using the Properties palette

To turn on scale locking in a layout viewport


To modify a layout viewport scale using the Properties palette (Procedure)

Scale Views in Layout Viewports
Up a level to ..
Scale Views in Layout Viewports
Choose a Work Process Before You Begin > Create Multiple-View Drawing Layouts (Paper Space) > Control Views in Layout Viewports > Scale Views in Layout Viewports >
Scale Views in Layout Viewports
Concept Procedure Quick Reference

To modify a layout viewport scale using the Properties palette

  1. Make sure you are on a layout tab in paper space.
  2. Click the border of the viewport whose scale you want to modify.
  3. Right-click, and then click Properties.
  4. In the Properties palette, select Standard Scale, and then select a new scale from the list.

    The scale you choose is applied to the viewport.

    NoteTo use a custom scale, enter a scale in the Custom Scale field in the Properties palette.
Toolbar: Standard
Command entry: PROPERTIES
Shortcut menu: Select the viewport and right-click in the drawing area. Click Properties.


To turn on scale locking in a layout viewport (Procedure)

Scale Views in Layout Viewports
Up a level to ..
Control Visibility in Layout Viewports
Choose a Work Process Before You Begin > Create Multiple-View Drawing Layouts (Paper Space) > Control Views in Layout Viewports > Scale Views in Layout Viewports >
Scale Views in Layout Viewports
Concept Procedure Quick Reference

To turn on scale locking in a layout viewport

  1. In the layout, click the viewport whose scale you want to lock.
  2. If necessary, open the Properties palette.
  3. In the Properties palette, do one of the following:
    • If you selected a rectangular viewport, select Display Locked, and then click Yes.
    • If you selected a nonrectangular viewport, first click All (2) and select Viewport (1). Then select Display Locked, and click Yes.

    The current viewport's scale is locked. If you change the zoom factor in the viewport, only paper space objects are affected.

Toolbar: Standard
Command entry: PROPERTIES
Shortcut menu: Select the viewport and right-click in the drawing area. Click Properties.


Scale Views in Layout Viewports (Quick Reference)

Create and Modify Layout Viewports
Scale Views in Layout Viewports
Freeze Specified Layers in a Layout Viewport
Choose a Work Process Before You Begin > Create Multiple-View Drawing Layouts (Paper Space) > Control Views in Layout Viewports > Scale Views in Layout Viewports >
Scale Views in Layout Viewports
Concept Procedure Quick Reference

Commands

SCALELISTEDIT

Controls the list of scales available for layout viewports, page layouts, and plotting

MVIEW

Creates and controls layout viewports

PROPERTIES

Controls properties of existing objects

VPORTS

Creates multiple viewports in model space or paper space

ZOOM

Increases or decreases the apparent size of objects in the current viewport

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Control Visibility in Layout Viewports

Scale Views in Layout Viewports
Control Views in Layout Viewports
Freeze Specified Layers in a Layout Viewport
Choose a Work Process Before You Begin > Create Multiple-View Drawing Layouts (Paper Space) > Control Views in Layout Viewports >
Control Visibility in Layout Viewports
Concept Procedure

You can control the visibility of objects in layout viewports using several methods. These methods are useful for emphasizing or hiding different elements of a drawing, and for reducing screen regeneration time.

Topics in this section

  • Freeze Specified Layers in a Layout Viewport

    A major benefit to using layout viewports is that you can selectively freeze layers in each layout viewport. You can also specify default visibility settings for new viewports and for new layers. As a result, you can view different objects in each layout viewport.

  • Screen Objects in Layout Viewports

    Screening refers to applying less ink to an object when it is plotted. The object appears dimmer on the screen and on the plotted paper. Screening can be used to help differentiate objects in a drawing without changing the objects' color properties.

  • Turn Layout Viewports On or Off

    You can save time by turning some layout viewports off or by limiting the number of active viewports.


Control Visibility in Layout Viewports (Procedure)

Scale Views in Layout Viewports
Up a level to ..
Freeze Specified Layers in a Layout Viewport
Choose a Work Process Before You Begin > Create Multiple-View Drawing Layouts (Paper Space) > Control Views in Layout Viewports > Control Visibility in Layout Viewports >
Control Visibility in Layout Viewports
Concept Procedure

To freeze or thaw layers in the current layout viewport

To view a list of layers that are frozen in the current viewport

To freeze or thaw layers in all viewports

To freeze or thaw layers in paper space

To freeze or thaw layers in all new viewports

To create new layers that are frozen in all viewports

To apply screening to objects in a layout viewport

To turn viewports on or off using the Properties palette


Freeze Specified Layers in a Layout Viewport (Concept)

Control Visibility in Layout Viewports
Control Visibility in Layout Viewports
Screen Objects in Layout Viewports
Choose a Work Process Before You Begin > Create Multiple-View Drawing Layouts (Paper Space) > Control Views in Layout Viewports > Control Visibility in Layout Viewports >
Freeze Specified Layers in a Layout Viewport
Concept Procedure Quick Reference

A major benefit to using layout viewports is that you can selectively freeze layers in each layout viewport. You can also specify default visibility settings for new viewports and for new layers. As a result, you can view different objects in each layout viewport.

You can freeze or thaw layers in current and future layout viewports without affecting other viewports. Frozen layers are invisible. They are not regenerated or plotted. In the illustration, the layer showing terrain has been frozen in one viewport.

Thawing the layer restores visibility. The easiest way to freeze or thaw layers in the current viewport is to use the Layer Properties Manager.

In the Layer Properties Manager, on the right side, use the column labeled VP Freeze to freeze one or more layers in the current layout viewport. To display the VP Freeze column, you must be on a layout tab. Specify the current layout viewport by double-clicking anywhere within its borders.

Freeze or Thaw Layers Automatically in New Layout Viewports

You can set visibility defaults for specific layers in all new layout viewports. For example, you can restrict the display of dimensions by freezing the DIMENSIONS layer in all new viewports. If you create a viewport that requires dimensions, you can override the default setting by changing the setting in the current viewport. Changing the default for new viewports does not affect existing viewports.

Create New Layers That Are Frozen in All Layout Viewports

You can create new layers that are frozen in all existing and new layout viewports. Then you can thaw the layers in the viewports you specify. This is a shortcut for creating a new layer that is visible only in a single viewport.


Freeze Specified Layers in a Layout Viewport (Procedure)

Control Visibility in Layout Viewports
Up a level to ..
Freeze Specified Layers in a Layout Viewport
Choose a Work Process Before You Begin > Create Multiple-View Drawing Layouts (Paper Space) > Control Views in Layout Viewports > Control Visibility in Layout Viewports > Freeze Specified Layers in a Layout Viewport >
Freeze Specified Layers in a Layout Viewport
Concept Procedure Quick Reference

To freeze or thaw layers in the current layout viewport

To view a list of layers that are frozen in the current viewport

To freeze or thaw layers in all viewports

To freeze or thaw layers in paper space

To freeze or thaw layers in all new viewports

To create new layers that are frozen in all viewports


To freeze or thaw layers in the current layout viewport (Procedure)

Freeze Specified Layers in a Layout Viewport
Up a level to ..
Freeze Specified Layers in a Layout Viewport
Choose a Work Process Before You Begin > Create Multiple-View Drawing Layouts (Paper Space) > Control Views in Layout Viewports > Control Visibility in Layout Viewports > Freeze Specified Layers in a Layout Viewport >
Freeze Specified Layers in a Layout Viewport
Concept Procedure Quick Reference

To freeze or thaw layers in the current layout viewport

  1. Double-click within a layout viewport to make it current.
  2. Click Format menu [image] Layer.At the command prompt, enter layer.
  3. In the Layer Properties Manager, select the layers to freeze or thaw.

    Hold down CTRL to select more than one layer. Hold down SHIFT to select a sequence of layers.

  4. Click the icon in the VP Freeze column for one of the selected layers.
  5. Click OK.
Toolbar: Layers
Command entry: LAYER


To view a list of layers that are frozen in the current viewport (Procedure)

Freeze Specified Layers in a Layout Viewport
Up a level to ..
Freeze Specified Layers in a Layout Viewport
Choose a Work Process Before You Begin > Create Multiple-View Drawing Layouts (Paper Space) > Control Views in Layout Viewports > Control Visibility in Layout Viewports > Freeze Specified Layers in a Layout Viewport >
Freeze Specified Layers in a Layout Viewport
Concept Procedure Quick Reference

To view a list of layers that are frozen in the current viewport

  1. Click a layout tab.
  2. Double-click within a layout viewport to make it current.
  3. Click Format menu [image] Layer.At the command prompt, enter layer.
  4. In the Layer Properties Manager, look at the VP Freeze column for the Freeze/Thaw in Current Viewports icon.

  5. Click OK.
Toolbar: Layers
Command entry: LAYER, VPLAYER


To freeze or thaw layers in all viewports (Procedure)

Freeze Specified Layers in a Layout Viewport
Up a level to ..
Freeze Specified Layers in a Layout Viewport
Choose a Work Process Before You Begin > Create Multiple-View Drawing Layouts (Paper Space) > Control Views in Layout Viewports > Control Visibility in Layout Viewports > Freeze Specified Layers in a Layout Viewport >
Freeze Specified Layers in a Layout Viewport
Concept Procedure Quick Reference

To freeze or thaw layers in all viewports

  1. Click a layout tab.
  2. Click Format menu [image] Layer.At the command prompt, enter layer.
  3. In the Layer Properties Manager, select one or more layers to freeze or thaw.

    Hold down CTRL to select more than one layer. Hold down SHIFT to select a sequence of layers.

  4. In the Freeze column, click the icon to freeze or thaw.
Toolbar: Layers
Command entry: LAYER


To freeze or thaw layers in paper space (Procedure)

Freeze Specified Layers in a Layout Viewport
Up a level to ..
Freeze Specified Layers in a Layout Viewport
Choose a Work Process Before You Begin > Create Multiple-View Drawing Layouts (Paper Space) > Control Views in Layout Viewports > Control Visibility in Layout Viewports > Freeze Specified Layers in a Layout Viewport >
Freeze Specified Layers in a Layout Viewport
Concept Procedure Quick Reference

To freeze or thaw layers in paper space

  1. Click a layout tab.
  2. Make sure that you are in paper space. (On the status bar, PAPER is on.)
  3. Click Format menu [image] Layer.At the command prompt, enter layer.
  4. In the Layer Properties Manager, select the layer or layers you want to freeze or thaw.
  5. In the Freeze column, click the icon to change a layer's state. The sun icon means that a layer is thawed; the snowflake icon means that a layer is frozen.

  6. Click OK.
Toolbar: Layers
Command entry: LAYER


To freeze or thaw layers in all new viewports (Procedure)

Freeze Specified Layers in a Layout Viewport
Up a level to ..
Freeze Specified Layers in a Layout Viewport
Choose a Work Process Before You Begin > Create Multiple-View Drawing Layouts (Paper Space) > Control Views in Layout Viewports > Control Visibility in Layout Viewports > Freeze Specified Layers in a Layout Viewport >
Freeze Specified Layers in a Layout Viewport
Concept Procedure Quick Reference

To freeze or thaw layers in all new viewports

  1. Click a layout tab.
  2. Click Format menu [image] Layer.At the command prompt, enter layer.
  3. In the Layer Properties Manager, select the layer or layers you want to be automatically frozen or thawed in new viewports you create.

    Hold down CTRL to select more than one layer. Hold down SHIFT to select a sequence of layers.

  4. In the New VP Freeze column, click the icon to change a layer's state. The sun icon means that a layer is thawed; the snowflake icon means that a layer is frozen.
  5. Click OK.
Toolbar: Layers
Command entry: LAYER


To create new layers that are frozen in all viewports (Procedure)

Freeze Specified Layers in a Layout Viewport
Up a level to ..
Screen Objects in Layout Viewports
Choose a Work Process Before You Begin > Create Multiple-View Drawing Layouts (Paper Space) > Control Views in Layout Viewports > Control Visibility in Layout Viewports > Freeze Specified Layers in a Layout Viewport >
Freeze Specified Layers in a Layout Viewport
Concept Procedure Quick Reference

To create new layers that are frozen in all viewports

  1. Click a layout tab.
  2. Click Format menu [image] Layer.At the command prompt, enter layer.
  3. Click the New Layer button to create a layer.
  4. Rename the new layer.
  5. Click the icon in the Freeze column to change the layer's state to frozen. The sun icon means that a layer is thawed; the snowflake icon means that a layer is frozen.
  6. Click OK.
Toolbar: Layers
Command entry: LAYER, VPLAYER


Freeze Specified Layers in a Layout Viewport (Quick Reference)

Scale Views in Layout Viewports
Freeze Specified Layers in a Layout Viewport
Screen Objects in Layout Viewports
Choose a Work Process Before You Begin > Create Multiple-View Drawing Layouts (Paper Space) > Control Views in Layout Viewports > Control Visibility in Layout Viewports > Freeze Specified Layers in a Layout Viewport >
Freeze Specified Layers in a Layout Viewport
Concept Procedure Quick Reference

Commands

LAYER

Manages layers and layer properties

VPLAYER

Sets layer visibility within viewports

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Screen Objects in Layout Viewports (Concept)

Freeze Specified Layers in a Layout Viewport
Control Visibility in Layout Viewports
Turn Layout Viewports On or Off
Choose a Work Process Before You Begin > Create Multiple-View Drawing Layouts (Paper Space) > Control Views in Layout Viewports > Control Visibility in Layout Viewports >
Screen Objects in Layout Viewports
Concept Procedure Quick Reference

Screening refers to applying less ink to an object when it is plotted. The object appears dimmer on the screen and on the plotted paper. Screening can be used to help differentiate objects in a drawing without changing the objects' color properties.

To assign a screening value to an object, you must assign a plot style to the object, and then define the screening value in that plot style.

You can assign a screening value from 0 to 100. The default setting, 100, means no screening is applied, and the object is displayed with normal ink intensity. A screening value of 0 means the object contains no ink and is thus invisible in that viewport.

See Also

    • Set Options for Plotted Objects


To apply screening to objects in a layout viewport (Procedure)

Freeze Specified Layers in a Layout Viewport
Up a level to ..
Turn Layout Viewports On or Off
Choose a Work Process Before You Begin > Create Multiple-View Drawing Layouts (Paper Space) > Control Views in Layout Viewports > Control Visibility in Layout Viewports > Screen Objects in Layout Viewports >
Screen Objects in Layout Viewports
Concept Procedure Quick Reference

To apply screening to objects in a layout viewport

  1. Click File menu [image] Plot Style Manager.At the command prompt, enter stylesmanager.
  2. Right-click a CTB or STB file. Click Open.
  3. In the Plot Style Table Editor, Form View tab, select a plot style to change.
  4. In the Screening box, enter an intensity value between 1 and 100.
  5. Click Save & Close.
  6. In the layout, click File menu [image] Page Setup.
  7. In the Page Setup dialog box, Plot Device tab, select the edited plot style table from the Plot Style Table (Pen Assignments) list.
  8. Double-click within the layout viewport that contains the objects whose screening you want to change.
  9. Select the objects whose plot style you want to change.
  10. Right-click in the drawing area and click Properties.
  11. In the Properties palette, use one of the following methods:
    • If you are using named plot style tables, next to Plot Style, select the plot style you edited in the Plot Style Table Editor. If that plot style is not listed, select Other and set Active Plot Style Table to the plot style you edited in the Plot Style Table Editor. Select the edited plot style from the Plot Styles list in the Select Plot Style dialog box.
    • If you are using color-dependent plot style tables, next to Color, select the color whose plot style you edited in the Plot Style Table Editor.


Screen Objects in Layout Viewports (Quick Reference)

Freeze Specified Layers in a Layout Viewport
Screen Objects in Layout Viewports
Turn Layout Viewports On or Off
Choose a Work Process Before You Begin > Create Multiple-View Drawing Layouts (Paper Space) > Control Views in Layout Viewports > Control Visibility in Layout Viewports > Screen Objects in Layout Viewports >
Screen Objects in Layout Viewports
Concept Procedure Quick Reference

Commands

PAGESETUP

Controls the page layout, plotting device, paper size, and other settings for each new layout

PROPERTIES

Controls properties of existing objects

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Turn Layout Viewports On or Off (Concept)

Screen Objects in Layout Viewports
Control Visibility in Layout Viewports
Scale Linetypes in Layout Viewports
Choose a Work Process Before You Begin > Create Multiple-View Drawing Layouts (Paper Space) > Control Views in Layout Viewports > Control Visibility in Layout Viewports >
Turn Layout Viewports On or Off
Concept Procedure Quick Reference

You can save time by turning some layout viewports off or by limiting the number of active viewports.

Displaying a large number of active layout viewports can affect your system's performance as the content of each layout viewport regenerates. You can save time by turning some layout viewports off or by limiting the number of active viewports. The following illustration shows the effects of turning off two layout viewports.

New layout viewports are turned on by default. If you turn off the layout viewports you aren't using, you can copy layout viewports without waiting for each one to regenerate.

If you don't want to plot a layout viewport, you can turn the layout viewport off.


To turn viewports on or off using the Properties palette (Procedure)

Screen Objects in Layout Viewports
Up a level to ..
Scale Linetypes in Layout Viewports
Choose a Work Process Before You Begin > Create Multiple-View Drawing Layouts (Paper Space) > Control Views in Layout Viewports > Control Visibility in Layout Viewports > Turn Layout Viewports On or Off >
Turn Layout Viewports On or Off
Concept Procedure Quick Reference

To turn viewports on or off using the Properties palette

  1. Make sure you are on a layout tab in paper space.
  2. Click the border of the viewport to turn on or off.
  3. Right-click, and then click Properties.
  4. In the Properties palette, under Misc, select On, and then select Yes or No to turn the viewport on or off.

    For a nonrectangular viewport, select All (2) in the Properties palette, and then select Viewport (1) before changing any viewport properties.

Toolbar: Standard
Command entry: PROPERTIES
Shortcut menu: Select the viewport and right-click in the drawing area. Click Display Viewport Objects.


Turn Layout Viewports On or Off (Quick Reference)

Screen Objects in Layout Viewports
Turn Layout Viewports On or Off
Scale Linetypes in Layout Viewports
Choose a Work Process Before You Begin > Create Multiple-View Drawing Layouts (Paper Space) > Control Views in Layout Viewports > Control Visibility in Layout Viewports > Turn Layout Viewports On or Off >
Turn Layout Viewports On or Off
Concept Procedure Quick Reference

Commands

MVIEW

Creates and controls layout viewports

PAGESETUP

Controls the page layout, plotting device, paper size, and other settings for each new layout

PROPERTIES

Controls properties of existing objects

VPORTS

Creates multiple viewports in model space or paper space

System Variables

MAXACTVP

Sets the maximum number of viewports that can be active at one time in a layout

Utilities

No entries

Command Modifiers

No entries


Scale Linetypes in Layout Viewports (Concept)

Turn Layout Viewports On or Off
Control Views in Layout Viewports
Align Views in Layout Viewports
Choose a Work Process Before You Begin > Create Multiple-View Drawing Layouts (Paper Space) > Control Views in Layout Viewports >
Scale Linetypes in Layout Viewports
Concept Procedure Quick Reference

You can scale linetypes in paper space either based on the drawing units of the space in which the object was created or based on the paper space units.

You can set the PSLTSCALE system variable to maintain the same linetype scaling for objects displayed at different zoom factors in a layout and in a layout viewport. For example, with PSLTSCALE set to 1 (default), set the current linetype to dashed, and then draw a line in a paper space layout. In the layout, create a viewport with a zoom factor of 1x, make that layout viewport current, and then draw a line using the same dashed linetype. The dashed lines should appear to be the same. If you change the viewport zoom factor to 2x, the linetype scaling for the dashed line in the layout and the dashed line in the layout viewport will be the same, regardless of the difference in the zoom factor.

With PSLTSCALE turned on, you can still control the dash lengths with LTSCALE and CELTSCALE. In the following illustration, the pattern of the linetypes in the drawing on the left has been scaled to be the same regardless of the scale of the view. In the drawing on the right, the scale of the linetypes matches the scale of each view.

See Also

    • Set the Lineweight Scale for a Layout


To scale linetypes globally in paper space (Procedure)

Turn Layout Viewports On or Off
Up a level to ..
Align Views in Layout Viewports
Choose a Work Process Before You Begin > Create Multiple-View Drawing Layouts (Paper Space) > Control Views in Layout Viewports > Scale Linetypes in Layout Viewports >
Scale Linetypes in Layout Viewports
Concept Procedure Quick Reference

To scale linetypes globally in paper space

  1. Click Format menu [image] Linetype.At the command prompt, enter linetype.
  2. In the Linetype Manager, click Show Details.
  3. Under Global Scale Factor, enter a global scale to apply to the linetypes.
  4. Click OK.
Command entry: LINETYPE


Scale Linetypes in Layout Viewports (Quick Reference)

Turn Layout Viewports On or Off
Scale Linetypes in Layout Viewports
Align Views in Layout Viewports
Choose a Work Process Before You Begin > Create Multiple-View Drawing Layouts (Paper Space) > Control Views in Layout Viewports > Scale Linetypes in Layout Viewports >
Scale Linetypes in Layout Viewports
Concept Procedure Quick Reference

Commands

LINETYPE

Loads, sets, and modifies linetypes

System Variables

PSLTSCALE

Controls paper space linetype scaling

Utilities

No entries

Command Modifiers

No entries


Align Views in Layout Viewports (Concept)

Scale Linetypes in Layout Viewports
Control Views in Layout Viewports
Rotate Views in Layout Viewports
Choose a Work Process Before You Begin > Create Multiple-View Drawing Layouts (Paper Space) > Control Views in Layout Viewports >
Align Views in Layout Viewports
Concept Procedure Quick Reference

You can arrange the elements of your drawing by aligning the view in one layout viewport with the view in another viewport.

For angled, horizontal, and vertical alignments, you can move each layout viewport relative to distances defined by the model-space geometry displayed.

To adjust the views on a layout with precision, you can create construction geometry, use object snaps on the model-space objects displayed in layout viewports, or use one of the cursor constraint features available on the status bar.


Align Views in Layout Viewports (Procedure)

Scale Linetypes in Layout Viewports
Up a level to ..
Align Views in Layout Viewports
Choose a Work Process Before You Begin > Create Multiple-View Drawing Layouts (Paper Space) > Control Views in Layout Viewports > Align Views in Layout Viewports >
Align Views in Layout Viewports
Concept Procedure Quick Reference

To align objects between viewports using a construction line

To align objects between viewports using MVSETUP


To align objects between viewports using a construction line (Procedure)

Align Views in Layout Viewports
Up a level to ..
Align Views in Layout Viewports
Choose a Work Process Before You Begin > Create Multiple-View Drawing Layouts (Paper Space) > Control Views in Layout Viewports > Align Views in Layout Viewports >
Align Views in Layout Viewports
Concept Procedure Quick Reference

To align objects between viewports using a construction line

  1. Make sure you are on a layout tab.
  2. Click Draw menu [image] Construction Line.At the command prompt, enter xline.
  3. Specify a point in the first viewport. Specify a second point to determine a line for the alignment.

    Choose a point that can be aligned with objects in the second viewport. Use object snaps for precision.

  4. Click Modify menu [image] Move.
  5. Select the viewport to align to the first viewport. Press ENTER.
  6. When prompted for a base point, specify a point in the second viewport. Choose a point that corresponds with the point selected in the first viewport.
  7. When prompted for the second point, hold down SHIFT and right-click. Click Object Snap [image] Perpendicular.Click the construction line you created.

    The first and second viewports, and the objects in the viewports, are aligned.

    NoteWhen aligning objects in viewports, the scale of the viewports should be the same.


To align objects between viewports using MVSETUP (Procedure)

Align Views in Layout Viewports
Up a level to ..
Rotate Views in Layout Viewports
Choose a Work Process Before You Begin > Create Multiple-View Drawing Layouts (Paper Space) > Control Views in Layout Viewports > Align Views in Layout Viewports >
Align Views in Layout Viewports
Concept Procedure Quick Reference

To align objects between viewports using MVSETUP

  1. At the command prompt, enter mvsetup.
  2. Enter a (Align).
  3. Select one of the following alignments:
    • Horizontal. Aligns a point in one viewport horizontally with a base point in another viewport.
    • Vertical. Aligns a point in one viewport vertically with a base point in another viewport.
    • Angled. Aligns a point in one viewport at a specified distance and angle from a base point in another viewport.
  4. Make sure the viewport with the view that is to remain stationary is current. Then specify a base point.
  5. Select the viewport with the view you want to realign. Then specify an alignment point in that view.
  6. For angled alignments only, specify a distance and displacement angle from the base point to the alignment point in the second viewport.


Align Views in Layout Viewports (Quick Reference)

Scale Linetypes in Layout Viewports
Align Views in Layout Viewports
Rotate Views in Layout Viewports
Choose a Work Process Before You Begin > Create Multiple-View Drawing Layouts (Paper Space) > Control Views in Layout Viewports > Align Views in Layout Viewports >
Align Views in Layout Viewports
Concept Procedure Quick Reference

Commands

MOVE

Moves objects a specified distance in a specified direction

MVSETUP

Sets up the specifications of a drawing

UCS

Manages user coordinate systems

UCSICON

Controls the visibility and placement of the UCS icon

UCSMAN

Manages defined user coordinate systems

System Variables

UCSICON

Controls the visibility and placement of the UCS icon

UCSVP

Determines whether the UCS in viewports remains fixed or changes to reflect the UCS of the current viewport

Utilities

No entries

Command Modifiers

No entries


Rotate Views in Layout Viewports (Concept)

Align Views in Layout Viewports
Control Views in Layout Viewports
Reuse Layouts and Layout Settings
Choose a Work Process Before You Begin > Create Multiple-View Drawing Layouts (Paper Space) > Control Views in Layout Viewports >
Rotate Views in Layout Viewports
Concept Procedure Quick Reference

You can rotate an entire view within a layout viewport by changing the UCS and using the PLAN command.

With the UCS command, you can rotate the XY plane at any angle around the Z axis. When you enter the PLAN command, the view rotates to match the orientation of the XY plane.

For a faster method, use the Align and then Rotate View options in the MVSETUP command.

NoteThe ROTATE command rotates individual objects only and should not be used to try to rotate a view.


Rotate Views in Layout Viewports (Procedure)

Align Views in Layout Viewports
Up a level to ..
Rotate Views in Layout Viewports
Choose a Work Process Before You Begin > Create Multiple-View Drawing Layouts (Paper Space) > Control Views in Layout Viewports > Rotate Views in Layout Viewports >
Rotate Views in Layout Viewports
Concept Procedure Quick Reference

To rotate a view by changing the UCS

To rotate a layout view using MVSETUP


To rotate a view by changing the UCS (Procedure)

Rotate Views in Layout Viewports
Up a level to ..
Rotate Views in Layout Viewports
Choose a Work Process Before You Begin > Create Multiple-View Drawing Layouts (Paper Space) > Control Views in Layout Viewports > Rotate Views in Layout Viewports >
Rotate Views in Layout Viewports
Concept Procedure Quick Reference

To rotate a view by changing the UCS

  1. Make sure you are on a layout tab.
  2. Double-click within the viewport whose objects you want to rotate.
  3. Make sure that the current UCS is parallel to the plane of rotation (the UCS icon should look normal). If the UCS is not parallel to the plane of rotation, click Tools menu [image] New UCS [image] View.If the UCS is not parallel to the plane of rotation, at the command prompt, enter ucs.
  4. Click Tools menu [image] New UCS [image] Z.At the command prompt, enter ucs. To rotate the view 90 degrees clockwise, enter 90. To rotate the view 90 degrees counter-clockwise, enter -90.
  5. Click View menu [image] 3D Views [image] Plan View [image] Current UCS.At the command prompt, enter plan.

    The entire view rotates within the viewport. You may need to specify the scale of the viewport again.

Toolbar: UCS
Command entry: UCS


To rotate a layout view using MVSETUP (Procedure)

Rotate Views in Layout Viewports
Up a level to ..
Reuse Layouts and Layout Settings
Choose a Work Process Before You Begin > Create Multiple-View Drawing Layouts (Paper Space) > Control Views in Layout Viewports > Rotate Views in Layout Viewports >
Rotate Views in Layout Viewports
Concept Procedure Quick Reference

To rotate a layout view using MVSETUP

  1. On a layout, enter mvsetup at the command prompt.
  2. Enter a (Align).
  3. Enter r (Rotate) to rotate the view to a specified angle or with two points.
  4. If multiple viewports are available on the layout, click the viewport with the view that you want to rotate.
  5. Specify a base point for the rotation.
  6. Specify the rotation angle or specify a second point to determine the angle of rotation.

    The entire view rotates within the viewport.

  7. To restore the previous UCS, enter ucs and then p (Previous).


Rotate Views in Layout Viewports (Quick Reference)

Align Views in Layout Viewports
Rotate Views in Layout Viewports
Reuse Layouts and Layout Settings
Choose a Work Process Before You Begin > Create Multiple-View Drawing Layouts (Paper Space) > Control Views in Layout Viewports > Rotate Views in Layout Viewports >
Rotate Views in Layout Viewports
Concept Procedure Quick Reference

Commands

MVSETUP

Sets up the specifications of a drawing

PLAN

Displays the plan view of a specified user coordinate system

UCS

Manages user coordinate systems

UCSICON

Controls the visibility and placement of the UCS icon

UCSMAN

Manages defined user coordinate systems

System Variables

UCSICON

Controls the visibility and placement of the UCS icon

UCSVP

Determines whether the UCS in viewports remains fixed or changes to reflect the UCS of the current viewport

VIEWTWIST

Stores the view rotation angle for the current viewport measured relative to the WCS

Utilities

No entries

Command Modifiers

No entries


Reuse Layouts and Layout Settings (Concept)

Rotate Views in Layout Viewports
Create Multiple-View Drawing Layouts (Paper Space)
Work with Sheets in a Sheet Set
Choose a Work Process Before You Begin > Create Multiple-View Drawing Layouts (Paper Space) >
Reuse Layouts and Layout Settings
Concept Procedure Quick Reference

When you create a layout, you can choose to apply the information from an existing template.

A layout template is a layout imported from a DWG or DWT file. When you create a layout, you can choose to apply the information from an existing template. The program has sample layout templates to use when you design a new layout environment. The paper space objects and page setup in the existing template are used in the new layout. Thus, the layout objects, including any viewport objects, are displayed in paper space. You can keep any of the existing objects from the template you import, or you can delete the objects. No model space objects are imported.

The layout templates are identified with a .dwt file extension. However, a layout template or layout from any drawing or drawing template can be imported into the current drawing.

Save a Layout Template

Any drawing can be saved as a drawing template (DWT file), including all of the objects and layout settings. You can save a layout to a new DWT file by choosing the Save As option of the LAYOUT command. The template file is saved in the drawing template file folder as defined in the Options dialog box, Support tab. The layout template has a .dwt or .dwg extension like a drawing template or drawing file, but it contains little information not essential to the layout.

When you create a new layout template, any named items, such as blocks, layers, and dimension styles, that are used in the layout are saved with the template. These definition table items are imported as part of the layout settings if you import this template into a new layout. It is recommended that you use the Save As option of the LAYOUT command to create a new layout template. When you use the Save As option, unused definition table items are not saved with the file; they are not added to the new layout into which you import the template.

If you insert a layout from a drawing or template that was not created using the Save As option of the LAYOUT command, definition table items that are used in the drawing but not in the layout are inserted with the layout. To eliminate unnecessary definition table items, use the PURGE command.

Insert a Layout Using DesignCenter

Using DesignCenter™, you can drag a layout with its objects from any drawing into the current drawing.

When you use DesignCenter to insert a layout into a drawing, a new layout is created that includes all of the paper space objects, definition tables, and block definitions from the source layout. You can delete unneeded paper space objects. To eliminate any unnecessary definition table information from the new layout, use the PURGE command.


Reuse Layouts and Layout Settings (Procedure)

Rotate Views in Layout Viewports
Reuse Layouts and Layout Settings
Reuse Layouts and Layout Settings
Choose a Work Process Before You Begin > Create Multiple-View Drawing Layouts (Paper Space) > Reuse Layouts and Layout Settings >
Reuse Layouts and Layout Settings
Concept Procedure Quick Reference

To create a layout using a layout template

To save a layout template

To insert a layout using DesignCenter


To create a layout using a layout template (Procedure)

Reuse Layouts and Layout Settings
Reuse Layouts and Layout Settings
Reuse Layouts and Layout Settings
Choose a Work Process Before You Begin > Create Multiple-View Drawing Layouts (Paper Space) > Reuse Layouts and Layout Settings >
Reuse Layouts and Layout Settings
Concept Procedure Quick Reference

To create a layout using a layout template

  1. Click Insert menu [image] Layout [image] Layout From Template.At the command prompt, enter layout.
  2. In the Select Template From File dialog box, select a drawing template file from the list.
  3. Click Open.
  4. In the Insert Layout(s) dialog box, select the layout template from the list. Click OK.

    A new layout is created using the layout template you selected. The new layout is assigned the name Layout with the next number in the sequence and with the name of the imported layout attached.

    For example, if you insert a layout called ANSI D from a layout template and you already have two layouts in your drawing called Layout1 and Layout2, the new layout is called Layout3 - ANSI D.

Toolbar: Layouts
Command entry: LAYOUT
Shortcut menu: Right-click the layout tab. Click From Template.


To save a layout template (Procedure)

Reuse Layouts and Layout Settings
Reuse Layouts and Layout Settings
Reuse Layouts and Layout Settings
Choose a Work Process Before You Begin > Create Multiple-View Drawing Layouts (Paper Space) > Reuse Layouts and Layout Settings >
Reuse Layouts and Layout Settings
Concept Procedure Quick Reference

To save a layout template

  1. At the command prompt, enter layout.
  2. At the prompt, enter sa to save the current layout as a template.
  3. Enter the name of the layout you are saving.
  4. In the Create Drawing File dialog box, enter a name for the drawing template file you are saving.
  5. In Files of Type, select Drawing Template File (*.dwt).
  6. Click Save.


To insert a layout using DesignCenter (Procedure)

Reuse Layouts and Layout Settings
Reuse Layouts and Layout Settings
Create and Manage a Sheet Set
Choose a Work Process Before You Begin > Create Multiple-View Drawing Layouts (Paper Space) > Reuse Layouts and Layout Settings >
Reuse Layouts and Layout Settings
Concept Procedure Quick Reference

To insert a layout using DesignCenter

  1. Click Tools menu [image] DesignCenter.
  2. In the tree view, find the drawing that contains the layout you want to reuse.
  3. Double-click the drawing name to expand the options beneath it.
  4. Select the Layouts icon to display the individual layouts in the content area.
  5. Use one of the following methods to insert the layout into the current drawing:
    • Drag the layout icon from the content area into the drawing.
    • Select a layout in the content area and right-click. Click Add Layout(s).
    • Double-click the layout in the content area.
Toolbar: Standard
Command entry: ADCENTER


Reuse Layouts and Layout Settings (Quick Reference)

Rotate Views in Layout Viewports
Reuse Layouts and Layout Settings
Quick Start for Sheet Sets
Choose a Work Process Before You Begin > Create Multiple-View Drawing Layouts (Paper Space) > Reuse Layouts and Layout Settings >
Reuse Layouts and Layout Settings
Concept Procedure Quick Reference

Commands

ADCENTER

Manages and inserts content such as blocks, xrefs, and hatch patterns

LAYOUT

Creates and modifies drawing layout tabs

PAGESETUP

Controls the page layout, plotting device, paper size, and other settings for each new layout

PCINWIZARD

Displays a wizard to import PCP and PC2 configuration file plot settings into the Model tab or current layout

PURGE

Removes unused named items, such as block definitions and layers, from the drawing

System Variables

TDCREATE

Stores the local time and date the drawing was created

TDUCREATE

Stores the universal time and date that the drawing was created

TDUPDATE

Stores the local time and date of the last update/save

TDUUPDATE

Stores the universal time and date of the last update/save

Utilities

No entries

Command Modifiers

No entries


Work with Sheets in a Sheet Set

Reuse Layouts and Layout Settings
Choose a Work Process Before You Begin
Quick Start for Sheet Sets
Choose a Work Process Before You Begin >
Work with Sheets in a Sheet Set

With the Sheet Set Manager, you can organize drawing layouts into named sheet sets. The sheets in a sheet set can be transmitted, published, and archived as a unit.

Topics in this section

  • Quick Start for Sheet Sets

    A sheet set is an organized collection of sheets from several drawing files. A sheet is a selected layout from a drawing file.

  • Understand the Sheet Set Manager Interface

    Using the controls in the Sheet Set Manager, you can create, organize, and manage sheets in a sheet set.

  • Create and Manage a Sheet Set

    There are several methods for setting up and organizing a sheet set. You can also include relevant information with a sheet set and its components.

  • Publish, Transmit, and Archive Sheet Sets

    After you have organized drawings into a sheet set, you can publish, transmit, and archive the sheet set as a package.

  • Use Sheet Sets in a Team

    You can use sheet sets in a team that can involve network access, Internet collaboration, and email transmittal. The team can also include people who use software that does not include Sheet Set Manager.


Quick Start for Sheet Sets (Concept)

Work with Sheets in a Sheet Set
Work with Sheets in a Sheet Set
Understand the Sheet Set Manager Interface
Choose a Work Process Before You Begin > Work with Sheets in a Sheet Set >
Quick Start for Sheet Sets
Concept Quick Reference

A sheet set is an organized collection of sheets from several drawing files. A sheet is a selected layout from a drawing file.

Sets of drawings are the primary deliverable for most design groups. Sets of drawings communicate the overall design intent of a project and provide the documentation and specifications for the project. However, managing sets of drawings manually can be complicated and time consuming.

With the Sheet Set Manager, you can manage drawings as sheet sets. A sheet set is an organized and named collection of sheets from several drawing files. A sheet is a selected layout from a drawing file. You can import a layout from any drawing into a sheet set as a numbered sheet.

You can manage, transmit, publish, and archive sheet sets as a unit.


Quick Start for Sheet Sets (Quick Reference)

Reuse Layouts and Layout Settings
Quick Start for Sheet Sets
Understand the Sheet Set Manager Interface
Choose a Work Process Before You Begin > Work with Sheets in a Sheet Set > Quick Start for Sheet Sets >
Quick Start for Sheet Sets
Concept Quick Reference

Commands

NEWSHEETSET

Creates a new sheet set

OPENSHEETSET

Opens a selected sheet set

SHEETSET

Opens the Sheet Set Manager

SHEETSETHIDE

Closes the Sheet Set Manager

System Variables

SSFOUND

Displays the sheet set path and file name if a search for a sheet set is successful

SSLOCATE

Controls whether the sheet set associated with a drawing is located and opened when the drawing is opened

SSMAUTOOPEN

Controls the display behavior of the Sheet Set Manager when a drawing associated with a sheet is opened

SSMPOLLTIME

Controls whether plotting a sheet set, multi-sheet plot file, or plot spool file can be interrupted by other plot jobs

SSMSHEETSTATUS

Controls how the status data in a sheet set is refreshed

SSMSTATE

Indicates whether the Sheet Set Manager window is open or closed

Utilities

No entries

Command Modifiers

No entries


Understand the Sheet Set Manager Interface (Concept)

Quick Start for Sheet Sets
Work with Sheets in a Sheet Set
Create and Manage a Sheet Set
Choose a Work Process Before You Begin > Work with Sheets in a Sheet Set >
Understand the Sheet Set Manager Interface
Concept Quick Reference

Using the controls in the Sheet Set Manager, you can create, organize, and manage sheets in a sheet set.

You can use the following tabs and controls in the Sheet Set Manager:

Sheet Set Control. Lists menu options to create a new sheet set, open an existing sheet set, or switch between open sheet sets.

Sheet List Tab. Displays an organized list of all sheets in the sheet set. Each sheet in a sheet set is a specified layout in a drawing file.

Sheet Views Tab. Displays an organized list of all sheet views in the sheet set. Only sheet views created with AutoCAD 2005 and later are listed.

Model Views Tab. Lists the paths and folder names for the drawings containing model space views to be used in the sheet set.

  • Click a folder to list the drawing files that are located in that folder.
  • Click a drawing file to list the named model space views that are available for placement in the current sheet.
  • Double-click a view to open the drawing containing the view.
  • Right-click or drag a view to place it in the current sheet.

Buttons. Provides convenient access for the most commonly used operations for the currently selected tab.

Tree View. Displays the contents of a tab.

Details or Preview. Displays either descriptive information or a thumbnail preview of the currently selected item in the tree view.

Actions Used in the Tree View

You can use the following actions in the tree view:

  • Right-click to access shortcut menus of the operations that are relevant to the currently selected item.
  • Double-click items to open them. This is a convenient method for opening drawing files from the Sheet List tab or from the Model Views tab. You also double-click items in the tree view to expand or collapse them.
  • Click one or more items to select them for operations such as opening, publishing, or transmitting.
  • Click a single item to display descriptive information or a thumbnail preview of a selected sheet, view, or drawing file.
  • Drag items within the tree view to reorder them.
NoteTo use the Sheet Set Manager effectively, right-click items in the tree view to access relevant shortcut menus. For access to shortcut menus in the drawing area that are needed for sheet set operations, the Shortcut Menus in Drawing Area must be checked in the Options dialog box, User Preferences tab.


Understand the Sheet Set Manager Interface (Quick Reference)

Quick Start for Sheet Sets
Understand the Sheet Set Manager Interface
Create a Sheet Set
Choose a Work Process Before You Begin > Work with Sheets in a Sheet Set > Understand the Sheet Set Manager Interface >
Understand the Sheet Set Manager Interface
Concept Quick Reference

Commands

NEWSHEETSET

Creates a new sheet set

OPENSHEETSET

Opens a selected sheet set

SHEETSET

Opens the Sheet Set Manager

SHEETSETHIDE

Closes the Sheet Set Manager

System Variables

SSFOUND

Displays the sheet set path and file name if a search for a sheet set is successful

SSLOCATE

Controls whether the sheet set associated with a drawing is located and opened when the drawing is opened

SSMAUTOOPEN

Controls the display behavior of the Sheet Set Manager when a drawing associated with a sheet is opened

SSMPOLLTIME

Controls whether plotting a sheet set, multi-sheet plot file, or plot spool file can be interrupted by other plot jobs

SSMSHEETSTATUS

Controls how the status data in a sheet set is refreshed

SSMSTATE

Indicates whether the Sheet Set Manager window is open or closed

Utilities

No entries

Command Modifiers

No entries


Create and Manage a Sheet Set

Understand the Sheet Set Manager Interface
Work with Sheets in a Sheet Set
Create a Sheet Set
Choose a Work Process Before You Begin > Work with Sheets in a Sheet Set >
Create and Manage a Sheet Set
Concept Procedure

There are several methods for setting up and organizing a sheet set. You can also include relevant information with a sheet set and its components.

Topics in this section

  • Create a Sheet Set

    You create a sheet set with the Create a Sheet Set wizard. In the wizard, you can either create a sheet set from scratch based on existing drawings or use an example sheet set as a template.

  • Organize a Sheet Set

    With a large sheet set, you will find it essential to organize sheets and views in the tree view.

  • Create and Modify Sheets

    There are several options in the Sheet Set Manager for creating sheets and adding views either through a shortcut menu or one of the tab buttons. Modifying a sheet should always be done from an open sheet set.

  • Include Information with Sheets and Sheet Sets

    Sheet sets, subsets, and sheets include several types of information. This information, called properties, includes titles, descriptions, file paths, and custom properties that you define.


Create and Manage a Sheet Set (Procedure)

Reuse Layouts and Layout Settings
Create and Manage a Sheet Set
Create a Sheet Set
Choose a Work Process Before You Begin > Work with Sheets in a Sheet Set > Create and Manage a Sheet Set >
Create and Manage a Sheet Set
Concept Procedure

To open the Sheet Set Manager

To create a new sheet set

To open a sheet set

To close a sheet set

To reorder sheets in the sheet list

To create a new subset in the sheet list

To create a new view category in the view list

To remove a subset from the sheet list

To remove a view category from the view list

To import a layout from the current drawing as a sheet

To import layouts from several drawings as sheets

To create a new sheet

To open a drawing file within a sheet set

To open a drawing file read-only within a sheet set

To remove a sheet from a sheet set

To reassociate a sheet in a sheet set

To add a view to a sheet

To add a sheet list table

To edit a sheet list table

To update a sheet list table

To add a block to be used for sheet view callouts

To change the default block used for sheet view labels

To add a callout block to a sheet

To create a sheet list table on a title sheet

To edit the properties of a sheet set, subset, sheet, or view category

To create a custom property for a sheet set

To create a custom property for a sheet


Create a Sheet Set (Concept)

Create and Manage a Sheet Set
Create and Manage a Sheet Set
Organize a Sheet Set
Choose a Work Process Before You Begin > Work with Sheets in a Sheet Set > Create and Manage a Sheet Set >
Create a Sheet Set
Concept Procedure Quick Reference

You create a sheet set with the Create a Sheet Set wizard. In the wizard, you can either create a sheet set from scratch based on existing drawings or use an example sheet set as a template.

Layouts from specified drawing files are imported into the sheet set. The associations and information that define a sheet set are stored in a sheet set data (DST) file.

When creating a new sheet set using the Create Sheet Set wizard, a new folder is created as the default sheet set storage location. This new folder, named AutoCAD Sheet Sets, is located in the My Documents folder. The default location for the sheet set file can be changed, and it is recommended that the DST file is stored with the project files.

NoteThe DST file should be stored in a network location that is accessible to all sheet set users on the network and mapped using the same logical drive. It is strongly recommended that you store the DST and the sheet drawings in the same folder. If an entire sheet set needs to be moved, or a server or folder name changes, the DST file will still be able to locate the sheets using relative path information.

Preparation Tasks

Before you begin creating a sheet set, you should complete the following tasks:

  • Consolidate drawing files. Move the drawing files to be used in the sheet set into a small number of folders. This will simplify sheet set administration.
  • Eliminate multiple layout tabs. Each drawing you plan to use in the sheet set should have only one layout to be used as a sheet in the sheet set. This is important for access to sheets by multiple users. Only one sheet in each drawing can be open at a time.
  • Create a sheet creation template. Create or identify a drawing template (DWT) file to be used by the sheet set for creating new sheets. This drawing template file is called the sheet creation template. You specify this template file in the Sheet Set Properties dialog box or the Subset Properties dialog box.
  • Create a page setup overrides file. Create or identify a DWT file to store page setups for plotting and publishing. This file, called the page setup overrides file, can be used to apply a single page setup to all sheets in a sheet set, overriding the individual page setups stored in each drawing.
NoteAlthough it is possible to use several layouts from the same drawing file as separate sheets in a sheet set, it is not recommended. This makes concurrent access to each layout by multiple users impossible. This practice can also reduce your management options and can complicate the organization of your sheet sets.

Create a Sheet Set from an Example Sheet Set

In the Create Sheet Set wizard, when you choose to create a sheet set from an example, the example sheet set provides the organizational structure and default settings for the new sheet set. You can also specify that folders are created corresponding to the subset storage paths of the sheet set.

After you create an empty sheet set with this option, you can import layouts or create sheets individually.

Create a Sheet Set from Existing Drawing Files

In the Create Sheet Set wizard, when you choose to create a sheet set from existing drawing files, you specify one or more folders that contain drawing files. With this option, you can specify that the subset organization for the sheet set duplicates the folder structure of the drawing files. The layouts from these drawings can be imported into the sheet set automatically.

You can easily add more folders containing drawings by clicking the Browse button for each additional folder.

Backup and Recover Sheet Set Data Files

The data stored in the sheet set data file represents a significant amount of work, so you should take the same care to create backups of DST files as you do for drawing files.

In the unlikely event of DST file corruption or a major user error, the previously saved sheet set data file can be recovered. Every time the sheet set data file is opened, the current sheet set data file is copied to a backup file (DS$). This backup file has the same file name and is located in the same folder as the current sheet set data file.

To recover the previous version of the sheet set data file, first make sure that no one else on your network is working on the sheet set. Then, it is recommended that you copy the existing DST file to another file name. Finally, rename the backup file from the DS$ file extension to the DST file extension.


Create a Sheet Set (Procedure)

Create and Manage a Sheet Set
Up a level to ..
Create a Sheet Set
Choose a Work Process Before You Begin > Work with Sheets in a Sheet Set > Create and Manage a Sheet Set > Create a Sheet Set >
Create a Sheet Set
Concept Procedure Quick Reference

To open the Sheet Set Manager

To create a new sheet set

To open a sheet set

To close a sheet set


To open the Sheet Set Manager (Procedure)

Create a Sheet Set
Up a level to ..
Create a Sheet Set
Choose a Work Process Before You Begin > Work with Sheets in a Sheet Set > Create and Manage a Sheet Set > Create a Sheet Set >
Create a Sheet Set
Concept Procedure Quick Reference

To open the Sheet Set Manager

  • Click Tools menu [image] Palettes [image] Sheet Set Manager.At the command prompt, enter SheetSetHide.
Toolbar: Standard
Command entry: SHEETSET


To create a new sheet set (Procedure)

Create a Sheet Set
Up a level to ..
Create a Sheet Set
Choose a Work Process Before You Begin > Work with Sheets in a Sheet Set > Create and Manage a Sheet Set > Create a Sheet Set >
Create a Sheet Set
Concept Procedure Quick Reference

To create a new sheet set

  1. To create a new sheet set, do one of the following:
    • Click File menu [image] New Sheet Set.At the command prompt, enter newsheetset.
    • In the Sheet Set Manager, click the Sheet Set control. Click New Sheet Set.
  2. Follow the steps in the Create Sheet Set wizard.
Command entry: NEWSHEETSET


To open a sheet set (Procedure)

Create a Sheet Set
Up a level to ..
Create a Sheet Set
Choose a Work Process Before You Begin > Work with Sheets in a Sheet Set > Create and Manage a Sheet Set > Create a Sheet Set >
Create a Sheet Set
Concept Procedure Quick Reference

To open a sheet set

  1. To open a sheet set, do one of the following:
    • Click File menu [image] Open Sheet Set.At the command prompt, enter opensheetset.
    • In the Sheet Set Manager, click the Sheet Set control. Click Open.
    • Double-click a sheet set data (DST) file.
  2. In the Open Sheet Set dialog box, navigate to a folder that contains a DST file. Click the DST file and then click open.

    The Sheet Set Manager displays the sheet set data.

    NoteYou can open several sheet sets and then use the Sheet Set control to switch between them.
Toolbar: Standard
Command entry: SHEETSET


To close a sheet set (Procedure)

Create a Sheet Set
Up a level to ..
Organize a Sheet Set
Choose a Work Process Before You Begin > Work with Sheets in a Sheet Set > Create and Manage a Sheet Set > Create a Sheet Set >
Create a Sheet Set
Concept Procedure Quick Reference

To close a sheet set

  1. In the Sheet Set Manager, Sheet List tab, right-click the sheet set node (at the top of the list). Click Close Sheet Set.

    The sheet set is no longer displayed in the Sheet Set Manager.

    NoteClose a sheet set to reduce the number of sheet sets listed in the Sheet Set control. However, if you close a sheet set while you still have sheets in the sheet set open, you will not be able to update the Sheet List table and certain fields.
Toolbar: Standard
Command entry: SHEETSET


Create a Sheet Set (Quick Reference)

Understand the Sheet Set Manager Interface
Create a Sheet Set
Organize a Sheet Set
Choose a Work Process Before You Begin > Work with Sheets in a Sheet Set > Create and Manage a Sheet Set > Create a Sheet Set >
Create a Sheet Set
Concept Procedure Quick Reference

Commands

NEWSHEETSET

Creates a new sheet set

OPENSHEETSET

Opens a selected sheet set

SHEETSET

Opens the Sheet Set Manager

SHEETSETHIDE

Closes the Sheet Set Manager

System Variables

SSFOUND

Displays the sheet set path and file name if a search for a sheet set is successful

SSLOCATE

Controls whether the sheet set associated with a drawing is located and opened when the drawing is opened

SSMAUTOOPEN

Controls the display behavior of the Sheet Set Manager when a drawing associated with a sheet is opened

SSMPOLLTIME

Controls whether plotting a sheet set, multi-sheet plot file, or plot spool file can be interrupted by other plot jobs

SSMSHEETSTATUS

Controls how the status data in a sheet set is refreshed

SSMSTATE

Indicates whether the Sheet Set Manager window is open or closed

Utilities

No entries

Command Modifiers

No entries


Organize a Sheet Set (Concept)

Create a Sheet Set
Create and Manage a Sheet Set
Create and Modify Sheets
Choose a Work Process Before You Begin > Work with Sheets in a Sheet Set > Create and Manage a Sheet Set >
Organize a Sheet Set
Concept Procedure Quick Reference

With a large sheet set, you will find it essential to organize sheets and views in the tree view.

On the Sheet List tab, sheets can be arranged into collections called subsets. On the Sheet Views tab, views can be arranged into collections called categories.

Use Sheet Subsets

Sheet subsets are often associated with a discipline such as architecture or mechanical design. For example, in architecture, you might use a subset named Structural; and in mechanical design, you might use a subset called Standard Fasteners. In some cases, you might also find it useful to create subsets associated with a review or completion status.

You can nest subsets into other subsets as needed. After you create or import sheets or subsets, you can reorder them by dragging them in the tree view.

Use View Categories

View categories are often associated with a function. For example, in architecture, you might use a view category called Elevations; and in mechanical design, you might use a view category called Exploded.

You can display views either by category or by the sheet on which they are located.

You can nest categories into other categories as needed. To move a view to a different category, drag them in the tree view or use the Set Category shortcut menu option.


Organize a Sheet Set (Procedure)

Create a Sheet Set
Up a level to ..
Organize a Sheet Set
Choose a Work Process Before You Begin > Work with Sheets in a Sheet Set > Create and Manage a Sheet Set > Organize a Sheet Set >
Organize a Sheet Set
Concept Procedure Quick Reference

To reorder sheets in the sheet list

To create a new subset in the sheet list

To create a new view category in the view list

To remove a subset from the sheet list

To remove a view category from the view list


To reorder sheets in the sheet list (Procedure)

Organize a Sheet Set
Up a level to ..
Organize a Sheet Set
Choose a Work Process Before You Begin > Work with Sheets in a Sheet Set > Create and Manage a Sheet Set > Organize a Sheet Set >
Organize a Sheet Set
Concept Procedure Quick Reference

To reorder sheets in the sheet list

  • In the Sheet Set Manager, on the Sheet List tab, drag a sheet up or down the list.

The sheet is relocated above or below its previous location on the sheet list. The sheet may also be moved into or out of a sheet subset.

Toolbar: Standard
Command entry: SHEETSET


To create a new subset in the sheet list (Procedure)

Organize a Sheet Set
Up a level to ..
Organize a Sheet Set
Choose a Work Process Before You Begin > Work with Sheets in a Sheet Set > Create and Manage a Sheet Set > Organize a Sheet Set >
Organize a Sheet Set
Concept Procedure Quick Reference

To create a new subset in the sheet list

  1. In the Sheet Set Manager, Sheet List tab, right-click the sheet set node (at the top of the list), or an existing subset. Click New Subset.
  2. In the Subset Properties dialog box, under Subset Name, enter the name of the new subset. Click OK.

    You can drag the new subset anywhere on the sheet list, even under other subsets.

    NoteIf you want to create a subset under an existing subset, you can right-click the existing subset. On the shortcut menu, click New Subset.
Toolbar: Standard
Command entry: SHEETSET


To create a new view category in the view list (Procedure)

Organize a Sheet Set
Up a level to ..
Organize a Sheet Set
Choose a Work Process Before You Begin > Work with Sheets in a Sheet Set > Create and Manage a Sheet Set > Organize a Sheet Set >
Organize a Sheet Set
Concept Procedure Quick Reference

To create a new view category in the view list

  1. In the Sheet Set Manager, Sheet Views tab, click the View by Category button.
  2. Right-click the sheet set node (at the top of the list). Click New View Category.
  3. In the View Category dialog box, under Category Name, enter the name of the new view category.
  4. If a list of blocks is displayed, select the callout blocks to be used for the views in this view category. You can add blocks to the list by clicking the Add Blocks button.
Toolbar: Standard
Command entry: SHEETSET


To remove a subset from the sheet list (Procedure)

Organize a Sheet Set
Up a level to ..
Organize a Sheet Set
Choose a Work Process Before You Begin > Work with Sheets in a Sheet Set > Create and Manage a Sheet Set > Organize a Sheet Set >
Organize a Sheet Set
Concept Procedure Quick Reference

To remove a subset from the sheet list

  1. In the Sheet Set Manager, Sheet List tab, drag all sheets out of the subset that you want to remove.
  2. Right-click the subset that you want to remove. Click Remove Subset.
Toolbar: Standard
Command entry: SHEETSET


To remove a view category from the view list (Procedure)

Organize a Sheet Set
Up a level to ..
Create and Modify Sheets
Choose a Work Process Before You Begin > Work with Sheets in a Sheet Set > Create and Manage a Sheet Set > Organize a Sheet Set >
Organize a Sheet Set
Concept Procedure Quick Reference

To remove a view category from the view list

  1. In the Sheet Set Manager, Sheet Views tab, click the View by Category button.
  2. Drag all views out of the view category that you want to remove.
  3. Right-click the view category that you want to remove. Click Remove Category.
Toolbar: Standard
Command entry: SHEETSET


Organize a Sheet Set (Quick Reference)

Create a Sheet Set
Organize a Sheet Set
Create and Modify Sheets
Choose a Work Process Before You Begin > Work with Sheets in a Sheet Set > Create and Manage a Sheet Set > Organize a Sheet Set >
Organize a Sheet Set
Concept Procedure Quick Reference

Commands

NEWSHEETSET

Creates a new sheet set

OPENSHEETSET

Opens a selected sheet set

SHEETSET

Opens the Sheet Set Manager

SHEETSETHIDE

Closes the Sheet Set Manager

System Variables

SSFOUND

Displays the sheet set path and file name if a search for a sheet set is successful

SSLOCATE

Controls whether the sheet set associated with a drawing is located and opened when the drawing is opened

SSMAUTOOPEN

Controls the display behavior of the Sheet Set Manager when a drawing associated with a sheet is opened

SSMPOLLTIME

Controls whether plotting a sheet set, multi-sheet plot file, or plot spool file can be interrupted by other plot jobs

SSMSHEETSTATUS

Controls how the status data in a sheet set is refreshed

SSMSTATE

Indicates whether the Sheet Set Manager window is open or closed

Utilities

No entries

Command Modifiers

No entries


Create and Modify Sheets (Concept)

Organize a Sheet Set
Create and Manage a Sheet Set
Include Information with Sheets and Sheet Sets
Choose a Work Process Before You Begin > Work with Sheets in a Sheet Set > Create and Manage a Sheet Set >
Create and Modify Sheets
Concept Procedure Quick Reference

There are several options in the Sheet Set Manager for creating sheets and adding views either through a shortcut menu or one of the tab buttons. Modifying a sheet should always be done from an open sheet set.

Following are descriptions of common sheet operations. You can access commands by right-clicking an item in the tree view to display the relevant shortcut menu.

  • Import layout as sheet. After you create a sheet set, you can import one or more layouts from existing drawings. You can initialize a layout by clicking on its tab to activate the previously unused layout. A layout does not contain any plot settings before initialization. Once initialized, layouts can be drawn upon, published, and added to sheet sets as sheets (after the drawing has been saved). This is a fast method for creating multiple sheets from layouts in several drawings. In the current drawing, you can drag a layout tab directly onto the Sheets area of the Sheet List tab in the Sheet Set Manager.
  • Create a new sheet. As an alternative to importing existing layouts, you can create a new sheet. When you place views in this sheet, the drawing files associated with the views are attached as xrefs to the sheet drawing. The sheet drawing file is created using either the AutoCAD 2004 format or the AutoCAD 2007 format, depending on the format specified on the Open and Save tab in the Options dialog box.
  • Modify a sheet. Double-click a sheet on the Sheet List tab to open a drawing from the sheet set. Use SHIFT or CTRL to select multiple sheets. To review a sheet, use the shortcut menu to open a drawing in read-only mode.
    NoteModifying a sheet should always be done using an open sheet set in the Sheet Set Manager. This ensures that all data associated with the sheet are updated.
  • Rename and renumber a sheet. After you create a sheet, you can change the sheet title and the sheet number. You can also specify a different drawing file associated with the sheet.
    NoteIf you change the layout name, the corresponding sheet title in the sheet set is also updated or vice versa.
  • Remove a sheet from a sheet set. Removing a sheet from a sheet set disassociates the sheet from the sheet set, but does not delete the drawing file or the layout.
  • Reassociate a sheet. If you move a sheet to a different folder, you should reassociate the sheet to the sheet set with the Sheet Properties dialog box to correct the path. For any relocated sheet drawing, the paths for Expected Layout and Found Layout are displayed in the Sheet Properties dialog box. To reassociate the sheet, click the path in Expected Layout and then click to navigate to the new location of the sheet.
    NoteYou can quickly confirm whether a sheet is in the expected folder by looking at Details at the bottom of the Sheet List tab. If the selected sheet is not in the expected location, path information for both Expected Location and Found Location is displayed in Details.
  • Add a view to a sheet. From the Model Views tab, you can easily add a view to a sheet by placing a named model space view or the entire drawing onto the current sheet.
    NoteAfter creating a named model space view, you must save the drawing to add the view to the Model Views tab. Click Refresh on the Model Views tab to update the Sheet Set Manager tree view.
  • Add label blocks to views. With the Sheet Set Manager, you can label views and details automatically as you place them. Labels contain data associated with the referenced view.

  • Add callout blocks to views. Callout blocks is the term for the symbols that reference other sheets. Callout blocks have many industry-specific names such as reference tags, detail keys, detail makers, building section keys, and so on. Callout blocks contain data associated with the sheet and view that are referenced.
    NoteWhen you place a callout block with fields or a view on a sheet, make sure that the current layer is unlocked.

  • Create a title sheet and table of contents. The first sheet in a sheet set will usually be a title sheet that includes a description of the sheet set and a table that lists all the sheets in the sheet set. You can create this table, called a sheet list table, on an open sheet. The table automatically includes all the sheets in the sheet set. You can create a sheet list table from the sheet set level shortcut menu only when a sheet is open. Once a sheet list table is created, you also have options to edit, update, or delete the cell content of the table.
    NoteFor access to shortcut menus in the drawing area that are needed for sheet list table operations, the Shortcut Menus in Drawing Area must be checked in the Options dialog box, User Preferences tab.

Create Callout Blocks and Label Blocks (Advanced)

If you create a block to be used as a callout block or label block in a sheet set, you can use a placeholder field to display information such as view title or sheet number. The callout or label block must be defined in a DWG or DWT file that is specified in the Sheet Set Properties dialog box. Later, you can insert the callout or label block from a shortcut menu on the Sheet Views tab in the Sheet Set Manager.

For the field to display the correct information about a view or sheets on which you later insert it, the field must be included within a block attribute, not text, when you define the block. To create the block attribute definition, insert a placeholder field as the value, select the Preset option, and specify a tag.

NoteIf you create your own label blocks and callout blocks, set any attribute definitions to Preset to avoid prompts when placing these blocks in a drawing.

For more information about fields, see Insert Fields.

Place a Sheet View (Advanced)

The Sheet Set Manager automates and enhances the process for adding views to a sheet. A view on a sheet, called a sheet view, consists of several coincident entities: an xref or geometry in model space, a layout viewport on a sheet, and a named view in paper space.

  • The sheet view can display model space from a different drawing file. In this case, that drawing is attached as an xref in your current drawing. The layers of that drawing file are displayed only in the sheet view that you create.
    NoteThe xref is attached using a relative path. If you need to change the path to a fully specified (absolute) path, use the External References palette.
  • A layout viewport that displays the model space view is created on your current sheet.
  • A named view that encompasses the area of the layout viewport is created in paper space.

When you place a sheet view on a sheet, all the layers in the current drawing (including layer 0) are frozen in the new viewport created by the view. The layers are shown as frozen in the VP Freeze column of the Layer Properties Manager.

If you need to remove a sheet view from a sheet, you can delete the layout viewport to remove the view. However, to remove all unused items, you need to detach the xref and delete the named paper space view.

NoteThe easiest method for removing a sheet view immediately after placing it is to use UNDO.
See Also

    • Create Multiple-View Drawing Layouts (Paper Space)


Create and Modify Sheets (Procedure)

Organize a Sheet Set
Up a level to ..
Create and Modify Sheets
Choose a Work Process Before You Begin > Work with Sheets in a Sheet Set > Create and Manage a Sheet Set > Create and Modify Sheets >
Create and Modify Sheets
Concept Procedure Quick Reference

To import a layout from the current drawing as a sheet

To import layouts from several drawings as sheets

To create a new sheet

To open a drawing file within a sheet set

To open a drawing file read-only within a sheet set

To remove a sheet from a sheet set

To reassociate a sheet in a sheet set

To add a view to a sheet

To add a sheet list table

To edit a sheet list table

To update a sheet list table

To add a block to be used for sheet view callouts

To change the default block used for sheet view labels

To add a callout block to a sheet

To create a sheet list table on a title sheet


To import a layout from the current drawing as a sheet (Procedure)

Create and Modify Sheets
Up a level to ..
Create and Modify Sheets
Choose a Work Process Before You Begin > Work with Sheets in a Sheet Set > Create and Manage a Sheet Set > Create and Modify Sheets >
Create and Modify Sheets
Concept Procedure Quick Reference

To import a layout from the current drawing as a sheet

  1. If the Model and layout tabs are not visible at the bottom of the drawing area, right-click the Model button on the status bar and click Display Layout and Model tabs.
  2. Do one of the following:
    • Right-click a layout tab and click Import Layout as Sheet.
    • Drag a layout tab onto the Sheet Set Manager, Sheet List Tab, Sheets area.
  3. Click Import Checked.
Toolbar: Standard
Command entry: SHEETSET


To import layouts from several drawings as sheets (Procedure)

Create and Modify Sheets
Up a level to ..
Create and Modify Sheets
Choose a Work Process Before You Begin > Work with Sheets in a Sheet Set > Create and Manage a Sheet Set > Create and Modify Sheets >
Create and Modify Sheets
Concept Procedure Quick Reference

To import layouts from several drawings as sheets

  1. In the Sheet Set Manager, Sheet List tab, right-click the sheet set node, a subset node, or a sheet node. Click Import Layout as Sheet.
  2. In the Import Layouts as Sheets dialog box, click Browse for Drawings and navigate to the drawing that you want to use.

    To select several drawings, use SHIFT or CTRL when you click on the drawing files.

  3. Click the check boxes of the layouts to be imported as sheets in the current sheet set. Click Import Checked.
  4. (Optional) On the Sheet List tab, right-click a newly imported sheet. Click Rename & Renumber.
  5. (Optional) In the Rename & Renumber Sheet dialog box, make any changes to the sheet number and sheet title. Click OK.
    NoteChanges to the sheet number and sheet title have no effect on the drawing file name unless a file rename option is checked.
Toolbar: Standard
Command entry: SHEETSET


To create a new sheet (Procedure)

Create and Modify Sheets
Up a level to ..
Create and Modify Sheets
Choose a Work Process Before You Begin > Work with Sheets in a Sheet Set > Create and Manage a Sheet Set > Create and Modify Sheets >
Create and Modify Sheets
Concept Procedure Quick Reference

To create a new sheet

  1. In the Sheet Set Manager, Sheet List tab, right-click either the sheet set node, a subset node, or a sheet node. Click New Sheet.
  2. In the New Sheet dialog box, enter the sheet number and sheet title. Click OK.

    The new sheet is created from the drawing template file specified in Sheet Set Properties for the default new sheet creation template.

    NoteYou can change the default folder location for new sheets from the Sheet Set Properties or the Subset Properties dialog box.
Toolbar: Standard
Command entry: SHEETSET


To open a drawing file within a sheet set (Procedure)

Create and Modify Sheets
Up a level to ..
Create and Modify Sheets
Choose a Work Process Before You Begin > Work with Sheets in a Sheet Set > Create and Manage a Sheet Set > Create and Modify Sheets >
Create and Modify Sheets
Concept Procedure Quick Reference

To open a drawing file within a sheet set

  1. In the Sheet Set Manager, open a sheet set.
  2. On the Sheet List tab, double-click a sheet. To select several drawings, use SHIFT or CTRL when you click on the drawing files.

    The drawing file for the sheet is opened. Any changes made to the drawing that are relevant to the sheet list are updated in the sheet set data (DST) file.

Toolbar: Standard
Command entry: SHEETSET


To open a drawing file read-only within a sheet set (Procedure)

Create and Modify Sheets
Up a level to ..
Create and Modify Sheets
Choose a Work Process Before You Begin > Work with Sheets in a Sheet Set > Create and Manage a Sheet Set > Create and Modify Sheets >
Create and Modify Sheets
Concept Procedure Quick Reference

To open a drawing file read-only within a sheet set

  1. In the Sheet Set Manager, open a sheet set.
  2. On the Sheet List tab, right-click a sheet. Click Open Read-Only.
Toolbar: Standard
Command entry: SHEETSET


To remove a sheet from a sheet set (Procedure)

Create and Modify Sheets
Up a level to ..
Create and Modify Sheets
Choose a Work Process Before You Begin > Work with Sheets in a Sheet Set > Create and Manage a Sheet Set > Create and Modify Sheets >
Create and Modify Sheets
Concept Procedure Quick Reference

To remove a sheet from a sheet set

  1. In the Sheet Set Manager, open a sheet set.
  2. On the Sheet List tab, right-click the sheet that you want to remove. Click Remove Sheet.

    The specified sheet is removed from the sheet list. The sheet and the drawing file are not deleted, however. The sheet can be added to a different sheet set.

    NoteThe DWG file associated with a sheet does not have to be accessible for the sheet to be removed from the sheet set.
Toolbar: Standard
Command entry: SHEETSET


To reassociate a sheet in a sheet set (Procedure)

Create and Modify Sheets
Up a level to ..
Create and Modify Sheets
Choose a Work Process Before You Begin > Work with Sheets in a Sheet Set > Create and Manage a Sheet Set > Create and Modify Sheets >
Create and Modify Sheets
Concept Procedure Quick Reference

To reassociate a sheet in a sheet set

  1. In the Sheet Set Manager, open a sheet set.
  2. On the Sheet List tab, open the sheet that you want to reassociate.
  3. In the Sheet Set Manager, right-click the sheet. Click Remove Sheet.
  4. Save the drawing.
  5. In the Sheet Set Manager, right-click the Sheet Set. Click Import Layout as Sheet.
  6. In the Import Layout as Sheet dialog box, click Browse for Drawings. Navigate to the drawing that you want to use.
  7. Click the check box of the layout to be reassociated as a sheet in the current sheet set. Click Import Checked.
Toolbar: Standard
Command entry: SHEETSET


To add a view to a sheet (Procedure)

Create and Modify Sheets
Up a level to ..
Create and Modify Sheets
Choose a Work Process Before You Begin > Work with Sheets in a Sheet Set > Create and Manage a Sheet Set > Create and Modify Sheets >
Create and Modify Sheets
Concept Procedure Quick Reference

To add a view to a sheet

  1. In the Sheet Set Manager, open a sheet set.
  2. On the Sheet List tab, do one of the following:
    • Double-click a sheet to open it.
    • Create a new sheet and open it.
  3. On the Model Views tab, click the plus sign (+) next to a folder to list the drawings in the folder.
  4. From the list of drawing files, do one of the following:
    • To add a model space view to a sheet, click the plus sign (+) next to a drawing file to list its named model space views. Right-click a model space view.
    • To add an entire drawing as a view in a sheet, right-click a drawing file.
  5. Click Place on Sheet.
    NoteAs an alternative to the previous two steps, you can drag a model space view or a drawing from the Model Views tab to a sheet.
  6. Right-click on the sheet. Click the scale for the sheet view.
  7. Specify the insertion point for the sheet view.

    The specified view is added to the sheet. If a view label block is defined in the sheet set properties, a view label that displays view-specific information is automatically placed on the sheet.

Toolbar: Standard
Command entry: SHEETSET


To add a sheet list table (Procedure)

Create and Modify Sheets
Up a level to ..
Create and Modify Sheets
Choose a Work Process Before You Begin > Work with Sheets in a Sheet Set > Create and Manage a Sheet Set > Create and Modify Sheets >
Create and Modify Sheets
Concept Procedure Quick Reference

To add a sheet list table

  1. In the Sheet Set Manager, open a sheet set.
  2. Right-click the sheet set name. Click Insert Sheet List Table.
  3. In the Insert Sheet List Table dialog box, do the following:
    • Set the Table Style in the Table Style Settings group.
    • Specify Title Text for the table from the Table Data Settings group.
    • Add, remove, or change the order of the column entries.
  4. Click OK to close the dialog box and add the table to the drawing.
Toolbar: Standard
Command entry: SHEETSET


To edit a sheet list table (Procedure)

Create and Modify Sheets
Up a level to ..
Create and Modify Sheets
Choose a Work Process Before You Begin > Work with Sheets in a Sheet Set > Create and Manage a Sheet Set > Create and Modify Sheets >
Create and Modify Sheets
Concept Procedure Quick Reference

To edit a sheet list table

  1. Select a cell in an existing sheet list table.
  2. Right-click the cell. Click Edit Sheet List Table Settings.
  3. In the Edit Sheet List Table Settings dialog box, do one or more of the following:
    • Change the Table Style if you don’t like the current format.
    • Edit the Title Text for the table.
    • Add, remove, or change the order of the column entries.
    • Change the data type or heading text for column entries.
  4. Click OK to close the dialog box and change the table to the drawing.
Shortcut menu: Select any cell in the sheet list table [image] Right-click to open the shortcut menu [image] Edit Sheet List Table Settings.


To update a sheet list table (Procedure)

Create and Modify Sheets
Up a level to ..
Create and Modify Sheets
Choose a Work Process Before You Begin > Work with Sheets in a Sheet Set > Create and Manage a Sheet Set > Create and Modify Sheets >
Create and Modify Sheets
Concept Procedure Quick Reference

To update a sheet list table

  1. Select a cell in an existing sheet list table.
  2. Right-click the cell. Click Update Sheet List Table.
Shortcut menu: Select any cell in the sheet list table [image] Right-click to open the shortcut menu [image] Update Sheet List Table.


To add a block to be used for sheet view callouts (Procedure)

Create and Modify Sheets
Up a level to ..
Create and Modify Sheets
Choose a Work Process Before You Begin > Work with Sheets in a Sheet Set > Create and Manage a Sheet Set > Create and Modify Sheets >
Create and Modify Sheets
Concept Procedure Quick Reference

To add a block to be used for sheet view callouts

  1. In the Sheet Set Manager, open a sheet set.
  2. On the Sheet Views tab, right-click the sheet set node.
  3. In the Sheet Set Properties dialog box, click Callout Blocks. Click the [...] button.
  4. In the List of Blocks dialog box, do one of the following:
    • Click a block from the list of blocks.
    • Click the Add button and specify a new block to be added to the list.
  5. Click OK to close each dialog box.
Toolbar: Standard
Command entry: SHEETSET


To change the default block used for sheet view labels (Procedure)

Create and Modify Sheets
Up a level to ..
Create and Modify Sheets
Choose a Work Process Before You Begin > Work with Sheets in a Sheet Set > Create and Manage a Sheet Set > Create and Modify Sheets >
Create and Modify Sheets
Concept Procedure Quick Reference

To change the default block used for sheet view labels

  1. In the Sheet Set Manager, open a sheet set.
  2. On the Sheet Views tab, right-click the sheet set node.
  3. In the Sheet Set Properties dialog box, click Label Block for Views. Click the [...] button.
  4. In the Select Block dialog box, specify a new block to be used as the default view label block.
  5. Click OK to close each dialog box.
Toolbar: Standard
Command entry: SHEETSET


To add a callout block to a sheet (Procedure)

Create and Modify Sheets
Up a level to ..
Create and Modify Sheets
Choose a Work Process Before You Begin > Work with Sheets in a Sheet Set > Create and Manage a Sheet Set > Create and Modify Sheets >
Create and Modify Sheets
Concept Procedure Quick Reference

To add a callout block to a sheet

  1. In the Sheet Set Manager, open a sheet set.
  2. On the Sheet Views tab, right-click the view with which you want to associate a callout. Click Place Callout Block.
  3. Specify the insertion point of the callout block.

    The callout block is placed on the sheet. The callout block automatically displays view-specific information about the view with which it is associated.

Toolbar: Standard
Command entry: SHEETSET


To create a sheet list table on a title sheet (Procedure)

Create and Modify Sheets
Up a level to ..
Include Information with Sheets and Sheet Sets
Choose a Work Process Before You Begin > Work with Sheets in a Sheet Set > Create and Manage a Sheet Set > Create and Modify Sheets >
Create and Modify Sheets
Concept Procedure Quick Reference

To create a sheet list table on a title sheet

  1. In the Sheet Set Manager, open a sheet set.
  2. On the Sheet List tab, double-click the sheet to be used as the title sheet.
  3. Right-click the sheet set node. Click Insert Sheet List Table.
  4. In the Sheet List Table dialog box, enter the title of the table. Make any formatting changes needed.
  5. Click OK.
  6. Specify the insertion point of the table.

    The sheet list table automatically generates a list of all the sheets in the sheet set.

Toolbar: Standard
Command entry: SHEETSET


Create and Modify Sheets (Quick Reference)

Organize a Sheet Set
Create and Modify Sheets
Include Information with Sheets and Sheet Sets
Choose a Work Process Before You Begin > Work with Sheets in a Sheet Set > Create and Manage a Sheet Set > Create and Modify Sheets >
Create and Modify Sheets
Concept Procedure Quick Reference

Commands

NEWSHEETSET

Creates a new sheet set

OPENSHEETSET

Opens a selected sheet set

SHEETSET

Opens the Sheet Set Manager

SHEETSETHIDE

Closes the Sheet Set Manager

System Variables

SSFOUND

Displays the sheet set path and file name if a search for a sheet set is successful

SSLOCATE

Controls whether the sheet set associated with a drawing is located and opened when the drawing is opened

SSMAUTOOPEN

Controls the display behavior of the Sheet Set Manager when a drawing associated with a sheet is opened

SSMPOLLTIME

Controls whether plotting a sheet set, multi-sheet plot file, or plot spool file can be interrupted by other plot jobs

SSMSHEETSTATUS

Controls how the status data in a sheet set is refreshed

SSMSTATE

Indicates whether the Sheet Set Manager window is open or closed

Utilities

No entries

Command Modifiers

No entries


Include Information with Sheets and Sheet Sets (Concept)

Create and Modify Sheets
Create and Manage a Sheet Set
Publish, Transmit, and Archive Sheet Sets
Choose a Work Process Before You Begin > Work with Sheets in a Sheet Set > Create and Manage a Sheet Set >
Include Information with Sheets and Sheet Sets
Concept Procedure Quick Reference

Sheet sets, subsets, and sheets include several types of information. This information, called properties, includes titles, descriptions, file paths, and custom properties that you define.

Different Properties for Different Levels (Owners)

Sheet sets, subsets, and sheets represent different levels of organization, and each of these includes different types of properties. You specify the values for these properties when you create the sheet set, subset, or sheet.

In addition, you can define custom properties for a sheet and a sheet set. The values for custom properties for sheets are typically specific to each sheet. For example, a custom property for a sheet might include the name of the designer. The values for custom properties for a sheet set are typically specific to a project. For example, a custom property for a sheet set might include the contract number.

You cannot create custom properties for subsets.

View and Edit Properties

You can view and edit properties from the Sheet List tab by right-clicking the name of the sheet set, subset, or sheet. On the shortcut menu, click Properties. The properties and values that are displayed in the Properties dialog box depend on what you selected. You can edit the values of the properties by clicking a value.


Include Information with Sheets and Sheet Sets (Procedure)

Create and Modify Sheets
Up a level to ..
Include Information with Sheets and Sheet Sets
Choose a Work Process Before You Begin > Work with Sheets in a Sheet Set > Create and Manage a Sheet Set > Include Information with Sheets and Sheet Sets >
Include Information with Sheets and Sheet Sets
Concept Procedure Quick Reference

To edit the properties of a sheet set, subset, sheet, or view category

To create a custom property for a sheet set

To create a custom property for a sheet


To edit the properties of a sheet set, subset, sheet, or view category (Procedure)

Include Information with Sheets and Sheet Sets
Up a level to ..
Include Information with Sheets and Sheet Sets
Choose a Work Process Before You Begin > Work with Sheets in a Sheet Set > Create and Manage a Sheet Set > Include Information with Sheets and Sheet Sets >
Include Information with Sheets and Sheet Sets
Concept Procedure Quick Reference

To edit the properties of a sheet set, subset, sheet, or view category

  1. In the Sheet Set Manager, open a sheet set.
  2. Do one of the following:
    • On the Sheet List tab, right-click the sheet set node, a subset, or a sheet.
    • On the Sheet Views tab, right-click a view category.
  3. Click Properties.
  4. In the dialog box that is displayed, click any field and enter the changes.
  5. Click OK.
Toolbar: Standard
Command entry: SHEETSET


To create a custom property for a sheet set (Procedure)

Include Information with Sheets and Sheet Sets
Up a level to ..
Include Information with Sheets and Sheet Sets
Choose a Work Process Before You Begin > Work with Sheets in a Sheet Set > Create and Manage a Sheet Set > Include Information with Sheets and Sheet Sets >
Include Information with Sheets and Sheet Sets
Concept Procedure Quick Reference

To create a custom property for a sheet set

  1. In the Sheet Set Manager, open a sheet set.
  2. On the Sheet List tab, right-click the sheet set node. Click Properties.
  3. In the Sheet Set Properties dialog box, click the Edit Custom Properties button.
  4. In the Custom Properties dialog box, do one of the following:
    • Click Add to create a new custom property for the sheet set. Click the name and the default value to enter the information for these fields. To assign this property to the sheet set, make sure that Sheet Set is selected under Owner.
    • Click the name and the default value to change the information for these fields.
    • Click a custom property from the list. Click Delete to remove the property.
  5. Click OK to close each dialog box.
Toolbar: Standard
Command entry: SHEETSET


To create a custom property for a sheet (Procedure)

Include Information with Sheets and Sheet Sets
Up a level to ..
Publish, Transmit, and Archive Sheet Sets
Choose a Work Process Before You Begin > Work with Sheets in a Sheet Set > Create and Manage a Sheet Set > Include Information with Sheets and Sheet Sets >
Include Information with Sheets and Sheet Sets
Concept Procedure Quick Reference

To create a custom property for a sheet

  1. In the Sheet Set Manager, open a sheet set.
  2. On the Sheet List tab, right-click the sheet set node.
  3. In the Sheet Set Properties dialog box, click the Edit Custom Properties button.
  4. In the Custom Properties dialog box, do one of the following:
    • Click Add to create a new custom property for the sheet. Click the name and the default value to enter the information for these fields. To assign this property to the sheet, make sure that Sheet is selected under Owner.
    • Click the name and the default value to change the information for these fields. With this method, you can change the value for every sheet in the sheet set.
    • Click a custom property from the list. Click Delete to remove the property.
  5. Click OK to close each dialog box.
Toolbar: Standard
Command entry: SHEETSET


Include Information with Sheets and Sheet Sets (Quick Reference)

Create and Modify Sheets
Include Information with Sheets and Sheet Sets
Publish, Transmit, and Archive Sheet Sets
Choose a Work Process Before You Begin > Work with Sheets in a Sheet Set > Create and Manage a Sheet Set > Include Information with Sheets and Sheet Sets >
Include Information with Sheets and Sheet Sets
Concept Procedure Quick Reference

Commands

NEWSHEETSET

Creates a new sheet set

OPENSHEETSET

Opens a selected sheet set

SHEETSET

Opens the Sheet Set Manager

SHEETSETHIDE

Closes the Sheet Set Manager

System Variables

SSFOUND

Displays the sheet set path and file name if a search for a sheet set is successful

SSLOCATE

Controls whether the sheet set associated with a drawing is located and opened when the drawing is opened

SSMAUTOOPEN

Controls the display behavior of the Sheet Set Manager when a drawing associated with a sheet is opened

SSMPOLLTIME

Controls whether plotting a sheet set, multi-sheet plot file, or plot spool file can be interrupted by other plot jobs

SSMSHEETSTATUS

Controls how the status data in a sheet set is refreshed

SSMSTATE

Indicates whether the Sheet Set Manager window is open or closed

Utilities

No entries

Command Modifiers

No entries


Publish, Transmit, and Archive Sheet Sets (Concept)

Include Information with Sheets and Sheet Sets
Work with Sheets in a Sheet Set
Use Sheet Sets in a Team
Choose a Work Process Before You Begin > Work with Sheets in a Sheet Set >
Publish, Transmit, and Archive Sheet Sets
Concept Procedure Quick Reference

After you have organized drawings into a sheet set, you can publish, transmit, and archive the sheet set as a package.

  • Publish a sheet set: Use the Publish feature to output the sheet set to a plotter in either normal or reverse order. For more information, see Publish a Sheet Set. You can create single and multiple-sheet DWF or DWFx files from a sheet set or portion of a sheet set.

    For information on DWF files, see Plot DWF Files.

    For information on DWFx files, see Plot DWFx Files.

  • Set options for properties to include in a published DWF or DWFx file: You can decide what types of information to reveal in your published DWF or DWFx files. The types of metadata that you can include are sheet and sheet set properties, block properties and attributes, dynamic block properties and attributes, and properties contained in custom objects. Metadata is only included when you publish to DWF or DWFx; it is not available when plotting to DWF or DWFx.
  • Transmit a sheet set: Package and send a sheet set or a portion of a sheet set over the Internet. For more information, see Package a Set of Files for Internet Transmission.
  • Archive a sheet set: Package a sheet set or portion of a sheet set for storage. This is very similar to packaging a transmittal set, except that you specify a folder for the archive and you do not transmit the package. For more information, see the ARCHIVE command.

Use Page Setups

Page setups provide the settings that are used for publishing and plotting. When you create a sheet set, you specify a drawing template (DWT) file that contains one or more page setups for all new sheets. This DWT file is called the sheet creation template.

Another DWT file, called the page setup overrides file, contains page setups that can be specified to override the page setups in each sheet. You specify the page setup overrides file in the Sheet Set Properties dialog box.

When you publish a sheet set, you can use the page setups defined in each drawing file, you can use the page setup overrides for all drawing files, or you can publish to a DWF or DWFx file. For more information about page setups, see Use Named Page Setups with Sheet Sets.

NoteWith page setup overrides, you can use the PUBLISHCOLLATE system variable to control whether plotting a sheet set can be interrupted by other plot jobs or not.

Save a Selection of Sheets

You can select part of a sheet set for publishing and transmitting. On the Sheet List tab, you can select individual sheets using standard Microsoft® Windows® selection methods—press CTRL or SHIFT when you click items. You can specify all the sheets in a sheet subset by clicking the subset node.

You will likely need to perform operations on the same group of sheets in a sheet set repeatedly. To speed up selecting the sheets and to ensure that the same sheets are selected each time, you can use the Sheet Set Manager to reselect groups of sheets by name. These named groups of sheets are called sheet selections. You can create and manage sheet selections by using the Sheet Selections button at the top of the Sheet List tab.


Publish, Transmit, and Archive Sheet Sets (Procedure)

Include Information with Sheets and Sheet Sets
Publish, Transmit, and Archive Sheet Sets
Publish, Transmit, and Archive Sheet Sets
Choose a Work Process Before You Begin > Work with Sheets in a Sheet Set > Publish, Transmit, and Archive Sheet Sets >
Publish, Transmit, and Archive Sheet Sets
Concept Procedure Quick Reference

To save a sheet selection

To restore a sheet selection

To rename or delete a sheet selection

To modify an existing sheet selection

To publish a DWF or DWFx file including layer, block, sheet set, and sheet information

To publish a DWF or DWFx file using a block template file to include block properties and attributes


To save a sheet selection (Procedure)

Publish, Transmit, and Archive Sheet Sets
Publish, Transmit, and Archive Sheet Sets
Publish, Transmit, and Archive Sheet Sets
Choose a Work Process Before You Begin > Work with Sheets in a Sheet Set > Publish, Transmit, and Archive Sheet Sets >
Publish, Transmit, and Archive Sheet Sets
Concept Procedure Quick Reference

To save a sheet selection

  1. In the Sheet Set Manager, open a sheet set.
  2. On the Sheet List tab, click the sheets and subsets to include in the sheet selection.

    You can use CTRL or SHIFT to specify several items from the list.

  3. In the Sheet List Manager, near the upper-right corner, click the Sheet Selections button. Click Create.
  4. In the New Sheet Selection dialog box, enter the name of the sheet selection. Click OK.
Toolbar: Sheet Set Manager window
Command entry: SHEETSET


To restore a sheet selection (Procedure)

Publish, Transmit, and Archive Sheet Sets
Publish, Transmit, and Archive Sheet Sets
Publish, Transmit, and Archive Sheet Sets
Choose a Work Process Before You Begin > Work with Sheets in a Sheet Set > Publish, Transmit, and Archive Sheet Sets >
Publish, Transmit, and Archive Sheet Sets
Concept Procedure Quick Reference

To restore a sheet selection

  1. In the Sheet Set Manager, open a sheet set.
  2. On the Sheet List tab, near the upper-right corner, click the Sheet Selections button. Select the name of the sheet selection that you want to restore.

    The sheet selection is activated and available for publishing and transmitting operations.

Toolbar: Sheet Set Manager window
Command entry: SHEETSET


To rename or delete a sheet selection (Procedure)

Publish, Transmit, and Archive Sheet Sets
Publish, Transmit, and Archive Sheet Sets
Publish, Transmit, and Archive Sheet Sets
Choose a Work Process Before You Begin > Work with Sheets in a Sheet Set > Publish, Transmit, and Archive Sheet Sets >
Publish, Transmit, and Archive Sheet Sets
Concept Procedure Quick Reference

To rename or delete a sheet selection

  1. In the Sheet Set Manager, open a sheet set.
  2. On the Sheet List tab, near the upper-right corner, click the Sheet Selections button. Click Manage.
  3. In the Sheet Selections dialog box, select the name of a sheet selection and do one of the following:
    • Click Rename to rename the sheet selection. Enter the new name for the sheet selection.
    • Click Delete to remove the sheet selection name from the list. Click Yes to confirm that you want to remove this sheet selection name.
  4. Click OK.
Toolbar: Sheet Set Manager window
Command entry: SHEETSET


To modify an existing sheet selection (Procedure)

Publish, Transmit, and Archive Sheet Sets
Publish, Transmit, and Archive Sheet Sets
Publish, Transmit, and Archive Sheet Sets
Choose a Work Process Before You Begin > Work with Sheets in a Sheet Set > Publish, Transmit, and Archive Sheet Sets >
Publish, Transmit, and Archive Sheet Sets
Concept Procedure Quick Reference

To modify an existing sheet selection

NoteYou cannot modify a sheet selection directly. Instead, you activate a sheet selection and modify it, delete the name of the sheet selection, and then create a new sheet selection in its place.
  1. In the Sheet Set Manager, open a sheet set.
  2. On the Sheet List tab, near the upper-right corner, click the Sheet Selections button. Select the name of the sheet selection to modify.
  3. Use the CTRL key to add and remove items from the sheet selection.
  4. On the Sheet List Manager, near the upper-right corner, click the Sheet Selections button. Click Manage.
  5. Click Delete to remove the sheet selection name from the list. Click Yes to confirm that you want to remove this sheet selection name.
  6. Click OK to close the Sheet Selections dialog box.
  7. On the Sheet List Manager, near the upper-right corner, click the Sheet Selections button. Click Create.
  8. In the New Sheet Selection dialog box, enter the name of the sheet selection. Click OK.
Toolbar: Sheet Set Manager window
Command entry: SHEETSET


To publish a DWF or DWFx file including layer, block, sheet set, and sheet information (Procedure)

Publish, Transmit, and Archive Sheet Sets
Publish, Transmit, and Archive Sheet Sets
Publish, Transmit, and Archive Sheet Sets
Choose a Work Process Before You Begin > Work with Sheets in a Sheet Set > Publish, Transmit, and Archive Sheet Sets >
Publish, Transmit, and Archive Sheet Sets
Concept Procedure Quick Reference

To publish a DWF or DWFx file including layer, block, sheet set, and sheet information

  1. In the Sheet Set Manager, Sheet List tab, select the sheet set to publish in a DWF or DWFx file.
  2. Click the Publish button. Click Sheet Set Publish Options.
  3. In the Sheet Set Publish Options dialog box, under DWF Data Options, depending on what you want to include in the published DWF or DWFx file, click any of the following to change the option to “Include.”
    • Layer information
    • Sheet set information (attributes you can choose to include are description and custom properties)
    • Sheet information (attributes you can choose to include are sheet title, sheet number, description, sheet set, subset, and sheet custom properties)
    • Block information
      NoteSome sheet properties are always published in the DWF or DWFx file (no matter what setting you make in the Sheet Set Publish Options dialog box). These are: sheet name, sheet size, author, creator, creation time, and modification time.
  4. Click OK.
Toolbar: Sheet Set Manager window
Command entry: SHEETSET


To publish a DWF or DWFx file using a block template file to include block properties and attributes (Procedure)

Publish, Transmit, and Archive Sheet Sets
Publish, Transmit, and Archive Sheet Sets
Use Sheet Sets in a Team
Choose a Work Process Before You Begin > Work with Sheets in a Sheet Set > Publish, Transmit, and Archive Sheet Sets >
Publish, Transmit, and Archive Sheet Sets
Concept Procedure Quick Reference

To publish a DWF or DWFx file using a block template file to include block properties and attributes

  1. In the Sheet Set Manager, Sheet List tab, select the sheet set to publish in a DWF or DWFx file.
  2. Click the Publish button. Click Sheet Set Publish Options.
  3. In the Sheet Set Publish Options dialog box, under DWF Data Options, Block Information, click to display the drop-down list, and select “Include.”
  4. Under DWF Data Options, Block Template File, select the block template file you want to use or create a new one. Click OK.

    The block template file defining the blocks and their properties and attributes will be included in the published DWF or DWFx file.

Toolbar: Sheet Set Manager window
Command entry: SHEETSET


Publish, Transmit, and Archive Sheet Sets (Quick Reference)

Include Information with Sheets and Sheet Sets
Publish, Transmit, and Archive Sheet Sets
Use Sheet Sets in a Team
Choose a Work Process Before You Begin > Work with Sheets in a Sheet Set > Publish, Transmit, and Archive Sheet Sets >
Publish, Transmit, and Archive Sheet Sets
Concept Procedure Quick Reference

Commands

ARCHIVE

Packages the current sheet set files to be archived

NEWSHEETSET

Creates a new sheet set

OPENSHEETSET

Opens a selected sheet set

SHEETSET

Opens the Sheet Set Manager

SHEETSETHIDE

Closes the Sheet Set Manager

System Variables

PUBLISHCOLLATE

Controls whether plotting a sheet set, multi-sheet plot file, or plot spool file can be interrupted by other plot jobs

SSFOUND

Displays the sheet set path and file name if a search for a sheet set is successful

SSLOCATE

Controls whether the sheet set associated with a drawing is located and opened when the drawing is opened

SSMAUTOOPEN

Controls the display behavior of the Sheet Set Manager when a drawing associated with a sheet is opened

SSMSHEETSTATUS

Controls how the status data in a sheet set is refreshed

SSMSTATE

Indicates whether the Sheet Set Manager window is open or closed

Utilities

No entries

Command Modifiers

No entries


Use Sheet Sets in a Team (Concept)

Publish, Transmit, and Archive Sheet Sets
Work with Sheets in a Sheet Set
Create and Modify Objects
Choose a Work Process Before You Begin > Work with Sheets in a Sheet Set >
Use Sheet Sets in a Team
Concept Procedure Quick Reference

You can use sheet sets in a team that can involve network access, Internet collaboration, and email transmittal. The team can also include people who use software that does not include Sheet Set Manager.

Work in a Team That Uses Sheet Set Manager

When you use sheet sets in a team, each member should have network access to the sheet set data (DST) file and the drawing template (DWT) files associated with the sheet set. Each team member can open the sheet set to load the sheet set information from the DST file into the Sheet Set Manager.

Any changes that any team member makes opens the DST file briefly and updates the information stored in that file. When the DST file is opened, a lock icon is displayed next to the sheet set name in the top left corner of the Sheet Set Manager.

A green dot in the lock icon indicates that the Sheet Set Manager session on your computer has temporarily locked the DST file.

A red dot indicates that the Sheet Set Manager session on a team member's computer has temporarily locked the DST file.

A yellow dot in the lock icon means that the sheet is in a special state; for example, its file properties may be set to Read-Only.

Other members of the team can automatically see changes to the sheet set in the Sheet Set Manager tree view.

If each member of the team has access to the sheet set DWT files, new drawing files and their sheets are created using the same drawing template file; page setups for these drawings are also standardized.

NoteIf two or more users access the same sheet files through different logical drives on a network, each will in turn be prompted to resave the sheet set using their own logical drive. To avoid unnecessary saving, users should map the same logical drives, if possible.

Status data for sheets in the current sheet set is also available to other team members. This status data is displayed in the tree view and indicates one of the following conditions:

The sheet is available for editing.

The sheet is locked.

The sheet is missing or found in an unexpected folder location.

The active sheets of other team members are automatically polled for status changes; the tree view is updated in your session of the Sheet Set Manager. The polling cycle skips the poll interval in your session when a command is active. To force a sheet status update, click Refresh Sheet Status on the Sheet List tab.

You can click any sheet to display more information in the Details area of the Sheet Set Manager.

NoteA false lock icon may be displayed if there is a network problem or if the program terminates unexpectedly. If you suspect a problem, click the sheet to display more information.

Work in a Team That Does Not Use Sheet Set Manager

With some limitations, you can use sheet sets in a team with members who do not have network access, or do not have access to the Sheet Set Manager. These team members may be using AutoCAD LT or an older version of AutoCAD. In those circumstances, not all members of the team will have access to the DST file. However, relevant information from the DST file is stored (cached) in each drawing file, and sheet set information, such as custom properties, is preserved when the drawing file is shared by other team members.

After a member of the team changes information in the DST file, the information in several drawing files might need to be updated. With the sheet set open, update a sheet by opening and saving the sheet.

You can update all sheets in a sheet set automatically with the Resave All Sheets option in the sheet set shortcut menu. Drawing files saved in a previous DWG file format are saved without changing the format.

NoteIn a network environment, make sure that all drawing files used in the current sheet set that are opened by other users are closed before performing the Resave All Sheets operation.


To resave all sheets in a sheet set (Procedure)

Publish, Transmit, and Archive Sheet Sets
Use Sheet Sets in a Team
Work with Object Properties
Choose a Work Process Before You Begin > Work with Sheets in a Sheet Set > Use Sheet Sets in a Team >
Use Sheet Sets in a Team
Concept Procedure Quick Reference

To resave all sheets in a sheet set

  1. In the Sheet Set Manager, open a sheet set.
  2. On the Sheet List tab, right-click the sheet set node. Click Resave All Sheets.

    All sheets in the sheet set are resaved. This updates the sheet set information that is stored in each drawing file.

Toolbar: Standard
Command entry: SHEETSET


Use Sheet Sets in a Team (Quick Reference)

Publish, Transmit, and Archive Sheet Sets
Use Sheet Sets in a Team
Overview of Object Properties
Choose a Work Process Before You Begin > Work with Sheets in a Sheet Set > Use Sheet Sets in a Team >
Use Sheet Sets in a Team
Concept Procedure Quick Reference

Commands

NEWSHEETSET

Creates a new sheet set

OPENSHEETSET

Opens a selected sheet set

SHEETSET

Opens the Sheet Set Manager

SHEETSETHIDE

Closes the Sheet Set Manager

System Variables

SSFOUND

Displays the sheet set path and file name if a search for a sheet set is successful

SSLOCATE

Controls whether the sheet set associated with a drawing is located and opened when the drawing is opened

SSMAUTOOPEN

Controls the display behavior of the Sheet Set Manager when a drawing associated with a sheet is opened

SSMPOLLTIME

Controls whether plotting a sheet set, multi-sheet plot file, or plot spool file can be interrupted by other plot jobs

SSMSHEETSTATUS

Controls how the status data in a sheet set is refreshed

SSMSTATE

Indicates whether the Sheet Set Manager window is open or closed

Utilities

No entries

Command Modifiers

No entries


Create and Modify Objects

Use Sheet Sets in a Team
Control the Properties of Objects
Create and Modify Objects

Topics in this section

  • Control the Properties of Objects

    You can organize objects in your drawing and control how they are displayed and plotted by changing their properties, which include layer, linetype, color, lineweight, and plot style.

  • Use Precision Tools

    You can use a variety of precision drawing tools to help you produce accurate drawings quickly and without performing tedious calculations.

  • Draw Geometric Objects

    Drawings are made up of objects. In general, you draw objects by specifying points with the pointing device or by entering coordinate values at the command prompt.

  • Create and Use Blocks (Symbols)

    A block is one or more objects combined to create a single object. Blocks help you reuse objects in the same drawing or in other drawings.

  • Change Existing Objects

    You can select objects, view and edit object properties, and perform general and object-specific editing operations.


Control the Properties of Objects

Create and Modify Objects
Create and Modify Objects
Work with Object Properties
Create and Modify Objects >
Control the Properties of Objects

You can organize objects in your drawing and control how they are displayed and plotted by changing their properties, which include layer, linetype, color, lineweight, and plot style.

Layers are like transparent overlays on which you organize and group different kinds of drawing information. The objects you create have common properties including colors, linetypes, and lineweights. An object can assume these properties from the layer it is drawn on, or properties can be specifically assigned to individual objects. Color helps you distinguish similar elements in your drawings, while linetypes help you differentiate easily between different drafting elements. Lineweights represent the size or type of an object through width, enhancing your drawing and increasing legibility. Organizing layers and the objects on layers makes it easier to manage the information in your drawings.

Topics in this section

  • Work with Object Properties

    You can change the object properties in your drawing by using the Properties palette or the Quick Properties panel.

  • Work with Layers

    Layers are like transparent overlays on which you organize and group objects in a drawing.

  • Work with Colors

    Color helps to group objects visually. You can assign colors to objects by layer or individually.

  • Work with Linetypes

    You can use linetypes to distinguish objects from one another visually and make your drawing easier to read.

  • Control Lineweights

    You can control the thickness of an object’s lines in both the drawing display and plotting.

  • Control the Display Properties of Certain Objects

    You can control how overlapping objects and certain other objects are displayed and plotted.


Work with Object Properties

Control the Properties of Objects
Control the Properties of Objects
Overview of Object Properties
Create and Modify Objects > Control the Properties of Objects >
Work with Object Properties
Concept Procedure

You can change the object properties in your drawing by using the Properties palette or the Quick Properties panel.

Topics in this section

  • Overview of Object Properties
  • Display and Change the Properties of Objects

    You can display and change the current properties for any object in your drawing.

  • Copy Properties Between Objects

    You can copy some or all properties of one object to other objects using Match Properties.


Work with Object Properties (Procedure)

Use Sheet Sets in a Team
Work with Object Properties
Display and Change the Properties of Objects
Create and Modify Objects > Control the Properties of Objects > Work with Object Properties >
Work with Object Properties
Concept Procedure

To turn on and turn off the Quick Properties panel

To change the settings of a Quick Properties panel

To set the Quick Properties panel to always display at its full height

To remove the description pane at the bottom of the Properties palette

To display the properties of a single object

To list database information for several objects

To display the coordinate values of a point

To change properties of objects in the Properties palette

To change an object’s property setting to ByLayer

To change an object’s ByBlock setting to ByLayer

To copy properties from one object to other objects


Overview of Object Properties (Concept)

Work with Object Properties
Work with Object Properties
Display and Change the Properties of Objects
Create and Modify Objects > Control the Properties of Objects > Work with Object Properties >
Overview of Object Properties
Concept Quick Reference

Every object you draw has properties. Some properties are general and apply to most objects; for example, layer, color, linetype, and plot style. Other properties are object-specific; for example, the properties of a circle include radius and area, and the properties of a line include length and angle.

Most general properties can be assigned to an object by layer or can be assigned to an object directly.

  • When a property is set to the value BYLAYER, the object is assigned the same value as the layer on which it is drawn.

    For example, if a line drawn on layer 0 is assigned the color BYLAYER, and layer 0 is assigned the color Red, the line is red.

  • When a property is set to a specific value, that value overrides the value set for the layer.

    For example, if a line drawn on layer 0 is assigned the color Blue, and layer 0 is assigned the color Red, the line is blue.

See Also

    • Control the Color and Linetype Properties in Blocks


Overview of Object Properties (Quick Reference)

Use Sheet Sets in a Team
Overview of Object Properties
Display and Change the Properties of Objects
Create and Modify Objects > Control the Properties of Objects > Work with Object Properties > Overview of Object Properties >
Overview of Object Properties
Concept Quick Reference

Commands

PROPERTIES

Controls properties of existing objects

PROPERTIESCLOSE

Closes the Properties palette

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Display and Change the Properties of Objects (Concept)

Overview of Object Properties
Work with Object Properties
Copy Properties Between Objects
Create and Modify Objects > Control the Properties of Objects > Work with Object Properties >
Display and Change the Properties of Objects
Concept Procedure Quick Reference

You can display and change the current properties for any object in your drawing.

You can display and change the current properties for any object in your drawing in the following ways:

  • Open the Quick Properties panel to view and change the settings for selected properties of the object.
  • Open the Properties palette and view and change the settings for all properties of the object.
  • View and change the settings in the Layer control on the Layers toolbar and the Color, Linetype, Lineweight, and Plot Style controls on the Properties toolbar.
  • Use the LIST command to view information in the text window.
  • Use the ID command to display a coordinate location.

Use the Quick Properties Panel

The Quick Properties panel lists the most commonly used properties for each object type or a set of objects. You can easily customize the quick properties for any object in the Customize User Interface (CUI) editor. See Customize Quick Properties in the Customization Guide.

  • When one or more objects of the same type are selected, the Quick Properties panel displays the selected properties of that object type.
  • When two or more objects of different types are selected, the Quick Properties panel displays the common properties, if any for all objects in the selection set.

You can select any object to display the Quick Properties panel when the QPMODE system variable is set to 1. When the QPMODE system variable is set to 2, the Quick Properties panel displays only if the selected object is defined in the Customize User Interface (CUI) editor to display properties. You can use the QPLOCATION system variable to display the Quick Properties panel by using cursor or float mode. You can also control the display settings of the Quick Properties panel using the Drafting Settings Dialog Box.

Use the Properties Palette

The Properties palette lists the current settings for properties of the selected object or set of objects. You can modify any property that can be changed by specifying a new value.

  • When more than one object is selected, the Properties palette displays only those properties common to all objects in the selection set.
  • When no objects are selected, the Properties palette displays only the general properties of the current layer, the name of the plot style table attached to the layer, the view properties, and information about the UCS.

You can double-click most objects to open the Properties palette when the DBLCLKEDIT system variable is set to On (the default). The exceptions include blocks and attributes, hatches, gradient fills, text, multilines, and xrefs. If you double-click any of these objects, an object-specific dialog box is displayed instead of the Properties palette.

NoteThe DBLCLKEDIT system variable must be set to On and the PICKFIRST system variable must be set to 1(the default) for double-clicking to work.

Change Object Property or ByBlock Settings to ByLayer

Using the SETBYLAYER command, you can change specified properties to ByLayer for selected objects. Objects that have a ByBlock setting can also be changed to ByLayer. When an object’s properties are not set to ByLayer, those objects do not display the layer property overrides that were set by viewport.

In the SetByLayer Settings dialog box, you can specify which object property settings are changed to ByLayer.

The SETBYLAYERMODE system variable stores the property settings that are to be changed when the SETBYLAYER command is used.

See Also

    • Control the Color and Linetype Properties in Blocks

    • Filter Selection Sets

    • Set Interface Options

    • Customize Quick Properties in the Customization Guide


Display and Change the Properties of Objects (Procedure)

Work with Object Properties
Up a level to ..
Display and Change the Properties of Objects
Create and Modify Objects > Control the Properties of Objects > Work with Object Properties > Display and Change the Properties of Objects >
Display and Change the Properties of Objects
Concept Procedure Quick Reference

To turn on and turn off the Quick Properties panel

To change the settings of a Quick Properties panel

To set the Quick Properties panel to always display at its full height

To remove the description pane at the bottom of the Properties palette

To display the properties of a single object

To list database information for several objects

To display the coordinate values of a point

To change properties of objects in the Properties palette

To change an object’s property setting to ByLayer

To change an object’s ByBlock setting to ByLayer


To turn on and turn off the Quick Properties panel (Procedure)

Display and Change the Properties of Objects
Up a level to ..
Display and Change the Properties of Objects
Create and Modify Objects > Control the Properties of Objects > Work with Object Properties > Display and Change the Properties of Objects >
Display and Change the Properties of Objects
Concept Procedure Quick Reference

To turn on and turn off the Quick Properties panel

  • On the status bar, click Quick Properties.

    If you want to dismiss the Quick Properties panel temporarily, press ESC.


To change the settings of a Quick Properties panel (Procedure)

Display and Change the Properties of Objects
Up a level to ..
Display and Change the Properties of Objects
Create and Modify Objects > Control the Properties of Objects > Work with Object Properties > Display and Change the Properties of Objects >
Display and Change the Properties of Objects
Concept Procedure Quick Reference

To change the settings of a Quick Properties panel

  1. Click Tools menu [image] Drafting Settings. At the Command prompt, enter dsettings.
  2. In the Drafting Settings dialog box, Quick Properties tab, select Quick Properties On.
  3. Select the location mode for the Quick Properties panel.
  4. Under Size Settings, select or clear the Auto-Collapse option to expand or collapse the Quick Properties panel. If this option is selected, enter the height value in the text box.
  5. Click OK.
Command entry: DSETTINGS


To set the Quick Properties panel to always display at its full height (Procedure)

Display and Change the Properties of Objects
Up a level to ..
Display and Change the Properties of Objects
Create and Modify Objects > Control the Properties of Objects > Work with Object Properties > Display and Change the Properties of Objects >
Display and Change the Properties of Objects
Concept Procedure Quick Reference

To set the Quick Properties panel to always display at its full height

  1. In the Quick Properties panel, click the Options button.
  2. Clear the Auto-Collapse option.


To remove the description pane at the bottom of the Properties palette (Procedure)

Display and Change the Properties of Objects
Up a level to ..
Display and Change the Properties of Objects
Create and Modify Objects > Control the Properties of Objects > Work with Object Properties > Display and Change the Properties of Objects >
Display and Change the Properties of Objects
Concept Procedure Quick Reference

To remove the description pane at the bottom of the Properties palette

  1. On the Properties palette, right-click the title bar.
  2. Click Description to clear the check mark.


To display the properties of a single object (Procedure)

Display and Change the Properties of Objects
Up a level to ..
Display and Change the Properties of Objects
Create and Modify Objects > Control the Properties of Objects > Work with Object Properties > Display and Change the Properties of Objects >
Display and Change the Properties of Objects
Concept Procedure Quick Reference

To display the properties of a single object

  1. Select the object.
  2. Right-click in the drawing. Click Properties.

    The Properties palette displays the properties of the selected object.

    Alternatively, you can double-click almost any object to display the Properties palette.

Toolbar: Standard
Command entry: PROPERTIES


To list database information for several objects (Procedure)

Display and Change the Properties of Objects
Up a level to ..
Display and Change the Properties of Objects
Create and Modify Objects > Control the Properties of Objects > Work with Object Properties > Display and Change the Properties of Objects >
Display and Change the Properties of Objects
Concept Procedure Quick Reference

To list database information for several objects

  1. Click Home tab [image] Properties panel [image] List. At the Command prompt, enter list.
  2. Select one or more objects and press ENTER.

    The text window displays a report.

Toolbar: Inquiry
Command entry: LIST


To display the coordinate values of a point (Procedure)

Display and Change the Properties of Objects
Up a level to ..
Display and Change the Properties of Objects
Create and Modify Objects > Control the Properties of Objects > Work with Object Properties > Display and Change the Properties of Objects >
Display and Change the Properties of Objects
Concept Procedure Quick Reference

To display the coordinate values of a point

  1. Click Tools tab [image] Inquiry panel [image] ID Point. At the Command prompt, enter id.
  2. Specify the point whose coordinate values you want to identify.

    The X, Y, and Z values are displayed at the command prompt.

Toolbar: Inquiry
Command entry: ID


To change properties of objects in the Properties palette (Procedure)

Display and Change the Properties of Objects
Up a level to ..
Display and Change the Properties of Objects
Create and Modify Objects > Control the Properties of Objects > Work with Object Properties > Display and Change the Properties of Objects >
Display and Change the Properties of Objects
Concept Procedure Quick Reference

To change properties of objects in the Properties palette

  1. Select one or more objects.
  2. Right-click in the drawing. Click Properties.
  3. In the Properties palette, use the scroll bar next to the title bar to scroll through the list of properties. You can click the arrow at the right of each category to expand or collapse the list.
  4. Select the value you want to change; use one of the following methods to change the value:
    • Enter a new value.
    • Click the down arrow at the right and select a value from the list.
    • Click the Pick Point button to use the pointing device to change a coordinate value.
    • Click the QuickCalc calculator button to calculate a new value.
    • Click the left or right arrow to increase or decrease the value.
    • Click the [...] button and change the property value in a dialog box.

    Changes are applied immediately.

  5. To undo a change, right-click an empty area in the Properties palette. Click Undo.
  6. Press ESC to remove the selection.
Toolbar: Standard
Command entry: PROPERTIES


To change an object’s property setting to ByLayer (Procedure)

Display and Change the Properties of Objects
Up a level to ..
Display and Change the Properties of Objects
Create and Modify Objects > Control the Properties of Objects > Work with Object Properties > Display and Change the Properties of Objects >
Display and Change the Properties of Objects
Concept Procedure Quick Reference

To change an object’s property setting to ByLayer

  1. Click Home tab [image] Modify panel [image] Set to ByLayer. At the Command prompt, enter setbylayer.
  2. Enter S to specify which properties to change to ByLayer or select objects using a standard selection method and press ENTER.
Command entry: SETBYLAYER


To change an object’s ByBlock setting to ByLayer (Procedure)

Display and Change the Properties of Objects
Up a level to ..
Copy Properties Between Objects
Create and Modify Objects > Control the Properties of Objects > Work with Object Properties > Display and Change the Properties of Objects >
Display and Change the Properties of Objects
Concept Procedure Quick Reference

To change an object’s ByBlock setting to ByLayer

  1. Click Home tab [image] Modify panel [image] Set to ByLayer. At the Command prompt, enter setbylayer.
  2. Select objects using a standard selection method and press ENTER.
  3. When prompted, enter Y to change ByBlock to Bylayer.
  4. When prompted, specify whether blocks are included.
Command entry: SETBYLAYER


Display and Change the Properties of Objects (Quick Reference)

Overview of Object Properties
Display and Change the Properties of Objects
Copy Properties Between Objects
Create and Modify Objects > Control the Properties of Objects > Work with Object Properties > Display and Change the Properties of Objects >
Display and Change the Properties of Objects
Concept Procedure Quick Reference

Commands

CUI

Manages customized user interface elements such as workspaces, toolbars, menus, shortcut menus and keyboard shortcuts

DSETTINGS

Sets grid and snap, polar and object snap tracking, object snap modes, and Dynamic Input

ID

Displays the coordinate of a location

LIST

Displays property data for selected objects

PROPERTIES

Controls properties of existing objects

PROPERTIESCLOSE

Closes the Properties palette

SETBYLAYER

Changes the property overrides of selected objects to ByLayer

System Variables

DBLCLKEDIT

Controls the double click editing behavior in the drawing area

LUPREC

Sets the number of decimal places displayed for all read-only linear units, and for all editable linear units whose precision is less than or equal to the current LUPREC value

OPMSTATE

Indicates whether the Properties palette is open, closed, or hidden

PALETTEOPAQUE

Controls whether windows can be made transparent

PICKFIRST

Controls whether you select objects before (noun-verb selection) or after you issue a command

QPLOCATION

Sets the location mode of Quick Properties panel

QPMODE

Sets the on or off state of Quick Properties panel

SETBYLAYERMODE

Controls which properties are selected for the SETBYLAYER command

Utilities

No entries

Command Modifiers

No entries


Copy Properties Between Objects (Concept)

Display and Change the Properties of Objects
Work with Object Properties
Work with Layers
Create and Modify Objects > Control the Properties of Objects > Work with Object Properties >
Copy Properties Between Objects
Concept Procedure Quick Reference

You can copy some or all properties of one object to other objects using Match Properties.

The types of properties that can be copied include, but are not limited to, color, layer, linetype, linetype scale, lineweight, plot style, viewport property overrides, and 3D thickness.

By default, all applicable properties are automatically copied from the first object you selected to the other objects. If you don't want a specific property or properties to be copied, use the Settings option to suppress the copying of that property. You can choose the Settings option at any time during the command.


To copy properties from one object to other objects (Procedure)

Display and Change the Properties of Objects
Up a level to ..
Work with Layers
Create and Modify Objects > Control the Properties of Objects > Work with Object Properties > Copy Properties Between Objects >
Copy Properties Between Objects
Concept Procedure Quick Reference

To copy properties from one object to other objects

  1. Click Home tab [image] Properties panel [image] Match Properties. Enter matchprop at the command prompt.
  2. Select the object whose properties you want to copy.
  3. If you want to control which properties are transferred, enter s (Settings). In the Property Settings dialog box, clear the items that you do not want copied (all are on by default). Click OK.
  4. Select the objects to which you want to apply the selected properties and press ENTER.
Toolbar: Standard
Command entry: MATCHPROP


Copy Properties Between Objects (Quick Reference)

Display and Change the Properties of Objects
Copy Properties Between Objects
Overview of Layers
Create and Modify Objects > Control the Properties of Objects > Work with Object Properties > Copy Properties Between Objects >
Copy Properties Between Objects
Concept Procedure Quick Reference

Commands

MATCHPROP

Applies the properties of a selected object to other objects

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Work with Layers

Copy Properties Between Objects
Control the Properties of Objects
Overview of Layers
Create and Modify Objects > Control the Properties of Objects >
Work with Layers
Concept Procedure

Layers are like transparent overlays on which you organize and group objects in a drawing.

Topics in this section

  • Overview of Layers

    Layers are used to group information in a drawing by function and to enforce linetype, color, and other standards.

  • Use Layers to Manage Complexity

    You can use layers to control the visibility of objects and to assign properties to objects. Layers can be locked to prevent objects from being modified.

  • Create and Name Layers

    You can create and name a new layer for each conceptual grouping (such as walls or dimensions) and assign common properties to each layer.

  • Change Layer Settings and Layer Properties

    You can change the name of a layer and any of its properties, including color and linetype, and you can reassign objects from one layer to another.

  • Override Layer Properties in Viewports

    You can display objects differently by setting property overrides for color, linetype, lineweight, and plot style and apply them to individual layout viewports.

  • Filter and Sort the List of Layers

    You can control which layer names are listed in the Layer Properties Manager and sort them by name or by property, such as color or visibility.

  • Use New Layer Notification

    You can be notified when new layers are added to the drawing before certain tasks, such as plotting, saving, or restoring a layer state.

  • Work with Layer States

    You can save layer settings as named layer states. You can then restore, edit, import them from other drawings and files, and export them for use in other drawings.


Work with Layers (Procedure)

Copy Properties Between Objects
Work with Layers
Use Layers to Manage Complexity
Create and Modify Objects > Control the Properties of Objects > Work with Layers >
Work with Layers
Concept Procedure

To make a selected layer the current layer

To copy an object to another layer

To dynamically display layers

To filter a layer list

To create and save a layer filter in the LayerWalk dialog box

To turn on or off an active layer filter

To turn the Always Show option on or off in the LayerWalk dialog box

To purge unreferenced layers using the LayerWalk dialog box

To move an object to the current layer

To delete a layer by selecting an object on that layer

To freeze a layer by selecting an object on that layer

To thaw all layers

To display selected layers while turning off all other layers

To restore layer settings when exiting the LayerWalk dialog box

To restore a drawing’s layer states after isolating a layer

To isolate an object’s layer to the current viewport

To turn a layer on and off by using the Layers toolbar

To turn all layers on

To turn a layer off by selecting an object on the layer

To copy properties from one layer to other layers

To merge selected layers onto a destination layer

To assign a color to a layer

To change the properties of more than one layer

To hide the tree view in the Layer Properties Manager

To move a column in the Layer Properties Manager

To hide a column in the Layer Properties Manager

To reorder columns in the Layer Properties Manager

To reset all columns to their default settings in the Layer Properties Manager

To lock or unlock a layer by using the Layers toolbar

To create a new layer

To remove an unused layer

To purge all unused layers

To change the layer of one or more objects

To change the default linetype assigned to a layer

To rename a layer

To rename more than one layer

To undo changes to layer settings

To set Layer Previous tracking on or off

To assign property overrides for the current layout viewport

To remove an override from a layer for the current layout viewport

To remove an override from a layer for all layout viewports

To remove all overrides from a layer for the current layout viewport

To remove all overrides for all layout viewports

To check if the current layout viewport contains layer property overrides

To not display or plot layer viewport overrides

To change the background color for property overrides

To save layer viewport overrides in a layer state

To quickly filter the display of layers by name

To filter the display of layers by layer property

To filter the display of layer names by selecting layers

To nest a layer filter under another layer filter

To sort the layer list in the Layer Properties Manager

To remove a layer from a layer group filter

To set new layer notification on and off

To set when new layer notification is displayed


Overview of Layers (Concept)

Work with Layers
Work with Layers
Use Layers to Manage Complexity
Create and Modify Objects > Control the Properties of Objects > Work with Layers >
Overview of Layers
Concept Quick Reference

Layers are used to group information in a drawing by function and to enforce linetype, color, and other standards.

Layers are the equivalent of the overlays used in paper-based drafting. Layers are the primary organizational tool used in drawing. You use layers to group information by function and to enforce linetype, color, and other standards.

By creating layers, you can associate similar types of objects by assigning them to the same layer. For example, you can put construction lines, text, dimensions, and title blocks on separate layers. You can then control the following:

  • Whether objects on a layer are visible or dimmed in any viewports
  • Whether and how objects are plotted
  • What color is assigned to all objects on a layer
  • What default linetype and lineweight are assigned to all objects on a layer
  • Whether objects on a layer can be modified
  • Whether objects display with different layer properties in individual layout viewports

Every drawing includes a layer named 0. Layer 0 cannot be deleted or renamed. It has two purposes:

  • Ensure that every drawing includes at least one layer
  • Provide a special layer that relates to controlling colors in blocks
NoteIt is recommended that you create several new layers with which to organize your drawing rather than create your entire drawing on layer 0.


Overview of Layers (Quick Reference)

Copy Properties Between Objects
Overview of Layers
Use Layers to Manage Complexity
Create and Modify Objects > Control the Properties of Objects > Work with Layers > Overview of Layers >
Overview of Layers
Concept Quick Reference

Commands

LAYER

Manages layers and layer properties

CLASSICLAYER

Opens the modal Layer Properties Manager

System Variables

SHOWLAYERUSAGE

Displays icons in the Layer Properties Manager to indicate whether layers are in use

Utilities

No entries

Command Modifiers

No entries


Use Layers to Manage Complexity (Concept)

Overview of Layers
Work with Layers
Create and Name Layers
Create and Modify Objects > Control the Properties of Objects > Work with Layers >
Use Layers to Manage Complexity
Concept Procedure Quick Reference

You can use layers to control the visibility of objects and to assign properties to objects. Layers can be locked to prevent objects from being modified.

You can reduce the visual complexity of a drawing and improve display performance by controlling how objects are displayed or plotted. For example, you can use layers to control the properties and visibility of similar objects, such as electrical parts or dimensions. Also, you can lock a layer to prevent objects on that layer from being accidentally selected and modified.

Control the Visibility of Objects on a Layer

You can make drawing layers invisible either by turning them off or by freezing them. Turning off or freezing layers is useful if you need an unobstructed view when working in detail on a particular layer or set of layers or if you don't want to plot details such as reference lines. Whether you choose to freeze layers or turn them off depends on how you work and on the size of your drawing.

  • On/Off. Objects on turned-off layers are invisible, but they still hide objects when you use HIDE. When you turn layers on and off, the drawing is not regenerated.
  • Freeze/Thaw. Objects on frozen layers are invisible and do not hide other objects. In large drawings, freezing unneeded layers speeds up operations involving display and regeneration. Thawing one or more layers may cause the drawing to be regenerated. Freezing and thawing layers takes more time than turning layers on and off.

In a layout, you can freeze layers in individual layout viewports.

NoteInstead of turning off or freezing a layer, you can fade the layer by locking it. See “Lock the Objects on a Layer” below.

Assign a Default Color and Linetype to a Layer

Each layer has associated properties such as color and linetype that are assumed by all objects on that layer when the setting is ByLayer. For example, if the Color control on the Properties toolbar is set to BYLAYER, the color of new objects is determined by the color setting for the layer in the Layer Properties Manager.

If you set a specific color in the Color control, that color is used for all new objects, overriding the default color for the current layer. The same is true for the Linetype, Lineweight, and Plot Style controls on the Properties toolbar.

The BYBLOCK setting should be used only for creating blocks. See Control the Color and Linetype Properties in Blocks.

Override Layer Properties in a Layout Viewport

Some layer properties can be changed using overrides on a viewport basis in layouts. Using layer property overrides is an efficient way to display objects with different property settings for color, linetype, lineweight, and plot style. Layer property overrides are applied to the current layout viewport.

For example, if you want objects on the Electrical layer to display prominently in one of two layout viewports, you set a Color override on the Electrical layer for each of the two viewports. By setting the color red for one viewport and gray for the other, you easily accomplish this objective without changing the global color property assigned to the layer. See Override Layer Properties in Viewports for more information.

Lock the Objects on a Layer

When a layer is locked, none of the objects on that layer can be modified until you unlock the layer. Locking layers reduces the possibility of modifying objects accidentally. You can still apply object snaps to objects on a locked layer and perform other operations that do not modify those objects.

You can also fade the objects on a locked layer. This serves the following two purposes:

  • You can easily see what objects are on locked layers.
  • You can reduce the visual complexity of a drawing but still maintain visual reference and object snapping capabilities to those objects.

The LAYLOCKFADECTL system variable controls the fading applied to locked layers. Locked layers that are faded are plotted normally.

NoteGrips are not displayed on objects that are on locked layers.


Use Layers to Manage Complexity (Procedure)

Work with Layers
Up a level to ..
Use Layers to Manage Complexity
Create and Modify Objects > Control the Properties of Objects > Work with Layers > Use Layers to Manage Complexity >
Use Layers to Manage Complexity
Concept Procedure Quick Reference

To make a selected layer the current layer

To copy an object to another layer

To dynamically display layers

To filter a layer list

To create and save a layer filter in the LayerWalk dialog box

To turn on or off an active layer filter

To turn the Always Show option on or off in the LayerWalk dialog box

To purge unreferenced layers using the LayerWalk dialog box

To move an object to the current layer

To delete a layer by selecting an object on that layer

To freeze a layer by selecting an object on that layer

To thaw all layers

To display selected layers while turning off all other layers

To restore layer settings when exiting the LayerWalk dialog box

To restore a drawing’s layer states after isolating a layer

To isolate an object’s layer to the current viewport

To turn a layer on and off by using the Layers toolbar

To turn all layers on

To turn a layer off by selecting an object on the layer

To copy properties from one layer to other layers

To merge selected layers onto a destination layer

To assign a color to a layer

To change the properties of more than one layer

To hide the tree view in the Layer Properties Manager

To move a column in the Layer Properties Manager

To hide a column in the Layer Properties Manager

To reorder columns in the Layer Properties Manager

To reset all columns to their default settings in the Layer Properties Manager

To lock or unlock a layer by using the Layers toolbar


To make a selected layer the current layer (Procedure)

Use Layers to Manage Complexity
Up a level to ..
Use Layers to Manage Complexity
Create and Modify Objects > Control the Properties of Objects > Work with Layers > Use Layers to Manage Complexity >
Use Layers to Manage Complexity
Concept Procedure Quick Reference

To make a selected layer the current layer

  1. Click Home tab [image] Layers panel [image] Change to Current Layer. Enter laycur at the command prompt.
  2. Select an object on the layer you want to make current.
Toolbar: Layers
Command entry: LAYCUR


To copy an object to another layer (Procedure)

Use Layers to Manage Complexity
Up a level to ..
Use Layers to Manage Complexity
Create and Modify Objects > Control the Properties of Objects > Work with Layers > Use Layers to Manage Complexity >
Use Layers to Manage Complexity
Concept Procedure Quick Reference

To copy an object to another layer

  1. Click Home tab [image] Layers panel [image] Copy Objects to New Layer. At the command prompt, enter copytolayer.
  2. Select the objects you want to copy.
  3. Press ENTER.
  4. Select an object on the layer where you want the copied object to be placed.
  5. Do one of the following:
    • Specify a base point, and then specify a second point for the location of the object on the destination layer.
    • Enter the displacement in the form of a Cartesian, polar, cylindrical, or spherical coordinate value. At the prompt for the second point of displacement, press ENTER.
Toolbar: Layers II
Command entry: COPYTOLAYER


To dynamically display layers (Procedure)

Use Layers to Manage Complexity
Up a level to ..
Use Layers to Manage Complexity
Create and Modify Objects > Control the Properties of Objects > Work with Layers > Use Layers to Manage Complexity >
Use Layers to Manage Complexity
Concept Procedure Quick Reference

To dynamically display layers

  1. Click Home tab [image] Layers panel [image] Layer Walk. At the command prompt, enter laywalk.
  2. In the LayerWalk dialog box, click a layer to view the objects on that layer. To select more than one layer, press CTRL and click the layers you want to view.

    The drawing displays the objects on the layers you selected.

  3. Click Close.
Toolbar: Layers II
Command entry: LAYWALK


To filter a layer list (Procedure)

Use Layers to Manage Complexity
Up a level to ..
Use Layers to Manage Complexity
Create and Modify Objects > Control the Properties of Objects > Work with Layers > Use Layers to Manage Complexity >
Use Layers to Manage Complexity
Concept Procedure Quick Reference

To filter a layer list

  1. Click Home tab [image] Layers panel [image] Layer Walk. At the command prompt, enter laywalk.
  2. In the LayerWalk dialog box, Filter list, do one of the following:
    • Enter an existing filter name or select a filter from the Filter drop-down list.
    • Enter filter criteria (using wild-card characters) to create a list of the layers you want filtered. For example, if want to filter layers named “0” through “3”, you could enter a filter criteria of [0-3]*.
      NoteFor more information about wild-card characters, see the “Wild-Card Characters” section of Filter and Sort the List of Layers.

    The layer list displays layers defined in the filter.

  3. Click Close.
Toolbar: Layers II
Command entry: LAYWALK


To create and save a layer filter in the LayerWalk dialog box (Procedure)

Use Layers to Manage Complexity
Up a level to ..
Use Layers to Manage Complexity
Create and Modify Objects > Control the Properties of Objects > Work with Layers > Use Layers to Manage Complexity >
Use Layers to Manage Complexity
Concept Procedure Quick Reference

To create and save a layer filter in the LayerWalk dialog box

  1. Click Home tab [image] Layers panel [image] Layer Walk. At the command prompt, enter laywalk.
  2. In the LayerWalk dialog box, Filter list, enter filter criteria (using wild-card characters) to create a list of the layers you want filtered. For example, if want to filter layers “0” through “3”, enter a filter criteria of [0-3]*.
    NoteFor more information about wild-card characters, see the “Wild-Card Characters” section of Filter and Sort the List of Layers.
  3. Right-click, and then click Save Current Filter.
  4. Click Close.
Toolbar: Layers II
Command entry: LAYWALK


To turn on or off an active layer filter (Procedure)

Use Layers to Manage Complexity
Up a level to ..
Use Layers to Manage Complexity
Create and Modify Objects > Control the Properties of Objects > Work with Layers > Use Layers to Manage Complexity >
Use Layers to Manage Complexity
Concept Procedure Quick Reference

To turn on or off an active layer filter

  1. Click Home tab [image] Layers panel [image] Layer Walk. At the command prompt, enter laywalk.
  2. In the LayerWalk dialog box, Filter list, enter an existing filter name or select a filter from the Filter drop-down list.
  3. Click the Filter check box to display or hide the layers in the layer list that are defined in the active filter. The display of the layers in the drawing itself does not change.
  4. Click Close.
Toolbar: Layers II
Command entry: LAYWALK


To turn the Always Show option on or off in the LayerWalk dialog box (Procedure)

Use Layers to Manage Complexity
Up a level to ..
Use Layers to Manage Complexity
Create and Modify Objects > Control the Properties of Objects > Work with Layers > Use Layers to Manage Complexity >
Use Layers to Manage Complexity
Concept Procedure Quick Reference

To turn the Always Show option on or off in the LayerWalk dialog box

  1. Click Home tab [image] Layers panel [image] Layer Walk. At the command prompt, enter laywalk.
  2. In the LayerWalk dialog box, Layer list, double-click the layer you want to set to Always Show. To select more than one layer, press SHIFT and double-click the additional layers.

    An asterisk (*) is displayed to the left of each layer that you set to Always Show. These layers are displayed in the drawing regardless of whether or not they are in an active filter.

  3. Click Close.
Toolbar: Layers II
Command entry: LAYWALK


To purge unreferenced layers using the LayerWalk dialog box (Procedure)

Use Layers to Manage Complexity
Up a level to ..
Use Layers to Manage Complexity
Create and Modify Objects > Control the Properties of Objects > Work with Layers > Use Layers to Manage Complexity >
Use Layers to Manage Complexity
Concept Procedure Quick Reference

To purge unreferenced layers using the LayerWalk dialog box

  1. Open a drawing that contains one or more unreferenced layers that you want to purge.
  2. Click Home tab [image] Layers panel [image] Layer Walk. At the command prompt, enter laywalk.
  3. In the LayerWalk dialog box, right-click. Click Select Unreferenced.

    All unreferenced layers are selected.

    NoteThe Purge button is active only when the layers you select are unreferenced.
  4. Click Purge.
  5. Click Close.
NoteYou can also purge layers in the Layer Properties Manager. See To Remove an Unused Layer.
Command entry: LAYWALK
Toolbar: Layers II


To move an object to the current layer (Procedure)

Use Layers to Manage Complexity
Up a level to ..
Use Layers to Manage Complexity
Create and Modify Objects > Control the Properties of Objects > Work with Layers > Use Layers to Manage Complexity >
Use Layers to Manage Complexity
Concept Procedure Quick Reference

To move an object to the current layer

  1. Click Home tab [image] Layers panel [image] Change to Current Layer. Enter laycur at the command prompt.
  2. Select the objects you want to move to the current layer.
  3. Press ENTER.
Toolbar: Layers II
Command entry: LAYCUR


To delete a layer by selecting an object on that layer (Procedure)

Use Layers to Manage Complexity
Up a level to ..
Use Layers to Manage Complexity
Create and Modify Objects > Control the Properties of Objects > Work with Layers > Use Layers to Manage Complexity >
Use Layers to Manage Complexity
Concept Procedure Quick Reference

To delete a layer by selecting an object on that layer

  1. Click Home tab [image] Layers panel [image] Delete. At the command prompt, enter laydel.
  2. Select an object on the layer you want to delete.
  3. Press ENTER.

    All objects on the selected layer and the layer itself are deleted.

Command entry: LAYDEL


To freeze a layer by selecting an object on that layer (Procedure)

Use Layers to Manage Complexity
Up a level to ..
Use Layers to Manage Complexity
Create and Modify Objects > Control the Properties of Objects > Work with Layers > Use Layers to Manage Complexity >
Use Layers to Manage Complexity
Concept Procedure Quick Reference

To freeze a layer by selecting an object on that layer

  1. Click Home tab [image] Layers panel [image] Freeze. At the command prompt, enter layfrz.
  2. Select an object on the layer you want to freeze,.
  3. Press ENTER.

    The selected layer is frozen.

Toolbar: Layers II
Command entry: LAYFRZ


To thaw all layers (Procedure)

Use Layers to Manage Complexity
Up a level to ..
Use Layers to Manage Complexity
Create and Modify Objects > Control the Properties of Objects > Work with Layers > Use Layers to Manage Complexity >
Use Layers to Manage Complexity
Concept Procedure Quick Reference

To thaw all layers

  • Click Home tab [image] Layers panel [image] Thaw All Layers. At the command prompt, enter laythw.

    All layers (except layers that are frozen in a viewport) are thawed.

Command entry: LAYTHW


To display selected layers while turning off all other layers (Procedure)

Use Layers to Manage Complexity
Up a level to ..
Use Layers to Manage Complexity
Create and Modify Objects > Control the Properties of Objects > Work with Layers > Use Layers to Manage Complexity >
Use Layers to Manage Complexity
Concept Procedure Quick Reference

To display selected layers while turning off all other layers

  1. Click Home tab [image] Layers panel [image] Isolate. At the command prompt, enter layiso.
  2. Select an object on the layer you want to isolate.
  3. Press ENTER.

    The selected layer is isolated.

    NoteTo restore layers to the layer state before you isolated them, use the LAYUNISO command. Any layer settings you changed are preserved.
Toolbar: Layers II
Command entry: LAYISO


To restore layer settings when exiting the LayerWalk dialog box (Procedure)

Use Layers to Manage Complexity
Up a level to ..
Use Layers to Manage Complexity
Create and Modify Objects > Control the Properties of Objects > Work with Layers > Use Layers to Manage Complexity >
Use Layers to Manage Complexity
Concept Procedure Quick Reference

To restore layer settings when exiting the LayerWalk dialog box

  1. Click Home tab [image] Layers panel [image] Walk. At the command prompt, enter laywalk.
  2. In the LayerWalk dialog box, click a layer to view the objects on that layer. To select more than one layer, click a layer in the list and drag the cursor over the layers you want to view.
  3. Do one of the following:
    • To return to the original view when you close the dialog box, make sure the Restore on Exit check box is selected.
    • To return to the drawing with only the selected layers, make sure the Restore on Exit check box is blank.
  4. Click Close.
Toolbar: Layers II
Command entry: LAYWALK


To restore a drawing’s layer states after isolating a layer (Procedure)

Use Layers to Manage Complexity
Up a level to ..
Use Layers to Manage Complexity
Create and Modify Objects > Control the Properties of Objects > Work with Layers > Use Layers to Manage Complexity >
Use Layers to Manage Complexity
Concept Procedure Quick Reference

To restore a drawing’s layer states after isolating a layer

  • After isolating a layer, and (optionally) making other layer changes, click Home tab [image] Layers panel [image] Unisolate. enter layuniso at the command prompt.

    The drawing is restored to the layer state before the layers were isolated.

Toolbar: Layers II
Command entry: LAYUNISO


To isolate an object’s layer to the current viewport (Procedure)

Use Layers to Manage Complexity
Up a level to ..
Use Layers to Manage Complexity
Create and Modify Objects > Control the Properties of Objects > Work with Layers > Use Layers to Manage Complexity >
Use Layers to Manage Complexity
Concept Procedure Quick Reference

To isolate an object’s layer to the current viewport

  1. Click a layout tab.
  2. Click Home tab [image] Layers panel [image] Isolate to Current Viewport. At the command prompt, enter layvpi.
  3. Select the object whose layer you want to isolate. Press ENTER.

    The selected layer is frozen in all viewports except the current viewport.

Command entry: LAYVPI


To turn a layer on and off by using the Layers toolbar (Procedure)

Use Layers to Manage Complexity
Up a level to ..
Use Layers to Manage Complexity
Create and Modify Objects > Control the Properties of Objects > Work with Layers > Use Layers to Manage Complexity >
Use Layers to Manage Complexity
Concept Procedure Quick Reference

To turn a layer on and off by using the Layers toolbar

  1. Click Home tab [image] Layers panel [image] Layer. At the command prompt, enter layer.
  2. In the Layer Properties Manager, click the light bulb for the layer name that you want to turn on or off.

    If the light bulb is yellow, the layer is turned on.

Toolbar: Layers
Command entry: LAYER


To turn all layers on (Procedure)

Use Layers to Manage Complexity
Up a level to ..
Use Layers to Manage Complexity
Create and Modify Objects > Control the Properties of Objects > Work with Layers > Use Layers to Manage Complexity >
Use Layers to Manage Complexity
Concept Procedure Quick Reference

To turn all layers on

  • Click Home tab [image] Layers panel [image] Turn All Layers On. At the command prompt, enter layon.

    All layers in the drawing are turned on.

Command entry: LAYON


To turn a layer off by selecting an object on the layer (Procedure)

Use Layers to Manage Complexity
Up a level to ..
Use Layers to Manage Complexity
Create and Modify Objects > Control the Properties of Objects > Work with Layers > Use Layers to Manage Complexity >
Use Layers to Manage Complexity
Concept Procedure Quick Reference

To turn a layer off by selecting an object on the layer

  1. Click Home tab [image] Layers panel [image] Off. At the command prompt, enter layoff.
  2. Select the object whose layer you want to turn off. Press ENTER.
Toolbar: Layers II
Command entry: LAYOFF


To copy properties from one layer to other layers (Procedure)

Use Layers to Manage Complexity
Up a level to ..
Use Layers to Manage Complexity
Create and Modify Objects > Control the Properties of Objects > Work with Layers > Use Layers to Manage Complexity >
Use Layers to Manage Complexity
Concept Procedure Quick Reference

To copy properties from one layer to other layers

  1. Click Home tab [image] Layers panel [image] Match. At the command prompt, enter laymch.
  2. Select the object whose layer you want to change. Press ENTER.
  3. Select an object on the layer where you want the object to move.

    The object is moved to the selected layer.

Toolbar: Layers II
Command entry: LAYMCH


To merge selected layers onto a destination layer (Procedure)

Use Layers to Manage Complexity
Up a level to ..
Use Layers to Manage Complexity
Create and Modify Objects > Control the Properties of Objects > Work with Layers > Use Layers to Manage Complexity >
Use Layers to Manage Complexity
Concept Procedure Quick Reference

To merge selected layers onto a destination layer

  1. Click Home tab [image] Layers panel [image] Merge. At the command prompt, enter laymrg.
  2. Select any object on the layer you want to delete. Press ENTER.
  3. Select any object on the layer where you want all the objects from the first layer to be merged.

    The objects from the first layer are moved to the selected layer, and the first layer is deleted.

Command entry: LAYMRG


To assign a color to a layer (Procedure)

Use Layers to Manage Complexity
Up a level to ..
Use Layers to Manage Complexity
Create and Modify Objects > Control the Properties of Objects > Work with Layers > Use Layers to Manage Complexity >
Use Layers to Manage Complexity
Concept Procedure Quick Reference

To assign a color to a layer

  1. Click Home tab [image] Layers panel [image] Layers. At the command prompt, enter layer.
  2. In the Layer Properties Manager, select a layer. Click the color icon.
  3. In the Select Color dialog box, select a color.
  4. Click Apply to save your changes, or click OK to save and close.
Toolbar: Layers
Command entry: LAYER


To change the properties of more than one layer (Procedure)

Use Layers to Manage Complexity
Up a level to ..
Use Layers to Manage Complexity
Create and Modify Objects > Control the Properties of Objects > Work with Layers > Use Layers to Manage Complexity >
Use Layers to Manage Complexity
Concept Procedure Quick Reference

To change the properties of more than one layer

  1. Click Home tab [image] Layers panel [image] Layers. At the command prompt, enter layer.
  2. In the Layer Properties Manager list view, use one of the following methods to select the layers:
    • Hold down CTRL and select layer names.
    • Right-click. Click Show Filters in Layer List to display a check mark, and then select a layer filter.
  3. Click the icons for the properties you want to change.
  4. Click Apply to save your changes, or click OK to save and close.
Toolbar: Layers
Command entry: LAYER


To hide the tree view in the Layer Properties Manager (Procedure)

Use Layers to Manage Complexity
Up a level to ..
Use Layers to Manage Complexity
Create and Modify Objects > Control the Properties of Objects > Work with Layers > Use Layers to Manage Complexity >
Use Layers to Manage Complexity
Concept Procedure Quick Reference

To hide the tree view in the Layer Properties Manager

  • Right-click in the list view. Clear the Show Filter Tree option.


To move a column in the Layer Properties Manager (Procedure)

Use Layers to Manage Complexity
Up a level to ..
Use Layers to Manage Complexity
Create and Modify Objects > Control the Properties of Objects > Work with Layers > Use Layers to Manage Complexity >
Use Layers to Manage Complexity
Concept Procedure Quick Reference

To move a column in the Layer Properties Manager

  • Click on any column name and drag it to a new location.
  • Right-click on any column name and click Customize. In the Customize Layer Columns dialog, highlight the columns to move and click Move Up to move the columns to the left in the Layer Properties Manaer. Click Move Down to move the columns to the right in the Layer Properties Manager.
NoteColumn settings are specific to the drawing space in which they were set. For example, column settings applied in model space are not applied to the Layer Properties Manager when opened from paper space.
Toolbar: Layers
Command entry: LAYER


To hide a column in the Layer Properties Manager (Procedure)

Use Layers to Manage Complexity
Up a level to ..
Use Layers to Manage Complexity
Create and Modify Objects > Control the Properties of Objects > Work with Layers > Use Layers to Manage Complexity >
Use Layers to Manage Complexity
Concept Procedure Quick Reference

To hide a column in the Layer Properties Manager

Do one of the following

  • Right-click on any column name and select the column that is checked from the shortcut menu.
  • Right-click on any column name and click Customize. In the Customize Layer Columns dialog, uncheck the columns to hide.

Columns names that are unchecked in the shortcut menu are hidden. To show the column, right-click any column name and select the column name from the shortcut menu. The Name column cannot be hidden.

NoteColumn settings are specific to the drawing space in which they were set. For example, column settings applied in model space are not applied to the Layer Properties Manager when opened from paper space.
Toolbar: Layers
Command entry: LAYER


To reorder columns in the Layer Properties Manager (Procedure)

Use Layers to Manage Complexity
Up a level to ..
Use Layers to Manage Complexity
Create and Modify Objects > Control the Properties of Objects > Work with Layers > Use Layers to Manage Complexity >
Use Layers to Manage Complexity
Concept Procedure Quick Reference

To reorder columns in the Layer Properties Manager

Do one of the following

  • Click on the column name and drag and release to the desired location.
  • Right-click on any column name and click Customize. In the Customize Layer Columns dialog, check the column or columns to move and click Move Up or Move Down.
Toolbar: Layers
Command entry: LAYER


To reset all columns to their default settings in the Layer Properties Manager (Procedure)

Use Layers to Manage Complexity
Up a level to ..
Use Layers to Manage Complexity
Create and Modify Objects > Control the Properties of Objects > Work with Layers > Use Layers to Manage Complexity >
Use Layers to Manage Complexity
Concept Procedure Quick Reference

To reset all columns to their default settings in the Layer Properties Manager

  • Right-click on any column name and select Restore all Columns to Defaults from the shortcut menu.

All columns are reset to their original position, column width, and display status.

NoteColumn settings are specific to the drawing space in which they were set. For example, column settings applied in model space are not applied to the Layer Properties Manager when opened from paper space.
Toolbar: Layers
Command entry: LAYER


To lock or unlock a layer by using the Layers toolbar (Procedure)

Use Layers to Manage Complexity
Up a level to ..
Create and Name Layers
Create and Modify Objects > Control the Properties of Objects > Work with Layers > Use Layers to Manage Complexity >
Use Layers to Manage Complexity
Concept Procedure Quick Reference

To lock or unlock a layer by using the Layers toolbar

  1. Click Home tab [image] Layers panel [image] Layers. At the command prompt, enter layer.
  2. In the Layer Properties Manager, click the padlock icon for the layer name that you want to lock or unlock.

    If the padlock is open, the layer is unlocked.

  3. (Optional) Specify the degree of fading for all locked layers with the LAYLOCKFADECTL system variable.
Toolbar: Layers
Command entry: LAYER, LAYLOCKFADECTL


Use Layers to Manage Complexity (Quick Reference)

Overview of Layers
Use Layers to Manage Complexity
Create and Name Layers
Create and Modify Objects > Control the Properties of Objects > Work with Layers > Use Layers to Manage Complexity >
Use Layers to Manage Complexity
Concept Procedure Quick Reference

Commands

CLASSICLAYER

Opens the modal Layer Properties Manager

COPYTOLAYER

Copies one or more objects to another layer

LAYCUR

Changes the layer of selected objects to the current layer

LAYDEL

Deletes all objects on a layer and purges the layer

LAYER

Manages layers and layer properties

LAYFRZ

Freezes the layer of selected objects

LAYISO

Hides or locks all layers except those of the selected objects

LAYMCH

Changes the layer of a selected object to match the destination layer

LAYMRG

Merges selected layers into a target layer, removing the previous layers from the drawing

LAYOFF

Turns off the layer of a selected object

LAYON

Turns on all layers in the drawing

LAYTHW

Thaws all layers in the drawing

LAYUNISO

Restores all layers that were hidden or locked with the LAYISO command

LAYWALK

Displays objects on selected layers and hides objects on all other layers

System Variables

LAYLOCKFADECTL

Controls the dimming for objects on locked layers

No entries

Utilities

No entries

Command Modifiers

No entries


Create and Name Layers (Concept)

Use Layers to Manage Complexity
Work with Layers
Change Layer Settings and Layer Properties
Create and Modify Objects > Control the Properties of Objects > Work with Layers >
Create and Name Layers
Concept Procedure Quick Reference

You can create and name a new layer for each conceptual grouping (such as walls or dimensions) and assign common properties to each layer.

By organizing objects into layers, you can control the visibility and object properties of a large number of objects separately for each layer and make changes quickly.

NoteThe number of layers that you can create in a drawing and the number of objects that you can create on each layer are practically unlimited.

Choose Layer Names Carefully

A layer name can include up to 255 characters (double-byte or alphanumeric): letters, numbers, spaces, and several special characters. Layer names cannot include the following characters:

< > / \ “ : ; ? * | = ‘

In many cases, the layer names you choose are dictated by corporate, industry, or client standards.

The Layer Properties Manager sorts layers alphabetically by name. If you organize your own layer scheme, choose layer names carefully. Use common prefixes to name layers with related drawing components, you can use wild-card characters in layer name filters when you need to find those layers quickly.

NoteIf you consistently use a specific layering scheme, you can set up a drawing template with layers, linetypes, and colors already assigned. For more information about creating templates, see Use a Template File to Start a Drawing.

Copy Layers from Another Drawing

You can use DesignCenter™ to copy layers from any drawing to another by dragging. For example, you might have a drawing that contains all the standard layers needed for a project. You can create a new drawing and use DesignCenter to drag the predefined layers to the new drawing, which saves you time and ensures consistency between drawings.

You can also drag layers or copy layers by double-clicking or by clicking Insert on the shortcut menu.

NoteYou need to resolve duplicate layer names before you drag layers from DesignCenter.

Select a Layer to Draw On

As you draw, newly created objects are placed on the current layer. The current layer may be the default layer (0) or a layer you create and name yourself. You switch from one layer to another by making a different layer current; any subsequent objects you create are associated with the new current layer and use its color, linetype, and other properties. You cannot make a layer the current layer if it is frozen or if it is an xref-dependent layer.

Remove Layers

You can remove unused layers from your drawing with PURGE or by deleting the layer from the Layer Properties Manager. You can delete only unreferenced layers. Referenced layers include layers 0 and DEFPOINTS, layers containing objects (including objects in block definitions), the current layer, and xref-dependent layers.

WarningBe careful about deleting layers if you are working on a drawing in a shared project or one based on a set of layering standards.


Create and Name Layers (Procedure)

Use Layers to Manage Complexity
Up a level to ..
Create and Name Layers
Create and Modify Objects > Control the Properties of Objects > Work with Layers > Create and Name Layers >
Create and Name Layers
Concept Procedure Quick Reference

To create a new layer

To remove an unused layer

To purge all unused layers


To create a new layer (Procedure)

Create and Name Layers
Up a level to ..
Create and Name Layers
Create and Modify Objects > Control the Properties of Objects > Work with Layers > Create and Name Layers >
Create and Name Layers
Concept Procedure Quick Reference

To create a new layer

  1. Click Home tab [image] Layers panel [image] Layer Properties. At the command prompt, enter layer.
  2. In the Layer Properties Manager, click the New Layer button.

    A layer name, such as LAYER1, is automatically added to the layer list.

  3. Enter a new layer name by typing over the highlighted layer name.
  4. To change the properties, click icons.

    When you click Color, Linetype, Lineweight, or Plot Style, a dialog box is displayed.

  5. (Optional) Click in the Description column and enter text.
  6. Click Apply to save your changes, or click OK to save and close.
Toolbar: Layer Properties
Command entry: LAYER


To remove an unused layer (Procedure)

Create and Name Layers
Up a level to ..
Create and Name Layers
Create and Modify Objects > Control the Properties of Objects > Work with Layers > Create and Name Layers >
Create and Name Layers
Concept Procedure Quick Reference

To remove an unused layer

  1. Click Home tab [image] Layers panel [image] Layers. At the command prompt, enter layer.
  2. In the Layer Properties Manager, select the layer. Click the Delete Layer button.

    Layers that have objects assigned to them cannot be removed until those objects are reassigned to a different layer or are deleted. Layers 0 and DEFPOINTS and the current layer cannot be removed.

  3. Click Apply to save your changes, or click OK to save and close.

    The selected layer is removed.

Toolbar: Layers
Command entry: LAYER


To purge all unused layers (Procedure)

Create and Name Layers
Up a level to ..
Change Layer Settings and Layer Properties
Create and Modify Objects > Control the Properties of Objects > Work with Layers > Create and Name Layers >
Create and Name Layers
Concept Procedure Quick Reference

To purge all unused layers

  1. Click Tools tab [image] Drawing Utilities panel [image] Purge. At the command prompt, enter purge.

    The Purge dialog box displays a tree view of object types with items that can be purged (removed from the drawing).

  2. To purge unreferenced layers, use one of the following methods:
    • To purge all unreferenced layers, select Layers.
    • To purge specific layers, double-click Layers to expand the tree view. Select the layers to be purged.
  3. If the item you want to purge is not listed, select View Items You Cannot Purge, select the layer, and read the explanation.
  4. You are prompted to confirm each item in the list. If you do not want to confirm each purge, clear the Confirm Each Item to Be Purged option.
  5. Click Purge.
  6. To confirm the purging of each item, respond to the prompt by choosing Yes or No, or Yes to All if more than one item is selected.
  7. Click Close.
Command entry: PURGE


Create and Name Layers (Quick Reference)

Use Layers to Manage Complexity
Create and Name Layers
Change Layer Settings and Layer Properties
Create and Modify Objects > Control the Properties of Objects > Work with Layers > Create and Name Layers >
Create and Name Layers
Concept Procedure Quick Reference

Commands

CLASSICLAYER

Opens the modal Layer Properties Manager

LAYER

Manages layers and layer properties

PURGE

Removes unused named items, such as block definitions and layers, from the drawing

System Variables

CLAYER

Sets the current layer

Utilities

No entries

Command Modifiers

No entries


Change Layer Settings and Layer Properties (Concept)

Create and Name Layers
Work with Layers
Override Layer Properties in Viewports
Create and Modify Objects > Control the Properties of Objects > Work with Layers >
Change Layer Settings and Layer Properties
Concept Procedure Quick Reference

You can change the name of a layer and any of its properties, including color and linetype, and you can reassign objects from one layer to another.

Because everything in your drawing is associated with a layer, it's likely that in the course of planning and creating a drawing, you'll need to change what you place on a layer or how you view the layers in combination. You can

  • Reassign objects from one layer to another.
  • Change the name of a layer.
  • Change the default color, linetype, or other properties of the layer.

Reassigning an object to a different layer is useful if you create an object on the wrong layer or decide to change your layer organization. Unless the color, linetype, or other properties of the object have been set explicitly, an object that you reassign to a different layer will acquire the properties of that layer.

You can change layer properties in the Layer Properties Manager and in the Layer control on the Layers toolbar. Click the icons to change settings. Layer names and colors can be changed only in the Layer Properties Manager, not the Layer control.

Undo Changes to Layer Settings

You can use Layer Previous to undo changes you make to layer settings. For example, if you freeze several layers and change some of the geometry in a drawing, and then want to thaw the frozen layers, you can do this with a single command without affecting the geometry changes. In another example, if you changed the color and linetype of several layers but later decide you prefer the old properties, you can use Layer Previous to undo the changes and restore the original layer settings.

When you use Layer Previous, it undoes the most recent change or set of changes made using either the Layer control or the Layer Properties Manager. Every change you make to layer settings is tracked and can be undone with Layer Previous. You can use LAYERPMODE to suspend layer property tracking when you don't need it, such as when you run large scripts. There is a modest performance gain in turning off Layer Previous tracking.

Layer Previous does not undo the following changes:

  • Renamed layers. If you rename a layer and change its properties, Layer Previous restores the original properties but not the original layer name.
  • Deleted layers. If you delete or purge a layer, using Layer Previous does not restore it.
  • Added layers. If you add a new layer to a drawing, using Layer Previous does not remove it.

Changes in the Layer Properties Manager can be grouped by enabling Combine Layer Property Change option in User Preferences tab in the Options dialog box.. Layer creation and deletion will be tracked in the Undo list as unique items.


Change Layer Settings and Layer Properties (Procedure)

Create and Name Layers
Up a level to ..
Change Layer Settings and Layer Properties
Create and Modify Objects > Control the Properties of Objects > Work with Layers > Change Layer Settings and Layer Properties >
Change Layer Settings and Layer Properties
Concept Procedure Quick Reference

To change the layer of one or more objects

To change the default linetype assigned to a layer

To rename a layer

To rename more than one layer

To undo changes to layer settings

To set Layer Previous tracking on or off


To change the layer of one or more objects (Procedure)

Change Layer Settings and Layer Properties
Up a level to ..
Change Layer Settings and Layer Properties
Create and Modify Objects > Control the Properties of Objects > Work with Layers > Change Layer Settings and Layer Properties >
Change Layer Settings and Layer Properties
Concept Procedure Quick Reference

To change the layer of one or more objects

  1. Select the objects whose layer you want to change.
  2. On the Layers toolbar, click the Layer control.
  3. Select the layer that you want to assign to the objects.
  4. Press ESC to remove selection.
Toolbar: Layers


To change the default linetype assigned to a layer (Procedure)

Change Layer Settings and Layer Properties
Up a level to ..
Change Layer Settings and Layer Properties
Create and Modify Objects > Control the Properties of Objects > Work with Layers > Change Layer Settings and Layer Properties >
Change Layer Settings and Layer Properties
Concept Procedure Quick Reference

To change the default linetype assigned to a layer

  1. Click Home tab [image] Layers panel [image] Layer. At the command prompt, enter layer.
  2. In the Layer Properties Manager, select the linetype for the layer you want to change.
  3. In the Select Linetype dialog box, if the linetype you need is not displayed, click Load and use one of the following methods:
    • In the Load or Reload Linetypes dialog box, select one or more linetypes to load. Click OK to return to the Select Linetype dialog box.
    • In the Load or Reload Linetypes dialog box, click File to open additional linetype definition (LIN) files. Select one or more linetypes to load. Click OK to return to the Select Linetype dialog box.
  4. Select the linetype you want to use. Click OK to return to the Layer Properties Manager.
  5. Click Apply to save your changes, or click OK to save and close.
Toolbar: Layers
Command entry: LAYER


To rename a layer (Procedure)

Change Layer Settings and Layer Properties
Up a level to ..
Change Layer Settings and Layer Properties
Create and Modify Objects > Control the Properties of Objects > Work with Layers > Change Layer Settings and Layer Properties >
Change Layer Settings and Layer Properties
Concept Procedure Quick Reference

To rename a layer

  1. Click Home tab [image] Layers panel [image] Layer. At the command prompt, enter layer.
  2. In the Layer Properties Manager, select a layer. Click the name or press F2.
  3. Enter a new name.
  4. Click Apply to save your changes, or click OK to save and close.
Toolbar: Layers
Command entry: LAYER


To rename more than one layer (Procedure)

Change Layer Settings and Layer Properties
Up a level to ..
Change Layer Settings and Layer Properties
Create and Modify Objects > Control the Properties of Objects > Work with Layers > Change Layer Settings and Layer Properties >
Change Layer Settings and Layer Properties
Concept Procedure Quick Reference

To rename more than one layer

  1. Click Tools tab [image] Drawing Utilities panel [image] Rename. Enter rename at the command prompt.
  2. In the Rename dialog box, in the Named Objects list, select Layers.
  3. In Old Name, enter the old name, using wild-card characters; for example, enter stairs$*.
  4. In Rename To, enter the new name using wild-card characters; for example, enter s_*.

    Results for this example are as follows: the layers STAIR$LEVEL-1, STAIR$LEVEL-2, STAIR$LEVEL-3 are renamed S_LEVEL-1, S_LEVEL-2, S_LEVEL-3.

  5. Click Rename To to apply changes and continue, or click OK.
Command entry: RENAME


To undo changes to layer settings (Procedure)

Change Layer Settings and Layer Properties
Up a level to ..
Change Layer Settings and Layer Properties
Create and Modify Objects > Control the Properties of Objects > Work with Layers > Change Layer Settings and Layer Properties >
Change Layer Settings and Layer Properties
Concept Procedure Quick Reference

To undo changes to layer settings

  • Click Home tab [image] Layers panel [image] Previous. Enter layerp at the command prompt.

The command prompt displays the message “Restored previous layer status.”

NoteLAYERP does not restore deleted or purged layers and does not remove a layer that was added. If you rename a layer and change its properties, Layer Previous restores the original properties but not the original layer name.
Toolbar: Layers
Command entry: LAYERP


To set Layer Previous tracking on or off (Procedure)

Change Layer Settings and Layer Properties
Up a level to ..
Override Layer Properties in Viewports
Create and Modify Objects > Control the Properties of Objects > Work with Layers > Change Layer Settings and Layer Properties >
Change Layer Settings and Layer Properties
Concept Procedure Quick Reference

To set Layer Previous tracking on or off

  1. At the command prompt, enter layerpmode.

    The current Layer Previous tracking status is displayed.

  2. Enter on to turn on Layer Previous tracking of layer settings, or enter off to turn off tracking.
Command entry: LAYERPMODE


Change Layer Settings and Layer Properties (Quick Reference)

Create and Name Layers
Change Layer Settings and Layer Properties
Override Layer Properties in Viewports
Create and Modify Objects > Control the Properties of Objects > Work with Layers > Change Layer Settings and Layer Properties >
Change Layer Settings and Layer Properties
Concept Procedure Quick Reference

Commands

CHANGE

Changes the properties of existing objects

CHPROP

Changes the properties of an object

CLASSICLAYER

Opens the modal Layer Properties Manager

LAYER

Manages layers and layer properties

LAYERP

Undoes the last change or set of changes made to layer settings

LAYERPMODE

Turns the tracking of changes made to layer settings on and off

PROPERTIES

Controls properties of existing objects

PURGE

Removes unused named items, such as block definitions and layers, from the drawing

RENAME

Changes the names of named objects

SETBYLAYER

Changes the property overrides of selected objects to ByLayer

System Variables

CLAYER

Sets the current layer

LAYERMANAGERSTATE

Returns the current state of theLayer Properties Manager

SETBYLAYERMODE

Controls which properties are selected for the SETBYLAYER command

Utilities

No entries

Command Modifiers

No entries


Override Layer Properties in Viewports (Concept)

Change Layer Settings and Layer Properties
Work with Layers
Filter and Sort the List of Layers
Create and Modify Objects > Control the Properties of Objects > Work with Layers >
Override Layer Properties in Viewports
Concept Procedure Quick Reference

You can display objects differently by setting property overrides for color, linetype, lineweight, and plot style and apply them to individual layout viewports.

Using property overrides is an efficient way for displaying objects with different property settings in individual viewports without changing their ByLayer or ByBlock properties. For example, objects can be made to display more prominently by changing their color. Because layer property overrides do not change the layer’s global properties, you can have objects display differently in various viewports without having to create duplicate geometry or use xrefs that have different layer settings.

Property override settings for color and lineweight were set on the Wiring layer for the viewport on the left. Notice the wiring is a different color and lineweight than in the right viewport.

When the Layer Properties Manager is accessed from a layout tab, four columns for layer property overrides are displayed

  • VP Color
  • VP Lineweight
  • VP Linetype
  • VP Plot Style (available only in named-plot style drawings)

When a property override is set for a layer, a Viewport Overrides filter is automatically created in the Layer Properties Manager.

If you do not want to display or plot property overrides, set the VPLAYEROVERRIDESMODE system variable to 0. Objects will display and plot with their global layer properties.

NoteProperty overrides can still be set even when VPLAYEROVERRIDESMODE is set to 0.

Property overrides that are on xref layers are not retained when the VISRETAIN system variable is set to 0.

Viewport Property Overrides and Visual Styles

Layer property overrides for color, linetype, and lineweights are displayed in viewports regardless of the visual style that is current. Although plot style overrides can be set when the visual style is set to Conceptual or Realistic style, they are not displayed or plotted.

Identify Layers with Property Overrides

Layers containing property overrides are identifiable in the Layer Properties Manager when accessed from a layout tab. You can see which layers have overrides by the following:

  • A background color displays for each layer name, override and corresponding global property setting.
  • A tooltip displays property override information when the cursor is placed over the status icon for the layer containing overrides.
  • A different icon displays in the Status column.
  • A predefined filter named Viewport Overrides is displayed in the tree view where all layers with viewport overrides are listed.

Layers that are assigned property overrides are also identifiable outside of the Layer Properties Manager. Other areas of the user interface that indicate which layers are assigned property overrides are as follows:

  • Layers toolbar. A background color displays behind layer names for the current viewport. For color overrides, the override color is displayed instead of the global color.
  • Properties toolbar. Displays ByLayer (VP) and a background color for layers or objects that are assigned property overrides. Override properties are displayed for color, linetype, and lineweight instead of global properties.
  • Layers panel on the ribbon. A background color displays behind the layer names in the Layer drop-down list. Override properties are displayed for color, linetype, and lineweight instead of global properties.
  • Properties panel on the ribbon. A background color displays behind the color, linetype, lineweight, and plot style controls. Override properties are displayed for color, linetype, and lineweight instead of global properties.
  • Properties palette. Displays ByLayer (VP) and a background color for layers or objects that are assigned property overrides. Override properties are displayed for color, linetype, and lineweight instead of global properties.
NoteThe background color for viewport overrides can be changed in the Layer Settings dialog box.

Property overrides that are set on the Lighting layer for the current viewport are indicated by a blue background color.

Identify Viewports with Layer Property Overrides

A Viewport Overrides icon is displayed on the status bar when the current viewport in paper space has layer property overrides. If the drawing status bar is not displayed, the icon is displayed on the application status bar instead.

Use the VPLAYEROVERRIDES system variable to check if the current viewport contains layer property overrides. When VPLAYEROVERRIDES is equal to 1, the viewport contains overrides.

You can also use the Properties command to determine if a viewport contains overrides. The Properties palette displays a Layer Property Overrides field. The value that displays is the same as the setting for VPLAYEROVERRIDES.

Remove Layer Property Overrides

When you right-click a layer in the Layer Properties Manager, a shortcut menu is displayed that lists options for removing property overrides. You can remove

  • A single property override from the selected layer for the selected viewport or for all selected viewports
  • All property overrides from the selected layer for the selected viewport or for all selected viewports
  • All property overrides from all layers in the selected viewport or for all selected viewports
NoteAnother method for removing property overrides is to use the shortcut menu when you right-click the border of the selected viewport or viewports. You can remove viewport overrides for all layers for that viewport.


Override Layer Properties in Viewports (Procedure)

Change Layer Settings and Layer Properties
Up a level to ..
Override Layer Properties in Viewports
Create and Modify Objects > Control the Properties of Objects > Work with Layers > Override Layer Properties in Viewports >
Override Layer Properties in Viewports
Concept Procedure Quick Reference

To assign property overrides for the current layout viewport

To remove an override from a layer for the current layout viewport

To remove an override from a layer for all layout viewports

To remove all overrides from a layer for the current layout viewport

To remove all overrides for all layout viewports

To check if the current layout viewport contains layer property overrides

To not display or plot layer viewport overrides

To change the background color for property overrides

To save layer viewport overrides in a layer state


To assign property overrides for the current layout viewport (Procedure)

Override Layer Properties in Viewports
Up a level to ..
Override Layer Properties in Viewports
Create and Modify Objects > Control the Properties of Objects > Work with Layers > Override Layer Properties in Viewports >
Override Layer Properties in Viewports
Concept Procedure Quick Reference

To assign property overrides for the current layout viewport

  1. On the layout tab, double-click inside a viewport to make it current.
  2. Click Home tab [image] Layers panel [image] Layer. At the command prompt, enter layer.
  3. In the Layer Properties Manager, select the global properties to override in the VP Color, VP Linetype, VP Lineweight, and VP Plot Style columns.
  4. Click Apply.
Toolbar: Layers
Command entry: LAYER


To remove an override from a layer for the current layout viewport (Procedure)

Override Layer Properties in Viewports
Up a level to ..
Override Layer Properties in Viewports
Create and Modify Objects > Control the Properties of Objects > Work with Layers > Override Layer Properties in Viewports >
Override Layer Properties in Viewports
Concept Procedure Quick Reference

To remove an override from a layer for the current layout viewport

  1. On the layout tab, double-click inside a viewport to make it current.
  2. Click Home tab [image] Layers panel [image] Layer. At the command prompt, enter layer.
  3. In the Layer Properties Manager, right-click the property override on the layer to remove
  4. Click Remove Viewport Overrides For [image] Property Override (Color, Linetype, Lineweight, Plot Style) [image] In Current Viewport Only.
  5. Click Apply.
Toolbar: Layers
Command entry: LAYER


To remove an override from a layer for all layout viewports (Procedure)

Override Layer Properties in Viewports
Up a level to ..
Override Layer Properties in Viewports
Create and Modify Objects > Control the Properties of Objects > Work with Layers > Override Layer Properties in Viewports >
Override Layer Properties in Viewports
Concept Procedure Quick Reference

To remove an override from a layer for all layout viewports

  1. On the layout tab, double-click inside a viewport to make it current.
  2. Click Home tab [image] Layers panel [image] Layer. At the command prompt, enter layer.
  3. In the Layer Properties Manager, right-click the property override on the layer to remove.
  4. Click Remove Viewport Overrides For [image] Property Override (Color, Linetype, Lineweight, Plot Style) [image] In All Viewports.
  5. Click Apply.
Toolbar: Layers
Command entry: LAYER


To remove all overrides from a layer for the current layout viewport (Procedure)

Override Layer Properties in Viewports
Up a level to ..
Override Layer Properties in Viewports
Create and Modify Objects > Control the Properties of Objects > Work with Layers > Override Layer Properties in Viewports >
Override Layer Properties in Viewports
Concept Procedure Quick Reference

To remove all overrides from a layer for the current layout viewport

  1. On the layout tab, double-click inside a viewport to make it current.
  2. Click Home tab [image] Layers panel [image] Layer. At the command prompt, enter layer.
  3. In the Layer Properties Manager, right-click the layer.
  4. Click Remove Viewport Overrides For [image] Selected Layers [image] In Current Viewport Only.
  5. Click Apply.
Toolbar: Layers
Command entry: LAYER


To remove all overrides for all layout viewports (Procedure)

Override Layer Properties in Viewports
Up a level to ..
Override Layer Properties in Viewports
Create and Modify Objects > Control the Properties of Objects > Work with Layers > Override Layer Properties in Viewports >
Override Layer Properties in Viewports
Concept Procedure Quick Reference

To remove all overrides for all layout viewports

  1. Click a layout tab.
  2. Click Home tab [image] Layers panel [image] Layer. At the command prompt, enter layer.
  3. In the Layer Properties Manager, select the Viewport Overrides filter.
  4. Right-click on any layer. Click Remove Viewport Overrides For [image] All Layers [image] In All Viewports.
  5. Click Apply.
Toolbar: Layers
Command entry: LAYER


To check if the current layout viewport contains layer property overrides (Procedure)

Override Layer Properties in Viewports
Up a level to ..
Override Layer Properties in Viewports
Create and Modify Objects > Control the Properties of Objects > Work with Layers > Override Layer Properties in Viewports >
Override Layer Properties in Viewports
Concept Procedure Quick Reference

To check if the current layout viewport contains layer property overrides

  1. Double-click within a viewport or select its border to make it current.
  2. At the command prompt, enter vplayeroverrides.

If VPLAYEROVERRIDES displays 1, the selected viewport contains layer viewport overrides. If 0 is displayed, no overrides are found.

Command entry: VPLAYEROVERRIDES


To not display or plot layer viewport overrides (Procedure)

Override Layer Properties in Viewports
Up a level to ..
Override Layer Properties in Viewports
Create and Modify Objects > Control the Properties of Objects > Work with Layers > Override Layer Properties in Viewports >
Override Layer Properties in Viewports
Concept Procedure Quick Reference

To not display or plot layer viewport overrides

  1. At the command prompt, enter vplayeroverrides.
  2. Enter 0.
Command entry: VPLAYEROVERRIDESMODE


To change the background color for property overrides (Procedure)

Override Layer Properties in Viewports
Up a level to ..
Override Layer Properties in Viewports
Create and Modify Objects > Control the Properties of Objects > Work with Layers > Override Layer Properties in Viewports >
Override Layer Properties in Viewports
Concept Procedure Quick Reference

To change the background color for property overrides

  1. Click Home tab [image] Layers panel [image] Layer. At the command prompt, enter layer.
  2. In the Layer Properties Manager, click Settings.
  3. In the Layer Settings dialog box, select a color for the viewport override background color.
  4. Click OK.
  5. Click OK to exit the Layer Properties Manager.
Toolbar: Layers
Command entry: LAYER


To save layer viewport overrides in a layer state (Procedure)

Override Layer Properties in Viewports
Up a level to ..
Filter and Sort the List of Layers
Create and Modify Objects > Control the Properties of Objects > Work with Layers > Override Layer Properties in Viewports >
Override Layer Properties in Viewports
Concept Procedure Quick Reference

To save layer viewport overrides in a layer state

  1. On a layout tab, double-click in a viewport to make it active.
  2. Click Home tab [image] Layers panel [image] Layer States Manager. At the command prompt, enter layerstate.
  3. In the Layer States Manager, click New.
  4. In the New Layer State to Save dialog box, enter a name for the new layer state, or select a name from the list. (Optional) Add a description.
  5. Click Close.
  6. Click Close to exit the Layer State Manager.
Toolbar: Layers
Command entry: LAYERSTATE


Override Layer Properties in Viewports (Quick Reference)

Change Layer Settings and Layer Properties
Override Layer Properties in Viewports
Filter and Sort the List of Layers
Create and Modify Objects > Control the Properties of Objects > Work with Layers > Override Layer Properties in Viewports >
Override Layer Properties in Viewports
Concept Procedure Quick Reference

Commands

CHPROP

Changes the properties of an object

CLASSICLAYER

Opens the modal Layer Properties Manager

LAYER

Manages layers and layer properties

LAYERP

Undoes the last change or set of changes made to layer settings

LAYERPMODE

Turns the tracking of changes made to layer settings on and off

PROPERTIES

Controls properties of existing objects

PURGE

Removes unused named items, such as block definitions and layers, from the drawing

RENAME

Changes the names of named objects

System Variables

CLAYER

Sets the current layer

VPLAYEROVERRIDES

Indicates if there are any layers with viewport (VP) property overrides for the current layout viewport

VPLAYEROVERRIDESMODE

Controls whether layer property overrides for layout viewports are displayed and plotted

Utilities

No entries

Command Modifiers

No entries


Filter and Sort the List of Layers (Concept)

Override Layer Properties in Viewports
Work with Layers
Use New Layer Notification
Create and Modify Objects > Control the Properties of Objects > Work with Layers >
Filter and Sort the List of Layers
Concept Procedure Quick Reference

You can control which layer names are listed in the Layer Properties Manager and sort them by name or by property, such as color or visibility.

A layer filter limits the display of layer names in the Layer Properties Manager and in the Layer control on the Layers toolbar. In a large drawing, you can use layer filters to display only the layers you need to work with.

There are two kinds of layer filters

  • Layer property filter Includes layers that have names or other properties in common. For example, you can define a filter that includes all layers that are red and whose names include the letters mech.
  • Layer group filter Includes the layers that are put into the filter when you define it, regardless of their names or properties. Selected layers can be added from the layer list by dragging them to the filter.

The tree view in the Layer Properties Manager displays default layer filters and any named filters that you create and save in the current drawing. The icon next to a layer filter indicates the type of filter. Five default filters are displayed

  • All. Displays all the layers in the current drawing. (Filter is always displayed.)
  • All Used. Displays all the layers on which objects in the current drawing are drawn. (Filter is always displayed.)
  • Xref. If xrefs are attached to the drawing, displays all the layers being referenced from other drawings.
  • Viewport Overrides. If there are layers with overrides for the current viewport, displays all layers containing property overrides.
  • Unreconciled New Layers. If new layers were added since the drawing was last opened, saved, reloaded, or plotted, displays a list of new unreconciled layers. See Reconcile New Layers for more information.
NoteThe default filters cannot be renamed, edited, or deleted.

Once you have named and defined a layer filter, you can select it in the tree view to display the layers in the list view. You can also apply the filter to the Layers toolbar, so that the Layer control displays only the layers in the current filter.

When you select a filter in the tree view and right-click, options on the shortcut menu can be used to delete, rename, or modify filters. For example, you can convert a layer property filter to a layer group filter. You can also change a property of all layers in a filter. The Isolate Group option turns off all layers in the drawing that are not in the selected filter.

Define a Layer Property Filter

A layer property filter is defined in the Layer Filter Properties dialog box, where you select any of the following properties you want to include in the filter definition:

  • Layer names, colors, linetypes, lineweights, and plot styles
  • Whether layers are in use
  • Whether layers are turned on or off
  • Whether layers are frozen or thawed in the active viewport or all viewports
  • Whether layers are locked or unlocked
  • Whether layers are set to be plotted

You use wild-card characters to filter layers by name. For example, if you want to display only layers that start with the letters mech, you can enter mech*. See “Wild-Card Characters” for a complete list.

The layers in a layer property filter may change as the properties of the layers change. For example, if you define a layer property filter named Site that includes all layers with the letters site in the name and a CONTINUOUS linetype, and then you change the linetype of some of those layers, the layers with the new linetype are no longer part of the Site filter and are not displayed when you apply that filter.

Layer property filters can be nested under other properties filters or under group filters.

Define a Layer Group Filter

A layer group filter includes only those layers that you explicitly assign to it. If the properties of the layers assigned to the filter change, the layers are still part of the filter. Layer group filters can be nested only under other layer group filters.

TipLayers from the layer list can be included in a filter by clicking and dragging the selected layers to the filter.

Invert a Layer Filter

You can also invert a layer filter. For example, if all the site plan information in a drawing is contained in multiple layers that include the word site as part of the layer name, you can display all information except site plan information by first creating a filter definition that filters layers by name (*site*) and then using the Invert Filter option.

Sort Layers

Once you have created layers, you can sort them by name or other properties. In the Layer Properties Manager, click the column heading to sort layers by the property in that column. Layer names can be sorted in ascending or descending alphabetical order.

Wild-Card Characters

You can use wild-card characters to sort layers by name.

Character | Definition
# (pound) | Matches any numeric digit
@ (at) | Matches any alphabetic character
. (period) | Matches any nonalphanumeric character
* (asterisk) | Matches any string and can be used anywhere in the search string
? (question mark) | Matches any single character; for example, ?BC matches ABC, 3BC, and so on
~ (tilde) | Matches anything but the pattern; for example; ~*AB*matches all strings that don't contain AB
[ ] | Matches any one of the characters enclosed; for example, [AB]C matches AC and BC
[~] | Matches any character not enclosed; for example, [~AB]C matches XC but not AC
[-] | Specifies a range for a single character; for example, [A-G]C matches AC, BC, and so on to GC, but not HC
` (reverse quote) | Reads the next character literally; for example, `~AB matches ~AB
NoteTo filter on a layer name that contains a wild-card character, precede the character with a reverse quote (`) so that it is not interpreted as a wild-card character.
See Also
    • Reconcile New Layers


Filter and Sort the List of Layers (Procedure)

Override Layer Properties in Viewports
Up a level to ..
Filter and Sort the List of Layers
Create and Modify Objects > Control the Properties of Objects > Work with Layers > Filter and Sort the List of Layers >
Filter and Sort the List of Layers
Concept Procedure Quick Reference

To quickly filter the display of layers by name

To filter the display of layers by layer property

To filter the display of layer names by selecting layers

To nest a layer filter under another layer filter

To sort the layer list in the Layer Properties Manager

To remove a layer from a layer group filter


To quickly filter the display of layers by name (Procedure)

Filter and Sort the List of Layers
Up a level to ..
Filter and Sort the List of Layers
Create and Modify Objects > Control the Properties of Objects > Work with Layers > Filter and Sort the List of Layers >
Filter and Sort the List of Layers
Concept Procedure Quick Reference

To quickly filter the display of layers by name

  1. Click Home tab [image] Layers panel [image] Layer. At the command prompt, enter layer.
  2. In the Layer Properties Manager, click in Search for Layer below the tree view.
  3. (Optional) To limit your search, select a layer filter in the tree view.
  4. Enter a string of characters, including wild-card characters.

    The list view displays all layers whose names match the string. For example, if you enter *mech*, all layers with the letters mech in their names are displayed.

    This quick filter is discarded when the Layer Properties Manager closes.

Toolbar: Layers
Command entry: LAYER


To filter the display of layers by layer property (Procedure)

Filter and Sort the List of Layers
Up a level to ..
Filter and Sort the List of Layers
Create and Modify Objects > Control the Properties of Objects > Work with Layers > Filter and Sort the List of Layers >
Filter and Sort the List of Layers
Concept Procedure Quick Reference

To filter the display of layers by layer property

  1. Click Home tab [image] Layers panel [image] Layer. At the command prompt, enter layer.
  2. In the Layer Properties Manager, click the New Property Filter button.
  3. In the Layer Filter Properties dialog box, enter a name for the filter.
  4. Under Filter Definition, set the layer properties that you want to use to define the filter.
    • To filter by name, use wild-card characters.
    • To filter by property, click in the column for the property you want.

      Some properties display a dialog box when you click the [...] button.

    • To select more than one value for a property, right-click the row in the filter definition. Click Duplicate Row. Select another value for that property in the next row.

      For example, the definition for a filter that displays only layers that are on and are either yellow or red has two rows. The first row of the filter definition has the On icon and red. The second row has the On icon and yellow.

  5. Click Apply to save your changes, or click OK to save and close.
Toolbar: Layers
Command entry: LAYER


To filter the display of layer names by selecting layers (Procedure)

Filter and Sort the List of Layers
Up a level to ..
Filter and Sort the List of Layers
Create and Modify Objects > Control the Properties of Objects > Work with Layers > Filter and Sort the List of Layers >
Filter and Sort the List of Layers
Concept Procedure Quick Reference

To filter the display of layer names by selecting layers

  1. Click Home tab [image] Layers panel [image] Layer. At the command prompt, enter layer.
  2. In the Layer Properties Manager, click the New Group Filter button.

    A new layer group filter named GROUP FILTER1 is created in the tree view.

  3. Enter a name for the filter.
  4. In the tree view, click All or one of the other nodes to display layers in the list view.
  5. In the list view, select the layers you want to add to the filter, and drag them to the filter name in the tree view.
  6. Click Apply to save your changes, or click OK to save and close.
Toolbar: Layers
Command entry: LAYER


To nest a layer filter under another layer filter (Procedure)

Filter and Sort the List of Layers
Up a level to ..
Filter and Sort the List of Layers
Create and Modify Objects > Control the Properties of Objects > Work with Layers > Filter and Sort the List of Layers >
Filter and Sort the List of Layers
Concept Procedure Quick Reference

To nest a layer filter under another layer filter

  1. Click Home tab [image] Layers panel [image] Layer. At the command prompt, enter layer.
  2. In the Layer Properties Manager tree view, select a layer filter.
    • A new layer property filter can be nested under a group filter or another property filter.
    • A new layer group filter can be nested only under another group filter.
  3. Right-click. Click New Properties Filter or New Group Filter.
  4. Use one of the following methods:
    • For a new property filter, the Layer Properties Filter dialog box is displayed. Under Filter Definition, set the layer properties that you want to use to define the filter. Click OK.
    • For a new group filter, a filter is added to the tree view. Rename it, select the parent filter to display its layers in the list view, and drag layers from the list view to the new layer group filter.
  5. Click Apply to save your changes, or click OK to save and close.
Toolbar: Layers
Command entry: LAYER


To sort the layer list in the Layer Properties Manager (Procedure)

Filter and Sort the List of Layers
Up a level to ..
Filter and Sort the List of Layers
Create and Modify Objects > Control the Properties of Objects > Work with Layers > Filter and Sort the List of Layers >
Filter and Sort the List of Layers
Concept Procedure Quick Reference

To sort the layer list in the Layer Properties Manager

  • Click any column heading.

To reverse the sorting order, click a second time.

Toolbar: Layers
Command entry: LAYER


To remove a layer from a layer group filter (Procedure)

Filter and Sort the List of Layers
Up a level to ..
Use New Layer Notification
Create and Modify Objects > Control the Properties of Objects > Work with Layers > Filter and Sort the List of Layers >
Filter and Sort the List of Layers
Concept Procedure Quick Reference

To remove a layer from a layer group filter

  1. Click Home tab [image] Layers panel [image] Layer. At the command prompt, enter layer.
  2. In the Layer Properties Manager tree view, select a group filter.
  3. Select the layer you want to remove.
  4. Right-click in the list view. Click Remove from Group Filter.
Toolbar: Layers
Command entry: LAYER


Filter and Sort the List of Layers (Quick Reference)

Override Layer Properties in Viewports
Filter and Sort the List of Layers
Use New Layer Notification
Create and Modify Objects > Control the Properties of Objects > Work with Layers > Filter and Sort the List of Layers >
Filter and Sort the List of Layers
Concept Procedure Quick Reference

Commands

CLASSICLAYER

Opens the modal Layer Properties Manager

LAYER

Manages layers and layer properties

System Variables

MAXSORT

Sets the maximum number of symbol names or block names sorted by listing commands

Utilities

No entries

Command Modifiers

No entries


Use New Layer Notification (Concept)

Filter and Sort the List of Layers
Work with Layers
Reconcile New Layers
Create and Modify Objects > Control the Properties of Objects > Work with Layers >
Use New Layer Notification
Concept Procedure Quick Reference

You can be notified when new layers are added to the drawing before certain tasks, such as plotting, saving, or restoring a layer state.

It is important to be aware of new layers that have been added to a drawing or to an attached xref without your knowledge. You can avoid potential problems, such as plotting objects that were added to the drawing by the addition of a new layer.

You can control when to evaluate a drawing for new layers. You can specify which commands, such as SAVE or PLOT, trigger the program to check the layer list and alert you of new layers. This can include new layers that have been added to attached xrefs.

The LAYEREVAL and LAYERNOTIFY system variables work together to control whether the layer list is evaluated and when notification occurs. Both system variables are saved in the drawing so you have control over which drawings are checked for new layers. When a project is started, it may not be necessary to know when new layers have been created. For drawings that are nearing completion, it may be important to be aware if new information has been introduced into the drawing from the addition of new layers.

The LAYEREVALCTL controls the overall Unreconciled New Layer filter list in the Layer Properties Manager which is evaluated for new layers. When the New Layer Notification is checked (LAYEREVALCTL = 1), the new layer notification feature is enabled and functions based on the LAYEREVAL and LAYERNOTIFY drawing system variables. There should be no filter (Unreconciled Layer filter) displayed when LAYEREVALCTL = 0. If one is currently displayed, it will be turned off.

By default, LAYEREVAL is set to detect any new layers that have been added to attached xrefs but not in the drawing. LAYERNOTIFY is set to notify you of new layers when opening the drawing, when loading, reloading, or attaching xrefs, or when restoring a layer state. To make changes to these settings, you can either use the system variables or the Layer Settings dialog box.

When layer notification is turned on, an Unreconciled New Layers icon displays on the status bar.

At that time, you can choose to view the new layers by right-clicking the icon and clicking the View Unreconciled New Layers link from the menu. When you click the link, the Layer Properties Manager opens, and the Unreconciled New Layers filter is automatically selected. All new layers that have been added to the drawing or attached xrefs are displayed in the list view.

The new layers are unreconciled because they have not yet been reviewed. The process of manually marking them as reconciled removes them from the Unreconciled New Layers list. (See Reconcile New Layers for more information.) Until you reconcile the layers, the notification bubble will display each time the command that triggered the notification is used.

By using the LAYERNOTIFY system variable or the Layer Settings dialog box, you can turn off layer notification but still have the layer list evaluated for new layers. Although the notification bubble does not display, you can still check for new layers by right-clicking the alert icon on the status bar. From the shortcut menu, click the View Unreconciled New Layers option.

New Layer Notification for Plotting

When the PLOT command is set to display new layer notification in the Layer Settings dialog box, a dialog box is displayed instead of an icon on the status bar. A message informs you that there are new layers in the drawing since the layer list was last checked for new layers. Click Yes in the dialog box to view the new layer list in the Layer Properties Manager before plotting.

Saving a Template (DWT) File

When saving a drawing as a template (dwt) file, you can choose to save the layers in the drawing as unreconciled or reconciled in the Template Options dialog box. By default, all layers are saved as unreconciled, so that when a new drawing is started using the template, a layer baseline is not yet created until the drawing is first saved as a .dwg file.

If the template file is saved with all layers as reconciled, a layer baseline is created. That means when new layers are added to the drawing that is created from the template file, any new layers that are created are unreconciled and a new layer notification will display when the drawing is first saved or plotted.

Opening Multiple Drawings

When opening multiple drawings at the same time, an alert displays for each drawing that contains new layers. This behavior occurs if layer notification is turned on and the OPEN command is specified in the LAYERNOTIFY system variable for each drawing.

Topics in this section

  • Reconcile New Layers

    Unreconciled layers are new layers that have been added to the drawing and have not yet been acknowledged by the user and manually marked as reconciled.


Use New Layer Notification (Procedure)

Filter and Sort the List of Layers
Up a level to ..
Use New Layer Notification
Create and Modify Objects > Control the Properties of Objects > Work with Layers > Use New Layer Notification >
Use New Layer Notification
Concept Procedure Quick Reference

To set new layer notification on and off

To set when new layer notification is displayed


To set new layer notification on and off (Procedure)

Use New Layer Notification
Up a level to ..
Use New Layer Notification
Create and Modify Objects > Control the Properties of Objects > Work with Layers > Use New Layer Notification >
Use New Layer Notification
Concept Procedure Quick Reference

To set new layer notification on and off

  1. Click Home tab [image] Layers panel [image] Layer. At the command prompt, enter layer.
  2. In the Layer Properties Manager, click Settings.
  3. In the Layer Settings dialog box, click Evaluate New Layers Added to Drawing.
  4. Click Notify When New Layers are Present. Select one or more options.
  5. Click OK.
  6. Click OK to exit the Layer Properties Manager.
Toolbar: Layers
Command entry: LAYER


To set when new layer notification is displayed (Procedure)

Use New Layer Notification
Up a level to ..
Work with Layer States
Create and Modify Objects > Control the Properties of Objects > Work with Layers > Use New Layer Notification >
Use New Layer Notification
Concept Procedure Quick Reference

To set when new layer notification is displayed

  1. Click Home tab [image] Layers panel [image] Layer. At the command prompt, enter layer.
  2. In the Layer Properties Manager, click Settings.
  3. In the Layer Settings dialog box, click Evaluate New Layers Added to Drawing.
  4. Click Notify When New Layers are Present.
  5. Select the commands that will cause the layer list to be evaluated for new layers.
  6. Click OK.
Toolbar: Layers
Command entry: LAYER


Use New Layer Notification (Quick Reference)

Filter and Sort the List of Layers
Use New Layer Notification
Reconcile New Layers
Create and Modify Objects > Control the Properties of Objects > Work with Layers > Use New Layer Notification >
Use New Layer Notification
Concept Procedure Quick Reference

Commands

CLASSICLAYER

Opens the modal Layer Properties Manager

LAYER

Manages layers and layer properties

System Variables

LAYEREVALCTL

Controls the overall Unreconciled New Layer filter list in Layer Properties Manager which is evaluated for new layers

LAYERNOTIFY

Specifies when an alert displays when unreconciled new layers are found

LAYEREVAL

Specifies whether the layer list is evaluated for new layers when added to the drawing or to attached xrefs

Utilities

No entries

Command Modifiers

No entries


Reconcile New Layers (Concept)

Use New Layer Notification
Use New Layer Notification
Work with Layer States
Create and Modify Objects > Control the Properties of Objects > Work with Layers > Use New Layer Notification >
Reconcile New Layers
Concept Quick Reference

Unreconciled layers are new layers that have been added to the drawing and have not yet been acknowledged by the user and manually marked as reconciled.

Reconciling new layers is the process of manually reviewing new layers so that you can avoid potential errors before plotting your drawing or when restoring a layer state.

Unreconciled layers are new layers that have been added to the drawing or to attached xrefs since the layer list was last evaluated. The layer list is checked for new layers when a command, such as PLOT is used. In new drawings, the layer baseline is created when the drawing is saved or plotted for the first time. When a new drawing is first saved, the layer baseline is created, and all layers present in the saved drawing are considered reconciled (not new). Layers that are added after a drawing is first saved are considered new unreconciled layers.

NoteThe layer baseline is created when the LAYEREVAL system variable is set to 1 or 2.

When a command that is set in the Layer Settings dialog box or LAYEREVAL system variable is used, the layer list is checked at that time and compared to the baseline. If there are new layers, notification will display and the Unreconciled New Layers filter is automatically created and activated in the Layer Properties Manager.

Unreconciled layers become reconciled by right-clicking the layer and clicking the Reconcile Layer option. Once a layer has become reconciled, it is removed from the Unreconciled New Layers filter. After all new layers are reconciled, the Unreconciled New Layers filter is removed.

NoteYou can reconcile multiple unreconciled layers at the same time.


Reconcile New Layers (Quick Reference)

Use New Layer Notification
Use New Layer Notification
Save, Restore, and Edit Layer States
Create and Modify Objects > Control the Properties of Objects > Work with Layers > Use New Layer Notification > Reconcile New Layers >
Reconcile New Layers
Concept Quick Reference

Commands

CLASSICLAYER

Opens the modal Layer Properties Manager

LAYER

Manages layers and layer properties

System Variables

LAYERNOTIFY

Specifies when an alert displays when unreconciled new layers are found

LAYEREVAL

Specifies whether the layer list is evaluated for new layers when added to the drawing or to attached xrefs

Utilities

No entries

Command Modifiers

No entries


Work with Layer States

Reconcile New Layers
Work with Layers
Save, Restore, and Edit Layer States
Create and Modify Objects > Control the Properties of Objects > Work with Layers >
Work with Layer States
Concept Procedure

You can save layer settings as named layer states. You can then restore, edit, import them from other drawings and files, and export them for use in other drawings.

Topics in this section

  • Save, Restore, and Edit Layer States

    You can save the current layer settings to a layer state, make changes to the layer state, and restore them to the drawing later.

  • Import and Export Layer States

    You can import layer settings from other drawings and export layer states.


Work with Layer States (Procedure)

Use New Layer Notification
Up a level to ..
Save, Restore, and Edit Layer States
Create and Modify Objects > Control the Properties of Objects > Work with Layers > Work with Layer States >
Work with Layer States
Concept Procedure

To save layer settings in a named layer state

To restore a layer state

To add layers to a layer state

To delete layers from a layer state

To modify a named layer state

To rename a named layer state

To delete a named layer state

To include description and material properties to a layer state imported from a previous release

To select a layer state to restore

To restore layer viewport overrides

To import saved layer settings from another drawing

To import saved layer settings from a layer state (LAS) file

To export a saved layer state


Save, Restore, and Edit Layer States (Concept)

Work with Layer States
Work with Layer States
Import and Export Layer States
Create and Modify Objects > Control the Properties of Objects > Work with Layers > Work with Layer States >
Save, Restore, and Edit Layer States
Concept Procedure Quick Reference

You can save the current layer settings to a layer state, make changes to the layer state, and restore them to the drawing later.

You can save the current layer settings in a drawing as a named layer state and restore them later. Saving layer settings is convenient if you need to return to particular settings for all layers during different stages in completing a drawing or for plotting.

Save Layer Settings

Layer settings include layer states, such as on or locked, and layer properties, such as color or linetype. In a named layer state, you can choose which layer states and layer properties you want to restore later. For example, you can choose to restore only the Frozen/Thawed setting of the layers in a drawing, ignoring all other settings. When you restore that named layer state, all settings remain as they are currently set except whether each layer is frozen or thawed.

Save Layer Property Override Settings

When layers contain viewport property overrides, those settings are saved to a layer state when the viewport that contains overrides is active.

If the layer state is saved from model space, any layer property override settings are not included. This is because only one value can be saved for each layer property in a layer state. If layer property overrides need to be saved in the layer state, make the viewport active on the layout tab and then save the layer state.

Restore Layer Settings

When you restore a layer state, the layer settings (layer states and layer properties) that were specified when the layer state was saved are restored. You can specify specific settings to restore in the Layer States Manager. The layer property settings that are not selected remain unchanged in the drawing.

If the drawing contains layers that were added since a layer state was saved, you can add those layers. By editing the layer state and using the Select Layers to Add to Layer State dialog box you can select the layers you want to add to the layer state.

NoteTo be notified when new layers are added to the drawing, use the LAYEREVAL and LAYERNOTIFY system variables.

When restoring layer states, the following additional behaviors can occur

  • When restoring a layer state, the layer that was current when the layer state was saved is made current. If that layer no longer exists, the current layer does not change.
  • If a layout viewport is active when a layer state is restored, and the Visibility in Current VP restore option is selected, all layers that need to be visible in the viewport are turned on and thawed in model space. All layers that should not be visible in the viewport are set to VP Freeze in the current viewport and the model space visibility is unchanged.

The Layers panel on the RIBBON contains controls for selecting and restoring saved layer states, including a button to access the Layer States Manager. The name of the last restored layer state is displayed in the Layers panel. When the layers are modified so that the current layer state is no longer current, “Unsaved Layer State” is displayed instead of the name of the last restored layer state.

Restore Property Override Settings

When the Apply Properties as Viewport Overrides restore option is selected in the Layer States Manager, viewport overrides are restored to the viewport that is current at the time the layer state is restored.

When a layer state is saved in model space and is restored in paper space,

  • You can choose whether color, linetype, lineweight, or plot style properties are restored as viewport overrides.
  • Viewport overrides are applied to the current layout viewport.
  • Layers that were turned off or frozen in model space are set to VP Freeze in the Layer Properties Manager for the active layout viewport.

When a layer state is saved in paper space and is restored in model space,

  • Layer property overrides are restored as global layer properties in model space.
  • Layers that were frozen in a layout viewport are also frozen in model space.

Edit Saved Layer Settings

Using the Edit Layer State dialog box, you can modify the properties of each layer saved in a layer state.

All properties other than the layer name can be edited. Properties for multiple layers can be changed at the same time.

You can also add layers to a layer state through the Select Layers to Add to Layer State dialog box. For example, if new layers were added since the layer state was saved, you can add them and resave the layer state. To delete layers, use the Delete button in the Edit Layer State dialog box.

Layer States in Xrefs

When a drawing containing layer states is inserted in the host drawing, the xref layer states are displayed in the Layer States Manager. The layer states are listed by name and can be viewed in the Edit Layer State dialog box.

When an xref containing layer states is attached to the host drawing, those layer states are also listed in the Layer States Manager. Although they can be restored, they cannot be edited. Xref layer states are identifiable because the layer state name is preceded by the xref drawing’s name and separated by a double underscore symbol. (Example: Xref Name__Layer State Name.) When the xref is bound to the host drawing, layer states are identifiable by $0$ that displays between the xref name and layer state name. (Example: Xref Name$0$Layer State Name.)

Layer states from nested xrefs are also included. Layer states from xrefs are removed from the host drawing when the xref is detached or unloaded.


Save, Restore, and Edit Layer States (Procedure)

Work with Layer States
Up a level to ..
Save, Restore, and Edit Layer States
Create and Modify Objects > Control the Properties of Objects > Work with Layers > Work with Layer States > Save, Restore, and Edit Layer States >
Save, Restore, and Edit Layer States
Concept Procedure Quick Reference

To save layer settings in a named layer state

To restore a layer state

To add layers to a layer state

To delete layers from a layer state

To modify a named layer state

To rename a named layer state

To delete a named layer state

To include description and material properties to a layer state imported from a previous release

To select a layer state to restore

To restore layer viewport overrides


To save layer settings in a named layer state (Procedure)

Save, Restore, and Edit Layer States
Up a level to ..
Save, Restore, and Edit Layer States
Create and Modify Objects > Control the Properties of Objects > Work with Layers > Work with Layer States > Save, Restore, and Edit Layer States >
Save, Restore, and Edit Layer States
Concept Procedure Quick Reference

To save layer settings in a named layer state

  1. Click Home tab [image] Layers panel [image] Layer States Manager. At the command prompt, enter layerstate.
  2. In the Layer States Manager, click New.
  3. In the New Layer State to Save dialog box, enter a name for the new layer state, or select a name from the list.
  4. (Optional) Add a description.
  5. Click Close.
  6. In the Layer States Manager, select the layer properties to restore by default.
  7. (Optional) Select the Turn Off New Layers Not Found in Layer State option.

    When this option is selected and you restore a named layer state, the drawing looks the same way it did when the named layer state was saved.

  8. Click Close to exit the Layer States Manager.
Toolbar: Layers
Command entry: LAYERSTATE


To restore a layer state (Procedure)

Save, Restore, and Edit Layer States
Up a level to ..
Save, Restore, and Edit Layer States
Create and Modify Objects > Control the Properties of Objects > Work with Layers > Work with Layer States > Save, Restore, and Edit Layer States >
Save, Restore, and Edit Layer States
Concept Procedure Quick Reference

To restore a layer state

  1. Click Home tab [image] Layers panel [image] Layer States Manager. At the command prompt, enter layerstate.
  2. In the Layer States Manager, select a named layer state.
  3. Click More to select any specific layer properties you want to restore.
  4. Click Restore.

    The Layer States Manager closes.

Toolbar: Layers
Command entry: LAYERSTATE


To add layers to a layer state (Procedure)

Save, Restore, and Edit Layer States
Up a level to ..
Save, Restore, and Edit Layer States
Create and Modify Objects > Control the Properties of Objects > Work with Layers > Work with Layer States > Save, Restore, and Edit Layer States >
Save, Restore, and Edit Layer States
Concept Procedure Quick Reference

To add layers to a layer state

  1. Click Home tab [image] Layers panel [image] Layer States Manager. At the command prompt, enter layerstate.
  2. In the Layer States Manager, select the named layer state that you want to add layers to.
  3. Click Edit.
  4. In the Edit Layer State dialog box, click Add.
  5. In the Select Layers to Add to Layer State dialog box, select the layers you want to add.
  6. Click OK.
  7. Click OK to exit the Edit Layer State dialog box.
  8. Click Close to exit the Layer States Manager.
Toolbar: Layers
Command entry: LAYERSTATE


To delete layers from a layer state (Procedure)

Save, Restore, and Edit Layer States
Up a level to ..
Save, Restore, and Edit Layer States
Create and Modify Objects > Control the Properties of Objects > Work with Layers > Work with Layer States > Save, Restore, and Edit Layer States >
Save, Restore, and Edit Layer States
Concept Procedure Quick Reference

To delete layers from a layer state

  1. Click Home tab [image] Layers panel [image] Layer States Manager. At the command prompt, enter layerstate.
  2. In the Layer States Manager, select the named layer state you want to delete layers from.
  3. Click Edit.
  4. In the Edit Layer State dialog box, select the layers to delete and click the Delete button.
  5. Click OK.
  6. Click OK to exit the Edit Layer State dialog box.
  7. Click Close to exit the Layer States Manager.
Toolbar: Layers
Command entry: LAYERSTATE


To modify a named layer state (Procedure)

Save, Restore, and Edit Layer States
Up a level to ..
Save, Restore, and Edit Layer States
Create and Modify Objects > Control the Properties of Objects > Work with Layers > Work with Layer States > Save, Restore, and Edit Layer States >
Save, Restore, and Edit Layer States
Concept Procedure Quick Reference

To modify a named layer state

  1. Click Home tab [image] Layers panel [image] Layer States Manager. At the command prompt, enter layerstate.
  2. In the Layer States Manager, select the named layer state you want to modify.
  3. Click Edit.
  4. In the Edit Layer State dialog box, select the property cells to change.
  5. Click OK.
  6. Click Close to exit the Layer States Manager.
Toolbar: Layers
Command entry: LAYERSTATE


To rename a named layer state (Procedure)

Save, Restore, and Edit Layer States
Up a level to ..
Save, Restore, and Edit Layer States
Create and Modify Objects > Control the Properties of Objects > Work with Layers > Work with Layer States > Save, Restore, and Edit Layer States >
Save, Restore, and Edit Layer States
Concept Procedure Quick Reference

To rename a named layer state

  1. Click Home tab [image] Layers panel [image] Layer States Manager. At the command prompt, enter layerstate.
  2. In the Layer States Manager, select the named layer state you want to rename.
  3. Click Rename.
  4. In the Name field, enter a new name.
  5. Click Close to exit the Layer States Manager.
NoteAn alternate method is to select the layer state name and press F2 for in-place editing.
Toolbar: Layers
Command entry: LAYERSTATE


To delete a named layer state (Procedure)

Save, Restore, and Edit Layer States
Up a level to ..
Save, Restore, and Edit Layer States
Create and Modify Objects > Control the Properties of Objects > Work with Layers > Work with Layer States > Save, Restore, and Edit Layer States >
Save, Restore, and Edit Layer States
Concept Procedure Quick Reference

To delete a named layer state

  1. Click Home tab [image] Layers panel [image] Layer States Manager. At the command prompt, enter layerstate.
  2. In the Layer States Manager, select the named layer state to delete.
  3. Click Delete.
  4. Click Close to exit the Layer States Manager.
Toolbar: Layers
Command entry: LAYERSTATE


To include description and material properties to a layer state imported from a previous release (Procedure)

Save, Restore, and Edit Layer States
Up a level to ..
Save, Restore, and Edit Layer States
Create and Modify Objects > Control the Properties of Objects > Work with Layers > Work with Layer States > Save, Restore, and Edit Layer States >
Save, Restore, and Edit Layer States
Concept Procedure Quick Reference

To include description and material properties to a layer state imported from a previous release

  1. Click Home tab [image] Layers panel [image] Layer States Manager. At the command prompt, enter layerstate.
  2. In the Layer States Manager, select the layer state that was imported from a previous release.
  3. Click Restore to restore the layer state.
  4. Open the Layer States Manager. Click New.
  5. In the New Layer State to Save dialog box, enter a new name for the layer state. In the Description field, enter descriptive text about the layer settings.
  6. Click OK.
  7. (Optional) Click Delete to remove the legacy layer state.
  8. Click Close.

Description and material properties are saved with the updated layer state.

Toolbar: Layers
Command entry: LAYERSTATE


To select a layer state to restore (Procedure)

Save, Restore, and Edit Layer States
Up a level to ..
Save, Restore, and Edit Layer States
Create and Modify Objects > Control the Properties of Objects > Work with Layers > Work with Layer States > Save, Restore, and Edit Layer States >
Save, Restore, and Edit Layer States
Concept Procedure Quick Reference

To select a layer state to restore

  1. Click Home tab [image] Layers panel [image] Layer States Manager. At the command prompt, enter layerstate.
  2. In the Layer States Manager, select the layer state you want to restore.
  3. Click More and select any specific layer properties you want to restore.
  4. Click Restore.

    The Layer States Manager closes.

Toolbar: Layers
Command entry: LAYERSTATE


To restore layer viewport overrides (Procedure)

Save, Restore, and Edit Layer States
Up a level to ..
Import and Export Layer States
Create and Modify Objects > Control the Properties of Objects > Work with Layers > Work with Layer States > Save, Restore, and Edit Layer States >
Save, Restore, and Edit Layer States
Concept Procedure Quick Reference

To restore layer viewport overrides

  1. Select a layout viewport.
  2. Click Home tab [image] Layers panel [image] Layer States Manager. At the command prompt, enter layerstate.
  3. In the Layer States Manager, select the named layer state to restore.
  4. Select Restore as Viewport Overrides.
  5. Click Restore.

    The Layer States Manager closes. The saved values for color, linetype, lineweight, and plot style are applied to the layers as overrides in the current viewport.

Toolbar: Layers
Command entry: LAYERSTATE


Save, Restore, and Edit Layer States (Quick Reference)

Reconcile New Layers
Save, Restore, and Edit Layer States
Import and Export Layer States
Create and Modify Objects > Control the Properties of Objects > Work with Layers > Work with Layer States > Save, Restore, and Edit Layer States >
Save, Restore, and Edit Layer States
Concept Procedure Quick Reference

Commands

LAYERSTATE

Saves, restores, and manages named layer states

System Variables

LAYERNOTIFY

Specifies when an alert displays when unreconciled new layers are found

LAYEREVAL

Specifies whether the layer list is evaluated for new layers when added to the drawing or to attached xrefs

Utilities

No entries

Command Modifiers

No entries


Import and Export Layer States (Concept)

Save, Restore, and Edit Layer States
Work with Layer States
Work with Colors
Create and Modify Objects > Control the Properties of Objects > Work with Layers > Work with Layer States >
Import and Export Layer States
Concept Procedure Quick Reference

You can import layer settings from other drawings and export layer states.

You can import layer states that are saved in drawing files (DWG, DWS, and DWT) and from layer state (LAS) files. When importing layer states from a drawing file, you can choose multiple layer states to import from the Select Layer States dialog box. When exporting layer states, they are created as LAS files.

If the layer state is imported from a drawing and it contains a layer property, such as a linetype or plot style that is not loaded or available in the current drawing, that property is automatically imported from the source drawing.

If the layer state is imported from an LAS file, and it contains linetype or plot style properties that do not exist in the drawing, a message is displayed notifying that the property could not be restored.

NoteWhen a layer state contains more than one property that cannot be restored from an LAS file, the message that displays only indicates the first property it encountered that cannot be restored.

When importing a layer state from an LAS file or from another drawing that are duplicates of layer states in the current drawing, you can choose to overwrite the existing layer state or not import it.

Layer states can be imported into a previous release of the program.

Layer States from LMAN

Layer states that were created using the LMAN Express Tool cannot be imported. A message is displayed that there are no layer states to import.

You can access LMAN layer states in a drawing through the Layer States Manager. When the Layer States Manager is first opened in a drawing containing LMAN layer states, they are automatically converted to AutoCAD layer states. A dialog box displays the number of layer states that have been converted.

When the current drawing does not contain any named layer states, the LMAN layer state names are retained. If the current drawing contains layer states, LMAN layer state names display with the prefix “LMAN” followed by the original layer state name.


Import and Export Layer States (Procedure)

Save, Restore, and Edit Layer States
Up a level to ..
Import and Export Layer States
Create and Modify Objects > Control the Properties of Objects > Work with Layers > Work with Layer States > Import and Export Layer States >
Import and Export Layer States
Concept Procedure Quick Reference

To import saved layer settings from another drawing

To import saved layer settings from a layer state (LAS) file

To export a saved layer state


To import saved layer settings from another drawing (Procedure)

Import and Export Layer States
Up a level to ..
Import and Export Layer States
Create and Modify Objects > Control the Properties of Objects > Work with Layers > Work with Layer States > Import and Export Layer States >
Import and Export Layer States
Concept Procedure Quick Reference

To import saved layer settings from another drawing

  1. Click Home tab [image] Layers panel [image] Layer States Manager. At the command prompt, enter layerstate.
  2. In the Layer States Manager, click Import.
  3. In the Import Layer State dialog box, select a file name with a .dwg, .dws, or .dwt file name extension. Click Open.
  4. In the Select Layer States dialog box, select the layer states to import. Click OK.
  5. To restore the named layer state now, select it in the Layer States Manager. and click Restore. Click Close to not restore it.

    If you restore the named layer state, the Layer States Manager closes.

  6. Click Close to exit the Layer States Manager.
Toolbar: Layers
Command entry: LAYERSTATE


To import saved layer settings from a layer state (LAS) file (Procedure)

Import and Export Layer States
Up a level to ..
Import and Export Layer States
Create and Modify Objects > Control the Properties of Objects > Work with Layers > Work with Layer States > Import and Export Layer States >
Import and Export Layer States
Concept Procedure Quick Reference

To import saved layer settings from a layer state (LAS) file

  1. Click Home tab [image] Layers panel [image] Layer States Manager. At the command prompt, enter layerstate.
  2. In the Layer States Manager, click Import.
  3. In the Import Layer State dialog box, select the LAS file you want to import layer states from. Click Open.
  4. Click Yes to restore the named layer state now. Click No to add it to the Layer States Manager without restoring it.

    If you restore the named layer state, the Layer States Manager closes.

  5. Click Close to exit the Layer States Manager.
Toolbar: Layers
Command entry: LAYERSTATE


To export a saved layer state (Procedure)

Import and Export Layer States
Up a level to ..
Work with Colors
Create and Modify Objects > Control the Properties of Objects > Work with Layers > Work with Layer States > Import and Export Layer States >
Import and Export Layer States
Concept Procedure Quick Reference

To export a saved layer state

  1. Click Home tab [image] Layers panel [image] Layer States Manager. At the command prompt, enter layerstate.
  2. In the Layer States Manager, select the named layer state (LAS) file you want to export. Click Export.
  3. In the Export Layer State dialog box, specify where to export the layer state file.
  4. Click Save to exit the dialog box.
  5. Click Close to exit the Layer States Manager.
Toolbar: Layers
Command entry: LAYERSTATE


Import and Export Layer States (Quick Reference)

Save, Restore, and Edit Layer States
Import and Export Layer States
Set the Current Color
Create and Modify Objects > Control the Properties of Objects > Work with Layers > Work with Layer States > Import and Export Layer States >
Import and Export Layer States
Concept Procedure Quick Reference

Commands

LAYERSTATE

Saves, restores, and manages named layer states

System Variables

LAYERNOTIFY

Specifies when an alert displays when unreconciled new layers are found

LAYEREVAL

Specifies whether the layer list is evaluated for new layers when added to the drawing or to attached xrefs

Utilities

No entries

Command Modifiers

No entries


Work with Colors

Import and Export Layer States
Control the Properties of Objects
Set the Current Color
Create and Modify Objects > Control the Properties of Objects >
Work with Colors
Concept Procedure

Color helps to group objects visually. You can assign colors to objects by layer or individually.

Topics in this section

  • Set the Current Color

    You can use color to help you identify objects visually. You can assign the color of an object either by layer or by specifying its color explicitly, independent of layer.

  • Change the Color of an Object

    You can change the color of an object by reassigning it to another layer, by changing the color of the layer the object is on, or by specifying a color for the object explicitly.

  • Use Color Books

    When assigning colors to objects, you can choose colors from color books that are loaded on your system. You can choose from a wide range of custom colors when using color books. Color books include third-party or user-defined files that contain named color swatches. These colors can be used to enhance presentation drawings as well as to optimize the variety of color used in your drawings. You can apply color book colors to objects in your drawings by using the Color Books tab in the Select Color dialog box.


Work with Colors (Procedure)

Import and Export Layer States
Work with Colors
Set the Current Color
Create and Modify Objects > Control the Properties of Objects > Work with Colors >
Work with Colors
Concept Procedure

To set an ACI color for all new objects

To set a true color for all new objects

To set a color from a color book for all new objects

To change the layer of an object

To change the color assigned to a layer

To change the color of objects, overriding the layer's color

To install a color book

To search for color swatches within a color book

To change the default location of color book files

To define multiple folders for the color book path


Set the Current Color (Concept)

Work with Colors
Work with Colors
Change the Color of an Object
Create and Modify Objects > Control the Properties of Objects > Work with Colors >
Set the Current Color
Concept Procedure Quick Reference

You can use color to help you identify objects visually. You can assign the color of an object either by layer or by specifying its color explicitly, independent of layer.

You can assign the color of an object either by layer or by specifying its color explicitly, independent of layer. Assigning colors by layer makes it easy to identify each layer within your drawing. Assigning colors explicitly provides additional distinctions between objects on the same layer. Color is also used as a way to indicate lineweight for color-dependent plotting.

You can use a variety of color palettes when assigning color to objects, including

  • AutoCAD Color Index (ACI)
  • True Color®, PANTONE®
  • RAL™ Classic and RAL Design color books
  • DIC® Color Guide
  • Colors from imported color books.

ACI Colors

ACI colors are the standard colors used in AutoCAD. Each color is identified by an ACI number, an integer from 1 through 255. Standard color names are available only for colors 1 through 7. The colors are assigned as follows: 1 Red, 2 Yellow, 3 Green, 4 Cyan, 5 Blue, 6 Magenta, 7 White/Black.

True Colors

True colors use 24-bit color definitions to display over 16 million colors. When specifying true colors, you can use either an RGB or HSL color model. With the RGB color model, you can specify the red, green, and blue components of the color; with the HSL color model, you can specify the hue, saturation, and luminance aspects of the color.

Color Books

This program includes several standard Pantone color books. You can also import other color books such as the DIC color guide or RAL color sets. Importing user-defined color books can further expand your available color selections.

NotePantone has provided new color definitions for Architectural & Interiors Cotton and Architectural & Interiors Paper color books. If you used these color books in releases prior to AutoCAD 2006, you may notice subtle changes in the colors.

You install color books on your system by using the Files tab in the Options dialog box. Once a color book is loaded, you can select colors from the color book and apply them to objects in your drawings.

All objects are created using the current color, which is displayed in the Color control on the Properties toolbar. You can also set the current color with the Color control or the Select Color dialog box.

If the current color is set to BYLAYER, objects are created with the color assigned to the current layer. If you do not want the current color to be the color assigned to the current layer, you can specify a different color.

If the current color is set to BYBLOCK, objects are created using color 7 (white or black) until the objects are grouped into a block. When the block is inserted into the drawing, it acquires the current color setting.


Set the Current Color (Procedure)

Work with Colors
Up a level to ..
Set the Current Color
Create and Modify Objects > Control the Properties of Objects > Work with Colors > Set the Current Color >
Set the Current Color
Concept Procedure Quick Reference

To set an ACI color for all new objects

To set a true color for all new objects

To set a color from a color book for all new objects


To set an ACI color for all new objects (Procedure)

Set the Current Color
Up a level to ..
Set the Current Color
Create and Modify Objects > Control the Properties of Objects > Work with Colors > Set the Current Color >
Set the Current Color
Concept Procedure Quick Reference

To set an ACI color for all new objects

  1. On the Properties toolbar, click the Color control.
  2. Click a color to draw all new objects in that color, or click Select Color to display the Select Color dialog box and do one of the following:
    • On the Index Color tab, click a color or enter the color name or number in the Color box.
    • On the Index Color tab, click BYLAYER to draw new objects in the color assigned to the current layer.
    • On the Index Color tab, click BYBLOCK to draw new objects in the current color until they are grouped into a block. When the block is inserted into the drawing, the objects in the block acquire the current color setting.
  3. Click OK.

    The Color control displays the current color.

Command entry: COLOR


To set a true color for all new objects (Procedure)

Set the Current Color
Up a level to ..
Set the Current Color
Create and Modify Objects > Control the Properties of Objects > Work with Colors > Set the Current Color >
Set the Current Color
Concept Procedure Quick Reference

To set a true color for all new objects

  1. On the Properties toolbar, click the Color control.
  2. Click Select Color to display the Select Color dialog box.
  3. In the Select Color dialog box, True Color tab, do one of the following:
    • Select the HSL color model in the Color Model box. Specify a color by entering a color value in the Color box or by specifying values in the Hue, Saturation, and Luminance boxes.
    • Select the RGB color model in the Color Model box. Specify a color by entering a color value in the Color box or by specifying values in the Red, Green, and Blue boxes.
  4. Click OK.

    The Color control displays the current color.

Command entry: COLOR


To set a color from a color book for all new objects (Procedure)

Set the Current Color
Up a level to ..
Change the Color of an Object
Create and Modify Objects > Control the Properties of Objects > Work with Colors > Set the Current Color >
Set the Current Color
Concept Procedure Quick Reference

To set a color from a color book for all new objects

  1. On the Properties toolbar, click the Color control.
  2. Click Select Color.
  3. In the Select Color dialog box, Color Book tab, select a color book from the Color Book box.
  4. Select a color by clicking on a color chip. To browse through the color book, use the up and down arrows on the color slider.
  5. Click OK.

    The Color control displays the current color.

Command entry: COLOR


Set the Current Color (Quick Reference)

Import and Export Layer States
Set the Current Color
Change the Color of an Object
Create and Modify Objects > Control the Properties of Objects > Work with Colors > Set the Current Color >
Set the Current Color
Concept Procedure Quick Reference

Commands

COLOR

Sets the color for new objects

System Variables

CECOLOR

Sets the color of new objects

Utilities

No entries

Command Modifiers

No entries


Change the Color of an Object (Concept)

Set the Current Color
Work with Colors
Use Color Books
Create and Modify Objects > Control the Properties of Objects > Work with Colors >
Change the Color of an Object
Concept Procedure Quick Reference

You can change the color of an object by reassigning it to another layer, by changing the color of the layer the object is on, or by specifying a color for the object explicitly.

You have three choices for changing the color of an object:

  • Reassign the object to another layer with a different color. If an object's color is set to BYLAYER, and you reassign the object to a different layer, it acquires its color from the new layer.
  • Change the color assigned to the layer that the object is on. If an object's color is set to BYLAYER, it acquires the color of its layer. When you change the color assigned to a layer, all objects on that layer assigned the BYLAYER color are updated automatically.
  • Specify a color for an object to override the layer's color. You can specify the color of each object explicitly. If you want to override the layer-determined color of an object with a different one, change an existing object's color from BYLAYER to a specific color, such as red.

If you want to set a specific color for all subsequently created objects, change the current color setting on the Properties toolbar from BYLAYER to a specific color.

See Also
    • Override Layer Properties in Viewports


Change the Color of an Object (Procedure)

Set the Current Color
Up a level to ..
Change the Color of an Object
Create and Modify Objects > Control the Properties of Objects > Work with Colors > Change the Color of an Object >
Change the Color of an Object
Concept Procedure Quick Reference

To change the layer of an object

To change the color assigned to a layer

To change the color of objects, overriding the layer's color


To change the layer of an object (Procedure)

Change the Color of an Object
Up a level to ..
Change the Color of an Object
Create and Modify Objects > Control the Properties of Objects > Work with Colors > Change the Color of an Object >
Change the Color of an Object
Concept Procedure Quick Reference

To change the layer of an object

  1. Select the objects whose layer you want to change.
  2. On the Layers toolbar, click the Layer control.
  3. Select the layer that you want to assign to the objects.
Toolbar: Layers


To change the color assigned to a layer (Procedure)

Change the Color of an Object
Up a level to ..
Change the Color of an Object
Create and Modify Objects > Control the Properties of Objects > Work with Colors > Change the Color of an Object >
Change the Color of an Object
Concept Procedure Quick Reference

To change the color assigned to a layer

  1. Click Home tab [image] Layers panel [image] Layer. At the command prompt, enter layer.
  2. In the Layer Properties Manager, click the color you want to change.
  3. In the Select Color dialog box, do one of the following:
    • On the Index tab, click a color or enter the ACI color number (1-255) or name in the Color box. Click OK.
    • On the True Color tab, select the HSL color model in the Color Model option and specify a color by entering a color value in the Color box or by specifying values in the Hue, Saturation, and Luminance boxes. Click OK.
    • On the Color Books tab, select a color book from the Color Book box; select a color by navigating the color book (using the up and down arrows) and clicking on a color chip. Click OK.
  4. Click OK to close each dialog box.
Toolbar: Layers
Command entry: LAYER


To change the color of objects, overriding the layer's color (Procedure)

Change the Color of an Object
Up a level to ..
Use Color Books
Create and Modify Objects > Control the Properties of Objects > Work with Colors > Change the Color of an Object >
Change the Color of an Object
Concept Procedure Quick Reference

To change the color of objects, overriding the layer's color

  1. Select the objects whose color you want to change.
  2. Right-click one of the objects. Click Properties.
  3. In the Properties palette, select Color.

    An arrow is displayed in the right column.

  4. Click the arrow and select a color from the list or click Select Color to display the Select Color dialog box. If you click Select Color, do one of the following:
    • On the Index tab, click a color or enter the ACI color number (1-255) or name in the Color box.
    • On the True Color tab, select the HSL color model in the Color Model option and specify a color by entering a color value in the Color box or by specifying values in the Hue, Saturation, and Luminance boxes. Click OK.
    • On the True Color tab, select the RGB color model in the Color Model box. Specify a color by entering a color value in the Color box or by specifying values in the Red, Green, and Blue boxes.
    • On the Color Books tab, select a color book from the Color Book box; select a color by navigating the color book (using the up and down arrows) and clicking on a color chip. Click OK.
Command entry: PROPERTIES


Change the Color of an Object (Quick Reference)

Set the Current Color
Change the Color of an Object
Use Color Books
Create and Modify Objects > Control the Properties of Objects > Work with Colors > Change the Color of an Object >
Change the Color of an Object
Concept Procedure Quick Reference

Commands

CHANGE

Changes the properties of existing objects

CHPROP

Changes the properties of an object

COLOR

Sets the color for new objects

PROPERTIES

Controls properties of existing objects

System Variables

CECOLOR

Sets the color of new objects

Utilities

No entries

Command Modifiers

No entries


Use Color Books (Concept)

Change the Color of an Object
Work with Colors
Work with Linetypes
Create and Modify Objects > Control the Properties of Objects > Work with Colors >
Use Color Books
Concept Procedure Quick Reference

When assigning colors to objects, you can choose colors from color books that are loaded on your system. You can choose from a wide range of custom colors when using color books. Color books include third-party or user-defined files that contain named color swatches. These colors can be used to enhance presentation drawings as well as to optimize the variety of color used in your drawings. You can apply color book colors to objects in your drawings by using the Color Books tab in the Select Color dialog box.

Install Color Books

Color book files must contain an .acb file extension in order to be recognized by this program. To access color book colors from the Select Color dialog box, you must first copy your color book files to a specified color book location. On the Files tab of the Options dialog box, you can define the path where color book files are stored. Multiple locations can be defined for the color book path. These locations are saved in your user profile.

After loading a color book on your system, to access the new colors, you need to close the Select Color dialog box and then open it again. The new color book is displayed in the Color Book drop-down list on the Color Books tab. Once you have loaded a color book, you can apply any colors that are defined in the book to objects in your drawing.

Browse Color Books

Color books are organized alphabetically into pages that you can browse through. A page holds up to ten colors. If the color book you are browsing through is not organized into pages, the colors are arranged into pages, with each page containing up to seven colors.


Use Color Books (Procedure)

Change the Color of an Object
Up a level to ..
Use Color Books
Create and Modify Objects > Control the Properties of Objects > Work with Colors > Use Color Books >
Use Color Books
Concept Procedure Quick Reference

To install a color book

To search for color swatches within a color book

To change the default location of color book files

To define multiple folders for the color book path


To install a color book (Procedure)

Use Color Books
Up a level to ..
Use Color Books
Create and Modify Objects > Control the Properties of Objects > Work with Colors > Use Color Books >
Use Color Books
Concept Procedure Quick Reference

To install a color book

  1. Click Tools menu [image] Options.At the command prompt, enter options.
  2. In the Options dialog box, Files tab, click Color Book Locations.
  3. Click Add to add a color book location.
  4. Enter the new location in the blank path box.
  5. Click OK.
Command entry: OPTIONS


To search for color swatches within a color book (Procedure)

Use Color Books
Up a level to ..
Use Color Books
Create and Modify Objects > Control the Properties of Objects > Work with Colors > Use Color Books >
Use Color Books
Concept Procedure Quick Reference

To search for color swatches within a color book

  1. Click Format menu [image] Color.At the command prompt, enter color.
  2. In the Color dialog box, Color Books tab, select a color book from the Color Book drop-down list.

    You must first select any color swatch in the color book in order to activate the Color edit box.

  3. Under Color, enter the number of the color swatch you would like to locate and press TAB.

    The Color edit box and the New color chip display the requested color or the color that is the closest match.

  4. Click OK to apply the color.
Command entry: COLOR


To change the default location of color book files (Procedure)

Use Color Books
Up a level to ..
Use Color Books
Create and Modify Objects > Control the Properties of Objects > Work with Colors > Use Color Books >
Use Color Books
Concept Procedure Quick Reference

To change the default location of color book files

  1. Click Tools menu [image] Options.At the command prompt, enter options.
  2. In the Options dialog box, Files tab, double-click Color Book Locations.
  3. Select the following default color book location:

    C:\Program Files\[current AutoCAD release number]\support\color

  4. Click the location name to edit the path.
  5. Enter the new location in the path box.
  6. Click OK.
Command entry: OPTIONS


To define multiple folders for the color book path (Procedure)

Use Color Books
Up a level to ..
Work with Linetypes
Create and Modify Objects > Control the Properties of Objects > Work with Colors > Use Color Books >
Use Color Books
Concept Procedure Quick Reference

To define multiple folders for the color book path

  1. Click Tools menu [image] Options.At the command prompt, enter options.
  2. In the Options dialog box, Files tab, click Color Book Locations.
  3. Click Add to add a color book location.
  4. Enter the new location in the blank path box.
  5. Click OK.
Command entry: OPTIONS


Use Color Books (Quick Reference)

Change the Color of an Object
Use Color Books
Overview of Linetypes
Create and Modify Objects > Control the Properties of Objects > Work with Colors > Use Color Books >
Use Color Books
Concept Procedure Quick Reference

Commands

CHANGE

Changes the properties of existing objects

CHPROP

Changes the properties of an object

COLOR

Sets the color for new objects

PROPERTIES

Controls properties of existing objects

System Variables

CECOLOR

Sets the color of new objects

Utilities

No entries

Command Modifiers

No entries


Work with Linetypes

Use Color Books
Control the Properties of Objects
Overview of Linetypes
Create and Modify Objects > Control the Properties of Objects >
Work with Linetypes
Concept Procedure

You can use linetypes to distinguish objects from one another visually and make your drawing easier to read.

Topics in this section

  • Overview of Linetypes
  • Load Linetypes

    At the start of a project, you load the linetypes that are required for the project so that they are available when you need them.

  • Set the Current Linetype

    All objects are created using the current linetype, which is displayed in the Linetype control on the Properties toolbar.

  • Change the Linetype of an Object

    You can change the linetype of an object by reassigning it to another layer, by changing the linetype of the layer the object is on, or by specifying a linetype for the object explicitly.

  • Control Linetype Scale

    You can use the same linetype at different scales by changing the linetype scale factor either globally or individually for each object.

  • Display Linetypes on Short Segments and Polylines

    You can center the pattern of a linetype on each segment of a polyline, and you can control how the linetype is displayed on short segments.


Work with Linetypes (Procedure)

Use Color Books
Work with Linetypes
Load Linetypes
Create and Modify Objects > Control the Properties of Objects > Work with Linetypes >
Work with Linetypes
Concept Procedure

To load a linetype

To list the linetypes loaded in the current drawing

To list the linetypes in a linetype definition file

To unload an unused linetype

To purge an unused linetype

To set the linetype for all new objects

To change the linetype assigned to a layer

To change the default linetype assigned to a layer

To change the linetype of an object, overriding the layer's linetype

To change the linetype scale of selected objects

To set the linetype scale for new objects

To change linetype scale globally

To set the linetype display for all new polylines

To change the linetype display of existing polylines


Overview of Linetypes (Concept)

Work with Linetypes
Work with Linetypes
Load Linetypes
Create and Modify Objects > Control the Properties of Objects > Work with Linetypes >
Overview of Linetypes
Concept Quick Reference

A linetype is a repeating pattern of dashes, dots, and blank spaces displayed in a line or a curve. You assign linetypes to objects either by layer or by specifying the linetype explicitly, independent of layers.

In addition to choosing a linetype, you can set its scale to control the size of the dashes and spaces, and you can create your own custom linetypes.

NoteThese linetypes should not be confused with the hardware linetypes provided by some plotters. The two types of dashed lines produce similar results. Do not use both types at the same time, however, because the results can be unpredictable.
See Also

    • Custom Linetypes in the Customization Guide


Overview of Linetypes (Quick Reference)

Use Color Books
Overview of Linetypes
Load Linetypes
Create and Modify Objects > Control the Properties of Objects > Work with Linetypes > Overview of Linetypes >
Overview of Linetypes
Concept Quick Reference

Commands

LINETYPE

Loads, sets, and modifies linetypes

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Load Linetypes (Concept)

Overview of Linetypes
Work with Linetypes
Set the Current Linetype
Create and Modify Objects > Control the Properties of Objects > Work with Linetypes >
Load Linetypes
Concept Procedure Quick Reference

At the start of a project, you load the linetypes that are required for the project so that they are available when you need them.

If you want to know what linetypes are already available, you can display a list of linetypes that are loaded in the drawing or stored in an LIN (linetype definition) file.

This program includes the linetype definition files acad.lin and acad.lin. Which linetype file is appropriate depends on whether you use imperial or metric measurements.

  • For imperial units, use the acad.lin file.
  • For metric measurements, use the acad.lin file.

Both linetype definition files contain several complex linetypes.

If you select a linetype whose name begins with ACAD_ISO, you can use the ISO pen-width option when you plot.

You can remove unreferenced linetype information with PURGE or by deleting the linetype from the Linetype Manager. BYBLOCK, BYLAYER, and CONTINUOUS linetypes cannot be removed.


Load Linetypes (Procedure)

Work with Linetypes
Up a level to ..
Load Linetypes
Create and Modify Objects > Control the Properties of Objects > Work with Linetypes > Load Linetypes >
Load Linetypes
Concept Procedure Quick Reference

To load a linetype

To list the linetypes loaded in the current drawing

To list the linetypes in a linetype definition file

To unload an unused linetype

To purge an unused linetype


To load a linetype (Procedure)

Load Linetypes
Up a level to ..
Load Linetypes
Create and Modify Objects > Control the Properties of Objects > Work with Linetypes > Load Linetypes >
Load Linetypes
Concept Procedure Quick Reference

To load a linetype

  1. Click Format menu [image] Linetype.At the command prompt, enter linetype.
  2. In the Linetype Manager, click Load.
  3. In the Load or Reload Linetypes dialog box, select a linetype. Click OK.

    If the linetype you need is not listed, click File. In the Select Linetype File dialog box, select an LIN file whose linetypes you want to list and click. The dialog box displays the linetype definitions stored in the selected LIN file. Select a linetype. Click OK.

    You can hold down CTRL to select several linetypes or SHIFT to select a range of linetypes.

  4. Click OK.
Command entry: LINETYPE


To list the linetypes loaded in the current drawing (Procedure)

Load Linetypes
Up a level to ..
Load Linetypes
Create and Modify Objects > Control the Properties of Objects > Work with Linetypes > Load Linetypes >
Load Linetypes
Concept Procedure Quick Reference

To list the linetypes loaded in the current drawing

  1. On the Properties toolbar, click the Linetype control.

    All loaded linetypes are displayed in the list. If necessary, use the scroll bar to see the whole list.

  2. Click anywhere outside the box to close it.


To list the linetypes in a linetype definition file (Procedure)

Load Linetypes
Up a level to ..
Load Linetypes
Create and Modify Objects > Control the Properties of Objects > Work with Linetypes > Load Linetypes >
Load Linetypes
Concept Procedure Quick Reference

To list the linetypes in a linetype definition file

  1. Click Format menu [image] Linetype.At the command prompt, enter linetype.
  2. In the Linetype Manager, click Load.
  3. In the Load or Reload Linetypes dialog box, click File.
  4. In the Select Linetype File dialog box, select an LIN (linetype definition) file whose linetypes you want to lit. Click Open.

    The dialog box displays the linetype definitions stored in the selected LIN file.

  5. In the Load or Reload Linetypes dialog box, click Cancel.
  6. Click Cancel to close the Linetype Manager.
Command entry: LINETYPE


To unload an unused linetype (Procedure)

Load Linetypes
Up a level to ..
Load Linetypes
Create and Modify Objects > Control the Properties of Objects > Work with Linetypes > Load Linetypes >
Load Linetypes
Concept Procedure Quick Reference

To unload an unused linetype

  1. Click Format menu [image] Linetype.At the command prompt, enter linetype.
  2. In the Linetype Manager, select a linetype. Click Delete.

    The selected linetype is unloaded. Certain linetypes cannot be unloaded: BYLAYER, BYBLOCK, CONTINUOUS, and any linetypes currently in use.

Command entry: LINETYPE


To purge an unused linetype (Procedure)

Load Linetypes
Up a level to ..
Set the Current Linetype
Create and Modify Objects > Control the Properties of Objects > Work with Linetypes > Load Linetypes >
Load Linetypes
Concept Procedure Quick Reference

To purge an unused linetype

  1. Click Tools tab [image] Drawing Utilities panel [image] Purge. At the command prompt, enter purge.

    The Purge dialog box displays a tree view of object types with items that can be purged.

  2. To purge unreferenced linetypes, use one of the following methods:
    • To purge all unreferenced linetypes, select Linetypes.
    • To purge specific linetypes, double-click Linetypes to expand the tree view. Then select the linetypes to be purged.

    If the item you want to purge is not listed, select View Items You Cannot Purge.

  3. You are prompted to confirm each item in the list. If you do not want to confirm each purge, clear the Confirm Each Item to Be Purged option.
  4. Click Purge.

    To confirm the purging of each item, respond to the prompt by choosing Yes or No, or Yes to All if more than one item is selected.

  5. Click Close.
Command entry: PURGE


Load Linetypes (Quick Reference)

Overview of Linetypes
Load Linetypes
Set the Current Linetype
Create and Modify Objects > Control the Properties of Objects > Work with Linetypes > Load Linetypes >
Load Linetypes
Concept Procedure Quick Reference

Commands

LINETYPE

Loads, sets, and modifies linetypes

PURGE

Removes unused named items, such as block definitions and layers, from the drawing

RENAME

Changes the names of named objects

System Variables

MEASUREINIT

Controls whether a drawing you start from scratch uses imperial or metric default settings

MEASUREMENT

Controls whether the current drawing uses imperial or metric hatch pattern and linetype files

Utilities

No entries

Command Modifiers

No entries


Set the Current Linetype (Concept)

Load Linetypes
Work with Linetypes
Change the Linetype of an Object
Create and Modify Objects > Control the Properties of Objects > Work with Linetypes >
Set the Current Linetype
Concept Procedure Quick Reference

All objects are created using the current linetype, which is displayed in the Linetype control on the Properties toolbar.

You can also set the current linetype with the Linetype control.

If the current linetype is set to BYLAYER, objects are created with the linetype assigned to the current layer.

If the current linetype is set to BYBLOCK, objects are created using the CONTINUOUS linetype until the objects are grouped into a block. When the block is inserted into the drawing, those objects acquire the current linetype setting.

If you do not want the current linetype to be the linetype assigned to the current layer, you can specify a different linetype explicitly.

The program does not display the linetype of certain objects: text, points, viewports, hatches, and blocks.


Set the Current Linetype (Procedure)

Load Linetypes
Up a level to ..
Set the Current Linetype
Create and Modify Objects > Control the Properties of Objects > Work with Linetypes > Set the Current Linetype >
Set the Current Linetype
Concept Procedure Quick Reference

To set the linetype for all new objects

To change the linetype assigned to a layer


To set the linetype for all new objects (Procedure)

Set the Current Linetype
Up a level to ..
Set the Current Linetype
Create and Modify Objects > Control the Properties of Objects > Work with Linetypes > Set the Current Linetype >
Set the Current Linetype
Concept Procedure Quick Reference

To set the linetype for all new objects

  1. Click Format menu [image] Linetype.At the command prompt, enter linetype.
  2. If you need to load additional linetypes, click Load, select one or more linetypes. Click OK.

    You can hold down CTRL to select several linetypes or SHIFT to select a range of linetypes.

  3. In the Linetype Manager, do one of the following:
    • Select a linetype and select Current to draw all new objects with that linetype.
    • Select BYLAYER to draw new objects in the linetype assigned to the current layer.
    • Select BYBLOCK to draw new objects in the current linetype until they are grouped into a block. When the block is inserted into a drawing, the objects in the block acquire the current linetype setting.
  4. Click OK.
NoteThe Linetype control displays the current linetype. If the linetype you want to use is already loaded, you can click the Linetype control and click the linetype to make it current.
Command entry: LINETYPE


To change the linetype assigned to a layer (Procedure)

Set the Current Linetype
Up a level to ..
Change the Linetype of an Object
Create and Modify Objects > Control the Properties of Objects > Work with Linetypes > Set the Current Linetype >
Set the Current Linetype
Concept Procedure Quick Reference

To change the linetype assigned to a layer

  1. Click Home tab [image] Layers panel [image] Layer. At the command prompt, enter layer.
  2. In the Layer Properties Manager, select the linetype name you want to change.
  3. In the Select Linetype dialog box, select the linetype you want. Click OK.
  4. Click OK again.
Toolbar: Layers
Command entry: LAYER


Set the Current Linetype (Quick Reference)

Load Linetypes
Set the Current Linetype
Change the Linetype of an Object
Create and Modify Objects > Control the Properties of Objects > Work with Linetypes > Set the Current Linetype >
Set the Current Linetype
Concept Procedure Quick Reference

Commands

LINETYPE

Loads, sets, and modifies linetypes

System Variables

CELTYPE

Sets the linetype of new objects

Utilities

No entries

Command Modifiers

No entries


Change the Linetype of an Object (Concept)

Set the Current Linetype
Work with Linetypes
Control Linetype Scale
Create and Modify Objects > Control the Properties of Objects > Work with Linetypes >
Change the Linetype of an Object
Concept Procedure Quick Reference

You can change the linetype of an object by reassigning it to another layer, by changing the linetype of the layer the object is on, or by specifying a linetype for the object explicitly.

You have three choices for changing the linetype of an object:

  • Reassign the object to another layer with a different linetype. If an object's linetype is set to BYLAYER, and you reassign the object to a different layer, it acquires its linetype from the new layer.
  • Change the linetype assigned to the layer that the object is on. If an object's linetype is set to BYLAYER, it acquires the linetype of its layer. When you change the linetype assigned to a layer, all objects on that layer assigned the BYLAYER linetype are updated automatically.
  • Specify a linetype for an object to override the layer's linetype. You can specify the linetype of each object explicitly. If you want to override the layer-determined linetype of an object with a different one, change an existing object's linetype from BYLAYER to a specific linetype, such as DASHED.

If you want to set a specific linetype for all subsequently created objects, change the current linetype setting on the Properties toolbar from BYLAYER to a specific linetype.

See Also
    • Override Layer Properties in Viewports


Change the Linetype of an Object (Procedure)

Set the Current Linetype
Up a level to ..
Change the Linetype of an Object
Create and Modify Objects > Control the Properties of Objects > Work with Linetypes > Change the Linetype of an Object >
Change the Linetype of an Object
Concept Procedure Quick Reference

To change the default linetype assigned to a layer

To change the linetype of an object, overriding the layer's linetype


To change the default linetype assigned to a layer (Procedure)

Change the Linetype of an Object
Up a level to ..
Change the Linetype of an Object
Create and Modify Objects > Control the Properties of Objects > Work with Linetypes > Change the Linetype of an Object >
Change the Linetype of an Object
Concept Procedure Quick Reference

To change the default linetype assigned to a layer

  2. In the Layer Properties Manager, select the linetype name you want to change.
  3. In the Select Linetype dialog box, select a linetype.

    If the linetype you need is not listed, click Load. Select a linetype and click OK, or click File to open additional linetype definition (LIN) files.

  4. Click OK to exit each dialog box.
Toolbar: Layers
Command entry: LAYER


To change the linetype of an object, overriding the layer's linetype (Procedure)

Change the Linetype of an Object
Up a level to ..
Control Linetype Scale
Create and Modify Objects > Control the Properties of Objects > Work with Linetypes > Change the Linetype of an Object >
Change the Linetype of an Object
Concept Procedure Quick Reference

To change the linetype of an object, overriding the layer's linetype

  1. Select the objects whose linetype you want to change.
  2. On the Properties toolbar, click the Linetype control.
  3. Choose the linetype that you want to assign to the objects.
Command entry: LINETYPE


Change the Linetype of an Object (Quick Reference)

Set the Current Linetype
Change the Linetype of an Object
Control Linetype Scale
Create and Modify Objects > Control the Properties of Objects > Work with Linetypes > Change the Linetype of an Object >
Change the Linetype of an Object
Concept Procedure Quick Reference

Commands

CHANGE

Changes the properties of existing objects

CHPROP

Changes the properties of an object

LAYER

Manages layers and layer properties

LINETYPE

Loads, sets, and modifies linetypes

PROPERTIES

Controls properties of existing objects

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Control Linetype Scale (Concept)

Change the Linetype of an Object
Work with Linetypes
Display Linetypes on Short Segments and Polylines
Create and Modify Objects > Control the Properties of Objects > Work with Linetypes >
Control Linetype Scale
Concept Procedure Quick Reference

You can use the same linetype at different scales by changing the linetype scale factor either globally or individually for each object.

By default, both global and individual linetype scales are set to 1.0. The smaller the scale, the more repetitions of the pattern are generated per drawing unit. For example, with a setting of 0.5, two repetitions of the pattern in the linetype definition are displayed for each drawing unit. Short line segments that cannot display one full linetype pattern are displayed as continuous. You can use a smaller linetype scale for lines that are too short to display even one dash sequence.

The Linetype Manager displays the Global Scale Factor and Current Object Scale.

  • The Global Scale Factor value controls the LTSCALE system variable, which changes the linetype scale globally for both new and existing objects.
  • The Current Object Scale value controls the CELTSCALE system variable, which sets the linetype scale for new objects.

The CELTSCALE value is multiplied by the LTSCALE value to get the displayed linetype scale. You can easily change linetype scales in your drawing either individually or globally.

In a layout, you can adjust the scaling of linetypes in different viewports with PSLTSCALE.


Control Linetype Scale (Procedure)

Change the Linetype of an Object
Up a level to ..
Control Linetype Scale
Create and Modify Objects > Control the Properties of Objects > Work with Linetypes > Control Linetype Scale >
Control Linetype Scale
Concept Procedure Quick Reference

To change the linetype scale of selected objects

To set the linetype scale for new objects

To change linetype scale globally


To change the linetype scale of selected objects (Procedure)

Control Linetype Scale
Up a level to ..
Control Linetype Scale
Create and Modify Objects > Control the Properties of Objects > Work with Linetypes > Control Linetype Scale >
Control Linetype Scale
Concept Procedure Quick Reference

To change the linetype scale of selected objects

  1. Select the objects whose linetype scale you want to change.
  2. Right-click one of the objects. Click Properties.
  3. In the Properties palette, select Linetype Scale and enter the new value.
Toolbar: Standard
Command entry: PROPERTIES


To set the linetype scale for new objects (Procedure)

Control Linetype Scale
Up a level to ..
Control Linetype Scale
Create and Modify Objects > Control the Properties of Objects > Work with Linetypes > Control Linetype Scale >
Control Linetype Scale
Concept Procedure Quick Reference

To set the linetype scale for new objects

  1. Click Format menu [image] Linetype.At the command prompt, enter linetype.
  2. In the Linetype Manager, click Show Details to expand the dialog box.
  3. Enter a new value for Current Object Scale.
  4. Click OK.
Command entry: LINETYPE


To change linetype scale globally (Procedure)

Control Linetype Scale
Up a level to ..
Display Linetypes on Short Segments and Polylines
Create and Modify Objects > Control the Properties of Objects > Work with Linetypes > Control Linetype Scale >
Control Linetype Scale
Concept Procedure Quick Reference

To change linetype scale globally

  1. Click Format menu [image] Linetype.At the command prompt, enter linetype.
  2. In the Linetype Manager, click Show Details to expand the dialog box.
  3. Enter a new value for Global Scale Factor.
  4. Click OK.
Command entry: LINETYPE


Control Linetype Scale (Quick Reference)

Change the Linetype of an Object
Control Linetype Scale
Display Linetypes on Short Segments and Polylines
Create and Modify Objects > Control the Properties of Objects > Work with Linetypes > Control Linetype Scale >
Control Linetype Scale
Concept Procedure Quick Reference

Commands

LINETYPE

Loads, sets, and modifies linetypes

System Variables

CELTSCALE

Sets the current object linetype scaling factor

LTSCALE

Sets the global linetype scale factor

PSLTSCALE

Controls paper space linetype scaling

Utilities

No entries

Command Modifiers

No entries


Display Linetypes on Short Segments and Polylines (Concept)

Control Linetype Scale
Work with Linetypes
Control Lineweights
Create and Modify Objects > Control the Properties of Objects > Work with Linetypes >
Display Linetypes on Short Segments and Polylines
Concept Procedure Quick Reference

You can center the pattern of a linetype on each segment of a polyline, and you can control how the linetype is displayed on short segments.

If a line is too short to hold even one dash sequence, the result is a continuous line between the endpoints, as shown below.

You can accommodate short segments by using a smaller value for their individual linetype scales. For more information, see Control Linetype Scale.

For polylines, you can specify whether a linetype pattern is centered on each segment or is continuous across vertices throughout the entire length of the polyline. You do this by setting the PLINEGEN system variable.


Display Linetypes on Short Segments and Polylines (Procedure)

Control Linetype Scale
Up a level to ..
Display Linetypes on Short Segments and Polylines
Create and Modify Objects > Control the Properties of Objects > Work with Linetypes > Display Linetypes on Short Segments and Polylines >
Display Linetypes on Short Segments and Polylines
Concept Procedure Quick Reference

To set the linetype display for all new polylines

To change the linetype display of existing polylines


To set the linetype display for all new polylines (Procedure)

Display Linetypes on Short Segments and Polylines
Up a level to ..
Display Linetypes on Short Segments and Polylines
Create and Modify Objects > Control the Properties of Objects > Work with Linetypes > Display Linetypes on Short Segments and Polylines >
Display Linetypes on Short Segments and Polylines
Concept Procedure Quick Reference

To set the linetype display for all new polylines

  1. At the command prompt, enter plinegen.
  2. Enter 1 to make the linetype pattern continue throughout the entire length of two-dimensional polylines, or enter 0 to center the linetype pattern on each segment.
Command entry: PLINEGEN


To change the linetype display of existing polylines (Procedure)

Display Linetypes on Short Segments and Polylines
Up a level to ..
Control Lineweights
Create and Modify Objects > Control the Properties of Objects > Work with Linetypes > Display Linetypes on Short Segments and Polylines >
Display Linetypes on Short Segments and Polylines
Concept Procedure Quick Reference

To change the linetype display of existing polylines

  1. Double-click the polyline whose linetype display you want to change.
  2. In the Properties palette, click Linetype Generation and select Enabled or Disabled.
Toolbar: Standard
Command entry: PROPERTIES


Display Linetypes on Short Segments and Polylines (Quick Reference)

Control Linetype Scale
Display Linetypes on Short Segments and Polylines
Overview of Lineweights
Create and Modify Objects > Control the Properties of Objects > Work with Linetypes > Display Linetypes on Short Segments and Polylines >
Display Linetypes on Short Segments and Polylines
Concept Procedure Quick Reference

Commands

PROPERTIES

Controls properties of existing objects

System Variables

PLINEGEN

Sets how linetype patterns generate around the vertices of a 2D polyline

Utilities

No entries

Command Modifiers

No entries


Control Lineweights

Display Linetypes on Short Segments and Polylines
Control the Properties of Objects
Overview of Lineweights
Create and Modify Objects > Control the Properties of Objects >
Control Lineweights
Concept Procedure

You can control the thickness of an object’s lines in both the drawing display and plotting.

Topics in this section

  • Overview of Lineweights
  • Display Lineweights

    Lineweights can be turned on and off in a drawing, and are displayed differently in model space than in a paper space layout.

  • Set the Current Lineweight

    The current lineweight is the lineweight used for any objects you draw until you make another lineweight current.

  • Change the Lineweight of an Object

    You can change the lineweight of an object by reassigning it to another layer, by changing the lineweight of the layer the object is on, or by specifying a lineweight for the object explicitly.


Control Lineweights (Procedure)

Display Linetypes on Short Segments and Polylines
Control Lineweights
Overview of Lineweights
Create and Modify Objects > Control the Properties of Objects > Control Lineweights >
Control Lineweights
Concept Procedure

To assign width to polylines

To assign a lineweight to a layer

To set the display scale of lineweights on the Model tab

To display or hide lineweights

To make a lineweight current for creating objects

To change the line width of a polyline, donut, rectangle, or polygon


Overview of Lineweights (Concept)

Control Lineweights
Control Lineweights
Display Lineweights
Create and Modify Objects > Control the Properties of Objects > Control Lineweights >
Overview of Lineweights
Concept Procedure Quick Reference

Lineweights are width values that are assigned to graphical objects as well as some types of text.

Using lineweights, you can create heavy and thin lines to show cuts in sections, depth in elevations, dimension lines and tick marks, and differences in details. For example, by assigning varying lineweights to different layers, you can easily differentiate between new, existing, and demolition construction. Lineweights are not displayed unless the LWT button on the status bar is selected.

TrueType fonts, raster images, points, and solid fills (2D solids) cannot display lineweight. Wide polylines show lineweights only when displayed outside of the plan view. You can export drawings to other applications or cut objects to the Clipboard and retain lineweight information.

In model space, lineweights are displayed in pixels and do not change when zoomed in or out. Thus, you should not use lineweights to represent the exact width of an object in model space. For example, if you want to draw an object with a real-world width of 0.5 inches, do not use a lineweight; instead, use a polyline with a width of 0.5 inches to represent the object.

You can also plot objects in your drawing with custom lineweight values. Use the Plot Style Table Editor to adjust the fixed lineweight values to plot at a new value.

Lineweight Scale in Drawings

Objects with a lineweight are plotted with the exact width of the assigned lineweight value. The standard settings for these values include BYLAYER, BYBLOCK, and Default. They are displayed in either inches or millimeters, with millimeters being the default. All layers are initially set to 0.25 mm, controlled by the LWDEFAULT system variable.

A lineweight value of 0.025 mm or less is displayed as one pixel in model space and is plotted at the thinnest lineweight available on the specified plotting device. Lineweight values that you enter at the command prompt are rounded to the nearest predefined value.

You set the lineweight units and the default value in the Lineweight Settings dialog box. You can access the Lineweight Settings dialog box by using the LWEIGHT command, by right-clicking the LWT button on the status bar and choosing Settings, or by choosing Lineweight Settings on the User Preferences tab in the Options dialog box.

See Also

    • Draw Polylines


Overview of Lineweights (Procedure)

Control Lineweights
Up a level to ..
Overview of Lineweights
Create and Modify Objects > Control the Properties of Objects > Control Lineweights > Overview of Lineweights >
Overview of Lineweights
Concept Procedure Quick Reference

To assign width to polylines

To assign a lineweight to a layer

To set the display scale of lineweights on the Model tab


To assign width to polylines (Procedure)

Overview of Lineweights
Up a level to ..
Overview of Lineweights
Create and Modify Objects > Control the Properties of Objects > Control Lineweights > Overview of Lineweights >
Overview of Lineweights
Concept Procedure Quick Reference

To assign width to polylines

  1. Click Home tab [image] Draw panel [image] Polyline. At the command prompt, enter pline.
  2. Specify the start point for the first segment in the polyline.
  3. Enter w (width).
  4. Enter a value for the width at the start of the line segment.
  5. Enter a value for the width at the end of the line segment.
  6. Specify the endpoint of the first segment of the polyline.
  7. Enter w to specify different widths for the next segment, or press ENTER to end the command.
Toolbar: Draw
Command entry: PLINE


To assign a lineweight to a layer (Procedure)

Overview of Lineweights
Up a level to ..
Overview of Lineweights
Create and Modify Objects > Control the Properties of Objects > Control Lineweights > Overview of Lineweights >
Overview of Lineweights
Concept Procedure Quick Reference

To assign a lineweight to a layer

  1. Click Home tab [image] Layers panel [image] Layer. At the command prompt, enter layer.
  2. In the Layer Properties Manager, select a layer. Click the lineweight associated with that layer.
  3. In the Lineweight dialog box, select a lineweight from the list.
  4. Click OK to close each dialog box.
Command entry: LAYER


To set the display scale of lineweights on the Model tab (Procedure)

Overview of Lineweights
Up a level to ..
Display Lineweights
Create and Modify Objects > Control the Properties of Objects > Control Lineweights > Overview of Lineweights >
Overview of Lineweights
Concept Procedure Quick Reference

To set the display scale of lineweights on the Model tab

  1. Click Format menu [image] Lineweight.At the command prompt, enter lweight.
  2. In the Lineweight Settings dialog box, under Adjust Display Scale, move the slider to change the scale.
  3. Click OK.
Command entry: LAYER, LWEIGHT


Overview of Lineweights (Quick Reference)

Display Linetypes on Short Segments and Polylines
Overview of Lineweights
Display Lineweights
Create and Modify Objects > Control the Properties of Objects > Control Lineweights > Overview of Lineweights >
Overview of Lineweights
Concept Procedure Quick Reference

Commands

LWEIGHT

Sets the current lineweight, lineweight display options, and lineweight units

PLINE

Creates a 2D polyline

System Variables

LWDEFAULT

Sets the value for the default lineweight

LWDISPLAY

Controls whether the lineweight is displayed

LWUNITS

Controls whether lineweight units are displayed in inches or millimeters

Utilities

No entries

Command Modifiers

No entries


Display Lineweights (Concept)

Overview of Lineweights
Control Lineweights
Set the Current Lineweight
Create and Modify Objects > Control the Properties of Objects > Control Lineweights >
Display Lineweights
Concept Procedure Quick Reference

Lineweights can be turned on and off in a drawing, and are displayed differently in model space than in a paper space layout.

  • In model space, a 0-value lineweight is displayed as one pixel, and other lineweights use a pixel width proportional to their real-unit value.
  • In a paper space layout, lineweights are displayed in the exact plotting width.

Regeneration time increases with lineweights that are represented by more than one pixel. Turn off the display of lineweights to optimize performance of the program.

You can turn the display of lineweights on or off by clicking LWT on the status bar. This setting does not affect the plotting of lineweights.

Display Lineweights in Model Space

Lineweight display in model space does not change with the zoom factor. For example, a lineweight value that is represented by a width of four pixels is always displayed using four pixels regardless of how far you zoom in. If you want the lineweights on objects to appear thicker or thinner on the Model tab, use LWEIGHT to set their display scale. Changing the display scale does not affect the lineweight plotting value.

In model space, weighted lines that are joined form a beveled joint with no end caps. You can use plot styles to apply different joins and endcap styles to objects with lineweights.

NoteDifferent styles of endcaps and joins of objects with lineweight are displayed only in a full plot preview.

Display Lineweights in Layouts

In layouts and plot preview, lineweights are displayed in real-world units, and lineweight display changes with the zoom factor. You can control lineweight plotting and scaling in your drawing in the Plot dialog box, Plot Settings tab.


To display or hide lineweights (Procedure)

Overview of Lineweights
Up a level to ..
Set the Current Lineweight
Create and Modify Objects > Control the Properties of Objects > Control Lineweights > Display Lineweights >
Display Lineweights
Concept Procedure Quick Reference

To display or hide lineweights

Use one of the following methods:

  • Click LWT on the status bar.
  • Select or clear Display Lineweight in the Lineweight Settings dialog box.
  • Set the LWDISPLAY system variable to 0 or 1.
Command entry: LWEIGHT


Display Lineweights (Quick Reference)

Overview of Lineweights
Display Lineweights
Set the Current Lineweight
Create and Modify Objects > Control the Properties of Objects > Control Lineweights > Display Lineweights >
Display Lineweights
Concept Procedure Quick Reference

Commands

LAYER

Manages layers and layer properties

LWEIGHT

Sets the current lineweight, lineweight display options, and lineweight units

PEDIT

Edits polylines and 3D polygon meshes

PLINE

Creates a 2D polyline

PLOT

Plots a drawing to a plotter, printer, or file

System Variables

LWDEFAULT

Sets the value for the default lineweight

LWDISPLAY

Controls whether the lineweight is displayed

LWUNITS

Controls whether lineweight units are displayed in inches or millimeters

PLINEWID

Stores the default polyline width

Utilities

No entries

Command Modifiers

No entries


Set the Current Lineweight (Concept)

Display Lineweights
Control Lineweights
Change the Lineweight of an Object
Create and Modify Objects > Control the Properties of Objects > Control Lineweights >
Set the Current Lineweight
Concept Procedure Quick Reference

The current lineweight is the lineweight used for any objects you draw until you make another lineweight current.

All objects are created using the current lineweight, which is displayed in the Lineweight control on the Properties toolbar. You can also set the current lineweight with the Lineweight control.

If the current lineweight is set to BYLAYER, objects are created with the lineweight assigned to the current layer.

If the current lineweight is set to BYBLOCK, objects are created using the default lineweight setting until the objects are grouped into a block. When the block is inserted into the drawing, it acquires the current lineweight setting.

If you do not want the current lineweight to be the lineweight assigned to the current layer, you can specify a different lineweight explicitly.

Objects in drawings created in an earlier release of AutoCAD are assigned the lineweight value of BYLAYER, and all layers are set to DEFAULT. Lineweight assigned to objects is displayed as a solid fill drawn in the object's assigned color.


To make a lineweight current for creating objects (Procedure)

Display Lineweights
Up a level to ..
Change the Lineweight of an Object
Create and Modify Objects > Control the Properties of Objects > Control Lineweights > Set the Current Lineweight >
Set the Current Lineweight
Concept Procedure Quick Reference

To make a lineweight current for creating objects

  1. Click Format menu [image] Lineweight.At the command prompt, enter lweight.
  2. In the Lineweight Settings dialog box, select a lineweight.
  3. Click OK.
NoteTo display the lineweight at its current setting, the Display Lineweight option must be selected in the Display Lineweight dialog box.
Command entry: LAYER, LWEIGHT


Set the Current Lineweight (Quick Reference)

Display Lineweights
Set the Current Lineweight
Change the Lineweight of an Object
Create and Modify Objects > Control the Properties of Objects > Control Lineweights > Set the Current Lineweight >
Set the Current Lineweight
Concept Procedure Quick Reference

Commands

LAYER

Manages layers and layer properties

LWEIGHT

Sets the current lineweight, lineweight display options, and lineweight units

PEDIT

Edits polylines and 3D polygon meshes

PLINE

Creates a 2D polyline

PLOT

Plots a drawing to a plotter, printer, or file

System Variables

LWDEFAULT

Sets the value for the default lineweight

LWDISPLAY

Controls whether the lineweight is displayed

LWUNITS

Controls whether lineweight units are displayed in inches or millimeters

PLINEWID

Stores the default polyline width

Utilities

No entries

Command Modifiers

No entries


Change the Lineweight of an Object (Concept)

Set the Current Lineweight
Control Lineweights
Control the Display Properties of Certain Objects
Create and Modify Objects > Control the Properties of Objects > Control Lineweights >
Change the Lineweight of an Object
Concept Procedure Quick Reference

You can change the lineweight of an object by reassigning it to another layer, by changing the lineweight of the layer the object is on, or by specifying a lineweight for the object explicitly.

You have three choices for changing the lineweight of an object:

  • Reassign the object to another layer with a different lineweight. If an object's lineweight is set to BYLAYER, and you reassign the object to a different layer, it acquires its lineweight from the new layer.
  • Change the lineweight assigned to the layer that the object is on. If an object's lineweight is set to BYLAYER, it acquires the lineweight of its layer. When you change the lineweight assigned to a layer, all objects on that layer assigned the BYLAYER lineweight are updated automatically.
  • Specify a lineweight for an object to override the layer's lineweight. You can specify the lineweight of each object explicitly. If you want to override the layer-determined lineweight of an object with a different one, change an existing object's lineweight from BYLAYER to a specific lineweight.

If you want to set a specific lineweight for all subsequently created objects, change the current lineweight setting on the Properties toolbar from BYLAYER to a specific lineweight.

See Also
    • Override Layer Properties in Viewports


To change the line width of a polyline, donut, rectangle, or polygon (Procedure)

Set the Current Lineweight
Up a level to ..
Control the Display Properties of Certain Objects
Create and Modify Objects > Control the Properties of Objects > Control Lineweights > Change the Lineweight of an Object >
Change the Lineweight of an Object
Concept Procedure Quick Reference

To change the line width of a polyline, donut, rectangle, or polygon

  1. Click Home tab [image] Modify panel [image] Edit Polyline. At the command prompt, enter pedit.
  2. Select one or more polyline objects.
  3. Enter w (Width) and enter a new width for all segments.
  4. Press ENTER to end the command.
Toolbar: Modify II
Command entry: PEDIT


Change the Lineweight of an Object (Quick Reference)

Set the Current Lineweight
Change the Lineweight of an Object
Control the Display of Polylines, Hatches, Gradient Fills, Lineweights, and Text
Create and Modify Objects > Control the Properties of Objects > Control Lineweights > Change the Lineweight of an Object >
Change the Lineweight of an Object
Concept Procedure Quick Reference

Commands

LAYER

Manages layers and layer properties

LWEIGHT

Sets the current lineweight, lineweight display options, and lineweight units

PEDIT

Edits polylines and 3D polygon meshes

PLINE

Creates a 2D polyline

PLOT

Plots a drawing to a plotter, printer, or file

System Variables

LWDEFAULT

Sets the value for the default lineweight

LWDISPLAY

Controls whether the lineweight is displayed

LWUNITS

Controls whether lineweight units are displayed in inches or millimeters

PLINEWID

Stores the default polyline width

Utilities

No entries

Command Modifiers

No entries


Control the Display Properties of Certain Objects

Change the Lineweight of an Object
Control the Properties of Objects
Control the Display of Polylines, Hatches, Gradient Fills, Lineweights, and Text
Create and Modify Objects > Control the Properties of Objects >
Control the Display Properties of Certain Objects
Concept Procedure

You can control how overlapping objects and certain other objects are displayed and plotted.

Topics in this section

  • Control the Display of Polylines, Hatches, Gradient Fills, Lineweights, and Text

    You can simplify the display of certain kinds of objects in order to speed performance.

  • Control How Overlapping Objects Are Displayed

    You can control which overlapping objects appear to be on top.


Control the Display Properties of Certain Objects (Procedure)

Change the Lineweight of an Object
Control the Display Properties of Certain Objects
Control the Display of Polylines, Hatches, Gradient Fills, Lineweights, and Text
Create and Modify Objects > Control the Properties of Objects > Control the Display Properties of Certain Objects >
Control the Display Properties of Certain Objects
Concept Procedure

To turn the display of solid fill on or off

To turn the display of text on or off

To turn lineweights on or off

To change the draw order of overlapping objects


Control the Display of Polylines, Hatches, Gradient Fills, Lineweights, and Text (Concept)

Control the Display Properties of Certain Objects
Control the Display Properties of Certain Objects
Control How Overlapping Objects Are Displayed
Create and Modify Objects > Control the Properties of Objects > Control the Display Properties of Certain Objects >
Control the Display of Polylines, Hatches, Gradient Fills, Lineweights, and Text
Concept Procedure Quick Reference

You can simplify the display of certain kinds of objects in order to speed performance.

Display performance is improved when wide polylines and donuts, solid-filled polygons (two-dimensional solids), hatches, gradient fills, and text are displayed in simplified form. Simplified display also increases the speed of creating test plots.

Turn Off Solid Fill

When you turn off Fill mode, wide polylines, solid-filled polygons, gradient fill, and hatches are displayed in outline form. Except for patterned hatches and gradient fills, solid fill is automatically turned off for hidden view and nonplan views in three dimensions.

Use Quick Text

When you turn on Quick Text mode in drawings that contain a lot of text using complex fonts, only a rectangular frame defining the text is displayed or plotted.

Turn Off Lineweights

Any lineweight width that is represented by more than one pixel may slow down performance. If you want to improve display performance, turn lineweights off. You can turn lineweights on and off by choosing the LWT button on the status bar or by using the Lineweight Settings dialog box. Lineweights are always plotted at their real-world value whether their display is turned on or off.

Update the Display

New objects automatically use the current settings for displays of solid fill and text. Except for lineweights, to update the display of existing objects using these settings, you must use REGEN.

See Also

    • Use Layers to Manage Complexity

    • Display Lineweights

    • Use TrueType Fonts


Control the Display of Polylines, Hatches, Gradient Fills, Lineweights, and Text (Procedure)

Control the Display Properties of Certain Objects
Up a level to ..
Control the Display of Polylines, Hatches, Gradient Fills, Lineweights, and Text
Create and Modify Objects > Control the Properties of Objects > Control the Display Properties of Certain Objects > Control the Display of Polylines, Hatches, Gradient Fills, Lineweights, and Text >
Control the Display of Polylines, Hatches, Gradient Fills, Lineweights, and Text
Concept Procedure Quick Reference

To turn the display of solid fill on or off

To turn the display of text on or off

To turn lineweights on or off


To turn the display of solid fill on or off (Procedure)

Control the Display of Polylines, Hatches, Gradient Fills, Lineweights, and Text
Up a level to ..
Control the Display of Polylines, Hatches, Gradient Fills, Lineweights, and Text
Create and Modify Objects > Control the Properties of Objects > Control the Display Properties of Certain Objects > Control the Display of Polylines, Hatches, Gradient Fills, Lineweights, and Text >
Control the Display of Polylines, Hatches, Gradient Fills, Lineweights, and Text
Concept Procedure Quick Reference

To turn the display of solid fill on or off

  1. Click Tools menu [image] Options.At the command prompt, enter options.
  2. In the Options dialog box, Display tab, under Display Performance, select Apply Solid Fill.

    A check mark indicates that Fill mode is on.

  3. Click OK.
  4. To display your changes, click View menu [image] Regen.To display your changes, at the command prompt, enter regen.
Command entry: OPTIONS, REGEN


To turn the display of text on or off (Procedure)

Control the Display of Polylines, Hatches, Gradient Fills, Lineweights, and Text
Up a level to ..
Control the Display of Polylines, Hatches, Gradient Fills, Lineweights, and Text
Create and Modify Objects > Control the Properties of Objects > Control the Display Properties of Certain Objects > Control the Display of Polylines, Hatches, Gradient Fills, Lineweights, and Text >
Control the Display of Polylines, Hatches, Gradient Fills, Lineweights, and Text
Concept Procedure Quick Reference

To turn the display of text on or off

  1. Click Tools [image] Options.At the command prompt, enter options.
  2. In the Options dialog box, Display tab, under Display Performance, select Show Text Boundary Frame Only.

    The check mark indicates that text is displayed as a rectangular frame.

  3. Click OK.
  4. To display your changes, click View menu [image] Regen.To display your changes, at the command prompt, enter regen.
Command entry: OPTIONS, REGEN


To turn lineweights on or off (Procedure)

Control the Display of Polylines, Hatches, Gradient Fills, Lineweights, and Text
Up a level to ..
Control How Overlapping Objects Are Displayed
Create and Modify Objects > Control the Properties of Objects > Control the Display Properties of Certain Objects > Control the Display of Polylines, Hatches, Gradient Fills, Lineweights, and Text >
Control the Display of Polylines, Hatches, Gradient Fills, Lineweights, and Text
Concept Procedure Quick Reference

To turn lineweights on or off

  1. Click Format menu [image] Lineweight.At the command prompt, enter lweight.
  2. In the Lineweight Settings dialog box, select or clear Display Lineweight.
  3. Click OK.
Command entry: LWEIGHT


Control the Display of Polylines, Hatches, Gradient Fills, Lineweights, and Text (Quick Reference)

Change the Lineweight of an Object
Control the Display of Polylines, Hatches, Gradient Fills, Lineweights, and Text
Control How Overlapping Objects Are Displayed
Create and Modify Objects > Control the Properties of Objects > Control the Display Properties of Certain Objects > Control the Display of Polylines, Hatches, Gradient Fills, Lineweights, and Text >
Control the Display of Polylines, Hatches, Gradient Fills, Lineweights, and Text
Concept Procedure Quick Reference

Commands

DSETTINGS

Sets grid and snap, polar and object snap tracking, object snap modes, and Dynamic Input

FILL

Controls the filling of objects such as hatches, 2D solids, and wide polylines

LWEIGHT

Sets the current lineweight, lineweight display options, and lineweight units

QTEXT

Controls the display and plotting of text and attribute objects

REGEN

Regenerates the entire drawing from the current viewport

System Variables

FILLMODE

Specifies whether hatches and fills, 2D solids, and wide polylines are filled in

LWDISPLAY

Controls whether the lineweight is displayed

QTEXTMODE

Controls how text is displayed

TEXTFILL

Controls the filling of TrueType fonts while plotting and rendering

TEXTQLTY

Sets the resolution tessellation fineness of text outlines

Utilities

No entries

Command Modifiers

No entries


Control How Overlapping Objects Are Displayed (Concept)

Control the Display of Polylines, Hatches, Gradient Fills, Lineweights, and Text
Control the Display Properties of Certain Objects
Use Precision Tools
Create and Modify Objects > Control the Properties of Objects > Control the Display Properties of Certain Objects >
Control How Overlapping Objects Are Displayed
Concept Procedure Quick Reference

You can control which overlapping objects appear to be on top.

Generally, overlapping objects such as text, wide polylines, and solid-filled polygons are displayed in the order they are created: newly created objects in front of existing objects. You can use DRAWORDER to change the draw order (which is the display and plotting order) of any objects. TEXTTOFRONT changes the draw order of all text and dimensions in the drawing.

NoteOverlapping objects cannot be controlled between model space and paper space. They can be controlled only within the same space.


To change the draw order of overlapping objects (Procedure)

Control the Display of Polylines, Hatches, Gradient Fills, Lineweights, and Text
Up a level to ..
Use Coordinates and Coordinate Systems (UCS)
Create and Modify Objects > Control the Properties of Objects > Control the Display Properties of Certain Objects > Control How Overlapping Objects Are Displayed >
Control How Overlapping Objects Are Displayed
Concept Procedure Quick Reference

To change the draw order of overlapping objects

  1. On the Draw Order toolbar, click one of the draw order options.
  2. Select the object(s) whose draw order you want to modify and press ENTER.
  3. Select the reference object(s) and press ENTER. (This step is necessary only for the Bring Above Objects and Send Under Objects options.)
Toolbar: Draw Order
Command entry: DRAWORDER
Shortcut menu: Select an object and right-click. Click Draw Order


Control How Overlapping Objects Are Displayed (Quick Reference)

Control the Display of Polylines, Hatches, Gradient Fills, Lineweights, and Text
Control How Overlapping Objects Are Displayed
Overview of Coordinate Entry
Create and Modify Objects > Control the Properties of Objects > Control the Display Properties of Certain Objects > Control How Overlapping Objects Are Displayed >
Control How Overlapping Objects Are Displayed
Concept Procedure Quick Reference

Commands

DRAWORDER

Changes the draw order of images and other objects

QSELECT

Creates a selection set based on filtering criteria

REGEN

Regenerates the entire drawing from the current viewport

SELECT

Places selected objects in the Previous selection set

TEXTTOFRONT

Brings text and dimensions in front of all other objects in the drawing

WBLOCK

Writes objects or a block to a new drawing file

System Variables

DRAWORDERCTL

Controls the display order of overlapping objects

HPDRAWORDER

Controls the draw order of hatches and fills

SORTENTS

Controls object sorting in support of draw order for several operations

Utilities

No entries

Command Modifiers

No entries


Use Precision Tools

Control How Overlapping Objects Are Displayed
Create and Modify Objects
Use Coordinates and Coordinate Systems (UCS)
Create and Modify Objects >
Use Precision Tools

You can use a variety of precision drawing tools to help you produce accurate drawings quickly and without performing tedious calculations.

Topics in this section

  • Use Coordinates and Coordinate Systems (UCS)

    For precise coordinate input, you can use several coordinate system entry methods. You can also use a movable coordinate system, the user coordinate system (UCS), for convenient coordinate entry and to establish workplanes.

  • Use Dynamic Input

    Dynamic Input provides a command interface near the cursor to help you keep your focus in the drafting area.

  • Snap to Locations on Objects (Object Snaps)

    Instead of entering coordinates, you can specify points relative to existing objects such as endpoints of lines or center points of circles.

  • Restrict Cursor Movement

    Several tools are available that you can use to restrict or lock the movement of your cursor.

  • Combine or Offset Points and Coordinates

    To specify a new point location, you can combine coordinate values from several points or you can specify offsets from existing objects.

  • Specify Distances

    When specifying a point, you can enter distances, offsets, and measured intervals.

  • Extract Geometric Information from Objects

    The inquiry and calculation commands can provide information about objects in your drawing and do useful calculations.

  • Use a Calculator

    You can access a calculator function as you work with the program. You can use either the QuickCalc calculator interface or the command prompt calculator.


Use Coordinates and Coordinate Systems (UCS)

Use Precision Tools
Use Precision Tools
Overview of Coordinate Entry
Create and Modify Objects > Use Precision Tools >
Use Coordinates and Coordinate Systems (UCS)
Concept Procedure

For precise coordinate input, you can use several coordinate system entry methods. You can also use a movable coordinate system, the user coordinate system (UCS), for convenient coordinate entry and to establish workplanes.

Topics in this section

  • Overview of Coordinate Entry
  • Enter 2D Coordinates

    Absolute and relative 2D Cartesian and polar coordinates determine precise locations of objects in a drawing.

  • Enter 3D Coordinates

    Cartesian, cylindrical, or spherical coordinates locate points when you are creating objects in 3D.

  • Understand the User Coordinate System (UCS)

    You can relocate and rotate the user coordinate system for convenient coordinate entry, grid display, grid snap, Ortho mode, and other drawing tools.

  • Specify Workplanes in 3D (UCS)

    Control of the user coordinate system is essential for effective 3D modeling.

  • Assign User Coordinate System Orientations to Viewports

    To facilitate editing objects in different views, you can define a different user coordinate system orientation for each view.

  • Control the Display of the User Coordinate System Icon

    To help visualize the current orientation of the user coordinate system, you can display the user coordinate system icon. Several versions of this icon are available, and you can change its size, location, and color.


Use Coordinates and Coordinate Systems (UCS) (Procedure)

Control How Overlapping Objects Are Displayed
Use Coordinates and Coordinate Systems (UCS)
Overview of Coordinate Entry
Create and Modify Objects > Use Precision Tools > Use Coordinates and Coordinate Systems (UCS) >
Use Coordinates and Coordinate Systems (UCS)
Concept Procedure

To display the coordinate values of a point

To visually locate a point

To change the coordinate display on the status bar

To define a new UCS origin in 2D

To change the rotation angle of the UCS

To restore the UCS to be coincident with the WCS

To restore the previous UCS

To save a UCS

To restore a named UCS

To rename a UCS

To delete a named UCS

To turn the display of the UCS icon on and off

To display the UCS icon at the UCS origin

To change the appearance of the UCS icon


Overview of Coordinate Entry (Concept)

Use Coordinates and Coordinate Systems (UCS)
Use Coordinates and Coordinate Systems (UCS)
Enter 2D Coordinates
Create and Modify Objects > Use Precision Tools > Use Coordinates and Coordinate Systems (UCS) >
Overview of Coordinate Entry
Concept Procedure Quick Reference

When a command prompts you for a point, you can use the pointing device to specify a point, or you can enter a coordinate value at the command prompt. When Dynamic Input is on, you can enter coordinate values in tooltips near the cursor. You can enter two-dimensional coordinates as either Cartesian (X,Y) or polar coordinates.

Cartesian and Polar Coordinates

A Cartesian coordinate system has three axes, X, Y, and Z. When you enter coordinate values, you indicate a point's distance (in units) and its direction (+ or -) along the X, Y, and Z axes relative to the coordinate system origin (0,0,0).

In 2D, you specify points on the XY plane, also called the workplane. The workplane is similar to a flat sheet of grid paper. The X value of a Cartesian coordinate specifies horizontal distance, and the Y value specifies vertical distance. The origin point (0,0) indicates where the two axes intersect.

Polar coordinates use a distance and an angle to locate a point. With both Cartesian and polar coordinates, you can enter absolute coordinates based on the origin (0,0), or relative coordinates based on the last point specified.

Another method of entering a relative coordinate is by moving the cursor to specify a direction and then entering a distance directly. This method is called direct distance entry.

You can enter coordinates in scientific, decimal, engineering, architectural, or fractional notation. You can enter angles in grads, radians, surveyor's units, or degrees, minutes, and seconds. The UNITS command controls unit format.

Display Coordinates on the Status Bar

The current cursor location is displayed as a coordinate value on the status bar.

There are three types of coordinate display: static, dynamic, and distance and angle.

  • Static display. Updates only when you specify a point.
  • Dynamic display. Updates as you move the cursor.
  • Distance and angle display. Updates the relative distance (distance<angle) as you move the cursor. This option is available only when you draw lines or other objects that prompt for more than one point.
See Also

    • Enter Cartesian Coordinates

    • Enter Polar Coordinates

    • Enter 3D Coordinates

    • Use Dynamic Input


Overview of Coordinate Entry (Procedure)

Use Coordinates and Coordinate Systems (UCS)
Up a level to ..
Overview of Coordinate Entry
Create and Modify Objects > Use Precision Tools > Use Coordinates and Coordinate Systems (UCS) > Overview of Coordinate Entry >
Overview of Coordinate Entry
Concept Procedure Quick Reference

To display the coordinate values of a point

To visually locate a point

To change the coordinate display on the status bar


To display the coordinate values of a point (Procedure)

Overview of Coordinate Entry
Up a level to ..
Overview of Coordinate Entry
Create and Modify Objects > Use Precision Tools > Use Coordinates and Coordinate Systems (UCS) > Overview of Coordinate Entry >
Overview of Coordinate Entry
Concept Procedure Quick Reference

To display the coordinate values of a point

  1. Click Tools tab [image] Inquiry panel [image] ID Point. At the command prompt, enter id.
  2. Select the location you want to identify.

    The X,Y,Z coordinate values are displayed at the command prompt.

Toolbar: Inquiry
Command entry: ID


To visually locate a point (Procedure)

Overview of Coordinate Entry
Up a level to ..
Overview of Coordinate Entry
Create and Modify Objects > Use Precision Tools > Use Coordinates and Coordinate Systems (UCS) > Overview of Coordinate Entry >
Overview of Coordinate Entry
Concept Procedure Quick Reference

To visually locate a point

  1. Click Tools tab [image] Inquiry panel [image] ID Point. At the command prompt, enter id.
  2. At the command prompt, enter the coordinate values of the point you want to locate.

    If the BLIPMODE system variable is on, a blip (a small cross) is displayed at the point location.

Toolbar: Inquiry
Command entry: ID


To change the coordinate display on the status bar (Procedure)

Overview of Coordinate Entry
Up a level to ..
Enter 2D Coordinates
Create and Modify Objects > Use Precision Tools > Use Coordinates and Coordinate Systems (UCS) > Overview of Coordinate Entry >
Overview of Coordinate Entry
Concept Procedure Quick Reference

To change the coordinate display on the status bar

Use one of the following methods:

  • Click the coordinate display at the Specify Next Point prompt.
  • Press CTRL+L.
  • Set the COORDS system variable to 0 for static display, 1 for dynamic display, or 2 for distance and angle display.


Overview of Coordinate Entry (Quick Reference)

Control How Overlapping Objects Are Displayed
Overview of Coordinate Entry
Enter Cartesian Coordinates
Create and Modify Objects > Use Precision Tools > Use Coordinates and Coordinate Systems (UCS) > Overview of Coordinate Entry >
Overview of Coordinate Entry
Concept Procedure Quick Reference

Commands

BLIPMODE

Controls the display of marker blips

ID

Displays the coordinate of a location

LIST

Displays property data for selected objects

System Variables

BLIPMODE

Controls the display of marker blips

COORDS

Controls the format and update frequency of coordinates on the status line

LASTPOINT

Stores the last point entered, expressed as a UCS coordinate for the current space; referenced by the at symbol (@) during keyboard entry

Utilities

No entries

Command Modifiers

No entries


Enter 2D Coordinates

Overview of Coordinate Entry
Use Coordinates and Coordinate Systems (UCS)
Enter Cartesian Coordinates
Create and Modify Objects > Use Precision Tools > Use Coordinates and Coordinate Systems (UCS) >
Enter 2D Coordinates
Concept Procedure

Absolute and relative 2D Cartesian and polar coordinates determine precise locations of objects in a drawing.

Topics in this section

  • Enter Cartesian Coordinates

    You can use absolute or relative Cartesian (rectangular) coordinates to locate points when creating objects.

  • Enter Polar Coordinates

    You can use absolute or relative polar coordinates (distance and angle) to locate points when creating objects.


Enter 2D Coordinates (Procedure)

Overview of Coordinate Entry
Up a level to ..
Enter Cartesian Coordinates
Create and Modify Objects > Use Precision Tools > Use Coordinates and Coordinate Systems (UCS) > Enter 2D Coordinates >
Enter 2D Coordinates
Concept Procedure

To enter absolute Cartesian coordinates (2D)

To enter absolute polar coordinates (2D)

To enter relative polar coordinates (2D)


Enter Cartesian Coordinates (Concept)

Enter 2D Coordinates
Enter 2D Coordinates
Enter Polar Coordinates
Create and Modify Objects > Use Precision Tools > Use Coordinates and Coordinate Systems (UCS) > Enter 2D Coordinates >
Enter Cartesian Coordinates
Concept Procedure Quick Reference

You can use absolute or relative Cartesian (rectangular) coordinates to locate points when creating objects.

To use Cartesian coordinates to specify a point, enter an X value and a Y value separated by a comma (X,Y). The X value is the positive or negative distance, in units, along the horizontal axis. The Y value is the positive or negative distance, in units, along the vertical axis.

Absolute coordinates are based on the UCS origin (0,0), which is the intersection of the X and Y axes. Use absolute coordinates when you know the precise X and Y values of the point.

With Dynamic Input, you can specify absolute coordinates with the # prefix. If you enter coordinates on the command line instead of in the tooltip, the # prefix is not used. For example, entering #3,4 specifies a point 3 units along the X axis and 4 units along the Y axis from the UCS origin. For more information about Dynamic Input, see Use Dynamic Input.

The following example draws a line beginning at an X value of -2, a Y value of 1, and an endpoint at 3,4. Enter the following in the tooltip:

Command: line

From point: #-2,1

To point: #3,4

The line is located as follows:

Relative coordinates are based on the last point entered. Use relative coordinates when you know the location of a point in relation to the previous point.

To specify relative coordinates, precede the coordinate values with an @ sign. For example, entering @3,4 specifies a point 3 units along the X axis and 4 units along the Y axis from the last point specified.

The following example draws the sides of a triangle. The first side is a line starting at the absolute coordinates -2,1 and ending at a point 5 units in the X direction and 0 units in the Y direction. The second side is a line starting at the endpoint of the first line and ending at a point 0 units in the X direction and 3 units in the Y direction. The final line segment uses relative coordinates to return to the starting point.

Command: line

From point: #-2,1

To point: @5,0

To point: @0,3

To point: @-5,-3


Enter Cartesian Coordinates (Procedure)

Enter 2D Coordinates
Up a level to ..
Enter Cartesian Coordinates
Create and Modify Objects > Use Precision Tools > Use Coordinates and Coordinate Systems (UCS) > Enter 2D Coordinates > Enter Cartesian Coordinates >
Enter Cartesian Coordinates
Concept Procedure Quick Reference

To enter absolute Cartesian coordinates (2D)


To enter absolute Cartesian coordinates (2D) (Procedure)

Enter Cartesian Coordinates
Up a level to ..
Enter Cartesian Coordinates
Create and Modify Objects > Use Precision Tools > Use Coordinates and Coordinate Systems (UCS) > Enter 2D Coordinates > Enter Cartesian Coordinates >
Enter Cartesian Coordinates
Concept Procedure Quick Reference

To enter absolute Cartesian coordinates (2D)

  • At a prompt for a point, enter coordinates in the tooltip using the following format:

    #x,y

    If Dynamic Input is turned off, enter coordinates on the command line using the following format:

    x,y


Enter Cartesian Coordinates (Procedure)

Enter Cartesian Coordinates
Up a level to ..
Enter Polar Coordinates
Create and Modify Objects > Use Precision Tools > Use Coordinates and Coordinate Systems (UCS) > Enter 2D Coordinates > Enter Cartesian Coordinates >
Enter Cartesian Coordinates
Concept Procedure Quick Reference

To enter relative Cartesian coordinates (2D)

  • At a prompt for a point, enter coordinates using the following format:

    @x,y


Enter Cartesian Coordinates (Quick Reference)

Overview of Coordinate Entry
Enter Cartesian Coordinates
Enter Polar Coordinates
Create and Modify Objects > Use Precision Tools > Use Coordinates and Coordinate Systems (UCS) > Enter 2D Coordinates > Enter Cartesian Coordinates >
Enter Cartesian Coordinates
Concept Procedure Quick Reference

Commands

No entries

System Variables

COORDS

Controls the format and update frequency of coordinates on the status line

Utilities

No entries

Command Modifiers

No entries


Enter Polar Coordinates (Concept)

Enter Cartesian Coordinates
Enter 2D Coordinates
Enter 3D Coordinates
Create and Modify Objects > Use Precision Tools > Use Coordinates and Coordinate Systems (UCS) > Enter 2D Coordinates >
Enter Polar Coordinates
Concept Procedure Quick Reference

You can use absolute or relative polar coordinates (distance and angle) to locate points when creating objects.

To use polar coordinates to specify a point, enter a distance and an angle separated by an angle bracket (<).

By default, angles increase in the counterclockwise direction and decrease in the clockwise direction. To specify a clockwise direction, enter a negative value for the angle. For example, entering 1<315 locates the same point as entering 1<-45. You can change the angle conventions for the current drawing with UNITS.

Absolute polar coordinates are measured from the UCS origin (0,0), which is the intersection of the X and Y axes. Use absolute polar coordinates when you know the precise distance and angle coordinates of the point.

With Dynamic Input, you can specify absolute coordinates with the # prefix. If you enter coordinates on the command line instead of in the tooltip, the # prefix is not used. For example, entering #3<45 specifies a point 3 units from the origin at an angle of 45 degrees from the X axis. For more information about Dynamic Input, see Use Dynamic Input.

The following example shows two lines drawn with absolute polar coordinates using the default angle direction setting. Enter the following in the tooltip:

Command: line

From point: #0,0

To point: #4<120

To point: #5<30

Relative coordinates are based on the last point entered. Use relative coordinates when you know the location of a point in relation to the previous point.

To specify relative coordinates, precede the coordinate values with an @ sign. For example, entering @1<45 specifies a point at a distance of 1 unit from the last point specified at an angle of 45 degrees from the X axis.

The following example shows two lines drawn with relative polar coordinates. In each illustration, the line begins at the location labeled as the previous point.

Command: line

From point: @3<45

To point: @5<285


Enter Polar Coordinates (Procedure)

Enter Cartesian Coordinates
Up a level to ..
Enter Polar Coordinates
Create and Modify Objects > Use Precision Tools > Use Coordinates and Coordinate Systems (UCS) > Enter 2D Coordinates > Enter Polar Coordinates >
Enter Polar Coordinates
Concept Procedure Quick Reference

To enter absolute polar coordinates (2D)

To enter relative polar coordinates (2D)


To enter absolute polar coordinates (2D) (Procedure)

Enter Polar Coordinates
Up a level to ..
Enter Polar Coordinates
Create and Modify Objects > Use Precision Tools > Use Coordinates and Coordinate Systems (UCS) > Enter 2D Coordinates > Enter Polar Coordinates >
Enter Polar Coordinates
Concept Procedure Quick Reference

To enter absolute polar coordinates (2D)

  • At a prompt for a point, enter coordinates in the tooltip using the following format:

    #distance<angle

    If Dynamic Input is turned off, enter coordinates on the command line using the following format:

    distance<angle


To enter relative polar coordinates (2D) (Procedure)

Enter Polar Coordinates
Up a level to ..
Enter 3D Coordinates
Create and Modify Objects > Use Precision Tools > Use Coordinates and Coordinate Systems (UCS) > Enter 2D Coordinates > Enter Polar Coordinates >
Enter Polar Coordinates
Concept Procedure Quick Reference

To enter relative polar coordinates (2D)

  • At a prompt for a point, enter coordinates using the following format:

    @distance<angle


Enter Polar Coordinates (Quick Reference)

Enter Cartesian Coordinates
Enter Polar Coordinates
Enter 3D Cartesian Coordinates
Create and Modify Objects > Use Precision Tools > Use Coordinates and Coordinate Systems (UCS) > Enter 2D Coordinates > Enter Polar Coordinates >
Enter Polar Coordinates
Concept Procedure Quick Reference

Commands

UNITS

Controls coordinate and angle display formats and precision

System Variables

COORDS

Controls the format and update frequency of coordinates on the status line

Utilities

No entries

Command Modifiers

No entries


Enter 3D Coordinates

Enter Polar Coordinates
Use Coordinates and Coordinate Systems (UCS)
Enter 3D Cartesian Coordinates
Create and Modify Objects > Use Precision Tools > Use Coordinates and Coordinate Systems (UCS) >
Enter 3D Coordinates
Concept Procedure

Cartesian, cylindrical, or spherical coordinates locate points when you are creating objects in 3D.

Topics in this section

  • Enter 3D Cartesian Coordinates

    3D Cartesian coordinates specify a precise location by using three coordinate values: X, Y, and Z.

  • Enter Cylindrical Coordinates

    3D cylindrical coordinates describe a precise location by a distance from the UCS origin in the XY plane, an angle from the X axis in the XY plane, and a Z value.

  • Enter Spherical Coordinates

    3D spherical coordinates specify a location by a distance from the origin of the current UCS, an angle from the X axis in the XY plane, and an angle from the XY plane.


Enter 3D Coordinates (Procedure)

Enter Polar Coordinates
Up a level to ..
Enter 3D Cartesian Coordinates
Create and Modify Objects > Use Precision Tools > Use Coordinates and Coordinate Systems (UCS) > Enter 3D Coordinates >
Enter 3D Coordinates
Concept Procedure

To enter absolute coordinates (3D)

To enter relative coordinates (3D)

To enter relative cylindrical coordinates

To enter relative spherical coordinates


Enter 3D Cartesian Coordinates (Concept)

Enter 3D Coordinates
Enter 3D Coordinates
Enter Cylindrical Coordinates
Create and Modify Objects > Use Precision Tools > Use Coordinates and Coordinate Systems (UCS) > Enter 3D Coordinates >
Enter 3D Cartesian Coordinates
Concept Procedure Quick Reference

3D Cartesian coordinates specify a precise location by using three coordinate values: X, Y, and Z.

Entering 3D Cartesian coordinate values (X,Y,Z) is similar to entering 2D coordinate values (X,Y). In addition to specifying X and Y values, you also specify a Z value using the following format:

X,Y,Z

NoteFor the following examples, it is assumed that dynamic input is turned off or that the coordinates are entered on the command line. With Dynamic Input, you specify absolute coordinates with the # prefix.

In the illustration below, the coordinate values of 3,2,5 indicates a point 3 units along the positive X axis, 2 units along the positive Y axis, and 5 units along the positive Z axis.

Use Default Z Values

When you enter coordinates in the format X,Y, the Z value is copied from the last point you entered. As a result, you can enter one location in the X,Y,Z format and then enter subsequent locations using the X,Y format with the Z value remaining constant. For example, if you enter the following coordinates for a line

From point: 0,0,5

To point: 3,4

both endpoints of the line will have a Z value of 5. When you begin or open any drawing, the initial default value of Z is greater than 0.

Use Absolute and Relative Coordinates

As with 2D coordinates, you can enter absolute coordinate values, which are based on the origin, or you can enter relative coordinate values, which are based on the last point entered. To enter relative coordinates, use the @ sign as a prefix. For example, use @1,0,0 to enter a point one unit in the positive X direction from the previous point. To enter absolute coordinates at the command prompt, no prefix is necessary.

Digitize Coordinates

When you enter coordinates by digitizing, the UCS Z value for all coordinates is 0. You can use ELEV to set a default height above or below the Z = 0 plane for digitizing without moving the UCS.


Enter 3D Cartesian Coordinates (Procedure)

Enter 3D Coordinates
Up a level to ..
Enter 3D Cartesian Coordinates
Create and Modify Objects > Use Precision Tools > Use Coordinates and Coordinate Systems (UCS) > Enter 3D Coordinates > Enter 3D Cartesian Coordinates >
Enter 3D Cartesian Coordinates
Concept Procedure Quick Reference

To enter absolute coordinates (3D)

To enter relative coordinates (3D)


To enter absolute coordinates (3D) (Procedure)

Enter 3D Cartesian Coordinates
Up a level to ..
Enter 3D Cartesian Coordinates
Create and Modify Objects > Use Precision Tools > Use Coordinates and Coordinate Systems (UCS) > Enter 3D Coordinates > Enter 3D Cartesian Coordinates >
Enter 3D Cartesian Coordinates
Concept Procedure Quick Reference

To enter absolute coordinates (3D)

  • At a prompt for a point, enter coordinates in the tooltip using the following format:

    #x,y,z

    If Dynamic Input is turned off, enter coordinates on the command line using the following format:

    x,y,z


To enter relative coordinates (3D) (Procedure)

Enter 3D Cartesian Coordinates
Up a level to ..
Enter Cylindrical Coordinates
Create and Modify Objects > Use Precision Tools > Use Coordinates and Coordinate Systems (UCS) > Enter 3D Coordinates > Enter 3D Cartesian Coordinates >
Enter 3D Cartesian Coordinates
Concept Procedure Quick Reference

To enter relative coordinates (3D)

  • At a prompt for a point, enter coordinates using the following format:

    @x,y,z


Enter 3D Cartesian Coordinates (Quick Reference)

Enter Polar Coordinates
Enter 3D Cartesian Coordinates
Enter Cylindrical Coordinates
Create and Modify Objects > Use Precision Tools > Use Coordinates and Coordinate Systems (UCS) > Enter 3D Coordinates > Enter 3D Cartesian Coordinates >
Enter 3D Cartesian Coordinates
Concept Procedure Quick Reference

Commands

GRID

Displays a grid pattern in the current viewport

SNAP

Restricts cursor movement to specified intervals

TABLET

Calibrates, configures, and turns on and off an attached digitizing tablet

UCS

Manages user coordinate systems

UCSICON

Controls the visibility and placement of the UCS icon

UNITS

Controls coordinate and angle display formats and precision

System Variables

COORDS

Controls the format and update frequency of coordinates on the status line

ELEVATION

Stores the current elevation of new objects relative to the current UCS

TABMODE

Controls the use of the tablet

Utilities

No entries

Command Modifiers

No entries


Enter Cylindrical Coordinates (Concept)

Enter 3D Cartesian Coordinates
Enter 3D Coordinates
Enter Spherical Coordinates
Create and Modify Objects > Use Precision Tools > Use Coordinates and Coordinate Systems (UCS) > Enter 3D Coordinates >
Enter Cylindrical Coordinates
Concept Procedure Quick Reference

3D cylindrical coordinates describe a precise location by a distance from the UCS origin in the XY plane, an angle from the X axis in the XY plane, and a Z value.

Cylindrical coordinate entry is the 3D equivalent of 2D polar coordinate entry. It specifies an additional coordinate on an axis that is perpendicular to the XY plane. Cylindrical coordinates define points by a distance in the XY plane from the UCS origin, an angle from the X axis in the XY plane, and a Z value. You specify a point using absolute cylindrical coordinates with the following syntax:

X<[angle from X axis],Z

NoteFor the following examples, it is assumed that dynamic input is turned off or that the coordinates are entered on the command line. With Dynamic Input, you specify absolute coordinates with the # prefix.

In the illustration below, 5<30,6 indicates a point 5 units from the origin of the current UCS, 30 degrees from the X axis in the XY plane, and 6 units along the Z axis.

When you need to define a point based on a previous point rather than the UCS origin, you can enter relative cylindrical coordinate values with the @ prefix. For example, @4<45,5 specifies a point 4 units in the XY plane from the last point entered, at an angle of 45 degrees from the positive X direction, and extending 5 units in the positive Z direction.


To enter relative cylindrical coordinates (Procedure)

Enter 3D Cartesian Coordinates
Up a level to ..
Enter Spherical Coordinates
Create and Modify Objects > Use Precision Tools > Use Coordinates and Coordinate Systems (UCS) > Enter 3D Coordinates > Enter Cylindrical Coordinates >
Enter Cylindrical Coordinates
Concept Procedure Quick Reference

To enter relative cylindrical coordinates

  • At a prompt for a point, enter the coordinate values using the following format:

    @x<angle from the X axis,z

For example, @4<60,2 represents a location that is 4 units along the X axis from the last point measured at 60 degrees from the positive X axis and at 2 units in the positive Z direction.


Enter Cylindrical Coordinates (Quick Reference)

Enter 3D Cartesian Coordinates
Enter Cylindrical Coordinates
Enter Spherical Coordinates
Create and Modify Objects > Use Precision Tools > Use Coordinates and Coordinate Systems (UCS) > Enter 3D Coordinates > Enter Cylindrical Coordinates >
Enter Cylindrical Coordinates
Concept Procedure Quick Reference

Commands

UNITS

Controls coordinate and angle display formats and precision

System Variables

COORDS

Controls the format and update frequency of coordinates on the status line

Utilities

No entries

Command Modifiers

No entries


Enter Spherical Coordinates (Concept)

Enter Cylindrical Coordinates
Enter 3D Coordinates
Understand the User Coordinate System (UCS)
Create and Modify Objects > Use Precision Tools > Use Coordinates and Coordinate Systems (UCS) > Enter 3D Coordinates >
Enter Spherical Coordinates
Concept Procedure Quick Reference

3D spherical coordinates specify a location by a distance from the origin of the current UCS, an angle from the X axis in the XY plane, and an angle from the XY plane.

Spherical coordinate entry in 3D is similar to polar coordinate entry in 2D. You locate a point by specifying its distance from the origin of the current UCS, its angle from the X axis (in the XY plane), and its angle from the XY plane, each angle preceded by an open angle bracket (<) as in the following format:

X<[angle from X axis]<[angle from XY plane]

NoteFor the following examples, it is assumed that dynamic input is turned off or that the coordinates are entered on the command line. With Dynamic Input, you specify absolute coordinates with the # prefix.

In the following illustration, 8<60<30 indicates a point 8 units from the origin of the current UCS in the XY plane, 60 degrees from the X axis in the XY plane, and 30 degrees up the Z axis from the XY plane. 5<45<15 indicates a point 5 units from the origin, 45 degrees from the X axis in the XY plane, and 15 degrees up from the XY plane.

When you need to define a point based on a previous point, enter the relative spherical coordinate values by preceding them with the @ sign.


To enter relative spherical coordinates (Procedure)

Enter Cylindrical Coordinates
Up a level to ..
Understand the User Coordinate System (UCS)
Create and Modify Objects > Use Precision Tools > Use Coordinates and Coordinate Systems (UCS) > Enter 3D Coordinates > Enter Spherical Coordinates >
Enter Spherical Coordinates
Concept Procedure Quick Reference

To enter relative spherical coordinates

  • At a prompt for a point, enter the coordinate values using the following format:

    @x<angle from the x axis<angle from the xy plane

For example, @4<60<30 represents a location that is 4 units from the last point measured at 60 degrees from the positive X axis in the XY plane and at 30 degrees from the XY plane.


Enter Spherical Coordinates (Quick Reference)

Enter Cylindrical Coordinates
Enter Spherical Coordinates
Understand the User Coordinate System (UCS)
Create and Modify Objects > Use Precision Tools > Use Coordinates and Coordinate Systems (UCS) > Enter 3D Coordinates > Enter Spherical Coordinates >
Enter Spherical Coordinates
Concept Procedure Quick Reference

Commands

UNITS

Controls coordinate and angle display formats and precision

System Variables

COORDS

Controls the format and update frequency of coordinates on the status line

Utilities

No entries

Command Modifiers

No entries


Understand the User Coordinate System (UCS) (Concept)

Enter Spherical Coordinates
Use Coordinates and Coordinate Systems (UCS)
Specify Workplanes in 3D (UCS)
Create and Modify Objects > Use Precision Tools > Use Coordinates and Coordinate Systems (UCS) >
Understand the User Coordinate System (UCS)
Concept Procedure Quick Reference

You can relocate and rotate the user coordinate system for convenient coordinate entry, grid display, grid snap, Ortho mode, and other drawing tools.

Understand the World and User Coordinate Systems

There are two coordinate systems: a fixed system called the world coordinate system (WCS) and a movable system called the user coordinate system (UCS). By default, these two systems are coincident in a new drawing.

Normally in 2D views, the WCS X axis is horizontal and the Y axis is vertical. The WCS origin is where the X and Y axes intersect (0,0). All objects in a drawing file are defined by their WCS coordinates. However, it is usually more convenient to create and edit objects based on the movable UCS.

Work with the User Coordinate System

Virtually all coordinate entry as well as many other tools and operations reference the current UCS. 2D tools and operations that depend on the location and orientation of the UCS include the following:

  • Absolute and relative coordinate entry
  • Absolute reference angles
  • Definition of horizontal and vertical for Ortho mode, polar tracking, object snap tracking, grid display, and grid snap
  • Orientation of horizontal and vertical dimensions
  • Orientation of text objects
  • View rotation using the PLAN command

Moving or rotating the UCS can make it easier to work on particular areas of a drawing.

You can relocate the user coordinate system with methods such as the following:

  • Move the UCS by defining a new origin point.
  • Align the UCS with an existing object.
  • Rotate the UCS by specifying a new origin point and a point on the new X axis.
  • Rotate the current UCS a specified angle around the Z axis.
  • Revert to the previous UCS.
  • Restore the UCS to be coincident with the WCS.

Each of these methods have a corresponding option in the UCS command. Once you have defined a UCS, you can name it and then restore it when you need to use it again.


Understand the User Coordinate System (UCS) (Procedure)

Enter Spherical Coordinates
Up a level to ..
Understand the User Coordinate System (UCS)
Create and Modify Objects > Use Precision Tools > Use Coordinates and Coordinate Systems (UCS) > Understand the User Coordinate System (UCS) >
Understand the User Coordinate System (UCS)
Concept Procedure Quick Reference

To define a new UCS origin in 2D

To change the rotation angle of the UCS

To restore the UCS to be coincident with the WCS

To restore the previous UCS

To save a UCS

To restore a named UCS

To rename a UCS

To delete a named UCS


To define a new UCS origin in 2D (Procedure)

Understand the User Coordinate System (UCS)
Up a level to ..
Understand the User Coordinate System (UCS)
Create and Modify Objects > Use Precision Tools > Use Coordinates and Coordinate Systems (UCS) > Understand the User Coordinate System (UCS) >
Understand the User Coordinate System (UCS)
Concept Procedure Quick Reference

To define a new UCS origin in 2D

  1. Click View tab [image] UCS panel [image] Origin.At the command prompt, enter ucs.
  2. Specify a point for the new origin.

    The UCS origin (0,0) is redefined at the point you specify.

Toolbar: UCS
Command entry: UCS


To change the rotation angle of the UCS (Procedure)

Understand the User Coordinate System (UCS)
Up a level to ..
Understand the User Coordinate System (UCS)
Create and Modify Objects > Use Precision Tools > Use Coordinates and Coordinate Systems (UCS) > Understand the User Coordinate System (UCS) >
Understand the User Coordinate System (UCS)
Concept Procedure Quick Reference

To change the rotation angle of the UCS

  1. Click View tab [image] UCS panel [image] Z.At the command prompt, enter ucs.
  2. Specify a rotation angle.
Toolbar: UCS
Command entry: UCS


To restore the UCS to be coincident with the WCS (Procedure)

Understand the User Coordinate System (UCS)
Up a level to ..
Understand the User Coordinate System (UCS)
Create and Modify Objects > Use Precision Tools > Use Coordinates and Coordinate Systems (UCS) > Understand the User Coordinate System (UCS) >
Understand the User Coordinate System (UCS)
Concept Procedure Quick Reference

To restore the UCS to be coincident with the WCS

  1. Click View tab [image] UCS panel [image] Named UCS.At the command prompt, enter ucsman.
  2. In the UCS dialog box, Named UCSs tab, select World.
  3. Click Set Current.
  4. Click OK.
Toolbar: UCS II
Command entry: UCSMAN


To restore the previous UCS (Procedure)

Understand the User Coordinate System (UCS)
Up a level to ..
Understand the User Coordinate System (UCS)
Create and Modify Objects > Use Precision Tools > Use Coordinates and Coordinate Systems (UCS) > Understand the User Coordinate System (UCS) >
Understand the User Coordinate System (UCS)
Concept Procedure Quick Reference

To restore the previous UCS

  1. Click View tab [image] UCS panel [image] Named UCS.At the command prompt, enter ucsman.
  2. In the UCS dialog box, Named UCSs tab, select Previous.
  3. Click Set Current.
  4. Click OK.
Toolbar: UCS II
Command entry: UCSMAN


To save a UCS (Procedure)

Understand the User Coordinate System (UCS)
Up a level to ..
Understand the User Coordinate System (UCS)
Create and Modify Objects > Use Precision Tools > Use Coordinates and Coordinate Systems (UCS) > Understand the User Coordinate System (UCS) >
Understand the User Coordinate System (UCS)
Concept Procedure Quick Reference

To save a UCS

  1. Click View tab [image] UCS panel [image] Named UCS.At the command prompt, enter ucsman.

    The new UCS is displayed in the UCS list as UNNAMED.

  2. In the UCS dialog box, Named UCSs tab, select UNNAMED and enter a new name. (You can also select UNNAMED, and right-click. Click Rename.)
  3. Click OK.

    You can use up to 255 characters, including letters, digits, and the special characters dollar sign ($), hyphen (-), and underscore (_). All UCS names are converted to uppercase.

Toolbar: UCS II
Command entry: UCSMAN


To restore a named UCS (Procedure)

Understand the User Coordinate System (UCS)
Up a level to ..
Understand the User Coordinate System (UCS)
Create and Modify Objects > Use Precision Tools > Use Coordinates and Coordinate Systems (UCS) > Understand the User Coordinate System (UCS) >
Understand the User Coordinate System (UCS)
Concept Procedure Quick Reference

To restore a named UCS

  1. Click View tab [image] UCS panel [image] Named UCS.At the command prompt, enter ucsman.
  2. In the UCS dialog box, Named UCSs tab, you can view the origin and axis direction of a listed UCS. Select the UCS name. Click Details.

    When you have finished viewing the list, click OK to return to the UCS dialog box.

  3. Select the coordinate system you want to restore. Click Set Current.
  4. Click OK.
Toolbar: UCS II
Command entry: UCSMAN


To rename a UCS (Procedure)

Understand the User Coordinate System (UCS)
Up a level to ..
Understand the User Coordinate System (UCS)
Create and Modify Objects > Use Precision Tools > Use Coordinates and Coordinate Systems (UCS) > Understand the User Coordinate System (UCS) >
Understand the User Coordinate System (UCS)
Concept Procedure Quick Reference

To rename a UCS

  1. Click View tab [image] UCS panel [image] Named UCS.At the command prompt, enter ucsman.
  2. In the UCS dialog box, Named UCSs tab, select the coordinate system you want to rename. (You can also select UNNAMED, and right-click. Click Rename.)
  3. Enter a new name.
  4. Click OK.
Toolbar: UCS II
Command entry: UCSMAN


To delete a named UCS (Procedure)

Understand the User Coordinate System (UCS)
Up a level to ..
Specify Workplanes in 3D (UCS)
Create and Modify Objects > Use Precision Tools > Use Coordinates and Coordinate Systems (UCS) > Understand the User Coordinate System (UCS) >
Understand the User Coordinate System (UCS)
Concept Procedure Quick Reference

To delete a named UCS

  1. Click View tab [image] UCS panel [image] Named UCS.At the command prompt, enter ucsman.
  2. In the UCS dialog box, Named UCSs tab, select the UCS you want to delete.
  3. Press DELETE.

    You cannot delete the current UCS or a UCS with the default name UNNAMED.

Toolbar: UCS II
Command entry: UCSMAN


Understand the User Coordinate System (UCS) (Quick Reference)

Enter Spherical Coordinates
Understand the User Coordinate System (UCS)
Understand the User Coordinate System in 3D
Create and Modify Objects > Use Precision Tools > Use Coordinates and Coordinate Systems (UCS) > Understand the User Coordinate System (UCS) >
Understand the User Coordinate System (UCS)
Concept Procedure Quick Reference

Commands

UCS

Manages user coordinate systems

UCSICON

Controls the visibility and placement of the UCS icon

UCSMAN

Manages defined user coordinate systems

System Variables

ERRNO

Displays the number of the appropriate error code when an AutoLISP function call causes an error that AutoCAD detects

PUCSBASE

Stores the name of the UCS that defines the origin and orientation of orthographic UCS settings in paper space only

UCSFOLLOW

Generates a plan view whenever you change from one UCS to another

UCSNAME

Stores the name of the current coordinate system for the current viewport in the current space

UCSORG

Stores the origin point of the current coordinate system for the current viewport in the current space

UCSORTHO

Determines whether the related orthographic UCS setting is restored automatically when an orthographic view is restored

UCSXDIR

Stores the X direction of the current UCS for the current viewport in the current space

UCSYDIR

Stores the Y direction of the current UCS for the current viewport in the current space

Utilities

No entries

Command Modifiers

No entries


Specify Workplanes in 3D (UCS)

Understand the User Coordinate System (UCS)
Use Coordinates and Coordinate Systems (UCS)
Understand the User Coordinate System in 3D
Create and Modify Objects > Use Precision Tools > Use Coordinates and Coordinate Systems (UCS) >
Specify Workplanes in 3D (UCS)
Concept Procedure

Control of the user coordinate system is essential for effective 3D modeling.

Topics in this section

  • Understand the User Coordinate System in 3D

    When you work in 3D, the user coordinate system is useful for entering coordinates, creating 3D objects on 2D workplanes, and rotating objects in 3D.

  • Control the User Coordinate System in 3D

    Several methods are available for manipulating the user coordinate system in 3D. You can also save and restore user coordinate system orientations.

  • Use the Dynamic UCS with Solid Models

    With the dynamic UCS feature, you can temporarily and automatically align the XY plane of the UCS with a plane on a solid model while creating objects.


Specify Workplanes in 3D (UCS) (Procedure)

Understand the User Coordinate System (UCS)
Up a level to ..
Understand the User Coordinate System in 3D
Create and Modify Objects > Use Precision Tools > Use Coordinates and Coordinate Systems (UCS) > Specify Workplanes in 3D (UCS) >
Specify Workplanes in 3D (UCS)
Concept Procedure

To enter coordinates relative to the WCS

To specify a new UCS with three points

To rotate the UCS around a major axis

To define a new UCS origin in 3D

Zaxis

To define a new UCS with particularXandYaxes

To shift theXYplane

To select a UCS preset

To restore the location and orientation of the previous UCS

To change the UCS dynamically


Understand the User Coordinate System in 3D (Concept)

Specify Workplanes in 3D (UCS)
Specify Workplanes in 3D (UCS)
Control the User Coordinate System in 3D
Create and Modify Objects > Use Precision Tools > Use Coordinates and Coordinate Systems (UCS) > Specify Workplanes in 3D (UCS) >
Understand the User Coordinate System in 3D
Concept Procedure Quick Reference

When you work in 3D, the user coordinate system is useful for entering coordinates, creating 3D objects on 2D workplanes, and rotating objects in 3D.

When you create or modify objects in a 3D environment, you can move and reorient the UCS in 3D model space to simplify your work. The XY plane of the UCS is called the workplane.

Important operations on objects in a 3D environment that depend on the location and orientation of the UCS include the following:

  • Establish the workplane in on which to create and modify objects
  • Establish the workplane that contains the grid display and grid snap
  • Establish a new UCS Z axis about which to rotate objects in 3D
  • Determine up and down directions as well as horizontal and vertical for Ortho mode, polar tracking, and object snap tracking
  • Define a 3D view directly into the workplane with the PLAN command

Apply the Right-Hand Rule

Use the right-hand rule to determine the positive axis direction of the Z axis when you know the direction of the X and Y axes in a 3D coordinate system. Place the back of your right hand near the screen and point your thumb in the direction of the positive X axis. Extend your index and middle fingers as illustrated, pointing your index finger in the direction of the positive Y axis. Your middle finger indicates the direction of the positive Z axis. By rotating your hand, you see how the X, Y, and Z axes rotate as you change the UCS.

You can also use the right-hand rule for determining the default positive direction of rotation about an axis in 3D space. Point your right thumb in the positive direction of the axis and curl your fingers. Your fingers indicate the positive rotation direction about the axis.

NoteBy default, when you specify a view in 3D, it is established relative to the fixed WCS rather than the movable UCS.


Understand the User Coordinate System in 3D (Procedure)

Specify Workplanes in 3D (UCS)
Up a level to ..
Understand the User Coordinate System in 3D
Create and Modify Objects > Use Precision Tools > Use Coordinates and Coordinate Systems (UCS) > Specify Workplanes in 3D (UCS) > Understand the User Coordinate System in 3D >
Understand the User Coordinate System in 3D
Concept Procedure Quick Reference

To enter coordinates relative to the WCS

To specify a new UCS with three points

To rotate the UCS around a major axis


To enter coordinates relative to the WCS (Procedure)

Understand the User Coordinate System in 3D
Up a level to ..
Understand the User Coordinate System in 3D
Create and Modify Objects > Use Precision Tools > Use Coordinates and Coordinate Systems (UCS) > Specify Workplanes in 3D (UCS) > Understand the User Coordinate System in 3D >
Understand the User Coordinate System in 3D
Concept Procedure Quick Reference

To enter coordinates relative to the WCS

  • Precede coordinate values with an asterisk (*).

Entering @*2,0,0 specifies a point two units in the X direction of the last point entered relative to the WCS. Entering @2,0,0 specifies a point two units in the X direction of the last point entered relative to the UCS.

In practice, most coordinates are entered relative to the UCS rather than the WCS.


To specify a new UCS with three points (Procedure)

Understand the User Coordinate System in 3D
Up a level to ..
Understand the User Coordinate System in 3D
Create and Modify Objects > Use Precision Tools > Use Coordinates and Coordinate Systems (UCS) > Specify Workplanes in 3D (UCS) > Understand the User Coordinate System in 3D >
Understand the User Coordinate System in 3D
Concept Procedure Quick Reference

To specify a new UCS with three points

  1. Click View tab [image] UCS panel [image] 3 Point.At the command prompt, enter ucs.
  2. Specify a new origin point. This is the point (0,0,0) on the new UCS.
  3. Specify a point on the positive X axis of the new UCS.
  4. Specify a point on the positive XY plane of the new UCS.
    Toolbar: UCS


To rotate the UCS around a major axis (Procedure)

Understand the User Coordinate System in 3D
Up a level to ..
Control the User Coordinate System in 3D
Create and Modify Objects > Use Precision Tools > Use Coordinates and Coordinate Systems (UCS) > Specify Workplanes in 3D (UCS) > Understand the User Coordinate System in 3D >
Understand the User Coordinate System in 3D
Concept Procedure Quick Reference

To rotate the UCS around a major axis

  1. Do one of the following:

    • Click View tab [image] UCS panel [image] Z.At the command prompt, enter ucs.
    • Click View tab [image] UCS panel [image] X.At the command prompt, enter ucs.
    • Click View tab [image] UCS panel [image] Y.At the command prompt, enter ucs.
  2. Enter a rotation angle. A common rotation angle is 90.


Understand the User Coordinate System in 3D (Quick Reference)

Understand the User Coordinate System (UCS)
Understand the User Coordinate System in 3D
Control the User Coordinate System in 3D
Create and Modify Objects > Use Precision Tools > Use Coordinates and Coordinate Systems (UCS) > Specify Workplanes in 3D (UCS) > Understand the User Coordinate System in 3D >
Understand the User Coordinate System in 3D
Concept Procedure Quick Reference

Commands

UCS

Manages user coordinate systems

UCSICON

Controls the visibility and placement of the UCS icon

UCSMAN

Manages defined user coordinate systems

System Variables

UCSICON

Displays the UCS icon for the current viewport or layout

UCSVP

Determines whether the UCS in viewports remains fixed or changes to reflect the UCS of the current viewport

Utilities

No entries

Command Modifiers

No entries


Control the User Coordinate System in 3D (Concept)

Understand the User Coordinate System in 3D
Specify Workplanes in 3D (UCS)
Use the Dynamic UCS with Solid Models
Create and Modify Objects > Use Precision Tools > Use Coordinates and Coordinate Systems (UCS) > Specify Workplanes in 3D (UCS) >
Control the User Coordinate System in 3D
Concept Procedure Quick Reference

Several methods are available for manipulating the user coordinate system in 3D. You can also save and restore user coordinate system orientations.

You define a user coordinate system (UCS) to change the location of the 0,0,0 origin point, the location and rotation of the XY plane, and the orientation of the XY plane or Z axis. You can locate and orient a UCS anywhere in 3D space, and you can define, save, and recall as many saved UCS locations as you require.

If multiple viewports are active, you can assign a different UCS to each viewport. With the UCSVP system variable turned on, you can lock a UCS to a viewport, automatically restoring the UCS each time that viewport is made current.

Define the UCS Location

You can define a UCS in the following ways:

  • Specify a new origin (one point), new X axis (two points), or new XY plane (three points).

  • Align the UCS by selecting a face on a 3D solid object. The selection can be on a face or on an edge of the solid.

  • Align the new UCS with an existing object. The origin of the UCS is located at the vertex nearest to where the object was selected.

  • Align the new UCS with the current viewing direction.

  • Rotate the current UCS around any of its three major axes.

  • Reorient the XY plane by specifying a new Z axis.

Use UCS Presets

If you do not want to define your own UCS, you can choose from several preset coordinate systems. The images on the Orthographic UCSs tab of the (Named) UCS dialog box show the available choices.

Change the Default Elevation

The ELEV command sets the default Z value for new objects above or below the XY plane of the current UCS. This value is stored in the ELEVATION system variable.

NoteGenerally, it is recommended that you leave the elevation set to zero and control the XY plane of the current UCS with the UCS command.

Change the UCS in Paper Space

You can define a new UCS in paper space just as you can in model space; however, the UCS in paper space is restricted to 2D manipulation. Although you can enter 3D coordinates in paper space, you cannot use 3D viewing commands such as PLAN and VPOINT.

Save and Restore UCS Locations by Name

If you plan to work extensively in 3D, you can save named UCS locations, each having a different origin and orientation, for various construction requirements. You can relocate, save, and recall as many UCS orientations as you require.


Control the User Coordinate System in 3D (Procedure)

Understand the User Coordinate System in 3D
Up a level to ..
Control the User Coordinate System in 3D
Create and Modify Objects > Use Precision Tools > Use Coordinates and Coordinate Systems (UCS) > Specify Workplanes in 3D (UCS) > Control the User Coordinate System in 3D >
Control the User Coordinate System in 3D
Concept Procedure Quick Reference

To define a new UCS origin in 3D

Z axis

To define a new UCS with particular X and Y axes

To shift the XY plane

To select a UCS preset

To restore the location and orientation of the previous UCS


To define a new UCS origin in 3D (Procedure)

Control the User Coordinate System in 3D
Up a level to ..
Control the User Coordinate System in 3D
Create and Modify Objects > Use Precision Tools > Use Coordinates and Coordinate Systems (UCS) > Specify Workplanes in 3D (UCS) > Control the User Coordinate System in 3D >
Control the User Coordinate System in 3D
Concept Procedure Quick Reference

To define a new UCS origin in 3D

  1. Click View tab [image] UCS panel [image] Origin.At the command prompt, enter ucs.
  2. Specify a point for the new origin.

    The UCS origin (0,0,0) is redefined at the point you specify.

Toolbar: UCS
Command entry: UCS


Zaxis (Procedure)

Control the User Coordinate System in 3D
Up a level to ..
Control the User Coordinate System in 3D
Create and Modify Objects > Use Precision Tools > Use Coordinates and Coordinate Systems (UCS) > Specify Workplanes in 3D (UCS) > Control the User Coordinate System in 3D >
Control the User Coordinate System in 3D
Concept Procedure Quick Reference

Z axis

  1. Click View tab [image] UCS panel [image] Z.At the command prompt, enter ucs.
  2. Specify a point for the new origin.

    The UCS origin (0,0,0) is redefined at the point you specify.

  3. Specify a point that lies on the positive Z axis.

Toolbar: UCS
Command entry: UCS


To define a new UCS with particularXandYaxes (Procedure)

Control the User Coordinate System in 3D
Up a level to ..
Control the User Coordinate System in 3D
Create and Modify Objects > Use Precision Tools > Use Coordinates and Coordinate Systems (UCS) > Specify Workplanes in 3D (UCS) > Control the User Coordinate System in 3D >
Control the User Coordinate System in 3D
Concept Procedure Quick Reference

To define a new UCS with particular X and Y axes

  1. Click View tab [image] UCS panel [image] 3 Point.At the command prompt, enter ucs.
  2. Specify a point for the new origin.

    The UCS origin (0,0,0) is redefined at the point you specify.

  3. Specify a point that lies on the positive X axis.
  4. Specify a point that lies on the positive Y axis.

Toolbar: UCS
Command entry: UCS


To shift theXYplane (Procedure)

Control the User Coordinate System in 3D
Up a level to ..
Control the User Coordinate System in 3D
Create and Modify Objects > Use Precision Tools > Use Coordinates and Coordinate Systems (UCS) > Specify Workplanes in 3D (UCS) > Control the User Coordinate System in 3D >
Control the User Coordinate System in 3D
Concept Procedure Quick Reference

To shift the XY plane

  1. Click View tab [image] UCS panel [image] 3 Point.At the command prompt, enter ucs.
  2. Specify an origin point for the new UCS (1).

    For example, in a large drawing, you might specify an origin point near the area in which you want to work.

  3. Specify a point to indicate the horizontal orientation of the new UCS (2). This point should be on the positive portion of the new X axis.
  4. Specify a point to indicate the vertical orientation of the new UCS (3). This point should be on the positive portion of the new Y axis.

    The UCS, including grid, shifts to represent the X and Y axes you have specified.

Toolbar: UCS
Command entry: UCS


To select a UCS preset (Procedure)

Control the User Coordinate System in 3D
Up a level to ..
Control the User Coordinate System in 3D
Create and Modify Objects > Use Precision Tools > Use Coordinates and Coordinate Systems (UCS) > Specify Workplanes in 3D (UCS) > Control the User Coordinate System in 3D >
Control the User Coordinate System in 3D
Concept Procedure Quick Reference

To select a UCS preset

  1. Click View tab [image] UCS panel [image] Named UCS.At the command prompt, enter ucsman.
  2. In the UCS dialog box, Orthographic UCSs tab, select a UCS orientation from the list.
  3. Click Set Current.
  4. Click OK.

    The UCS changes to the selected option.

Toolbar: UCS II
Command entry: UCSMAN


To restore the location and orientation of the previous UCS (Procedure)

Control the User Coordinate System in 3D
Up a level to ..
Use the Dynamic UCS with Solid Models
Create and Modify Objects > Use Precision Tools > Use Coordinates and Coordinate Systems (UCS) > Specify Workplanes in 3D (UCS) > Control the User Coordinate System in 3D >
Control the User Coordinate System in 3D
Concept Procedure Quick Reference

To restore the location and orientation of the previous UCS

  • Click View tab [image] UCS panel [image] Previous.At the command prompt, enter ucs. Then enter p (Previous).

The previous UCS is restored.

Toolbar: UCS
Command entry: UCS


Control the User Coordinate System in 3D (Quick Reference)

Understand the User Coordinate System in 3D
Control the User Coordinate System in 3D
Use the Dynamic UCS with Solid Models
Create and Modify Objects > Use Precision Tools > Use Coordinates and Coordinate Systems (UCS) > Specify Workplanes in 3D (UCS) > Control the User Coordinate System in 3D >
Control the User Coordinate System in 3D
Concept Procedure Quick Reference

Commands

ELEV

Sets elevation and extrusion thickness of new objects

UCS

Manages user coordinate systems

UCSMAN

Manages defined user coordinate systems

System Variables

ELEVATION

Stores the current elevation of new objects relative to the current UCS

UCSVP

Determines whether the UCS in viewports remains fixed or changes to reflect the UCS of the current viewport

Utilities

No entries

Command Modifiers

No entries


Use the Dynamic UCS with Solid Models (Concept)

Control the User Coordinate System in 3D
Specify Workplanes in 3D (UCS)
Assign User Coordinate System Orientations to Viewports
Create and Modify Objects > Use Precision Tools > Use Coordinates and Coordinate Systems (UCS) > Specify Workplanes in 3D (UCS) >
Use the Dynamic UCS with Solid Models
Concept Procedure Quick Reference

With the dynamic UCS feature, you can temporarily and automatically align the XY plane of the UCS with a plane on a solid model while creating objects.

When in a draw command, you align the UCS by moving your pointer over an edge of a face rather than having to use the UCS command. After you finish the command, the UCS returns to its previous location and orientation.

Show Me: Use Dynamic UCS with Solid Models

Click the Play arrow to start the animation.

For example, you can use the dynamic UCS to create a rectangle on an angled face of a solid model as shown in the illustration.

In the illustration on the left, the UCS is not aligned with the angled face. Instead of relocating the UCS, you turn on the dynamic UCS on the status bar or by pressing F6.

When you move the pointer completely over an edge as shown in the middle illustration, the cursor changes to show the direction of the dynamic UCS axes. You can then create objects on the angled face easily as shown in the illustration on the right.

NoteTo display the XYZ labels on the cursor, right-click the DUCS button and click Display Crosshair Labels.

The X axis of the dynamic UCS is located along an edge of the face and the positive direction of the X axis always points toward the right half of the screen. Only the front faces of a solid are detected by the dynamic UCS.

The types of commands that can use a dynamic UCS include the following:

  • Simple geometry. Line, polyline, rectangle, arc, circle
  • Text. Text, Multiline text, table
  • References. Insert, xref
  • Solids. Primitives and POLYSOLID
  • Editing. Rotate, mirror, align
  • Other. UCS, area, grip tool manipulation
TipYou can easily align the UCS with a plane on a solid model by turning on the dynamic UCS feature and then using the UCS command to locate the origin on that plane.

If Grid and Snap mode are turned on, they align temporarily to the dynamic UCS. The limits of the grid display are set automatically.

You can temporarily turn off the dynamic UCS by pressing F6 or SHIFT+Z while moving the pointer over a face.

NoteThe dynamic UCS is available only while a command is active.


To change the UCS dynamically (Procedure)

Control the User Coordinate System in 3D
Up a level to ..
Control the Display of the User Coordinate System Icon
Create and Modify Objects > Use Precision Tools > Use Coordinates and Coordinate Systems (UCS) > Specify Workplanes in 3D (UCS) > Use the Dynamic UCS with Solid Models >
Use the Dynamic UCS with Solid Models
Concept Procedure Quick Reference

To change the UCS dynamically

  1. Start a command supported by dynamic UCS.
  2. If necessary, click DUCS on the status bar to turn it on.
  3. Move your pointer over the edge of a face on a solid model.
  4. Complete the command.


Use the Dynamic UCS with Solid Models (Quick Reference)

Control the User Coordinate System in 3D
Use the Dynamic UCS with Solid Models
Assign User Coordinate System Orientations to Viewports
Create and Modify Objects > Use Precision Tools > Use Coordinates and Coordinate Systems (UCS) > Specify Workplanes in 3D (UCS) > Use the Dynamic UCS with Solid Models >
Use the Dynamic UCS with Solid Models
Concept Procedure Quick Reference

Commands

OPTIONS

Customizes the program settings

System Variables

OSOPTIONS

Automatically suppresses object snaps on hatch objects and geometry with negative Z values when using a dynamic UCS

UCSDETECT

Controls whether dynamic UCS acquisition is active or not

Utilities

No entries

Command Modifiers

No entries


Assign User Coordinate System Orientations to Viewports (Concept)

Use the Dynamic UCS with Solid Models
Use Coordinates and Coordinate Systems (UCS)
Control the Display of the User Coordinate System Icon
Create and Modify Objects > Use Precision Tools > Use Coordinates and Coordinate Systems (UCS) >
Assign User Coordinate System Orientations to Viewports
Concept Quick Reference

To facilitate editing objects in different views, you can define a different user coordinate system orientation for each view.

Multiple viewports provide different views of your model. For example, you might set up viewports that display top, front, right side, and isometric views. To facilitate editing objects in different views, you can define a different UCS for each view. Each time you make a viewport current, you can begin drawing using the same UCS you used the last time that viewport was current.

The UCS in each viewport is controlled by the UCSVP system variable. When UCSVP is set to 1 in a viewport, the UCS last used in that viewport is saved with the viewport and is restored when the viewport is made current again. When UCSVP is set to 0 in a viewport, its UCS is always the same as the UCS in the current viewport.

For example, you might set up three viewports: a top view, front view, and isometric view. If you set the UCSVP system variable to 0 in the isometric viewport, you can use the Top UCS in both the top viewport and the isometric viewport. When you make the top viewport current, the isometric viewport's UCS reflects the UCS top viewport. Likewise, making the front viewport current switches the isometric viewport's UCS to match that of the front viewport.

The example is illustrated in the following figures. The first figure shows the isometric viewport reflecting the UCS of the upper-left, or top, viewport, which is current.

The second figure shows the change that occurs when the lower-left, or front, viewport is made current. The UCS in the isometric viewport is updated to reflect the UCS of the front viewport.

In previous releases, the UCS was a global setting for all viewports in either model or paper space. If you want to restore the behavior of previous releases, you can set the value of the UCSVP system variable to 0 in all active viewports.


Assign User Coordinate System Orientations to Viewports (Quick Reference)

Use the Dynamic UCS with Solid Models
Assign User Coordinate System Orientations to Viewports
Control the Display of the User Coordinate System Icon
Create and Modify Objects > Use Precision Tools > Use Coordinates and Coordinate Systems (UCS) > Assign User Coordinate System Orientations to Viewports >
Assign User Coordinate System Orientations to Viewports
Concept Quick Reference

Commands

UCS

Manages user coordinate systems

System Variables

UCSVP

Determines whether the UCS in viewports remains fixed or changes to reflect the UCS of the current viewport

Utilities

No entries

Command Modifiers

No entries


Control the Display of the User Coordinate System Icon (Concept)

Assign User Coordinate System Orientations to Viewports
Use Coordinates and Coordinate Systems (UCS)
Use Dynamic Input
Create and Modify Objects > Use Precision Tools > Use Coordinates and Coordinate Systems (UCS) >
Control the Display of the User Coordinate System Icon
Concept Procedure Quick Reference

To help visualize the current orientation of the user coordinate system, you can display the user coordinate system icon. Several versions of this icon are available, and you can change its size, location, and color.

To indicate the location and orientation of the UCS, the UCS icon is displayed either at the UCS origin point or in the lower-left corner of the current viewport.

You can choose one of three styles of icon to represent the UCS.

Use the UCSICON command to choose between displaying the 2D or the 3D UCS icon. The shaded UCS icon is displayed for a shaded 3D view. To indicate the origin and orientation of the UCS, you can display the UCS icon at the UCS origin point using the UCSICON command.

If the icon is displayed at the origin of the current UCS, a cross (+) appears in the icon. If the icon is displayed in the lower-left corner of the viewport, no cross appears in the icon.

If you have multiple viewports, each viewport displays its own UCS icon.

The UCS icon is displayed in various ways to help you visualize the orientation of the workplane. The following figure shows some of the possible icon displays.

You can use the UCSICON command to switch between the 2D UCS icon and the 3D UCS icon. You can also use the command to change the size, color, arrowhead type, and icon line width of the 3D UCS icon.

The UCS broken pencil icon replaces the 2D UCS icon when the viewing direction is in a plane parallel to the UCS XY plane. The broken pencil icon indicates that the edge of the XY plane is almost perpendicular to your viewing direction. This icon warns you not to use your pointing device to specify coordinates.

When you use the pointing device to locate a point, it's normally placed on the XY plane. If the UCS is rotated so that the Z axis lies in a plane parallel to the viewing plane—that is, if the XY plane is edge-on to the viewer—it may be difficult to visualize where the point will be located. In this case, the point will be located on a plane parallel to your viewing plane that also contains the UCS origin point. For example, if the viewing direction is along the X axis, coordinates specified with a pointing device will be located on the YZ plane, which contains the UCS origin point.

Use the 3D UCS icon to help you visualize which plane these coordinates will be projected on; the 3D UCS icon does not use a broken pencil icon.


Control the Display of the User Coordinate System Icon (Procedure)

Use the Dynamic UCS with Solid Models
Up a level to ..
Control the Display of the User Coordinate System Icon
Create and Modify Objects > Use Precision Tools > Use Coordinates and Coordinate Systems (UCS) > Control the Display of the User Coordinate System Icon >
Control the Display of the User Coordinate System Icon
Concept Procedure Quick Reference

To turn the display of the UCS icon on and off

To display the UCS icon at the UCS origin

To change the appearance of the UCS icon


To turn the display of the UCS icon on and off (Procedure)

Control the Display of the User Coordinate System Icon
Up a level to ..
Control the Display of the User Coordinate System Icon
Create and Modify Objects > Use Precision Tools > Use Coordinates and Coordinate Systems (UCS) > Control the Display of the User Coordinate System Icon >
Control the Display of the User Coordinate System Icon
Concept Procedure Quick Reference

To turn the display of the UCS icon on and off

  • Click View tab [image] UCS panel [image] Toggle Icon.Enter ucsicon at the command prompt.

    The check mark indicates whether the icon is on or off.

Command entry: UCSICON


To display the UCS icon at the UCS origin (Procedure)

Control the Display of the User Coordinate System Icon
Up a level to ..
Control the Display of the User Coordinate System Icon
Create and Modify Objects > Use Precision Tools > Use Coordinates and Coordinate Systems (UCS) > Control the Display of the User Coordinate System Icon >
Control the Display of the User Coordinate System Icon
Concept Procedure Quick Reference

To display the UCS icon at the UCS origin

  • Click View tab [image] UCS panel [image] Origin.Enter ucsicon at the command prompt.

    The UCS icon is displayed at the origin of the current coordinate system. The check mark indicates whether the option is on or off.

Command entry: UCSICON


To change the appearance of the UCS icon (Procedure)

Control the Display of the User Coordinate System Icon
Up a level to ..
Use Dynamic Input
Create and Modify Objects > Use Precision Tools > Use Coordinates and Coordinate Systems (UCS) > Control the Display of the User Coordinate System Icon >
Control the Display of the User Coordinate System Icon
Concept Procedure Quick Reference

To change the appearance of the UCS icon

  1. Click View menu [image] Display [image] UCS Icon [image] Properties.At the command prompt, enter ucsicon.
  2. In the UCS Icon dialog box, change the settings.
  3. Click OK.
Command entry: UCSICON


Control the Display of the User Coordinate System Icon (Quick Reference)

Assign User Coordinate System Orientations to Viewports
Control the Display of the User Coordinate System Icon
Use Dynamic Input
Create and Modify Objects > Use Precision Tools > Use Coordinates and Coordinate Systems (UCS) > Control the Display of the User Coordinate System Icon >
Control the Display of the User Coordinate System Icon
Concept Procedure Quick Reference

Commands

UCSICON

Controls the visibility and placement of the UCS icon

System Variables

UCSICON

Displays the UCS icon for the current viewport or layout

Utilities

No entries

Command Modifiers

No entries


Use Dynamic Input (Concept)

Control the Display of the User Coordinate System Icon
Use Precision Tools
Snap to Locations on Objects (Object Snaps)
Create and Modify Objects > Use Precision Tools >
Use Dynamic Input
Concept Procedure Quick Reference

Dynamic Input provides a command interface near the cursor to help you keep your focus in the drafting area.

When Dynamic Input is on, tooltips display information near the cursor that is dynamically updated as the cursor moves. When a command is active, the tooltips provide a place for user entry.

After you type a value in an input field and press TAB, the field then displays a lock icon, and the cursor is constrained by the value that you entered. You can then enter a value for the second input field. Alternately, if you type a value and press ENTER, the second input field is ignored and the value is interpreted as direct distance entry.

The actions required to complete a command or to use grips are similar to those for the command prompt. The difference is that your attention can stay near the cursor.

Dynamic Input is not designed to replace the command window. You can hide the command window to add screen area for drawing, but you will need to display it for some operations. Press F2 to hide and display command prompts and error messages as needed. Alternately, you can undock the command window and use Auto-hide to roll open or roll up the window.

Turn Dynamic Input On and Off

Click the dynamic input button [image] on the status bar to turn Dynamic Input on and off. You can turn it off temporarily by holding down the F12 key. Dynamic Input has three components: pointer input, dimensional input, and dynamic prompts. Right-click [image] and click Settings to control what is displayed by each component when dynamic input is on.

Pointer Input

When pointer input is on and a command is active, the location of the crosshairs is displayed as coordinates in a tooltip near the cursor. You can enter coordinate values in the tooltip instead of on the command line.

The default for second and subsequent points is relative polar coordinates (relative Cartesian for RECTANG). There is no need to type the at sign (@). If you want to use absolute coordinates, use the pound sign (#) prefix. For example, to move an object to the origin, for the second point prompt, enter #0,0.

Use the pointer input settings to change the default format for coordinates and to control when pointer input tooltips are displayed.

Dimensional Input

When dimensional input is on, the tooltips display distance and angle values when a command prompts for a second point. The values in the dimensional tooltips change as you move the cursor. Press TAB to move to the value you want to change. Dimensional input is available for ARC, CIRCLE, ELLIPSE, LINE, and PLINE.

When you use grips to edit an object, the dimensional input tooltips can display the following information:

  • Original length
  • A length that updates as you move the grip
  • The change in the length
  • Angle
  • The change in the angle as you move the grip
  • The radius of an arc

Use the dimensional input settings to display only the information you want to see.

When you use grips to stretch objects or when you create new objects, dimensional input displays only acute angles, that is, all angles are displayed as 180 degrees or less. Thus, an angle of 270 degrees is displayed as 90 degrees regardless of the ANGDIR system variable setting (set in the Drawing Units dialog box). Angles specified when creating new objects rely on the cursor location to determine the positive angle direction.

Dynamic Prompts

When dynamic prompts are on, prompts are displayed in a tooltip near the cursor. You can enter a response in the tooltip instead of on the command line. Press the DOWN ARROW key to view and select options. Press the UP ARROW key to display recent input.

NoteTo use PASTECLIP in a dynamic prompt tooltip, type a letter and then backspace to delete it before you paste the entry. Otherwise, the entry is pasted into the drawing as text.


Use Dynamic Input (Procedure)

Control the Display of the User Coordinate System Icon
Use Dynamic Input
Use Dynamic Input
Create and Modify Objects > Use Precision Tools > Use Dynamic Input >
Use Dynamic Input
Concept Procedure Quick Reference

To enter coordinate values in dynamic input tooltips

To correct typing errors in dynamic input tooltips

To specify relative or absolute coordinates in pointer input tooltips

To choose options in dynamic prompt tooltips

To change the color, size, or transparency of tooltips

To merge the information in all drafting tooltips into one tooltip

To turn on or turn off Dynamic Input

To change pointer input settings

To change dimensional input settings

To display prompts in tooltips


To enter coordinate values in dynamic input tooltips (Procedure)

Use Dynamic Input
Use Dynamic Input
Use Dynamic Input
Create and Modify Objects > Use Precision Tools > Use Dynamic Input >
Use Dynamic Input
Concept Procedure Quick Reference

To enter coordinate values in dynamic input tooltips

  1. On the status bar, verify that the dynamic input button [image] is on.
  2. Use one of the following methods to enter coordinate values or select options:
    • To enter polar coordinates, enter the distance from the first point and press TAB, and then enter an angle value and press ENTER.
    • To enter Cartesian coordinates, enter an X coordinate value and a comma (,), and then enter a Y coordinate value and press ENTER.
    • If a down-arrow icon follows the prompt, press the DOWN ARROW key until a dot is displayed next to the option. Press ENTER.
    • Press the UP ARROW key to access recent coordinates, or right-click and click Recent Input to access the coordinates from a shortcut menu.
NoteFor dimensional input, after you type a value in an input field and press TAB, the field then displays a lock icon, and the cursor is constrained by the value that you entered.


To correct typing errors in dynamic input tooltips (Procedure)

Use Dynamic Input
Use Dynamic Input
Use Dynamic Input
Create and Modify Objects > Use Precision Tools > Use Dynamic Input >
Use Dynamic Input
Concept Procedure Quick Reference

To correct typing errors in dynamic input tooltips

  • When a dynamic input tooltip displays the red error outline, the current entry is selected. Type over the selected text to replace it. You can also use the RIGHT ARROW, LEFT ARROW, BACKSPACE, and DELETE keys to correct your entry. After you make the correction, press TAB, comma (,), or a left angle bracket (<) to remove the red outline and complete the coordinates.
  • If you type the @ or # or * prefixes in a pointer input tooltip and then want to change it, you can just type the character you want. There is no need to backspace.


To specify relative or absolute coordinates in pointer input tooltips (Procedure)

Use Dynamic Input
Use Dynamic Input
Use Dynamic Input
Create and Modify Objects > Use Precision Tools > Use Dynamic Input >
Use Dynamic Input
Concept Procedure Quick Reference

To specify relative or absolute coordinates in pointer input tooltips

  • To enter absolute coordinates when relative coordinates are displayed in the tooltip, enter # to temporarily override the DYNPICOORDS system variable.
  • To enter relative coordinates when absolute coordinates are displayed, enter @ to temporarily override the DYNPICOORDS system variable.
  • To enter absolute world coordinate system (WCS) coordinates, enter *.
NoteDuring pointer input, you can use the shortcut menu to access the # and * prefixes.


To choose options in dynamic prompt tooltips (Procedure)

Use Dynamic Input
Use Dynamic Input
Use Dynamic Input
Create and Modify Objects > Use Precision Tools > Use Dynamic Input >
Use Dynamic Input
Concept Procedure Quick Reference

To choose options in dynamic prompt tooltips

  1. Start a command.

    Tooltips near the crosshairs display the coordinates of the cursor location and a prompt.

  2. If a prompt is displayed, press the DOWN ARROW key to display the options.
  3. Press DOWN ARROW or UP ARROW to place a dot next to the option you want. Press ENTER.

    Press ESC to undo the most recent action.

  4. Specify points and enter options to complete the command.


To change the color, size, or transparency of tooltips (Procedure)

Use Dynamic Input
Use Dynamic Input
Use Dynamic Input
Create and Modify Objects > Use Precision Tools > Use Dynamic Input >
Use Dynamic Input
Concept Procedure Quick Reference

To change the color, size, or transparency of tooltips

  1. Right-click the dynamic input button [image] on the status bar. Click Settings.
  2. In the Drafting Settings dialog box, Dynamic input tab, click Drafting Tooltip Appearance.
  3. In the Tooltip Appearance dialog box, under Color, click Model Color or Layout Color to display the Select Color dialog box, where you can specify a color for tooltips in the space you selected.
  4. Under Size, move the slider to the right to make tooltips larger or to the left to make them smaller. The default value, 0, is in the middle.
  5. Under Transparency, move the slider. The lower the setting, the more transparent the tooltip. A value of 100 sets the tooltip to opaque.
  6. Under Apply To, choose an option:
    • Override OS Settings for All Drafting Tooltips. Applies the settings to all tooltips, overriding the settings in the operating system.
    • Use Settings Only for Dynamic Input Tooltips. Applies the settings only to the drafting tooltips used in Dynamic Input.
  7. Click OK.
Command entry: DYNTOOLTIPS


To merge the information in all drafting tooltips into one tooltip (Procedure)

Use Dynamic Input
Use Dynamic Input
Use Dynamic Input
Create and Modify Objects > Use Precision Tools > Use Dynamic Input >
Use Dynamic Input
Concept Procedure Quick Reference

To merge the information in all drafting tooltips into one tooltip

  • At the command prompt, enter tooltipmerge.

Tooltips that display drafting information are merged into one.


To turn on or turn off Dynamic Input (Procedure)

Use Dynamic Input
Use Dynamic Input
Use Dynamic Input
Create and Modify Objects > Use Precision Tools > Use Dynamic Input >
Use Dynamic Input
Concept Procedure Quick Reference

To turn on or turn off Dynamic Input

  • On the status bar, click the dynamic input button [image], or press F12.

To turn off Dynamic Input temporarily, hold down the F12 key while you work.

NoteThe F12 temporary override key does not turn on Dynamic Input.


To change pointer input settings (Procedure)

Use Dynamic Input
Use Dynamic Input
Use Dynamic Input
Create and Modify Objects > Use Precision Tools > Use Dynamic Input >
Use Dynamic Input
Concept Procedure Quick Reference

To change pointer input settings

  1. Right-click the dynamic input button [image] on the status bar. Click Settings.
  2. In the Drafting Settings dialog box, Dynamic input tab, under Pointer Input, click Settings.
  3. In the Pointer Input Settings dialog box, select polar or Cartesian format as the default.
  4. Select relative or absolute coordinate format as the default.
  5. Under Visibility, select one of the following options:
    • As Soon As I Type Coordinate Data. When pointer input is turned on, displays tooltips only when you start to enter coordinate data.
    • When a Command Asks for a Point. When pointer input is turned on, displays tooltips whenever a command prompts for a point.
    • Always—Even When Not in a Command. Always displays tooltips when pointer input is turned on.
  6. Click OK to close each dialog box.
Command entry: DSETTINGS


To change dimensional input settings (Procedure)

Use Dynamic Input
Use Dynamic Input
Use Dynamic Input
Create and Modify Objects > Use Precision Tools > Use Dynamic Input >
Use Dynamic Input
Concept Procedure Quick Reference

To change dimensional input settings

  1. Right-click the dynamic input button [image] on the status bar. Click Settings.
  2. In the Drafting Settings dialog box, Dynamic input tab, under Dimension Input, click Settings.
  3. In the Dimension Input Settings dialog box, select Polar or Cartesian format as the default.
  4. Under Visibility, select one of the following options:
    • Show Only 1 Dimension Input Field at a Time. Displays only the distance dimensional input tooltip when you are using grip editing to stretch an object.
    • Show 2 Dimension Input Fields at a Time. Displays the distance and angle dimensional input tooltips when you are using grip editing to stretch an object.
    • Show the Following Dimension Input Fields Simultaneously. Displays the selected dimensional input tooltips when you are using grip editing to stretch an object. Select one or more of the check boxes.
  5. Click OK to close each dialog box.
Command entry: DSETTINGS


To display prompts in tooltips (Procedure)

Use Dynamic Input
Use Dynamic Input
Snap to Locations on Objects (Object Snaps)
Create and Modify Objects > Use Precision Tools > Use Dynamic Input >
Use Dynamic Input
Concept Procedure Quick Reference

To display prompts in tooltips

  1. Right-click the dynamic input button [image] on the status bar. Click Settings.
  2. In the Drafting Settings dialog box, Dynamic input tab, under Dynamic Prompts, check Show Command Prompting and Command Input Near the Crosshairs.
  3. Click OK.
Command entry: DSETTINGS


Use Dynamic Input (Quick Reference)

Control the Display of the User Coordinate System Icon
Use Dynamic Input
Use Object Snaps
Create and Modify Objects > Use Precision Tools > Use Dynamic Input >
Use Dynamic Input
Concept Procedure Quick Reference

Commands

DSETTINGS

Sets grid and snap, polar and object snap tracking, object snap modes, and Dynamic Input

System Variables

DYNDIGRIP

Controls which dynamic dimensions are displayed during grip stretch editing

DYNDIVIS

Controls how many dynamic dimensions are displayed during grip stretch editing

DYNMODE

Turns Dynamic Input features on and off

DYNPICOORDS

Controls whether pointer input uses relative or absolute format for coordinates

DYNPIFORMAT

Controls whether pointer input uses polar or Cartesian format for coordinates

DYNPIVIS

Controls when pointer input is displayed

DYNPROMPT

Controls display of prompts in Dynamic Input tooltips

DYNTOOLTIPS

Controls which tooltips are affected by tooltip appearance settings

TEMPOVERRIDES

Turns temporary override keys on and off

TOOLTIPMERGE

Combines drafting tooltips into a single tooltip

Utilities

No entries

Command Modifiers

No entries


Snap to Locations on Objects (Object Snaps)

Use Dynamic Input
Use Precision Tools
Use Object Snaps
Create and Modify Objects > Use Precision Tools >
Snap to Locations on Objects (Object Snaps)
Concept Procedure

Instead of entering coordinates, you can specify points relative to existing objects such as endpoints of lines or center points of circles.

Topics in this section

  • Use Object Snaps

    Use object snaps to specify precise locations on objects. For example, you can use an object snap to draw a line to the center of a circle or to the midpoint of a polyline segment.

  • The Object Snap Menu

    Specify an object snap quickly and conveniently from a shortcut menu.

  • Set Visual Aids for Object Snaps (AutoSnap)

    Object snaps include a visual aid called AutoSnap™ to help you see and use object snaps more efficiently. AutoSnap displays a marker and a tooltip when you move your cursor over an object snap location.

  • Override Object Snap Settings

    While you work, you can turn running object snaps on and off temporarily by using an override key. Temporary override keys can also be used for other drawing aids; for example, Ortho mode and Polar mode.


Snap to Locations on Objects (Object Snaps) (Procedure)

Use Dynamic Input
Snap to Locations on Objects (Object Snaps)
Use Object Snaps
Create and Modify Objects > Use Precision Tools > Snap to Locations on Objects (Object Snaps) >
Snap to Locations on Objects (Object Snaps)
Concept Procedure

To snap to a geometric point on an object

To set running object snaps

To turn on and turn off running object snaps as you work

To set object snaps to ignore hatch objects

To display the object snap menu

To change the AutoSnap settings

To temporarily override the running object snap settings

To change the keyboard response time for temporary override keys


Use Object Snaps (Concept)

Snap to Locations on Objects (Object Snaps)
Snap to Locations on Objects (Object Snaps)
The Object Snap Menu
Create and Modify Objects > Use Precision Tools > Snap to Locations on Objects (Object Snaps) >
Use Object Snaps
Concept Procedure Quick Reference

Use object snaps to specify precise locations on objects. For example, you can use an object snap to draw a line to the center of a circle or to the midpoint of a polyline segment.

You can specify an object snap whenever you are prompted for a point. By default, a marker and a tooltip are displayed when you move the cursor over an object snap location on an object. This feature, called AutoSnap™, provides a visual clue that indicates which object snaps are in effect.

For a list of object snaps, see OSNAP.

Specify an Object Snap

To specify an object snap at a prompt for a point, you can

  • Press SHIFT and right-click to display the Object Snap shortcut menu
  • Click an object snap button on the Object Snap toolbar
  • Enter the name of an object snap at the command prompt
  • On the status bar, right-click the object snap button

When you specify an object snap at a prompt for a point, the object snap stays in effect only for the next point that you specify.

NoteObject snaps work only when you are prompted for a point. If you try to use an object snap at the command prompt, an error message is displayed.

Use Running Object Snaps

If you need to use one or more object snaps repeatedly, you can turn on running object snaps. For example, you might set Center as a running object snap if you need to connect the centers of a series of circles with a line.

You can specify one or more running object snaps on the Object Snaps tab in the Drafting Settings dialog box, which is accessible from the Tools menu. If several running object snaps are on, more than one object snap may be eligible at a given location. Press TAB to cycle through the possibilities before you specify the point.

Click the OSNAP button on the status bar or press F3 to turn running object snaps on and off.

NoteIf you want object snaps to ignore hatch objects, set the OSOPTIONS system variable to 1.

Use Object Snaps in 3D

By default, the Z-value of an object snap location is determined by the object's location in space. However, if you work with object snaps on the plan view of a building or the top view of a part, a constant Z-value is more useful.

If you turn on the OSNAPZ system variable, all object snaps are projected onto the XY plane of the current UCS or, if ELEV is set to a non-zero value, onto a plane parallel to XY plane at the specified elevation.

NoteWhen you draw or modify objects, make sure that you know whether OSNAPZ is on or off. There is no visual reminder, and you can get unexpected results.


Use Object Snaps (Procedure)

Snap to Locations on Objects (Object Snaps)
Up a level to ..
Use Object Snaps
Create and Modify Objects > Use Precision Tools > Snap to Locations on Objects (Object Snaps) > Use Object Snaps >
Use Object Snaps
Concept Procedure Quick Reference

To snap to a geometric point on an object

To set running object snaps

To turn on and turn off running object snaps as you work

To set object snaps to ignore hatch objects


To snap to a geometric point on an object (Procedure)

Use Object Snaps
Up a level to ..
Use Object Snaps
Create and Modify Objects > Use Precision Tools > Snap to Locations on Objects (Object Snaps) > Use Object Snaps >
Use Object Snaps
Concept Procedure Quick Reference

To snap to a geometric point on an object

  1. At the prompt for a point, hold down SHIFT and right-click in the drawing area. Select the object snap you want to use.
  2. Move your cursor over the desired object snap location.

    If AutoSnap is on, your cursor automatically locks onto the snap location you selected, and a marker and tooltip indicate the object snap point.

  3. Select an object.

    The cursor snaps to the eligible location closest to your selection.


To set running object snaps (Procedure)

Use Object Snaps
Up a level to ..
Use Object Snaps
Create and Modify Objects > Use Precision Tools > Snap to Locations on Objects (Object Snaps) > Use Object Snaps >
Use Object Snaps
Concept Procedure Quick Reference

To set running object snaps

  1. Click Tools menu [image] Drafting Settings.At the command prompt, enter dsettings.
  2. In the Drafting Settings dialog box, Object Snap tab, select the object snaps you want to use.
  3. Click OK.
Command entry: OSNAP

Shortcut menu: Right-click the OSNAP button [image] on the status bar. Click Settings.


To turn on and turn off running object snaps as you work (Procedure)

Use Object Snaps
Up a level to ..
Use Object Snaps
Create and Modify Objects > Use Precision Tools > Snap to Locations on Objects (Object Snaps) > Use Object Snaps >
Use Object Snaps
Concept Procedure Quick Reference

To turn on and turn off running object snaps as you work

  • On the status bar, click Osnap [image], or press F3.

If running object snaps have been set, the settings are turned on or off.

To turn running object snaps on and off temporarily, hold down the F3 key while you work.

Command entry: OSNAP


To set object snaps to ignore hatch objects (Procedure)

Use Object Snaps
Up a level to ..
The Object Snap Menu
Create and Modify Objects > Use Precision Tools > Snap to Locations on Objects (Object Snaps) > Use Object Snaps >
Use Object Snaps
Concept Procedure Quick Reference

To set object snaps to ignore hatch objects

  1. At the command prompt, enter osoptions.
  2. Enter 1.


Use Object Snaps (Quick Reference)

Use Dynamic Input
Use Object Snaps
The Object Snap Menu
Create and Modify Objects > Use Precision Tools > Snap to Locations on Objects (Object Snaps) > Use Object Snaps >
Use Object Snaps
Concept Procedure Quick Reference

Commands

APERTURE

Sets the display size for the object snap target box, in pixels

OPTIONS

Customizes the program settings

OSNAP

Sets running object snap modes

System Variables

APBOX

Turns the display of the AutoSnap aperture box on or off

AUTOSNAP

Controls the display of the AutoSnap marker, tooltip, and magnet

OSMODE

Sets running object snaps

OSNAPZ

Controls whether object snaps are automatically projected onto a plane parallel to the XY plane of the current UCS at the current elevation

OSNAPCOORD

Controls whether coordinates entered on the command line override running object snaps

OSOPTIONS

Automatically suppresses object snaps on hatch objects and geometry with negative Z values when using a dynamic UCS

Utilities

No entries

Command Modifiers

MTP

Locates the midpoint between two points


The Object Snap Menu (Concept)

Use Object Snaps
Snap to Locations on Objects (Object Snaps)
Set Visual Aids for Object Snaps (AutoSnap)
Create and Modify Objects > Use Precision Tools > Snap to Locations on Objects (Object Snaps) >
The Object Snap Menu
Concept Procedure Quick Reference

Specify an object snap quickly and conveniently from a shortcut menu.

The object snap menu is displayed at your cursor location when you hold down SHIFT and click the right mouse button or the equivalent button on another pointing device.

The default object snap menu lists object snaps and tracking options. If you want to change the options, you can modify a customization file. The main customization file that’s shipped with the product is acad.cui.

See Also

    • Create Pull-Down and Shortcut Menus in the Customization Guide

    • Use Object Snaps


To display the object snap menu (Procedure)

Use Object Snaps
Up a level to ..
Set Visual Aids for Object Snaps (AutoSnap)
Create and Modify Objects > Use Precision Tools > Snap to Locations on Objects (Object Snaps) > The Object Snap Menu >
The Object Snap Menu
Concept Procedure Quick Reference

To display the object snap menu

  1. Enter any command that prompts you to specify a point. For example, enter line.
  2. At the From Point prompt, hold down SHIFT  and right-click.

    The object snap menu is displayed, and you can click an object snap option.

Shortcut menu: On the status bar, right-click the object snap button [image]. Click Settings.


The Object Snap Menu (Quick Reference)

Use Object Snaps
The Object Snap Menu
Set Visual Aids for Object Snaps (AutoSnap)
Create and Modify Objects > Use Precision Tools > Snap to Locations on Objects (Object Snaps) > The Object Snap Menu >
The Object Snap Menu
Concept Procedure Quick Reference

Commands

OSNAP

Sets running object snap modes

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Set Visual Aids for Object Snaps (AutoSnap) (Concept)

The Object Snap Menu
Snap to Locations on Objects (Object Snaps)
Override Object Snap Settings
Create and Modify Objects > Use Precision Tools > Snap to Locations on Objects (Object Snaps) >
Set Visual Aids for Object Snaps (AutoSnap)
Concept Procedure Quick Reference

Object snaps include a visual aid called AutoSnap™ to help you see and use object snaps more efficiently. AutoSnap displays a marker and a tooltip when you move your cursor over an object snap location.

AutoSnap Tools

AutoSnap consists of the following snap tools:

  • Marker. Displays the object snap location when the cursor moves over or near an object. Marker shape is dependent on the snap it is marking.
  • Tooltip. Describes which part of the object you are snapping to in a small flag at the cursor location.
  • Magnet. Attracts and locks the cursor onto the nearest detected snap points. Provides a visual cue, similar to snapping to a grid.
  • Aperture box. Surrounds the crosshairs and defines an area within which object snaps are evaluated. You can choose to display or not display the aperture box, and you can change the aperture box size.

The AutoSnap markers, tooltips, and magnet are turned on by default. You can change AutoSnap settings on the Drafting tab in the Options dialog box.

Use AutoSnap to Confirm or Change an Object Snap

If you have set more than one running object snap, you can press TAB to cycle through all the object snap points available for a particular object.


To change the AutoSnap settings (Procedure)

The Object Snap Menu
Up a level to ..
Override Object Snap Settings
Create and Modify Objects > Use Precision Tools > Snap to Locations on Objects (Object Snaps) > Set Visual Aids for Object Snaps (AutoSnap) >
Set Visual Aids for Object Snaps (AutoSnap)
Concept Procedure Quick Reference

To change the AutoSnap settings

  1. Click Tools menu [image] Options.At the command prompt, enter options.
  2. In the Options dialog box, Drafting tab, change settings as needed:
    • Marker. Turns the marker on or off.
    • Magnet. Turns the magnet on or off.
    • Display AutoSnap Tooltip. Turns tooltips on or off.
    • Display AutoSnap Aperture Box. Turns the target box on or off when you specify an object snap. This setting does not affect object snaps when you are not using AutoSnap.
    • AutoSnap Marker Color. Changes the color of the marker.
    • AutoSnap Marker Size. Adjusts the size of the marker.
  3. Click OK.
Command entry: OPTIONS


Set Visual Aids for Object Snaps (AutoSnap) (Quick Reference)

The Object Snap Menu
Set Visual Aids for Object Snaps (AutoSnap)
Override Object Snap Settings
Create and Modify Objects > Use Precision Tools > Snap to Locations on Objects (Object Snaps) > Set Visual Aids for Object Snaps (AutoSnap) >
Set Visual Aids for Object Snaps (AutoSnap)
Concept Procedure Quick Reference

Commands

APERTURE

Sets the display size for the object snap target box, in pixels

OPTIONS

Customizes the program settings

OSNAP

Sets running object snap modes

System Variables

APBOX

Turns the display of the AutoSnap aperture box on or off

AUTOSNAP

Controls the display of the AutoSnap marker, tooltip, and magnet

OSMODE

Sets running object snaps

Utilities

No entries

Command Modifiers

No entries


Override Object Snap Settings (Concept)

Set Visual Aids for Object Snaps (AutoSnap)
Snap to Locations on Objects (Object Snaps)
Restrict Cursor Movement
Create and Modify Objects > Use Precision Tools > Snap to Locations on Objects (Object Snaps) >
Override Object Snap Settings
Concept Procedure Quick Reference

While you work, you can turn running object snaps on and off temporarily by using an override key. Temporary override keys can also be used for other drawing aids; for example, Ortho mode and Polar mode.

For example, if you have set running object snaps but you want to turn them off for one point, you can hold down F3. When you release this override key, running object snaps are restored.

There are also temporary override keys for individual object snaps. Override keys are set up to be easy to find by touch without looking away from your drawing.

The keys in the following illustration are the default keys, but you can change key assignments and add your own as needed.

Hold down SHIFT and one of the temporary override keys in the illustration:
1 | Object snap override: Endpoint | 5 | Turns off all snapping and tracking
2 | Enforces object snap selection | 6 | Object snap override: Center
3 | Toggles object snap tracking | 7 | Object snap override: Midpoint
4 | Toggles object snap mode (OSNAP) |  |

Temporary override keys are also available for the other drawing aids that you set in the Drafting Settings dialog box.

See Also

    • Adjust Grid and Grid Snap

    • Use Orthogonal Locking (Ortho Mode)

    • Use Polar Tracking and PolarSnap

    • Use Dynamic Input

    • Add Shortcut Keys and Temporary Override Keys in the Customization Guide


Override Object Snap Settings (Procedure)

Set Visual Aids for Object Snaps (AutoSnap)
Up a level to ..
Override Object Snap Settings
Create and Modify Objects > Use Precision Tools > Snap to Locations on Objects (Object Snaps) > Override Object Snap Settings >
Override Object Snap Settings
Concept Procedure Quick Reference

To temporarily override the running object snap settings

To change the keyboard response time for temporary override keys


To temporarily override the running object snap settings (Procedure)

Override Object Snap Settings
Up a level to ..
Override Object Snap Settings
Create and Modify Objects > Use Precision Tools > Snap to Locations on Objects (Object Snaps) > Override Object Snap Settings >
Override Object Snap Settings
Concept Procedure Quick Reference

To temporarily override the running object snap settings

  • Hold down F3 while you work.

    When you release the key, the current running object snap settings are restored.


To change the keyboard response time for temporary override keys (Procedure)

Override Object Snap Settings
Up a level to ..
Restrict Cursor Movement
Create and Modify Objects > Use Precision Tools > Snap to Locations on Objects (Object Snaps) > Override Object Snap Settings >
Override Object Snap Settings
Concept Procedure Quick Reference

To change the keyboard response time for temporary override keys

  1. In the Windows Control Panel, click Keyboard.
  2. In the Keyboard Properties dialog box, on the Speed tab, drag the Repeat Rate slider to adjust the keyboard response time. Then click OK.


Override Object Snap Settings (Quick Reference)

Set Visual Aids for Object Snaps (AutoSnap)
Override Object Snap Settings
Adjust Grid and Grid Snap
Create and Modify Objects > Use Precision Tools > Snap to Locations on Objects (Object Snaps) > Override Object Snap Settings >
Override Object Snap Settings
Concept Procedure Quick Reference

Commands

CUI

Manages customized user interface elements such as workspaces, toolbars, menus, shortcut menus and keyboard shortcuts

CUSTOMIZE

Customizes tool palettes

OPTIONS

Customizes the program settings

OSNAP

Sets running object snap modes

System Variables

OSMODE

Sets running object snaps

TEMPOVERRIDES

Turns temporary override keys on and off

Utilities

No entries

Command Modifiers

No entries


Restrict Cursor Movement

Override Object Snap Settings
Use Precision Tools
Adjust Grid and Grid Snap
Create and Modify Objects > Use Precision Tools >
Restrict Cursor Movement
Concept Procedure

Several tools are available that you can use to restrict or lock the movement of your cursor.

Topics in this section

  • Adjust Grid and Grid Snap

    To enhance drawing speed and efficiency, you can display and snap to a rectangular grid. You can also control its spacing, angle, and alignment.

  • Use Orthogonal Locking (Ortho Mode)

    You can restrict cursor movement to horizontal and vertical for convenience and precision when creating and modifying objects.

  • Use Polar Tracking and PolarSnap

    Polar tracking restricts cursor movement to specified angles. PolarSnap restricts cursor movement to specified increments along a polar angle.

  • Lock an Angle for One Point (Angle)

    You can specify an angle override that locks the cursor for the next point entered.


Restrict Cursor Movement (Procedure)

Override Object Snap Settings
Restrict Cursor Movement
Adjust Grid and Grid Snap
Create and Modify Objects > Use Precision Tools > Restrict Cursor Movement >
Restrict Cursor Movement
Concept Procedure

To display a grid and set grid spacing

To turn on Snap mode and set snap spacing

To set the grid limits

To temporarily override Snap mode

To rotate the grid and snap angle and change the base point

To change the grid display between dots and lines

To change the frequency of major grid lines

To turn on or turn off Ortho mode

To turn on and turn off polar tracking

To set polar snap distance

To draw objects using polar tracking

To draw objects using polar distance

To set polar tracking angles


Adjust Grid and Grid Snap (Concept)

Restrict Cursor Movement
Restrict Cursor Movement
Use Orthogonal Locking (Ortho Mode)
Create and Modify Objects > Use Precision Tools > Restrict Cursor Movement >
Adjust Grid and Grid Snap
Concept Procedure Quick Reference

To enhance drawing speed and efficiency, you can display and snap to a rectangular grid. You can also control its spacing, angle, and alignment.

The grid is a rectangular pattern of dots or lines that extends over the area you specify as the grid limits. Using the grid is similar to placing a sheet of grid paper under a drawing. The grid helps you align objects and visualize the distances between them. The grid is not plotted.

Snap mode restricts the movement of the crosshairs to intervals that you define. When Snap mode is on, the cursor seems to adhere, or "snap," to an invisible rectangular grid. Snap is useful for specifying precise points with the arrow keys or the pointing device.

Grid mode and Snap mode are independent but are often turned on at the same time.

Control the Display Style and Area of the Grid

You can display the grid either as a rectangular pattern of dots or as rectangular pattern of lines. The grid displays dots only when the current visual style is set to 2D Wireframe, otherwise the grid displays lines. A lined grid is displayed for all visual styles while working in 3D. There are several methods to change the current visual style, including the VSCURRENT command.

By default, the X and Y axes of the UCS display in a different color than the grid lines. You can control the color in the Drawing Window Colors dialog box. This dialog box is accessible from the Drafting tab in the Options dialog box.

The LIMITS command controls the drawing area covered by the grid. As an option, you can override the limits to make the grid cover the entire XY plane of the user coordinate system (UCS). You can access this option in the Drafting Settings dialog box or use the GRIDDISPLAY system variable.

NoteWhen you use dynamic UCS, the grid limits are set automatically relative to the size of the selected face of the solid and the drawing area available.

Control the Frequency of Major Grid Lines

If the grid is displayed as lines rather than dots, darker lines called major grid lines display at intervals. When working in decimal units or with feet and inches, major grid lines are especially useful for measuring distances quickly. You can control the frequency of major grid lines in the Drafting Settings dialog box.

To turn off the display of major grid lines, set the frequency of major grid lines to 1.

NoteIf the grid is displayed as lines, the grid limits are displayed also as darker lines. Do not confuse these boundaries with major grid lines.
NoteWhen the grid is displayed as lines and SNAPANG is set to a value other than 0, the grid will not display. SNAPANG does not affect the display of the dotted grid.

Change the Grid Dynamically During Zooming

If you zoom in or out of your drawing, the grid spacing is adjusted automatically to be more appropriate for the new magnification. This is called adaptive grid display.

For example, if you zoom way out, the density of displayed grid lines reduces automatically. Conversely, if you zoom way in, additional grid lines display in the same proportion as the major grid lines.

Change Grid and Snap Spacing

As you work, you can turn Grid and Snap mode on and off, and you can change the grid and snap spacing. You can turn Snap mode on and off temporarily by using an override key.

Snap spacing does not have to match grid spacing. For example, you might set a wide grid spacing to be used as a reference but maintain a closer snap spacing for accuracy in specifying points.

Change the Grid and Snap Angle and Base

If you need to draw along a specific alignment or angle, you can change the grid and snap angle by rotating the user coordinate system (UCS). This rotation realigns the crosshairs on the screen to match the new angle. In the following example, the UCS is rotated 30 degrees to match the angle of the anchor bracket.

The grid and snap points are always aligned with the UCS origin. If you need to shift the grid and grid snap origin, move the UCS.

See Also

    • Set Isometric Grid and Snap

    • Override Object Snap Settings

    • Use a Visual Style to Display Your Model


Adjust Grid and Grid Snap (Procedure)

Restrict Cursor Movement
Up a level to ..
Adjust Grid and Grid Snap
Create and Modify Objects > Use Precision Tools > Restrict Cursor Movement > Adjust Grid and Grid Snap >
Adjust Grid and Grid Snap
Concept Procedure Quick Reference

To display a grid and set grid spacing

To turn on Snap mode and set snap spacing

To set the grid limits

To temporarily override Snap mode

To rotate the grid and snap angle and change the base point

To change the grid display between dots and lines

To change the frequency of major grid lines


To display a grid and set grid spacing (Procedure)

Adjust Grid and Grid Snap
Up a level to ..
Adjust Grid and Grid Snap
Create and Modify Objects > Use Precision Tools > Restrict Cursor Movement > Adjust Grid and Grid Snap >
Adjust Grid and Grid Snap
Concept Procedure Quick Reference

To display a grid and set grid spacing

  1. Click Tools menu [image] Drafting Settings.At the command prompt, enter dsettings.
  2. In the Drafting Settings dialog box, Snap and Grid tab, select Grid On to display the grid.
  3. Under Snap Type, make sure Grid Snap and Rectangular Snap are selected.
  4. For Grid X Spacing, enter the horizontal grid spacing in units.
  5. To use the same value for vertical grid spacing, press ENTER. Otherwise, enter a new value for Grid Y Spacing.
  6. Click OK.
Command entry: DSETTINGS
Shortcut menu: On the status bar, right-click the snap button [image]. Click Settings.


To turn on Snap mode and set snap spacing (Procedure)

Adjust Grid and Grid Snap
Up a level to ..
Adjust Grid and Grid Snap
Create and Modify Objects > Use Precision Tools > Restrict Cursor Movement > Adjust Grid and Grid Snap >
Adjust Grid and Grid Snap
Concept Procedure Quick Reference

To turn on Snap mode and set snap spacing

  1. Click Tools menu [image] Drafting Settings.At the command prompt, enter dsettings.
  2. In the Drafting Settings dialog box, Snap and Grid tab, select Snap On.
  3. Under Snap Type, make sure Grid Snap and Rectangular Snap are selected.
  4. In the Snap X Spacing box, enter the horizontal snap spacing value in units.
  5. To specify the same vertical snap spacing, press ENTER. Otherwise, enter a new distance in the Snap Y Spacing box.
  6. Click OK.
Command entry: DSETTINGS
Shortcut menu: On the status bar, right-click the snap button [image]. Click Settings.


To set the grid limits (Procedure)

Adjust Grid and Grid Snap
Up a level to ..
Adjust Grid and Grid Snap
Create and Modify Objects > Use Precision Tools > Restrict Cursor Movement > Adjust Grid and Grid Snap >
Adjust Grid and Grid Snap
Concept Procedure Quick Reference

To set the grid limits

  1. Click Format menu [image] Drawing Limits.At the command prompt, enter limits.
  2. At the command prompt, enter the coordinate values for a point at the lower left corner of the grid limits.
  3. Enter the coordinate values for a point at the upper right corner of the grid limits.

The grid limits are set to a rectangular area defined by the two points.

Command entry: LIMITS


To temporarily override Snap mode (Procedure)

Adjust Grid and Grid Snap
Up a level to ..
Adjust Grid and Grid Snap
Create and Modify Objects > Use Precision Tools > Restrict Cursor Movement > Adjust Grid and Grid Snap >
Adjust Grid and Grid Snap
Concept Procedure Quick Reference

To temporarily override Snap mode

  • Hold down F9 while you work.

    When you release the key, Snap mode is restored.


To rotate the grid and snap angle and change the base point (Procedure)

Adjust Grid and Grid Snap
Up a level to ..
Adjust Grid and Grid Snap
Create and Modify Objects > Use Precision Tools > Restrict Cursor Movement > Adjust Grid and Grid Snap >
Adjust Grid and Grid Snap
Concept Procedure Quick Reference

To rotate the grid and snap angle and change the base point

  1. Click View tab [image] UCS panel [image] Z.At the command prompt, enter ucs.
  2. Enter the rotation angle for the UCS.
  3. Click View tab [image] UCS panel [image] Origin.At the command prompt, enter ucs.
  4. Specify a new origin point for the UCS.
  5. Click OK.
Command entry: UCS


To change the grid display between dots and lines (Procedure)

Adjust Grid and Grid Snap
Up a level to ..
Adjust Grid and Grid Snap
Create and Modify Objects > Use Precision Tools > Restrict Cursor Movement > Adjust Grid and Grid Snap >
Adjust Grid and Grid Snap
Concept Procedure Quick Reference

To change the grid display between dots and lines

  1. At the command prompt, enter VSCURRENT.
  2. Do one of the following:
    • To display the grid as dots, specify the 2D Wireframe option.
    • To display the grid as lines, specify any other option.
Command entry: VSCURRENT


To change the frequency of major grid lines (Procedure)

Adjust Grid and Grid Snap
Up a level to ..
Use Orthogonal Locking (Ortho Mode)
Create and Modify Objects > Use Precision Tools > Restrict Cursor Movement > Adjust Grid and Grid Snap >
Adjust Grid and Grid Snap
Concept Procedure Quick Reference

To change the frequency of major grid lines

  1. If necessary, at the command prompt, enter VSCURRENT and specify any visual style other than 2D Wireframe.
  2. Click Tools menu [image] Drafting Settings.At the command prompt, enter dsettings.
  3. In the Drafting Settings dialog box, Snap and Grid tab, specify a number for Major Line Every.
  4. Click OK.
Command entry: VSCURRENT
Shortcut menu: On the status bar, right-click the snap button [image]. Click Settings.


Adjust Grid and Grid Snap (Quick Reference)

Override Object Snap Settings
Adjust Grid and Grid Snap
Use Orthogonal Locking (Ortho Mode)
Create and Modify Objects > Use Precision Tools > Restrict Cursor Movement > Adjust Grid and Grid Snap >
Adjust Grid and Grid Snap
Concept Procedure Quick Reference

Commands

DSETTINGS

Sets grid and snap, polar and object snap tracking, object snap modes, and Dynamic Input

GRID

Displays a grid pattern in the current viewport

LIMITS

Sets and controls the limits of the grid display in the current Model or layout tab

SHADEMODE

Starts the VSCURRENT command

SNAP

Restricts cursor movement to specified intervals

System Variables

GRIDDISPLAY

Controls the display behavior and display limits of the grid

GRIDMODE

Specifies whether the grid is turned on or off

GRIDMAJOR

Controls the frequency of major grid lines compared to minor grid lines

GRIDUNIT

Specifies the grid spacing (X and Y) for the current viewport

LIMCHECK

Controls the creation of objects outside the grid limits

LIMMAX

Stores the upper-right grid limits for the current space, expressed as a world coordinate

LIMMIN

Stores the lower-left grid limits for the current space, expressed as a world coordinate

SNAPANG

Sets the snap and grid rotation angle for the current viewport relative to the current UCS

SNAPBASE

Sets the snap and grid origin point for the current viewport relative to the current UCS

SNAPMODE

Turns the Snap mode on and off

SNAPTYPE

Sets the type of snap for the current viewport

SNAPUNIT

Sets the snap spacing for the current viewport

TEMPOVERRIDES

Turns temporary override keys on and off

Utilities

No entries

Command Modifiers

No entries


Use Orthogonal Locking (Ortho Mode) (Concept)

Adjust Grid and Grid Snap
Restrict Cursor Movement
Use Polar Tracking and PolarSnap
Create and Modify Objects > Use Precision Tools > Restrict Cursor Movement >
Use Orthogonal Locking (Ortho Mode)
Concept Procedure Quick Reference

You can restrict cursor movement to horizontal and vertical for convenience and precision when creating and modifying objects.

As you create or move objects, you can use Ortho mode to restrict the cursor to the horizontal or vertical axis. As you move the cursor, the rubber-band line follows the horizontal or vertical axis, whichever is nearest the cursor.

The orientation of the current user coordinate system (UCS) determines the horizontal and vertical directions. In 3D views, Ortho mode additionally restricts the cursor to the up and down directions. In that case, the tooltip displays a +Z or -Z for the angle.

TipUse direct distance entry with Ortho mode turned on to create orthogonal lines of specified lengths or to move objects specified distances.

You can turn Ortho on and off at any time during drawing and editing. Ortho is ignored when you enter coordinates or specify an object snap. To turn Ortho on or off temporarily, hold down the temporary override key, SHIFT. While you use the temporary override key, the direct distance entry method is not available.

For drawing or editing objects at angles that are not parallel to the horizontal or vertical axis, see Use Polar Tracking and PolarSnap.

If turned on, the isometric snap setting takes priority over the UCS in determining horizontal and vertical directions.

NoteOrtho mode and polar tracking cannot be on at the same time. Turning on Ortho turns off polar tracking.
See Also

    • Override Object Snap Settings


To turn on or turn off Ortho mode (Procedure)

Adjust Grid and Grid Snap
Up a level to ..
Use Polar Tracking and PolarSnap
Create and Modify Objects > Use Precision Tools > Restrict Cursor Movement > Use Orthogonal Locking (Ortho Mode) >
Use Orthogonal Locking (Ortho Mode)
Concept Procedure Quick Reference

To turn on or turn off Ortho mode

  • On the status bar, click the Ortho button .

    To turn Ortho on or off temporarily, hold down the SHIFT key while you work. While you use the temporary override key, the direct distance entry method is not available.

    NoteTurning on Ortho automatically turns off polar tracking.

Command entry: ORTHO


Use Orthogonal Locking (Ortho Mode) (Quick Reference)

Adjust Grid and Grid Snap
Use Orthogonal Locking (Ortho Mode)
Use Polar Tracking and PolarSnap
Create and Modify Objects > Use Precision Tools > Restrict Cursor Movement > Use Orthogonal Locking (Ortho Mode) >
Use Orthogonal Locking (Ortho Mode)
Concept Procedure Quick Reference

Commands

ORTHO

Constrains cursor movement to the horizontal or vertical direction

System Variables

ORTHOMODE

Constrains cursor movement to the perpendicular

TEMPOVERRIDES

Turns temporary override keys on and off

Utilities

No entries

Command Modifiers

No entries


Use Polar Tracking and PolarSnap (Concept)

Use Orthogonal Locking (Ortho Mode)
Restrict Cursor Movement
Lock an Angle for One Point (Angle)
Create and Modify Objects > Use Precision Tools > Restrict Cursor Movement >
Use Polar Tracking and PolarSnap
Concept Procedure Quick Reference

Polar tracking restricts cursor movement to specified angles. PolarSnap restricts cursor movement to specified increments along a polar angle.

When you are creating or modifying objects, you can use polar tracking to display temporary alignment paths defined by the polar angles you specify. In 3D views, polar tracking additionally provides an alignment path in the up and down directions. In that case, the tooltip displays a +Z or -Z for the angle.

Polar angles are relative to the orientation of the current user coordinate system (UCS) and the setting for the base angle convention in a drawing. The angle base direction is set in the Drawing Units dialog box.

Use PolarSnap™ to snap to specified distances along the alignment path. For example, in the following illustration you draw a two-unit line from point 1 to point 2, and then draw a two-unit line to point 3 at a 45-degree angle to the line. If you turn on the 45-degree polar angle increment, an alignment path and tooltip are displayed when your cursor crosses the 0 or 45-degree angle. The alignment path and tooltip disappear when you move the cursor away from the angle.

As you move your cursor, alignment paths and tooltips are displayed when you move the cursor near polar angles. The default angle measurement is 90 degrees. Use the alignment path and tooltip to draw your object. You can use polar tracking with Intersection and Apparent Intersection object snaps to find where a polar alignment path intersects another object.

NoteOrtho mode and polar tracking cannot be on at the same time. Turning on polar tracking turns off Ortho mode. Similarly, PolarSnap and grid snap cannot be on at the same time. Turning on PolarSnap turns off grid snap.

Specify Polar Angles (Polar Tracking)

You can use polar tracking to track along polar angle increments of 90, 60, 45, 30, 22.5, 18, 15, 10, and 5 degrees, or you can specify other angles. The following illustration shows the alignment paths displayed as you move your cursor 90 degrees with the polar angle increment set to 30 degrees.

The orientation of 0 depends on the angle you set in the Drawing Units dialog box (UNITS). The direction of snap (clockwise or counterclockwise) depends on the units direction you specify when setting units of measurement.

You can turn polar tracking on and off temporarily by using an override key. The direct distance entry method is not available while you are using the temporary override key for polar tracking.

Specify Polar Distances (PolarSnap)

PolarSnap restricts cursor movement to increments of a polar distance you specify. For example, if you specify a length of 4 units, the cursor snaps from the first point specified to lengths of 0, 4, 8, 12, 16, and so on. As you move your cursor, a tooltip indicates the nearest PolarSnap increment. To restrict point entry to polar distances, both polar tracking and Snap mode (set to PolarSnap) must be on. You can turn off all snapping and tracking temporarily by using an override key.

See Also

    • Override Object Snap Settings


Use Polar Tracking and PolarSnap (Procedure)

Use Orthogonal Locking (Ortho Mode)
Up a level to ..
Use Polar Tracking and PolarSnap
Create and Modify Objects > Use Precision Tools > Restrict Cursor Movement > Use Polar Tracking and PolarSnap >
Use Polar Tracking and PolarSnap
Concept Procedure Quick Reference

To turn on and turn off polar tracking

To set polar snap distance

To draw objects using polar tracking

To draw objects using polar distance

To set polar tracking angles


To turn on and turn off polar tracking (Procedure)

Use Polar Tracking and PolarSnap
Up a level to ..
Use Polar Tracking and PolarSnap
Create and Modify Objects > Use Precision Tools > Restrict Cursor Movement > Use Polar Tracking and PolarSnap >
Use Polar Tracking and PolarSnap
Concept Procedure Quick Reference

To turn on and turn off polar tracking

  • Press F10, or click the polar button [image] on the status bar.

    To turn polar tracking on or off temporarily, hold down the F10 key while you work.


To set polar snap distance (Procedure)

Use Polar Tracking and PolarSnap
Up a level to ..
Use Polar Tracking and PolarSnap
Create and Modify Objects > Use Precision Tools > Restrict Cursor Movement > Use Polar Tracking and PolarSnap >
Use Polar Tracking and PolarSnap
Concept Procedure Quick Reference

To set polar snap distance

  1. Click Tools menu [image] Drafting Settings.At the command prompt, enter dsettings.
  2. In the Drafting Settings dialog box, Snap and Grid tab, select Snap On.
  3. In Snap Type, select PolarSnap.
  4. Under Polar Spacing, enter the polar distance.
  5. On the Polar Tracking tab, select Polar Tracking On.
  6. Select the angle from the Increment Angle list.

    You can specify your own angles by choosing Additional Angles and then New.

  7. Click OK.
Command entry: DSETTINGS
Shortcut menu: On the status bar, right-click [image].


To draw objects using polar tracking (Procedure)

Use Polar Tracking and PolarSnap
Up a level to ..
Use Polar Tracking and PolarSnap
Create and Modify Objects > Use Precision Tools > Restrict Cursor Movement > Use Polar Tracking and PolarSnap >
Use Polar Tracking and PolarSnap
Concept Procedure Quick Reference

To draw objects using polar tracking

  1. Turn on polar tracking and start a drawing command, such as ARC, CIRCLE, or LINE.

    You can also use polar tracking with editing commands, such as COPY and MOVE.

  2. As you move your cursor to specify points, notice the dotted polar tracking line that appears at the tracking angles you specified. Points you specify while the line is displayed conform to the polar tracking angle.
Command entry: DSETTINGS


To draw objects using polar distance (Procedure)

Use Polar Tracking and PolarSnap
Up a level to ..
Use Polar Tracking and PolarSnap
Create and Modify Objects > Use Precision Tools > Restrict Cursor Movement > Use Polar Tracking and PolarSnap >
Use Polar Tracking and PolarSnap
Concept Procedure Quick Reference

To draw objects using polar distance

  1. Turn on snap and polar tracking.

    Make sure Polar Snap is selected in the Drafting Settings dialog box, Snap & Grid tab.

  2. Start a drawing command, such as LINE.
  3. As you move your cursor, notice that the dotted polar tracking line displays a tooltip that shows distance and angle.
  4. Specify a point.

    The length of the new line conforms to the polar distance.

Command entry: DSETTINGS


To set polar tracking angles (Procedure)

Use Polar Tracking and PolarSnap
Up a level to ..
Combine or Offset Points and Coordinates
Create and Modify Objects > Use Precision Tools > Restrict Cursor Movement > Use Polar Tracking and PolarSnap >
Use Polar Tracking and PolarSnap
Concept Procedure Quick Reference

To set polar tracking angles

  1. Click Tools menu [image] Drafting Settings.At the command prompt, enter dsettings.
  2. In the Drafting Settings dialog box, Polar Tracking tab, select Polar Tracking On.
  3. In the Increment Angle list, select the polar tracking angle.
  4. To set additional tracking angles, select Additional Angles. Click New. Enter the angle value in the text box.
  5. Under Polar Angle Measurement, specify whether polar tracking increments are based on the UCS or relative to the last object you created.
  6. Click OK.
Command entry: DSETTINGS

On the status bar, right-click [image]. Click an available angle or Settings to set additional tracking angles.


Use Polar Tracking and PolarSnap (Quick Reference)

Use Orthogonal Locking (Ortho Mode)
Use Polar Tracking and PolarSnap
Lock an Angle for One Point (Angle)
Create and Modify Objects > Use Precision Tools > Restrict Cursor Movement > Use Polar Tracking and PolarSnap >
Use Polar Tracking and PolarSnap
Concept Procedure Quick Reference

Commands

DSETTINGS

Sets grid and snap, polar and object snap tracking, object snap modes, and Dynamic Input

SNAP

Restricts cursor movement to specified intervals

UNITS

Controls coordinate and angle display formats and precision

System Variables

ANGBASE

Sets the base angle to 0 with respect to the current UCS

ANGDIR

Sets the direction of positive angles

AUTOSNAP

Controls the display of the AutoSnap marker, tooltip, and magnet

POLARANG

Sets the polar angle increment

POLARDIST

Sets the snap increment when the SNAPTYPE system variable is set to 1 (PolarSnap)

POLARMODE

Controls settings for polar and object snap tracking

SNAPTYPE

Sets the type of snap for the current viewport

TEMPOVERRIDES

Turns temporary override keys on and off

TRACKPATH

Controls the display of polar and object snap tracking alignment paths

Utilities

No entries

Command Modifiers

No entries


Lock an Angle for One Point (Angle) (Concept)

Use Polar Tracking and PolarSnap
Restrict Cursor Movement
Combine or Offset Points and Coordinates
Create and Modify Objects > Use Precision Tools > Restrict Cursor Movement >
Lock an Angle for One Point (Angle)
Concept Quick Reference

You can specify an angle override that locks the cursor for the next point entered.

To specify an angle override, enter a left angle bracket (<) followed by an angle whenever a command asks you to specify a point. The command prompt sequence below shows a 30-degree override entered during a LINE command.

Command: line

Specify first point: Specify a start point for the line

Specify next point or [Undo]: <30

Angle Override: 30

Specify next point or [Undo]: Specify a point

The angle you specify will lock the cursor, overriding Grid Snap, Ortho mode, and PolarSnap. Coordinate entry and object snaps have precedence over an angle override.


Lock an Angle for One Point (Angle) (Quick Reference)

Use Polar Tracking and PolarSnap
Lock an Angle for One Point (Angle)
Combine Coordinate Values (Coordinate Filters)
Create and Modify Objects > Use Precision Tools > Restrict Cursor Movement > Lock an Angle for One Point (Angle) >
Lock an Angle for One Point (Angle)
Concept Quick Reference

Commands

No entries

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Combine or Offset Points and Coordinates

Lock an Angle for One Point (Angle)
Use Precision Tools
Combine Coordinate Values (Coordinate Filters)
Create and Modify Objects > Use Precision Tools >
Combine or Offset Points and Coordinates
Concept Procedure

To specify a new point location, you can combine coordinate values from several points or you can specify offsets from existing objects.

Topics in this section

  • Combine Coordinate Values (Coordinate Filters)

    You can use coordinate filters to extract one coordinate value at a time from locations on existing objects.

  • Track to Points on Objects (Object Snap Tracking)

    You can draw objects at specific angles or in specific relationship to other objects along specified directions called alignment paths.

  • Track to Offset Point Locations (Tracking)

    You can use tracking to specify a point by offsetting vertically and horizontally from a series of temporary points.


Combine or Offset Points and Coordinates (Procedure)

Use Polar Tracking and PolarSnap
Combine or Offset Points and Coordinates
Combine Coordinate Values (Coordinate Filters)
Create and Modify Objects > Use Precision Tools > Combine or Offset Points and Coordinates >
Combine or Offset Points and Coordinates
Concept Procedure

To use coordinate filters to specify a point in 2D

To use coordinate filters to specify a point in 3D

To turn on and turn off object snap tracking

To change AutoTrack settings

To use tracking to specify a point


Combine Coordinate Values (Coordinate Filters) (Concept)

Combine or Offset Points and Coordinates
Combine or Offset Points and Coordinates
Track to Points on Objects (Object Snap Tracking)
Create and Modify Objects > Use Precision Tools > Combine or Offset Points and Coordinates >
Combine Coordinate Values (Coordinate Filters)
Concept Procedure Quick Reference

You can use coordinate filters to extract one coordinate value at a time from locations on existing objects.

Coordinate filters specify a new coordinate location by using the X value from one location, the Y value of a second location, and, for 3D coordinates, the Z value of a third location. When used with object snaps, coordinate filters extract coordinate values from an existing object.

Coordinate filters are commonly used to locate the center of a rectangle and to locate the projection of a 3D point on the XY plane of the UCS.

To specify a filter at the command prompt, enter a period and one or more of the letters X, Y, and Z. The next entry is limited to a specific coordinate value.

Example: Use of Coordinate Filters in 2D

In the following illustration, the hole in the holding plate was centered in the rectangle by extracting the X,Y coordinates from the midpoints of the plate's horizontal and vertical line segments.

Here is the command prompt sequence:

Command: circle

Specify center point for circle or [3P/2P/Ttr (tangent tangent radius)]: .x

of: mid

of: Select the horizontal line on the lower edge of the holding plate

of: (need YZ): mid

of: Select the vertical line on the left side of the holding plate

of: Diameter/<Radius> Specify the radius of the hole

Coordinate filters work only when the program prompts you for a point. If you try to use a coordinate filter at the command prompt, you see an error message.

Example: Use of Coordinate Filters in 3D

This example shows how to use coordinate filters to create a point object at the center (centroid) of a 3D object. Hidden lines have been removed for clarity. The X value of the new point is extracted from the first location specified, the Y value from the second location, and the Z value from the third. The three values are combined to form the coordinate values of the new point.

Command: point

Point: .x

of mid

of select object (1)

(need YZ): .y

of mid

of select object (2)

(need Z): mid

of select object (3)


Combine Coordinate Values (Coordinate Filters) (Procedure)

Combine or Offset Points and Coordinates
Up a level to ..
Combine Coordinate Values (Coordinate Filters)
Create and Modify Objects > Use Precision Tools > Combine or Offset Points and Coordinates > Combine Coordinate Values (Coordinate Filters) >
Combine Coordinate Values (Coordinate Filters)
Concept Procedure Quick Reference

To use coordinate filters to specify a point in 2D

To use coordinate filters to specify a point in 3D


To use coordinate filters to specify a point in 2D (Procedure)

Combine Coordinate Values (Coordinate Filters)
Up a level to ..
Combine Coordinate Values (Coordinate Filters)
Create and Modify Objects > Use Precision Tools > Combine or Offset Points and Coordinates > Combine Coordinate Values (Coordinate Filters) >
Combine Coordinate Values (Coordinate Filters)
Concept Procedure Quick Reference

To use coordinate filters to specify a point in 2D

  1. At the prompt for a point, enter a coordinate filter (.x or .y).

    For example, enter .x to specify the X value first.

  2. To extract the first coordinate value, specify a point.

    For example, if you entered .x in step 1, the X value is extracted from this point.

  3. To extract the next coordinate value, specify a different point.

    The new point location combines the coordinate values extracted from the points you specified in steps 2 and 3.

NoteInstead of specifying a point in steps 2 or 3, you can enter a numeric value.


To use coordinate filters to specify a point in 3D (Procedure)

Combine Coordinate Values (Coordinate Filters)
Up a level to ..
Track to Points on Objects (Object Snap Tracking)
Create and Modify Objects > Use Precision Tools > Combine or Offset Points and Coordinates > Combine Coordinate Values (Coordinate Filters) >
Combine Coordinate Values (Coordinate Filters)
Concept Procedure Quick Reference

To use coordinate filters to specify a point in 3D

  1. At the prompt for a point, enter a coordinate filter (.x, .y, .z, .xy, .xz, or .yz).

    For example, enter .x to specify the X value first.

  2. To extract the specified coordinate value(s), specify a point.

    For example, if you entered .x in step 1, the X value is extracted from this point.

  3. At the prompt for the remaining coordinates, do one of the following:
    • Extract the remaining coordinate values by specifying a point.
    • Enter another coordinate filter and return to step 2.

    For example, if you entered .x in step 1, specify a second point to extract the Y and Z coordinates simultaneously, or enter .y or .z to specify Y and Z values separately.

    The new point location combines the coordinate values extracted from the points specified in steps 2 and 3.

NoteInstead of specifying a point in steps 2 or 3, you can enter a numeric value.


Combine Coordinate Values (Coordinate Filters) (Quick Reference)

Lock an Angle for One Point (Angle)
Combine Coordinate Values (Coordinate Filters)
Track to Points on Objects (Object Snap Tracking)
Create and Modify Objects > Use Precision Tools > Combine or Offset Points and Coordinates > Combine Coordinate Values (Coordinate Filters) >
Combine Coordinate Values (Coordinate Filters)
Concept Procedure Quick Reference

Commands

No entries

System Variables

No entries

Utilities

No entries

Command Modifiers

Coordinate Filters

Combines X, Y, and Z values from different points to specify a single point


Track to Points on Objects (Object Snap Tracking) (Concept)

Combine Coordinate Values (Coordinate Filters)
Combine or Offset Points and Coordinates
Track to Offset Point Locations (Tracking)
Create and Modify Objects > Use Precision Tools > Combine or Offset Points and Coordinates >
Track to Points on Objects (Object Snap Tracking)
Concept Procedure Quick Reference

You can draw objects at specific angles or in specific relationship to other objects along specified directions called alignment paths.

AutoTrack™ helps you draw objects at specific angles or in specific relationships to other objects. When you turn on AutoTrack, temporary alignment paths help you create objects at precise positions and angles. AutoTrack includes two tracking options: polar tracking and object snap tracking.

You can toggle AutoTrack on and off with the Polar and Otrack buttons on the status bar. Use temporary override keys to turn object snap tracking on and off or to turn off all snapping and tracking. See the keyboard illustration in Override Object Snap Settings.

Object snap tracking works in conjunction with object snaps. You must set an object snap before you can track from an object's snap point.

Object Snap Tracking

Use object snap tracking to track along alignment paths that are based on object snap points. Acquired points display a small plus sign (+), and you can acquire up to seven tracking points at a time. After you acquire a point, horizontal, vertical, or polar alignment paths relative to the point are displayed as you move the cursor over their drawing paths. For example, you can select a point along a path based on an object endpoint or midpoint or an intersection between objects.

In the following illustration, the Endpoint object snap is on. You start a line by clicking its start point (1), move the cursor over another line's endpoint (2) to acquire it, and then move the cursor along the horizontal alignment path to locate the endpoint you want for the line you are drawing (3).

Change Object Snap Tracking Settings

By default, object snap tracking is set to orthogonal. Alignment paths are displayed at 0, 90, 180, and 270 degrees from acquired object points. However, you can use polar tracking angles instead.

For object snap tracking, object points are automatically acquired. However, you can choose to acquire points only when you press SHIFT.

Change Alignment Path Display

You can change how AutoTrack displays alignment paths, and you can change how object points are acquired for object snap tracking. By default, alignment paths stretch to the end of the drawing window. You can change their display to abbreviated lengths, or no length.

Tips for Using Object Snap Tracking

As you use AutoTrack (polar tracking and object snap tracking), you will discover techniques that make specific design tasks easier. Here are a few you might try.

  • Use Perpendicular, End, and Mid object snaps with object snap tracking to draw to points that are perpendicular to the end and midpoints of objects.
  • Use the Tangent and End object snaps with object snap tracking to draw to points that are tangent to the endpoints of arcs.
  • Use object snap tracking with temporary tracking points. At a point prompt, enter tt, then specify a temporary tracking point. A small + appears at the point. As you move your cursor, AutoTrack alignment paths are displayed relative to the temporary point. To remove the point, move the cursor back over the +.
  • After you acquire an object snap point, use direct distance to specify points at precise distances along alignment paths from the acquired object snap point. To specify a point prompt, select an object snap, move the cursor to display an alignment path, then enter a distance at the command prompt.
    NoteThe direct distance entry method is not available while you are using the temporary override key for object snap tracking.
  • Use the Automatic and SHIFT to Acquire options set on the Drafting tab of the Options dialog box to manage point acquisition. Point acquisition is set to Automatic by default. When working in close quarters, press SHIFT to temporarily avoid acquiring a point.


Track to Points on Objects (Object Snap Tracking) (Procedure)

Combine Coordinate Values (Coordinate Filters)
Up a level to ..
Track to Points on Objects (Object Snap Tracking)
Create and Modify Objects > Use Precision Tools > Combine or Offset Points and Coordinates > Track to Points on Objects (Object Snap Tracking) >
Track to Points on Objects (Object Snap Tracking)
Concept Procedure Quick Reference

To turn on and turn off object snap tracking

To change AutoTrack settings


To turn on and turn off object snap tracking (Procedure)

Track to Points on Objects (Object Snap Tracking)
Up a level to ..
Track to Points on Objects (Object Snap Tracking)
Create and Modify Objects > Use Precision Tools > Combine or Offset Points and Coordinates > Track to Points on Objects (Object Snap Tracking) >
Track to Points on Objects (Object Snap Tracking)
Concept Procedure Quick Reference

To turn on and turn off object snap tracking

  • Press F11, or click [image] on the status bar.

    To turn object snap tracking on and off temporarily, hold down the F11 key while you work.


To change AutoTrack settings (Procedure)

Track to Points on Objects (Object Snap Tracking)
Up a level to ..
Track to Offset Point Locations (Tracking)
Create and Modify Objects > Use Precision Tools > Combine or Offset Points and Coordinates > Track to Points on Objects (Object Snap Tracking) >
Track to Points on Objects (Object Snap Tracking)
Concept Procedure Quick Reference

To change AutoTrack settings

  1. Click Tools menu [image] Options.At the command prompt, enter options.
  2. In the Options dialog box, Drafting tab, under AutoTrack Settings, select or clear the following alignment path display options:
    • Display Polar Tracking Vector. Controls alignment path display for object snap tracking. When cleared, no polar tracking path is displayed.
    • Display Full Screen Tracking Vector. Controls alignment path display for object snap tracking. When cleared, an alignment path is displayed only from the object snap point to the cursor.
    • Display AutoTrack Tooltip. Controls the display of AutoTrack tooltips. Tooltips tell you the type of object snap (for object snap tracking), alignment angle, and distance from the previous point.
  3. Under Alignment Point Acquisition, select a method for acquiring object points for object snap tracking:
    • Automatic. Acquires object points automatically. If you select this option, you can press SHIFT to not acquire an object point
    • Shift to Acquire. Acquires object points only when you press SHIFT while the cursor is over an object snap point.
Command entry: OPTIONS


Track to Points on Objects (Object Snap Tracking) (Quick Reference)

Combine Coordinate Values (Coordinate Filters)
Track to Points on Objects (Object Snap Tracking)
Track to Offset Point Locations (Tracking)
Create and Modify Objects > Use Precision Tools > Combine or Offset Points and Coordinates > Track to Points on Objects (Object Snap Tracking) >
Track to Points on Objects (Object Snap Tracking)
Concept Procedure Quick Reference

Commands

DSETTINGS

Sets grid and snap, polar and object snap tracking, object snap modes, and Dynamic Input

OPTIONS

Customizes the program settings

System Variables

AUTOSNAP

Controls the display of the AutoSnap marker, tooltip, and magnet

POLARMODE

Controls settings for polar and object snap tracking

TRACKPATH

Controls the display of polar and object snap tracking alignment paths

Utilities

No entries

Command Modifiers

No entries


Track to Offset Point Locations (Tracking) (Concept)

Track to Points on Objects (Object Snap Tracking)
Combine or Offset Points and Coordinates
Specify Distances
Create and Modify Objects > Use Precision Tools > Combine or Offset Points and Coordinates >
Track to Offset Point Locations (Tracking)
Concept Procedure Quick Reference

You can use tracking to specify a point by offsetting vertically and horizontally from a series of temporary points.

You can use the tracking method whenever you are prompted for a point. Tracking uses the pointing device to specify a point by offsetting vertically and horizontally from a series of temporary points. When you start tracking and specify an initial reference point, the next reference point is constrained to a path that extends vertically or horizontally from that point. The direction of the offset is indicated by the rubber-band line. You change the direction of the offset by moving the cursor through the reference point. You can track as many points as you need. Typically, you use tracking in combination with object snaps or direct distance entry.

For example, you can use tracking to find the center point of a rectangle without using construction lines. Start tracking, and specify the midpoint of a horizontal line. Drag the cursor vertically and specify the midpoint of a vertical line (2). Press ENTER to accept the point (3) at the center of the rectangle.


To use tracking to specify a point (Procedure)

Track to Points on Objects (Object Snap Tracking)
Up a level to ..
Specify Distances
Create and Modify Objects > Use Precision Tools > Combine or Offset Points and Coordinates > Track to Offset Point Locations (Tracking) >
Track to Offset Point Locations (Tracking)
Concept Procedure Quick Reference

To use tracking to specify a point

  1. Start a command, such as the LINE command.
  2. Hold down SHIFT and right-click in the drawing area. Click Tracking.
  3. Specify a point.
  4. Move the cursor directly up, down, left, or right until you see the rubber-band line.

    The direction of movement affects the tracking direction. Notice that if you move the cursor from left to right, you must then move it directly over the last point specified in order to move it up or down.

  5. Specify a second point.
  6. Press ENTER to end tracking.

    The start point of the line snaps to the imaginary intersection of the vertical and horizontal paths extending from the points you specified. The position is determined by the direction in which you moved the cursor after specifying the first point.

Command entry: TRACKING (Command Modifier)


Track to Offset Point Locations (Tracking) (Quick Reference)

Track to Points on Objects (Object Snap Tracking)
Track to Offset Point Locations (Tracking)
Enter Direct Distances
Create and Modify Objects > Use Precision Tools > Combine or Offset Points and Coordinates > Track to Offset Point Locations (Tracking) >
Track to Offset Point Locations (Tracking)
Concept Procedure Quick Reference

Commands

No entries

System Variables

No entries

Utilities

No entries

Command Modifiers

TRACKING

Locates a point from a series of temporary points


Specify Distances

Track to Offset Point Locations (Tracking)
Use Precision Tools
Enter Direct Distances
Create and Modify Objects > Use Precision Tools >
Specify Distances
Concept Procedure

When specifying a point, you can enter distances, offsets, and measured intervals.

Topics in this section

  • Enter Direct Distances

    You can specify a point by moving the cursor to indicate a direction and then entering the distance.

  • Offset from Temporary Reference Points

    You can establish a temporary reference point as a base point for offsetting subsequent points.

  • Specify Intervals on Objects

    You can mark off equal distances along objects.


Specify Distances (Procedure)

Track to Offset Point Locations (Tracking)
Specify Distances
Enter Direct Distances
Create and Modify Objects > Use Precision Tools > Specify Distances >
Specify Distances
Concept Procedure

To draw a line using direct distance entry

To offset a point from a temporary reference point


Enter Direct Distances (Concept)

Specify Distances
Specify Distances
Offset from Temporary Reference Points
Create and Modify Objects > Use Precision Tools > Specify Distances >
Enter Direct Distances
Concept Procedure Quick Reference

You can specify a point by moving the cursor to indicate a direction and then entering the distance.

To specify a line length quickly, without entering coordinate values, you can specify a point by moving the cursor to indicate a direction and then entering the distance from the first point. You can enter calculated distances from the QuickCalc calculator. For more information, see Use the QuickCalc Calculator.

You can use direct distance entry to specify points for all commands requiring more than one point. When Ortho mode or polar tracking is on, this method is an efficient way to draw lines of specified length and direction, and to move or copy objects.

NoteThe direct distance entry method is not available while you are using the temporary override keys for Ortho mode, object snap tracking, or polar tracking.
See Also

    • Use Polar Tracking and PolarSnap

    • Lock an Angle for One Point (Angle)


To draw a line using direct distance entry (Procedure)

Specify Distances
Up a level to ..
Offset from Temporary Reference Points
Create and Modify Objects > Use Precision Tools > Specify Distances > Enter Direct Distances >
Enter Direct Distances
Concept Procedure Quick Reference

To draw a line using direct distance entry

  1. Start the LINE command and specify the first point.
  2. Move the pointing device until the rubber-band line extends at the same angle as the line you want to draw.
  3. Enter a distance at the command prompt.

    The line is drawn at the length and angle you specified.


Enter Direct Distances (Quick Reference)

Track to Offset Point Locations (Tracking)
Enter Direct Distances
Offset from Temporary Reference Points
Create and Modify Objects > Use Precision Tools > Specify Distances > Enter Direct Distances >
Enter Direct Distances
Concept Procedure Quick Reference

Commands

LINE

Creates straight line segments

System Variables

No entries

Utilities

No entries

Command Modifiers

Direct Distance Entry

Locates the next point at a specified distance in the direction of your cursor


Offset from Temporary Reference Points (Concept)

Enter Direct Distances
Specify Distances
Specify Intervals on Objects
Create and Modify Objects > Use Precision Tools > Specify Distances >
Offset from Temporary Reference Points
Concept Procedure Quick Reference

You can establish a temporary reference point as a base point for offsetting subsequent points.

The From command modifier establishes a temporary reference point as a base point for offsetting subsequent points. The From method does not constrain the cursor to orthogonal movement. The From method usually is used in combination with object snaps.


To offset a point from a temporary reference point (Procedure)

Enter Direct Distances
Up a level to ..
Specify Intervals on Objects
Create and Modify Objects > Use Precision Tools > Specify Distances > Offset from Temporary Reference Points >
Offset from Temporary Reference Points
Concept Procedure Quick Reference

To offset a point from a temporary reference point

  1. At a prompt for a point, enter from. Alternately, press SHIFT and right-click to display the object snap menu, and then choose From.
  2. If you want to offset from a location on an existing object, specify an object snap method. Then select the object snap point.
  3. Enter a relative coordinate (i.e. @1,1).


Offset from Temporary Reference Points (Quick Reference)

Enter Direct Distances
Offset from Temporary Reference Points
Overview of Specifying Intervals on Objects
Create and Modify Objects > Use Precision Tools > Specify Distances > Offset from Temporary Reference Points >
Offset from Temporary Reference Points
Concept Procedure Quick Reference

Commands

No entries

System Variables

No entries

Utilities

No entries

Command Modifiers

FROM

Locates a point offset from a reference point within a command


Specify Intervals on Objects

Offset from Temporary Reference Points
Specify Distances
Overview of Specifying Intervals on Objects
Create and Modify Objects > Use Precision Tools > Specify Distances >
Specify Intervals on Objects
Concept Procedure

You can mark off equal distances along objects.

Topics in this section

  • Overview of Specifying Intervals on Objects

    Provides a high-level overview of two options for marking off equal distances along objects.

  • Specify Measured Intervals on Objects

    You can mark off equal lengths from one end of a selected object.

  • Divide an Object into Equal Segments

    You can divide a selected object into a specified number of equal lengths.


Specify Intervals on Objects (Procedure)

Offset from Temporary Reference Points
Up a level to ..
Specify Measured Intervals on Objects
Create and Modify Objects > Use Precision Tools > Specify Distances > Specify Intervals on Objects >
Specify Intervals on Objects
Concept Procedure

To insert points at measured intervals on an object

To insert blocks at measured intervals on an object

To insert points to mark equal segments

To insert blocks to mark equal segments on an object


Overview of Specifying Intervals on Objects (Concept)

Specify Intervals on Objects
Specify Intervals on Objects
Specify Measured Intervals on Objects
Create and Modify Objects > Use Precision Tools > Specify Distances > Specify Intervals on Objects >
Overview of Specifying Intervals on Objects
Concept Quick Reference

Provides a high-level overview of two options for marking off equal distances along objects.

Sometimes you need to create points or insert symbols (blocks) at intervals on an object.

You can

  • Specify the length of the segments (MEASURE)
  • Specify the number of equal segments (DIVIDE)

You can measure or divide lines, arcs, splines, circles, ellipses, and polylines. With both methods, you can identify the intervals by inserting either a point or a block.

By specifying points, you can use the Node object snap to align other objects at intervals on the measured or divided object. By specifying blocks, you can create precise geometric constructions or insert custom markers. The blocks can rotate at each insertion point.

You cannot insert a block unless it has already been defined within the drawing. Variable attributes within the block are not included when you insert the block references.

The points or blocks you draw using MEASURE or DIVIDE are placed in a selection set. Therefore, if you want to edit them immediately, you can use the Previous option of SELECT.

See Also

    • Create and Use Blocks (Symbols)


Overview of Specifying Intervals on Objects (Quick Reference)

Offset from Temporary Reference Points
Overview of Specifying Intervals on Objects
Specify Measured Intervals on Objects
Create and Modify Objects > Use Precision Tools > Specify Distances > Specify Intervals on Objects > Overview of Specifying Intervals on Objects >
Overview of Specifying Intervals on Objects
Concept Quick Reference

Commands

BLOCK

Creates a block definition from selected objects

DDPTYPE

Specifies the display style and size of point objects

DIVIDE

Places evenly spaced point objects or blocks along the length or perimeter of an object

MEASURE

Places point objects or blocks at measured intervals on an object

WBLOCK

Writes objects or a block to a new drawing file

System Variables

PDMODE

Controls how point objects are displayed

PDSIZE

Sets the display size for point objects

Utilities

No entries

Command Modifiers

No entries


Specify Measured Intervals on Objects (Concept)

Overview of Specifying Intervals on Objects
Specify Intervals on Objects
Divide an Object into Equal Segments
Create and Modify Objects > Use Precision Tools > Specify Distances > Specify Intervals on Objects >
Specify Measured Intervals on Objects
Concept Procedure Quick Reference

You can mark off equal lengths from one end of a selected object.

You can use MEASURE to mark an object at specified intervals. You can mark the intervals with either points or blocks. The last segment of a measured object may be shorter than the interval you specify.

The starting point for measurements or divisions varies with the object type. For lines or open polylines, the starting point is the endpoint closest to the selection point. For closed polylines, it is the polyline start point. For circles, it is at the angle from the center point that is equivalent to the current snap angle. For example, if the snap angle is 0, the circle starts at the three o'clock position and continues counterclockwise.

If the point marker is displayed as a single dot (the default setting), you may not be able to see the measured intervals. You can change the style of the point markers using several methods. To change the point style in a dialog box, you can use DDPTYPE. Alternately, click Format menu [image] Point Style. The PDMODE system variable also controls the appearance of point markers. For example, you can change the value to make points appear as crosses. PDSIZE controls the size of point objects.


Specify Measured Intervals on Objects (Procedure)

Specify Intervals on Objects
Up a level to ..
Specify Measured Intervals on Objects
Create and Modify Objects > Use Precision Tools > Specify Distances > Specify Intervals on Objects > Specify Measured Intervals on Objects >
Specify Measured Intervals on Objects
Concept Procedure Quick Reference

To insert points at measured intervals on an object

To insert blocks at measured intervals on an object


To insert points at measured intervals on an object (Procedure)

Specify Measured Intervals on Objects
Up a level to ..
Specify Measured Intervals on Objects
Create and Modify Objects > Use Precision Tools > Specify Distances > Specify Intervals on Objects > Specify Measured Intervals on Objects >
Specify Measured Intervals on Objects
Concept Procedure Quick Reference

To insert points at measured intervals on an object

  1. Click Draw menu [image] Point [image] Measure.At the command prompt, enter measure.
  2. Select a line, arc, spline, circle, ellipse, or polyline.
  3. Enter an interval length, or specify points to indicate a length.

    Points are placed on the object at the specified intervals.

Command entry: MEASURE


To insert blocks at measured intervals on an object (Procedure)

Specify Measured Intervals on Objects
Up a level to ..
Divide an Object into Equal Segments
Create and Modify Objects > Use Precision Tools > Specify Distances > Specify Intervals on Objects > Specify Measured Intervals on Objects >
Specify Measured Intervals on Objects
Concept Procedure Quick Reference

To insert blocks at measured intervals on an object

  1. If necessary, create the block you want to insert.
  2. Click Draw menu [image] Point [image] Measure.At the command prompt, enter measure.
  3. Select a line, arc, spline, circle, ellipse, or polyline.
  4. Enter b (Block).
  5. Enter the name of the block you want to insert.
  6. Enter y to align the blocks with the measured object. Enter n to use a rotation angle of 0 degrees.
  7. Enter an interval length, or specify points to indicate a length.

    Blocks are inserted on the object at the specified intervals.

Command entry: BLOCK, MEASURE


Specify Measured Intervals on Objects (Quick Reference)

Overview of Specifying Intervals on Objects
Specify Measured Intervals on Objects
Divide an Object into Equal Segments
Create and Modify Objects > Use Precision Tools > Specify Distances > Specify Intervals on Objects > Specify Measured Intervals on Objects >
Specify Measured Intervals on Objects
Concept Procedure Quick Reference

Commands

BLOCK

Creates a block definition from selected objects

DDPTYPE

Specifies the display style and size of point objects

MEASURE

Places point objects or blocks at measured intervals on an object

System Variables

PDMODE

Controls how point objects are displayed

PDSIZE

Sets the display size for point objects

Utilities

No entries

Command Modifiers

No entries


Divide an Object into Equal Segments (Concept)

Specify Measured Intervals on Objects
Specify Intervals on Objects
Extract Geometric Information from Objects
Create and Modify Objects > Use Precision Tools > Specify Distances > Specify Intervals on Objects >
Divide an Object into Equal Segments
Concept Procedure Quick Reference

You can divide a selected object into a specified number of equal lengths.

You can create points or insert blocks on an object at a specific number of equal intervals. This operation does not actually break an object into individual objects; it only identifies the location of the divisions so that you can use them as geometric reference points.

The starting point for measurements or divisions varies with the object type. For lines or open polylines, the starting point is the endpoint closest to the selection point. For closed polylines, it is the polyline start point. For circles, it is at the angle from the center point that is equivalent to the current snap angle. For example, if the snap angle is 0, the circle starts at the three o'clock position and continues counterclockwise.

If the point marker is displayed as a single dot (the default setting), you may not be able to see the segments. You can change the style of the point markers using several methods. To change the point style in a dialog box, you can use DDPTYPE. Alternately, click Format menu [image] Point Style. The PDMODE system variable also controls the appearance of point markers. For example, you can change the value to make points appear as crosses. PDSIZE controls the size of point objects.


Divide an Object into Equal Segments (Procedure)

Specify Measured Intervals on Objects
Up a level to ..
Divide an Object into Equal Segments
Create and Modify Objects > Use Precision Tools > Specify Distances > Specify Intervals on Objects > Divide an Object into Equal Segments >
Divide an Object into Equal Segments
Concept Procedure Quick Reference

To insert points to mark equal segments

To insert blocks to mark equal segments on an object


To insert points to mark equal segments (Procedure)

Divide an Object into Equal Segments
Up a level to ..
Divide an Object into Equal Segments
Create and Modify Objects > Use Precision Tools > Specify Distances > Specify Intervals on Objects > Divide an Object into Equal Segments >
Divide an Object into Equal Segments
Concept Procedure Quick Reference

To insert points to mark equal segments

  1. Click Draw menu [image] Point [image] Divide.At the command prompt, enter divide.
  2. Select a line, circle, ellipse, polyline, arc, or spline.
  3. Enter the number of segments you want.

    A point is placed between each segment.

Command entry: DIVIDE


To insert blocks to mark equal segments on an object (Procedure)

Divide an Object into Equal Segments
Up a level to ..
Extract Geometric Information from Objects
Create and Modify Objects > Use Precision Tools > Specify Distances > Specify Intervals on Objects > Divide an Object into Equal Segments >
Divide an Object into Equal Segments
Concept Procedure Quick Reference

To insert blocks to mark equal segments on an object

  1. If necessary, create the block you want to insert.
  2. Click Draw menu [image] Point [image] Divide.At the command prompt, enter divide.
  3. Select a line, arc, circle, ellipse, polyline, or spline.
  4. Enter b (Block).
  5. Enter the name of the block you want to insert.
  6. Enter y to align the blocks with the divided object. Enter n to use a rotation angle of 0 degrees.
  7. Enter the number of segments you want.
Command entry: BLOCK, DIVIDE


Divide an Object into Equal Segments (Quick Reference)

Specify Measured Intervals on Objects
Divide an Object into Equal Segments
Obtain Distances, Angles, and Point Locations
Create and Modify Objects > Use Precision Tools > Specify Distances > Specify Intervals on Objects > Divide an Object into Equal Segments >
Divide an Object into Equal Segments
Concept Procedure Quick Reference

Commands

BLOCK

Creates a block definition from selected objects

DDPTYPE

Specifies the display style and size of point objects

DIVIDE

Places evenly spaced point objects or blocks along the length or perimeter of an object

WBLOCK

Writes objects or a block to a new drawing file

System Variables

PDMODE

Controls how point objects are displayed

PDSIZE

Sets the display size for point objects

Utilities

No entries

Command Modifiers

No entries


Extract Geometric Information from Objects

Divide an Object into Equal Segments
Use Precision Tools
Obtain Distances, Angles, and Point Locations
Create and Modify Objects > Use Precision Tools >
Extract Geometric Information from Objects
Concept Procedure

The inquiry and calculation commands can provide information about objects in your drawing and do useful calculations.

Topics in this section

  • Obtain Distances, Angles, and Point Locations

    You can retrieve information about the relation between two specified points: for example, the distance between them or their angle in the XY plane.

  • Obtain Area and Mass Properties Information

    You can obtain the area, perimeter, and mass properties defined by selected objects or a sequence of points.


Extract Geometric Information from Objects (Procedure)

Divide an Object into Equal Segments
Extract Geometric Information from Objects
Obtain Distances, Angles, and Point Locations
Create and Modify Objects > Use Precision Tools > Extract Geometric Information from Objects >
Extract Geometric Information from Objects
Concept Procedure

To calculate a distance and angle

To calculate an area you define

To calculate the area of an object

To add areas as you calculate

To subtract areas from a calculation


Obtain Distances, Angles, and Point Locations (Concept)

Extract Geometric Information from Objects
Extract Geometric Information from Objects
Obtain Area and Mass Properties Information
Create and Modify Objects > Use Precision Tools > Extract Geometric Information from Objects >
Obtain Distances, Angles, and Point Locations
Concept Procedure Quick Reference

You can retrieve information about the relation between two specified points: for example, the distance between them or their angle in the XY plane.

To determine the relation between two points, you can display the

  • Distance between them
  • Angle between the points in the XY plane
  • Angle of the points from the XY plane
  • Delta, or changed, X, Y, and Z distances between them

The ID command lists the X, Y, and Z coordinate values of a specified point.

See Also

    • Overview of Coordinate Entry


To calculate a distance and angle (Procedure)

Extract Geometric Information from Objects
Up a level to ..
Obtain Area and Mass Properties Information
Create and Modify Objects > Use Precision Tools > Extract Geometric Information from Objects > Obtain Distances, Angles, and Point Locations >
Obtain Distances, Angles, and Point Locations
Concept Procedure Quick Reference

To calculate a distance and angle

  1. Click Tools tab [image] Inquiry panel [image] Distance.At the command prompt, enter dist.
  2. Specify the first and second points of the distance you want to calculate.

    A brief report is displayed at the command prompt.

Toolbar: Inquiry
Command entry: DIST


Obtain Distances, Angles, and Point Locations (Quick Reference)

Divide an Object into Equal Segments
Obtain Distances, Angles, and Point Locations
Obtain Area and Mass Properties Information
Create and Modify Objects > Use Precision Tools > Extract Geometric Information from Objects > Obtain Distances, Angles, and Point Locations >
Obtain Distances, Angles, and Point Locations
Concept Procedure Quick Reference

Commands

DIST

Measures the distance and angle between two points

ID

Displays the coordinate of a location

System Variables

DISTANCE

Stores the distance computed by the DIST command

Utilities

No entries

Command Modifiers

No entries


Obtain Area and Mass Properties Information (Concept)

Obtain Distances, Angles, and Point Locations
Extract Geometric Information from Objects
Use a Calculator
Create and Modify Objects > Use Precision Tools > Extract Geometric Information from Objects >
Obtain Area and Mass Properties Information
Concept Procedure Quick Reference

You can obtain the area, perimeter, and mass properties defined by selected objects or a sequence of points.

You can calculate and display the area and perimeter of a sequence of points. You can also obtain the area, perimeter, and mass properties of any of several types of objects.

TipA fast way to calculate an area bounded by several objects in 2D is to use the BOUNDARY command. With BOUNDARY, you can pick a point within the area to create a closed polyline or region. You can then use the Properties palette or the LIST command to find the area and perimeter of the polyline or region.

Use the AREA Command

With the AREA command, you can specify a series of points or select an object. If you need to calculate the combined area of more than one object, you can keep a running total as you add or subtract one area at a time from the selection set. You cannot use window selection or crossing selection to select objects.

Total area and perimeter are saved in the AREA and PERIMETER system variables.

Calculate a Defined Area

You can measure an arbitrary closed region defined by the points you specify. The points must lie on a plane parallel to the XY plane of the current UCS.

Calculate the Area, Perimeter, or Circumference of an Object

You can calculate the enclosed area and perimeter or circumference of circles, ellipses, polylines, polygons, regions, and AutoCAD 3D solids. The displayed information differs according to the type of object you select:

  • Circles. Area and circumference are displayed.
  • Ellipses, closed polylines, polygons, planar closed spline curves, and regions. Area and perimeter are displayed. For wide polylines, this area is defined by the center of the width.
  • Open objects such as open spline curves and open polylines. Area and length are displayed. The area is computed as though a straight line connected the start point and endpoint.
  • AutoCAD 3D solids. Total 3D area for the object is displayed.

Example: How Various Areas Are Calculated

Calculate Combined Areas

You can measure more than one area, either by specifying points or by selecting objects. For example, you can measure the total area of selected rooms in a floor plan.

Subtract Areas from Combined Areas

You can subtract one or more areas from a combined area that you have already calculated. In the example, the area of the floor plan is first calculated, and then a room is subtracted.

Example: Subtraction of Areas from a Calculation

In the following example, the closed polyline represents a metal plate with two large holes. You first calculate the area of the polyline and then subtract each hole. Area and perimeter or circumference of each object are displayed, with a running total after each step.

Here is the command prompt sequence:

Command: area

Specify first corner point or [Object/Add/Subtract]: a

Specify first corner point or [Object/Subtract]: o

(ADD mode) Select objects: Select the polyline (1)

Area = 0.34, Perimeter = 2.71

Total area = 0.34

(ADD mode) Select objects: Press ENTER

Specify first corner point or [Object/Subtract]: s

Specify first corner point or [Object/Add]: o

(SUBTRACT mode) Select objects: Select the lower circle (2)

Area = 0.02, Circumference = 0.46

Total area = 0.32

(SUBTRACT mode) Select objects: Select the upper circle (3)

Area = 0.02, Circumference = 0.46

Total area = 0.30

(SUBTRACT mode) Select circle or polyline: Press ENTER

Specify first corner point or [Object/Add]: Press ENTER

You can also use REGION to convert the plate and the holes to regions, subtract the holes, and then use the Properties palette or the LIST command to find the area of the plate.

TipUse the QuickCalc calculator to convert from one system of area units to another. For more information, see Use the QuickCalc Calculator.

Calculate Mass Properties

With the MASSPROP command, you can analyze 3D solids and 2D regions for their mass properties including volume, area, moments of inertia, center of gravity, and so on. In addition, the result of the computations can be saved to a text file.

See Also

    • Create and Combine Areas (Regions)

    • Overview of Object Properties


Obtain Area and Mass Properties Information (Procedure)

Obtain Distances, Angles, and Point Locations
Up a level to ..
Obtain Area and Mass Properties Information
Create and Modify Objects > Use Precision Tools > Extract Geometric Information from Objects > Obtain Area and Mass Properties Information >
Obtain Area and Mass Properties Information
Concept Procedure Quick Reference

To calculate an area you define

To calculate the area of an object

To add areas as you calculate

To subtract areas from a calculation


To calculate an area you define (Procedure)

Obtain Area and Mass Properties Information
Up a level to ..
Obtain Area and Mass Properties Information
Create and Modify Objects > Use Precision Tools > Extract Geometric Information from Objects > Obtain Area and Mass Properties Information >
Obtain Area and Mass Properties Information
Concept Procedure Quick Reference

To calculate an area you define

  1. Click Tools tab [image] Inquiry panel [image] Area.At the command prompt, enter area.
  2. Specify points in a sequence that defines the perimeter of the area to be measured. Then press ENTER.

    The first and last points are connected to form a closed area and the area and perimeter measurements are displayed using the settings specified with UNITS.

Toolbar: Inquiry
Command entry: AREA


To calculate the area of an object (Procedure)

Obtain Area and Mass Properties Information
Up a level to ..
Obtain Area and Mass Properties Information
Create and Modify Objects > Use Precision Tools > Extract Geometric Information from Objects > Obtain Area and Mass Properties Information >
Obtain Area and Mass Properties Information
Concept Procedure Quick Reference

To calculate the area of an object

  1. Click Tools tab [image] Inquiry panel [image] Area.At the command prompt, enter area.
  2. At the command prompt, enter o (Object).
  3. Select an object.

    The area and perimeter of the selected object are displayed.

Toolbar: Inquiry
Command entry: AREA


To add areas as you calculate (Procedure)

Obtain Area and Mass Properties Information
Up a level to ..
Obtain Area and Mass Properties Information
Create and Modify Objects > Use Precision Tools > Extract Geometric Information from Objects > Obtain Area and Mass Properties Information >
Obtain Area and Mass Properties Information
Concept Procedure Quick Reference

To add areas as you calculate

  1. Click Tools tab [image] Inquiry panel [image] Area.At the command prompt, enter area.
  2. Enter a (Add).
  3. Use one of the following methods:
    • Specify points to define the area you want to add and press ENTER.
    • Enter o (Object) and select the objects you want to add.

      You see the measurements of each new area and a running total of all areas.

  4. Press ENTER twice to end the command.
Toolbar: Inquiry
Command entry: AREA


To subtract areas from a calculation (Procedure)

Obtain Area and Mass Properties Information
Up a level to ..
Use a Calculator
Create and Modify Objects > Use Precision Tools > Extract Geometric Information from Objects > Obtain Area and Mass Properties Information >
Obtain Area and Mass Properties Information
Concept Procedure Quick Reference

To subtract areas from a calculation

  1. While a combined area is displayed, enter s (Subtract).
  2. Use one of the following methods:
    • Specify points to define the area you want to subtract and press ENTER.
    • Enter o (Object) and select the objects you want to subtract.

    The running total is updated as you define new areas.

  3. Press ENTER to end the command.
Toolbar: Inquiry
Command entry: AREA


Obtain Area and Mass Properties Information (Quick Reference)

Obtain Distances, Angles, and Point Locations
Obtain Area and Mass Properties Information
Overview of QuickCalc
Create and Modify Objects > Use Precision Tools > Extract Geometric Information from Objects > Obtain Area and Mass Properties Information >
Obtain Area and Mass Properties Information
Concept Procedure Quick Reference

Commands

AREA

Stores the last area computed by the AREA command

LIST

Displays property data for selected objects

MASSPROP

Calculates the mass properties of regions or solids

PROPERTIES

Controls properties of existing objects

QUICKCALC

Opens the QuickCalc calculator

UNITS

Controls coordinate and angle display formats and precision

System Variables

AREA

Stores the last area computed by the AREA command

PERIMETER

Stores the last perimeter value computed by the AREA or LIST command

Utilities

No entries

Command Modifiers

No entries


Use a Calculator

Obtain Area and Mass Properties Information
Use Precision Tools
Use the QuickCalc Calculator
Create and Modify Objects > Use Precision Tools >
Use a Calculator
Concept Procedure

You can access a calculator function as you work with the program. You can use either the QuickCalc calculator interface or the command prompt calculator.

Topics in this section

  • Use the QuickCalc Calculator

    With the QuickCalc calculator, an interface that looks and functions like a hand-held calculator, you can perform mathematical, scientific, and geometric calculations, convert units of measurement, manipulate the properties of objects, and evaluate expressions.

  • Use the Command Prompt Calculator

    By entering an expression in the command prompt calculator, you can quickly solve a mathematical problem or locate points in your drawing.


Use a Calculator (Procedure)

Obtain Area and Mass Properties Information
Use a Calculator
Use the QuickCalc Calculator
Create and Modify Objects > Use Precision Tools > Use a Calculator >
Use a Calculator
Concept Procedure

To start the command prompt calculator


Use the QuickCalc Calculator

Use a Calculator
Use a Calculator
Overview of QuickCalc
Create and Modify Objects > Use Precision Tools > Use a Calculator >
Use the QuickCalc Calculator
Concept Procedure

With the QuickCalc calculator, an interface that looks and functions like a hand-held calculator, you can perform mathematical, scientific, and geometric calculations, convert units of measurement, manipulate the properties of objects, and evaluate expressions.

Topics in this section

  • Overview of QuickCalc
  • Access QuickCalc and Understand Its Behavior

    Use QuickCalc directly as you would with a desktop calculator, or use it transparently within a command or the Properties palette.

  • Enter, Evaluate, and Retrieve Expressions

    Enter expressions in QuickCalc using standard mathematical rules of precedence; review and retrieve computations from the History area; and understand the rules for using imperial units: length, area, and volume.

  • Convert Units of Measurement

    In the Units Conversion area of QuickCalc, you can obtain equivalent values for different units of measurement.

  • Create and Use Calculator Variables

    The Variables area of QuickCalc stores calculator variables that you can access as needed. Calculator variables can either be constants or functions.


Use the QuickCalc Calculator (Procedure)

Use a Calculator
Up a level to ..
Overview of QuickCalc
Create and Modify Objects > Use Precision Tools > Use a Calculator > Use the QuickCalc Calculator >
Use the QuickCalc Calculator
Concept Procedure

To clear the Input box

To use basic math functions in QuickCalc

To use scientific functions in QuickCalc

To get the absolute value of a number using QuickCalc

To round a number to the nearest integer using QuickCalc

To display only the integer portion of a number with QuickCalc

To store a value in the QuickCalc memory

To add the current value to the value stored in the QuickCalc memory

To restore the value stored north QuickCalc memory

To clear the value stored in the QuickCalc memory

To use the QuickCalc calculator

To use the QuickCalc calculator within a command

To use the QuickCalc calculator with the Properties palette

To copy and paste a value from the QuickCalc Input box

To paste a value from the QuickCalc Input box to the command line

To clear the History area

To reuse a stored value or expression in the QuickCalc History area

To change the font color of values or expressions in the QuickCalc History area

To copy and paste an expression from the QuickCalc History area

To append a value or expression from the QuickCalc History area to the Input box

To modify a property in the Properties palette with QuickCalc

To obtain X, Y, Z coordinate values for a point using QuickCalc

To measure the distance between two points using QuickCalc

To get the angle of a line defined by two points using QuickCalc

To get the intersection of a line defined by four points using QuickCalc

To convert units of measurement with QuickCalc

To copy a unit conversion result to the Input box of QuickCalc

To convert radians to degrees using QuickCalc

To convert degrees to radians using QuickCalc

To use a predefined variable in a QuickCalc expression

To create a new variable in QuickCalc

To edit a variable in QuickCalc

To delete a variable in QuickCalc

To create a new global constant in the Input box of QuickCalc

To access a global constant from dialog box or window

To evaluate mathematical expressions in a dialog box


Overview of QuickCalc (Concept)

Use the QuickCalc Calculator
Use the QuickCalc Calculator
Access QuickCalc and Understand Its Behavior
Create and Modify Objects > Use Precision Tools > Use a Calculator > Use the QuickCalc Calculator >
Overview of QuickCalc
Concept Procedure Quick Reference

The QuickCalc calculator includes basic features similar to most standard mathematical calculators. In addition, QuickCalc has features specific to AutoCAD such as geometric functions, a Units Conversion area, and a Variables area.

Unlike most calculators, QuickCalc is an expression builder. For greater flexibility, it does not immediately calculate an answer when you click a function. Instead, you compose an expression that you can easily edit and, when you are finished, you click the equal sign (=) or press ENTER. Later, you can retrieve the expression from the History area, modify it, and recalculate the results.

With QuickCalc, you can

  • Perform mathematical and trigonometric calculations
  • Access and review previously entered calculations for re-evaluation
  • Use the calculator with the Properties palette to modify object properties
  • Convert units of measurement
  • Perform geometric calculations related to specific objects
  • Copy and paste values and expressions to and from the Properties palette and the command prompt
  • Perform computations on mixed numbers (fractions), and feet and inches
  • Define, store, and use calculator variables
  • Use geometric functions from the CAL command

Change QuickCalc Size and Appearance

Click the More/Less button on the calculator and only the Input box and History area are displayed. You can use the expand/collapse arrows to open and close areas. You can also control the size, location, and appearance of QuickCalc. See Set Interface Options.


Overview of QuickCalc (Procedure)

Use the QuickCalc Calculator
Up a level to ..
Overview of QuickCalc
Create and Modify Objects > Use Precision Tools > Use a Calculator > Use the QuickCalc Calculator > Overview of QuickCalc >
Overview of QuickCalc
Concept Procedure Quick Reference

To clear the Input box

To use basic math functions in QuickCalc

To use scientific functions in QuickCalc

To get the absolute value of a number using QuickCalc

To round a number to the nearest integer using QuickCalc

To display only the integer portion of a number with QuickCalc

To store a value in the QuickCalc memory

To add the current value to the value stored in the QuickCalc memory

To restore the value stored north QuickCalc memory

To clear the value stored in the QuickCalc memory


To clear the Input box (Procedure)

Overview of QuickCalc
Up a level to ..
Overview of QuickCalc
Create and Modify Objects > Use Precision Tools > Use a Calculator > Use the QuickCalc Calculator > Overview of QuickCalc >
Overview of QuickCalc
Concept Procedure Quick Reference

To clear the Input box

Do one of the following:

  • On the QuickCalc toolbar, click the Clear button.
  • On the QuickCalc Number Pad, click the Clear button.

    Any current value or expression in the Input box is cleared and the value is reset to 0.


To use basic math functions in QuickCalc (Procedure)

Overview of QuickCalc
Up a level to ..
Overview of QuickCalc
Create and Modify Objects > Use Precision Tools > Use a Calculator > Use the QuickCalc Calculator > Overview of QuickCalc >
Overview of QuickCalc
Concept Procedure Quick Reference

To use basic math functions in QuickCalc

  1. On the Number Pad, click a number.
  2. Click an operator (+, -, *, /) button. Then enter the next number, and so on.
  3. Click the equal (=) sign.

    The result is displayed in the Input box. The expression and result are also displayed in the History area.


To use scientific functions in QuickCalc (Procedure)

Overview of QuickCalc
Up a level to ..
Overview of QuickCalc
Create and Modify Objects > Use Precision Tools > Use a Calculator > Use the QuickCalc Calculator > Overview of QuickCalc >
Overview of QuickCalc
Concept Procedure Quick Reference

To use scientific functions in QuickCalc

  1. On the Number Pad, enter a value.
  2. In the Scientific area, click a function.
  3. On the Number Pad, click the equal (=) sign.

    The result is displayed in the Input box.


To get the absolute value of a number using QuickCalc (Procedure)

Overview of QuickCalc
Up a level to ..
Overview of QuickCalc
Create and Modify Objects > Use Precision Tools > Use a Calculator > Use the QuickCalc Calculator > Overview of QuickCalc >
Overview of QuickCalc
Concept Procedure Quick Reference

To get the absolute value of a number using QuickCalc

  1. With the current value displayed, in the Scientific area click the abs button.
  2. On the Number Pad, click the equal (=) sign.

    The absolute value is displayed in the Input box.


To round a number to the nearest integer using QuickCalc (Procedure)

Overview of QuickCalc
Up a level to ..
Overview of QuickCalc
Create and Modify Objects > Use Precision Tools > Use a Calculator > Use the QuickCalc Calculator > Overview of QuickCalc >
Overview of QuickCalc
Concept Procedure Quick Reference

To round a number to the nearest integer using QuickCalc

  1. With the current value displayed, in the Scientific area click the rnd button.
  2. On the Number Pad, click the equal (=) sign.

    The number, rounded to the nearest integer, is displayed in the Input box.


To display only the integer portion of a number with QuickCalc (Procedure)

Overview of QuickCalc
Up a level to ..
Overview of QuickCalc
Create and Modify Objects > Use Precision Tools > Use a Calculator > Use the QuickCalc Calculator > Overview of QuickCalc >
Overview of QuickCalc
Concept Procedure Quick Reference

To display only the integer portion of a number with QuickCalc

  1. With the current value displayed, in the Scientific area click the trunc button.
  2. On the Number Pad, click the equal (=) sign.

    The integer portion of the number is displayed in the Input box without the decimal portion.


To store a value in the QuickCalc memory (Procedure)

Overview of QuickCalc
Up a level to ..
Overview of QuickCalc
Create and Modify Objects > Use Precision Tools > Use a Calculator > Use the QuickCalc Calculator > Overview of QuickCalc >
Overview of QuickCalc
Concept Procedure Quick Reference

To store a value in the QuickCalc memory

  • With the current value displayed, click MS.

    The previous value is overwritten and the new value is stored in memory.


To add the current value to the value stored in the QuickCalc memory (Procedure)

Overview of QuickCalc
Up a level to ..
Overview of QuickCalc
Create and Modify Objects > Use Precision Tools > Use a Calculator > Use the QuickCalc Calculator > Overview of QuickCalc >
Overview of QuickCalc
Concept Procedure Quick Reference

To add the current value to the value stored in the QuickCalc memory

  • With the current value displayed, click M+.

    The sum of the new value and the value already in memory are displayed.


To restore the value stored north QuickCalc memory (Procedure)

Overview of QuickCalc
Up a level to ..
Overview of QuickCalc
Create and Modify Objects > Use Precision Tools > Use a Calculator > Use the QuickCalc Calculator > Overview of QuickCalc >
Overview of QuickCalc
Concept Procedure Quick Reference

To restore the value stored north QuickCalc memory

  • With the current value displayed, click MR.

    The displayed value or expression is appended and the value stored in memory is displayed.


To clear the value stored in the QuickCalc memory (Procedure)

Overview of QuickCalc
Up a level to ..
Access QuickCalc and Understand Its Behavior
Create and Modify Objects > Use Precision Tools > Use a Calculator > Use the QuickCalc Calculator > Overview of QuickCalc >
Overview of QuickCalc
Concept Procedure Quick Reference

To clear the value stored in the QuickCalc memory

  • Click MC.

    The value currently stored in memory is cleared.


Overview of QuickCalc (Quick Reference)

Obtain Area and Mass Properties Information
Overview of QuickCalc
Access QuickCalc and Understand Its Behavior
Create and Modify Objects > Use Precision Tools > Use a Calculator > Use the QuickCalc Calculator > Overview of QuickCalc >
Overview of QuickCalc
Concept Procedure Quick Reference

Commands

QUICKCALC

Opens the QuickCalc calculator

QCCLOSE

Closes QuickCalc

System Variables

QCSTATE

Indicates whether the QuickCalc calculator is open or closed

Utilities

No entries

Command Modifiers

No entries


Access QuickCalc and Understand Its Behavior (Concept)

Overview of QuickCalc
Use the QuickCalc Calculator
Enter, Evaluate, and Retrieve Expressions
Create and Modify Objects > Use Precision Tools > Use a Calculator > Use the QuickCalc Calculator >
Access QuickCalc and Understand Its Behavior
Concept Procedure Quick Reference

Use QuickCalc directly as you would with a desktop calculator, or use it transparently within a command or the Properties palette.

There are three ways to work with QuickCalc within the program:

  • Directly from the Tools menu, the Standard toolbar, a shortcut menu, or the command prompt
  • Transparently during a command from a shortcut menu or the command prompt
  • Transparently from the Properties palette

The method that you choose depends on how you are using QuickCalc.

Use QuickCalc Directly

When you work directly with QuickCalc, you can perform calculations and unit conversions just as you would with a desktop calculator. You can use the Windows clipboard (CTRL+C, CTRL+V) to transfer the results of your calculations to other parts of the program or to external programs. Calculations that you perform directly do not affect or change anything in your drawing.

You can access QuickCalc directly in the following ways:

  • Click Tools menu [image] Palettes [image] QuickCalc.At the command prompt, enter quickcalc.
  • On the Standard toolbar, click the QuickCalc button.
  • In the drawing editor (with no command active), right-click and click QuickCalc.
  • At the command prompt, enter quickcalc.
  • At the command prompt, enter qc.

Use QuickCalc Transparently from Within a Command

During a command, you can access QuickCalc transparently in the following ways:

  • Right-click to display the shortcut menu. Click QuickCalc.
  • At the command prompt, enter quickcalc.
  • At the command prompt, enter qc.

Calculations that you transfer to the command prompt affect the drawing. For example, if you are drawing a line with the LINE command and you pass an expression to the command prompt from the calculator, the next point of the line uses the results, which might be a distance or coordinate value. In QuickCalc, you click the Apply button to pass the value to the drawing based on that expression.

NoteWhen using QuickCalc transparently to calculate a value for direct distance entry, Apply transfers the value to the command prompt. To use the value, position the crosshairs to determine the direction and then press ENTER.

Use QuickCalc Transparently from the Properties Palette

When you want to modify properties and apply evaluated expressions to objects in your drawing, you can access QuickCalc transparently from the Properties palette. Use the following method:

  • Click any box in the Properties palette that contains a numeric value. Then click the QuickCalc button that appears in the box.
  • After calculating a value, transfer the result to the Properties palette by clicking the Apply button.

The object or drawing property is modified and the changes are displayed in the drawing.

Calculate Mathematical Expressions in a Dialog Box

You can also enter and evaluate mathematical expressions in a dialog box using the following format: =expression<END>.

NoteTo evaluate expressions in a dialog box, make sure the system variable, CALCINPUT, is set to 1.


Access QuickCalc and Understand Its Behavior (Procedure)

Overview of QuickCalc
Up a level to ..
Access QuickCalc and Understand Its Behavior
Create and Modify Objects > Use Precision Tools > Use a Calculator > Use the QuickCalc Calculator > Access QuickCalc and Understand Its Behavior >
Access QuickCalc and Understand Its Behavior
Concept Procedure Quick Reference

To use the QuickCalc calculator

To use the QuickCalc calculator within a command

To use the QuickCalc calculator with the Properties palette


To use the QuickCalc calculator (Procedure)

Access QuickCalc and Understand Its Behavior
Up a level to ..
Access QuickCalc and Understand Its Behavior
Create and Modify Objects > Use Precision Tools > Use a Calculator > Use the QuickCalc Calculator > Access QuickCalc and Understand Its Behavior >
Access QuickCalc and Understand Its Behavior
Concept Procedure Quick Reference

To use the QuickCalc calculator

Do one of the following:

  • At the command prompt, enter quickcalc or qc.
  • Right-click the drawing area to display a shortcut menu. Click QuickCalc.
  • Click Tools menu [image] Palettes [image] QuickCalc.At the command prompt, enter quickcalc.
  • On the Standard toolbar, click QuickCalc.


To use the QuickCalc calculator within a command (Procedure)

Access QuickCalc and Understand Its Behavior
Up a level to ..
Access QuickCalc and Understand Its Behavior
Create and Modify Objects > Use Precision Tools > Use a Calculator > Use the QuickCalc Calculator > Access QuickCalc and Understand Its Behavior >
Access QuickCalc and Understand Its Behavior
Concept Procedure Quick Reference

To use the QuickCalc calculator within a command

Do one of the following:

  • At the command prompt, enter 'quickcalc or 'qc.
  • Right-click to display a shortcut menu. Click QuickCalc.


To use the QuickCalc calculator with the Properties palette (Procedure)

Access QuickCalc and Understand Its Behavior
Up a level to ..
Enter, Evaluate, and Retrieve Expressions
Create and Modify Objects > Use Precision Tools > Use a Calculator > Use the QuickCalc Calculator > Access QuickCalc and Understand Its Behavior >
Access QuickCalc and Understand Its Behavior
Concept Procedure Quick Reference

To use the QuickCalc calculator with the Properties palette

  1. Open the Properties palette.
  2. Click one or more objects.
  3. Click a box with a numeric property.
  4. Click the QuickCalc button in the box.


Access QuickCalc and Understand Its Behavior (Quick Reference)

Overview of QuickCalc
Access QuickCalc and Understand Its Behavior
Enter, Evaluate, and Retrieve Expressions
Create and Modify Objects > Use Precision Tools > Use a Calculator > Use the QuickCalc Calculator > Access QuickCalc and Understand Its Behavior >
Access QuickCalc and Understand Its Behavior
Concept Procedure Quick Reference

Commands

QUICKCALC

Opens the QuickCalc calculator

QCCLOSE

Closes QuickCalc

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Enter, Evaluate, and Retrieve Expressions (Concept)

Access QuickCalc and Understand Its Behavior
Use the QuickCalc Calculator
Convert Units of Measurement
Create and Modify Objects > Use Precision Tools > Use a Calculator > Use the QuickCalc Calculator >
Enter, Evaluate, and Retrieve Expressions
Concept Procedure Quick Reference

Enter expressions in QuickCalc using standard mathematical rules of precedence; review and retrieve computations from the History area; and understand the rules for using imperial units: length, area, and volume.

QuickCalc evaluates expressions according to the following standard mathematical rules of precedence:

  • Expressions in parentheses first, starting with the innermost set
  • Operators in standard order: exponents first, multiplication and division second, and addition and subtraction last
  • Operators of equal precedence from left to right

The Input box of the calculator is where you enter and retrieve expressions. With QuickCalc, there are two ways you can enter data in the Input box. You can either enter expressions using the QuickCalc Number Pad buttons, or you can use the computer keyboard or numeric keypad. To use the computer numeric keypad, you must have NUMLOCK on.

To evaluate an expression, click the equal (=) sign on the QuickCalc Number Pad, or press ENTER on the computer keyboard.

Understand the Syntax of Expressions

The syntax for QuickCalc expressions and command prompt calculator expressions is identical. For example, to perform an operation on the vector or coordinates 5,2,0, you enter [5,2,0] in the Input box.

You can use the GETVAR function to read the value of a system variable. The syntax is

getvar(variable_name)

For more information see CAL.

Use the History Area

The History area keeps an ongoing record of calculations, similar to the paper tape in a physical desk calculator. You can use the History area to review previous operations and pass them back to the Input box for re-evaluation with different parameters.

Rules for Displaying and Handling Units

QuickCalc adheres to the following rules:

  • Results of calculations are always expressed in decimal format unless a distance is entered in feet and inches
  • Angular values entered in the Input box are assumed to be degrees regardless of the settings in the Drawing Units dialog box. To specify radians, grads, and degrees, append an r, g, or d after the angle value.
  • Results of angular calculations are always expressed in degrees with full AutoCAD precision.

When the drawing units are set to architectural units, the calculator displays the results of calculations of imperial units in the architectural format and rounds to the display precision (LUPREC) specified in the drawing. The results for all other calculations display in decimal format with full precision.

You can separate feet, inches, and fractional inches with a dash, a space, or nothing. You can use any of the following syntax cases to enter valid feet-inch formatted values:

  • 5' or 60"
  • 5'-9" or 5' 9" or 5'9"
  • 5'-1/2" or 5' 1/2" or 5'1/2"
  • 5'-9-1/2" or 5' 9-1/2" or 5'9-1/2"
  • 5'-9 1/2" or 5' 9 1/2" or 5'9 1/2"

To designate inches for linear calculations, entering double quotes (") is optional. For example, instead of entering 5'9-1/2", you could enter 5'9-1/2.

WarningWith imperial units, QuickCalc interprets a minus or a dash (-) as a unit separator rather than a subtraction operation. To specify subtraction, include at least one space before or after the minus sign. For example, to subtract 9" from 5', enter 5' -9" rather than 5'-9".

You can use QuickCalc to calculate square feet and cubic feet. To enter square or cubic feet, you must enter units using these abbreviations:

  • sq. ft. or sq ft
  • cu. ft. or cu ft

Convert Decimal Units into Imperial Units

For distance measurements, enter an inches sign (") after the number in the results display. For example, if the computed distance is 15, enter " after the 15, press ENTER or click = and the result displays in imperial units as 1'-3".

For computed results, enter the initial values in feet (') and inches (") to display the results in feet and inches. For example:

  • 5 * 6 = 30
  • 5" * 6 = 2'-6"
  • 5" * 6" = 30 sq. in.
  • 5" * 0'-6" = 0.208333333 sq. ft.


Enter, Evaluate, and Retrieve Expressions (Procedure)

Access QuickCalc and Understand Its Behavior
Up a level to ..
Enter, Evaluate, and Retrieve Expressions
Create and Modify Objects > Use Precision Tools > Use a Calculator > Use the QuickCalc Calculator > Enter, Evaluate, and Retrieve Expressions >
Enter, Evaluate, and Retrieve Expressions
Concept Procedure Quick Reference

To copy and paste a value from the QuickCalc Input box

To paste a value from the QuickCalc Input box to the command line

To clear the History area

To reuse a stored value or expression in the QuickCalc History area

To change the font color of values or expressions in the QuickCalc History area

To copy and paste an expression from the QuickCalc History area

To append a value or expression from the QuickCalc History area to the Input box

To modify a property in the Properties palette with QuickCalc

To obtain X, Y, Z coordinate values for a point using QuickCalc

To measure the distance between two points using QuickCalc

To get the angle of a line defined by two points using QuickCalc

To get the intersection of a line defined by four points using QuickCalc


To copy and paste a value from the QuickCalc Input box (Procedure)

Enter, Evaluate, and Retrieve Expressions
Up a level to ..
Enter, Evaluate, and Retrieve Expressions
Create and Modify Objects > Use Precision Tools > Use a Calculator > Use the QuickCalc Calculator > Enter, Evaluate, and Retrieve Expressions >
Enter, Evaluate, and Retrieve Expressions
Concept Procedure Quick Reference

To copy and paste a value from the QuickCalc Input box

  1. Right-click the value in the Input box. Click Copy.

    The current entry is copied to the clipboard.

  2. Click in the new location and then right-click. Click Paste.

    The value is copied to the new location.


To paste a value from the QuickCalc Input box to the command line (Procedure)

Enter, Evaluate, and Retrieve Expressions
Up a level to ..
Enter, Evaluate, and Retrieve Expressions
Create and Modify Objects > Use Precision Tools > Use a Calculator > Use the QuickCalc Calculator > Enter, Evaluate, and Retrieve Expressions >
Enter, Evaluate, and Retrieve Expressions
Concept Procedure Quick Reference

To paste a value from the QuickCalc Input box to the command line

  • On the QuickCalc toolbar, click the Paste Value to Command Line button.

    The value in the Input box is pasted into the command line.


To clear the History area (Procedure)

Enter, Evaluate, and Retrieve Expressions
Up a level to ..
Enter, Evaluate, and Retrieve Expressions
Create and Modify Objects > Use Precision Tools > Use a Calculator > Use the QuickCalc Calculator > Enter, Evaluate, and Retrieve Expressions >
Enter, Evaluate, and Retrieve Expressions
Concept Procedure Quick Reference

To clear the History area

  • On the QuickCalc toolbar, click the Clear History button.
Shortcut menu: Right-click the History area. Click Clear History.


To reuse a stored value or expression in the QuickCalc History area (Procedure)

Enter, Evaluate, and Retrieve Expressions
Up a level to ..
Enter, Evaluate, and Retrieve Expressions
Create and Modify Objects > Use Precision Tools > Use a Calculator > Use the QuickCalc Calculator > Enter, Evaluate, and Retrieve Expressions >
Enter, Evaluate, and Retrieve Expressions
Concept Procedure Quick Reference

To reuse a stored value or expression in the QuickCalc History area

  1. Click the C button to clear the Input box if needed.
  2. In the History area, double-click a value or expression. The value or expression is displayed in the Input box.
    NoteThe cursor must be on the value or expression to select it.


To change the font color of values or expressions in the QuickCalc History area (Procedure)

Enter, Evaluate, and Retrieve Expressions
Up a level to ..
Enter, Evaluate, and Retrieve Expressions
Create and Modify Objects > Use Precision Tools > Use a Calculator > Use the QuickCalc Calculator > Enter, Evaluate, and Retrieve Expressions >
Enter, Evaluate, and Retrieve Expressions
Concept Procedure Quick Reference

To change the font color of values or expressions in the QuickCalc History area

  1. Right-click in the History area. Click either Value Font Color or Expression Font Color.
  2. In the Color dialog box, click a Basic Color or click Define Custom Colors.

    With Define Custom Colors, you can select a custom color and add it to Custom Colors.

  3. Click OK.

    The colors you selected for values and expressions in the History area are displayed.

    Shortcut menu: Right-click Expression Font Color or Value Font Color. Click Basic Color or Define Custom Colors.


To copy and paste an expression from the QuickCalc History area (Procedure)

Enter, Evaluate, and Retrieve Expressions
Up a level to ..
Enter, Evaluate, and Retrieve Expressions
Create and Modify Objects > Use Precision Tools > Use a Calculator > Use the QuickCalc Calculator > Enter, Evaluate, and Retrieve Expressions >
Enter, Evaluate, and Retrieve Expressions
Concept Procedure Quick Reference

To copy and paste an expression from the QuickCalc History area

  1. Right-click the expression in the History area. Click Copy.

    The current entry is copied to the clipboard.

  2. Right-click in the new location. Click Paste.

    The expression is copied to the new location.


To append a value or expression from the QuickCalc History area to the Input box (Procedure)

Enter, Evaluate, and Retrieve Expressions
Up a level to ..
Enter, Evaluate, and Retrieve Expressions
Create and Modify Objects > Use Precision Tools > Use a Calculator > Use the QuickCalc Calculator > Enter, Evaluate, and Retrieve Expressions >
Enter, Evaluate, and Retrieve Expressions
Concept Procedure Quick Reference

To append a value or expression from the QuickCalc History area to the Input box

  • Double-click the value or expression in the History area.

    The value or expression is appended to the Input box.

    NoteThe cursor must be on the value or expression to select it.
Shortcut menu: Right-click Append Value to Input Area or Append Expression to Input Area.


To modify a property in the Properties palette with QuickCalc (Procedure)

Enter, Evaluate, and Retrieve Expressions
Up a level to ..
Enter, Evaluate, and Retrieve Expressions
Create and Modify Objects > Use Precision Tools > Use a Calculator > Use the QuickCalc Calculator > Enter, Evaluate, and Retrieve Expressions >
Enter, Evaluate, and Retrieve Expressions
Concept Procedure Quick Reference

To modify a property in the Properties palette with QuickCalc

  1. Select an object.
    NoteIf QuickCalc is displayed on your desktop when you work with the Properties palette, it is temporarily hidden while you use the modal calculator from within the Properties palette.
  2. In the Geometry section of the Properties palette, click on the value of a property.

    A small calculator icon is displayed to the right of the value.

    NoteOnly properties that are displayed with a white background can be changed.
  3. Click the calculator icon.

    QuickCalc opens and displays the current value of the object in the Input box.

  4. Perform a calculation on the displayed value and click the equal sign (=) button.

    The new value is displayed in the Input box.

  5. Click Apply.
    NoteThe Apply button is only available for editable number-based properties.

    The calculator closes and the new value is displayed in the Properties palette. The object is modified in the drawing.


To obtain X, Y, Z coordinate values for a point using QuickCalc (Procedure)

Enter, Evaluate, and Retrieve Expressions
Up a level to ..
Enter, Evaluate, and Retrieve Expressions
Create and Modify Objects > Use Precision Tools > Use a Calculator > Use the QuickCalc Calculator > Enter, Evaluate, and Retrieve Expressions >
Enter, Evaluate, and Retrieve Expressions
Concept Procedure Quick Reference

To obtain X, Y, Z coordinate values for a point using QuickCalc

  1. NoteThe QuickCalc toolbar Get Coordinates button uses the cur function.
    On the QuickCalc toolbar, click the Get Coordinates button.

    QuickCalc temporarily closes and you are prompted to specify a point.

  2. In the drawing, click a point.

    QuickCalc opens and displays the coordinate values of the point in the Input box.


To measure the distance between two points using QuickCalc (Procedure)

Enter, Evaluate, and Retrieve Expressions
Up a level to ..
Enter, Evaluate, and Retrieve Expressions
Create and Modify Objects > Use Precision Tools > Use a Calculator > Use the QuickCalc Calculator > Enter, Evaluate, and Retrieve Expressions >
Enter, Evaluate, and Retrieve Expressions
Concept Procedure Quick Reference

To measure the distance between two points using QuickCalc

  1. NoteThe QuickCalc toolbar Distance Between Two Points button uses the dist(p1,p2) function.
    On the QuickCalc toolbar, click the Distance Between Two Points button.

    QuickCalc temporarily closes and you are prompted to specify two points.

  2. In the drawing, click the first point and then the second point.

    QuickCalc opens and displays the value of the distance between the two points in the Input box.


To get the angle of a line defined by two points using QuickCalc (Procedure)

Enter, Evaluate, and Retrieve Expressions
Up a level to ..
Enter, Evaluate, and Retrieve Expressions
Create and Modify Objects > Use Precision Tools > Use a Calculator > Use the QuickCalc Calculator > Enter, Evaluate, and Retrieve Expressions >
Enter, Evaluate, and Retrieve Expressions
Concept Procedure Quick Reference

To get the angle of a line defined by two points using QuickCalc

  1. NoteThe QuickCalc toolbar Angle of Line Defined by Two Points button uses the ang(p1,p2) function.
    On the QuickCalc toolbar, click the Angle of Line Defined by Two Points button.

    QuickCalc temporarily closes and you are prompted to specify two points.

  2. Enter the coordinate values for the first point and then the second point.

    QuickCalc opens and appends the value of the angle between the two points to the end of any value or expression already present in the Input box.


To get the intersection of a line defined by four points using QuickCalc (Procedure)

Enter, Evaluate, and Retrieve Expressions
Up a level to ..
Convert Units of Measurement
Create and Modify Objects > Use Precision Tools > Use a Calculator > Use the QuickCalc Calculator > Enter, Evaluate, and Retrieve Expressions >
Enter, Evaluate, and Retrieve Expressions
Concept Procedure Quick Reference

To get the intersection of a line defined by four points using QuickCalc

  1. NoteThe QuickCalc Intersection of Two Lines Defined by Four Points button uses the ill(p1,p2,p3,p4) function.
    On the QuickCalc toolbar, click the Intersection of Two Lines Defined by Four Points button.

    QuickCalc temporarily closes and you are prompted to specify four points.

  2. Enter the coordinate values for the first point of line one, then the second point of line one. Next, enter the coordinate values for the first point of line two, then the second point of line two.

    QuickCalc opens and appends the value of the evaluated expression to the end of any value or expression already present in the Input box.


Enter, Evaluate, and Retrieve Expressions (Quick Reference)

Access QuickCalc and Understand Its Behavior
Enter, Evaluate, and Retrieve Expressions
Convert Units of Measurement
Create and Modify Objects > Use Precision Tools > Use a Calculator > Use the QuickCalc Calculator > Enter, Evaluate, and Retrieve Expressions >
Enter, Evaluate, and Retrieve Expressions
Concept Procedure Quick Reference

Commands

QUICKCALC

Opens the QuickCalc calculator

QCCLOSE

Closes QuickCalc

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Convert Units of Measurement (Concept)

Enter, Evaluate, and Retrieve Expressions
Use the QuickCalc Calculator
Create and Use Calculator Variables
Create and Modify Objects > Use Precision Tools > Use a Calculator > Use the QuickCalc Calculator >
Convert Units of Measurement
Concept Procedure Quick Reference

In the Units Conversion area of QuickCalc, you can obtain equivalent values for different units of measurement.

Unit conversions are available for length, area, volume, and angular values. Based on which unit type you select, you can then select a list of units to convert from and a list of units to convert to.

The Value to Convert box automatically displays the value from the Input box. You can also enter a different value. The results of the units conversion displays in the Converted Value box. You can paste this result to the Input box by clicking the QuickCalc icon in the Converted Value box.

NoteIn the Value to Convert box, enter decimal values without units.


Convert Units of Measurement (Procedure)

Enter, Evaluate, and Retrieve Expressions
Up a level to ..
Convert Units of Measurement
Create and Modify Objects > Use Precision Tools > Use a Calculator > Use the QuickCalc Calculator > Convert Units of Measurement >
Convert Units of Measurement
Concept Procedure Quick Reference

To convert units of measurement with QuickCalc

To copy a unit conversion result to the Input box of QuickCalc

To convert radians to degrees using QuickCalc

To convert degrees to radians using QuickCalc


To convert units of measurement with QuickCalc (Procedure)

Convert Units of Measurement
Up a level to ..
Convert Units of Measurement
Create and Modify Objects > Use Precision Tools > Use a Calculator > Use the QuickCalc Calculator > Convert Units of Measurement >
Convert Units of Measurement
Concept Procedure Quick Reference

To convert units of measurement with QuickCalc

  1. In the Units Conversion area, select a unit category on the Units Type list.
  2. In the Convert From list, select the type of unit you are converting from.
  3. In the Convert To list, select the type of unit you are converting to.
  4. In the Value to Convert box, enter the value you want to convert. Press ENTER.

    The converted value is displayed in the Converted Value box.


To copy a unit conversion result to the Input box of QuickCalc (Procedure)

Convert Units of Measurement
Up a level to ..
Convert Units of Measurement
Create and Modify Objects > Use Precision Tools > Use a Calculator > Use the QuickCalc Calculator > Convert Units of Measurement >
Convert Units of Measurement
Concept Procedure Quick Reference

To copy a unit conversion result to the Input box of QuickCalc

  • On the Units Conversion title bar, click the Return Conversion Value to Input Area button.

    The converted value is displayed in the Input box.


To convert radians to degrees using QuickCalc (Procedure)

Convert Units of Measurement
Up a level to ..
Convert Units of Measurement
Create and Modify Objects > Use Precision Tools > Use a Calculator > Use the QuickCalc Calculator > Convert Units of Measurement >
Convert Units of Measurement
Concept Procedure Quick Reference

To convert radians to degrees using QuickCalc

  1. On the Number Pad, enter a value in radians.
  2. In the Scientific area, click the r2d button.
  3. On the Number Pad, click the equal (=) sign.

    The conversion is displayed in the Input box.


To convert degrees to radians using QuickCalc (Procedure)

Convert Units of Measurement
Up a level to ..
Create and Use Calculator Variables
Create and Modify Objects > Use Precision Tools > Use a Calculator > Use the QuickCalc Calculator > Convert Units of Measurement >
Convert Units of Measurement
Concept Procedure Quick Reference

To convert degrees to radians using QuickCalc

  1. On the Number Pad, enter a value in degrees.
  2. In the Scientific area, click the d2r button.
  3. On the Number Pad, click the equal (=) sign.

    The conversion is displayed in the Input box.


Convert Units of Measurement (Quick Reference)

Enter, Evaluate, and Retrieve Expressions
Convert Units of Measurement
Create and Use Calculator Variables
Create and Modify Objects > Use Precision Tools > Use a Calculator > Use the QuickCalc Calculator > Convert Units of Measurement >
Convert Units of Measurement
Concept Procedure Quick Reference

Commands

QUICKCALC

Opens the QuickCalc calculator

QCCLOSE

Closes QuickCalc

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Create and Use Calculator Variables (Concept)

Convert Units of Measurement
Use the QuickCalc Calculator
Use the Command Prompt Calculator
Create and Modify Objects > Use Precision Tools > Use a Calculator > Use the QuickCalc Calculator >
Create and Use Calculator Variables
Concept Procedure Quick Reference

The Variables area of QuickCalc stores calculator variables that you can access as needed. Calculator variables can either be constants or functions.

You can use the Variables area to define, store, and retrieve calculator variables. Calculator variables can either be constants (coordinates/vectors, real numbers, and integers) or functions. In the Variables area, you can

  • Click a calculator variable to display information such as value, type, and description in the Details box at the bottom of the Variables area.
  • Double-click a calculator variable to load it into the QuickCalc Input box.

Additional operations are available on the shortcut menus in the Variables area.

Create New Calculator Variables

You can create new calculator variables using the shortcut menus in the Variables area. When defining new calculator variables in the Variable Definition dialog box, the following rules apply:

  • Constants. Any expression entered in the Value or Expression text entry box is evaluated before the calculator variable is stored. Calculator variables that are defined as constants are available “globally.” You can access and use global constants in different drawings and sessions.
  • Functions. Any expression entered in the Value or Expression text entry box is stored as text. Functions are evaluated when used in the QuickCalc Input box.

Create Global Constants

You can use one of the following methods to create global constants:

  • Enter an expression in the Input box using the format $variable_name=value. For example, to define the golden ratio to 8 decimal places as a global constant called Phi, enter $Phi=1.61803399 in the Input box.
  • Click the New Variable button in the Variables area title bar. In the Variables Definition dialog box, click Constant and fill in the other boxes.
  • Right-click the Variables area. Click New Variable.

Access Global Constants

You can access global constants and pass them to the Input box of the QuickCalc as follows:

  • Double-click a variable in the Variables area of QuickCalc.
  • Click a variable from the list of calculator variables, and click the Return Variable to Input Area button.
  • Enter a dollar sign ($) followed by the variable name, and press ENTER.

To use a global constant in a text or numeric entry box in a window or dialog box, use the syntax: =$variable_name followed by pressing the END key. For example, to use the previously mentioned global variable, Phi, enter =$Phi and press the END key.

NoteIn QuickCalc, only constants can be directly referred to by their global variable names in the text or numeric entry boxes in windows and dialog boxes.

Use Shortcut Functions

Several sample calculator variables have been predefined and stored in the Shortcut Functions category. These are geometric expressions that combine CAL functions with the Endpoint Snap mode. The following table describes the predefined variables that are available in the Variables area of the calculator.

Variable | Shortcut For | Description
dee | dist(end,end) | Distance between two endpoints
ille | ill(end,end,end) | Intersection of two lines defined by four endpoints
mee | (end+end)/2 | Midpoint between two endpoints
nee | nor(end,end) | Unit vector in the XY plane and normal to two endpoints
rad | rad | Radius of a selected circle, arc, or polyline arc
vee | vee(end,end) | Vector from two endpoints
vee1 | vec1(end,end) | Unit vector from two endpoints

You can easily modify these calculator variables or create your own. For more information, see the CAL command.

Organize Variables into Categories

You can organize calculator variables in the Variables area under several categories. This results in a one-level tree structure. The Shortcut Functions category has already been created and contains several functions.

Use the shortcut menu in the Variables area to create, rename, or delete variable categories.


Create and Use Calculator Variables (Procedure)

Convert Units of Measurement
Up a level to ..
Create and Use Calculator Variables
Create and Modify Objects > Use Precision Tools > Use a Calculator > Use the QuickCalc Calculator > Create and Use Calculator Variables >
Create and Use Calculator Variables
Concept Procedure Quick Reference

To use a predefined variable in a QuickCalc expression

To create a new variable in QuickCalc

To edit a variable in QuickCalc

To delete a variable in QuickCalc

To create a new global constant in the Input box of QuickCalc

To access a global constant from dialog box or window

To evaluate mathematical expressions in a dialog box


To use a predefined variable in a QuickCalc expression (Procedure)

Create and Use Calculator Variables
Up a level to ..
Create and Use Calculator Variables
Create and Modify Objects > Use Precision Tools > Use a Calculator > Use the QuickCalc Calculator > Create and Use Calculator Variables >
Create and Use Calculator Variables
Concept Procedure Quick Reference

To use a predefined variable in a QuickCalc expression

  1. In the Variables area, click the variable you want to use.
  2. On the QuickCalc Variables title bar, click the Return Variable to Input Area button.

    The variable is displayed in the Input box as part of your expression.


To create a new variable in QuickCalc (Procedure)

Create and Use Calculator Variables
Up a level to ..
Create and Use Calculator Variables
Create and Modify Objects > Use Precision Tools > Use a Calculator > Use the QuickCalc Calculator > Create and Use Calculator Variables >
Create and Use Calculator Variables
Concept Procedure Quick Reference

To create a new variable in QuickCalc

  1. On the QuickCalc Variables title bar, click the New Variable button.
  2. In the Variable Definition dialog box, under Variable Type, select Constant or Function.
  3. In the Variable Definition dialog box, under Variable Properties Name, enter a name for the variable. Variable names cannot contain spaces or special characters.
    NoteWhen referencing this variable from the Input box, the variable name must begin with the dollar sign ($) to differentiate it from local LISP variables.
  4. Under Variable Properties Group With, click New.
  5. In the Category Definition dialog box, under Category Properties Name, enter a name for the new category.
  6. Under Description, enter a description for the new category. Click OK.
  7. In the Variable Definition dialog box, under Value or Expression, enter a value or expression for the new variable.
  8. Under Description, enter a description of the new variable. Click OK.

    The new variable is now displayed in the Variables area.


To edit a variable in QuickCalc (Procedure)

Create and Use Calculator Variables
Up a level to ..
Create and Use Calculator Variables
Create and Modify Objects > Use Precision Tools > Use a Calculator > Use the QuickCalc Calculator > Create and Use Calculator Variables >
Create and Use Calculator Variables
Concept Procedure Quick Reference

To edit a variable in QuickCalc

  1. In the Variables area, click the variable you want to edit.
  2. On the QuickCalc Variables title bar, click the Edit Variable button.
  3. In the Variable Definition dialog box, make the edits to the variable. Click OK.


To delete a variable in QuickCalc (Procedure)

Create and Use Calculator Variables
Up a level to ..
Create and Use Calculator Variables
Create and Modify Objects > Use Precision Tools > Use a Calculator > Use the QuickCalc Calculator > Create and Use Calculator Variables >
Create and Use Calculator Variables
Concept Procedure Quick Reference

To delete a variable in QuickCalc

  1. In the Variables area, click the variable you want to delete.
  2. On the QuickCalc Variables title bar, click the Delete button.


To create a new global constant in the Input box of QuickCalc (Procedure)

Create and Use Calculator Variables
Up a level to ..
Create and Use Calculator Variables
Create and Modify Objects > Use Precision Tools > Use a Calculator > Use the QuickCalc Calculator > Create and Use Calculator Variables >
Create and Use Calculator Variables
Concept Procedure Quick Reference

To create a new global constant in the Input box of QuickCalc

  • In the Input box of QuickCalc, enter the following syntax: $variable_name=value.

    For example, you could center $Phi=1.618

    NoteGlobal variables are not case-sensitive.

    QuickCalc adds the global constant to the list of variables in the Variables area.


To access a global constant from dialog box or window (Procedure)

Create and Use Calculator Variables
Up a level to ..
Create and Use Calculator Variables
Create and Modify Objects > Use Precision Tools > Use a Calculator > Use the QuickCalc Calculator > Create and Use Calculator Variables >
Create and Use Calculator Variables
Concept Procedure Quick Reference

To access a global constant from dialog box or window

  • In any text or numeric entry box, enter an expression using the syntax: =$variable_name followed by pressing the END key.


To evaluate mathematical expressions in a dialog box (Procedure)

Create and Use Calculator Variables
Up a level to ..
Use the Command Prompt Calculator
Create and Modify Objects > Use Precision Tools > Use a Calculator > Use the QuickCalc Calculator > Create and Use Calculator Variables >
Create and Use Calculator Variables
Concept Procedure Quick Reference

To evaluate mathematical expressions in a dialog box

  1. If necessary, set the CALCINPUT system variable to 1.
  2. In a dialog box, in an area where you can enter a numeric value, enter a mathematical expression in the following format: =expression (for example, =5+3).
  3. Click END on the keyboard.

    The expression is evaluated and its value is displayed.

    Command entry: CALCINPUT


Create and Use Calculator Variables (Quick Reference)

Convert Units of Measurement
Create and Use Calculator Variables
Use the Command Prompt Calculator
Create and Modify Objects > Use Precision Tools > Use a Calculator > Use the QuickCalc Calculator > Create and Use Calculator Variables >
Create and Use Calculator Variables
Concept Procedure Quick Reference

Commands

QCCLOSE

Closes QuickCalc

QUICKCALC

Opens the QuickCalc calculator

System Variables

CALCINPUT

Controls whether mathematical expressions and global constants are evaluated in text and numeric entry boxes of windows and dialog boxes

Utilities

No entries

Command Modifiers

No entries


Use the Command Prompt Calculator (Concept)

Create and Use Calculator Variables
Use a Calculator
Draw Geometric Objects
Create and Modify Objects > Use Precision Tools > Use a Calculator >
Use the Command Prompt Calculator
Concept Procedure Quick Reference

By entering an expression in the command prompt calculator, you can quickly solve a mathematical problem or locate points in your drawing.

The CAL command runs the 3D calculator utility to evaluate vector expressions (combining points, vectors, and numbers) and real and integer expressions. The calculator performs standard mathematical functions. It also contains a set of specialized functions for calculations involving points, vectors, and AutoCAD geometry. With the CAL command, you can

  • Calculate a vector from two points, the length of a vector, a normal vector (perpendicular to the XY plane), or a point on a line
  • Calculate a distance, radius, or angle
  • Specify a point with the pointing device
  • Specify the last-specified point or intersection
  • Use object snaps as variables in an expression
  • Convert points between a UCS and the WCS
  • Filter the X, Y, and Z components of a vector
  • Rotate a point around an axis

Evaluating Expressions

CAL evaluates expressions according to standard mathematical rules of precedence.

Mathematical operators in order of precedence
Operator | Operation
( ) | Groups expressions
^ | Indicates numeric exponent
*, / | Multiplies and divides numbers
+, - | Adds and subtracts numbers

Calculating Points

You can use CAL whenever you need to calculate a point or a number within a command.

For example, you enter (mid+cen)/2 to specify a point halfway between the midpoint of a line and the center of a circle.

The following example uses CAL as a construction tool. It locates a center point for a new circle, and then calculates one fifth of the radius of an existing circle.

Here is the command prompr sequence:

Command: circle

Specify center point for circle or [3P/2P/Ttr (tan tan radius)]: 'cal

>> Expression: (mid+cen)/2

>> Select entity for MID snap: Select the notch line (1)

>> Select entity for CEN snap: Select the large circle (2)

Diameter/<Radius>: 'cal

>> Expression: 1/5*rad

>> Select circle, arc or polyline segment for RAD function: Select the large circle (3)

Calculate Mathematical Expressions in a Dialog Box

You can also enter and evaluate mathematical expressions in a dialog box using the following format: =expression<END>.

NoteTo evaluate expressions in a dialog box, make sure the system variable, CALCINPUT, is set to 1.


To start the command prompt calculator (Procedure)

Create and Use Calculator Variables
Up a level to ..
Draw Linear Objects
Create and Modify Objects > Use Precision Tools > Use a Calculator > Use the Command Prompt Calculator >
Use the Command Prompt Calculator
Concept Procedure Quick Reference

To start the command prompt calculator

Do one of the following:

  • At the command prompt, enter CAL. Then, enter a CAL expression.
  • At a prompt for a command in progress, enter ‘CAL to start the CAL command transparently. Then, enter a CAL expression to calculate a value for that prompt.


Use the Command Prompt Calculator (Quick Reference)

Create and Use Calculator Variables
Use the Command Prompt Calculator
Draw Lines
Create and Modify Objects > Use Precision Tools > Use a Calculator > Use the Command Prompt Calculator >
Use the Command Prompt Calculator
Concept Procedure Quick Reference

Commands

CAL

Evaluates mathematical and geometric expressions

System Variables

CALCINPUT

Controls whether mathematical expressions and global constants are evaluated in text and numeric entry boxes of windows and dialog boxes

Utilities

No entries

Command Modifiers

No entries


Draw Geometric Objects

Use the Command Prompt Calculator
Create and Modify Objects
Draw Linear Objects
Create and Modify Objects >
Draw Geometric Objects

Drawings are made up of objects. In general, you draw objects by specifying points with the pointing device or by entering coordinate values at the command prompt.

You can create a range of objects, from simple lines and circles to spline curves, and ellipses. In general, you draw objects by specifying points with the pointing device or by entering coordinate values at the command prompt.

Topics in this section

  • Draw Linear Objects

    A line, the most basic object, can be one segment or a series of connected segments.

  • Draw Curved Objects

    Curved objects are arcs, circles, polyline arcs, donuts, ellipses, and splines.

  • Draw Construction and Reference Geometry

    Construction lines and reference points are temporary objects you create to help you draw accurately.

  • Create and Combine Areas (Regions)

    Regions are two-dimensional enclosed areas that have physical properties such as centroids or centers of mass. You can combine existing regions into a single, complex region to calculate area.

  • Create Revision Clouds

    Revision clouds are polylines that consist of sequential arcs. They are used to call attention to parts of a drawing during the review stage.


Draw Linear Objects

Draw Geometric Objects
Draw Geometric Objects
Draw Lines
Create and Modify Objects > Draw Geometric Objects >
Draw Linear Objects
Concept Procedure

A line, the most basic object, can be one segment or a series of connected segments.

Topics in this section

  • Draw Lines
  • Draw Polylines

    A polyline is a connected sequence of segments created as a single object. You can create straight line segments, arc segments, or a combination of the two.

  • Draw Rectangles and Polygons

    You can create rectangles and regular polygons quickly. Creating polygons is a simple way to draw equilateral triangles, squares, pentagons, hexagons, and so on.

  • Draw Multiline Objects

    Multilines are composed of 1 to 16 parallel lines, called elements.

  • Draw Freehand Sketches

    Sketching is useful for creating irregular boundaries or for tracing with a digitizer.


Draw Linear Objects (Procedure)

Use the Command Prompt Calculator
Draw Linear Objects
Draw Lines
Create and Modify Objects > Draw Geometric Objects > Draw Linear Objects >
Draw Linear Objects
Concept Procedure

To draw lines

To draw a polyline with straight segments

To draw a line and arc combination polyline

To create a wide polyline

To create a boundary polyline

To draw a circumscribed polygon

To draw a polygon by specifying one edge

To draw an inscribed polygon

To draw a rectangle

To draw a multiline

To create a multiline style

To sketch and record freehand lines

To erase freehand lines


Draw Lines (Concept)

Draw Linear Objects
Draw Linear Objects
Draw Polylines
Create and Modify Objects > Draw Geometric Objects > Draw Linear Objects >
Draw Lines
Concept Procedure Quick Reference

You can close a sequence of line segments so that the first and last segments are joined.

You can assign properties to lines including color, linetype, and lineweight. For more information about properties, see Work with Object Properties.

You specify the locations that define the endpoints of each line with precision. You can

  • Enter the coordinate values for an endpoint, using either absolute or relative coordinates
  • Specify an object snap relative to an existing object. For example, you can specify the center of a circle as one endpoint of the line
  • Turn grid snap on and snap to a location

There are other methods for creating precise lines. A highly efficient technique is to offset a line from an existing line, and then trim or extend it to the desired length.

Use polyline objects instead of line objects if you want the segments to be connected as a single object.

See Also

    • Use Coordinates and Coordinate Systems (UCS)

    • Use Object Snaps

    • Adjust Grid and Grid Snap

    • Draw Polylines

    • Offset an Object

    • Break and Join Objects


To draw lines (Procedure)

Draw Linear Objects
Up a level to ..
Draw Polylines
Create and Modify Objects > Draw Geometric Objects > Draw Linear Objects > Draw Lines >
Draw Lines
Concept Procedure Quick Reference

To draw lines

  1. Click Draw menu [image] Line.At the command prompt, enter line.
  2. Specify the start point.

    You can use the pointing device or enter coordinate values at the command prompt.

  3. Complete the first line segment by specifying the endpoint.

    To undo the previous line segment during the LINE command, enter u or click Undo on the toolbar.

  4. Specify the endpoints of any additional line segments.
  5. Press ENTER to end or c to close a series of line segments.

    To start a new line at the endpoint of the last line drawn, start the LINE command again and press ENTER at the Specify Start Point prompt.

Toolbar: Draw
Command entry: LINE


Draw Lines (Quick Reference)

Use the Command Prompt Calculator
Draw Lines
Draw Polylines
Create and Modify Objects > Draw Geometric Objects > Draw Linear Objects > Draw Lines >
Draw Lines
Concept Procedure Quick Reference

Commands

LINE

Creates straight line segments

RAY

Creates a line that starts at a point and continues to infinity

XLINE

Creates a line of infinite length

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Draw Polylines (Concept)

Draw Lines
Draw Linear Objects
Draw Rectangles and Polygons
Create and Modify Objects > Draw Geometric Objects > Draw Linear Objects >
Draw Polylines
Concept Procedure Quick Reference

A polyline is a connected sequence of segments created as a single object. You can create straight line segments, arc segments, or a combination of the two.

Polylines are ideal for applications including the following:

  • Contour lines for topographic, isobaric, and other scientific applications
  • Wiring diagrams and printed cicuit board layouts
  • Process and piping diagrams
  • Extrusion profiles and extrusion paths for 3D solid modeling

Polylines can be created with several commands including PLINE, RECTANG, POLYGON, DONUT, BOUNDARY, and REVCLOUD. All of these commands result in a LWPOLYLINE (lightweight polyline) object type.

With the 3DPOLY command, you can create non-planar polylines that result in a POLYLINE object type. Fewer options are available with 3D polylines.

After you create a polyline, you can edit it using grips or PEDIT. You can use EXPLODE to convert polylines to individual line and arc segments.

NoteYou can convert a spline-fit polyline created with PEDIT into a true spline object with SPLINE.

Create Wide Polylines

You can draw polylines of various widths by using the Width and Halfwidth options. You can set the width of individual segments and make them taper gradually from one width to another. These options become available after you specify a starting point for the polyline.

The Width and Halfwidth options set the width of the next polyline segments you draw. Widths greater than zero produce wide lines, which are filled if Fill mode is on and outlined if Fill mode is off.

Intersections of adjacent wide segments are usually beveled. However, nontangent arc segments, acute angles, or segments that use a dash-dot linetype are not beveled.

Create Polylines from the Boundaries of Objects

You can create a polyline from the boundaries of objects that form a closed area with BOUNDARY. A polyline created using this method is a separate object, distinct from the objects used to create it.

To expedite the boundary selection process in large or complex drawings, you can specify a group of boundary candidates, called a boundary set. You create this set by selecting the objects you want to use define the boundary.

See Also

    • Draw Rectangles and Polygons

    • Modify Complex Objects

    • Break and Join Objects

    • Control Lineweights


Draw Polylines (Procedure)

Draw Lines
Up a level to ..
Draw Polylines
Create and Modify Objects > Draw Geometric Objects > Draw Linear Objects > Draw Polylines >
Draw Polylines
Concept Procedure Quick Reference

To draw a polyline with straight segments

To draw a line and arc combination polyline

To create a wide polyline

To create a boundary polyline


To draw a polyline with straight segments (Procedure)

Draw Polylines
Up a level to ..
Draw Polylines
Create and Modify Objects > Draw Geometric Objects > Draw Linear Objects > Draw Polylines >
Draw Polylines
Concept Procedure Quick Reference

To draw a polyline with straight segments

  1. Click Home tab [image] Draw panel [image] Polyline. At the command prompt, enter pline.
  2. Specify the first point of the polyline.
  3. Specify the endpoint of the first polyline segment.
  4. Continue specifying segment endpoints as needed.
  5. Press ENTER to end, or enter c to close the polyline.

    To start a new polyline at the endpoint of the last polyline drawn, start the PLINE command again and press ENTER at the Specify Start Point prompt.

Toolbar: Draw
Command entry: PLINE


To draw a line and arc combination polyline (Procedure)

Draw Polylines
Up a level to ..
Draw Polylines
Create and Modify Objects > Draw Geometric Objects > Draw Linear Objects > Draw Polylines >
Draw Polylines
Concept Procedure Quick Reference

To draw a line and arc combination polyline

  1. Click Home tab [image] Draw panel [image] Polyline. At the command prompt, enter pline.
  2. Specify the start point of the polyline segment.
  3. Specify the endpoint of the polyline segment.
    • Switch to Arc mode by entering a (Arc) at the command prompt.
    • Return to Line mode by entering L (Line).
  4. Specify additional polyline segments as needed.
  5. Press ENTER to end, or enter c to close the polyline.
Toolbar: Draw
Command entry: PLINE


To create a wide polyline (Procedure)

Draw Polylines
Up a level to ..
Draw Polylines
Create and Modify Objects > Draw Geometric Objects > Draw Linear Objects > Draw Polylines >
Draw Polylines
Concept Procedure Quick Reference

To create a wide polyline

  1. Click Home tab [image] Draw panel [image] Polyline. At the command prompt, enter pline.
  2. Specify the start point of the line segment.
  3. Enter w (Width).
  4. Enter the starting width of the line segment.
  5. Specify the ending width of the line segment using one of the following methods:
    • To create a line segment of equal width, press ENTER.
    • To create a tapering line segment, enter a different width.
  6. Specify the endpoint of the polyline segment.
  7. Continue specifying segment endpoints as needed.
  8. Press ENTER to end, or enter c to close the polyline.
Toolbar: Draw
Command entry: PLINE


To create a boundary polyline (Procedure)

Draw Polylines
Up a level to ..
Draw Rectangles and Polygons
Create and Modify Objects > Draw Geometric Objects > Draw Linear Objects > Draw Polylines >
Draw Polylines
Concept Procedure Quick Reference

To create a boundary polyline

  1. Click Home tab [image] Draw panel [image] Boundary. At the command prompt, enter boundary.
  2. In the Boundary Creation dialog box, in the Object Type list, select Polyline.
  3. Under Boundary Set, do one of the following:
    • To create a boundary set from all objects visible in the current viewport, select Current Viewport. Avoid this option for large, complex drawings.
    • To specify which objects to include in the boundary set, click New. Select the objects that you want to use to create the boundary. Using this option automatically selects the Existing Set option.
  4. Click Pick Points.
  5. Specify points within each area that you want to form a boundary polyline.

    This area must be totally enclosed; that is, there can be no gaps between enclosing objects. You can select more than one area. Click Island Detection if you want internal closed areas to be included in the boundary set.

  6. Press ENTER to create the boundary polyline and end the command.

    The command creates a polyline in the shape of the boundary. Because this polyline overlaps the objects used to create it, it may not be visible. However, you can move, copy, or modify it just as you can any other polyline.

Command entry: BOUNDARY


Draw Polylines (Quick Reference)

Draw Lines
Draw Polylines
Draw Rectangles and Polygons
Create and Modify Objects > Draw Geometric Objects > Draw Linear Objects > Draw Polylines >
Draw Polylines
Concept Procedure Quick Reference

Commands

3DPOLY

Creates a 3D polyline

BOUNDARY

Creates a region or a polyline from an enclosed area

EXPLODE

Breaks a compound object into its component objects

FILL

Controls the filling of objects such as hatches, 2D solids, and wide polylines

PEDIT

Edits polylines and 3D polygon meshes

PLINE

Creates a 2D polyline

POLYGON

Creates an equilateral closed polyline

RECTANG

Creates a rectangular polyline

System Variables

FILLMODE

Specifies whether hatches and fills, 2D solids, and wide polylines are filled in

HPBOUND

Controls the object type created by the BHATCH and BOUNDARY commands

PLINEGEN

Sets how linetype patterns generate around the vertices of a 2D polyline

PLINETYPE

Specifies whether optimized 2D polylines are used

PLINEWID

Stores the default polyline width

Utilities

No entries

Command Modifiers

No entries


Draw Rectangles and Polygons (Concept)

Draw Polylines
Draw Linear Objects
Draw Multiline Objects
Create and Modify Objects > Draw Geometric Objects > Draw Linear Objects >
Draw Rectangles and Polygons
Concept Procedure Quick Reference

You can create rectangles and regular polygons quickly. Creating polygons is a simple way to draw equilateral triangles, squares, pentagons, hexagons, and so on.

If necessary, you can use EXPLODE to convert the resulting polyline object into lines.

Draw Rectangles

Use RECTANG to create closed polylines in a rectangular shape.

Draw Regular Polygons

Use POLYGON to create closed polylines with between 3 and 1,024 equal-length sides. The following illustrations show polygons created using three methods. In each case, two points are specified.

See Also

    • Draw Polylines


Draw Rectangles and Polygons (Procedure)

Draw Polylines
Up a level to ..
Draw Rectangles and Polygons
Create and Modify Objects > Draw Geometric Objects > Draw Linear Objects > Draw Rectangles and Polygons >
Draw Rectangles and Polygons
Concept Procedure Quick Reference

To draw a circumscribed polygon

To draw a polygon by specifying one edge

To draw an inscribed polygon

To draw a rectangle


To draw a circumscribed polygon (Procedure)

Draw Rectangles and Polygons
Up a level to ..
Draw Rectangles and Polygons
Create and Modify Objects > Draw Geometric Objects > Draw Linear Objects > Draw Rectangles and Polygons >
Draw Rectangles and Polygons
Concept Procedure Quick Reference

To draw a circumscribed polygon

  1. Click Home tab [image] Draw panel [image] Polygon. At the command prompt, enter polygon.
  2. At the command prompt, enter the number of sides.
  3. Specify the center of the polygon (1).
  4. Enter c to specify a polygon circumscribed about a circle.
  5. Enter the radius length (2).

Toolbar: Draw
Command entry: POLYGON


To draw a polygon by specifying one edge (Procedure)

Draw Rectangles and Polygons
Up a level to ..
Draw Rectangles and Polygons
Create and Modify Objects > Draw Geometric Objects > Draw Linear Objects > Draw Rectangles and Polygons >
Draw Rectangles and Polygons
Concept Procedure Quick Reference

To draw a polygon by specifying one edge

  1. Click Home tab [image] Draw panel [image] Polygon. At the command prompt, enter polygon.
  2. At the command prompt, enter the number of sides.
  3. Enter e (Edge).
  4. Specify the start point for one polygon segment.
  5. Specify the endpoint of the polygon segment.
Toolbar: Draw
Command entry: POLYGON


To draw an inscribed polygon (Procedure)

Draw Rectangles and Polygons
Up a level to ..
Draw Rectangles and Polygons
Create and Modify Objects > Draw Geometric Objects > Draw Linear Objects > Draw Rectangles and Polygons >
Draw Rectangles and Polygons
Concept Procedure Quick Reference

To draw an inscribed polygon

  1. Click Home tab [image] Draw panel [image] Polygon. At the command prompt, enter polygon.
  2. At the command prompt, enter the number of sides.
  3. Specify the center of the polygon.
  4. Enter i to specify a polygon inscribed within a circle of specified points.
  5. Enter the radius length.
Toolbar: Draw
Command entry: POLYGON


To draw a rectangle (Procedure)

Draw Rectangles and Polygons
Up a level to ..
Draw Multiline Objects
Create and Modify Objects > Draw Geometric Objects > Draw Linear Objects > Draw Rectangles and Polygons >
Draw Rectangles and Polygons
Concept Procedure Quick Reference

To draw a rectangle

  1. Click Home tab [image] Draw panel [image] Rectangle. At the command prompt, enter rectang.
  2. Specify the first corner of the rectangle.
  3. Specify the other corner of the rectangle.
Toolbar: Draw
Command entry: RECTANG


Draw Rectangles and Polygons (Quick Reference)

Draw Polylines
Draw Rectangles and Polygons
Draw Multiline Objects
Create and Modify Objects > Draw Geometric Objects > Draw Linear Objects > Draw Rectangles and Polygons >
Draw Rectangles and Polygons
Concept Procedure Quick Reference

Commands

BOUNDARY

Creates a region or a polyline from an enclosed area

EXPLODE

Breaks a compound object into its component objects

POLYGON

Creates an equilateral closed polyline

RECTANG

Creates a rectangular polyline

System Variables

FILLMODE

Specifies whether hatches and fills, 2D solids, and wide polylines are filled in

HPBOUND

Controls the object type created by the BHATCH and BOUNDARY commands

PLINEWID

Stores the default polyline width

POLYSIDES

Sets the default number of sides for the POLYGON command

SNAPANG

Sets the snap and grid rotation angle for the current viewport relative to the current UCS

Utilities

No entries

Command Modifiers

No entries


Draw Multiline Objects (Concept)

Draw Rectangles and Polygons
Draw Linear Objects
Draw Freehand Sketches
Create and Modify Objects > Draw Geometric Objects > Draw Linear Objects >
Draw Multiline Objects
Concept Procedure Quick Reference

Multilines are composed of 1 to 16 parallel lines, called elements.

When you draw a multiline, you can use the STANDARD style, which has two elements, or specify a style that you created previously. You can also change the justification and scale of the multiline before you draw it.

Multiline justification determines which side of the cursor that the multiline is drawn, or whether it is centered on the cursor.

Multiline scale controls the overall width of the multiline using the current units. Multiline scale does not affect linetype scale. If you change the multiline scale, you might need to make equivalent changes to the linetype scale to prevent dots or dashes from being disproportionately sized.

Create Multiline Styles

You can create named styles for multilines to control the number of elements and the properties of each element. The properties of multilines include

  • The total number of elements and position of each element
  • The offset distance for each element from the middle of the multiline
  • The color and linetype of each element
  • The visibility of the lines, called joints, that appear at each vertex
  • The type of end caps that are used
  • The background fill color of the multiline

You can add up to 16 elements to a multiline style. Elements with a positive offset appear on one side of the middle of the multiline; elements with a negative offset appear on the other side of the middle of the multiline.

See Also

    • Modify Multilines


Draw Multiline Objects (Procedure)

Draw Rectangles and Polygons
Up a level to ..
Draw Multiline Objects
Create and Modify Objects > Draw Geometric Objects > Draw Linear Objects > Draw Multiline Objects >
Draw Multiline Objects
Concept Procedure Quick Reference

To draw a multiline

To create a multiline style


To draw a multiline (Procedure)

Draw Multiline Objects
Up a level to ..
Draw Multiline Objects
Create and Modify Objects > Draw Geometric Objects > Draw Linear Objects > Draw Multiline Objects >
Draw Multiline Objects
Concept Procedure Quick Reference

To draw a multiline

  1. Click Draw menu [image] Multiline.At the command prompt, enter mline.
  2. At the command prompt, enter st to select a style.
  3. To list available styles, enter the style name or enter ?.
  4. To justify the multiline, enter j and select top, zero, or bottom justification.
  5. To change the scale of the multiline, enter s and enter a new scale.

    Now draw the multiline.

  6. Specify the starting point.
  7. Specify a second point.
  8. Specify additional points, or press ENTER. If you specify three or more points, you can enter c to close the multiline.
Command entry: MLINE


To create a multiline style (Procedure)

Draw Multiline Objects
Up a level to ..
Draw Freehand Sketches
Create and Modify Objects > Draw Geometric Objects > Draw Linear Objects > Draw Multiline Objects >
Draw Multiline Objects
Concept Procedure Quick Reference

To create a multiline style

  1. Click Format menu [image] Multiline Style.At the command prompt, enter mlstyle.

  2. In the Multiline Style dialog box, click New.
  3. In the Create New Multiline Style dialog box, enter a name for the multiline style and select a multiline style from which to start. Click Continue.

  4. In the New Multiline Style dialog box, select the parameters for the multiline style. You can also enter a description.

    Descriptions are optional and can be up to 255 characters, including spaces.

  5. Click OK.
  6. In the Multiline Style dialog box, click Save to save the multiline style to a file (the default is acad.mln). You can save multiline styles to the same file.

    If you create more than one multiline style, save the current style before creating a new one or you lose the changes to the first style.


Draw Multiline Objects (Quick Reference)

Draw Rectangles and Polygons
Draw Multiline Objects
Draw Freehand Sketches
Create and Modify Objects > Draw Geometric Objects > Draw Linear Objects > Draw Multiline Objects >
Draw Multiline Objects
Concept Procedure Quick Reference

Commands

OFFSET

Creates concentric circles, parallel lines, and parallel curves

MLINE

Creates multiple parallel lines

MLSTYLE

Creates, modifies, and manages multiline styles

System Variables

CMLSTYLE

Sets the multiline style that governs the appearance of the multiline

Utilities

No entries

Command Modifiers

No entries


Draw Freehand Sketches (Concept)

Draw Multiline Objects
Draw Linear Objects
Draw Curved Objects
Create and Modify Objects > Draw Geometric Objects > Draw Linear Objects >
Draw Freehand Sketches
Concept Procedure Quick Reference

Sketching is useful for creating irregular boundaries or for tracing with a digitizer.

You can use the SKETCH command to draw freehand sketches. Sketching is useful for creating irregular boundaries or for tracing with a digitizer.

Create Sketches

To sketch, use the pointing device like a pen, clicking to put the “pen” down on the screen to draw and clicking again to lift it up and stop drawing. Freehand sketches comprise many line segments. Each line segment can be a separate object or a polyline. You set the minimum length or increment of the segments. Small line segments allow for greater accuracy, but they can greatly increase the drawing file size. For this reason, use this tool sparingly.

Before sketching, check the CELTYPE system variable to make sure the current linetype is BYLAYER. If you use a linetype with dots or dashes and set the sketch line segment shorter than the spaces or dashes, you won't see the spaces or dashes.

Erase Freehand Lines

You erase freehand lines by using the Erase option of the SKETCH command. In Erase mode, wherever the cursor intersects the freehand line, everything from the intersection to the end of the line is erased.

Once you record freehand lines, you can't edit them or erase them with the Erase option of SKETCH. Use the ERASE command after you finish sketching.

Sketch in Tablet Mode

You use Tablet mode with a digitizer. Sketching in Tablet mode is useful for such things as tracing map outlines from paper directly into a drawing. You can't turn off Tablet mode while sketching.

When Tablet mode is on, you can configure the program to map the paper drawing's coordinate system directly into the world coordinate system. Thus, there is a direct correlation between the coordinates where screen crosshairs appear, the coordinates on the tablet, and the coordinates in the original paper drawing. After configuring the program to match the coordinates of the paper drawing, you may find that the area shown on the screen is not the area you need. To avoid this problem, use ZOOM to display the entire work area before you start to sketch.

With some digitizers you can't select the menus while Tablet mode is on. See your digitizer documentation for details.

Maintain Sketching Accuracy

To ensure accuracy on a slow computer, set the record increment value to a negative value. SKETCH uses this value as if it was positive but tests every point received from the pointer against twice the record increment. If the point is more than two record increments away, your computer beeps as a warning that you should slow down to avoid losing accuracy. For example, if the record increment is -1, you should move the cursor in increments of no more than 2. Using this method does not slow down the tracing speed.


Draw Freehand Sketches (Procedure)

Draw Multiline Objects
Up a level to ..
Draw Freehand Sketches
Create and Modify Objects > Draw Geometric Objects > Draw Linear Objects > Draw Freehand Sketches >
Draw Freehand Sketches
Concept Procedure Quick Reference

To sketch and record freehand lines

To erase freehand lines


To sketch and record freehand lines (Procedure)

Draw Freehand Sketches
Up a level to ..
Draw Freehand Sketches
Create and Modify Objects > Draw Geometric Objects > Draw Linear Objects > Draw Freehand Sketches >
Draw Freehand Sketches
Concept Procedure Quick Reference

To sketch and record freehand lines

  1. At the command prompt, enter sketch.
  2. At the Record Increment prompt, enter the minimum line segment length.
  3. Click the start point to put the “pen” down.

    When you move the pointing device, temporary freehand line segments of the length you specified are drawn. SKETCH doesn't accept coordinate input. During the command, freehand lines are displayed in a different color.

  4. Click the endpoint to lift the “pen” up so that you can move the cursor around the screen without drawing. Click a new start point to resume drawing from the new cursor position.
  5. Enter r at any time to record (save) the line you're drawing in the database and those already drawn.

    If the pen is down, you can continue drawing after recording. If the pen is up, click to resume drawing. The freehand line starts from wherever the cursor is when you click.

  6. Press ENTER to complete the sketch and record all unrecorded lines.


To erase freehand lines (Procedure)

Draw Freehand Sketches
Up a level to ..
Draw Curved Objects
Create and Modify Objects > Draw Geometric Objects > Draw Linear Objects > Draw Freehand Sketches >
Draw Freehand Sketches
Concept Procedure Quick Reference

To erase freehand lines

  1. While running the SKETCH command, with the pen up or down, enter e (Erase).

    If the pen was down, it moves up.

  2. Move the cursor to the end of the line you drew last and then move it back as far along the line as you want to erase.
  3. To end the erasure and return to the SKETCH Command prompt, enter p. To undo the erasure, enter e.

    If you want to change the current viewport while sketching, make sure the pen is up, all lines entered so far have been recorded, and Tablet mode is off.


Draw Freehand Sketches (Quick Reference)

Draw Multiline Objects
Draw Freehand Sketches
Draw Arcs
Create and Modify Objects > Draw Geometric Objects > Draw Linear Objects > Draw Freehand Sketches >
Draw Freehand Sketches
Concept Procedure Quick Reference

Commands

SKETCH

Creates a series of freehand line segments

System Variables

SKETCHINC

Sets the record increment for the SKETCH command

SKPOLY

Determines whether the SKETCH command generates lines or polylines

Utilities

No entries

Command Modifiers

No entries


Draw Curved Objects

Draw Freehand Sketches
Draw Geometric Objects
Draw Arcs
Create and Modify Objects > Draw Geometric Objects >
Draw Curved Objects
Concept Procedure

Curved objects are arcs, circles, polyline arcs, donuts, ellipses, and splines.

Topics in this section

  • Draw Arcs

    To create an arc, you can specify various combinations of center, endpoint, start point, radius, angle, chord length, and direction values.

  • Draw Circles

    To create circles, you can specify various combinations of center, radius, diameter, points on the circumference, and points on other objects.

  • Draw Polyline Arcs

    A polyline is a connected sequence of line segments created as a single object. You can create straight line segments, arc segments, or a combination of the two.

  • Draw Donuts

    Donuts are filled rings or solid-filled circles that actually are closed polylines with width.

  • Draw Ellipses

    The shape of an ellipse is determined by two axes that define its length and width. The longer axis is called the major axis, and the shorter one is the minor axis.

  • Draw Splines

    A spline is a smooth curve that passes through or near a given set of points. You can control how closely the curve fits the points.

  • Draw Helixes

    A helix is an open 2D or 3D spiral.


Draw Curved Objects (Procedure)

Draw Freehand Sketches
Draw Curved Objects
Draw Arcs
Create and Modify Objects > Draw Geometric Objects > Draw Curved Objects >
Draw Curved Objects
Concept Procedure

To draw an arc by specifying three points

To draw an arc using a start point, a center point, and an endpoint

To continue an arc with a tangential line

To continue an arc with a tangential arc

To draw a circle by specifying a center point and radius or diameter

To create a circle tangent to two objects

To draw a polyline with straight segments

To draw a line and arc combination polyline

To create a wide polyline

To create a boundary polyline

To create a donut

To draw an isometric circle

To draw a true ellipse using endpoints and distance

To draw an elliptical arc using start and end angles

To convert a spline-fit polyline to a spline

To convert a spline by specifying points

To create a helix


Draw Arcs (Concept)

Draw Curved Objects
Draw Curved Objects
Draw Circles
Create and Modify Objects > Draw Geometric Objects > Draw Curved Objects >
Draw Arcs
Concept Procedure Quick Reference

To create an arc, you can specify various combinations of center, endpoint, start point, radius, angle, chord length, and direction values.

You can create arcs in several ways. With the exception of the first method, arcs are drawn counterclockwise from the start point to the endpoint.

Draw Arcs by Specifying Three Points

You can draw an arc by specifying three points. In the following example, the start point of the arc snaps to the endpoint of a line. The second point of the arc snaps to the middle circle in the illustration.

Draw Arcs by Specifying Start, Center, End

When you know the start point, center point, and endpoint, you can draw an arc by specifying either the start point or the center point first. The center point is the center of a circle that the arc is part of.

Draw Arcs by Specifying Start, Center, Angle

When you have a start point and a center point you can snap to and you know the included angle, use the Start, Center, Angle or the Center, Start, Angle option.

The included angle determines the endpoint of the arc. Use the Start, End, Angle method when you know both endpoints but cannot snap to a center point.

Draw Arcs by Specifying Start, Center, Length

When you have a start point and a center point you can snap to; when you know the chord length, use the Start, Center, Length or the Center, Start, Length option.

The length of the chord of the arc determines the included angle.

Draw Arcs by Specifying Start, End, Direction/Radius

When you have a start point and an endpoint, use the Start, End, Direction or the Start, End, Radius option.

The illustration on the left shows an arc drawn by specifying a start point, endpoint, and radius. You can specify the radius by entering a length or by moving the pointing device clockwise or counterclockwise and clicking to specify a distance.

The illustration on the right shows an arc drawn with the pointing device by specifying a start point and an endpoint and a direction. Moving the cursor up from the start point and endpoint draws the arc concave to the object, as shown here. Moving the cursor down draws the arc convex to the object.

Draw Contiguous Arcs and Lines

Immediately after you complete an arc, you can start a line tangent to the arc at an endpoint by starting the LINE command and pressing ENTER at the Specify First Point prompt. You need to specify only the line length.

Conversely, after you complete a line, you can start an arc tangent to the line at an endpoint by starting the ARC command and pressing ENTER at the Specify Start Point prompt. You need to specify only the endpoint of the arc.

You can connect sequentially drawn arcs in the same way. To create connected arcs using a menu, click Draw menu [image] Arc [image] Continue.To create connected arcs using a menu, at the command prompt, enter arc. In both cases, the resulting object is tangent to the previous one. You can use the shortcut menu to repeat the Continue option.

See Also

    • Draw Polylines

    • Break and Join Objects


Draw Arcs (Procedure)

Draw Curved Objects
Up a level to ..
Draw Arcs
Create and Modify Objects > Draw Geometric Objects > Draw Curved Objects > Draw Arcs >
Draw Arcs
Concept Procedure Quick Reference

To draw an arc by specifying three points

To draw an arc using a start point, a center point, and an endpoint

To continue an arc with a tangential line

To continue an arc with a tangential arc


To draw an arc by specifying three points (Procedure)

Draw Arcs
Up a level to ..
Draw Arcs
Create and Modify Objects > Draw Geometric Objects > Draw Curved Objects > Draw Arcs >
Draw Arcs
Concept Procedure Quick Reference

To draw an arc by specifying three points

  1. Click Home tab [image] Draw panel [image] 3-Point. At the command prompt, enter arc.
  2. Specify the start point.
  3. Specify a point on the arc.
  4. Specify the endpoint.
Toolbar: Draw
Command entry: ARC


To draw an arc using a start point, a center point, and an endpoint (Procedure)

Draw Arcs
Up a level to ..
Draw Arcs
Create and Modify Objects > Draw Geometric Objects > Draw Curved Objects > Draw Arcs >
Draw Arcs
Concept Procedure Quick Reference

To draw an arc using a start point, a center point, and an endpoint

  1. Click Home tab [image] Draw panel [image] Start, Center, End. At the command prompt, enter arc.
  2. Specify a start point.
  3. Specify the center point.
  4. Specify the endpoint.
Toolbar: Draw
Command entry: ARC


To continue an arc with a tangential line (Procedure)

Draw Arcs
Up a level to ..
Draw Arcs
Create and Modify Objects > Draw Geometric Objects > Draw Curved Objects > Draw Arcs >
Draw Arcs
Concept Procedure Quick Reference

To continue an arc with a tangential line

  1. Complete the arc.
  2. Click Home tab [image] Draw panel [image] Line. At the command prompt, enter line.
  3. Press ENTER at the first prompt.
  4. Enter the length of the line and press ENTER.
Toolbar: Draw
Command entry: LINE


To continue an arc with a tangential arc (Procedure)

Draw Arcs
Up a level to ..
Draw Circles
Create and Modify Objects > Draw Geometric Objects > Draw Curved Objects > Draw Arcs >
Draw Arcs
Concept Procedure Quick Reference

To continue an arc with a tangential arc

  1. Complete the arc.
  2. Click Home tab [image] Draw panel [image] Continue. At the command prompt, enter arc.
  3. Specify the second endpoint of the tangent arc.
Toolbar: Draw
Command entry: ARC


Draw Arcs (Quick Reference)

Draw Freehand Sketches
Draw Arcs
Draw Circles
Create and Modify Objects > Draw Geometric Objects > Draw Curved Objects > Draw Arcs >
Draw Arcs
Concept Procedure Quick Reference

Commands

ARC

Creates an arc

LINE

Creates straight line segments

OFFSET

Creates concentric circles, parallel lines, and parallel curves

VIEWRES

Sets the resolution for objects in the current viewport

System Variables

ANGDIR

Sets the direction of positive angles

LASTANGLE

Stores the end angle of the last arc entered relative to the XY plane of the current UCS for the current space

WHIPARC

Controls whether the display of circles and arcs is smooth

Utilities

No entries

Command Modifiers

No entries


Draw Circles (Concept)

Draw Arcs
Draw Curved Objects
Draw Polyline Arcs
Create and Modify Objects > Draw Geometric Objects > Draw Curved Objects >
Draw Circles
Concept Procedure Quick Reference

To create circles, you can specify various combinations of center, radius, diameter, points on the circumference, and points on other objects.

You can create circles in several ways. The default method is to specify the center and the radius. Three other ways to draw a circle are shown in the illustration.

Draw a Circle Tangent to Other Objects

The tangent point is a point where an object touches another object without intersecting it. To create a circle that is tangent to other objects, select the objects and then specify the radius of the circle. In the illustrations below, the bold circle is the one being drawn, and points 1 and 2 select the objects to which it is tangent.

To create a circle tangent at three points, set running object snaps (OSNAP) to Tangent and use the three-point method to create the circle.

See Also

    • Use Object Snaps

    • Draw Isometric Circles


Draw Circles (Procedure)

Draw Arcs
Up a level to ..
Draw Circles
Create and Modify Objects > Draw Geometric Objects > Draw Curved Objects > Draw Circles >
Draw Circles
Concept Procedure Quick Reference

To draw a circle by specifying a center point and radius or diameter

To create a circle tangent to two objects


To draw a circle by specifying a center point and radius or diameter (Procedure)

Draw Circles
Up a level to ..
Draw Circles
Create and Modify Objects > Draw Geometric Objects > Draw Curved Objects > Draw Circles >
Draw Circles
Concept Procedure Quick Reference

To draw a circle by specifying a center point and radius or diameter

  1. Do one of the following:
    • Click Home tab [image] Draw panel [image] Center, Radius. Enter circle at the command prompt.
    • Click Home tab [image] Draw panel [image] Center, Diameter. Enter circle at the command prompt.
  2. Specify the center point.
  3. Specify the radius or diameter.
Toolbar: Draw
Command entry: CIRCLE


To create a circle tangent to two objects (Procedure)

Draw Circles
Up a level to ..
Draw Polyline Arcs
Create and Modify Objects > Draw Geometric Objects > Draw Curved Objects > Draw Circles >
Draw Circles
Concept Procedure Quick Reference

To create a circle tangent to two objects

  1. Click Home tab [image] Draw panel [image] Tan, Tan, Radius. Enter circle at the command prompt.

    The command starts Tangent object snap mode.

  2. Select the first object to draw the circle tangent to.
  3. Select the second object to draw the circle tangent to.
  4. Specify the radius of the circle.
Toolbar: Draw
Command entry: CIRCLE


Draw Circles (Quick Reference)

Draw Arcs
Draw Circles
Draw Polyline Arcs
Create and Modify Objects > Draw Geometric Objects > Draw Curved Objects > Draw Circles >
Draw Circles
Concept Procedure Quick Reference

Commands

CIRCLE

Creates a circle

OFFSET

Creates concentric circles, parallel lines, and parallel curves

System Variables

CIRCLERAD

Sets the default circle radius

WHIPARC

Controls whether the display of circles and arcs is smooth

Utilities

No entries

Command Modifiers

No entries


Draw Polyline Arcs (Concept)

Draw Circles
Draw Curved Objects
Draw Donuts
Create and Modify Objects > Draw Geometric Objects > Draw Curved Objects >
Draw Polyline Arcs
Concept Procedure Quick Reference

A polyline is a connected sequence of line segments created as a single object. You can create straight line segments, arc segments, or a combination of the two.

Multisegmented lines provide editing capabilities unavailable for single lines. For example, you can adjust their width and curvature. After you've created a polyline, you can edit it with PEDIT or use EXPLODE to convert it to individual line and arc segments. You can

  • Convert a spline-fit polyline into a true spline with SPLINE
  • Use closed polylines to create a polygon
  • Create a polyline from the boundaries of overlapping objects

Create Arc Polylines

When you draw arc segments in a polyline, the first point of the arc is the endpoint of the previous segment. You can specify the angle, center point, direction, or radius of the arc. You can also complete the arc by specifying a second point and an endpoint.

Create Closed Polylines

You can draw a closed polyline to create a polygon. To close a polyline, specify the starting point of the last side of the object, enter c (Close), and press ENTER.

Create Wide Polylines

You can draw polylines of various widths by using the Width and Halfwidth options. You can set the width of individual segments and make them taper gradually from one width to another. These options become available after you specify a starting point for the polyline.

The Width and Halfwidth options set the width of the next polyline segments you draw. Zero (0) width produces a thin line. Widths greater than zero produce wide lines, which are filled if Fill mode is on and outlined if Fill mode is off. The Halfwidth option sets width by specifying the distance from the center of the wide polyline to an outside edge.

Taper

When you use the Width option, you are prompted for both a starting and an ending width. By entering different values, you can taper the polyline. The starting and ending points of wide polyline segments are in the center of the line. Intersections of adjacent wide segments are usually beveled. However, nontangent arc segments, acute angles, or segments that use a dash-dot linetype are not beveled.

Create Polylines from the Boundaries of Objects

You can create a polyline from the boundaries of overlapping objects that form a closed area. A polyline created using the boundary method is a separate object, distinct from the objects used to create it. You can edit it using the same methods used to edit other polylines.

To expedite the boundary selection process in large or complex drawings, you can specify a group of boundary candidates, called a boundary set. You create this set by selecting the objects you want to use to define the boundary.

See Also

    • Modify Splines

    • Modify or Join Polylines

    • Break and Join Objects

    • Control Lineweights


Draw Polyline Arcs (Procedure)

Draw Circles
Up a level to ..
Draw Polyline Arcs
Create and Modify Objects > Draw Geometric Objects > Draw Curved Objects > Draw Polyline Arcs >
Draw Polyline Arcs
Concept Procedure Quick Reference

To draw a polyline with straight segments

To draw a line and arc combination polyline

To create a wide polyline

To create a boundary polyline


To draw a polyline with straight segments (Procedure)

Draw Polyline Arcs
Up a level to ..
Draw Polyline Arcs
Create and Modify Objects > Draw Geometric Objects > Draw Curved Objects > Draw Polyline Arcs >
Draw Polyline Arcs
Concept Procedure Quick Reference

To draw a polyline with straight segments

  1. Click Home tab [image] Draw panel [image] Polyline. At the command prompt, enter pline.
  2. Specify the first point of the polyline.
  3. Specify the endpoint of the first polyline segment.
  4. Continue specifying segment endpoints as needed.
  5. Press ENTER to end, or enter c to close the polyline.

    To start a new polyline at the endpoint of the last polyline drawn, start the PLINE command again and press ENTER at the Specify Start Point prompt.

Toolbar: Draw
Command entry: PLINE


To draw a line and arc combination polyline (Procedure)

Draw Polyline Arcs
Up a level to ..
Draw Polyline Arcs
Create and Modify Objects > Draw Geometric Objects > Draw Curved Objects > Draw Polyline Arcs >
Draw Polyline Arcs
Concept Procedure Quick Reference

To draw a line and arc combination polyline

  1. Click Home tab [image] Draw panel [image] Polyline. At the command prompt, enter pline.
  2. Specify the start point of the polyline segment.
  3. Specify the endpoint of the polyline segment.
    • Switch to Arc mode by entering a (Arc) at the command prompt.
    • Return to Line mode by entering L (Line).
  4. Specify additional polyline segments as needed.
  5. Press ENTER to end, or enter c to close the polyline.
Toolbar: Draw
Command entry: PLINE


To create a wide polyline (Procedure)

Draw Polyline Arcs
Up a level to ..
Draw Polyline Arcs
Create and Modify Objects > Draw Geometric Objects > Draw Curved Objects > Draw Polyline Arcs >
Draw Polyline Arcs
Concept Procedure Quick Reference

To create a wide polyline

  1. Click Home tab [image] Draw panel [image] Polyline. At the command prompt, enter pline.
  2. Specify the start point of the line segment.
  3. Enter w (Width).
  4. Enter the starting width of the line segment.
  5. Specify the ending width of the line segment using one of the following methods:
    • To create a line segment of equal width, press ENTER.
    • To create a tapering line segment, enter a different width.
  6. Specify the endpoint of the polyline segment.
  7. Continue specifying segment endpoints as needed.
  8. Press ENTER to end, or enter c to close the polyline.
Toolbar: Draw
Command entry: PLINE


To create a boundary polyline (Procedure)

Draw Polyline Arcs
Up a level to ..
Draw Donuts
Create and Modify Objects > Draw Geometric Objects > Draw Curved Objects > Draw Polyline Arcs >
Draw Polyline Arcs
Concept Procedure Quick Reference

To create a boundary polyline

  1. Click Home tab [image] Draw panel [image] Boundary. At the command prompt, enter boundary.
  2. In the Boundary Creation dialog box, in the Object Type list, select Polyline.
  3. Under Boundary Set, do one of the following:
    • To create a boundary set from all objects visible in the current viewport, select Current Viewport in the list. Avoid this option for large, complex drawings.
    • To specify which objects to include in the boundary set, click New. Select the objects that you want to use to create the boundary. Choosing this option automatically selects the Existing Set option.
  4. Click Pick Points.
  5. Specify points within each area that you want to form a boundary polyline.

    This area must be totally enclosed; that is, there can be no gaps between enclosing objects. You can select more than one area.

  6. Press ENTER to create the boundary polyline and end the command.

    The command creates a polyline in the shape of the boundary. Because this polyline overlaps the objects used to create it, it may not be visible. However, you can move, copy, or modify it just as you can any other polyline.

Command entry: BOUNDARY


Draw Polyline Arcs (Quick Reference)

Draw Circles
Draw Polyline Arcs
Draw Donuts
Create and Modify Objects > Draw Geometric Objects > Draw Curved Objects > Draw Polyline Arcs >
Draw Polyline Arcs
Concept Procedure Quick Reference

Commands

3DPOLY

Creates a 3D polyline

BOUNDARY

Creates a region or a polyline from an enclosed area

OFFSET

Creates concentric circles, parallel lines, and parallel curves

PEDIT

Edits polylines and 3D polygon meshes

PLINE

Creates a 2D polyline

VIEWRES

Sets the resolution for objects in the current viewport

System Variables

FILLMODE

Specifies whether hatches and fills, 2D solids, and wide polylines are filled in

HPBOUND

Controls the object type created by the BHATCH and BOUNDARY commands

PLINEGEN

Sets how linetype patterns generate around the vertices of a 2D polyline

PLINETYPE

Specifies whether optimized 2D polylines are used

PLINEWID

Stores the default polyline width

Utilities

No entries

Command Modifiers

No entries


Draw Donuts (Concept)

Draw Polyline Arcs
Draw Curved Objects
Draw Ellipses
Create and Modify Objects > Draw Geometric Objects > Draw Curved Objects >
Draw Donuts
Concept Procedure Quick Reference

Donuts are filled rings or solid-filled circles that actually are closed polylines with width.

To create a donut, you specify its inside and outside diameters and its center. You can continue creating multiple copies with the same diameter by specifying different center points. To create solid-filled circles, specify an inside diameter of 0.


To create a donut (Procedure)

Draw Polyline Arcs
Up a level to ..
Draw Ellipses
Create and Modify Objects > Draw Geometric Objects > Draw Curved Objects > Draw Donuts >
Draw Donuts
Concept Procedure Quick Reference

To create a donut

  1. Click Home tab [image] Draw panel [image] Donut. At the command prompt, enter donut.
  2. Specify the inside diameter (1).
  3. Specify the outside diameter (2).
  4. Specify the center of the donut (3).
  5. Specify the center point for another donut, or press ENTER to complete the command.


Draw Donuts (Quick Reference)

Draw Polyline Arcs
Draw Donuts
Draw Ellipses
Create and Modify Objects > Draw Geometric Objects > Draw Curved Objects > Draw Donuts >
Draw Donuts
Concept Procedure Quick Reference

Commands

DONUT

Creates filled circles and rings

FILL

Controls the filling of objects such as hatches, 2D solids, and wide polylines

System Variables

DONUTID

Sets the default for the inside diameter of a donut

DONUTOD

Sets the default for the outside diameter of a donut

FILLMODE

Specifies whether hatches and fills, 2D solids, and wide polylines are filled in

Utilities

No entries

Command Modifiers

No entries


Draw Ellipses (Concept)

Draw Donuts
Draw Curved Objects
Draw Splines
Create and Modify Objects > Draw Geometric Objects > Draw Curved Objects >
Draw Ellipses
Concept Procedure Quick Reference

The shape of an ellipse is determined by two axes that define its length and width. The longer axis is called the major axis, and the shorter one is the minor axis.

The illustrations below show two different ellipses created by specifying axis and distance. The third point specifies only a distance and does not necessarily designate the axis endpoint.

If you are drawing on isometric planes to simulate 3D, you can use ellipses to represent isometric circles viewed from an oblique angle. First you need to turn on Isometric Snap in the Drafting Settings dialog box.

See Also

    • Draw Isometric Circles

    • Break and Join Objects


Draw Ellipses (Procedure)

Draw Donuts
Up a level to ..
Draw Ellipses
Create and Modify Objects > Draw Geometric Objects > Draw Curved Objects > Draw Ellipses >
Draw Ellipses
Concept Procedure Quick Reference

To draw an isometric circle

To draw a true ellipse using endpoints and distance

To draw an elliptical arc using start and end angles


To draw an isometric circle (Procedure)

Draw Ellipses
Up a level to ..
Draw Ellipses
Create and Modify Objects > Draw Geometric Objects > Draw Curved Objects > Draw Ellipses >
Draw Ellipses
Concept Procedure Quick Reference

To draw an isometric circle

  1. Click Tools menu [image] Drafting Settings.At the command prompt, enter dsettings.
  2. In the Drafting Settings dialog box, Snap and Grid tab, under Snap Type and Style, click Isometric Snap. Click OK.
  3. Click Home tab [image] Draw panel [image] Axis, End. Enter ellipse at the command prompt.
  4. Enter i (Isocircle).
  5. Specify the center of the circle.
  6. Specify the radius or diameter of the circle.
Toolbar: Draw
Command entry: ELLIPSE


To draw a true ellipse using endpoints and distance (Procedure)

Draw Ellipses
Up a level to ..
Draw Ellipses
Create and Modify Objects > Draw Geometric Objects > Draw Curved Objects > Draw Ellipses >
Draw Ellipses
Concept Procedure Quick Reference

To draw a true ellipse using endpoints and distance

  1. Click Home tab [image] Draw panel [image] Axis, End. Enter ellipse at the command prompt.
  2. Specify the first endpoint of the first axis (1).
  3. Specify the second endpoint of the first axis (2).
  4. Drag the pointing device away from the midpoint, and click to specify a distance (3) for half the length of the second axis.

Toolbar: Draw
Command entry: ELLIPSE


To draw an elliptical arc using start and end angles (Procedure)

Draw Ellipses
Up a level to ..
Draw Splines
Create and Modify Objects > Draw Geometric Objects > Draw Curved Objects > Draw Ellipses >
Draw Ellipses
Concept Procedure Quick Reference

To draw an elliptical arc using start and end angles

  1. Click Home tab [image] Draw panel [image] Arc. At the command prompt, enter ellipse.
  2. Specify endpoints for the first axis (1 and 2).
  3. Specify a distance to define half the length of the second axis (3).
  4. Specify the start angle (4).
  5. Specify the end angle (5).

    The elliptical arc is drawn counterclockwise between the start point and endpoint.

Toolbar: Draw
Command entry: ELLIPSE


Draw Ellipses (Quick Reference)

Draw Donuts
Draw Ellipses
Draw Splines
Create and Modify Objects > Draw Geometric Objects > Draw Curved Objects > Draw Ellipses >
Draw Ellipses
Concept Procedure Quick Reference

Commands

ELLIPSE

Creates an ellipse or an elliptical arc

System Variables

ANGDIR

Sets the direction of positive angles

PELLIPSE

Controls the ellipse type created with ELLIPSE

Utilities

No entries

Command Modifiers

No entries


Draw Splines (Concept)

Draw Ellipses
Draw Curved Objects
Draw Helixes
Create and Modify Objects > Draw Geometric Objects > Draw Curved Objects >
Draw Splines
Concept Procedure Quick Reference

A spline is a smooth curve that passes through or near a given set of points. You can control how closely the curve fits the points.

The SPLINE command creates a particular type of spline known as a nonuniform rational B-spline (NURBS) curve. A NURBS curve produces a smooth curve between control points.

You create splines by specifying points. You can close the spline so that the start and endpoints are coincident and tangent.

Tolerance describes how closely the spline fits the set of fit points you specify. The lower the tolerance, the more closely the spline fits the points. At zero tolerance, the spline passes through the points. You can change the spline-fitting tolerance while drawing the spline to see the effect.

You can use two methods for creating splines:

  • Create spline curves with the Spline option of PEDIT to smooth existing polylines created with PLINE. Such spline-fit polylines are created with uniform knot vectors and are more likely to be included in drawings created with earlier versions of the product.
  • Create splines, which are NURBS curves, with SPLINE. Drawings containing splines use less memory and disk space than those containing spline-fit polylines of similar shape.

You can easily convert spline-fit polylines into true splines with SPLINE.

See Also

    • Modify Splines

    • Break and Join Objects


Draw Splines (Procedure)

Draw Ellipses
Up a level to ..
Draw Splines
Create and Modify Objects > Draw Geometric Objects > Draw Curved Objects > Draw Splines >
Draw Splines
Concept Procedure Quick Reference

To convert a spline-fit polyline to a spline

To convert a spline by specifying points


To convert a spline-fit polyline to a spline (Procedure)

Draw Splines
Up a level to ..
Draw Splines
Create and Modify Objects > Draw Geometric Objects > Draw Curved Objects > Draw Splines >
Draw Splines
Concept Procedure Quick Reference

To convert a spline-fit polyline to a spline

  1. Click Home tab [image] Draw panel [image] Spline. At the command prompt, enter spline.
  2. Enter o (Object).
  3. Select a spline-fit polyline and press ENTER.

    The selected object changes from a polyline to a spline.


To convert a spline by specifying points (Procedure)

Draw Splines
Up a level to ..
Draw Helixes
Create and Modify Objects > Draw Geometric Objects > Draw Curved Objects > Draw Splines >
Draw Splines
Concept Procedure Quick Reference

To convert a spline by specifying points

  1. Click Home tab [image] Draw panel [image] Spline. At the command prompt, enter spline.
  2. Specify the start point for the spline (1).
  3. Specify points (2 through 5) to create the spline, and press ENTER.
  4. Specify the start and end tangents (6, 7).

The spline below uses the same points but different start and end tangents.

The spline below uses the same points but a higher tolerance and different start and end tangents.

Toolbar: Draw
Command entry: SPLINE


Draw Splines (Quick Reference)

Draw Ellipses
Draw Splines
Draw Helixes
Create and Modify Objects > Draw Geometric Objects > Draw Curved Objects > Draw Splines >
Draw Splines
Concept Procedure Quick Reference

Commands

PEDIT

Edits polylines and 3D polygon meshes

PLINE

Creates a 2D polyline

SPLINE

Creates a smooth curve that passes through or near specified points

SPLINEDIT

Edits a spline or spline-fit polyline

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Draw Helixes (Concept)

Draw Splines
Draw Curved Objects
Draw Construction and Reference Geometry
Create and Modify Objects > Draw Geometric Objects > Draw Curved Objects >
Draw Helixes
Concept Procedure Quick Reference

A helix is an open 2D or 3D spiral.

Show Me: Create and Modify a Helix

Click the Play arrow to start the animation. For more information about modifying helixes, see Modify Helixes.

You can use a helix as a path with the SWEEP command. For example, you might sweep a circle along a helix path to create a solid model of a spring.

When you create a helix, you can specify the following:

  • Base radius
  • Top radius
  • Height
  • Number of turns
  • Turn height
  • Twist direction

If you specify the same value for both the base radius and the top radius, then a cylindrical helix is created. By default, the top radius is set to the same value as the base radius. You cannot specify 0 for both the base radius and top radius.

If you specify different values for the top radius and the base radius, then a conical helix is created.

If you specify a height value of 0, then a flat, 2D spiral is created.

NoteA helix is a spline approximation of a real helix. Length values may not be completely accurate. However, when you use a helix as a sweep path, the resulting values will be accurate regardless of the approximation.
See Also

    • Modify Helixes

    • Create a Solid or Surface by Sweeping


To create a helix (Procedure)

Draw Splines
Up a level to ..
Draw Construction and Reference Geometry
Create and Modify Objects > Draw Geometric Objects > Draw Curved Objects > Draw Helixes >
Draw Helixes
Concept Procedure Quick Reference

To create a helix

  1. Click Home tab [image] Draw panel [image] Helix. At the command prompt, enter Helix.
  2. Specify the center point for the base of the helix.
  3. Specify the base radius.
  4. Specify the top radius or press ENTER to specify the same value as the base radius.
  5. Specify the height of the helix.
Toolbar: Modeling
Command entry: HELIX


Draw Helixes (Quick Reference)

Draw Splines
Draw Helixes
Draw Reference Points
Create and Modify Objects > Draw Geometric Objects > Draw Curved Objects > Draw Helixes >
Draw Helixes
Concept Procedure Quick Reference

Commands

HELIX

Creates a 2D spiral or 3D spring

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Draw Construction and Reference Geometry

Draw Helixes
Draw Geometric Objects
Draw Reference Points
Create and Modify Objects > Draw Geometric Objects >
Draw Construction and Reference Geometry
Concept Procedure

Construction lines and reference points are temporary objects you create to help you draw accurately.

Topics in this section

  • Draw Reference Points

    Point objects are useful as nodes or reference geometry for object snaps and relative offsets.

  • Draw Construction Lines (and Rays)

    Lines that extend to infinity in one or both directions, known as rays and construction lines, respectively, can be used as references for creating other objects.


Draw Construction and Reference Geometry (Procedure)

Draw Helixes
Draw Construction and Reference Geometry
Draw Reference Points
Create and Modify Objects > Draw Geometric Objects > Draw Construction and Reference Geometry >
Draw Construction and Reference Geometry
Concept Procedure

To set point style and size

To create a point object

To create a construction line by specifying two points

To create a ray


Draw Reference Points (Concept)

Draw Construction and Reference Geometry
Draw Construction and Reference Geometry
Draw Construction Lines (and Rays)
Create and Modify Objects > Draw Geometric Objects > Draw Construction and Reference Geometry >
Draw Reference Points
Concept Procedure Quick Reference

Point objects are useful as nodes or reference geometry for object snaps and relative offsets.

You can set the style of the points and their size relative to the screen or in absolute units. Changing the style of points

  • Makes them more visible and easier to differentiate from grid dots
  • Affects the display of all point objects in the drawing
  • Requires using REGEN to make the change visible


Draw Reference Points (Procedure)

Draw Construction and Reference Geometry
Up a level to ..
Draw Reference Points
Create and Modify Objects > Draw Geometric Objects > Draw Construction and Reference Geometry > Draw Reference Points >
Draw Reference Points
Concept Procedure Quick Reference

To set point style and size

To create a point object


To set point style and size (Procedure)

Draw Reference Points
Up a level to ..
Draw Reference Points
Create and Modify Objects > Draw Geometric Objects > Draw Construction and Reference Geometry > Draw Reference Points >
Draw Reference Points
Concept Procedure Quick Reference

To set point style and size

  1. Click Format menu [image] Point Style.At the command prompt, enter ddptype.
  2. In the Point Style dialog box, select a point style.
  3. In the Point Size box, specify a size, either relative to the screen or in absolute units.
  4. Click OK.
Command entry: DDPTYPE


To create a point object (Procedure)

Draw Reference Points
Up a level to ..
Draw Construction Lines (and Rays)
Create and Modify Objects > Draw Geometric Objects > Draw Construction and Reference Geometry > Draw Reference Points >
Draw Reference Points
Concept Procedure Quick Reference

To create a point object

  1. Click Draw menu [image] Point [image] Single Point. At the command prompt, enter point.
  2. Specify the point location.

    You can snap to a point using the Node object snap.

Toolbar: Draw
Command entry: POINT


Draw Reference Points (Quick Reference)

Draw Helixes
Draw Reference Points
Draw Construction Lines (and Rays)
Create and Modify Objects > Draw Geometric Objects > Draw Construction and Reference Geometry > Draw Reference Points >
Draw Reference Points
Concept Procedure Quick Reference

Commands

DDPTYPE

Specifies the display style and size of point objects

POINT

Creates a point object

System Variables

PDMODE

Controls how point objects are displayed

PDSIZE

Sets the display size for point objects

Utilities

No entries

Command Modifiers

No entries


Draw Construction Lines (and Rays) (Concept)

Draw Reference Points
Draw Construction and Reference Geometry
Create and Combine Areas (Regions)
Create and Modify Objects > Draw Geometric Objects > Draw Construction and Reference Geometry >
Draw Construction Lines (and Rays)
Concept Procedure Quick Reference

Lines that extend to infinity in one or both directions, known as rays and construction lines, respectively, can be used as references for creating other objects.

For example, you can use construction lines to find the center of a triangle, prepare multiple views of the same item, or create temporary intersections to use for object snaps.

Infinite lines do not change the total area of the drawing. Therefore, their infinite dimensions have no effect on zooming or viewpoints, and they are ignored by commands that display the drawing extents. You can move, rotate, and copy infinite lines just as you can move, rotate, and copy other objects. You may want to create infinite lines on a construction line layer that can be frozen or turned off before plotting.

Construction Lines

A construction line () can be placed anywhere in three-dimensional space. You can specify its orientation in several ways. The default method for creating the line is the two-point method: you specify two points to define the orientation. The first point, the root, is the conceptual midpoint of the construction line, that is, the point snapped to by the Midpoint object snap.

You can also create construction lines in several other ways.

  • Horizontal and Vertical. Create construction lines that pass through a point you specify and are parallel to the X or Y axis of the current UCS.
  • Angle. Creates a construction line in one of two ways. Either you select a reference line and then specify the angle of the construction line from that line, or you create a construction line at a specific angle to the horizontal axis by specifying an angle and then a point through which the construction line should pass.
  • Bisector. Creates a construction line that bisects an angle you specify. You specify the vertex and the lines that create the angle.
  • Offset. Creates a construction line parallel to a baseline you specify. You specify the offset distance, select the baseline, and then indicate on which side of the baseline to locate the construction line.

Rays

A ray is a line in three-dimensional space that starts at a point you specify and extends to infinity. Unlike construction lines, which extend in two directions, rays extend in only one direction. Using rays instead of construction lines can help reduce visual clutter. Like construction lines, rays are ignored by commands that display the drawing extents.


Draw Construction Lines (and Rays) (Procedure)

Draw Reference Points
Up a level to ..
Draw Construction Lines (and Rays)
Create and Modify Objects > Draw Geometric Objects > Draw Construction and Reference Geometry > Draw Construction Lines (and Rays) >
Draw Construction Lines (and Rays)
Concept Procedure Quick Reference

To create a construction line by specifying two points

To create a ray


To create a construction line by specifying two points (Procedure)

Draw Construction Lines (and Rays)
Up a level to ..
Draw Construction Lines (and Rays)
Create and Modify Objects > Draw Geometric Objects > Draw Construction and Reference Geometry > Draw Construction Lines (and Rays) >
Draw Construction Lines (and Rays)
Concept Procedure Quick Reference

To create a construction line by specifying two points

  1. Click Home tab [image] Draw panel [image] Construction Line. At the command prompt, enter xline.
  2. Specify a point to define the root of the construction line.
  3. Specify a second point through which the construction line should pass.
  4. Continue to specify construction lines as needed.

    All subsequent xlines pass through the first point specified.

  5. Press ENTER to end the command.
Toolbar: Draw
Command entry: XLINE


To create a ray (Procedure)

Draw Construction Lines (and Rays)
Up a level to ..
Create and Combine Areas (Regions)
Create and Modify Objects > Draw Geometric Objects > Draw Construction and Reference Geometry > Draw Construction Lines (and Rays) >
Draw Construction Lines (and Rays)
Concept Procedure Quick Reference

To create a ray

  1. Click Home tab [image] Draw panel [image] Ray. At the command prompt, enter ray.
  2. Specify a starting point for the ray.
  3. Specify a point through which the ray should pass.
  4. Continue to specify points to create additional rays as needed.

    All subsequent rays pass through the first point specified.

  5. Press ENTER to end the command.
Command entry: RAY


Draw Construction Lines (and Rays) (Quick Reference)

Draw Reference Points
Draw Construction Lines (and Rays)
Create and Combine Areas (Regions)
Create and Modify Objects > Draw Geometric Objects > Draw Construction and Reference Geometry > Draw Construction Lines (and Rays) >
Draw Construction Lines (and Rays)
Concept Procedure Quick Reference

Commands

RAY

Creates a line that starts at a point and continues to infinity

XLINE

Creates a line of infinite length

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Create and Combine Areas (Regions) (Concept)

Draw Construction Lines (and Rays)
Draw Geometric Objects
Create Revision Clouds
Create and Modify Objects > Draw Geometric Objects >
Create and Combine Areas (Regions)
Concept Procedure Quick Reference

Regions are two-dimensional enclosed areas that have physical properties such as centroids or centers of mass. You can combine existing regions into a single, complex region to calculate area.

Regions are two-dimensional enclosed areas you create from objects that form closed loops. Loops can be combinations of lines, polylines, circles, arcs, ellipses, elliptical arcs, and splines. The objects that make up the loops must either be closed or form closed areas by sharing endpoints with other objects.

Regions can be used for

  • Applying hatching and shading
  • Analyzing properties, such as area, using MASSPROP
  • Extracting design information, such as the centroid

You can create regions out of multiple loops and out of open curves whose endpoints are connected and form loops. You cannot form regions from open objects that intersect to form a closed area: for example, intersecting arcs or self-intersecting curves.

You can also create regions using BOUNDARY.

You create composite regions by combining, subtracting, or finding the intersection of regions. After forming these more complex regions, you can apply hatching or analyze their area.

Objects combined using UNION:

Objects combined using SUBTRACT:

Objects combined using INTERSECT:


Create and Combine Areas (Regions) (Procedure)

Draw Construction Lines (and Rays)
Create and Combine Areas (Regions)
Create and Combine Areas (Regions)
Create and Modify Objects > Draw Geometric Objects > Create and Combine Areas (Regions) >
Create and Combine Areas (Regions)
Concept Procedure Quick Reference

To define regions

To define regions by using boundaries

To combine regions by adding

To combine regions by subtracting

To combine regions by finding intersections


To define regions (Procedure)

Create and Combine Areas (Regions)
Create and Combine Areas (Regions)
Create and Combine Areas (Regions)
Create and Modify Objects > Draw Geometric Objects > Create and Combine Areas (Regions) >
Create and Combine Areas (Regions)
Concept Procedure Quick Reference

To define regions

  1. Click Home tab [image] Draw panel [image] Region. At the command prompt, enter region.
  2. Select objects to create the region.

    These objects must each form an enclosed area, such as a circle or a closed polyline.

  3. Press ENTER.

    A message at the command prompt indicates how many loops were detected and how many regions were created.

Command entry: REGION


To define regions by using boundaries (Procedure)

Create and Combine Areas (Regions)
Create and Combine Areas (Regions)
Create and Combine Areas (Regions)
Create and Modify Objects > Draw Geometric Objects > Create and Combine Areas (Regions) >
Create and Combine Areas (Regions)
Concept Procedure Quick Reference

To define regions by using boundaries

  1. Click Home tab [image] Draw panel [image] Boundary. At the command prompt, enter boundary.
  2. In the Boundary Creation dialog box, in the Object Type list, select Region.
  3. Click Pick Points.
  4. Specify a point in your drawing inside each closed area that you want to define as a region and press ENTER.

    This point is known as the internal point.

    NoteYou can make a new boundary set to limit the objects used to determine the boundary.
Command entry: BOUNDARY


To combine regions by adding (Procedure)

Create and Combine Areas (Regions)
Create and Combine Areas (Regions)
Create and Combine Areas (Regions)
Create and Modify Objects > Draw Geometric Objects > Create and Combine Areas (Regions) >
Create and Combine Areas (Regions)
Concept Procedure Quick Reference

To combine regions by adding

  1. Click Modify menu [image] Solid Editing [image] Union.At the command prompt, enter union.
  2. Select one region for the union.
  3. Select another region.

    You can select regions to unite in any order.

  4. Continue selecting regions or press ENTER to end the command.

    The command converts the selected regions to a new combined region.

Command entry: UNION


To combine regions by subtracting (Procedure)

Create and Combine Areas (Regions)
Create and Combine Areas (Regions)
Create and Combine Areas (Regions)
Create and Modify Objects > Draw Geometric Objects > Create and Combine Areas (Regions) >
Create and Combine Areas (Regions)
Concept Procedure Quick Reference

To combine regions by subtracting

  1. Click Modify menu [image] Solid Editing [image] Subtract.At the command prompt, enter subtract.
  2. Select one or more regions from which to subtract and press ENTER.
  3. Select the region to subtract and press ENTER.

    The areas of the second regions you selected are subtracted from the areas of the first regions.

Command entry: SUBTRACT


To combine regions by finding intersections (Procedure)

Create and Combine Areas (Regions)
Create and Combine Areas (Regions)
Create Revision Clouds
Create and Modify Objects > Draw Geometric Objects > Create and Combine Areas (Regions) >
Create and Combine Areas (Regions)
Concept Procedure Quick Reference

To combine regions by finding intersections

  1. Click Modify menu [image] Solid Editing [image] Intersect.At the command prompt, enter intersect.
  2. Select one region of the intersection.
  3. Select another intersecting region.

    You can select regions in any order to find their intersection.

  4. Continue selecting regions or press ENTER to end the command.

    The command converts the selected regions to a new region defined by the intersection of the selected regions.

Command entry: INTERSECT


Create and Combine Areas (Regions) (Quick Reference)

Draw Construction Lines (and Rays)
Create and Combine Areas (Regions)
Create Revision Clouds
Create and Modify Objects > Draw Geometric Objects > Create and Combine Areas (Regions) >
Create and Combine Areas (Regions)
Concept Procedure Quick Reference

Commands

BOUNDARY

Creates a region or a polyline from an enclosed area

INTERSECT

Creates a 3D solid or 2D region from selected overlapping solids or regions

MASSPROP

Calculates the mass properties of regions or solids

REGION

Converts an object that encloses an area into a region object

SUBTRACT

Combines selected 3D solids or 2D regions by subtraction

UNION

Combines selected 3D solids or 2D regions by addition

System Variables

DELOBJ

Controls whether geometry used to create 3D objects is retained or deleted

Utilities

No entries

Command Modifiers

No entries


Create Revision Clouds (Concept)

Create and Combine Areas (Regions)
Draw Geometric Objects
Create and Use Blocks (Symbols)
Create and Modify Objects > Draw Geometric Objects >
Create Revision Clouds
Concept Procedure Quick Reference

Revision clouds are polylines that consist of sequential arcs. They are used to call attention to parts of a drawing during the review stage.

If you review or redline drawings, you can increase your productivity by using the Revision Cloud feature to highlight your markups. REVCLOUD creates a polyline of sequential arcs to form a cloud-shaped object. You can select a style for a revision cloud: Normal or Calligraphy. If you select Calligraphy, the revision cloud looks as if it was drawn with a calligraphy pen.

You can create a revision cloud from scratch, or you can convert objects, such as a circle, ellipse, polyline, or spline, to a revision cloud. When you convert an object to a revision cloud, the original object is deleted if DELOBJ is set to 1 (the default).

You can set the minimum and maximum default values for the arc lengths of a revision cloud. When you draw a revision cloud, you can vary the size of the arcs by using pick points for the smaller arc segments. You can also edit the individual arc lengths and chord lengths of a revision cloud by adjusting the pick points.

REVCLOUD stores the last used arc length as a multiple of the DIMSCALE system variable to provide consistency among drawings with different scale factors.

Make sure that you can see the entire area to be outlined with REVCLOUD before you begin the command. REVCLOUD is not designed to support transparent and real-time panning and zooming.


Create Revision Clouds (Procedure)

Create and Combine Areas (Regions)
Create Revision Clouds
Create Revision Clouds
Create and Modify Objects > Draw Geometric Objects > Create Revision Clouds >
Create Revision Clouds
Concept Procedure Quick Reference

To create a revision cloud from scratch

To create revision clouds with a calligraphy pen style

To convert an object to a revision cloud

To change the default values for arc lengths in a revision cloud

To edit the individual lengths of arcs or chords in a revision cloud


To create a revision cloud from scratch (Procedure)

Create Revision Clouds
Create Revision Clouds
Create Revision Clouds
Create and Modify Objects > Draw Geometric Objects > Create Revision Clouds >
Create Revision Clouds
Concept Procedure Quick Reference

To create a revision cloud from scratch

  1. Click Home tab [image] Draw panel [image] Revision Cloud. At the command prompt, enter revcloud.
  2. At the command prompt, specify a new minimum and maximum arc length or specify a revision cloud starting point.

    The default minimum and maximum arc lengths are set to 0.5000 units. The maximum arc length can be no more than three times the minimum arc length.

  3. Guide the crosshairs along the cloud path. You can click pick points along the path if you want to vary the size of the arcs.
  4. Press ENTER at any time to stop drawing the revision cloud.

    To close the revision cloud, return to its starting point.

Toolbar: Draw
Command entry: REVCLOUD


To create revision clouds with a calligraphy pen style (Procedure)

Create Revision Clouds
Create Revision Clouds
Create Revision Clouds
Create and Modify Objects > Draw Geometric Objects > Create Revision Clouds >
Create Revision Clouds
Concept Procedure Quick Reference

To create revision clouds with a calligraphy pen style

  1. Click Home tab [image] Draw panel [image] Revision Cloud. At the command prompt, enter revcloud.
  2. At the command prompt, enter style.
  3. At the command prompt, enter calligraphy.
  4. Press ENTER to save the calligraphy setting and to continue with the command, or press ESC to end the command.
Toolbar: Draw
Command entry: REVCLOUD


To convert an object to a revision cloud (Procedure)

Create Revision Clouds
Create Revision Clouds
Create Revision Clouds
Create and Modify Objects > Draw Geometric Objects > Create Revision Clouds >
Create Revision Clouds
Concept Procedure Quick Reference

To convert an object to a revision cloud

  1. Click Home tab [image] Draw panel [image] Revision Cloud. At the command prompt, enter revcloud.
  2. At the command prompt, specify a new minimum and maximum arc length or press ENTER.

    The default minimum and maximum arc lengths are set to 0.5000 units. The maximum arc length can be no more than three times the minimum arc length.

  3. Select the circle, ellipse, polyline, or spline that you want to convert to a revision cloud.

    To reverse the direction of the arcs, enter yes at the command prompt and press ENTER.

  4. Press ENTER to change the selected object to a revision cloud.
Toolbar: Draw
Command entry: REVCLOUD


To change the default values for arc lengths in a revision cloud (Procedure)

Create Revision Clouds
Create Revision Clouds
Create Revision Clouds
Create and Modify Objects > Draw Geometric Objects > Create Revision Clouds >
Create Revision Clouds
Concept Procedure Quick Reference

To change the default values for arc lengths in a revision cloud

  1. Click Home tab [image] Draw panel [image] Revision Cloud. At the command prompt, enter revcloud.
  2. At the command prompt, specify a new minimum arc length and press ENTER.
  3. At the command prompt, specify a new maximum arc length and press ENTER.

    The maximum arc length can be no more than three times the minimum arc length.

  4. Press ENTER to continue with the command or ESC to end the command.
Toolbar: Draw
Command entry: REVCLOUD


To edit the individual lengths of arcs or chords in a revision cloud (Procedure)

Create Revision Clouds
Create Revision Clouds
Create and Store Blocks
Create and Modify Objects > Draw Geometric Objects > Create Revision Clouds >
Create Revision Clouds
Concept Procedure Quick Reference

To edit the individual lengths of arcs or chords in a revision cloud

  1. In your drawing, select the revision cloud you want to edit.
  2. Move the pick points along the path of the revision cloud to change the arc lengths and chords.


Create Revision Clouds (Quick Reference)

Create and Combine Areas (Regions)
Create Revision Clouds
Overview of Blocks
Create and Modify Objects > Draw Geometric Objects > Create Revision Clouds >
Create Revision Clouds
Concept Procedure Quick Reference

Commands

REVCLOUD

Creates a revision cloud using a polyline

System Variables

DIMSCALE

Sets the overall scale factor applied to dimensioning variables that specify sizes, distances, or offsets

DELOBJ

Controls whether geometry used to create 3D objects is retained or deleted

Utilities

No entries

Command Modifiers

No entries


Create and Use Blocks (Symbols)

Create Revision Clouds
Create and Modify Objects
Overview of Blocks
Create and Modify Objects >
Create and Use Blocks (Symbols)

A block is one or more objects combined to create a single object. Blocks help you reuse objects in the same drawing or in other drawings.

Topics in this section

  • Overview of Blocks

    A block can be composed of objects drawn on several layers with various properties. You can use several methods to create blocks.

  • Create and Store Blocks

    You create blocks by associating objects and giving them a name. You can also attach information (attributes) to a block.

  • Add Dynamic Behavior to Blocks

    When you add dynamic behavior to a block definition, you add flexibility and intelligence to the block geometry. Instead of being a fixed part of a drawing, a dynamic block reference can be changed or manipulated as you work in a drawing.

  • Insert Blocks

    When you insert a block, you create a block reference and specify its location, scale, and rotation.

  • Work with Dynamic Blocks in Drawings

    A dynamic block has flexibility and intelligence. A dynamic block reference can easily be changed in a drawing while you work. You can manipulate the geometry through custom grips or custom properties. This allows you to adjust the block reference in-place as necessary rather than searching for another block to insert or redefining the existing one.

  • Attach Data to Blocks (Block Attributes)

    You can attach information to blocks and later extract the information to create a bill of materials or other report.

  • Modify Blocks

    You can modify a block definition or a block reference already inserted in the drawing.


Overview of Blocks (Concept)

Create and Use Blocks (Symbols)
Create and Use Blocks (Symbols)
Create and Store Blocks
Create and Modify Objects > Create and Use Blocks (Symbols) >
Overview of Blocks
Concept Quick Reference

A block can be composed of objects drawn on several layers with various properties. You can use several methods to create blocks.

You can use several methods to create blocks:

  • Combine objects to create a block definition in your current drawing.
  • Use the Block Editor ribbon contextual tab(when the ribbon is active) or Block Editor (when the ribbon is not active) to add dynamic behavior to a block definition in your current drawing.
  • Create a drawing file and later insert it as a block in other drawings.
  • Create a drawing file with several related block definitions to serve as a block library.

A block can be composed of objects drawn on several layers with various colors, linetypes, and lineweight properties. Although a block is always inserted on the current layer, the block reference preserves information about the original layer, color, and linetype properties of the objects that are contained in the block. You can control whether objects in a block retain their original properties or inherit their properties from the current layer, color, linetype, or lineweight settings.

A block definition can also contain elements that add dynamic behavior to the block. You add these elements to the block in either the Block Editor ribbon contextual tab or the Block Editor. When you add dynamic behavior to a block, you add flexibility and intelligence to the geometry. When you insert a block reference with dynamic behavior in a drawing, you can manipulate the geometry of the block reference through custom grips or custom properties, depending on how the block was defined.

You can use PURGE to remove unused block definitions from a drawing.

You can also create annotative blocks. For more information about creating and working with an annotative blocks, see Create Annotative Blocks and Attributes.

See Also

    • Scale Annotations


Overview of Blocks (Quick Reference)

Create Revision Clouds
Overview of Blocks
How Blocks Are Stored and Referenced
Create and Modify Objects > Create and Use Blocks (Symbols) > Overview of Blocks >
Overview of Blocks
Concept Quick Reference

Commands

BLOCK

Creates a block definition from selected objects

PURGE

Removes unused named items, such as block definitions and layers, from the drawing

WBLOCK

Writes objects or a block to a new drawing file

System Variables

MAXSORT

Sets the maximum number of symbol names or block names sorted by listing commands

Utilities

No entries

Command Modifiers

No entries


Create and Store Blocks

Overview of Blocks
Create and Use Blocks (Symbols)
How Blocks Are Stored and Referenced
Create and Modify Objects > Create and Use Blocks (Symbols) >
Create and Store Blocks
Concept Procedure

You create blocks by associating objects and giving them a name. You can also attach information (attributes) to a block.

Topics in this section

  • How Blocks Are Stored and Referenced

    Every drawing file has an invisible data area called the block definition table. The block definition table stores all block definitions, which consist of all information associated with the block. It is these block definitions that are referenced when you insert blocks in your drawing.

  • Create Blocks Within a Drawing

    After you define a block in a drawing, you can insert a block reference in the drawing as many times as necessary. Use this method to create blocks quickly.

  • Create Drawing Files for Use as Blocks

    You can create individual drawing files for use as blocks.

  • Control the Color and Linetype Properties in Blocks

    The objects in an inserted block can retain their original properties, can inherit properties from the layer on which they are inserted, or can inherit the properties set as current in the drawing.

  • Nest Blocks

    Block references that contain other blocks are known as nested blocks. Using blocks within blocks can simplify the organization of a complex block definition.

  • Create Block Libraries

    A block library is a collection of block definitions stored in a single drawing file. You can use block libraries supplied by Autodesk or other vendors or create your own.

  • Use Tool Palettes to Organize Blocks

    You can use tool palettes to organize blocks that are stored in one drawing file or separate drawing files.

  • Remove Block Definitions

    To reduce the size of a drawing, you can remove unused block definitions. You can remove a block reference from your drawing by erasing it; however, the block definition remains in the drawing's block definition table.


Create and Store Blocks (Procedure)

Create Revision Clouds
Create and Store Blocks
Create Blocks Within a Drawing
Create and Modify Objects > Create and Use Blocks (Symbols) > Create and Store Blocks >
Create and Store Blocks
Concept Procedure

To define a block for the current drawing

To create a new drawing file from selected objects

To create a new drawing file from an existing block definition

To set the color for all new objects

To set the linetype for all new objects

To create a block library drawing

To remove a block definition


How Blocks Are Stored and Referenced (Concept)

Create and Store Blocks
Create and Store Blocks
Create Blocks Within a Drawing
Create and Modify Objects > Create and Use Blocks (Symbols) > Create and Store Blocks >
How Blocks Are Stored and Referenced
Concept Quick Reference

Every drawing file has an invisible data area called the block definition table. The block definition table stores all block definitions, which consist of all information associated with the block. It is these block definitions that are referenced when you insert blocks in your drawing.

The following illustrations are conceptual representations of three drawing files. Each rectangle represents a separate drawing file and is divided into two parts: the smaller part represents the block definition table, and the larger part represents the objects in a drawing.

When you insert a block, you are inserting a block reference. The information is not simply copied from the block definition to the drawing area. Instead, a link is established between the block reference and the block definition. Therefore, if the block definition is changed, all references are updated automatically.

To reduce the size of a drawing, you can purge unused block definitions.


How Blocks Are Stored and Referenced (Quick Reference)

Overview of Blocks
How Blocks Are Stored and Referenced
Create Blocks Within a Drawing
Create and Modify Objects > Create and Use Blocks (Symbols) > Create and Store Blocks > How Blocks Are Stored and Referenced >
How Blocks Are Stored and Referenced
Concept Quick Reference

Commands

BLOCK

Creates a block definition from selected objects

PURGE

Removes unused named items, such as block definitions and layers, from the drawing

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Create Blocks Within a Drawing (Concept)

How Blocks Are Stored and Referenced
Create and Store Blocks
Create Drawing Files for Use as Blocks
Create and Modify Objects > Create and Use Blocks (Symbols) > Create and Store Blocks >
Create Blocks Within a Drawing
Concept Procedure Quick Reference

After you define a block in a drawing, you can insert a block reference in the drawing as many times as necessary. Use this method to create blocks quickly.

Each block definition includes a block name, one or more objects, the coordinate values of the base point to be used for inserting the block, and any associated attribute data.

The base point is used as a reference for positioning the block when you insert it. Suppose you specify that the base point is at the lower-left corner of an object in the block. Later, when you insert the block, you are prompted for an insertion point. The block base point is aligned at the insertion point you specified.

The block definition in the illustration comprises a name, PLUG_VALVE, four lines, and a base point at the intersection of the two diagonal lines. For an explanation of the schematic representation shown, see Configure a DWFx Driver (Advanced).

The illustration shows a typical sequence for creating a block definition within a drawing.

You can also use either the Block Editor ribbon contextual tab or the Block Editor to create blocks that are saved within a drawing. For more information about using the Block Editor, see Use the Block Editor.


To define a block for the current drawing (Procedure)

Create and Store Blocks
Up a level to ..
Create Drawing Files for Use as Blocks
Create and Modify Objects > Create and Use Blocks (Symbols) > Create and Store Blocks > Create Blocks Within a Drawing >
Create Blocks Within a Drawing
Concept Procedure Quick Reference

To define a block for the current drawing

  1. Create the objects you want to use in the block definition.
  2. Click Home tab [image] Block panel [image] Create. At the command prompt, enter block.
  3. In the Block Definition dialog box, enter a block name in the Name box.
  4. Under Objects, select Convert to Block.

    If you want the original objects used to create the block definition to remain in your drawing, make sure the Delete option is not selected. If this option is selected, the original objects are erased from the drawing. If necessary, you can use OOPS to restore them.

  5. Click Select Objects.
  6. Use your pointing device to select the objects to be included in the block definition. Press ENTER to complete object selection.
  7. In the Block Definition dialog box under Base Point, specify the block insertion point using one of these methods:
    • Click Pick Point to specify a point using the pointing device.
    • Enter the X,Y,Z coordinate values of the point.
  8. In the Description box, enter a description for the block definition. This description is displayed in DesignCenter™ (ADCENTER).
  9. Click OK.

    The block is defined in the current drawing and can be inserted at any time.

Toolbar: Draw
Command entry: BLOCK


Create Blocks Within a Drawing (Quick Reference)

How Blocks Are Stored and Referenced
Create Blocks Within a Drawing
Create Drawing Files for Use as Blocks
Create and Modify Objects > Create and Use Blocks (Symbols) > Create and Store Blocks > Create Blocks Within a Drawing >
Create Blocks Within a Drawing
Concept Procedure Quick Reference

Commands

BLOCK

Creates a block definition from selected objects

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Create Drawing Files for Use as Blocks (Concept)

Create Blocks Within a Drawing
Create and Store Blocks
Control the Color and Linetype Properties in Blocks
Create and Modify Objects > Create and Use Blocks (Symbols) > Create and Store Blocks >
Create Drawing Files for Use as Blocks
Concept Procedure Quick Reference

You can create individual drawing files for use as blocks.

You can create drawing files for the purpose of inserting them into other drawings as blocks. Individual drawing files are easy to create and manage as the source of block definitions. Collections of symbols can be stored as individual drawing files and grouped in folders.

Create a New Drawing File

You have two methods for creating drawing files:

  • Create and save a complete drawing file using SAVE or SAVEAS.
  • Create and save only selected objects from your current drawing to a new drawing using EXPORT or WBLOCK.

With either method, you create an ordinary drawing file that can be inserted as a block into any other drawing file. Using WBLOCK is recommended when you need to create several versions of a symbol as separate drawing files, or when you want to create a drawing file without leaving the current drawing.

Change the Base Point of Drawings to Be Used as Blocks

By default, the WCS (world coordinate system) origin (0,0,0) is used as the base point for drawing files inserted as blocks. You can change the base point by opening the original drawing and using BASE to specify a different base point for insertion. The next time you insert the block, the new base point is used.

Update Changes in the Original Drawing

If you change the original drawing after inserting it, the changes have no effect on the current drawing. If you expect the original drawing to change, and you want the changes to be reflected in the current drawing, you may want to attach it as an external reference instead of inserting it as a block. For more information about external references, see Reference Other Drawing Files.

Use Paper Space Objects in Blocks

Objects in paper space are not included when you insert a drawing as a block. To transfer paper space objects to another drawing, make the objects into a block or save them in a separate drawing file, and then insert the block or drawing file into the other drawing.


Create Drawing Files for Use as Blocks (Procedure)

Create Blocks Within a Drawing
Up a level to ..
Create Drawing Files for Use as Blocks
Create and Modify Objects > Create and Use Blocks (Symbols) > Create and Store Blocks > Create Drawing Files for Use as Blocks >
Create Drawing Files for Use as Blocks
Concept Procedure Quick Reference

To create a new drawing file from selected objects

To create a new drawing file from an existing block definition


To create a new drawing file from selected objects (Procedure)

Create Drawing Files for Use as Blocks
Up a level to ..
Create Drawing Files for Use as Blocks
Create and Modify Objects > Create and Use Blocks (Symbols) > Create and Store Blocks > Create Drawing Files for Use as Blocks >
Create Drawing Files for Use as Blocks
Concept Procedure Quick Reference

To create a new drawing file from selected objects

  1. Open an existing drawing or create a new drawing.
  2. At the command prompt, enter wblock.
  3. In the Write Block dialog box, select Objects.

    If you want the original objects used to create the new drawing to remain in your drawing, make sure the Delete From Drawing option is not selected. If this option is selected, the original objects are erased from the drawing. If necessary, you can use OOPS to restore them.

  4. Click Select Objects.
  5. Use your pointing device to select the objects to be included in the new drawing. Press ENTER to complete object selection.
  6. In the Write Block dialog box under Base Point, specify the point to be the origin point (0,0,0) for the new drawing using one of these methods:
    • Click Specify Point to specify a point using the pointing device.
    • Enter the X,Y,Z coordinate values of the point.
  7. Under Destination, enter a file name and path for the new drawing, or click the [...] button to display a standard file selection dialog box.
  8. Click OK.

    A new drawing is created with the selected objects.

Command entry: WBLOCK


To create a new drawing file from an existing block definition (Procedure)

Create Drawing Files for Use as Blocks
Up a level to ..
Control the Color and Linetype Properties in Blocks
Create and Modify Objects > Create and Use Blocks (Symbols) > Create and Store Blocks > Create Drawing Files for Use as Blocks >
Create Drawing Files for Use as Blocks
Concept Procedure Quick Reference

To create a new drawing file from an existing block definition

  1. Click Modify menu [image] Object [image] Block Description.At the command prompt, enter block.
  2. In the Block Definition dialog box, in the Name box, select the block to modify.
  3. In the Name box, enter a new name.
  4. In the Description box, enter or modify the description for the new drawing file.
  5. Click OK.
Command entry: BLOCK


Create Drawing Files for Use as Blocks (Quick Reference)

Create Blocks Within a Drawing
Create Drawing Files for Use as Blocks
Control the Color and Linetype Properties in Blocks
Create and Modify Objects > Create and Use Blocks (Symbols) > Create and Store Blocks > Create Drawing Files for Use as Blocks >
Create Drawing Files for Use as Blocks
Concept Procedure Quick Reference

Commands

ADCENTER

Manages and inserts content such as blocks, xrefs, and hatch patterns

BASE

Sets the insertion base point for the current drawing

BLOCK

Creates a block definition from selected objects

EXPORT

Saves objects to other file formats

INSERT

Inserts a block or drawing into the current drawing

OOPS

Restores erased objects

WBLOCK

Writes objects or a block to a new drawing file

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Control the Color and Linetype Properties in Blocks (Concept)

Create Drawing Files for Use as Blocks
Create and Store Blocks
Nest Blocks
Create and Modify Objects > Create and Use Blocks (Symbols) > Create and Store Blocks >
Control the Color and Linetype Properties in Blocks
Concept Procedure Quick Reference

The objects in an inserted block can retain their original properties, can inherit properties from the layer on which they are inserted, or can inherit the properties set as current in the drawing.

Generally when you insert a block, the color, linetype, and lineweight of objects in the block retain their original settings regardless of the current settings in the drawing. However, you can create blocks with objects that inherit the current color, linetype, and lineweight settings. These objects have floating properties.

You have three choices for how the color, linetype, and lineweight properties of objects are treated when a block reference is inserted.

  • Objects in the block do not inherit color, linetype, and lineweight properties from the current settings. The properties of objects in the block do not change regardless of the current settings.

    For this choice, it is recommended that you set the color, linetype, and lineweight properties individually for each object in the block definition: do not use BYBLOCK or BYLAYER color, linetype, and lineweight settings when creating these objects.

  • Objects in the block inherit color, linetype, and lineweight properties from the color, linetype, and lineweight assigned to the current layer only.

    For this choice, before you create objects to be included in the block definition, set the current layer to 0, and set the current color, linetype, and lineweight to BYLAYER.

  • Objects inherit color, linetype, and lineweight properties from the current color, linetype, and lineweight that you have set explicitly, that is, that you have set to override the color, linetype, or lineweight assigned to the current layer. If you have not explicitly set them, then these properties are inherited from the color, linetype, and lineweight assigned to the current layer.

    For this choice, before you create objects to be included in the block definition, set the current color or linetype to BYBLOCK.

If you want objects in a block to | Create objects on these layers | Create objects with these properties
Retain original properties | Any but 0 (zero) | Any but BYBLOCK or BYLAYER
Inherit properties from the current layer | 0 (zero) | BYLAYER
Inherit individual properties first, then layer properties | Any | BYBLOCK

Floating properties also apply to nested blocks when the nested block references and the objects they contain use the settings required for floating properties.


Control the Color and Linetype Properties in Blocks (Procedure)

Create Drawing Files for Use as Blocks
Up a level to ..
Control the Color and Linetype Properties in Blocks
Create and Modify Objects > Create and Use Blocks (Symbols) > Create and Store Blocks > Control the Color and Linetype Properties in Blocks >
Control the Color and Linetype Properties in Blocks
Concept Procedure Quick Reference

To set the color for all new objects

To set the linetype for all new objects


To set the color for all new objects (Procedure)

Control the Color and Linetype Properties in Blocks
Up a level to ..
Control the Color and Linetype Properties in Blocks
Create and Modify Objects > Create and Use Blocks (Symbols) > Create and Store Blocks > Control the Color and Linetype Properties in Blocks >
Control the Color and Linetype Properties in Blocks
Concept Procedure Quick Reference

To set the color for all new objects

  1. On the Properties toolbar, click the Color control.
  2. Either click a color to draw all new objects in that color, or click Select Color to display the Select Color dialog box and do one of the following:
    • On the Index tab, click a color or enter the ACI color number (1-255) or name in the Color box, and then click OK.
    • On the True Color tab, select the HSL color model in the Color Model option and specify a color by entering a color value in the Color box or by specifying values in the Hue, Saturation, and Luminance boxes, and then click OK.
    • On the Color Books tab, select a color book from the Color Book box, select a color by navigating the color book (using the up and down arrows) and clicking on a color chip, and then click OK.
    • Click BYLAYER to draw new objects in the color assigned to the current layer.
    • Click BYBLOCK to draw new objects in the current color until they are grouped into a block. When the block is inserted into the drawing, the objects in the block acquire the current color setting.
  3. Click OK.

    The Color control displays the current color.

Command entry: COLOR


To set the linetype for all new objects (Procedure)

Control the Color and Linetype Properties in Blocks
Up a level to ..
Create Block Libraries
Create and Modify Objects > Create and Use Blocks (Symbols) > Create and Store Blocks > Control the Color and Linetype Properties in Blocks >
Control the Color and Linetype Properties in Blocks
Concept Procedure Quick Reference

To set the linetype for all new objects

  1. Click Format menu [image] Linetype.At the command prompt, enter linetype.
  2. If you need to load additional linetypes, click Load, select one or more linetypes, and click OK.

    You can hold down CTRL to select several linetypes or SHIFT to select a range of linetypes.

  3. In the Linetype Manager, do one of the following:
    • Select a linetype and select Current to draw all new objects with that linetype.
    • Select BYLAYER to draw new objects in the linetype assigned to the current layer.
    • Select BYBLOCK to draw new objects in the current linetype until they are grouped into a block. When the block is inserted in a drawing, the objects in the block acquire the current linetype setting.
  4. Click OK.

    The Linetype control displays the current linetype. If the linetype you want to use is already loaded, you can click the Linetype control and click the linetype to make it current.

Command entry: LINETYPE


Control the Color and Linetype Properties in Blocks (Quick Reference)

Create Drawing Files for Use as Blocks
Control the Color and Linetype Properties in Blocks
Nest Blocks
Create and Modify Objects > Create and Use Blocks (Symbols) > Create and Store Blocks > Control the Color and Linetype Properties in Blocks >
Control the Color and Linetype Properties in Blocks
Concept Procedure Quick Reference

Commands

COLOR

Sets the color for new objects

LAYER

Manages layers and layer properties

LINETYPE

Loads, sets, and modifies linetypes

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Nest Blocks (Concept)

Control the Color and Linetype Properties in Blocks
Create and Store Blocks
Create Block Libraries
Create and Modify Objects > Create and Use Blocks (Symbols) > Create and Store Blocks >
Nest Blocks
Concept Quick Reference

Block references that contain other blocks are known as nested blocks. Using blocks within blocks can simplify the organization of a complex block definition.

With nested blocks, you can build a single block out of several components. For example, you can insert as a block a drawing of a mechanical assembly that contains a housing, a bracket, and fasteners in which each fastener is a block composed of a bolt, washer, and nut. The only restriction on nested blocks is that you cannot insert blocks that reference themselves.


Nest Blocks (Quick Reference)

Control the Color and Linetype Properties in Blocks
Nest Blocks
Create Block Libraries
Create and Modify Objects > Create and Use Blocks (Symbols) > Create and Store Blocks > Nest Blocks >
Nest Blocks
Concept Quick Reference

Commands

BLOCK

Creates a block definition from selected objects

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Create Block Libraries (Concept)

Nest Blocks
Create and Store Blocks
Use Tool Palettes to Organize Blocks
Create and Modify Objects > Create and Use Blocks (Symbols) > Create and Store Blocks >
Create Block Libraries
Concept Procedure Quick Reference

A block library is a collection of block definitions stored in a single drawing file. You can use block libraries supplied by Autodesk or other vendors or create your own.

You can organize a set of related block definitions by creating the blocks in the same drawing file. Drawing files used this way are called block, or symbol, libraries. These block definitions can be inserted individually into any drawing that you are working on. Block library drawings are not different from other drawing files except in how they are used.

When you use BLOCK to define each block definition in the block library drawing, you can include a short description of the block that can be viewed in DesignCenter.

Optionally, you can also document each block definition by inserting it in the drawing area of the library drawing. In addition to the block geometry, you can include text that provides the block name, the date of creation, the date of the last modification, and any special instructions or conventions. This creates a visual index of the blocks in the block library drawing.

Use DesignCenter to view and copy block definitions individually from block library drawings (or from any existing drawing) to your current drawing. DesignCenter does not overwrite an existing block definition in a drawing with one that comes from another drawing.


To create a block library drawing (Procedure)

Control the Color and Linetype Properties in Blocks
Up a level to ..
Remove Block Definitions
Create and Modify Objects > Create and Use Blocks (Symbols) > Create and Store Blocks > Create Block Libraries >
Create Block Libraries
Concept Procedure Quick Reference

To create a block library drawing

  1. Begin a new drawing.
  2. Define a block.
  3. Repeat step 2 for as many related block definitions as you want to make.
  4. Save the drawing using a name appropriate for a library drawing.

    These blocks can be inserted into any drawing using DesignCenter (ADCENTER).

Toolbar: Draw
Command entry: BLOCK


Create Block Libraries (Quick Reference)

Nest Blocks
Create Block Libraries
Use Tool Palettes to Organize Blocks
Create and Modify Objects > Create and Use Blocks (Symbols) > Create and Store Blocks > Create Block Libraries >
Create Block Libraries
Concept Procedure Quick Reference

Commands

BLOCK

Creates a block definition from selected objects

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Use Tool Palettes to Organize Blocks (Concept)

Create Block Libraries
Create and Store Blocks
Remove Block Definitions
Create and Modify Objects > Create and Use Blocks (Symbols) > Create and Store Blocks >
Use Tool Palettes to Organize Blocks
Concept Quick Reference

You can use tool palettes to organize blocks that are stored in one drawing file or separate drawing files.

Once you've added a block tool to a tool palette, you can easily insert the block reference in your drawing by dragging it from the tool palette to the drawing or by clicking and placing it in the drawing. For information about using tool palettes to organize and insert blocks, see Create and Use Tools from Objects and Images.


Use Tool Palettes to Organize Blocks (Quick Reference)

Create Block Libraries
Use Tool Palettes to Organize Blocks
Remove Block Definitions
Create and Modify Objects > Create and Use Blocks (Symbols) > Create and Store Blocks > Use Tool Palettes to Organize Blocks >
Use Tool Palettes to Organize Blocks
Concept Quick Reference

Commands

TOOLPALETTES

Opens the Tool Palettes window

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Remove Block Definitions (Concept)

Use Tool Palettes to Organize Blocks
Create and Store Blocks
Add Dynamic Behavior to Blocks
Create and Modify Objects > Create and Use Blocks (Symbols) > Create and Store Blocks >
Remove Block Definitions
Concept Procedure Quick Reference

To reduce the size of a drawing, you can remove unused block definitions. You can remove a block reference from your drawing by erasing it; however, the block definition remains in the drawing's block definition table.

To remove unused block definitions and decrease the drawing size, use PURGE at any time in your drawing session.

All references to a block must be erased before you can purge the block definition.

See Also

    • Configure a DWFx Driver (Advanced)


To remove a block definition (Procedure)

Create Block Libraries
Up a level to ..
Add Dynamic Behavior to Blocks
Create and Modify Objects > Create and Use Blocks (Symbols) > Create and Store Blocks > Remove Block Definitions >
Remove Block Definitions
Concept Procedure Quick Reference

To remove a block definition

  1. Click Tools tab [image] Drawing Utilities panel [image] Purge. At the command prompt, enter purge.

    The Purge dialog box displays a tree view of named objects that can be purged.

  2. To purge blocks, use one of the following methods:
    • To purge all unreferenced blocks, select Blocks. To include nested blocks, select Purge Nested Items.
    • To purge specific blocks, double-click Blocks to expand the Block tree view. Select the blocks to be purged.

    If the item you want to purge is not listed, select View Items You Cannot Purge.

  3. You are prompted to confirm each item in the list. If you do not want to confirm each purge, clear the Confirm Each Item to Be Purged option.
  4. Click Purge.

    To confirm the purging of each item, respond to the prompt by choosing Yes or No, or Yes to All if more than one item is selected.

  5. Select more items to purge, or click Close.
Command entry: PURGE


Remove Block Definitions (Quick Reference)

Use Tool Palettes to Organize Blocks
Remove Block Definitions
Quick Start to Creating Dynamic Blocks
Create and Modify Objects > Create and Use Blocks (Symbols) > Create and Store Blocks > Remove Block Definitions >
Remove Block Definitions
Concept Procedure Quick Reference

Commands

PURGE

Removes unused named items, such as block definitions and layers, from the drawing

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Add Dynamic Behavior to Blocks

Remove Block Definitions
Create and Use Blocks (Symbols)
Quick Start to Creating Dynamic Blocks
Create and Modify Objects > Create and Use Blocks (Symbols) >
Add Dynamic Behavior to Blocks
Concept Procedure

When you add dynamic behavior to a block definition, you add flexibility and intelligence to the block geometry. Instead of being a fixed part of a drawing, a dynamic block reference can be changed or manipulated as you work in a drawing.

Topics in this section

  • Quick Start to Creating Dynamic Blocks
  • Overview of Dynamic Blocks
  • Use the Block Editor

    You use the Block Editor to add dynamic behavior to blocks. The Block Editor provides all the tools you need to add intelligence and flexibility to your blocks.

  • Add Dynamic Elements to Blocks

    To make a block dynamic, you need to add specific elements to the block definition.

  • Save a Block in the Block Editor

    When you are finished adding elements to your dynamic block definition in the Block Editor, save the block definition.


Add Dynamic Behavior to Blocks (Procedure)

Remove Block Definitions
Add Dynamic Behavior to Blocks
Use the Block Editor
Create and Modify Objects > Create and Use Blocks (Symbols) > Add Dynamic Behavior to Blocks >
Add Dynamic Behavior to Blocks
Concept Procedure

To save a block definition in the Block Editor

To save a copy of the current block definition in the Block Editor under a new name


Quick Start to Creating Dynamic Blocks (Concept)

Add Dynamic Behavior to Blocks
Add Dynamic Behavior to Blocks
Overview of Dynamic Blocks
Create and Modify Objects > Create and Use Blocks (Symbols) > Add Dynamic Behavior to Blocks >
Quick Start to Creating Dynamic Blocks
Concept Quick Reference

You add dynamic behavior to new or existing block definitions by adding parameters and actions to the block in either the Block Editor ribbon contextual tab or the Block Editor. In the following example, a desk block is shown in the Block Editor. The block contains a linear parameter, which displays similar to a dimension and is labeled “Distance,” and a stretch action, which displays a lightning bolt and a “Stretch” label.

For a block to be dynamic, you must add at least one parameter. You then add an action and associate the action with the parameter. The types of parameters and actions you add to the block definition define how the block reference will work in a drawing. To see demonstrations of how parameters and actions are added to a block, see the New Features Workshop. Click Help [image] New Features Workshop [image] Produce [image] Dynamic Blocks.

For more information about creating dynamic blocks, see:

  • Overview of Dynamic Blocks
  • Overview of Dynamic Block Elements


Quick Start to Creating Dynamic Blocks (Quick Reference)

Remove Block Definitions
Quick Start to Creating Dynamic Blocks
Overview of Dynamic Blocks
Create and Modify Objects > Create and Use Blocks (Symbols) > Add Dynamic Behavior to Blocks > Quick Start to Creating Dynamic Blocks >
Quick Start to Creating Dynamic Blocks
Concept Quick Reference

Commands

BEDIT

Opens the block definition in the Block Editor

BLOCK

Creates a block definition from selected objects

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Overview of Dynamic Blocks (Concept)

Quick Start to Creating Dynamic Blocks
Add Dynamic Behavior to Blocks
Use the Block Editor
Create and Modify Objects > Create and Use Blocks (Symbols) > Add Dynamic Behavior to Blocks >
Overview of Dynamic Blocks
Concept Quick Reference

A dynamic block has flexibility and intelligence. A dynamic block reference can easily be changed in a drawing while you work. You can manipulate the geometry in a dynamic block reference through custom grips or custom properties. This allows you to adjust the block in-place as necessary rather than searching for another block to insert or redefining the existing one.

For example, if you insert a door block reference in a drawing, you might need to change the size of the door while you're editing the drawing. If the block is dynamic and defined to have an adjustable size, you can change the size of the door simply by dragging the custom grip or by specifying a different size in the Properties palette. You might also need to change the open angle of the door. The door block might also contain an alignment grip, which allows you to align the door block reference easily to other geometry in the drawing.

You use either the Block Editor ribbon contextual tab or the Block Editor to create dynamic blocks. The Block Editor is a special authoring area where you add the elements that make a block dynamic. You can create a block from scratch, or you can add dynamic behavior to an existing block definition. You can also create geometry, just as you would in the drawing area.

You add parameters and actions to a block to make it dynamic. When you add these elements to the block, you add flexibility and intelligence to the block geometry.

  • Parameters define custom properties for the dynamic block by specifying positions, distances, and angles for geometry in the block.
  • Actions define how the geometry of a dynamic block reference will move or change when the block reference is manipulated in a drawing. When you add actions to the block, you must associate them with parameters and usually geometry.

When you add a parameter to a block definition, custom grips and properties are automatically added to the block. You use these custom grips and properties to manipulate the block reference in the drawing.

Process for Creating Dynamic Blocks

To create quality dynamic blocks, so you get the results you expect, it is recommended that you follow the steps in the following process. This process will help you author dynamic blocks effectively.

Step 1. Plan the contents of the dynamic block before you create it

Before you create a dynamic block, you should know what it will look like and how it will be used in a drawing. Decide which objects within the block will change or move when the dynamic block reference is manipulated. Furthermore, decide how these objects will change. For example, you might create a dynamic block that can be resized. In addition, when the block reference is resized, additional geometry may be displayed. These factors determine the types of parameters and actions you add to the block definition, and how you make the parameters, actions, and geometry work together.

Step 2. Draw the geometry

You can draw the geometry for your dynamic block in the drawing area, the Block Editor ribbon contextual tab, or the Block Editor. You can also use existing geometry in a drawing or an existing block definition.

NoteIf you will use visibility states to change how geometry is displayed in the dynamic block references, you may not want to include all the geometry at this point. For more information about working with visibility states, see Create Visibility States.

Step 3. Understand how the block elements will work together

Before you add parameters and actions to your block definition, understand their dependencies on each other and on the geometry within the block. When you add an action to the block definition, you will need to associate the action with a parameter and a selection set of geometry. This creates a dependency. When you add multiple parameters and actions to a dynamic block reference, you will need to set up the correct dependencies in order for the block reference to function properly in a drawing.

For example, you create a dynamic block that contains several objects. Some of the objects have a stretch action associated with them. You also want all the objects to rotate around the same base point. In this case, you should add the rotate action after adding all the other parameters and actions. If the rotate action isn't associated with all of the other objects (geometry, parameters, and actions) in the block definition, parts of the block reference may not rotate or manipulating the block reference may cause unexpected results.

Step 4. Add parameters

Add the appropriate parameters to the dynamic block definition, following the prompts at the command prompt. For more information about using parameters, see Use Parameters in Dynamic Blocks.

NoteYou can use the Parameter Sets tab of the Block Authoring Palettes to add a parameter and an associated action at the same time. For more information about using parameter sets, see Use Parameter Sets.

Step 5. Add actions

Add the appropriate actions to the dynamic block definition. Follow the prompts at the command prompt, making sure to associate the actions with the correct parameters and geometry. For more information about using actions, see Overview of Using Actions in Dynamic Blocks.

Step 6. Define how the dynamic block reference will be manipulated

You can specify how the dynamic block reference will be manipulated in the drawing. You can manipulate a dynamic block reference through custom grips and custom properties. When you create a dynamic block definition, you define what grips are displayed and how they edit the dynamic block reference. You also specify whether or not custom properties for the block will be shown in the Properties palette and whether or not these properties can be changed through the palette or through custom grips.

Step 7. Save the block and then try it in a drawing

Save the dynamic block definition and exit either the Block Editor ribbon contextual tab or the Block Editor. Insert the dynamic block reference in a drawing and test the block's functionality.

See Also

    • Save a Block in the Block Editor


Overview of Dynamic Blocks (Quick Reference)

Quick Start to Creating Dynamic Blocks
Overview of Dynamic Blocks
Overview of the Block Editor
Create and Modify Objects > Create and Use Blocks (Symbols) > Add Dynamic Behavior to Blocks > Overview of Dynamic Blocks >
Overview of Dynamic Blocks
Concept Quick Reference

Commands

BEDIT

Opens the block definition in the Block Editor

BLOCK

Creates a block definition from selected objects

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Use the Block Editor

Overview of Dynamic Blocks
Add Dynamic Behavior to Blocks
Overview of the Block Editor
Create and Modify Objects > Create and Use Blocks (Symbols) > Add Dynamic Behavior to Blocks >
Use the Block Editor
Concept Procedure

You use the Block Editor to add dynamic behavior to blocks. The Block Editor provides all the tools you need to add intelligence and flexibility to your blocks.

Topics in this section

  • Overview of the Block Editor
  • Use Block Authoring Palettes

    The Block Editor has three block authoring palettes: Parameters, Actions, and Parameter Sets.

  • How Objects Are Displayed in the Block Editor

    Parameters, actions, and their relationships (dependencies) are displayed in different ways in the Block Editor. You can specify settings for some of these elements.


Use the Block Editor (Procedure)

Add Dynamic Behavior to Blocks
Up a level to ..
Overview of the Block Editor
Create and Modify Objects > Create and Use Blocks (Symbols) > Add Dynamic Behavior to Blocks > Use the Block Editor >
Use the Block Editor
Concept Procedure

To open an existing block definition in the Block Editor

To create a new block definition in the Block Editor

To open a block on a tool palette in the Block Editor

To open a block from the DesignCenter window in the Block Editor

To open a drawing file saved as a block (not dynamic) in the Block Editor

To open a drawing file saved as a dynamic block in the Block Editor

To view properties of a block definition in the Block Editor

To view properties of objects in the Block Editor

To close the Block Editor

To prevent access to the Block Editor

To show or hide the Block Authoring palettes in the Block Editor

To make a copy of a parameter set

To add an action to a parameter set

To delete an action from a parameter or parameter set

To specify the display color for parameters in the Block Editor

To specify the text size for parameters and actions in the Block Editor

To specify the font for parameters in the Block Editor

To specify the text color for actions in the Block Editor

To specify the display size of grips in the Block Editor

To specify the display color of grips in the Block Editor

To update the text and grip display size at their specified values in the Block Editor

To specify whether or not objects that are invisible for a visibility state can be seen in the Block Editor

To turn dependency highlighting on or off in the Block Editor

To control whether value set markers (tick marks) are displayed


Overview of the Block Editor (Concept)

Use the Block Editor
Use the Block Editor
Use Block Authoring Palettes
Create and Modify Objects > Create and Use Blocks (Symbols) > Add Dynamic Behavior to Blocks > Use the Block Editor >
Overview of the Block Editor
Concept Procedure Quick Reference

The Block Editor ribbon contextual tab and Block Editor are special authoring areas for creating block definitions and adding dynamic behavior.

The Block Editor provides special Authoring palettes. These palettes provide quick access to block authoring tools.

In addition to the Block Authoring palettes, the Block Editor ribbon contextual tab and Block Editor provide a drawing area in which you can draw and edit geometry as you would in the program's main drawing area. You can specify the background color for the Block Editor drawing area.

NoteYou can use most commands in either the Block Editor ribbon contextual tab or the Block Editor. When you enter a command that is not allowed in the Block Editor, a message is displayed at the command prompt.

You can use either the Block Editor ribbon contextual tab or the Block Editor to edit or add dynamic behavior to block definitions that exist in the current drawing. You can also use it to create new block definitions.

When the ribbon is active, a special ribbon contextual tab is displayed above the drawing area. When the ribbon is not active, a special toolbar is displayed. Both the ribbon contextual tab and toolbar show the name of the block definition currently being edited and provide tools to do the following:

  • Save the block definition
  • Add a parameter
  • Add an action
  • Define attributes
  • Close the Block Editor
  • Manage visibility states

You can select any parameter, grip, action, or geometric object in either the Block Editor ribbon contextual tab or the Block Editor to view its properties in the Properties palette. When you select an object in the Block Editor, the coordinate values shown in the Properties palette reflect the block definition space.

When you work in the Block Editor ribbon contextual tab or the Block Editor, the command line should be displayed. The command line displays prompts for nearly all aspects of creating dynamic blocks.

UCS in the Block Editor

A UCS icon is displayed in the drawing area of the Block Editor. The origin of the UCS icon defines the base point for the block. You can change the base point for the block by moving the geometry relative to the origin of the UCS icon, or by adding a base point parameter.

The UCS command is disabled in the Block Editor. You can open an existing 3D block definition in the Block Editor and assign parameters to the block. However, the parameters will ignore any Z coordinate values in the block space. Consequently, the block reference cannot be edited along the Z axis. Furthermore, while you can create a dynamic block that contains solid objects and add actions to it, such as move, rotate, and scale, you can't perform solid editing features within a dynamic block reference (for example, stretch a solid, move a hole within a solid, and so on).

See Also

    • Define Block Attributes


Overview of the Block Editor (Procedure)

Use the Block Editor
Up a level to ..
Overview of the Block Editor
Create and Modify Objects > Create and Use Blocks (Symbols) > Add Dynamic Behavior to Blocks > Use the Block Editor > Overview of the Block Editor >
Overview of the Block Editor
Concept Procedure Quick Reference

To open an existing block definition in the Block Editor

To create a new block definition in the Block Editor

To open a block on a tool palette in the Block Editor

To open a block from the DesignCenter window in the Block Editor

To open a drawing file saved as a block (not dynamic) in the Block Editor

To open a drawing file saved as a dynamic block in the Block Editor

To view properties of a block definition in the Block Editor

To view properties of objects in the Block Editor

To close the Block Editor

To prevent access to the Block Editor


To open an existing block definition in the Block Editor (Procedure)

Overview of the Block Editor
Up a level to ..
Overview of the Block Editor
Create and Modify Objects > Create and Use Blocks (Symbols) > Add Dynamic Behavior to Blocks > Use the Block Editor > Overview of the Block Editor >
Overview of the Block Editor
Concept Procedure Quick Reference

To open an existing block definition in the Block Editor

  1. Click Home tab [image] Block panel [image] Block Editor. At the command prompt, enter bedit.
  2. In the Edit Block Definition dialog box, do one of the following:
    • Select a block definition from the list.
    • Select <Current Drawing> if the drawing is the block definition you want to open.
  3. Click OK.
Toolbar: Standard
Command entry: BEDIT
Shortcut menu: Right-click a selected block. Click Block Editor.


To create a new block definition in the Block Editor (Procedure)

Overview of the Block Editor
Up a level to ..
Overview of the Block Editor
Create and Modify Objects > Create and Use Blocks (Symbols) > Add Dynamic Behavior to Blocks > Use the Block Editor > Overview of the Block Editor >
Overview of the Block Editor
Concept Procedure Quick Reference

To create a new block definition in the Block Editor

  1. Click Home tab [image] Block panel [image] Block Editor. At the command prompt, enter bedit.
  2. In the Edit Block Definition dialog box, enter a name for the new block definition.
  3. Click OK.
  4. In the Block Editor, click Save Block Definition.
    NoteThis saves the block definition even if you have not added any objects in the Block Editor drawing area.
  5. Click Close Block Editor.
Toolbar: Standard
Command entry: BEDIT


To open a block on a tool palette in the Block Editor (Procedure)

Overview of the Block Editor
Up a level to ..
Overview of the Block Editor
Create and Modify Objects > Create and Use Blocks (Symbols) > Add Dynamic Behavior to Blocks > Use the Block Editor > Overview of the Block Editor >
Overview of the Block Editor
Concept Procedure Quick Reference

To open a block on a tool palette in the Block Editor

  1. If the Tool Palettes window is not already open, click Tools menu [image] Palettes [image] Tool Palettes.If the Tool Palettes window is not already open, at the command prompt, enter ToolPalettesClose.
  2. Right-click a block icon.
  3. Click Block Editor.
NoteA block on a tool palette may reside in another drawing. The drawing that contains the block definition is opened in the Block Editor.
Toolbar: Standard
Command entry: TOOLPALETTES


To open a block from the DesignCenter window in the Block Editor (Procedure)

Overview of the Block Editor
Up a level to ..
Overview of the Block Editor
Create and Modify Objects > Create and Use Blocks (Symbols) > Add Dynamic Behavior to Blocks > Use the Block Editor > Overview of the Block Editor >
Overview of the Block Editor
Concept Procedure Quick Reference

To open a block from the DesignCenter window in the Block Editor

  1. If DesignCenter is not already open, click Tools menu [image] Palettes [image] DesignCenter.If DesignCenter is not already open, at the command prompt, enter adcclose.
  2. Right-click a block icon.
  3. Click Block Editor.
Toolbar: Standard
Command entry: ADCENTER


To open a drawing file saved as a block (not dynamic) in the Block Editor (Procedure)

Overview of the Block Editor
Up a level to ..
Overview of the Block Editor
Create and Modify Objects > Create and Use Blocks (Symbols) > Add Dynamic Behavior to Blocks > Use the Block Editor > Overview of the Block Editor >
Overview of the Block Editor
Concept Procedure Quick Reference

To open a drawing file saved as a block (not dynamic) in the Block Editor

  1. Open the drawing file that is saved as a block.
  2. Click Home tab [image] Block panel [image] Block Editor. At the command prompt, enter bedit.
  3. In the Edit Block Definition dialog box, select <Current Drawing>.
  4. Click OK.
Toolbar: Standard
Command entry: OPEN


To open a drawing file saved as a dynamic block in the Block Editor (Procedure)

Overview of the Block Editor
Up a level to ..
Overview of the Block Editor
Create and Modify Objects > Create and Use Blocks (Symbols) > Add Dynamic Behavior to Blocks > Use the Block Editor > Overview of the Block Editor >
Overview of the Block Editor
Concept Procedure Quick Reference

To open a drawing file saved as a dynamic block in the Block Editor

  1. Open the drawing file that is saved as a block.

    An alert is displayed that states that the drawing file contains authoring elements.

  2. In the alert dialog box, click Yes to open the drawing in the Block Editor.
Toolbar: Standard
Command entry: OPEN


To view properties of a block definition in the Block Editor (Procedure)

Overview of the Block Editor
Up a level to ..
Overview of the Block Editor
Create and Modify Objects > Create and Use Blocks (Symbols) > Add Dynamic Behavior to Blocks > Use the Block Editor > Overview of the Block Editor >
Overview of the Block Editor
Concept Procedure Quick Reference

To view properties of a block definition in the Block Editor

  1. Click Home tab [image] Block panel [image] Block Editor. At the command prompt, enter bedit.
  2. In the Edit Block Definition dialog box, do one of the following:
    • Select a block definition from the list.
    • Select <Current Drawing> if the drawing is the block definition you want to open.
  3. Click OK.
  4. If the Properties Palette window is not displayed, click Tools menu [image] Palettes [image] Properties.
  5. In the Properties Palette window, under Block, view the properties of the block definition.
Toolbar: Standard
Command entry: BEDIT


To view properties of objects in the Block Editor (Procedure)

Overview of the Block Editor
Up a level to ..
Overview of the Block Editor
Create and Modify Objects > Create and Use Blocks (Symbols) > Add Dynamic Behavior to Blocks > Use the Block Editor > Overview of the Block Editor >
Overview of the Block Editor
Concept Procedure Quick Reference

To view properties of objects in the Block Editor

  1. In the Block Editor, select an object.
  2. If the Properties Palette window is not displayed, click Tools menu [image] Palettes [image] Properties.
  3. In the Properties Palette window, view the properties of the selected object.
Toolbar: Standard
Command entry: BEDIT
Shortcut menu: Right-click the selected object. Click Properties.


To close the Block Editor (Procedure)

Overview of the Block Editor
Up a level to ..
Overview of the Block Editor
Create and Modify Objects > Create and Use Blocks (Symbols) > Add Dynamic Behavior to Blocks > Use the Block Editor > Overview of the Block Editor >
Overview of the Block Editor
Concept Procedure Quick Reference

To close the Block Editor

  • In the Block Editor, click Close Block Editor.
Command entry: BCLOSE


To prevent access to the Block Editor (Procedure)

Overview of the Block Editor
Up a level to ..
Use Block Authoring Palettes
Create and Modify Objects > Create and Use Blocks (Symbols) > Add Dynamic Behavior to Blocks > Use the Block Editor > Overview of the Block Editor >
Overview of the Block Editor
Concept Procedure Quick Reference

To prevent access to the Block Editor

  1. At the command prompt, enter blockeditlock.
  2. Enter 1, and then press ENTER.


Overview of the Block Editor (Quick Reference)

Overview of Dynamic Blocks
Overview of the Block Editor
Use Block Authoring Palettes
Create and Modify Objects > Create and Use Blocks (Symbols) > Add Dynamic Behavior to Blocks > Use the Block Editor > Overview of the Block Editor >
Overview of the Block Editor
Concept Procedure Quick Reference

Commands

BCLOSE

Closes the Block Editor

BEDIT

Opens the block definition in the Block Editor

OPTIONS

Customizes the program settings

PROPERTIES

Controls properties of existing objects

System Variables

BLOCKEDITLOCK

Disallows opening of the Block Editor and editing of dynamic block definitions

Utilities

No entries

Command Modifiers

No entries


Use Block Authoring Palettes (Concept)

Overview of the Block Editor
Use the Block Editor
How Objects Are Displayed in the Block Editor
Create and Modify Objects > Create and Use Blocks (Symbols) > Add Dynamic Behavior to Blocks > Use the Block Editor >
Use Block Authoring Palettes
Concept Procedure Quick Reference

The Block Editor has three block authoring palettes: Parameters, Actions, and Parameter Sets.

The Block Authoring Palettes window is displayed only in the Block Editor. Use these palettes to add parameters and actions to your dynamic block definition.

Create Custom Block Authoring Tools

You can create custom block authoring tools. In order to preserve the default tools on the block authoring palettes, you should create a new palette for custom block authoring tools. You can then copy a parameter set tool from one of the existing palettes and paste the copy onto the new palette. In the Tool Properties dialog box, you can then change the properties of the new tool, including the following:

  • Tool description
  • Parameter type
  • Associated action(s)
  • Key point on the parameter to which the action is tied (if applicable)
  • Tool palette image

You cannot drag parameters and actions from the Block Editor onto any tool palette.

See Also

    • Use Parameters in Dynamic Blocks

    • Use Actions with Dynamic Blocks

    • Use Parameter Sets

    • Control Tool Properties

    • Organize Tool Palettes


Use Block Authoring Palettes (Procedure)

Overview of the Block Editor
Up a level to ..
Use Block Authoring Palettes
Create and Modify Objects > Create and Use Blocks (Symbols) > Add Dynamic Behavior to Blocks > Use the Block Editor > Use Block Authoring Palettes >
Use Block Authoring Palettes
Concept Procedure Quick Reference

To show or hide the Block Authoring palettes in the Block Editor

To make a copy of a parameter set

To add an action to a parameter set

To delete an action from a parameter or parameter set


To show or hide the Block Authoring palettes in the Block Editor (Procedure)

Use Block Authoring Palettes
Up a level to ..
Use Block Authoring Palettes
Create and Modify Objects > Create and Use Blocks (Symbols) > Add Dynamic Behavior to Blocks > Use the Block Editor > Use Block Authoring Palettes >
Use Block Authoring Palettes
Concept Procedure Quick Reference

To show or hide the Block Authoring palettes in the Block Editor

  • In the Block Editor, on the Block Editor toolbar, click the Block Authoring Palettes button.
Toolbar: Block Editor
Command entry: BAUTHORPALETTE, BAUTHORPALETTECLOSE


To make a copy of a parameter set (Procedure)

Use Block Authoring Palettes
Up a level to ..
Use Block Authoring Palettes
Create and Modify Objects > Create and Use Blocks (Symbols) > Add Dynamic Behavior to Blocks > Use the Block Editor > Use Block Authoring Palettes >
Use Block Authoring Palettes
Concept Procedure Quick Reference

To make a copy of a parameter set

  1. In the Block Editor, in the Block Authoring Palettes window, Parameters Sets tab, right-click a parameter set. Click Copy.
  2. Right-click anywhere on the palette to which you want to add the parameter set (except on a parameter set). Click Paste.


To add an action to a parameter set (Procedure)

Use Block Authoring Palettes
Up a level to ..
Use Block Authoring Palettes
Create and Modify Objects > Create and Use Blocks (Symbols) > Add Dynamic Behavior to Blocks > Use the Block Editor > Use Block Authoring Palettes >
Use Block Authoring Palettes
Concept Procedure Quick Reference

To add an action to a parameter set

  1. In the Block Editor, in the Block Authoring Palettes window, Parameters Sets tab, right-click a parameter set. Click Properties.
  2. In the Tool Properties dialog box, under Parameter, click Actions, and then click the [...] button.
  3. In the Add Actions dialog box, under Action Object to Add, select an action from the list.
  4. Click Add.
  5. (Optional) Repeat steps 3 and 4 to add additional actions.
  6. Click OK.
  7. In the Tool Properties dialog box, click OK.


To delete an action from a parameter or parameter set (Procedure)

Use Block Authoring Palettes
Up a level to ..
How Objects Are Displayed in the Block Editor
Create and Modify Objects > Create and Use Blocks (Symbols) > Add Dynamic Behavior to Blocks > Use the Block Editor > Use Block Authoring Palettes >
Use Block Authoring Palettes
Concept Procedure Quick Reference

To delete an action from a parameter or parameter set

  1. In the Block Editor, in the Block Authoring Palettes window, right-click a parameter or parameter set. Click Properties.
  2. In the Tool Properties dialog box, under Parameter, click Actions, and then click the [...] button.
  3. In the Add Actions dialog box, under Action Object List, select an action from the list.
  4. Click Delete.
  5. (Optional) Repeat steps 3 and 4 to delete additional actions.
  6. Click OK.
  7. In the Tool Properties dialog box, click OK.


Use Block Authoring Palettes (Quick Reference)

Overview of the Block Editor
Use Block Authoring Palettes
How Objects Are Displayed in the Block Editor
Create and Modify Objects > Create and Use Blocks (Symbols) > Add Dynamic Behavior to Blocks > Use the Block Editor > Use Block Authoring Palettes >
Use Block Authoring Palettes
Concept Procedure Quick Reference

Commands

BAUTHORPALETTE

Opens the Block Authoring Palettes window in the Block Editor

BAUTHORPALETTECLOSE

Closes the Block Authoring Palettes window in the Block Editor

BEDIT

Opens the block definition in the Block Editor

TOOLPALETTES

Opens the Tool Palettes window

System Variables

BLOCKEDITOR

Reflects whether or not the Block Editor is open

Utilities

No entries

Command Modifiers

No entries


How Objects Are Displayed in the Block Editor (Concept)

Use Block Authoring Palettes
Use the Block Editor
Add Dynamic Elements to Blocks
Create and Modify Objects > Create and Use Blocks (Symbols) > Add Dynamic Behavior to Blocks > Use the Block Editor >
How Objects Are Displayed in the Block Editor
Concept Procedure Quick Reference

Parameters, actions, and their relationships (dependencies) are displayed in different ways in the Block Editor. You can specify settings for some of these elements.

Parameters

In the Block Editor, most parameters look like dimensions. If you create a value set (a range or list of values) for a parameter, tick marks are shown at the locations of those values.

You can specify the following settings for parameters in the Block Editor:

  • Parameter color
  • Parameter text and arrow size
  • Parameter font
  • Grip color
  • Display of value set markers (tick marks) for parameters

When you use a visibility parameter in your dynamic block definition, you can specify which geometric objects are invisible for a given visibility state. You can specify whether or not geometry that is made invisible for visibility states displays in the Block Editor. In the following example, a visibility state is displayed in the Block Editor. The geometry that displays in a dimmed state is invisible for that visibility state.

Actions

An action displays its name and icon (a lightning bolt) in the Block Editor. You can specify the text size and color for actions in the Block Editor.

Grips

You can specify grip size and color for display in the Block Editor. This setting does not affect the size and color of the grips in a block reference in a drawing.

Dependencies

When you select a parameter, grip, or action in the Block Editor, its associated objects, or dependencies, are highlighted. This is called dependency highlighting. You can turn dependency highlighting on or off.

The following example shows how dependency highlighting creates a halo effect for the associated parameter (labeled Distance) and action (labeled Stretch) when you select the custom grip in the Block Editor.

The following table details what is dependency highlighted when you select an element in the Block Editor.

Selected object in the Block Editor | Objects that are dependency highlighted
Parameter | Associated grips and actions
Grip | Associated parameter and actions
Action | Associated parameters, grips, and the selection set (geometry)


How Objects Are Displayed in the Block Editor (Procedure)

Use Block Authoring Palettes
Up a level to ..
How Objects Are Displayed in the Block Editor
Create and Modify Objects > Create and Use Blocks (Symbols) > Add Dynamic Behavior to Blocks > Use the Block Editor > How Objects Are Displayed in the Block Editor >
How Objects Are Displayed in the Block Editor
Concept Procedure Quick Reference

To specify the display color for parameters in the Block Editor

To specify the text size for parameters and actions in the Block Editor

To specify the font for parameters in the Block Editor

To specify the text color for actions in the Block Editor

To specify the display size of grips in the Block Editor

To specify the display color of grips in the Block Editor

To update the text and grip display size at their specified values in the Block Editor

To specify whether or not objects that are invisible for a visibility state can be seen in the Block Editor

To turn dependency highlighting on or off in the Block Editor

To control whether value set markers (tick marks) are displayed


To specify the display color for parameters in the Block Editor (Procedure)

How Objects Are Displayed in the Block Editor
Up a level to ..
How Objects Are Displayed in the Block Editor
Create and Modify Objects > Create and Use Blocks (Symbols) > Add Dynamic Behavior to Blocks > Use the Block Editor > How Objects Are Displayed in the Block Editor >
How Objects Are Displayed in the Block Editor
Concept Procedure Quick Reference

To specify the display color for parameters in the Block Editor

  1. At the command prompt, enter bparametercolor.
  2. Enter one of the following values:
    • BYLAYER
    • BYBLOCK
    • An integer from 1 to 255
    • A true color specified by three integers each ranging from 1 to 255 in the following format: RGB:000,000,000.
  3. Press ENTER.


To specify the text size for parameters and actions in the Block Editor (Procedure)

How Objects Are Displayed in the Block Editor
Up a level to ..
How Objects Are Displayed in the Block Editor
Create and Modify Objects > Create and Use Blocks (Symbols) > Add Dynamic Behavior to Blocks > Use the Block Editor > How Objects Are Displayed in the Block Editor >
How Objects Are Displayed in the Block Editor
Concept Procedure Quick Reference

To specify the text size for parameters and actions in the Block Editor

  1. At the command prompt, enter bparametersize.
  2. Enter an integer from 1 to 255 (pixels).
  3. Press ENTER.


To specify the font for parameters in the Block Editor (Procedure)

How Objects Are Displayed in the Block Editor
Up a level to ..
How Objects Are Displayed in the Block Editor
Create and Modify Objects > Create and Use Blocks (Symbols) > Add Dynamic Behavior to Blocks > Use the Block Editor > How Objects Are Displayed in the Block Editor >
How Objects Are Displayed in the Block Editor
Concept Procedure Quick Reference

To specify the font for parameters in the Block Editor

  1. At the command prompt, enter bparameterfont.
  2. Enter any TrueType or SHX font on your system.
  3. Press ENTER.


To specify the text color for actions in the Block Editor (Procedure)

How Objects Are Displayed in the Block Editor
Up a level to ..
How Objects Are Displayed in the Block Editor
Create and Modify Objects > Create and Use Blocks (Symbols) > Add Dynamic Behavior to Blocks > Use the Block Editor > How Objects Are Displayed in the Block Editor >
How Objects Are Displayed in the Block Editor
Concept Procedure Quick Reference

To specify the text color for actions in the Block Editor

  1. At the command prompt, enter bactioncolor.
  2. Enter one of the following values:
    • BYLAYER
    • BYBLOCK
    • An integer from 1 to 255.
    • A true color specified by three integers each ranging from 1 to 255 in the following format: RGB:000,000,000.
  3. Press ENTER.


To specify the display size of grips in the Block Editor (Procedure)

How Objects Are Displayed in the Block Editor
Up a level to ..
How Objects Are Displayed in the Block Editor
Create and Modify Objects > Create and Use Blocks (Symbols) > Add Dynamic Behavior to Blocks > Use the Block Editor > How Objects Are Displayed in the Block Editor >
How Objects Are Displayed in the Block Editor
Concept Procedure Quick Reference

To specify the display size of grips in the Block Editor

  1. At the command prompt, enter bgripobjsize.
  2. Enter an integer from 1 to 255 (pixels).
  3. Press ENTER.


To specify the display color of grips in the Block Editor (Procedure)

How Objects Are Displayed in the Block Editor
Up a level to ..
How Objects Are Displayed in the Block Editor
Create and Modify Objects > Create and Use Blocks (Symbols) > Add Dynamic Behavior to Blocks > Use the Block Editor > How Objects Are Displayed in the Block Editor >
How Objects Are Displayed in the Block Editor
Concept Procedure Quick Reference

To specify the display color of grips in the Block Editor

  1. At the command prompt, enter bgripobjcolor.
  2. Enter one of the following values:
    • BYLAYER
    • BYBLOCK
    • An integer from 1 to 255.
    • A true color specified by three integers each ranging from 1 to 255 in the following format: RGB:000,000,000.
  3. Press ENTER.


To update the text and grip display size at their specified values in the Block Editor (Procedure)

How Objects Are Displayed in the Block Editor
Up a level to ..
How Objects Are Displayed in the Block Editor
Create and Modify Objects > Create and Use Blocks (Symbols) > Add Dynamic Behavior to Blocks > Use the Block Editor > How Objects Are Displayed in the Block Editor >
How Objects Are Displayed in the Block Editor
Concept Procedure Quick Reference

To update the text and grip display size at their specified values in the Block Editor

  • In the Block Editor, on the Block Editor toolbar, click Update Parameter and Action Text Size.
NoteWhen you zoom in and out in the Block Editor, text and grip size will change relative to the zoom factor. However, you can update the Block Editor to display the text and grip size at their specified values.
Command entry: REGEN


To specify whether or not objects that are invisible for a visibility state can be seen in the Block Editor (Procedure)

How Objects Are Displayed in the Block Editor
Up a level to ..
How Objects Are Displayed in the Block Editor
Create and Modify Objects > Create and Use Blocks (Symbols) > Add Dynamic Behavior to Blocks > Use the Block Editor > How Objects Are Displayed in the Block Editor >
How Objects Are Displayed in the Block Editor
Concept Procedure Quick Reference

To specify whether or not objects that are invisible for a visibility state can be seen in the Block Editor

  1. At the command prompt, enter bvmode.
  2. Enter one of the following values:
    • 0 Specifies that objects that are invisible are not visible in the Block Editor.
    • 1 Specifies that objects that are invisible are dimmed in the Block Editor.
  3. Press ENTER.


To turn dependency highlighting on or off in the Block Editor (Procedure)

How Objects Are Displayed in the Block Editor
Up a level to ..
How Objects Are Displayed in the Block Editor
Create and Modify Objects > Create and Use Blocks (Symbols) > Add Dynamic Behavior to Blocks > Use the Block Editor > How Objects Are Displayed in the Block Editor >
How Objects Are Displayed in the Block Editor
Concept Procedure Quick Reference

To turn dependency highlighting on or off in the Block Editor

  1. At the command prompt, enter bdependencyhighlight.
  2. Enter one of the following values:
    • 0 Turns off dependency highlighting.
    • 1 Turns on dependency highlighting.
  3. Press ENTER.


To control whether value set markers (tick marks) are displayed (Procedure)

How Objects Are Displayed in the Block Editor
Up a level to ..
Add Dynamic Elements to Blocks
Create and Modify Objects > Create and Use Blocks (Symbols) > Add Dynamic Behavior to Blocks > Use the Block Editor > How Objects Are Displayed in the Block Editor >
How Objects Are Displayed in the Block Editor
Concept Procedure Quick Reference

To control whether value set markers (tick marks) are displayed

  1. At the command prompt, enter btmarkdisplay.
  2. Enter one of the following values:
    • 0 Specifies that value set markers are not displayed.
    • 1 Specifies that value set markers are displayed.
  3. Press ENTER.


How Objects Are Displayed in the Block Editor (Quick Reference)

Use Block Authoring Palettes
How Objects Are Displayed in the Block Editor
Overview of Dynamic Block Elements
Create and Modify Objects > Create and Use Blocks (Symbols) > Add Dynamic Behavior to Blocks > Use the Block Editor > How Objects Are Displayed in the Block Editor >
How Objects Are Displayed in the Block Editor
Concept Procedure Quick Reference

Commands

BEDIT

Opens the block definition in the Block Editor

REGEN

Regenerates the entire drawing from the current viewport

System Variables

BACTIONCOLOR

Sets the text color of actions in the Block Editor

BDEPENDENCYHIGHLIGHT

Controls whether or not dependent objects are dependency highlighted when a parameter, action, or grip is selected in the Block Editor

BGRIPOBJCOLOR

Sets the color of grips in the Block Editor

BGRIPOBJSIZE

Sets the display size of custom grips in the Block Editor relative to the screen display

BPARAMETERCOLOR

Sets the color of parameters in the Block Editor

BPARAMETERFONT

Sets the font used for parameters and actions in the Block Editor

BPARAMETERSIZE

Sets the size of parameter text and features in the Block Editor relative to the screen display

BTMARKDISPLAY

Controls whether or not value set markers are displayed for dynamic block references

BVMODE

Controls how objects that are made invisible for the current visibility state are displayed in the Block Editor

Utilities

No entries

Command Modifiers

No entries


Add Dynamic Elements to Blocks

How Objects Are Displayed in the Block Editor
Add Dynamic Behavior to Blocks
Overview of Dynamic Block Elements
Create and Modify Objects > Create and Use Blocks (Symbols) > Add Dynamic Behavior to Blocks >
Add Dynamic Elements to Blocks
Concept Procedure

To make a block dynamic, you need to add specific elements to the block definition.

Topics in this section

  • Overview of Dynamic Block Elements

    You add dynamic elements to a block definition in the Block Editor. In addition to geometry, a dynamic block generally includes one or more parameters and one or more actions.

  • Use Parameters in Dynamic Blocks

    You add parameters to a dynamic block definition to define custom properties for the block and to specify positions, distances, and angles for geometry in the block.

  • Use Actions with Dynamic Blocks

    Actions define how the geometry of a dynamic block reference will move or change when the custom properties of the block reference are manipulated in a drawing.

  • Use Parameter Sets

    Use the Parameter Sets tab on the Block Authoring palette to add commonly paired parameters and actions to your dynamic block definition.

  • Specify Grips for Dynamic Blocks

    When you add a parameter to a dynamic block definition, custom grips associated with key points of the parameter are automatically added to the block.

  • Create Visibility States

    You can use visibility states to make geometry visible or invisible in a dynamic block. One block can have any number of visibility states.

  • Use Lookup Tables to Assign Data to Dynamic Blocks

    You can use a lookup table to define properties for and assign property values to a dynamic block.

  • Specify Custom Properties for Dynamic Blocks

    When you create a dynamic block, you can specify custom properties for the block. You can also specify whether or not these properties appear in the Properties palette when you select the block reference in a drawing.

  • Modify Dynamic Block Definitions

    You can modify dynamic block definitions in the Block Editor.

  • Correct Errors in Dynamic Block Definitions

    A yellow alert icon is displayed in the Block Editor if a dynamic block definition contains errors or is incomplete. You need to correct the errors (or complete the block) so the block reference will function properly in a drawing.


Add Dynamic Elements to Blocks (Procedure)

How Objects Are Displayed in the Block Editor
Up a level to ..
Overview of Dynamic Block Elements
Create and Modify Objects > Create and Use Blocks (Symbols) > Add Dynamic Behavior to Blocks > Add Dynamic Elements to Blocks >
Add Dynamic Elements to Blocks
Concept Procedure

To create a dynamic block

To add a point parameter to a dynamic block definition

To add a linear parameter to a dynamic block definition

To add a polar parameter to a dynamic block definition

To add an XY parameter to a dynamic block definition

To add a rotation parameter to a dynamic block definition

To add an alignment parameter to a dynamic block definition

To add a flip parameter to a dynamic block definition

To add a visibility parameter to a dynamic block definition

To add a lookup parameter to a dynamic block definition

To add a base point parameter to a dynamic block definition

To add parameter set to a dynamic block definition

To specify the number of custom grips displayed for a parameter in a dynamic block

To reposition a grip in a dynamic block definition

To reset grips in a dynamic block definition to their default locations

To turn insertion cycling on or off for a custom grip in a dynamic block reference

To modify the insertion cycling order for custom grips in a dynamic block reference

To enable visibility states (add a visibility parameter)

To create a new visibility state based on the current state

To create a new visibility state in which all objects are invisible

To create a new visibility state in which all objects are visible

To make a visibility state current

To delete a visibility state

To rename a visibility state

To make objects visible in the current visibility state

To make objects visible in all visibility states

To make objects invisible in the current visibility state

To make objects invisible in all visibility states

To display or not display invisible geometry for visibility states

To change the order of the visibility states list for a dynamic block reference

To set the default visibility state for the dynamic block reference

To open an existing dynamic block definition in the Block Editor

To delete an element from a dynamic block definition

To modify an action's selection set in a dynamic block definition

To redefine a stretch or polar stretch action's stretch frame set in a dynamic block definition

To correct an error indicated by a yellow alert icon in a dynamic block definition

To view dependencies within a dynamic block definition


Overview of Dynamic Block Elements (Concept)

Add Dynamic Elements to Blocks
Add Dynamic Elements to Blocks
Use Parameters in Dynamic Blocks
Create and Modify Objects > Create and Use Blocks (Symbols) > Add Dynamic Behavior to Blocks > Add Dynamic Elements to Blocks >
Overview of Dynamic Block Elements
Concept Procedure Quick Reference

You add dynamic elements to a block definition in the Block Editor. In addition to geometry, a dynamic block generally includes one or more parameters and one or more actions.

  • Parameters. Define custom properties for the dynamic block by specifying positions, distances, and angles for geometry in the block.
  • Actions. Define how the geometry of a dynamic block reference will move or change when you manipulate the block reference in a drawing. When you add actions to a dynamic block definition, you must associate the actions with parameters. You also specify a selection set of geometry that the action will affect.
NoteParameters and actions are displayed only in the Block Editor. When you insert a dynamic block reference in a drawing, the parameters and actions contained in the dynamic block definition are not displayed.

When you add a parameter to a dynamic block definition, grips are added to key points of the parameter. Key points are the parts of a parameter that you use to manipulate the block reference. For example, a linear parameter has key points at its base point and end point. You can manipulate the parameter distance from either key point.

The type of parameter that you add to a dynamic block determines the type of grips that are added. Each type of parameter supports only certain types of actions. The following table shows the relationship among parameters, grips, and actions.

Parameter Type | Grip Type |  | Actions You Can Associate with a Parameter
Point |  | Standard | Move, Stretch
Linear |  | Linear | Move, Scale, Stretch, Array
Polar |  | Standard | Move, Scale, Stretch, Polar Stretch, Array,
XY |  | Standard | Move, Scale, Stretch, Array
Rotation |  | Rotation | Rotate
Flip |  | Flip | Flip
Alignment |  | Alignment | None (The action is implied and contained within the parameter.)
Visibility |  | Lookup | None (The action is implied and controlled by visibility states.)
Lookup |  | Lookup | Lookup
Base |  | Standard | None


To create a dynamic block (Procedure)

Add Dynamic Elements to Blocks
Up a level to ..
Use Parameters in Dynamic Blocks
Create and Modify Objects > Create and Use Blocks (Symbols) > Add Dynamic Behavior to Blocks > Add Dynamic Elements to Blocks > Overview of Dynamic Block Elements >
Overview of Dynamic Block Elements
Concept Procedure Quick Reference

To create a dynamic block

  1. Click Home tab [image] Block panel [image] Block Editor. At the command prompt, enter bedit.
  2. In the Edit Block Definition dialog box, do one of the following:
    • Select a block definition from the list.
    • Select <Current Drawing> if you want to save the drawing as a dynamic block.
    • Under Block to Create or Edit, enter a name for a new block definition.
  3. Click OK.
  4. In the Block Editor, add or edit geometry as necessary.
  5. Do one of the following:
    • Add one or more parameter sets from the Parameter Sets tab of the Block Authoring Palettes, following the command prompts. Double-click the yellow alert icon (or use the BACTIONSET command) and follow the command prompts to associate the action with a selection set of geometry.
    • Add one or more parameters from the Parameters tab of the Block Authoring Palettes, following the command prompts. Add one or more actions from the Actions tab, following the command prompts.
  6. On the Block Editor toolbar, click Save Block Definition.
  7. Click Close Block Editor.
Toolbar: Standard
Command entry: BEDIT
Shortcut menu: Right-click a block. Click Block Editor.


Overview of Dynamic Block Elements (Quick Reference)

How Objects Are Displayed in the Block Editor
Overview of Dynamic Block Elements
Use Parameters in Dynamic Blocks
Create and Modify Objects > Create and Use Blocks (Symbols) > Add Dynamic Behavior to Blocks > Add Dynamic Elements to Blocks > Overview of Dynamic Block Elements >
Overview of Dynamic Block Elements
Concept Procedure Quick Reference

Commands

BEDIT

Opens the block definition in the Block Editor

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Use Parameters in Dynamic Blocks (Concept)

Overview of Dynamic Block Elements
Add Dynamic Elements to Blocks
Use Actions with Dynamic Blocks
Create and Modify Objects > Create and Use Blocks (Symbols) > Add Dynamic Behavior to Blocks > Add Dynamic Elements to Blocks >
Use Parameters in Dynamic Blocks
Concept Procedure Quick Reference

You add parameters to a dynamic block definition to define custom properties for the block and to specify positions, distances, and angles for geometry in the block.

You add parameters to a dynamic block definition in the Block Editor. In the Block Editor, parameters have an appearance similar to dimensions. Parameters define custom properties for the block. Parameters also specify positions, distances, and angles for geometry in the block reference. When you add a parameter to a dynamic block definition, the parameter defines one or more custom properties for the block.

For example, when you add a rotation parameter to a dynamic block definition, the rotation parameter defines an Angle property for the block reference. So, if you have a block of a chair in your drawing, and you want to be able to rotate the block's position as you edit, the parameter defines the axis whereby the block can be rotated.

If you add a point parameter to a dynamic block definition, the point parameter defines two custom properties for the block reference: Position X and Position Y (relative to the base point of the block reference.)

A dynamic block definition must contain at least one parameter. When a parameter is added to a dynamic block definition, grips associated with key points of the parameter are automatically added. You must then add an action to the block definition and associate the action with a parameter.

In a drawing, you use a grip or custom property in the Properties palette to manipulate the block reference. When you manipulate the block reference in a drawing, by moving a grip or changing the value of a custom property in the Properties palette, you change the value of the parameter that defines that custom property in the block. When you change the value of the parameter, it drives the action that is associated with that parameter, which changes the geometry (or a property) of the dynamic block reference.

Parameters also define and constrain values that affect the dynamic block reference's behavior in a drawing. Some parameters can have a fixed set of values, minimum and maximum values, or increment values. For example, a linear parameter used in a window block may have the following fixed set of values: 10, 20, 30, and 40. When the block reference is inserted in a drawing, you can only change the window to one of these values. Adding a value set to a parameter allows you to limit how the block reference is manipulated in a drawing. For more information about parameter value sets, see Specify Value Sets for Dynamic Blocks.

The point, linear, polar, XY, and rotation parameters have a property called Chain Actions. For more information about allowing chained actions for a parameter, see Allow Chained Actions for Dynamic Blocks.

You can also extract parameter values through the Attribute Extraction wizard or through an attribute extraction template file.

The following table lists and describes the types of parameters you can add to a dynamic block definition and the types of actions you can associate with each parameter.

Parameter Type | Description | Supported Actions
Point | Defines an X and Y location in the drawing. In the Block Editor, looks similar to an ordinate dimension. | Move, Stretch
Linear | Shows the distance between two anchor points. Constrains grip movement along a preset angle. In the Block Editor, looks similar to an aligned dimension. | Move, Scale, Stretch, Array
Polar | Shows the distance between two anchor points and displays an angle value. You can use both grips and the Properties palette to change both the distance value and the angle. In the Block Editor, looks similar to an aligned dimension | Move, Scale, Stretch, Polar Stretch, Array,
XY | Shows the X and Y distances from the base point of the parameter. In the Block Editor, displays as a pair of dimensions (horizontal and vertical). | Move, Scale, Stretch, Array
Rotation | Defines an angle. In the Block Editor, displays as a circle. | Rotate
Flip | Flips objects. In the Block Editor, displays as a reflection line. Objects can be flipped about this reflection line. Displays a value that shows if the block reference has been flipped or not. | Flip
Alignment | Defines an X and Y location and an angle. An alignment parameter always applies to the entire block and needs no action associated with it. An alignment parameter allows the block reference to automatically rotate around a point to align with another object in the drawing. An alignment parameter affects the rotation property of the block reference. In the Block Editor, looks like an alignment line. | None (The action is implied and contained within parameter.)
Visibility | Controls the visibility of objects in the block. A visibility parameter always applies to the entire block and needs no action associated with it. In a drawing, you click the grip to display a list of visibility states available for the block reference. In the Block Editor, displays as text with an associated grip. | None (The action is implied and controlled by visibility states.)
Lookup | Defines a custom property that you can specify or set to evaluate a value from a list or table you define. It can be associated with a single lookup grip. In the block reference, you click the grip to display a list of available values. In the Block Editor, displays as text with an associated grip. | Lookup
Base | Defines a base point for the dynamic block reference relative to the geometry in the block. Cannot be associated with any actions, but can belong to an action's selection set. In the Block Editor, displays as a circle with crosshairs. | None
See Also

    • Specify Value Sets for Dynamic Blocks

    • Overview of Specifying Custom Properties for Dynamic Blocks

    • Extract Data from Block Attributes

    • Extract Block Attribute Data (Advanced)


Use Parameters in Dynamic Blocks (Procedure)

Overview of Dynamic Block Elements
Up a level to ..
Use Parameters in Dynamic Blocks
Create and Modify Objects > Create and Use Blocks (Symbols) > Add Dynamic Behavior to Blocks > Add Dynamic Elements to Blocks > Use Parameters in Dynamic Blocks >
Use Parameters in Dynamic Blocks
Concept Procedure Quick Reference

To add a point parameter to a dynamic block definition

To add a linear parameter to a dynamic block definition

To add a polar parameter to a dynamic block definition

To add an XY parameter to a dynamic block definition

To add a rotation parameter to a dynamic block definition

To add an alignment parameter to a dynamic block definition

To add a flip parameter to a dynamic block definition

To add a visibility parameter to a dynamic block definition

To add a lookup parameter to a dynamic block definition

To add a base point parameter to a dynamic block definition


To add a point parameter to a dynamic block definition (Procedure)

Use Parameters in Dynamic Blocks
Up a level to ..
Use Parameters in Dynamic Blocks
Create and Modify Objects > Create and Use Blocks (Symbols) > Add Dynamic Behavior to Blocks > Add Dynamic Elements to Blocks > Use Parameters in Dynamic Blocks >
Use Parameters in Dynamic Blocks
Concept Procedure Quick Reference

To add a point parameter to a dynamic block definition

  1. In the Block Editor, in the Block Authoring Palettes window, Parameters tab, click the Point Parameter tool.
  2. (Optional) Follow the command prompts to specify the following for the parameter:
    • Name
    • Label
    • Description
    • Chained Actions
    • Properties displayed for block reference
    NoteYou can also specify and edit these properties in the Properties palette at a later time, after you've added the parameter to the block definition.
  3. Do one of the following to specify a location for the parameter:
    • Use the pointing device.
    • Enter the X and Y coordinate values, separated by a comma.
  4. Do one of the following to specify a location for the parameter label:
    • Use the pointing device.
    • Enter the X and Y coordinate values, separated by a comma.

      The yellow alert icon indicates that you should associate an action with the parameter you just added.

  5. To add an action now, double-click the alert icon. Follow the prompts to associate an action with the parameter and a selection set of geometry.
  6. On the Block Editor toolbar, click Save Block Definition.
  7. If you are finished using the Block Editor, click Close Block Editor.
Toolbar: Block Editor
Command entry: BPARAMETER


To add a linear parameter to a dynamic block definition (Procedure)

Use Parameters in Dynamic Blocks
Up a level to ..
Use Parameters in Dynamic Blocks
Create and Modify Objects > Create and Use Blocks (Symbols) > Add Dynamic Behavior to Blocks > Add Dynamic Elements to Blocks > Use Parameters in Dynamic Blocks >
Use Parameters in Dynamic Blocks
Concept Procedure Quick Reference

To add a linear parameter to a dynamic block definition

  1. In the Block Editor, in the Block Authoring Palettes window, Parameters tab, click the Linear Parameter tool.
  2. (Optional) Follow the command prompts to specify the following for the parameter:
    • Name
    • Label
    • Description
    • Value set
    • Chained Actions
    • Properties displayed for block reference
    NoteYou can also specify and edit these properties in the Properties palette at a later time, after you've added the parameter to the block definition.
  3. Do one of the following to specify a base point for the parameter:
    • Use the pointing device.
    • Enter the X and Y coordinate values, separated by a comma.
  4. Do one of the following to specify an endpoint for the parameter:
    • Use the pointing device.
    • Enter the X and Y coordinate values, separated by a comma.
  5. Do one of the following to specify a location for the parameter label:
    • Use the pointing device.
    • Enter the X and Y coordinate values, separated by a comma.

      The yellow alert icon indicates that you should associate an action with the parameter you just added.

  6. To add an action now, double-click the alert icon. Follow the prompts to associate an action with the parameter and a selection set of geometry.
  7. On the Block Editor toolbar, click Save Block Definition.
  8. If you are finished using the Block Editor, click Close Block Editor.
Toolbar: Block Editor
Command entry: BPARAMETER


To add a polar parameter to a dynamic block definition (Procedure)

Use Parameters in Dynamic Blocks
Up a level to ..
Use Parameters in Dynamic Blocks
Create and Modify Objects > Create and Use Blocks (Symbols) > Add Dynamic Behavior to Blocks > Add Dynamic Elements to Blocks > Use Parameters in Dynamic Blocks >
Use Parameters in Dynamic Blocks
Concept Procedure Quick Reference

To add a polar parameter to a dynamic block definition

  1. In the Block Editor, in the Block Authoring Palettes window, Parameters tab, click the Polar Parameter tool.
  2. (Optional) Follow the command prompts to specify the following for the parameter:
    • Name
    • Label
    • Description
    • Value set
    • Chained Actions
    • Properties displayed for block reference
    NoteYou can also specify and edit these properties in the Properties palette at a later time, after you've added the parameter to the block definition.
  3. Do one of the following to specify a base point for the parameter:
    • Use the pointing device.
    • Enter the X and Y coordinate values, separated by a comma.
  4. Do one of the following to specify an endpoint for the parameter:
    • Use the pointing device.
    • Enter the X and Y coordinate values, separated by a comma.
  5. Do one of the following to specify a location for the parameter label:
    • Use the pointing device.
    • Enter the X and Y coordinate values, separated by a comma.

      The yellow alert icon indicates that you should associate an action with the parameter you just added.

  6. To add an action now, double-click the alert icon. Follow the prompts to associate an action with the parameter and a selection set of geometry.
  7. On the Block Editor toolbar, click Save Block Definition.
  8. If you are finished using the Block Editor, click Close Block Editor.
Toolbar: Block Editor
Command entry: BPARAMETER


To add an XY parameter to a dynamic block definition (Procedure)

Use Parameters in Dynamic Blocks
Up a level to ..
Use Parameters in Dynamic Blocks
Create and Modify Objects > Create and Use Blocks (Symbols) > Add Dynamic Behavior to Blocks > Add Dynamic Elements to Blocks > Use Parameters in Dynamic Blocks >
Use Parameters in Dynamic Blocks
Concept Procedure Quick Reference

To add an XY parameter to a dynamic block definition

  1. In the Block Editor, in the Block Authoring Palettes window, Parameters tab, click the XY Parameter tool.
  2. (Optional) Follow the command prompts to specify the following for the parameter:
    • Name
    • Label
    • Description
    • Value set
    • Chained Actions
    • Properties displayed for block reference
    NoteYou can also specify and edit these properties in the Properties palette at a later time, after you've added the parameter to the block definition.
  3. Do one of the following to specify a base point for the parameter:
    • Use the pointing device.
    • Enter the X and Y coordinate values, separated by a comma.
  4. Do one of the following to specify an endpoint for the parameter:
    • Use the pointing device.
    • Enter the X and Y coordinate values, separated by a comma.

      The yellow alert icon indicates that you should associate an action with the parameter you just added.

  5. To add an action now, double-click the alert icon. Follow the prompts to associate an action with the parameter and a selection set of geometry.
  6. On the Block Editor toolbar, click Save Block Definition.
  7. If you are finished using the Block Editor, click Close Block Editor.
Toolbar: Block Editor
Command entry: BPARAMETER


To add a rotation parameter to a dynamic block definition (Procedure)

Use Parameters in Dynamic Blocks
Up a level to ..
Use Parameters in Dynamic Blocks
Create and Modify Objects > Create and Use Blocks (Symbols) > Add Dynamic Behavior to Blocks > Add Dynamic Elements to Blocks > Use Parameters in Dynamic Blocks >
Use Parameters in Dynamic Blocks
Concept Procedure Quick Reference

To add a rotation parameter to a dynamic block definition

  1. In the Block Editor, in the Block Authoring Palettes window, Parameters tab, click the Rotation Parameter tool.
  2. (Optional) Follow the command prompts to specify the following for the parameter:
    • Name
    • Label
    • Description
    • Value set
    • Chained Actions
    • Properties displayed for block reference
    NoteYou can also specify and edit these properties in the Properties palette at a later time, after you've added the parameter to the block definition.
  3. Do one of the following to specify a base point for the parameter:
    • Use the pointing device.
    • Enter the X and Y coordinate values, separated by a comma.
  4. Do one of the following to specify the radius for the parameter:
    • Use the pointing device.
    • Enter a value.
  5. Specify a base angle for the parameter.

    The angle shown in the Properties palette when you select the block reference in a drawing is measured relative to the base angle specified in the block definition.

  6. Do one of the following to specify a default rotation angle for the parameter:
    • Use the pointing device.
    • Enter an angle value.
  7. Do one of the following to specify a location for the parameter label:
    • Use the pointing device.
    • Enter the X and Y coordinate values, separated by a comma.

      The yellow alert icon indicates that you should associate an action with the parameter you just added.

  8. To add an action now, double-click the alert icon. Follow the prompts to associate an action with the parameter and a selection set of geometry.
  9. On the Block Editor toolbar, click Save Block Definition.
  10. If you are finished using the Block Editor, click Close Block Editor.
Toolbar: Block Editor
Command entry: BPARAMETER


To add an alignment parameter to a dynamic block definition (Procedure)

Use Parameters in Dynamic Blocks
Up a level to ..
Use Parameters in Dynamic Blocks
Create and Modify Objects > Create and Use Blocks (Symbols) > Add Dynamic Behavior to Blocks > Add Dynamic Elements to Blocks > Use Parameters in Dynamic Blocks >
Use Parameters in Dynamic Blocks
Concept Procedure Quick Reference

To add an alignment parameter to a dynamic block definition

  1. In the Block Editor, in the Block Authoring Palettes window, Parameters tab, click the Alignment Parameter tool.
  2. Follow the command prompts to specify the parameter name.
  3. Do one of the following to specify the base point of the alignment parameter:
    • Use the pointing device.
    • Enter the X and Y coordinate values, separated by a comma.

    This base point is the default location for the alignment parameter grip.

  4. (Optional) Enter type at the command prompt and follow the prompts to specify whether the parameter type is perpendicular or tangent.
  5. Do one of the following to specify the alignment direction:
    • Use the pointing device.
    • Enter the X and Y coordinate values, separated by a comma.
  6. On the Block Editor toolbar, click Save Block Definition.
  7. If you are finished using the Block Editor, click Close Block Editor.
Toolbar: Block Editor
Command entry: BPARAMETER


To add a flip parameter to a dynamic block definition (Procedure)

Use Parameters in Dynamic Blocks
Up a level to ..
Use Parameters in Dynamic Blocks
Create and Modify Objects > Create and Use Blocks (Symbols) > Add Dynamic Behavior to Blocks > Add Dynamic Elements to Blocks > Use Parameters in Dynamic Blocks >
Use Parameters in Dynamic Blocks
Concept Procedure Quick Reference

To add a flip parameter to a dynamic block definition

  1. In the Block Editor, in the Block Authoring Palettes window, Parameters tab, click the Flip Parameter tool.
  2. (Optional) Follow the command prompts to specify the following for the parameter:
    • Name
    • Label
    • Description
    • Properties displayed for block reference
    NoteYou can also specify and edit these properties in the Properties palette at a later time, after you've added the parameter to the block definition.
  3. Do one of the following to specify the first point of the reflection line for the flip parameter:
    • Use the pointing device.
    • Enter the X and Y coordinate values, separated by a comma.

    This first point of the reflection line is the default location for the flip parameter grip.

  4. Do one of the following to specify the second point of the reflection line for the flip parameter:
    • Use the pointing device.
    • Enter the X and Y coordinate values, separated by a comma.
  5. Do one of the following to specify a location for the parameter label:
    • Use the pointing device.
    • Enter the X and Y coordinate values, separated by a comma.

      The yellow alert icon indicates that you should associate an action with the parameter you just added.

  6. To add an action now, double-click the alert icon. Follow the prompts to associate an action with the parameter and a selection set of geometry.
  7. On the Block Editor toolbar, click Save Block Definition.
  8. If you are finished using the Block Editor, click Close Block Editor.
Toolbar: Block Editor
Command entry: BPARAMETER


To add a visibility parameter to a dynamic block definition (Procedure)

Use Parameters in Dynamic Blocks
Up a level to ..
Use Parameters in Dynamic Blocks
Create and Modify Objects > Create and Use Blocks (Symbols) > Add Dynamic Behavior to Blocks > Add Dynamic Elements to Blocks > Use Parameters in Dynamic Blocks >
Use Parameters in Dynamic Blocks
Concept Procedure Quick Reference

To add a visibility parameter to a dynamic block definition

  1. In the Block Editor, in the Block Authoring Palettes window, Parameters tab, click the Visibility Parameter tool.
  2. (Optional) Follow the command prompts to specify the following for the parameter:
    • Name
    • Label
    • Description
    • Properties displayed for block reference
    NoteYou can also specify and edit these properties in the Properties palette at a later time, after you've added the parameter to the block definition.
  3. Do one of the following to specify a location for the parameter:
    • Use the pointing device.
    • Enter the X and Y coordinate values, separated by a comma.

    This is the location for the visibility parameter grip in the block reference.

  4. On the Block Editor toolbar, click Save Block Definition.
  5. If you are finished using the Block Editor, click Close Block Editor.
Toolbar: Block Editor
Command entry: BPARAMETER


To add a lookup parameter to a dynamic block definition (Procedure)

Use Parameters in Dynamic Blocks
Up a level to ..
Use Parameters in Dynamic Blocks
Create and Modify Objects > Create and Use Blocks (Symbols) > Add Dynamic Behavior to Blocks > Add Dynamic Elements to Blocks > Use Parameters in Dynamic Blocks >
Use Parameters in Dynamic Blocks
Concept Procedure Quick Reference

To add a lookup parameter to a dynamic block definition

  1. In the Block Editor, in the Block Authoring Palettes window, Parameters tab, click the Lookup Parameter tool.
  2. (Optional) Follow the prompts at the command prompt to specify the following for the parameter:
    • Name
    • Label
    • Description
    • Properties displayed for block reference
    NoteYou can also specify and edit these properties in the Properties palette at a later time, after you've added the parameter to the block definition.
  3. Do one of the following to specify a location for the parameter:
    • Use the pointing device.
    • Enter the X and Y coordinate values, separated by a comma.

      The yellow alert icon indicates that you should associate an action with the parameter you just added.

  4. To add an action now, double-click the alert icon. Follow the prompts to associate a lookup action with the parameter. This will display the Property Lookup Table dialog box, which you can complete now or later.
  5. Click OK.
  6. On the Block Editor toolbar, click Save Block Definition.
  7. If you are finished using the Block Editor, click Close Block Editor.
Toolbar: Block Editor
Command entry: BPARAMETER


To add a base point parameter to a dynamic block definition (Procedure)

Use Parameters in Dynamic Blocks
Up a level to ..
Use Actions with Dynamic Blocks
Create and Modify Objects > Create and Use Blocks (Symbols) > Add Dynamic Behavior to Blocks > Add Dynamic Elements to Blocks > Use Parameters in Dynamic Blocks >
Use Parameters in Dynamic Blocks
Concept Procedure Quick Reference

To add a base point parameter to a dynamic block definition

  1. In the Block Editor, in the Block Authoring Palettes window, Parameters tab, click the Base Point Parameter tool.
  2. Do one of the following to specify a location for the parameter:
    • Use the pointing device.
    • Enter the X and Y coordinate values, separated by a comma.
  3. On the Block Editor toolbar, click Save Block Definition.
  4. If you are finished using the Block Editor, click Close Block Editor.
Toolbar: Block Editor
Command entry: BPARAMETER


Use Parameters in Dynamic Blocks (Quick Reference)

Overview of Dynamic Block Elements
Use Parameters in Dynamic Blocks
Overview of Using Actions in Dynamic Blocks
Create and Modify Objects > Create and Use Blocks (Symbols) > Add Dynamic Behavior to Blocks > Add Dynamic Elements to Blocks > Use Parameters in Dynamic Blocks >
Use Parameters in Dynamic Blocks
Concept Procedure Quick Reference

Commands

BEDIT

Opens the block definition in the Block Editor

BPARAMETER

Adds a parameter with grips to a dynamic block definition

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Use Actions with Dynamic Blocks

Use Parameters in Dynamic Blocks
Add Dynamic Elements to Blocks
Overview of Using Actions in Dynamic Blocks
Create and Modify Objects > Create and Use Blocks (Symbols) > Add Dynamic Behavior to Blocks > Add Dynamic Elements to Blocks >
Use Actions with Dynamic Blocks
Concept Procedure

Actions define how the geometry of a dynamic block reference will move or change when the custom properties of the block reference are manipulated in a drawing.

Topics in this section

  • Overview of Using Actions in Dynamic Blocks
  • Use a Move Action in a Dynamic Block

    In a dynamic block reference, a move action behaves similar to the MOVE command.

  • Use a Scale Action in a Dynamic Block

    In a dynamic block reference, a scale action behaves similar to the SCALE command.

  • Use a Stretch Action in a Dynamic Block

    In a dynamic block reference, a stretch action causes objects to move and stretch a specified distance in a specified location.

  • Use a Polar Stretch Action in a Dynamic Block

    In a dynamic block reference, a polar stretch action rotates, moves, and stretches objects a specified angle and distance.

  • Use a Rotate Action in a Dynamic Block

    In a dynamic block reference, a rotate action behaves similar to the ROTATE command.

  • Use a Flip Action in a Dynamic Block

    A flip action allows you to flip a dynamic block reference about a specified axis called a reflection line.

  • Use an Array Action in a Dynamic Block

    In a dynamic block reference, an array action causes its associated objects to copy and array in a rectangular pattern when the associated parameter is edited through a grip or the Properties palette.

  • Use a Lookup Action in a Dynamic Block

    When you add a lookup action to a dynamic block definition and associate it with a lookup parameter, it creates a lookup table. You can use a lookup table to assign custom properties and values to a dynamic block.

  • Use Distance Multiplier and Angle Offset Action Overrides

    Some actions have distance multiplier and angle offset override properties. These properties allow you to specify a factor by which a parameter value is increased or decreased when the parameter is edited in a dynamic block reference.


Use Actions with Dynamic Blocks (Procedure)

Use Parameters in Dynamic Blocks
Up a level to ..
Use a Move Action in a Dynamic Block
Create and Modify Objects > Create and Use Blocks (Symbols) > Add Dynamic Behavior to Blocks > Add Dynamic Elements to Blocks > Use Actions with Dynamic Blocks >
Use Actions with Dynamic Blocks
Concept Procedure

To add a move action to a dynamic block definition

To specify the Distance Type property for a move action associated with an XY parameter

To add a scale action to a dynamic block definition

To specify an independent base point for a scale action in a dynamic block definition

To specify the Scale Type property for a scale action associated with an XY parameter

To add a stretch action to a block definition

To specify the Distance Type property for a stretch action associated with an XY parameter

To add a polar stretch action to a block definition

To add a rotate action to a block definition

To add a flip action to a block definition

To add an array action a block definition

To add a lookup action to a dynamic block definition

To specify a distance multiplier override for an action

To specify an angle offset override for an action


Overview of Using Actions in Dynamic Blocks (Concept)

Use Actions with Dynamic Blocks
Use Actions with Dynamic Blocks
Use a Move Action in a Dynamic Block
Create and Modify Objects > Create and Use Blocks (Symbols) > Add Dynamic Behavior to Blocks > Add Dynamic Elements to Blocks > Use Actions with Dynamic Blocks >
Overview of Using Actions in Dynamic Blocks
Concept Quick Reference

Actions define how the geometry of a dynamic block reference will move or change when the custom properties of a block reference are manipulated in a drawing. A dynamic block usually contains at least one action.

In general, when you add an action to a dynamic block definition, you must associate the action with a parameter, a key point on the parameter, and geometry. A key point is the point on a parameter that drives its associated action when edited. The geometry associated with an action is called the selection set.

In the following example, the dynamic block definition contains geometry that represents a desk, a linear parameter with one grip specified for its endpoint, and a stretch action associated with the endpoint of the parameter and the geometry for the right side of the desk. The endpoint of the parameter is the key point. The geometry on the right side of the desk is the selection set.

When you want to change the block reference in a drawing, you move the grip, and the desk stretches.

The types of actions you can use in a dynamic block are

  • Move
  • Scale
  • Stretch
  • Polar Stretch
  • Rotate
  • Flip
  • Array
  • Lookup

You can assign more than one action to the same parameter and geometry. However, you should not assign two or more of the same type of actions to the same key point on a parameter if both actions affect the same geometry. This can result in unexpected behavior in the block reference.

Actions and Parameter Types

Each type of action can be associated with specific parameters. The following table shows the parameters with which you can associate each type of action.

Action Type | Parameter
Move | Point, linear, polar, XY
Scale | Linear, polar, XY
Stretch | Point, linear, polar, XY
Polar Stretch | Polar
Rotate | Rotation
Flip | Flip
Array | Linear, polar, XY
Lookup | Lookup


Overview of Using Actions in Dynamic Blocks (Quick Reference)

Use Parameters in Dynamic Blocks
Overview of Using Actions in Dynamic Blocks
Use a Move Action in a Dynamic Block
Create and Modify Objects > Create and Use Blocks (Symbols) > Add Dynamic Behavior to Blocks > Add Dynamic Elements to Blocks > Use Actions with Dynamic Blocks > Overview of Using Actions in Dynamic Blocks >
Overview of Using Actions in Dynamic Blocks
Concept Quick Reference

Commands

BEDIT

Opens the block definition in the Block Editor

BACTION

Adds an action to a dynamic block definition

BACTIONSET

Specifies the selection set of objects associated with an action in a dynamic block definition

BASSOCIATE

Associates an action with a parameter in a dynamic block definition

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Use a Move Action in a Dynamic Block (Concept)

Overview of Using Actions in Dynamic Blocks
Use Actions with Dynamic Blocks
Use a Scale Action in a Dynamic Block
Create and Modify Objects > Create and Use Blocks (Symbols) > Add Dynamic Behavior to Blocks > Add Dynamic Elements to Blocks > Use Actions with Dynamic Blocks >
Use a Move Action in a Dynamic Block
Concept Procedure Quick Reference

In a dynamic block reference, a move action behaves similar to the MOVE command.

The move action is similar to the MOVE command. In a dynamic block reference, a move action causes objects to move a specified distance and angle.

In a dynamic block definition, you can associate a move action with any of the following parameters:

  • Point
  • Linear
  • Polar
  • XY

After associating a move action with a parameter, you associate the action with a selection set of geometry.

In a dynamic block reference, if you change the value of a parameter associated with a move action through a grip or the Properties palette, it may affect the key point on the parameter associated with the move action. If the key point is affected, the geometry in the move action's selection set will move.

For example, you have a dynamic block that represents a chair. The block contains a point parameter and a move action associated with the point parameter. The move action's selection set contains all the geometry in the block (the chair). When you use the grip associated with the point parameter (or the Position X or Position Y properties in the Properties palette) to manipulate the dynamic block reference, it changes the value of the point parameter. This change in value causes the chair to move.

In the following example, when the chair block reference is moved by dragging the point parameter grip, the new position of this grip is reported in the Properties palette.

Specify the Distance Type Property for a Move Action

When a move action is associated with an XY parameter, the move action has an override property called Distance Type. This property specifies whether the distance applied to the move is the parameter's X value, Y value, or X and Y coordinate value from the parameter's base point.

For example, you specify X Distance as the Distance Type for a move action in a dynamic block definition. That means that the block can only be moved on the X axis. So if you try to move the block on the Y axis, it doesn't move.

See Also

    • Use Distance Multiplier and Angle Offset Action Overrides


Use a Move Action in a Dynamic Block (Procedure)

Use Actions with Dynamic Blocks
Up a level to ..
Use a Move Action in a Dynamic Block
Create and Modify Objects > Create and Use Blocks (Symbols) > Add Dynamic Behavior to Blocks > Add Dynamic Elements to Blocks > Use Actions with Dynamic Blocks > Use a Move Action in a Dynamic Block >
Use a Move Action in a Dynamic Block
Concept Procedure Quick Reference

To add a move action to a dynamic block definition

To specify the Distance Type property for a move action associated with an XY parameter


To add a move action to a dynamic block definition (Procedure)

Use a Move Action in a Dynamic Block
Up a level to ..
Use a Move Action in a Dynamic Block
Create and Modify Objects > Create and Use Blocks (Symbols) > Add Dynamic Behavior to Blocks > Add Dynamic Elements to Blocks > Use Actions with Dynamic Blocks > Use a Move Action in a Dynamic Block >
Use a Move Action in a Dynamic Block
Concept Procedure Quick Reference

To add a move action to a dynamic block definition

  1. In the Block Editor, in the Block Authoring Palettes window, Actions tab, click the Move Action tool.
  2. In the Block Editor drawing area, select a parameter to associate with the action. (You can associate the following parameter types with a move action: point, linear, polar, and XY.)
  3. Select the objects (the selection set) to associate with the action.
  4. Press ENTER.
  5. (Optional) Follow the command prompts to specify a distance multiplier and angle offset.
  6. Do one of the following to specify the location of the action:
    • Use the pointing device.
    • Enter the X and Y coordinate values, separated by a comma.
    NoteThe action location in the block definition has no effect on the appearance or functionality of the block reference.
  7. On the Block Editor toolbar, click Save Block Definition.
  8. If you are finished using the Block Editor, click Close Block Editor.
Toolbar: Block Editor
Command entry: BACTION


To specify the Distance Type property for a move action associated with an XY parameter (Procedure)

Use a Move Action in a Dynamic Block
Up a level to ..
Use a Scale Action in a Dynamic Block
Create and Modify Objects > Create and Use Blocks (Symbols) > Add Dynamic Behavior to Blocks > Add Dynamic Elements to Blocks > Use Actions with Dynamic Blocks > Use a Move Action in a Dynamic Block >
Use a Move Action in a Dynamic Block
Concept Procedure Quick Reference

To specify the Distance Type property for a move action associated with an XY parameter

  1. In the Block Editor, select a move action.
  2. On the Properties palette, Overrides area, Distance Type, select an option from the list.


Use a Move Action in a Dynamic Block (Quick Reference)

Overview of Using Actions in Dynamic Blocks
Use a Move Action in a Dynamic Block
Use a Scale Action in a Dynamic Block
Create and Modify Objects > Create and Use Blocks (Symbols) > Add Dynamic Behavior to Blocks > Add Dynamic Elements to Blocks > Use Actions with Dynamic Blocks > Use a Move Action in a Dynamic Block >
Use a Move Action in a Dynamic Block
Concept Procedure Quick Reference

Commands

BEDIT

Opens the block definition in the Block Editor

BACTION

Adds an action to a dynamic block definition

BACTIONSET

Specifies the selection set of objects associated with an action in a dynamic block definition

BASSOCIATE

Associates an action with a parameter in a dynamic block definition

PROPERTIES

Controls properties of existing objects

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Use a Scale Action in a Dynamic Block (Concept)

Use a Move Action in a Dynamic Block
Use Actions with Dynamic Blocks
Use a Stretch Action in a Dynamic Block
Create and Modify Objects > Create and Use Blocks (Symbols) > Add Dynamic Behavior to Blocks > Add Dynamic Elements to Blocks > Use Actions with Dynamic Blocks >
Use a Scale Action in a Dynamic Block
Concept Procedure Quick Reference

In a dynamic block reference, a scale action behaves similar to the SCALE command.

The scale action is similar to the SCALE command. In a dynamic block reference, a scale action causes the block's selection set to scale when the associated parameter is edited by moving grips or by using the Properties palette.

In a dynamic block definition, you associate a scale action with an entire parameter, not a key point on the parameter. You can associate a scale action with any of the following parameters:

  • Linear
  • Polar
  • XY

After associating a scale action with a parameter, you associate the action with a selection set of geometry.

Specify the Type of Base Point for a Scale Action

The scale action has a property called Base Type. With this property, you specify whether the base point for the scale factor is dependent or independent.

If the base type is dependent, the objects in the selection set scale relative to the base point of the parameter with which the scale action is associated. In the following example, a scale action is associated with an XY parameter. The scale action base type is dependent. The base point of the XY parameter is located at the lower left corner of the rectangle. When the custom grip is used to scale the block, it scales relative to the lower-left corner of the rectangle.

If the base type is independent (shown in the Block Editor as an X marker), you specify a base point independent of the parameter with which the scale action is associated. The objects in the selection set will scale relative to this independent base point you specify. In the following example, a scale action is associated with an XY parameter. The scale action base type is independent. The independent base point is located at the center of the circle. When the custom grip is used to scale the block, it scales relative to the center of the circle.

Specify the Scale Type Property for a Scale Action

When a scale action is associated with an XY parameter, the scale action has an override property called Scale Type. This property specifies whether the scale factor applied is the parameter's X distance, Y distance, or X and Y coordinate value distance from the parameter's base point.

For example, you specify X Distance as the Scale Type for a scale action in a dynamic block definition. In a drawing, when you edit the block reference by dragging a grip on the XY parameter only along the Y axis, the associated geometry does not scale.


Use a Scale Action in a Dynamic Block (Procedure)

Use a Move Action in a Dynamic Block
Up a level to ..
Use a Scale Action in a Dynamic Block
Create and Modify Objects > Create and Use Blocks (Symbols) > Add Dynamic Behavior to Blocks > Add Dynamic Elements to Blocks > Use Actions with Dynamic Blocks > Use a Scale Action in a Dynamic Block >
Use a Scale Action in a Dynamic Block
Concept Procedure Quick Reference

To add a scale action to a dynamic block definition

To specify an independent base point for a scale action in a dynamic block definition

To specify the Scale Type property for a scale action associated with an XY parameter


To add a scale action to a dynamic block definition (Procedure)

Use a Scale Action in a Dynamic Block
Up a level to ..
Use a Scale Action in a Dynamic Block
Create and Modify Objects > Create and Use Blocks (Symbols) > Add Dynamic Behavior to Blocks > Add Dynamic Elements to Blocks > Use Actions with Dynamic Blocks > Use a Scale Action in a Dynamic Block >
Use a Scale Action in a Dynamic Block
Concept Procedure Quick Reference

To add a scale action to a dynamic block definition

  1. In the Block Editor, in the Block Authoring Palettes window, Actions tab, click the Scale Action tool.
  2. In the Block Editor drawing area, select a parameter to associate with the action. (You can associate the following parameter types with a scale action: linear, polar, and XY.)
  3. Select the geometry (the selection set) to associate with the action.
  4. Press ENTER.
  5. (Optional) Follow the command prompts to specify the type of base point.
  6. Do one of the following to specify the location of the action:
    • Use the pointing device.
    • Enter the X and Y coordinate values, separated by a comma.
    NoteThe action location in the block definition has no effect on the appearance or functionality of the block reference.
  7. On the Block Editor toolbar, click Save Block Definition.
  8. If you are finished using the Block Editor, click Close Block Editor.
Toolbar: Block Editor
Command entry: BACTION


To specify an independent base point for a scale action in a dynamic block definition (Procedure)

Use a Scale Action in a Dynamic Block
Up a level to ..
Use a Scale Action in a Dynamic Block
Create and Modify Objects > Create and Use Blocks (Symbols) > Add Dynamic Behavior to Blocks > Add Dynamic Elements to Blocks > Use Actions with Dynamic Blocks > Use a Scale Action in a Dynamic Block >
Use a Scale Action in a Dynamic Block
Concept Procedure Quick Reference

To specify an independent base point for a scale action in a dynamic block definition

  1. In the Block Editor, select a scale action.
  2. On the Properties palette, Overrides area, Base Type, select Independent from the drop-down list.


To specify the Scale Type property for a scale action associated with an XY parameter (Procedure)

Use a Scale Action in a Dynamic Block
Up a level to ..
Use a Stretch Action in a Dynamic Block
Create and Modify Objects > Create and Use Blocks (Symbols) > Add Dynamic Behavior to Blocks > Add Dynamic Elements to Blocks > Use Actions with Dynamic Blocks > Use a Scale Action in a Dynamic Block >
Use a Scale Action in a Dynamic Block
Concept Procedure Quick Reference

To specify the Scale Type property for a scale action associated with an XY parameter

  1. In the Block Editor, select a scale action associated with an XY parameter.
  2. On the Properties palette, Overrides area, Scale Type, select an option from the drop-down list.

    Depending on the override you apply, the scale action for the block is limited to the X axis, the Y axis, or both.


Use a Scale Action in a Dynamic Block (Quick Reference)

Use a Move Action in a Dynamic Block
Use a Scale Action in a Dynamic Block
Use a Stretch Action in a Dynamic Block
Create and Modify Objects > Create and Use Blocks (Symbols) > Add Dynamic Behavior to Blocks > Add Dynamic Elements to Blocks > Use Actions with Dynamic Blocks > Use a Scale Action in a Dynamic Block >
Use a Scale Action in a Dynamic Block
Concept Procedure Quick Reference

Commands

BEDIT

Opens the block definition in the Block Editor

BACTION

Adds an action to a dynamic block definition

BACTIONSET

Specifies the selection set of objects associated with an action in a dynamic block definition

BASSOCIATE

Associates an action with a parameter in a dynamic block definition

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Use a Stretch Action in a Dynamic Block (Concept)

Use a Scale Action in a Dynamic Block
Use Actions with Dynamic Blocks
Use a Polar Stretch Action in a Dynamic Block
Create and Modify Objects > Create and Use Blocks (Symbols) > Add Dynamic Behavior to Blocks > Add Dynamic Elements to Blocks > Use Actions with Dynamic Blocks >
Use a Stretch Action in a Dynamic Block
Concept Procedure Quick Reference

In a dynamic block reference, a stretch action causes objects to move and stretch a specified distance in a specified location.

In a dynamic block definition, you can associate a stretch action with any of the following parameters:

  • Point
  • Linear
  • Polar
  • XY

After associating a stretch action with a parameter, you specify a stretch frame for the stretch action. You then select the objects for the stretch action's selection set. The stretch frame determines how the objects within or crossed by the frame are edited in the block reference. The behavior is similar to specifying a crossing selection window with the STRETCH command.

  • Objects entirely within the frame are moved.
  • Objects that cross the frame are stretched.
  • Objects within or crossed by the frame, but not included in the selection set, are not stretched or moved.
  • Objects outside the frame and included in the selection set are moved.

In the following example, the stretch frame is indicated by the dashed line, and the selection set has a haloed effect. The top circle, while enclosed by the stretch frame, is not included in the selection set, so the top circle won't move. The bottom circle is entirely enclosed in the stretch frame and included in the selection set, so the bottom circle will move. The rectangle is crossed by the stretch frame and included in the selection set, so the rectangle will stretch.

In a dynamic block reference, if you change the value of a parameter associated with a stretch action through a grip or the Properties palette, it may affect the key point on the parameter associated with the stretch action. If the key point is affected, the geometry in the stretch action's selection set will move.

Specify the Distance Type Property for a Stretch Action

When a stretch action is associated with an XY parameter, the stretch action has an override property called Distance Type. This property specifies whether the distance applied to the move is the parameter's X value, Y value, or X an Y coordinate value from the parameter's base point.

For example, you specify X Distance as the Distance Type for a stretch action in a dynamic block definition. In a drawing, when you try to edit the block reference by dragging the key point only along the Y axis, the associated geometry does not move because you've added the Distance Type override allowing only a move on the X axis.

See Also

    • Use Distance Multiplier and Angle Offset Action Overrides


Use a Stretch Action in a Dynamic Block (Procedure)

Use a Scale Action in a Dynamic Block
Up a level to ..
Use a Stretch Action in a Dynamic Block
Create and Modify Objects > Create and Use Blocks (Symbols) > Add Dynamic Behavior to Blocks > Add Dynamic Elements to Blocks > Use Actions with Dynamic Blocks > Use a Stretch Action in a Dynamic Block >
Use a Stretch Action in a Dynamic Block
Concept Procedure Quick Reference

To add a stretch action to a block definition

To specify the Distance Type property for a stretch action associated with an XY parameter


To add a stretch action to a block definition (Procedure)

Use a Stretch Action in a Dynamic Block
Up a level to ..
Use a Stretch Action in a Dynamic Block
Create and Modify Objects > Create and Use Blocks (Symbols) > Add Dynamic Behavior to Blocks > Add Dynamic Elements to Blocks > Use Actions with Dynamic Blocks > Use a Stretch Action in a Dynamic Block >
Use a Stretch Action in a Dynamic Block
Concept Procedure Quick Reference

To add a stretch action to a block definition

  1. In the Block Editor, in the Block Authoring Palettes window, Actions tab, click the Stretch Action tool.
  2. In the Block Editor drawing area, select a parameter to associate with the action. (You can associate the following parameter types with a move action: point, linear, polar, and XY.)

    If you associated the stretch action with a point parameter, go to step 4.

  3. Do one of the following to select a parameter point to associate with the action:
    • Use the pointing device.
    • Follow the command prompts.
  4. Do one of the following to specify the first corner of the stretch frame:
    • Use the pointing device.
    • Enter the X and Y coordinate values, separated by a comma.
  5. Do one of the following to specify the opposite corner of the stretch frame:
    • Use the pointing device.
    • Enter the X and Y coordinate values, separated by a comma.
  6. Select the objects for the selection set.
  7. Press ENTER.
  8. (Optional) Follow the command prompts to specify a distance multiplier and angle offset.
  9. Do one of the following to specify the location of the action:
    • Use the pointing device.
    • Enter the X and Y coordinate values, separated by a comma.
      NoteThe action location in the block definition has no effect on the appearance or the functionality of the block reference.
  10. On the Block Editor toolbar, click Save Block Definition.
  11. If you are finished using the Block Editor, click Close Block Editor.
Toolbar: Block Editor
Command entry: BACTION


To specify the Distance Type property for a stretch action associated with an XY parameter (Procedure)

Use a Stretch Action in a Dynamic Block
Up a level to ..
Use a Polar Stretch Action in a Dynamic Block
Create and Modify Objects > Create and Use Blocks (Symbols) > Add Dynamic Behavior to Blocks > Add Dynamic Elements to Blocks > Use Actions with Dynamic Blocks > Use a Stretch Action in a Dynamic Block >
Use a Stretch Action in a Dynamic Block
Concept Procedure Quick Reference

To specify the Distance Type property for a stretch action associated with an XY parameter

  1. In the Block Editor, select a stretch action associated with an XY parameter.
  2. On the Properties palette, Overrides area, Distance Type, select an option from the drop-down list.

Depending on the override you apply, the stretch action for the block is limited to the X axis, the Y axis, or both.


Use a Stretch Action in a Dynamic Block (Quick Reference)

Use a Scale Action in a Dynamic Block
Use a Stretch Action in a Dynamic Block
Use a Polar Stretch Action in a Dynamic Block
Create and Modify Objects > Create and Use Blocks (Symbols) > Add Dynamic Behavior to Blocks > Add Dynamic Elements to Blocks > Use Actions with Dynamic Blocks > Use a Stretch Action in a Dynamic Block >
Use a Stretch Action in a Dynamic Block
Concept Procedure Quick Reference

Commands

BEDIT

Opens the block definition in the Block Editor

BACTION

Adds an action to a dynamic block definition

BACTIONSET

Specifies the selection set of objects associated with an action in a dynamic block definition

BASSOCIATE

Associates an action with a parameter in a dynamic block definition

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Use a Polar Stretch Action in a Dynamic Block (Concept)

Use a Stretch Action in a Dynamic Block
Use Actions with Dynamic Blocks
Use a Rotate Action in a Dynamic Block
Create and Modify Objects > Create and Use Blocks (Symbols) > Add Dynamic Behavior to Blocks > Add Dynamic Elements to Blocks > Use Actions with Dynamic Blocks >
Use a Polar Stretch Action in a Dynamic Block
Concept Procedure Quick Reference

In a dynamic block reference, a polar stretch action rotates, moves, and stretches objects a specified angle and distance.

In a block reference, a polar stretch action rotates, moves, and stretches objects a specified angle and distance when the key point on the associated polar parameter is changed through a grip or the Properties palette.

In a dynamic block definition, you can only associate a polar stretch action with a polar parameter. The base point for the stretch part of the action is the parameter point opposite the key point.

After associating a polar stretch action with a polar parameter, you specify a stretch frame for the polar stretch action. You then select objects to stretch and objects to rotate.

  • Objects entirely within the frame are moved.
  • Objects that cross the frame are stretched.
  • Objects in the action's selection set specified to rotate only are not stretched.
  • Objects within the frame are moved linearly after they are rotated.
  • Objects crossed by the frame are stretched linearly after they are rotated.
  • Objects within or crossed by the frame, but not included in the selection set, are not stretched or rotated.
  • Objects outside the frame and included in the selection set are moved.

In the following example, the stretch frame is indicated by the dashed line, and the selection set has a haloed effect. The top circle, while enclosed by the stretch frame, is not included in the selection set, so the top circle won't move. The bottom circle is entirely enclosed in the stretch frame and included in the stretch selection set, so the bottom circle will move. The rectangle is crossed by the stretch frame and included in the selection set, so the rectangle will stretch. The square is entirely enclosed in the stretch frame and included in the rotate selection set, but not the stretch selection set, so the square will rotate only.

In a dynamic block reference, if you change the value of a parameter associated with a polar stretch action through a grip or the Properties palette, it may affect the key point on the parameter associated with the polar stretch action. If the key point is affected, the geometry in the polar stretch action's selection set will move or rotate depending on how the block was defined.

NoteIf you only want objects in the block reference to rotate, don't include any objects in the stretch frame.
See Also

    • Use Distance Multiplier and Angle Offset Action Overrides


To add a polar stretch action to a block definition (Procedure)

Use a Stretch Action in a Dynamic Block
Up a level to ..
Use a Rotate Action in a Dynamic Block
Create and Modify Objects > Create and Use Blocks (Symbols) > Add Dynamic Behavior to Blocks > Add Dynamic Elements to Blocks > Use Actions with Dynamic Blocks > Use a Polar Stretch Action in a Dynamic Block >
Use a Polar Stretch Action in a Dynamic Block
Concept Procedure Quick Reference

To add a polar stretch action to a block definition

  1. In the Block Editor, in the Block Authoring Palettes window, Actions tab, click the Stretch Action tool.
  2. In the Block Editor drawing area, select a polar parameter to associate with the action. (You can associate only a polar parameter with a polar stretch action.)
  3. Do one of the following to select a parameter point to associate with the action:
    • Use the pointing device.
    • Follow the command prompts.
  4. Do one of the following to specify the first corner of the stretch frame:
    • Use the pointing device.
    • Enter the X and Y coordinate values, separated by a comma.
  5. Do one of the following to specify the opposite corner of the stretch frame:
    • Use the pointing device.
    • Enter the X and Y coordinate values, separated by a comma.
  6. Select the objects to stretch or move.
  7. Press ENTER.
  8. Select the objects that you want to rotate.

    (The objects you select in steps 6 and 8 make up the polar stretch action's selection set.)

  9. Press ENTER.
  10. (Optional) Follow the command prompts to specify distance and offset.
  11. Do one of the following to specify the location of the action:
    • Use the pointing device.
    • Enter the X and Y coordinate values, separated by a comma.
    NoteThe action location in the block definition has no effect on the appearance or functionality of the block reference.
  12. On the Block Editor toolbar, click Save Block Definition.
  13. If you are finished using the Block Editor, click Close Block Editor.
Toolbar: Block Editor
Command entry: BACTION


Use a Polar Stretch Action in a Dynamic Block (Quick Reference)

Use a Stretch Action in a Dynamic Block
Use a Polar Stretch Action in a Dynamic Block
Use a Rotate Action in a Dynamic Block
Create and Modify Objects > Create and Use Blocks (Symbols) > Add Dynamic Behavior to Blocks > Add Dynamic Elements to Blocks > Use Actions with Dynamic Blocks > Use a Polar Stretch Action in a Dynamic Block >
Use a Polar Stretch Action in a Dynamic Block
Concept Procedure Quick Reference

Commands

BEDIT

Opens the block definition in the Block Editor

BACTION

Adds an action to a dynamic block definition

BACTIONSET

Specifies the selection set of objects associated with an action in a dynamic block definition

BASSOCIATE

Associates an action with a parameter in a dynamic block definition

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Use a Rotate Action in a Dynamic Block (Concept)

Use a Polar Stretch Action in a Dynamic Block
Use Actions with Dynamic Blocks
Use a Flip Action in a Dynamic Block
Create and Modify Objects > Create and Use Blocks (Symbols) > Add Dynamic Behavior to Blocks > Add Dynamic Elements to Blocks > Use Actions with Dynamic Blocks >
Use a Rotate Action in a Dynamic Block
Concept Procedure Quick Reference

In a dynamic block reference, a rotate action behaves similar to the ROTATE command.

The rotate action is similar to the ROTATE command. In a dynamic block reference, a rotate action causes its associated objects to rotate when the associated parameter is edited through a grip or the Properties palette.

In a dynamic block definition, you can associate a rotate action only with a rotation parameter. The rotate action is associated with the entire parameter, not a key point on the parameter.

After associating a rotate action with a rotation parameter, you associate the action with a selection set of geometry.

Specify the Type of Base Point for a Rotate Action

The rotate action has a property called Base Type. With this property, you specify whether the base point for the rotation is the base point of the parameter or an independent base point that you specify in the block definition.

By default, Base Type is set to Dependent. This means that the block rotates around the associated rotation parameter's base point. In the following example, the chair block contains a rotation parameter and an associated rotate action. The rotate action's Base Type is Dependent. The base point of the parameter is at the center of the chair. Thus, the chair rotates about the center point.

When you set Base Type to Independent, you can specify a base point for the rotate action other than the base point of the associated rotation parameter. This independent base point is shown in the Block Editor as an X marker. The location of the independent base point can be changed by dragging it or by editing the Base X and Base Y values in the Overrides section of the Properties palette.

In the following example, the chair block contains a rotation parameter and an associated rotate action. The rotate action's Base Type is Independent. The independent base point is located at the lower left corner of the chair. Thus, the chair rotates about the lower left corner.

In the following example, each of the three rectangles in the dynamic block reference rotates about an independent base point located at the lower left corner of each rectangle. To achieve this, you assign one rotation parameter. You then add three rotate actions. Each rotate action is associated with the rotate parameter. Each rotate action is then associated with a different object and assigned a different independent base point.

You could achieve the same result by using dependent base points, each with a different base offset, for each rotation action. However, if you need to move the rectangles independently from one another (for example, with a polar or XY parameter and a move action) in the block reference, you should use independent base points for the rotate actions, or the objects won't rotate correctly.


To add a rotate action to a block definition (Procedure)

Use a Polar Stretch Action in a Dynamic Block
Up a level to ..
Use a Flip Action in a Dynamic Block
Create and Modify Objects > Create and Use Blocks (Symbols) > Add Dynamic Behavior to Blocks > Add Dynamic Elements to Blocks > Use Actions with Dynamic Blocks > Use a Rotate Action in a Dynamic Block >
Use a Rotate Action in a Dynamic Block
Concept Procedure Quick Reference

To add a rotate action to a block definition

  1. In the Block Editor, in the Block Authoring Palettes window, Actions tab, click the Rotate Action tool.
  2. In the Block Editor drawing area, select a rotation parameter to associate with the action. (You can associate only a rotation parameter with a rotate action.)
  3. Select the objects (the selection set) to associate with the action.
  4. Press ENTER.
  5. (Optional) Follow the command prompts to specify the type of base point.
  6. Do one of the following to specify the location of the action:
    • Use the pointing device.
    • Enter the X and Y coordinate values, separated by a comma.
      NoteThe action location in the block definition has no effect on the appearance or functionality of the block reference.
  7. On the Block Editor toolbar, click Save Block Definition.
  8. If you are finished using the Block Editor, click Close Block Editor.
Toolbar: Block Editor
Command entry: BACTION


Use a Rotate Action in a Dynamic Block (Quick Reference)

Use a Polar Stretch Action in a Dynamic Block
Use a Rotate Action in a Dynamic Block
Use a Flip Action in a Dynamic Block
Create and Modify Objects > Create and Use Blocks (Symbols) > Add Dynamic Behavior to Blocks > Add Dynamic Elements to Blocks > Use Actions with Dynamic Blocks > Use a Rotate Action in a Dynamic Block >
Use a Rotate Action in a Dynamic Block
Concept Procedure Quick Reference

Commands

BEDIT

Opens the block definition in the Block Editor

BACTION

Adds an action to a dynamic block definition

BACTIONSET

Specifies the selection set of objects associated with an action in a dynamic block definition

BASSOCIATE

Associates an action with a parameter in a dynamic block definition

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Use a Flip Action in a Dynamic Block (Concept)

Use a Rotate Action in a Dynamic Block
Use Actions with Dynamic Blocks
Use an Array Action in a Dynamic Block
Create and Modify Objects > Create and Use Blocks (Symbols) > Add Dynamic Behavior to Blocks > Add Dynamic Elements to Blocks > Use Actions with Dynamic Blocks >
Use a Flip Action in a Dynamic Block
Concept Procedure Quick Reference

A flip action allows you to flip a dynamic block reference about a specified axis called a reflection line.

In a dynamic block reference, a flip action causes its associated selection set to flip about an axis called a reflection line when the associated parameter is edited through a grip or the Properties palette.

In a dynamic block definition, you can associate a flip action only with a flip parameter. The flip action is associated with the entire parameter, not a key point on the parameter. After associating a flip action with a flip parameter, you associate the action with a selection set of geometry. Only the selected objects will flip about the reflection line.

For example, in the following illustration, the polyline between the two circles is not included in the flip action's selection set. When the block reference is flipped, the polyline does not flip with the rest of the geometry.


To add a flip action to a block definition (Procedure)

Use a Rotate Action in a Dynamic Block
Up a level to ..
Use an Array Action in a Dynamic Block
Create and Modify Objects > Create and Use Blocks (Symbols) > Add Dynamic Behavior to Blocks > Add Dynamic Elements to Blocks > Use Actions with Dynamic Blocks > Use a Flip Action in a Dynamic Block >
Use a Flip Action in a Dynamic Block
Concept Procedure Quick Reference

To add a flip action to a block definition

  1. In the Block Editor, in the Block Authoring Palettes window, Actions tab, click the Flip Action tool.
  2. In the Block Editor drawing area, select a parameter to associate with the action. (You can associate only a flip parameter with a flip action.)
  3. Select the objects (the selection set) to associate with the action.
  4. Press ENTER.
  5. Do one of the following to specify the location of the action:
    • Use the pointing device.
    • Enter the X and Y coordinate values, separated by a comma.
      NoteThe action location in the block definition has no effect on the appearance or functionality of the block reference.
  6. On the Block Editor toolbar, click Save Block Definition.
  7. If you are finished using the Block Editor, click Close Block Editor.
Toolbar: Block Editor
Command entry: BACTION


Use a Flip Action in a Dynamic Block (Quick Reference)

Use a Rotate Action in a Dynamic Block
Use a Flip Action in a Dynamic Block
Use an Array Action in a Dynamic Block
Create and Modify Objects > Create and Use Blocks (Symbols) > Add Dynamic Behavior to Blocks > Add Dynamic Elements to Blocks > Use Actions with Dynamic Blocks > Use a Flip Action in a Dynamic Block >
Use a Flip Action in a Dynamic Block
Concept Procedure Quick Reference

Commands

BEDIT

Opens the block definition in the Block Editor

BACTION

Adds an action to a dynamic block definition

BACTIONSET

Specifies the selection set of objects associated with an action in a dynamic block definition

BASSOCIATE

Associates an action with a parameter in a dynamic block definition

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Use an Array Action in a Dynamic Block (Concept)

Use a Flip Action in a Dynamic Block
Use Actions with Dynamic Blocks
Use a Lookup Action in a Dynamic Block
Create and Modify Objects > Create and Use Blocks (Symbols) > Add Dynamic Behavior to Blocks > Add Dynamic Elements to Blocks > Use Actions with Dynamic Blocks >
Use an Array Action in a Dynamic Block
Concept Procedure Quick Reference

In a dynamic block reference, an array action causes its associated objects to copy and array in a rectangular pattern when the associated parameter is edited through a grip or the Properties palette.

In a dynamic block definition, you can associate an array action with any of the following parameters:

  • Linear
  • Polar
  • XY

After associating an array action with a parameter, you associate the action with a selection set of geometry.

Specify Rows and Columns for an Array Action

When you associate an array action with a linear or polar parameter, you specify the column offset for the arrayed objects. The column offset determines the distance between the arrayed objects. When you edit the parameter in the block reference, the distance of the parameter (from base point to second point) is divided by the column offset to determine the number of columns (the number of objects).

For example, you might associate an array action with a linear parameter. You specify that the array action has a column offset of 2. When you change the linear parameter in the dynamic block reference to a distance of 10, the number of columns for the block reference is 5.

If you associate an array action with an XY parameter, you can also specify the row offset.

Including Parameters in an Array Action's Selection Set

When you include a parameter in an array action's selection set, it has no effect on the behavior of the block reference. The parameter is not copied with the other objects in the selection set. Additional grips are not displayed in the block reference.

In the following example, a parking lot block can be arrayed to contain any number of spaces. The vertical line can also be rotated. Notice that even after the block has been arrayed, it still contains only one rotation grip.

However, when you edit the grip for the parameter included in the array action's selection set, the parameter's associated action is triggered for all instances of the objects. The same behavior occurs when the parameter is not included in the array action's selection set.

Using Rotate and Array Actions in the Same Dynamic Block

A dynamic block can contain an array action and a rotate action that have the same selection set. The order in which the block reference is arrayed and rotated affects the display of the block.

When you rotate the block first and then array it, all instances of the arrayed objects are individually rotated around their own base point.

When you array the block first and then rotate it, all instances of the arrayed objects are rotated around a single base point.


To add an array action a block definition (Procedure)

Use a Flip Action in a Dynamic Block
Up a level to ..
Use a Lookup Action in a Dynamic Block
Create and Modify Objects > Create and Use Blocks (Symbols) > Add Dynamic Behavior to Blocks > Add Dynamic Elements to Blocks > Use Actions with Dynamic Blocks > Use an Array Action in a Dynamic Block >
Use an Array Action in a Dynamic Block
Concept Procedure Quick Reference

To add an array action a block definition

  1. In the Block Editor, in the Block Authoring Palettes window, Actions tab, click the Array Action tool.
  2. In the Block Editor drawing area, select a parameter to associate with the action. (You can associate linear, polar, and XY parameters with an array action.)
  3. Select the objects (the selection set) to associate with the action.
  4. Press ENTER.
  5. If you are associating the array action with an XY parameter, do one of the following:
    • Enter the distance between rows.
    • Specify a unit cell by entering two values separated by a comma or by picking two opposite points of a rectangle in the drawing area, and then go to step 7.
  6. Enter a value for the distance between columns.
  7. If you are assigning the array action to an XY parameter, enter the distance between rows.
  8. Do one of the following to specify the location of the action:
    • Use the pointing device.
    • Enter the X and Y coordinate values, separated by a comma.
      NoteThe action location in the block definition has no effect on the appearance or functionality of the block reference.
  9. On the Block Editor toolbar, click Save Block Definition.
  10. If you are finished using the Block Editor, click Close Block Editor.
Toolbar: Block Editor
Command entry: BACTION


Use an Array Action in a Dynamic Block (Quick Reference)

Use a Flip Action in a Dynamic Block
Use an Array Action in a Dynamic Block
Use a Lookup Action in a Dynamic Block
Create and Modify Objects > Create and Use Blocks (Symbols) > Add Dynamic Behavior to Blocks > Add Dynamic Elements to Blocks > Use Actions with Dynamic Blocks > Use an Array Action in a Dynamic Block >
Use an Array Action in a Dynamic Block
Concept Procedure Quick Reference

Commands

BEDIT

Opens the block definition in the Block Editor

BACTION

Adds an action to a dynamic block definition

BACTIONSET

Specifies the selection set of objects associated with an action in a dynamic block definition

BASSOCIATE

Associates an action with a parameter in a dynamic block definition

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Use a Lookup Action in a Dynamic Block (Concept)

Use an Array Action in a Dynamic Block
Use Actions with Dynamic Blocks
Use Distance Multiplier and Angle Offset Action Overrides
Create and Modify Objects > Create and Use Blocks (Symbols) > Add Dynamic Behavior to Blocks > Add Dynamic Elements to Blocks > Use Actions with Dynamic Blocks >
Use a Lookup Action in a Dynamic Block
Concept Procedure Quick Reference

When you add a lookup action to a dynamic block definition and associate it with a lookup parameter, it creates a lookup table. You can use a lookup table to assign custom properties and values to a dynamic block.

For information about adding lookup tables to dynamic blocks, see Use Lookup Tables to Assign Data to Dynamic Blocks.


To add a lookup action to a dynamic block definition (Procedure)

Use an Array Action in a Dynamic Block
Up a level to ..
Use Distance Multiplier and Angle Offset Action Overrides
Create and Modify Objects > Create and Use Blocks (Symbols) > Add Dynamic Behavior to Blocks > Add Dynamic Elements to Blocks > Use Actions with Dynamic Blocks > Use a Lookup Action in a Dynamic Block >
Use a Lookup Action in a Dynamic Block
Concept Procedure Quick Reference

To add a lookup action to a dynamic block definition

  1. In the Block Editor, in the Block Authoring Palettes window, Actions tab, click the Lookup Action tool.
  2. In the Block Editor drawing area, select one or more lookup parameters to associate with the action. (You can associate only a lookup action with lookup parameters.)
  3. Do one of the following to specify the location of the action:
    • Use the pointing device.
    • Enter the X and Y coordinate values, separated by a comma.
      NoteThe action location in the block definition has no effect on the appearance or functionality of the block reference.
  4. In the Property Lookup Table dialog box, complete the table as necessary.
  5. Click OK.
  6. On the Block Editor toolbar, click Save Block Definition.
  7. If you are finished using the Block Editor, click Close Block Editor.
Toolbar: Block Editor
Command entry: BACTION


Use a Lookup Action in a Dynamic Block (Quick Reference)

Use an Array Action in a Dynamic Block
Use a Lookup Action in a Dynamic Block
Use Distance Multiplier and Angle Offset Action Overrides
Create and Modify Objects > Create and Use Blocks (Symbols) > Add Dynamic Behavior to Blocks > Add Dynamic Elements to Blocks > Use Actions with Dynamic Blocks > Use a Lookup Action in a Dynamic Block >
Use a Lookup Action in a Dynamic Block
Concept Procedure Quick Reference

Commands

BEDIT

Opens the block definition in the Block Editor

BACTION

Adds an action to a dynamic block definition

BACTIONSET

Specifies the selection set of objects associated with an action in a dynamic block definition

BASSOCIATE

Associates an action with a parameter in a dynamic block definition

BLOOKUPTABLE

Displays or creates a lookup table for a dynamic block definition

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Use Distance Multiplier and Angle Offset Action Overrides (Concept)

Use a Lookup Action in a Dynamic Block
Use Actions with Dynamic Blocks
Use Parameter Sets
Create and Modify Objects > Create and Use Blocks (Symbols) > Add Dynamic Behavior to Blocks > Add Dynamic Elements to Blocks > Use Actions with Dynamic Blocks >
Use Distance Multiplier and Angle Offset Action Overrides
Concept Procedure Quick Reference

Some actions have distance multiplier and angle offset override properties. These properties allow you to specify a factor by which a parameter value is increased or decreased when the parameter is edited in a dynamic block reference.

Some actions have distance multiplier and angle offset override properties. These properties allow you to specify a factor by which a parameter value is increased or decreased when the parameter is edited in a dynamic block reference.

Action overrides are properties of actions. However, they have no effect on the block reference until the block reference is manipulated in a drawing. There are two types of action overrides: distance multiplier and angle offset.

  • Distance multiplier. You use the distance multiplier property to change a parameter value by a specified factor. For example, if you set the distance multiplier property to 2 for a stretch action, the associated geometry in the block reference would increase and double the distance of the grip movement.
  • Angle offset. You use the angle offset property to increase or decrease the angle of a changed parameter value by a specified amount. For example, if you set the angle offset property of a move action to 90, the block reference would move 90 degrees beyond the angle value of the grip movement.

You can specify these action override properties by following the command prompts when you add an action to a dynamic block definition. You can also specify these properties in the Properties palette when you select an action in the Block Editor.

The following table shows the available override properties for each type of action.

Action Type | Available Override Properties
Move | Distance Multiplier, Angle Offset
Scale | None
Stretch | Distance Multiplier, Angle Offset
Polar Stretch | Distance Multiplier, Angle Offset
Rotate | None
Flip | None
Array | None
Lookup | None


Use Distance Multiplier and Angle Offset Action Overrides (Procedure)

Use a Lookup Action in a Dynamic Block
Up a level to ..
Use Distance Multiplier and Angle Offset Action Overrides
Create and Modify Objects > Create and Use Blocks (Symbols) > Add Dynamic Behavior to Blocks > Add Dynamic Elements to Blocks > Use Actions with Dynamic Blocks > Use Distance Multiplier and Angle Offset Action Overrides >
Use Distance Multiplier and Angle Offset Action Overrides
Concept Procedure Quick Reference

To specify a distance multiplier override for an action

To specify an angle offset override for an action


To specify a distance multiplier override for an action (Procedure)

Use Distance Multiplier and Angle Offset Action Overrides
Up a level to ..
Use Distance Multiplier and Angle Offset Action Overrides
Create and Modify Objects > Create and Use Blocks (Symbols) > Add Dynamic Behavior to Blocks > Add Dynamic Elements to Blocks > Use Actions with Dynamic Blocks > Use Distance Multiplier and Angle Offset Action Overrides >
Use Distance Multiplier and Angle Offset Action Overrides
Concept Procedure Quick Reference

To specify a distance multiplier override for an action

  1. In the Block Editor, select a move, stretch, polar stretch, or array action.
  2. On the Properties palette, Overrides area, Distance Multiplier, enter a value.
  3. Press ENTER.


To specify an angle offset override for an action (Procedure)

Use Distance Multiplier and Angle Offset Action Overrides
Up a level to ..
Use Parameter Sets
Create and Modify Objects > Create and Use Blocks (Symbols) > Add Dynamic Behavior to Blocks > Add Dynamic Elements to Blocks > Use Actions with Dynamic Blocks > Use Distance Multiplier and Angle Offset Action Overrides >
Use Distance Multiplier and Angle Offset Action Overrides
Concept Procedure Quick Reference

To specify an angle offset override for an action

  1. In the Block Editor, select a move, stretch, or polar stretch action.
  2. On the Properties palette, Overrides area, Angle Offset, enter a value.
  3. Press ENTER.


Use Distance Multiplier and Angle Offset Action Overrides (Quick Reference)

Use a Lookup Action in a Dynamic Block
Use Distance Multiplier and Angle Offset Action Overrides
Use Parameter Sets
Create and Modify Objects > Create and Use Blocks (Symbols) > Add Dynamic Behavior to Blocks > Add Dynamic Elements to Blocks > Use Actions with Dynamic Blocks > Use Distance Multiplier and Angle Offset Action Overrides >
Use Distance Multiplier and Angle Offset Action Overrides
Concept Procedure Quick Reference

Commands

BACTION

Adds an action to a dynamic block definition

BEDIT

Opens the block definition in the Block Editor

PROPERTIES

Controls properties of existing objects

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Use Parameter Sets (Concept)

Use Distance Multiplier and Angle Offset Action Overrides
Add Dynamic Elements to Blocks
Specify Grips for Dynamic Blocks
Create and Modify Objects > Create and Use Blocks (Symbols) > Add Dynamic Behavior to Blocks > Add Dynamic Elements to Blocks >
Use Parameter Sets
Concept Procedure Quick Reference

Use the Parameter Sets tab on the Block Authoring palette to add commonly paired parameters and actions to your dynamic block definition.

Use the Parameter Sets tab on the Block Authoring palette to add commonly paired parameters and actions to your dynamic block definition.

You add a parameter set to your block the same way you add a parameter. The action included in the parameter set is automatically added to your block definition and associated with the added parameter. You must then associate a selection set (geometry) with each action.

When you first add a parameter set to your dynamic block definition, a yellow alert icon is displayed next to each action. This indicates that you need to associate a selection set with each action. You can double click the yellow alert icon (or use the BACTIONSET command) and follow the command prompts to associate the action with a selection set.

NoteWhen you insert a lookup parameter set and double click the yellow alert icon, the Property Lookup Table dialog box is displayed. Lookup actions are associated with the data you add to this table, not a selection set.

The following table lists the parameter sets provided on the Parameter Sets tab of the Block Authoring palette.

Parameter Set | Description
Point Move | Adds a point parameter with one grip and an associated move action to the dynamic block definition.
Linear Move | Adds a linear parameter with one grip and an associated move action to the dynamic block definition.
Linear Stretch | Adds a linear parameter with one grip and an associated stretch action to the dynamic block definition.
Linear Array | Adds a linear parameter with one grip and an associated array action to the dynamic block definition.
Linear Move Pair | Adds a linear parameter with two grips and a move action associated with each grip to the dynamic block definition.
Linear Stretch Pair | Adds a linear parameter with two grips and a stretch action associated with each grip to the dynamic block definition.
Polar Move | Adds a polar parameter with one grip and an associated move action to the dynamic block definition.
Polar Stretch | Adds a polar parameter with one grip and an associated stretch action to the dynamic block definition.
Polar Array | Adds a polar parameter with one grip and an associated array action to the dynamic block definition.
Polar Move Pair | Adds a polar parameter with two grips and a move action associated with each grip to the dynamic block definition.
Polar Stretch Pair | Adds a polar parameter with two grips and a stretch action associated with each grip to the dynamic block definition.
XY Move | Adds an XY parameter with one grip and an associated move action to the dynamic block definition.
XY Move Pair | Adds an XY parameter with two grips and move action associated with each grip to the dynamic block definition.
XY Move Box Set | Adds an XY parameter with four grips and a move action associated with each grip to the dynamic block definition.
XY Stretch Box Set | Adds an XY parameter with four grips and a stretch action associated with each grip to the dynamic block definition.
XY Array Box Set | Adds an XY parameter with four grips and an array action associated with each grip to the dynamic block definition.
Rotation | Adds a rotation parameter with one grip and an associated rotate action to the dynamic block definition.
Flip | Adds a flip parameter with one grip and an associated flip action to the dynamic block definition.
Visibility | Adds a visibility parameter with one grip. No action is required with a visibility parameter.
Lookup | Adds a lookup parameter with one grip and a lookup action to the dynamic block definition.
See Also

    • Use Block Authoring Palettes


To add parameter set to a dynamic block definition (Procedure)

Use Distance Multiplier and Angle Offset Action Overrides
Up a level to ..
Specify Grips for Dynamic Blocks
Create and Modify Objects > Create and Use Blocks (Symbols) > Add Dynamic Behavior to Blocks > Add Dynamic Elements to Blocks > Use Parameter Sets >
Use Parameter Sets
Concept Procedure Quick Reference

To add parameter set to a dynamic block definition

  1. In the Block Editor, in the Block Authoring Palettes window, on the Parameter Sets tab, click a parameter set.
  2. Follow the command prompts.
  3. On the Block Editor toolbar, click Save Block Definition.
  4. (Optional) If you are finished using the Block Editor, click Close Block Editor.


Use Parameter Sets (Quick Reference)

Use Distance Multiplier and Angle Offset Action Overrides
Use Parameter Sets
Specify Grips for Dynamic Blocks
Create and Modify Objects > Create and Use Blocks (Symbols) > Add Dynamic Behavior to Blocks > Add Dynamic Elements to Blocks > Use Parameter Sets >
Use Parameter Sets
Concept Procedure Quick Reference

Commands

BEDIT

Opens the block definition in the Block Editor

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Specify Grips for Dynamic Blocks (Concept)

Use Parameter Sets
Add Dynamic Elements to Blocks
Create Visibility States
Create and Modify Objects > Create and Use Blocks (Symbols) > Add Dynamic Behavior to Blocks > Add Dynamic Elements to Blocks >
Specify Grips for Dynamic Blocks
Concept Procedure Quick Reference

When you add a parameter to a dynamic block definition, custom grips associated with key points of the parameter are automatically added to the block.

When you add a parameter to a dynamic block definition, custom grips associated with key points of the parameter are automatically added to the block. In a drawing, you can use these custom grips to manipulate the geometry of a dynamic block reference.

All parameters (except the alignment parameter, which always displays one grip) have a property called Number of Grips. When you select a parameter in the Block Editor, the Number of Grips property is displayed in the Properties palette. This property allows you to specify, from a preset list, the number of grips you want to display for the parameter.

If you specify that a parameter has 0 grips, you can still edit the dynamic block reference through the Properties palette (if the block is defined that way).

If a dynamic block definition contains visibility states or a lookup table, you can define the block so that the only grip that is displayed is a lookup grip. When you click this grip on the block reference, a drop-down list is displayed. When you select an item from the list, the display of the block reference may change.

Grips are automatically added at key points on the parameter. You can reposition a grip anywhere in the block space relative to its associated key point on the parameter. When you reposition a grip, it is still tied to the key point with which it is associated. No matter where the grip is shown in the block reference, it will still manipulate the key point with which it is associated. If you move or change the key point of the parameter, the grip's position relative to the key point is maintained. Because you use grips to manipulate dynamic block references in a drawing, you should make sure that each grip is placed in a logical location. If a grip is not in a logical place, the behavior may not be what is expected.

Both linear and polar parameters can display two, one, or no grips. When you define a linear or polar parameter to display one grip, it is displayed at the endpoint of the parameter. You should only assign actions to the endpoint of either of these parameters if you plan to display only one grip. Otherwise, you will not be able to manipulate the reference (trigger the actions) because a grip won't be displayed for the key point associated with the action.

If you reposition the grips for a dynamic block, you can use the BGRIPSET command to reset the grips to their default locations.

The type of parameter you add to the dynamic block definition determines the type of grips that are added to the block. These grips give visual clues as to how the block reference can be manipulated in a drawing. The following table details the types of grips used in dynamic blocks, what they look like, and the parameters with which they are associated.

Grip Type | How the Grip Can Be Manipulated in a Drawing | Associated Parameters
Standard | Within a plane in any direction | Base, Point, Polar, and XY
Linear | Back and forth in a defined direction or along an axis | Linear
Rotation | Around an axis | Rotation
Flip | Click to flip the dynamic block reference | Flip
Alignment | Within a plane in any direction; when moved over an object, triggers the block reference to align with the object | Alignment
Lookup | Click to display a list of items | Visibility, Lookup

Specify Tooltips on Grips

Each of the dynamic block parameters has one or more description fields with the exception of the basepoint and alignment parameters. These descriptions function as tooltips or prompts for the associated parameter, and their display is controlled by the GRIPTIPS system variable.

The following is a table of dynamic block parameters and available descriptions.

Parameter | Description
Point | Position description
Linear | Distance description
Polar | Distance description, angle description
XY | Horizontal distance description, vertical distance description
Rotation | Angle description
Flip | Flip description
Visibility | Visibility description
Lookup | Lookup description
Alignment | Set to “Aligns block to object”
Basepoint | No special tooltip is required

Specify Insertion Cycling for Grips in Dynamic Blocks

Grips in dynamic blocks have a property called Cycling. When this property is set to Yes, the grip becomes an available insertion point for the dynamic block reference. You can use the BCYCLEORDER command to turn on and off cycling for grips in dynamic blocks as well as specify the cycling order for the grips. When you insert the dynamic block reference in a drawing, you can use the CTRL key to cycle through the available grips to select which grip will be the insertion point for the block.


Specify Grips for Dynamic Blocks (Procedure)

Use Parameter Sets
Up a level to ..
Specify Grips for Dynamic Blocks
Create and Modify Objects > Create and Use Blocks (Symbols) > Add Dynamic Behavior to Blocks > Add Dynamic Elements to Blocks > Specify Grips for Dynamic Blocks >
Specify Grips for Dynamic Blocks
Concept Procedure Quick Reference

To specify the number of custom grips displayed for a parameter in a dynamic block

To reposition a grip in a dynamic block definition

To reset grips in a dynamic block definition to their default locations

To turn insertion cycling on or off for a custom grip in a dynamic block reference

To modify the insertion cycling order for custom grips in a dynamic block reference


To specify the number of custom grips displayed for a parameter in a dynamic block (Procedure)

Specify Grips for Dynamic Blocks
Up a level to ..
Specify Grips for Dynamic Blocks
Create and Modify Objects > Create and Use Blocks (Symbols) > Add Dynamic Behavior to Blocks > Add Dynamic Elements to Blocks > Specify Grips for Dynamic Blocks >
Specify Grips for Dynamic Blocks
Concept Procedure Quick Reference

To specify the number of custom grips displayed for a parameter in a dynamic block

  1. In the Block Editor, select a parameter.
  2. On the Properties palette, under Misc, click Number of Grips, and then select the number of grips you want to display for the parameter.
  3. On the Block Editor toolbar, click Save Block Definition.
  4. (Optional) If you are finished using the Block Editor, click Close Block Editor.
Command entry: BGRIPSET
Shortcut menu: In the Block Editor, select a parameter. Right-click in the drawing area. Click Grip Display [image] any value.


To reposition a grip in a dynamic block definition (Procedure)

Specify Grips for Dynamic Blocks
Up a level to ..
Specify Grips for Dynamic Blocks
Create and Modify Objects > Create and Use Blocks (Symbols) > Add Dynamic Behavior to Blocks > Add Dynamic Elements to Blocks > Specify Grips for Dynamic Blocks >
Specify Grips for Dynamic Blocks
Concept Procedure Quick Reference

To reposition a grip in a dynamic block definition

  1. In the Block Editor, select a custom grip (not the standard grip associated with the key point of the parameter).
  2. Do one of the following to reposition the grip:
    • Drag the grip to another position in the block space.
    • On the Properties palette, under Geometry, enter values for the Base X and Base Y properties. (These values are relative to the base point of the parameter.)
  3. On the Block Editor toolbar, click Save Block Definition.
  4. (Optional) If you are finished using the Block Editor, click Close Block Editor.


To reset grips in a dynamic block definition to their default locations (Procedure)

Specify Grips for Dynamic Blocks
Up a level to ..
Specify Grips for Dynamic Blocks
Create and Modify Objects > Create and Use Blocks (Symbols) > Add Dynamic Behavior to Blocks > Add Dynamic Elements to Blocks > Specify Grips for Dynamic Blocks >
Specify Grips for Dynamic Blocks
Concept Procedure Quick Reference

To reset grips in a dynamic block definition to their default locations

  1. In the Block Editor, enter bgripset at the command prompt.
  2. Select the grip for which you want to reset the grip position(s).
  3. At the command prompt, enter reposition, and then press ENTER.
  4. On the Block Editor toolbar, click Save Block Definition.
  5. (Optional) If you are finished using the Block Editor, click Close Block Editor.
Shortcut menu: In the Block Editor, select a parameter. Right-click in the drawing area. Click Grip Display [image] Reset Position.


To turn insertion cycling on or off for a custom grip in a dynamic block reference (Procedure)

Specify Grips for Dynamic Blocks
Up a level to ..
Specify Grips for Dynamic Blocks
Create and Modify Objects > Create and Use Blocks (Symbols) > Add Dynamic Behavior to Blocks > Add Dynamic Elements to Blocks > Specify Grips for Dynamic Blocks >
Specify Grips for Dynamic Blocks
Concept Procedure Quick Reference

To turn insertion cycling on or off for a custom grip in a dynamic block reference

  1. In the Block Editor, enter bcycleorder at the command prompt.
  2. In the Insertion Cycling Order dialog box, select a grip from the list, and click Cycling to turn cycling on or off for the grip. (A check mark in the Cycling column indicates that cycling is turned on for the grip.)
  3. Click OK.
  4. On the Block Editor toolbar, click Save Block Definition.
  5. (Optional) If you are finished using the Block Editor, click Close Block Editor.
Shortcut menu: In the Block Editor, select a dynamic grip. Right-click in the drawing area. Click Insertion Cycling.


To modify the insertion cycling order for custom grips in a dynamic block reference (Procedure)

Specify Grips for Dynamic Blocks
Up a level to ..
Create Visibility States
Create and Modify Objects > Create and Use Blocks (Symbols) > Add Dynamic Behavior to Blocks > Add Dynamic Elements to Blocks > Specify Grips for Dynamic Blocks >
Specify Grips for Dynamic Blocks
Concept Procedure Quick Reference

To modify the insertion cycling order for custom grips in a dynamic block reference

  1. In the Block Editor, enter bcycleorder at the command prompt.
  2. In the Insertion Cycling Order dialog box, select a grip from the list, and click Move Up or Move Down. (A check mark in the Cycling column indicates that cycling is turned on for the grip.)
  3. Repeat step 2 until you are finished modifying the grip cycling order.
  4. Click OK.
  5. On the Block Editor toolbar, click Save Block Definition.
  6. (Optional) If you are finished using the Block Editor, click Close Block Editor.


Specify Grips for Dynamic Blocks (Quick Reference)

Use Parameter Sets
Specify Grips for Dynamic Blocks
Create Visibility States
Create and Modify Objects > Create and Use Blocks (Symbols) > Add Dynamic Behavior to Blocks > Add Dynamic Elements to Blocks > Specify Grips for Dynamic Blocks >
Specify Grips for Dynamic Blocks
Concept Procedure Quick Reference

Commands

BEDIT

Opens the block definition in the Block Editor

BCYCLEORDER

Changes the cycling order of grips for a dynamic block reference

BGRIPSET

Creates, deletes, or resets grips associated with a parameter

BPARAMETER

Adds a parameter with grips to a dynamic block definition

System Variables

GRIPTIPS

Controls the display of grip tips when the cursor hovers over grips on dynamic blocks and custom objects that support grip tips

Utilities

No entries

Command Modifiers

No entries


Create Visibility States (Concept)

Specify Grips for Dynamic Blocks
Add Dynamic Elements to Blocks
Use Lookup Tables to Assign Data to Dynamic Blocks
Create and Modify Objects > Create and Use Blocks (Symbols) > Add Dynamic Behavior to Blocks > Add Dynamic Elements to Blocks >
Create Visibility States
Concept Procedure Quick Reference

You can use visibility states to make geometry visible or invisible in a dynamic block. One block can have any number of visibility states.

Using visibility states is a powerful way to create a block that has many different graphical representations. You can easily change a block reference that has different visibility states without having to find a different one to insert in your drawing.

For example, you have the following four different weld symbols.

Using visibility states, you can combine these weld symbols into a single dynamic block. The following example shows the geometry for the four weld symbols combined in one dynamic block definition in the Block Editor.

After you combine the geometry in the Block Editor, you add a visibility parameter. You add only one visibility parameter to a dynamic block definition. You do not associate any actions with a visibility parameter.

You can then create and name a different visibility state for each weld symbol (for example, WLD1, WLD2, WLD3, and WLD4). You can make particular geometry visible or invisible for each state. In the following example, the WLD1 visibility state is displayed in the Block Editor. The geometry that displays in a dimmed state is invisible for the WLD1 visibility state.

The visibility parameter includes a lookup grip. This grip is always displayed in a block reference that contains visibility states. When you click the grip in the block reference, a drop-down list of all the visibility states in the block reference is displayed. When you select one of the states from the list, the geometry that is visible for that state is displayed in the drawing.

The right-hand side of the Block Editor toolbar displays the name of the current visibility state. All blocks have at least one visibility state. You cannot delete the current state. This area of the tool bar also provides several tools for working with visibility states.

When you work with visibility states, you may or may not want to see the geometry that is invisible for a given state. You can use the Visibility Mode button (BVMODE) to display or not display geometry (in a dimmed state) that is invisible. When the BVMODE system variable is set to 1, geometry that is invisible for a given state displays in a dimmed mode.


Create Visibility States (Procedure)

Specify Grips for Dynamic Blocks
Up a level to ..
Create Visibility States
Create and Modify Objects > Create and Use Blocks (Symbols) > Add Dynamic Behavior to Blocks > Add Dynamic Elements to Blocks > Create Visibility States >
Create Visibility States
Concept Procedure Quick Reference

To enable visibility states (add a visibility parameter)

To create a new visibility state based on the current state

To create a new visibility state in which all objects are invisible

To create a new visibility state in which all objects are visible

To make a visibility state current

To delete a visibility state

To rename a visibility state

To make objects visible in the current visibility state

To make objects visible in all visibility states

To make objects invisible in the current visibility state

To make objects invisible in all visibility states

To display or not display invisible geometry for visibility states

To change the order of the visibility states list for a dynamic block reference

To set the default visibility state for the dynamic block reference


To enable visibility states (add a visibility parameter) (Procedure)

Create Visibility States
Up a level to ..
Create Visibility States
Create and Modify Objects > Create and Use Blocks (Symbols) > Add Dynamic Behavior to Blocks > Add Dynamic Elements to Blocks > Create Visibility States >
Create Visibility States
Concept Procedure Quick Reference

To enable visibility states (add a visibility parameter)

  1. In the Block Editor, in the Block Authoring Palettes window, Parameters tab, click the Visibility Parameter tool.
  2. (Optional) Follow the command prompts to specify the following for the parameter:
    • Name
    • Label
    • Description
    • Properties displayed for the block reference
    NoteYou can also specify and edit these properties in the Properties palette at a later time, after you've added the parameter to the block definition.
  3. Do one of the following to specify a location for the parameter:
    • Use the pointing device.
    • Enter the X and Y coordinate values, separated by a comma.

    This is the default location for the visibility parameter grip.

  4. On the Block Editor toolbar, click Save Block Definition.
  5. (Optional) If you are finished using the Block Editor, click Close Block Editor.
Toolbar: Block Editor
Command entry: BPARAMETER


To create a new visibility state based on the current state (Procedure)

Create Visibility States
Up a level to ..
Create Visibility States
Create and Modify Objects > Create and Use Blocks (Symbols) > Add Dynamic Behavior to Blocks > Add Dynamic Elements to Blocks > Create Visibility States >
Create Visibility States
Concept Procedure Quick Reference

To create a new visibility state based on the current state

  1. On the Block Editor toolbar, click Manage Visibility States.
  2. In the Visibility States dialog box, click New.
  3. In the New Visibility State dialog box, enter a name for the new visibility state.
  4. Click Leave Visibility of Existing Objects Unchanged in New State.
  5. Click OK.

The visibility of existing objects is unchanged in the new state.

Command entry: BVSTATE


To create a new visibility state in which all objects are invisible (Procedure)

Create Visibility States
Up a level to ..
Create Visibility States
Create and Modify Objects > Create and Use Blocks (Symbols) > Add Dynamic Behavior to Blocks > Add Dynamic Elements to Blocks > Create Visibility States >
Create Visibility States
Concept Procedure Quick Reference

To create a new visibility state in which all objects are invisible

  1. On the Block Editor toolbar, click Manage Visibility States.
  2. In the Visibility States dialog box, click New.
  3. In the New Visibility State dialog box, enter a name for the new visibility state.
  4. Click Hide All Existing Objects in New State.
  5. Click OK.
Command entry: BVSTATE


To create a new visibility state in which all objects are visible (Procedure)

Create Visibility States
Up a level to ..
Create Visibility States
Create and Modify Objects > Create and Use Blocks (Symbols) > Add Dynamic Behavior to Blocks > Add Dynamic Elements to Blocks > Create Visibility States >
Create Visibility States
Concept Procedure Quick Reference

To create a new visibility state in which all objects are visible

  1. On the Block Editor toolbar, click Manage Visibility States.
  2. In the Visibility States dialog box, click New.
  3. In the New Visibility State dialog box, enter a name for the new visibility state.
  4. Click Show All Existing Objects in New State.
  5. Click OK.
Command entry: BVSTATE


To make a visibility state current (Procedure)

Create Visibility States
Up a level to ..
Create Visibility States
Create and Modify Objects > Create and Use Blocks (Symbols) > Add Dynamic Behavior to Blocks > Add Dynamic Elements to Blocks > Create Visibility States >
Create Visibility States
Concept Procedure Quick Reference

To make a visibility state current

  1. On the Block Editor toolbar, click the Visibility States control.
  2. Select the visibility state that you want to set as the current state.
Command entry: BVSTATE
Shortcut menu: In the Visibility States dialog box, right-click a visibility state in the list. Click Set Current.


To delete a visibility state (Procedure)

Create Visibility States
Up a level to ..
Create Visibility States
Create and Modify Objects > Create and Use Blocks (Symbols) > Add Dynamic Behavior to Blocks > Add Dynamic Elements to Blocks > Create Visibility States >
Create Visibility States
Concept Procedure Quick Reference

To delete a visibility state

  1. On the Block Editor toolbar, click Manage Visibility States.
  2. In the Visibility States dialog box, select a visibility state in the list.
  3. Click Delete.
  4. Click OK.
Command entry: BVSTATE
Shortcut menu: In the Visibility States dialog box, right-click a visibility state in the list. Click Delete State.


To rename a visibility state (Procedure)

Create Visibility States
Up a level to ..
Create Visibility States
Create and Modify Objects > Create and Use Blocks (Symbols) > Add Dynamic Behavior to Blocks > Add Dynamic Elements to Blocks > Create Visibility States >
Create Visibility States
Concept Procedure Quick Reference

To rename a visibility state

  1. In the Block Editor, click Manage Visibility States.
  2. In the Visibility States dialog box, select a visibility state in the list.
  3. Click Rename.
  4. Enter a new name for the visibility state.
  5. Click OK.
Command entry: BVSTATE
Shortcut menu: Right-click a visibility state in the list. Click Rename State.


To make objects visible in the current visibility state (Procedure)

Create Visibility States
Up a level to ..
Create Visibility States
Create and Modify Objects > Create and Use Blocks (Symbols) > Add Dynamic Behavior to Blocks > Add Dynamic Elements to Blocks > Create Visibility States >
Create Visibility States
Concept Procedure Quick Reference

To make objects visible in the current visibility state

  1. On the Block Editor toolbar, click Make Visible.
  2. In the drawing area, select the objects to make visible in the current visibility state.
  3. Press ENTER.
  4. At the command prompt, enter current.
  5. Press ENTER.
Command entry: BVSHOW
Shortcut menu: In the Block Editor drawing area, select one or more objects. Right-click in the drawing area. Click Object Visibility [image] Show For Current State.


To make objects visible in all visibility states (Procedure)

Create Visibility States
Up a level to ..
Create Visibility States
Create and Modify Objects > Create and Use Blocks (Symbols) > Add Dynamic Behavior to Blocks > Add Dynamic Elements to Blocks > Create Visibility States >
Create Visibility States
Concept Procedure Quick Reference

To make objects visible in all visibility states

  1. In the Block Editor drawing area, select the objects that you want to make visible in all visibility states.
  2. Right-click in the drawing area.
  3. Click Object Visibility [image] Show For All States.
Command entry: BVSHOW


To make objects invisible in the current visibility state (Procedure)

Create Visibility States
Up a level to ..
Create Visibility States
Create and Modify Objects > Create and Use Blocks (Symbols) > Add Dynamic Behavior to Blocks > Add Dynamic Elements to Blocks > Create Visibility States >
Create Visibility States
Concept Procedure Quick Reference

To make objects invisible in the current visibility state

  1. On the Block Editor toolbar, click Make Invisible.
  2. In the drawing area, select the objects that you want to make invisible in the current visibility state.
  3. Press ENTER.
  4. At the command prompt, enter current.
  5. Press ENTER.
Command entry: BVHIDE
Shortcut menu: In the Block Editor drawing area, select one or more objects. Right-click in the drawing area. Click Object Visibility [image] Hide For Current State.


To make objects invisible in all visibility states (Procedure)

Create Visibility States
Up a level to ..
Create Visibility States
Create and Modify Objects > Create and Use Blocks (Symbols) > Add Dynamic Behavior to Blocks > Add Dynamic Elements to Blocks > Create Visibility States >
Create Visibility States
Concept Procedure Quick Reference

To make objects invisible in all visibility states

  1. In the drawing area, select the objects that you want to make invisible in all visibility states.
  2. Right-click in the drawing area.
  3. Click Object Visibility [image] Hide For All States.
Command entry: BVHIDE


To display or not display invisible geometry for visibility states (Procedure)

Create Visibility States
Up a level to ..
Create Visibility States
Create and Modify Objects > Create and Use Blocks (Symbols) > Add Dynamic Behavior to Blocks > Add Dynamic Elements to Blocks > Create Visibility States >
Create Visibility States
Concept Procedure Quick Reference

To display or not display invisible geometry for visibility states

  • On the Block Editor toolbar, click Visibility Mode.
Command entry: BVMODE


To change the order of the visibility states list for a dynamic block reference (Procedure)

Create Visibility States
Up a level to ..
Create Visibility States
Create and Modify Objects > Create and Use Blocks (Symbols) > Add Dynamic Behavior to Blocks > Add Dynamic Elements to Blocks > Create Visibility States >
Create Visibility States
Concept Procedure Quick Reference

To change the order of the visibility states list for a dynamic block reference

  1. On the Block Editor toolbar, click Manage Visibility States.
  2. In the Visibility States dialog box, select a visibility state in the list.
  3. Click Move Up or Move Down to change the order.
  4. Repeat steps 2 and 3 until the list of visibility states is in the correct order.
  5. Click OK.
Command entry: BVSTATE


To set the default visibility state for the dynamic block reference (Procedure)

Create Visibility States
Up a level to ..
Use Lookup Tables to Assign Data to Dynamic Blocks
Create and Modify Objects > Create and Use Blocks (Symbols) > Add Dynamic Behavior to Blocks > Add Dynamic Elements to Blocks > Create Visibility States >
Create Visibility States
Concept Procedure Quick Reference

To set the default visibility state for the dynamic block reference

  1. In the Block Editor, click Manage Visibility States.
  2. In the Visibility States dialog box, select a visibility state in the list.
  3. Click Move Up until the selected visibility state is at the top of the list.
  4. Click OK.
Command entry: BVSTATE


Create Visibility States (Quick Reference)

Specify Grips for Dynamic Blocks
Create Visibility States
Overview of Using Lookup Tables to Assign Data to Dynamic Blocks
Create and Modify Objects > Create and Use Blocks (Symbols) > Add Dynamic Behavior to Blocks > Add Dynamic Elements to Blocks > Create Visibility States >
Create Visibility States
Concept Procedure Quick Reference

Commands

BEDIT

Opens the block definition in the Block Editor

BPARAMETER

Adds a parameter with grips to a dynamic block definition

BVHIDE

Makes objects invisible in the current visibility state or all visibility states in a dynamic block definition

BVSHOW

Makes objects visible in the current visibility state or all visibility states in a dynamic block definition

BVSTATE

Creates, sets, or deletes a visibility state in a dynamic block

System Variables

BVMODE

Controls how objects that are made invisible for the current visibility state are displayed in the Block Editor

Utilities

No entries

Command Modifiers

No entries


Use Lookup Tables to Assign Data to Dynamic Blocks

Create Visibility States
Add Dynamic Elements to Blocks
Overview of Using Lookup Tables to Assign Data to Dynamic Blocks
Create and Modify Objects > Create and Use Blocks (Symbols) > Add Dynamic Behavior to Blocks > Add Dynamic Elements to Blocks >
Use Lookup Tables to Assign Data to Dynamic Blocks
Concept Procedure

You can use a lookup table to define properties for and assign property values to a dynamic block.

Topics in this section

  • Overview of Using Lookup Tables to Assign Data to Dynamic Blocks

    You can use a lookup table to define properties for and assign property values to a dynamic block. When you manipulate the block reference in a drawing, the property values associated with the block reference change.

  • Specify Values for Lookup Tables

    Some specific rules apply when you specify values in lookup tables.


Use Lookup Tables to Assign Data to Dynamic Blocks (Procedure)

Create Visibility States
Up a level to ..
Overview of Using Lookup Tables to Assign Data to Dynamic Blocks
Create and Modify Objects > Create and Use Blocks (Symbols) > Add Dynamic Behavior to Blocks > Add Dynamic Elements to Blocks > Use Lookup Tables to Assign Data to Dynamic Blocks >
Use Lookup Tables to Assign Data to Dynamic Blocks
Concept Procedure

To create a lookup table for a dynamic block

To add input properties to a lookup table

To add lookup properties to a lookup table

To add values to a lookup table

To enable reverse lookup

To make the lookup property read-only

To check for errors in a lookup table

To open an existing lookup table


Overview of Using Lookup Tables to Assign Data to Dynamic Blocks (Concept)

Use Lookup Tables to Assign Data to Dynamic Blocks
Use Lookup Tables to Assign Data to Dynamic Blocks
Specify Values for Lookup Tables
Create and Modify Objects > Create and Use Blocks (Symbols) > Add Dynamic Behavior to Blocks > Add Dynamic Elements to Blocks > Use Lookup Tables to Assign Data to Dynamic Blocks >
Overview of Using Lookup Tables to Assign Data to Dynamic Blocks
Concept Procedure Quick Reference

You can use a lookup table to define properties for and assign property values to a dynamic block. When you manipulate the block reference in a drawing, the property values associated with the block reference change.

You can use a lookup table to define properties for and assign property values to a dynamic block. Using lookup tables is a powerful way to associate parameter values for the dynamic block reference with other data that you specify (for example, a model or part number). You can extract this data from block references in a drawing just as you would extract block attribute data.

When completed, the lookup table assigns property values to the dynamic block reference based on how it is manipulated in a drawing. Conversely, you can change how the block reference is displayed in the drawing by changing the value of a lookup property of the block reference through a lookup grip or the Properties palette.

The following example shows a dynamic block reference for a lighting fixture. For this block, the Custom area of the Properties palette displays a size property. This property is defined in the lookup table for the block.

If you change the size of the lighting fixture in your drawing (using the custom grips), the size property in the Properties palette changes accordingly.

You can also use the lookup grip to change the display of the block reference. When you select a size from the list that is displayed when you click the grip, the block's geometry changes and the new size is displayed in the Properties palette under Custom.

Create a Lookup Table

After you've drawn the geometry and added the appropriate parameters and actions required for the dynamic block's functionality, you can add a lookup table to the block definition.

A blank lookup table is created when you add a lookup parameter to a dynamic block definition and then add a lookup action and associate it with the lookup parameter. The lookup table is displayed in the lookup table dialog box.

Add Properties and Values to a Lookup Table

The Property Lookup Table consists of input properties and lookup properties. Each input property and lookup property is represented by a column in the table.

  • Input properties. Parameters other than lookup parameters (for example, a linear parameter labeled “Width”). You can create a column under Input Properties for every parameter in the block definition except for lookup, alignment, and base point parameters.
  • Lookup properties. Lookup parameters. You add one lookup parameter to the dynamic block definition for every lookup property column you want to add to the lookup table. The lookup parameter label is used as the property name.

After you add the properties (columns) to the table, you add values to the cells in each column. You click a cell and enter a value. Make sure to follow the guidelines in Specify Values for Lookup Tables.

If you defined a value set for an input property (parameter) in the table, a drop-down list of available values will display when you click a cell in that column.

The following lookup table is used for the lighting fixture block shown previously. The linear parameters that have been labeled “Height” and “Width” have been added as input properties. “Size” has been added as a lookup property. The values under Height and Width are taken from the value sets defined for each of those parameters. The values under Size are entered manually.

When the parameter values in a dynamic block reference match a row of input property values, the corresponding lookup property values in that table row are assigned to the block reference. These lookup properties and values are displayed in the Properties palette under Custom.

For example, when you edit the lighting fixture block reference to have a height of 250 centimeters and a width of 500 centimeters, the Size property in the Custom area of the Properties palette will display a value of 0.25 m x 0.50 m.

In the lookup table, at the bottom of the input properties is a row labeled <Unmatched>. When the parameter values in a block reference do not match a row of input property values defined in the block's lookup table, the lookup property value that corresponds to <Unmatched> is assigned to the block reference. The default value is Custom, but you can specify another value by changing it in the table.

Enable Reverse Lookup

You can also specify that a lookup property allows for reverse lookup. This adds a lookup grip to the dynamic block reference. When you click this grip, a drop-down list of the lookup values for that lookup property (column in the table) is displayed. When you select a value from the list, the corresponding input property values are assigned to the block reference. Depending on how the block was defined, this usually results in a change in the block reference's geometry.

To enable reverse lookup for a lookup property, each row in the lookup table must be unique. After you add properties and values to the table, you can check for errors and empty cells by clicking the audit button in the Property Lookup Table dialog box. You can also use the shortcut menu options to insert, delete, or reorder rows.

NoteIf you leave a cell empty in the lookup properties column and the cell has an associated input property in the same row, the lookup property will not allow for reverse lookup.
See Also

    • Extract Data from Block Attributes

    • Extract Block Attribute Data (Advanced)


Overview of Using Lookup Tables to Assign Data to Dynamic Blocks (Procedure)

Use Lookup Tables to Assign Data to Dynamic Blocks
Up a level to ..
Overview of Using Lookup Tables to Assign Data to Dynamic Blocks
Create and Modify Objects > Create and Use Blocks (Symbols) > Add Dynamic Behavior to Blocks > Add Dynamic Elements to Blocks > Use Lookup Tables to Assign Data to Dynamic Blocks > Overview of Using Lookup Tables to Assign Data to Dynamic Blocks >
Overview of Using Lookup Tables to Assign Data to Dynamic Blocks
Concept Procedure Quick Reference

To create a lookup table for a dynamic block

To add input properties to a lookup table

To add lookup properties to a lookup table

To add values to a lookup table

To enable reverse lookup

To make the lookup property read-only

To check for errors in a lookup table

To open an existing lookup table


To create a lookup table for a dynamic block (Procedure)

Overview of Using Lookup Tables to Assign Data to Dynamic Blocks
Up a level to ..
Overview of Using Lookup Tables to Assign Data to Dynamic Blocks
Create and Modify Objects > Create and Use Blocks (Symbols) > Add Dynamic Behavior to Blocks > Add Dynamic Elements to Blocks > Use Lookup Tables to Assign Data to Dynamic Blocks > Overview of Using Lookup Tables to Assign Data to Dynamic Blocks >
Overview of Using Lookup Tables to Assign Data to Dynamic Blocks
Concept Procedure Quick Reference

To create a lookup table for a dynamic block

  1. In the Block Editor, add one or more lookup parameters to a dynamic block definition by following the steps in To add a lookup parameter to a dynamic block definition.
  2. In the Block Editor, add a lookup action to a dynamic block definition by following the steps in To add a lookup action to a dynamic block definition.

    The Property Lookup Table dialog box is displayed.

  3. Use any of the following procedures to set up a lookup table for the dynamic block:
    • To add input properties to a lookup table
    • To add lookup properties to a lookup table
    • To enable reverse lookup
  4. On the Block Editor toolbar, click Save Block Definition.
  5. (Optional) If you are finished using the Block Editor, click Close Block Editor.
Toolbar: Block Editor
Command entry: BPARAMETER


To add input properties to a lookup table (Procedure)

Overview of Using Lookup Tables to Assign Data to Dynamic Blocks
Up a level to ..
Overview of Using Lookup Tables to Assign Data to Dynamic Blocks
Create and Modify Objects > Create and Use Blocks (Symbols) > Add Dynamic Behavior to Blocks > Add Dynamic Elements to Blocks > Use Lookup Tables to Assign Data to Dynamic Blocks > Overview of Using Lookup Tables to Assign Data to Dynamic Blocks >
Overview of Using Lookup Tables to Assign Data to Dynamic Blocks
Concept Procedure Quick Reference

To add input properties to a lookup table

  1. In the Block Editor, double-click a lookup action in a dynamic block definition.
  2. In the Property Lookup Table dialog box, click Add Properties.
  3. In the Add Parameter Properties dialog box, in the bottom-left corner of the dialog box, click Add Input Properties.
  4. In the Parameter Properties list, select the parameter properties you want to add to the lookup table. Hold CTRL down to select more than one property.
  5. Click OK.
Command entry: BLOOKUPTABLE


To add lookup properties to a lookup table (Procedure)

Overview of Using Lookup Tables to Assign Data to Dynamic Blocks
Up a level to ..
Overview of Using Lookup Tables to Assign Data to Dynamic Blocks
Create and Modify Objects > Create and Use Blocks (Symbols) > Add Dynamic Behavior to Blocks > Add Dynamic Elements to Blocks > Use Lookup Tables to Assign Data to Dynamic Blocks > Overview of Using Lookup Tables to Assign Data to Dynamic Blocks >
Overview of Using Lookup Tables to Assign Data to Dynamic Blocks
Concept Procedure Quick Reference

To add lookup properties to a lookup table

  1. In the Block Editor, double-click a lookup action in a dynamic block definition.
  2. In the Property Lookup Table dialog box, click Add Properties.
  3. In the Add Parameter Properties dialog box, in the bottom-left corner of the dialog box, click Add Lookup Properties.
  4. In the Parameter Properties list, select the lookup parameter properties you want to add to the lookup table. Hold CTRL down to select more than one property.
  5. Click OK.
Command entry: BLOOKUPTABLE


To add values to a lookup table (Procedure)

Overview of Using Lookup Tables to Assign Data to Dynamic Blocks
Up a level to ..
Overview of Using Lookup Tables to Assign Data to Dynamic Blocks
Create and Modify Objects > Create and Use Blocks (Symbols) > Add Dynamic Behavior to Blocks > Add Dynamic Elements to Blocks > Use Lookup Tables to Assign Data to Dynamic Blocks > Overview of Using Lookup Tables to Assign Data to Dynamic Blocks >
Overview of Using Lookup Tables to Assign Data to Dynamic Blocks
Concept Procedure Quick Reference

To add values to a lookup table

  1. In the Block Editor, double-click a lookup action in a dynamic block definition.
  2. In the Property Lookup Table dialog box, click an empty cell and do one of the following:
    • Select a value from the drop-down list. (A drop-down list only displays if a value set has been defined for the parameter.)
    • Enter a value.
  3. Repeat Step 2 as required to complete the table.
  4. Click OK.
Command entry: BLOOKUPTABLE


To enable reverse lookup (Procedure)

Overview of Using Lookup Tables to Assign Data to Dynamic Blocks
Up a level to ..
Overview of Using Lookup Tables to Assign Data to Dynamic Blocks
Create and Modify Objects > Create and Use Blocks (Symbols) > Add Dynamic Behavior to Blocks > Add Dynamic Elements to Blocks > Use Lookup Tables to Assign Data to Dynamic Blocks > Overview of Using Lookup Tables to Assign Data to Dynamic Blocks >
Overview of Using Lookup Tables to Assign Data to Dynamic Blocks
Concept Procedure Quick Reference

To enable reverse lookup

  1. In the Block Editor, double-click a lookup action in a dynamic block definition.
  2. In the Property Lookup Table dialog box, at the bottom of a Lookup Property column, click Read Only, and then select Allow Reverse Lookup from the list.
    NoteYou can only select Allow Reverse Lookup if you have entered data in the column.
  3. Click OK.
Command entry: BLOOKUPTABLE


To make the lookup property read-only (Procedure)

Overview of Using Lookup Tables to Assign Data to Dynamic Blocks
Up a level to ..
Overview of Using Lookup Tables to Assign Data to Dynamic Blocks
Create and Modify Objects > Create and Use Blocks (Symbols) > Add Dynamic Behavior to Blocks > Add Dynamic Elements to Blocks > Use Lookup Tables to Assign Data to Dynamic Blocks > Overview of Using Lookup Tables to Assign Data to Dynamic Blocks >
Overview of Using Lookup Tables to Assign Data to Dynamic Blocks
Concept Procedure Quick Reference

To make the lookup property read-only

  1. In the Block Editor, double-click a lookup action in a dynamic block definition.
  2. In the Property Lookup Table dialog box, at the bottom of a Lookup Property column, click Allow Reverse Lookup, and then select Read Only from the list.
  3. Click OK.
Command entry: BLOOKUPTABLE


To check for errors in a lookup table (Procedure)

Overview of Using Lookup Tables to Assign Data to Dynamic Blocks
Up a level to ..
Overview of Using Lookup Tables to Assign Data to Dynamic Blocks
Create and Modify Objects > Create and Use Blocks (Symbols) > Add Dynamic Behavior to Blocks > Add Dynamic Elements to Blocks > Use Lookup Tables to Assign Data to Dynamic Blocks > Overview of Using Lookup Tables to Assign Data to Dynamic Blocks >
Overview of Using Lookup Tables to Assign Data to Dynamic Blocks
Concept Procedure Quick Reference

To check for errors in a lookup table

  • In the Property Lookup Table dialog box, click Audit.


To open an existing lookup table (Procedure)

Overview of Using Lookup Tables to Assign Data to Dynamic Blocks
Up a level to ..
Specify Custom Properties for Dynamic Blocks
Create and Modify Objects > Create and Use Blocks (Symbols) > Add Dynamic Behavior to Blocks > Add Dynamic Elements to Blocks > Use Lookup Tables to Assign Data to Dynamic Blocks > Overview of Using Lookup Tables to Assign Data to Dynamic Blocks >
Overview of Using Lookup Tables to Assign Data to Dynamic Blocks
Concept Procedure Quick Reference

To open an existing lookup table

  • In the Block Editor, double-click a lookup action.
Command entry: BLOOKUPTABLE


Overview of Using Lookup Tables to Assign Data to Dynamic Blocks (Quick Reference)

Create Visibility States
Overview of Using Lookup Tables to Assign Data to Dynamic Blocks
Specify Values for Lookup Tables
Create and Modify Objects > Create and Use Blocks (Symbols) > Add Dynamic Behavior to Blocks > Add Dynamic Elements to Blocks > Use Lookup Tables to Assign Data to Dynamic Blocks > Overview of Using Lookup Tables to Assign Data to Dynamic Blocks >
Overview of Using Lookup Tables to Assign Data to Dynamic Blocks
Concept Procedure Quick Reference

Commands

BACTION

Adds an action to a dynamic block definition

BEDIT

Opens the block definition in the Block Editor

BLOOKUPTABLE

Displays or creates a lookup table for a dynamic block definition

BPARAMETER

Adds a parameter with grips to a dynamic block definition

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Specify Values for Lookup Tables (Concept)

Overview of Using Lookup Tables to Assign Data to Dynamic Blocks
Use Lookup Tables to Assign Data to Dynamic Blocks
Specify Custom Properties for Dynamic Blocks
Create and Modify Objects > Create and Use Blocks (Symbols) > Add Dynamic Behavior to Blocks > Add Dynamic Elements to Blocks > Use Lookup Tables to Assign Data to Dynamic Blocks >
Specify Values for Lookup Tables
Concept Quick Reference

Some specific rules apply when you specify values in lookup tables.

The following rules apply when you specify values in lookup tables:

  • Use a comma as the delimiter between values.
  • You can specify any number of unique values separated by commas. For example: 5,6,7 5.5,6.25
  • To specify a range, use brackets [ ] to specify that the range includes the values separated by a comma, or use parentheses ( ) to specify that the range does not include the values separated by a comma.
  • For a continuous range, use a pair of values separated by a comma, enclosed in brackets or parentheses. For example: [3,10] specifies any value between 3 and 10, including 3 and 10 (3,10) specifies any value between 3 and 10, not including 3 and 10.
  • For an open-ended range, use one value with a comma, enclosed in brackets or parentheses. For example: [,5] specifies less than or equal to 5; (5,) specifies greater than 5.
  • Use no more than 256 characters in a table cell.
  • You can use architectural and mechanical unit syntax (for example, 15'1/4").
  • If you enter a value in an invalid format, the value will be reset to the last value when you move to another cell in the table.

Lookup tables support the following:

  • All numeric parameter properties (for example, distance and angles for point, linear, polar, XY, and rotation parameters)
  • Text string parameter properties (for example, flip and visibility parameter values)


Specify Values for Lookup Tables (Quick Reference)

Overview of Using Lookup Tables to Assign Data to Dynamic Blocks
Specify Values for Lookup Tables
Overview of Specifying Custom Properties for Dynamic Blocks
Create and Modify Objects > Create and Use Blocks (Symbols) > Add Dynamic Behavior to Blocks > Add Dynamic Elements to Blocks > Use Lookup Tables to Assign Data to Dynamic Blocks > Specify Values for Lookup Tables >
Specify Values for Lookup Tables
Concept Quick Reference

Commands

BLOOKUPTABLE

Displays or creates a lookup table for a dynamic block definition

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Specify Custom Properties for Dynamic Blocks

Specify Values for Lookup Tables
Add Dynamic Elements to Blocks
Overview of Specifying Custom Properties for Dynamic Blocks
Create and Modify Objects > Create and Use Blocks (Symbols) > Add Dynamic Behavior to Blocks > Add Dynamic Elements to Blocks >
Specify Custom Properties for Dynamic Blocks
Concept Procedure

When you create a dynamic block, you can specify custom properties for the block. You can also specify whether or not these properties appear in the Properties palette when you select the block reference in a drawing.

Topics in this section

  • Overview of Specifying Custom Properties for Dynamic Blocks
  • Specify Value Sets for Dynamic Blocks

    You can specify a defined value set for linear, polar, XY, and rotation parameters.

  • Allow Chained Actions for Dynamic Blocks

    Point, linear, polar, XY, and rotation parameters have a property called Chain Actions. This property affects the parameter behavior if the parameter is part of an action's selection set.


Specify Custom Properties for Dynamic Blocks (Procedure)

Overview of Using Lookup Tables to Assign Data to Dynamic Blocks
Up a level to ..
Overview of Specifying Custom Properties for Dynamic Blocks
Create and Modify Objects > Create and Use Blocks (Symbols) > Add Dynamic Behavior to Blocks > Add Dynamic Elements to Blocks > Specify Custom Properties for Dynamic Blocks >
Specify Custom Properties for Dynamic Blocks
Concept Procedure

To specify a parameter label

To specify the display of custom properties in a dynamic block reference

To specify that dynamic block reference can be exploded

To prevent non-uniform scaling in dynamic block reference

To specify a value set for a linear or polar parameter

To specify a value set for an XY parameter

To specify a value set for a rotation parameter

To delete values from a parameter's value set

To specify an incremental value set for a linear, polar, XY, or rotation parameter

To specify minimum and maximum values for a linear, polar, XY, or rotation parameter

To specify the Chain Actions property for a point, linear, polar, XY, or rotation parameter


Overview of Specifying Custom Properties for Dynamic Blocks (Concept)

Specify Custom Properties for Dynamic Blocks
Specify Custom Properties for Dynamic Blocks
Specify Value Sets for Dynamic Blocks
Create and Modify Objects > Create and Use Blocks (Symbols) > Add Dynamic Behavior to Blocks > Add Dynamic Elements to Blocks > Specify Custom Properties for Dynamic Blocks >
Overview of Specifying Custom Properties for Dynamic Blocks
Concept Procedure Quick Reference

In the Block Editor, you can specify properties for a parameter in a dynamic block definition. Some of these properties can be displayed as custom properties for the dynamic block reference when it is in a drawing. These properties are displayed under Custom in the Properties palette.

In the Block Editor, you can specify parameter labels. When you select the dynamic block reference in a drawing, these properties are shown under Custom in the Properties palette. It is good practice to specify unique parameter labels within the block.

Depending on the parameters used in the dynamic block definition, other parameter properties may be listed under Custom in the Properties palette when you select the dynamic block reference in a drawing. For example, a polar parameter has an angle property that displays in the Properties palette. Depending on how the dynamic block is defined, these properties might display values such as size, angle, and position for a selected block reference.

You can specify whether or not these custom properties are displayed for the block reference when it is selected in a drawing. These properties can also be extracted using the Attribute Extraction wizard.

You can also use the Properties palette to specify the geometric properties (such as color, linetype, and lineweight) of a parameter. These properties are listed in the Properties Palette under Geometry when you select a parameter in the Block Editor.

Other parameter properties, such as Value Set properties and Chain Actions, define how the block reference will function in a drawing.

In the Block Editor, you can also specify if the block can be exploded and if the block can be non-uniformly scaled.

See Also

    • Specify Value Sets for Dynamic Blocks

    • Allow Chained Actions for Dynamic Blocks

    • Specify Grips for Dynamic Blocks

    • Extract Data from Block Attributes


Overview of Specifying Custom Properties for Dynamic Blocks (Procedure)

Specify Custom Properties for Dynamic Blocks
Up a level to ..
Overview of Specifying Custom Properties for Dynamic Blocks
Create and Modify Objects > Create and Use Blocks (Symbols) > Add Dynamic Behavior to Blocks > Add Dynamic Elements to Blocks > Specify Custom Properties for Dynamic Blocks > Overview of Specifying Custom Properties for Dynamic Blocks >
Overview of Specifying Custom Properties for Dynamic Blocks
Concept Procedure Quick Reference

To specify a parameter label

To specify the display of custom properties in a dynamic block reference

To specify that dynamic block reference can be exploded

To prevent non-uniform scaling in dynamic block reference


To specify a parameter label (Procedure)

Overview of Specifying Custom Properties for Dynamic Blocks
Up a level to ..
Overview of Specifying Custom Properties for Dynamic Blocks
Create and Modify Objects > Create and Use Blocks (Symbols) > Add Dynamic Behavior to Blocks > Add Dynamic Elements to Blocks > Specify Custom Properties for Dynamic Blocks > Overview of Specifying Custom Properties for Dynamic Blocks >
Overview of Specifying Custom Properties for Dynamic Blocks
Concept Procedure Quick Reference

To specify a parameter label

  1. In the Block Editor, click Tools menu [image] Properties. The Properties palette is displayed.
  2. In the Block Editor, select a parameter.
  3. In the Properties palette, under Property Labels, click <parameter name> label.
  4. Enter a label for the parameter.
  5. On the Block Editor toolbar, click Save Block Definition.
  6. (Optional) If you are finished using the Block Editor, click Close Block Editor.
Toolbar: Standard
Command entry: PROPERTIES
Shortcut menu: Right-click the selected object. Click Rename Label. Enter a new name for the parameter, and press ENTER.


To specify the display of custom properties in a dynamic block reference (Procedure)

Overview of Specifying Custom Properties for Dynamic Blocks
Up a level to ..
Overview of Specifying Custom Properties for Dynamic Blocks
Create and Modify Objects > Create and Use Blocks (Symbols) > Add Dynamic Behavior to Blocks > Add Dynamic Elements to Blocks > Specify Custom Properties for Dynamic Blocks > Overview of Specifying Custom Properties for Dynamic Blocks >
Overview of Specifying Custom Properties for Dynamic Blocks
Concept Procedure Quick Reference

To specify the display of custom properties in a dynamic block reference

  1. In the Block Editor, click Tools menu [image] Properties. The Properties palette is displayed.
  2. In the Block Editor, select a parameter.
  3. In the Properties palette, under Misc, click Show Properties.
  4. On the drop-down list, do one of the following:
    • Select Yes to display custom properties for the block reference.
    • Select No to specify that the custom properties will not display for a block reference.
  5. On the Block Editor toolbar, click Save Block Definition.
  6. (Optional) If you are finished using the Block Editor, click Close Block Editor.
Toolbar: Standard
Command entry: PROPERTIES


To specify that dynamic block reference can be exploded (Procedure)

Overview of Specifying Custom Properties for Dynamic Blocks
Up a level to ..
Overview of Specifying Custom Properties for Dynamic Blocks
Create and Modify Objects > Create and Use Blocks (Symbols) > Add Dynamic Behavior to Blocks > Add Dynamic Elements to Blocks > Specify Custom Properties for Dynamic Blocks > Overview of Specifying Custom Properties for Dynamic Blocks >
Overview of Specifying Custom Properties for Dynamic Blocks
Concept Procedure Quick Reference

To specify that dynamic block reference can be exploded

  1. Use one of the following procedures to open a block definition in the Block Editor:
    • To open an existing block definition in the Block Editor
    • To open a drawing file saved as a block (not dynamic) in the Block Editor
    • To open a drawing file saved as a dynamic block in the Block Editor
  2. In the Block Editor, make sure nothing is selected.
  3. In the Properties palette, under Block, click Allow Exploding.
  4. On the drop-down list, select Yes or No.
  5. On the Block Editor toolbar, click Save Block Definition.
  6. (Optional) If you are finished using the Block Editor, click Close Block Editor.
Toolbar: Standard
Command entry: BEDIT


To prevent non-uniform scaling in dynamic block reference (Procedure)

Overview of Specifying Custom Properties for Dynamic Blocks
Up a level to ..
Specify Value Sets for Dynamic Blocks
Create and Modify Objects > Create and Use Blocks (Symbols) > Add Dynamic Behavior to Blocks > Add Dynamic Elements to Blocks > Specify Custom Properties for Dynamic Blocks > Overview of Specifying Custom Properties for Dynamic Blocks >
Overview of Specifying Custom Properties for Dynamic Blocks
Concept Procedure Quick Reference

To prevent non-uniform scaling in dynamic block reference

  1. Use one of the following procedures to open a block definition in the Block Editor:
    • To open an existing block definition in the Block Editor
    • To open a drawing file saved as a block (not dynamic) in the Block Editor
    • To open a drawing file saved as a dynamic block in the Block Editor
  2. In the Block Editor, make sure nothing is selected.
  3. In the Properties palette, under Block, click Scale Uniformly.
  4. On the drop-down list, select Yes.
  5. On the Block Editor toolbar, click Save Block Definition.
  6. (Optional) If you are finished using the Block Editor, click Close Block Editor.
Toolbar: Standard
Command entry: BEDIT


Overview of Specifying Custom Properties for Dynamic Blocks (Quick Reference)

Specify Values for Lookup Tables
Overview of Specifying Custom Properties for Dynamic Blocks
Specify Value Sets for Dynamic Blocks
Create and Modify Objects > Create and Use Blocks (Symbols) > Add Dynamic Behavior to Blocks > Add Dynamic Elements to Blocks > Specify Custom Properties for Dynamic Blocks > Overview of Specifying Custom Properties for Dynamic Blocks >
Overview of Specifying Custom Properties for Dynamic Blocks
Concept Procedure Quick Reference

Commands

BEDIT

Opens the block definition in the Block Editor

BPARAMETER

Adds a parameter with grips to a dynamic block definition

PROPERTIES

Controls properties of existing objects

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Specify Value Sets for Dynamic Blocks (Concept)

Overview of Specifying Custom Properties for Dynamic Blocks
Specify Custom Properties for Dynamic Blocks
Allow Chained Actions for Dynamic Blocks
Create and Modify Objects > Create and Use Blocks (Symbols) > Add Dynamic Behavior to Blocks > Add Dynamic Elements to Blocks > Specify Custom Properties for Dynamic Blocks >
Specify Value Sets for Dynamic Blocks
Concept Procedure Quick Reference

You can specify a defined value set for linear, polar, XY, and rotation parameters.

A value set is a range or list of values specified for a parameter. These values can be displayed for the block reference as a drop-down list next to the parameter label under Custom in the Properties palette. When you define a value set for a parameter, the parameter is limited to these values when the block reference is manipulated in a drawing. For example, if you define a linear parameter in a block that represents a window to have a value set of 20, 40, and 60, the window can only be stretched to 20, 40, or 60 units.

When you create a value list for a parameter, the value of the parameter as it exists in the definition is automatically added to the value set. This is the default value for the block reference when you insert it in a drawing.

In a block reference, if you change the parameter's value to a value other than one in the list, the parameter will adjust to the closest valid value. For example, you define a linear parameter to have a value set of 2, 4, and 6. When you try to change the value of that parameter in a block reference to 10, the resulting parameter value is 6 because it is the closest valid value.

When you specify a value set for a parameter in a dynamic block, tick marks are displayed when you grip-edit the block reference in a drawing. The tick marks indicate the locations for the parameter's valid values.

NoteIf you redefine the values in a value set after you've added the parameter properties to a lookup table, make sure to update the lookup table to match the new values in the value set.


Specify Value Sets for Dynamic Blocks (Procedure)

Overview of Specifying Custom Properties for Dynamic Blocks
Up a level to ..
Specify Value Sets for Dynamic Blocks
Create and Modify Objects > Create and Use Blocks (Symbols) > Add Dynamic Behavior to Blocks > Add Dynamic Elements to Blocks > Specify Custom Properties for Dynamic Blocks > Specify Value Sets for Dynamic Blocks >
Specify Value Sets for Dynamic Blocks
Concept Procedure Quick Reference

To specify a value set for a linear or polar parameter

To specify a value set for an XY parameter

To specify a value set for a rotation parameter

To delete values from a parameter's value set

To specify an incremental value set for a linear, polar, XY, or rotation parameter

To specify minimum and maximum values for a linear, polar, XY, or rotation parameter


To specify a value set for a linear or polar parameter (Procedure)

Specify Value Sets for Dynamic Blocks
Up a level to ..
Specify Value Sets for Dynamic Blocks
Create and Modify Objects > Create and Use Blocks (Symbols) > Add Dynamic Behavior to Blocks > Add Dynamic Elements to Blocks > Specify Custom Properties for Dynamic Blocks > Specify Value Sets for Dynamic Blocks >
Specify Value Sets for Dynamic Blocks
Concept Procedure Quick Reference

To specify a value set for a linear or polar parameter

  1. In the Block Editor, click Tools menu [image] Properties. The Properties palette is displayed.
  2. In the Block Editor, select a linear or polar parameter.
  3. In the Properties palette, under Value Set, click Dist Type.
  4. On the drop-down list, select List.
  5. In the Properties palette, under Value Set, click Dist Value List.
  6. Click the [...] button.
  7. In the Add Distance Value dialog box, under Distances to Add, enter one value or two or more values separated by commas.
  8. Click Add.
  9. Click OK.
  10. On the Block Editor toolbar, click Save Block Definition.
  11. (Optional) If you are finished using the Block Editor, click Close Block Editor.
Toolbar: Standard
Command entry: PROPERTIES


To specify a value set for an XY parameter (Procedure)

Specify Value Sets for Dynamic Blocks
Up a level to ..
Specify Value Sets for Dynamic Blocks
Create and Modify Objects > Create and Use Blocks (Symbols) > Add Dynamic Behavior to Blocks > Add Dynamic Elements to Blocks > Specify Custom Properties for Dynamic Blocks > Specify Value Sets for Dynamic Blocks >
Specify Value Sets for Dynamic Blocks
Concept Procedure Quick Reference

To specify a value set for an XY parameter

  1. In the Block Editor, click Tools menu [image] Properties. The Properties palette is displayed.
  2. In the Block Editor, select an XY parameter.
  3. In the Properties palette, under Value Set, click Hor Type or Ver Type.
  4. On the drop-down list, select List.
  5. In the Properties palette, under Value Set, click Hor Value List or Ver Value List.
  6. Click the [...] button.
  7. In the Add Distance Value dialog box, under Distances to Add, enter one value or two or more values separated by commas.
  8. Click Add.
  9. Click OK.
  10. On the Block Editor toolbar, click Save Block Definition.
  11. (Optional) If you are finished using the Block Editor, click Close Block Editor.
Toolbar: Standard
Command entry: PROPERTIES


To specify a value set for a rotation parameter (Procedure)

Specify Value Sets for Dynamic Blocks
Up a level to ..
Specify Value Sets for Dynamic Blocks
Create and Modify Objects > Create and Use Blocks (Symbols) > Add Dynamic Behavior to Blocks > Add Dynamic Elements to Blocks > Specify Custom Properties for Dynamic Blocks > Specify Value Sets for Dynamic Blocks >
Specify Value Sets for Dynamic Blocks
Concept Procedure Quick Reference

To specify a value set for a rotation parameter

  1. In the Block Editor, click Tools menu [image] Properties. The Properties palette is displayed.
  2. In the Block Editor, select a rotation parameter.
  3. In the Properties palette, under Value Set, click Ang Type.
  4. On the drop-down list, select List.
  5. In the Properties palette, under Value Set, click Ang Value List.
  6. Click the [...] button.
  7. In the Add Angle Value dialog box, under Angle to Add, enter one value or two or more values separated by commas.
  8. Click Add.
  9. Click OK.
  10. On the Block Editor toolbar, click Save Block Definition.
  11. (Optional) If you are finished using the Block Editor, click Close Block Editor.
Toolbar: Standard
Command entry: PROPERTIES


To delete values from a parameter's value set (Procedure)

Specify Value Sets for Dynamic Blocks
Up a level to ..
Specify Value Sets for Dynamic Blocks
Create and Modify Objects > Create and Use Blocks (Symbols) > Add Dynamic Behavior to Blocks > Add Dynamic Elements to Blocks > Specify Custom Properties for Dynamic Blocks > Specify Value Sets for Dynamic Blocks >
Specify Value Sets for Dynamic Blocks
Concept Procedure Quick Reference

To delete values from a parameter's value set

  1. In the Block Editor, click Tools menu [image] Properties. The Properties palette is displayed.
  2. In the Block Editor, select a linear, polar, XY, or rotation parameter.
  3. In the Properties palette, under Value Set, click one of the following:
    • Dist Value List
    • Ang Value List
    • Hor Value List
    • Ver Value List
  4. Click the [...] button.
  5. In the Add Distance Value or Add Angle Value dialog box, select a value from the list to delete.
  6. Click Delete.
  7. Click OK.
  8. On the Block Editor toolbar, click Save Block Definition.
  9. (Optional) If you are finished using the Block Editor, click Close Block Editor.
Toolbar: Standard
Command entry: PROPERTIES


To specify an incremental value set for a linear, polar, XY, or rotation parameter (Procedure)

Specify Value Sets for Dynamic Blocks
Up a level to ..
Specify Value Sets for Dynamic Blocks
Create and Modify Objects > Create and Use Blocks (Symbols) > Add Dynamic Behavior to Blocks > Add Dynamic Elements to Blocks > Specify Custom Properties for Dynamic Blocks > Specify Value Sets for Dynamic Blocks >
Specify Value Sets for Dynamic Blocks
Concept Procedure Quick Reference

To specify an incremental value set for a linear, polar, XY, or rotation parameter

  1. In the Block Editor, click Tools menu [image] Properties. The Properties palette is displayed.
  2. In the Block Editor, select a linear, polar, XY, or rotation parameter.
  3. In the Properties palette, under Value Set, click Dist Type, Ang Type, Hor Type, or Ver Type.
  4. On the drop-down list, select Increment.
  5. In the Properties palette, under Value Set, click Dist Increment, Ang Increment, Hor Increment, or Ver Increment, and then enter an incremental value for the parameter.
  6. Click Dist Minimum, Ang Minimum, Hor Minimum, or Ver Minimum, and then enter a minimum value for the parameter.
  7. Click Dist Maximum, Ang Maximum, Hor Maximum, or Ver Maximum, and then enter a maximum value for the parameter.
  8. On the Block Editor toolbar, click Save Block Definition.
  9. (Optional) If you are finished using the Block Editor, click Close Block Editor.
Toolbar: Standard
Command entry: PROPERTIES


To specify minimum and maximum values for a linear, polar, XY, or rotation parameter (Procedure)

Specify Value Sets for Dynamic Blocks
Up a level to ..
Allow Chained Actions for Dynamic Blocks
Create and Modify Objects > Create and Use Blocks (Symbols) > Add Dynamic Behavior to Blocks > Add Dynamic Elements to Blocks > Specify Custom Properties for Dynamic Blocks > Specify Value Sets for Dynamic Blocks >
Specify Value Sets for Dynamic Blocks
Concept Procedure Quick Reference

To specify minimum and maximum values for a linear, polar, XY, or rotation parameter

  1. In the Block Editor, click Tools menu [image] Properties. The Properties palette is displayed.
  2. In the Block Editor, select a linear, polar, XY, or rotation parameter.
  3. In the Properties palette, under Value Set, click Dist Minimum, Ang Minimum, Hor Minimum, or Ver Minimum, and then enter a minimum value for the parameter.
  4. Click Dist Maximum, Ang Maximum, Hor Maximum, or Ver Maximum, and then enter a maximum value for the parameter.
  5. On the Block Editor toolbar, click Save Block Definition.
  6. (Optional) If you are finished using the Block Editor, click Close Block Editor.
Toolbar: Standard
Command entry: PROPERTIES


Specify Value Sets for Dynamic Blocks (Quick Reference)

Overview of Specifying Custom Properties for Dynamic Blocks
Specify Value Sets for Dynamic Blocks
Allow Chained Actions for Dynamic Blocks
Create and Modify Objects > Create and Use Blocks (Symbols) > Add Dynamic Behavior to Blocks > Add Dynamic Elements to Blocks > Specify Custom Properties for Dynamic Blocks > Specify Value Sets for Dynamic Blocks >
Specify Value Sets for Dynamic Blocks
Concept Procedure Quick Reference

Commands

BEDIT

Opens the block definition in the Block Editor

BPARAMETER

Adds a parameter with grips to a dynamic block definition

PROPERTIES

Controls properties of existing objects

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Allow Chained Actions for Dynamic Blocks (Concept)

Specify Value Sets for Dynamic Blocks
Specify Custom Properties for Dynamic Blocks
Modify Dynamic Block Definitions
Create and Modify Objects > Create and Use Blocks (Symbols) > Add Dynamic Behavior to Blocks > Add Dynamic Elements to Blocks > Specify Custom Properties for Dynamic Blocks >
Allow Chained Actions for Dynamic Blocks
Concept Procedure Quick Reference

Point, linear, polar, XY, and rotation parameters have a property called Chain Actions. This property affects the parameter behavior if the parameter is part of an action's selection set.

For example, you might include a point parameter in the selection set of a stretch action that is associated with a linear parameter. When the linear parameter is edited in a block reference, its associated stretch action triggers a change in its selection set. Because the point parameter is included in the selection set, the point parameter is edited by the change in the linear parameter.

The following example shows a block definition in the Block Editor. The point parameter (labeled Position) is included in the stretch action's selection set.

If the Chain Actions property for the point parameter is set to Yes, a change in the linear parameter will trigger the move action associated with the point parameter, just as if you edited the point parameter in the block reference through a grip or custom property.

If the Chain Actions property is set to No, the point parameter's associated move action is not triggered by the changes to the linear parameter. Thus, the circle doesn't move.


To specify the Chain Actions property for a point, linear, polar, XY, or rotation parameter (Procedure)

Specify Value Sets for Dynamic Blocks
Up a level to ..
Modify Dynamic Block Definitions
Create and Modify Objects > Create and Use Blocks (Symbols) > Add Dynamic Behavior to Blocks > Add Dynamic Elements to Blocks > Specify Custom Properties for Dynamic Blocks > Allow Chained Actions for Dynamic Blocks >
Allow Chained Actions for Dynamic Blocks
Concept Procedure Quick Reference

To specify the Chain Actions property for a point, linear, polar, XY, or rotation parameter

  1. In the Block Editor, click Tools menu [image] Properties. The Properties palette is displayed.
  2. In the Block Editor, select a point, linear, polar, XY, or rotation parameter.
  3. In the Properties palette, under Misc, click Chain Actions.
  4. On the drop-down list, select Yes or No.
  5. On the Block Editor toolbar, click Save Block Definition.
  6. (Optional) If you are finished using the Block Editor, click Close Block Editor.
Toolbar: Standard
Command entry: PROPERTIES


Allow Chained Actions for Dynamic Blocks (Quick Reference)

Specify Value Sets for Dynamic Blocks
Allow Chained Actions for Dynamic Blocks
Modify Dynamic Block Definitions
Create and Modify Objects > Create and Use Blocks (Symbols) > Add Dynamic Behavior to Blocks > Add Dynamic Elements to Blocks > Specify Custom Properties for Dynamic Blocks > Allow Chained Actions for Dynamic Blocks >
Allow Chained Actions for Dynamic Blocks
Concept Procedure Quick Reference

Commands

BEDIT

Opens the block definition in the Block Editor

BPARAMETER

Adds a parameter with grips to a dynamic block definition

PROPERTIES

Controls properties of existing objects

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Modify Dynamic Block Definitions (Concept)

Allow Chained Actions for Dynamic Blocks
Add Dynamic Elements to Blocks
Correct Errors in Dynamic Block Definitions
Create and Modify Objects > Create and Use Blocks (Symbols) > Add Dynamic Behavior to Blocks > Add Dynamic Elements to Blocks >
Modify Dynamic Block Definitions
Concept Procedure Quick Reference

You can modify dynamic block definitions in the Block Editor.

After you've defined a dynamic block, you can modify it in the Block Editor. You can delete, add, and modify the following elements in the Block Editor:

  • Parameters (see Use Parameters in Dynamic Blocks)
  • Actions (see Use Actions with Dynamic Blocks)
  • Geometry
  • Visibility states (see Create Visibility States)
  • Lookup tables (see Use Lookup Tables to Assign Data to Dynamic Blocks)
  • Grips (see Specify Grips for Dynamic Blocks)
  • Properties (see Overview of Specifying Custom Properties for Dynamic Blocks)

You can also use the BACTIONSET command to change an action's selection set. If you delete a parameter associated with an action and need to reassign that action to another parameter, use the BASSOCIATE command.

After you modify a dynamic block definition in the Block Editor, you must save your changes (see Save a Block in the Block Editor).

WarningIf you redefine a dynamic block in AutoCAD 2005 or earlier, the block will lose its dynamic behavior.


Modify Dynamic Block Definitions (Procedure)

Allow Chained Actions for Dynamic Blocks
Up a level to ..
Modify Dynamic Block Definitions
Create and Modify Objects > Create and Use Blocks (Symbols) > Add Dynamic Behavior to Blocks > Add Dynamic Elements to Blocks > Modify Dynamic Block Definitions >
Modify Dynamic Block Definitions
Concept Procedure Quick Reference

To open an existing dynamic block definition in the Block Editor

To delete an element from a dynamic block definition

To modify an action's selection set in a dynamic block definition

To redefine a stretch or polar stretch action's stretch frame set in a dynamic block definition


To open an existing dynamic block definition in the Block Editor (Procedure)

Modify Dynamic Block Definitions
Up a level to ..
Modify Dynamic Block Definitions
Create and Modify Objects > Create and Use Blocks (Symbols) > Add Dynamic Behavior to Blocks > Add Dynamic Elements to Blocks > Modify Dynamic Block Definitions >
Modify Dynamic Block Definitions
Concept Procedure Quick Reference

To open an existing dynamic block definition in the Block Editor

  1. Open the drawing file that contains the dynamic block definition, or open the drawing file that has been saved as a block.
  2. Follow the steps in To open an existing dynamic block definition in the Block Editor.
Toolbar: Standard
Command entry: OPEN
Shortcut menu: Right-click a selected block. Click Block Editor.


To delete an element from a dynamic block definition (Procedure)

Modify Dynamic Block Definitions
Up a level to ..
Modify Dynamic Block Definitions
Create and Modify Objects > Create and Use Blocks (Symbols) > Add Dynamic Behavior to Blocks > Add Dynamic Elements to Blocks > Modify Dynamic Block Definitions >
Modify Dynamic Block Definitions
Concept Procedure Quick Reference

To delete an element from a dynamic block definition

  1. In the Block Editor, select the element you want to delete from the dynamic block definition.
  2. Press the DELETE key.


To modify an action's selection set in a dynamic block definition (Procedure)

Modify Dynamic Block Definitions
Up a level to ..
Modify Dynamic Block Definitions
Create and Modify Objects > Create and Use Blocks (Symbols) > Add Dynamic Behavior to Blocks > Add Dynamic Elements to Blocks > Modify Dynamic Block Definitions >
Modify Dynamic Block Definitions
Concept Procedure Quick Reference

To modify an action's selection set in a dynamic block definition

  1. In the Block Editor, select an action.
  2. At the command prompt, enter bactionset, and then press ENTER.
  3. Follow the command prompts.
  4. On the Block Editor toolbar, click Save Block Definition.
  5. (Optional) If you are finished using the Block Editor, click Close Block Editor.


To redefine a stretch or polar stretch action's stretch frame set in a dynamic block definition (Procedure)

Modify Dynamic Block Definitions
Up a level to ..
Correct Errors in Dynamic Block Definitions
Create and Modify Objects > Create and Use Blocks (Symbols) > Add Dynamic Behavior to Blocks > Add Dynamic Elements to Blocks > Modify Dynamic Block Definitions >
Modify Dynamic Block Definitions
Concept Procedure Quick Reference

To redefine a stretch or polar stretch action's stretch frame set in a dynamic block definition

  1. In the Block Editor, double-click a stretch or polar stretch action.
  2. Follow the command prompts to define a new stretch frame and add objects to or remove objects from the action's selection set.
  3. On the Block Editor toolbar, click Save Block Definition.
  4. (Optional) If you are finished using the Block Editor, click Close Block Editor.
Command entry: BACTIONSET


Modify Dynamic Block Definitions (Quick Reference)

Allow Chained Actions for Dynamic Blocks
Modify Dynamic Block Definitions
Correct Errors in Dynamic Block Definitions
Create and Modify Objects > Create and Use Blocks (Symbols) > Add Dynamic Behavior to Blocks > Add Dynamic Elements to Blocks > Modify Dynamic Block Definitions >
Modify Dynamic Block Definitions
Concept Procedure Quick Reference

Commands

BACTION

Adds an action to a dynamic block definition

BACTIONTOOL

Adds an action to a dynamic block definition

BACTIONSET

Specifies the selection set of objects associated with an action in a dynamic block definition

BASSOCIATE

Associates an action with a parameter in a dynamic block definition

BEDIT

Opens the block definition in the Block Editor

BGRIPSET

Creates, deletes, or resets grips associated with a parameter

BPARAMETER

Adds a parameter with grips to a dynamic block definition

BLOOKUPTABLE

Displays or creates a lookup table for a dynamic block definition

BVSTATE

Creates, sets, or deletes a visibility state in a dynamic block

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Correct Errors in Dynamic Block Definitions (Concept)

Modify Dynamic Block Definitions
Add Dynamic Elements to Blocks
Save a Block in the Block Editor
Create and Modify Objects > Create and Use Blocks (Symbols) > Add Dynamic Behavior to Blocks > Add Dynamic Elements to Blocks >
Correct Errors in Dynamic Block Definitions
Concept Procedure Quick Reference

A yellow alert icon is displayed in the Block Editor if a dynamic block definition contains errors or is incomplete. You need to correct the errors (or complete the block) so the block reference will function properly in a drawing.

The yellow alert icon indicates that the block definition is not defined correctly or is incomplete. For example, a parameter that is not associated with an action will display an alert icon. An action that is not associated with a parameter or a selection set, will also display an alert icon.

You can correct these errors by double-clicking the yellow alert icon and following the command prompts.

After you create a dynamic block definition in the Block Editor, you should save it and then test the functionality of the block reference in a drawing. If the block reference isn't functioning the way you intended, open the definition in the Block Editor and double-check the types of parameters and actions you used as well as their dependencies and properties.


Correct Errors in Dynamic Block Definitions (Procedure)

Modify Dynamic Block Definitions
Up a level to ..
Correct Errors in Dynamic Block Definitions
Create and Modify Objects > Create and Use Blocks (Symbols) > Add Dynamic Behavior to Blocks > Add Dynamic Elements to Blocks > Correct Errors in Dynamic Block Definitions >
Correct Errors in Dynamic Block Definitions
Concept Procedure Quick Reference

To correct an error indicated by a yellow alert icon in a dynamic block definition

To view dependencies within a dynamic block definition


To correct an error indicated by a yellow alert icon in a dynamic block definition (Procedure)

Correct Errors in Dynamic Block Definitions
Up a level to ..
Correct Errors in Dynamic Block Definitions
Create and Modify Objects > Create and Use Blocks (Symbols) > Add Dynamic Behavior to Blocks > Add Dynamic Elements to Blocks > Correct Errors in Dynamic Block Definitions >
Correct Errors in Dynamic Block Definitions
Concept Procedure Quick Reference

To correct an error indicated by a yellow alert icon in a dynamic block definition

  1. In the Block Editor, double-click a yellow alert icon.
  2. Follow the command prompts to correct the errors in the dynamic block definition.
  3. On the Block Editor toolbar, click Save Block Definition.
  4. (Optional) If you are finished using the Block Editor, click Close Block Editor.


To view dependencies within a dynamic block definition (Procedure)

Correct Errors in Dynamic Block Definitions
Up a level to ..
Save a Block in the Block Editor
Create and Modify Objects > Create and Use Blocks (Symbols) > Add Dynamic Behavior to Blocks > Add Dynamic Elements to Blocks > Correct Errors in Dynamic Block Definitions >
Correct Errors in Dynamic Block Definitions
Concept Procedure Quick Reference

To view dependencies within a dynamic block definition

  1. In the Block Editor, select a parameter or an action.

    If you selected a parameter, its associated action is highlighted.

    If you selected an action, its associated parameter and selection set of geometry is highlighted.

  2. When you're finished viewing the dependencies, press ESC.
  3. (Optional) If you are finished using the Block Editor, click Close Block Editor.


Correct Errors in Dynamic Block Definitions (Quick Reference)

Modify Dynamic Block Definitions
Correct Errors in Dynamic Block Definitions
Save a Block in the Block Editor
Create and Modify Objects > Create and Use Blocks (Symbols) > Add Dynamic Behavior to Blocks > Add Dynamic Elements to Blocks > Correct Errors in Dynamic Block Definitions >
Correct Errors in Dynamic Block Definitions
Concept Procedure Quick Reference

Commands

BEDIT

Opens the block definition in the Block Editor

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Save a Block in the Block Editor (Concept)

Correct Errors in Dynamic Block Definitions
Add Dynamic Behavior to Blocks
Insert Blocks
Create and Modify Objects > Create and Use Blocks (Symbols) > Add Dynamic Behavior to Blocks >
Save a Block in the Block Editor
Concept Procedure Quick Reference

When you are finished adding elements to your dynamic block definition in the Block Editor, save the block definition.

In the Block Editor, you can save your block definition by clicking the Save Block Definition button on the Block Editor toolbar, or by entering bsave at the command prompt. You should then save your drawing to make sure that the block definition is saved in the drawing.

When you save a block definition in the Block Editor, the current values of the geometry and parameters in the block are set as the default values for the block reference. When you create a dynamic block that uses visibility states, the default visibility state for the block reference is the visibility state at the top of the list in the Manage Visibility States dialog box.

Once you've saved the block definition, you can close the Block Editor and try your block in a drawing.

NoteIf you click File menu [image] Save while you are in the Block Editor, you will save the drawing but not the block definition. You must specifically save the block definition while you are in the Block Editor.


Save a Block in the Block Editor (Procedure)

Correct Errors in Dynamic Block Definitions
Up a level to ..
Save a Block in the Block Editor
Create and Modify Objects > Create and Use Blocks (Symbols) > Add Dynamic Behavior to Blocks > Save a Block in the Block Editor >
Save a Block in the Block Editor
Concept Procedure Quick Reference

To save a block definition in the Block Editor

To save a copy of the current block definition in the Block Editor under a new name


To save a block definition in the Block Editor (Procedure)

Save a Block in the Block Editor
Up a level to ..
Save a Block in the Block Editor
Create and Modify Objects > Create and Use Blocks (Symbols) > Add Dynamic Behavior to Blocks > Save a Block in the Block Editor >
Save a Block in the Block Editor
Concept Procedure Quick Reference

To save a block definition in the Block Editor

  1. On the Block Editor toolbar, click Save Block Definition.
  2. To save the block definition in the drawing, click File menu [image] Save.To save the block definition in the drawing, at the command prompt, enter qsave.
  3. (Optional) If you are finished using the Block Editor, click Close Block Editor.
Toolbar: Standard
Command entry: BSAVE


To save a copy of the current block definition in the Block Editor under a new name (Procedure)

Save a Block in the Block Editor
Up a level to ..
Insert Blocks
Create and Modify Objects > Create and Use Blocks (Symbols) > Add Dynamic Behavior to Blocks > Save a Block in the Block Editor >
Save a Block in the Block Editor
Concept Procedure Quick Reference

To save a copy of the current block definition in the Block Editor under a new name

  1. On the Block Editor toolbar, click Save Block Definition As.
  2. In the Save Block As dialog box, enter a name for the new block definition.
  3. Click OK.
  4. To save the block definition in the drawing, click File menu [image] Save.To save the block definition in the drawing, at the command prompt, enter qsave.
  5. (Optional) If you are finished using the Block Editor, click Close Block Editor.
Toolbar: Standard
Command entry: BSAVEAS


Save a Block in the Block Editor (Quick Reference)

Correct Errors in Dynamic Block Definitions
Save a Block in the Block Editor
Insert Blocks
Create and Modify Objects > Create and Use Blocks (Symbols) > Add Dynamic Behavior to Blocks > Save a Block in the Block Editor >
Save a Block in the Block Editor
Concept Procedure Quick Reference

Commands

BCLOSE

Closes the Block Editor

BEDIT

Opens the block definition in the Block Editor

BSAVE

Saves the current block definition

BSAVEAS

Saves a copy of the current block definition under a new name

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Insert Blocks (Concept)

Save a Block in the Block Editor
Create and Use Blocks (Symbols)
Work with Dynamic Blocks in Drawings
Create and Modify Objects > Create and Use Blocks (Symbols) >
Insert Blocks
Concept Procedure Quick Reference

When you insert a block, you create a block reference and specify its location, scale, and rotation.

You can specify the scale of a block reference using different X, Y, and Z values. Inserting a block creates an object called a block reference because it references a block definition stored in your current drawing. An orange lightning bolt icon displayed in the bottom-right corner of the block preview indicates that the block is dynamic.

If you insert a block that uses different drawing units than the units specified for the drawing, the block is automatically scaled by a factor equivalent to the ratio between the two units.

If you insert a block reference that includes editable custom properties or attributes, you can change the values of these custom properties and attributes in the Properties palette while you insert the block. The block’s custom properties and attributes become editable in the Properties palette after the block is specified in one of the following ways:

  • In the Insert dialog box after clicking OK.
  • Using the -INSERT command after entering the block name.
  • Clicking a block tool on a tool palette.

Insert a Drawing File as a Block

When you insert an entire drawing file into another drawing, the drawing information is copied into the block table of the current drawing as a block definition. Subsequent insertions reference the block definition with different position, scale, and rotation settings, as shown in the following illustration.

Xrefs contained in a drawing you insert may not be displayed properly unless the xref was previously inserted or attached to the destination drawing.

Insert Blocks from Tool Palettes

You can insert blocks from tool palettes by dragging the block tool into the drawing or by clicking the block tool and then specifying an insertion point.

You can choose to be prompted for a rotation angle (starting from 0) when you click and place the block. When you select this option, the angle that is specified under Rotation in the Tool Properties dialog box is ignored. The prompt for a rotation angle is not shown if you drag the block or xref or, if at the initial insertion command prompt, you enter rotate.

Blocks that are placed by dragging from a tool palette must often be rotated or scaled after they are placed. You can use object snaps when dragging blocks from a tool palette; however, grid snap is suppressed during dragging.

When a block is dragged from a tool palette into a drawing, it is scaled automatically according to the ratio of units defined in the block and defined in the current drawing. For example, if the current drawing uses meters as its units and a block is defined using centimeters as its units, the ratio of the units is 1 m/100 cm. When the block is dragged into the drawing, it is inserted at 1/100 scale.

NoteIn the Options dialog box, User Preferences tab, the Source Content Units and Target Drawing Units settings are used when Drag-and-Drop Scale is set to Unitless, either in the source block or target drawing.

Insert Blocks from Block Libraries

You can insert one or more block definitions from an existing drawing file into your current drawing file. Choose this method when retrieving blocks from block library drawings. A block library drawing contains block definitions of symbols with similar functions. These block definitions are stored together in a single drawing file for easy accessibility and management.

Insert Blocks with DesignCenter

Use DesignCenter to insert blocks from the current drawing or from another drawing. Drag and drop the block names for quick placement. Double-click the block names to specify the precise location, rotation, and scale of the blocks.

You cannot add blocks to a drawing while another command is active, and you can only insert or attach one block at a time.

Insert Blocks at Intervals

You can insert blocks at intervals along a selected geometric object.

  • Use MEASURE to insert a block at measured intervals.
  • Use DIVIDE to insert a block at proportional (evenly spaced) intervals.
See Also

    • Create Drawing Files for Use as Blocks

    • Configure a DWFx Driver (Advanced)

    • Create Block Libraries

    • Work with Dynamic Blocks in Drawings

    • Add Content with DesignCenter

    • Create and Use Tools from Objects and Images


Insert Blocks (Procedure)

Save a Block in the Block Editor
Insert Blocks
Insert Blocks
Create and Modify Objects > Create and Use Blocks (Symbols) > Insert Blocks >
Insert Blocks
Concept Procedure Quick Reference

To insert a block defined in the current drawing

To insert a drawing file as a block by dragging

To insert a block using DesignCenter


To insert a block defined in the current drawing (Procedure)

Insert Blocks
Insert Blocks
Insert Blocks
Create and Modify Objects > Create and Use Blocks (Symbols) > Insert Blocks >
Insert Blocks
Concept Procedure Quick Reference

To insert a block defined in the current drawing

  1. Click Home tab [image] Block panel [image] Insert. At the command prompt, enter insert.
  2. In the Insert dialog box, in the Name box, select a name from a list of block definitions.
  3. If you want to use the pointing device to specify the insertion point, scale, and rotation, select Specify On-Screen. Otherwise, enter values in the Insertion Point, Scale, and Rotation boxes.
  4. If you want the objects in the block to be inserted as individual objects instead of as a single block, select Explode.
  5. Click OK.
Toolbar: Insert
Command entry: INSERT


To insert a drawing file as a block by dragging (Procedure)

Insert Blocks
Insert Blocks
Insert Blocks
Create and Modify Objects > Create and Use Blocks (Symbols) > Insert Blocks >
Insert Blocks
Concept Procedure Quick Reference

To insert a drawing file as a block by dragging

  1. From Windows Explorer or any folder, drag the drawing file icon into the drawing area.

    When you release the button, you are prompted for an insertion point.

  2. Specify the insertion point and scale and rotation values.


To insert a block using DesignCenter (Procedure)

Insert Blocks
Insert Blocks
Work with Dynamic Blocks in Drawings
Create and Modify Objects > Create and Use Blocks (Symbols) > Insert Blocks >
Insert Blocks
Concept Procedure Quick Reference

To insert a block using DesignCenter

  1. If DesignCenter is not already open, click Tools menu [image] Palettes [image] DesignCenter.If DesignCenter is not already open, at the command prompt, enter adcclose.
  2. Do one of the following to list the content you want to insert:
    • On the DesignCenter toolbar, click Tree View Toggle. Click the folder that contains the drawing you want to insert.
    • Click the icon of a drawing file displayed in the tree view.
  3. Do one of the following to insert the content:
    • Drag the drawing file or block into your current drawing. Use this option when you want to insert blocks quickly and move or rotate the blocks to their precise locations later.
    • Double-click the drawing file or block that you want to insert into your current drawing. Use this option when you want to specify the exact placement, rotation, and scale of the block as you insert it. Use this option also when you want to update a block reference in your drawing from the original source drawing file.
Toolbar: Standard
Command entry: ADCENTER


Insert Blocks (Quick Reference)

Save a Block in the Block Editor
Insert Blocks
Work with Dynamic Blocks in Drawings
Create and Modify Objects > Create and Use Blocks (Symbols) > Insert Blocks >
Insert Blocks
Concept Procedure Quick Reference

Commands

ADCENTER

Manages and inserts content such as blocks, xrefs, and hatch patterns

DIVIDE

Places evenly spaced point objects or blocks along the length or perimeter of an object

INSERT

Inserts a block or drawing into the current drawing

MEASURE

Places point objects or blocks at measured intervals on an object

System Variables

ATTDIA

Controls whether the INSERT command uses a dialog box for attribute value entry

INSNAME

Sets a default block name for the INSERT command

INSUNITS

Specifies a drawing-units value for automatic scaling of blocks, images, or xrefs inserted or attached to a drawing

INSUNITSDEFSOURCE

Sets source content units value when INSUNITS is set to 0

INSUNITSDEFTARGET

Sets target drawing units value when INSUNITS is set to 0

Utilities

No entries

Command Modifiers

No entries


Work with Dynamic Blocks in Drawings (Concept)

Insert Blocks
Create and Use Blocks (Symbols)
Attach Data to Blocks (Block Attributes)
Create and Modify Objects > Create and Use Blocks (Symbols) >
Work with Dynamic Blocks in Drawings
Concept Procedure Quick Reference

A dynamic block has flexibility and intelligence. A dynamic block reference can easily be changed in a drawing while you work. You can manipulate the geometry through custom grips or custom properties. This allows you to adjust the block reference in-place as necessary rather than searching for another block to insert or redefining the existing one.

For example, if you insert a door block reference in a drawing, you might need to change the size of the door while you're editing the drawing. If the block is dynamic and defined to have an adjustable size, you can change the size of the door simply by dragging the custom grip or by specifying a different size in Properties palette. You might also need to change the open angle of the door. The door block might also contain an alignment grip, which allows you to align the door block reference easily to other geometry in the drawing.

Hovering over a grip can also display a tooltip or prompt that explains the parameter related to the grip. The display of the tooltip is controlled by the GRIPTIPS system variable.

A dynamic block can have custom grips and custom properties. Depending on how the block was defined, you may be able to manipulate the block through these custom grips and custom properties. By default, custom grips for a dynamic block are a different color than standard grips. You can change the display color for custom grips with the GRIPDYNCOLOR system variable. The following table shows the different types of custom grips that can be included in a dynamic block.

Grip Type | How the Grip Can Be Manipulated in a Drawing
Standard | Within a plane in any direction
Linear | Back and forth in a defined direction or along an axis
Rotation | Around an axis
Flip | Clicked to flip the dynamic block reference
Alignment | Within a plane in any direction; when moved over an object, triggers the block reference to align with the object
Lookup | Clicked to display a list of items

After you've manipulated a dynamic block in a drawing, you can reset it. When you reset a block reference, the block changes back to the default specified in the block definition. If you non-uniformly scale or explode a dynamic block reference, it loses its dynamic properties. You can reset the block to its default values, which will make it dynamic again.

Some dynamic blocks are defined so that geometry within the block can only be edited to certain sizes specified in the block definition. When you use a grip to edit the block reference, tick marks are displayed at the locations of valid values for the block reference. If you change a block property value to a value other than one specified in the definition, the parameter will adjust to the closest valid value. For example, a block is defined to have a length of 2, 4, and 6. When you try to change that distance value to 10, the resulting value is 6 because it is the closest valid value.


Work with Dynamic Blocks in Drawings (Procedure)

Insert Blocks
Work with Dynamic Blocks in Drawings
Work with Dynamic Blocks in Drawings
Create and Modify Objects > Create and Use Blocks (Symbols) > Work with Dynamic Blocks in Drawings >
Work with Dynamic Blocks in Drawings
Concept Procedure Quick Reference

To manipulate a dynamic block using custom grips

To manipulate a dynamic block using custom properties

To reset block references in a drawing

To change the display color for custom grips


To manipulate a dynamic block using custom grips (Procedure)

Work with Dynamic Blocks in Drawings
Work with Dynamic Blocks in Drawings
Work with Dynamic Blocks in Drawings
Create and Modify Objects > Create and Use Blocks (Symbols) > Work with Dynamic Blocks in Drawings >
Work with Dynamic Blocks in Drawings
Concept Procedure Quick Reference

To manipulate a dynamic block using custom grips

  1. In a drawing, select a dynamic block reference.
  2. Use the grips to stretch or change the block.


To manipulate a dynamic block using custom properties (Procedure)

Work with Dynamic Blocks in Drawings
Work with Dynamic Blocks in Drawings
Work with Dynamic Blocks in Drawings
Create and Modify Objects > Create and Use Blocks (Symbols) > Work with Dynamic Blocks in Drawings >
Work with Dynamic Blocks in Drawings
Concept Procedure Quick Reference

To manipulate a dynamic block using custom properties

  1. In a drawing, select a dynamic block reference.
  2. In the Properties palette, under Custom, change the required values.


To reset block references in a drawing (Procedure)

Work with Dynamic Blocks in Drawings
Work with Dynamic Blocks in Drawings
Work with Dynamic Blocks in Drawings
Create and Modify Objects > Create and Use Blocks (Symbols) > Work with Dynamic Blocks in Drawings >
Work with Dynamic Blocks in Drawings
Concept Procedure Quick Reference

To reset block references in a drawing

  1. In a drawing, select a dynamic block reference.
  2. Right-click in the drawing area. Click Reset Block.
    NoteTo reset more than one block reference at a time, use the RESETBLOCK command.
Command entry: RESETBLOCK


To change the display color for custom grips (Procedure)

Work with Dynamic Blocks in Drawings
Work with Dynamic Blocks in Drawings
Attach Data to Blocks (Block Attributes)
Create and Modify Objects > Create and Use Blocks (Symbols) > Work with Dynamic Blocks in Drawings >
Work with Dynamic Blocks in Drawings
Concept Procedure Quick Reference

To change the display color for custom grips

  1. At the command prompt, enter gripdyncolor.
  2. Enter an integer from 1 to 255 (ACI color).
  3. Press ENTER.


Work with Dynamic Blocks in Drawings (Quick Reference)

Insert Blocks
Work with Dynamic Blocks in Drawings
Overview of Block Attributes
Create and Modify Objects > Create and Use Blocks (Symbols) > Work with Dynamic Blocks in Drawings >
Work with Dynamic Blocks in Drawings
Concept Procedure Quick Reference

Commands

ATTSYNC

Updates block references with new and changed attributes from a specified block definition

INSERT

Inserts a block or drawing into the current drawing

PROPERTIES

Controls properties of existing objects

RESETBLOCK

Resets one or more dynamic block references to the default values of the block definition

System Variables

BTMARKDISPLAY

Controls whether or not value set markers are displayed for dynamic block references

GRIPDYNCOLOR

Controls the color of custom grips for dynamic blocks

GRIPTIPS

Controls the display of grip tips when the cursor hovers over grips on dynamic blocks and custom objects that support grip tips

Utilities

No entries

Command Modifiers

No entries


Attach Data to Blocks (Block Attributes)

Work with Dynamic Blocks in Drawings
Create and Use Blocks (Symbols)
Overview of Block Attributes
Create and Modify Objects > Create and Use Blocks (Symbols) >
Attach Data to Blocks (Block Attributes)
Concept Procedure

You can attach information to blocks and later extract the information to create a bill of materials or other report.

Topics in this section

  • Overview of Block Attributes
  • Define Block Attributes

    To create an attribute, you first create an attribute definition, which stores the characteristics of the attribute.

  • Extract Data from Block Attributes

    If you have attached attributes to blocks, you can then query one or more drawings for this block attribute information and save it to a table or to an external file.

  • Extract Block Attribute Data (Advanced)

    Using an attribute extraction template file, you can extract attribute information from a drawing and create a separate text file for use with database software.


Attach Data to Blocks (Block Attributes) (Procedure)

Work with Dynamic Blocks in Drawings
Attach Data to Blocks (Block Attributes)
Define Block Attributes
Create and Modify Objects > Create and Use Blocks (Symbols) > Attach Data to Blocks (Block Attributes) >
Attach Data to Blocks (Block Attributes)
Concept Procedure

To create an attribute definition

To create a multiline attribute definition

To edit an attribute definition before it is associated with a block

To change the prompt order of attribute definitions

To extract block attributes to a table or a file

To update extracted attribute data in a table

To turn off update notification for extracted attribute data in tables

To create an attribute extraction template file

To extract attribute information


Overview of Block Attributes (Concept)

Attach Data to Blocks (Block Attributes)
Attach Data to Blocks (Block Attributes)
Define Block Attributes
Create and Modify Objects > Create and Use Blocks (Symbols) > Attach Data to Blocks (Block Attributes) >
Overview of Block Attributes
Concept Quick Reference

An attribute is a label or tag that attaches data to a block. Examples of data that might be contained in an attribute are part numbers, prices, comments, and owners' names. The tag is equivalent to a column name in a database table. The following illustration shows a block with four attributes: type, manufacturer, model, and cost.

The attributes in the illustration are single-line attributes. You can also create multiple-line attributes to store data such as addresses and descriptions.

Attribute information extracted from a drawing can be used in a spreadsheet or database to produce a parts list or a bill of materials. You can associate more than one attribute with a block, provided that each attribute has a different tag.

Attributes also can be "invisible." An invisible attribute is not displayed or plotted; however, the attribute information is stored in the drawing file and can be written to an extraction file for use in a database program.

Whenever you insert a block that has a variable attribute, you are prompted to enter data to be stored with the block. Blocks can also use constant attributes, attributes whose values do not change. Constant attributes do not prompt you for a value when you insert the block.

You can also create annotative attributes. For more information about creating and working with an annotative attributes, see Create Annotative Blocks and Attributes.

See Also

    • Modify a Block Attribute Definition

    • Scale Annotations


Overview of Block Attributes (Quick Reference)

Work with Dynamic Blocks in Drawings
Overview of Block Attributes
Define Block Attributes
Create and Modify Objects > Create and Use Blocks (Symbols) > Attach Data to Blocks (Block Attributes) > Overview of Block Attributes >
Overview of Block Attributes
Concept Quick Reference

Commands

Creates an attribute definition for storing data in a block

ATTDISP

Retains current visibility setting of each attribute

ATTEDIT

Changes attribute information in a block

ATTIPEDIT

Changes the textual content of an attribute within a block

DDEDIT

Edits single-line text, dimension text, attribute definitions, and feature control frames

PROPERTIES

Controls properties of existing objects

System Variables

AFLAGS

Sets options for attributes

ATTDIA

Controls whether the INSERT command uses a dialog box for attribute value entry

ATTIPE

Controls the display of the in-place editor used to create multiline attributes

ATTMODE

Controls display of attributes

ATTMULTI

Controls whether multiline attributes can be created

ATTREQ

Controls whether INSERT uses default attribute settings during insertion of blocks

Utilities

No entries

Command Modifiers

No entries


Define Block Attributes (Concept)

Overview of Block Attributes
Attach Data to Blocks (Block Attributes)
Extract Data from Block Attributes
Create and Modify Objects > Create and Use Blocks (Symbols) > Attach Data to Blocks (Block Attributes) >
Define Block Attributes
Concept Procedure Quick Reference

To create an attribute, you first create an attribute definition, which stores the characteristics of the attribute.

The characteristics include the tag, which is a name that identifies the attribute, the prompt displayed when you insert the block, value information, text formatting, location within the block, and any optional modes (Invisible, Constant, Verify, Preset, Lock Position, and Multiple Lines).

If you plan to extract the attribute information for use in a parts list, you may want to keep a list of the attribute tags you have created. You will need this tag information later when you create the attribute template file.

Choose Attribute Modes

Attribute modes control the behavior of attributes in blocks. For example, you can control

  • Whether an attribute is visible or invisible in the drawing
  • Whether an attribute has a constant value, such as a part number
  • Whether the attribute can be moved relative to the rest of the block
  • Whether the attribute is a single-line attribute or a multiple-line attribute

If an attribute has a constant value, you will not be prompted for its value when you insert the block. If an attribute has a variable value, such as the asset number of a computer, you will be prompted when you insert the block.

Understand Single-Line and Multiple-Line Attributes

There are several differences between single-line and multiple-line attributes.

  • Single-line attributes are limited to 255 characters from the user interface.
  • Multiple-line attributes provide more formatting options than single-line attributes.
  • When editing single-line and multiple line attributes, different editors are displayed.
  • Multiple line attributes display four grips similar to MTEXT objects, while single-line attributes display only one grip.
  • When a drawing is saved to AutoCAD 2007 or earlier, a multiple-line attribute is converted to several single-line attributes, one for every line of text in the original multiple-line attribute. If the drawing file is opened in the current release, these single line attributes are automatically merged back into a multiple-line attribute.
NoteIf a multiple-line attribute makes a round trip to an earlier release of AutoCAD, the differences between these two types of attributes might result in truncating very long lines of text and loss of formatting. However, before any characters are truncated, AutoCAD displays a dialog box that lets you cancel the operation.

Correct Mistakes in Block Attribute Definitions

If you make a mistake, you can use the Properties palette or DDEDIT to make limited changes to an attribute definition before it is associated with a block. If you need to make more extensive changes, delete the attribute definition and create a new one.

Attach Attributes to Blocks

After you create one or more attribute definitions, you attach the attributes to a block when you define or redefine that block. When you are prompted to select the objects to include in the block definition, include in the selection set any attributes you want to attach to the block.

To use several attributes together, define them and then include them in the same block. For example, you can define attributes tagged "Type," "Manufacturer," “Model,” and “Cost,” and then include them in a block called CHAIR.

Usually, the order of the attribute prompts is the same as the order in which you selected the attributes when you created the block. However, if you used crossing or window selection to select the attributes, the order of the prompts is the reverse of the order in which you created attributes. You can use the Block Attribute Manager to change the order in which you are prompted for attribute information when you insert the block reference.

When you open a block definition in the Block Editor, you can use the Attribute Order dialog box to change the order in which you are prompted for attribute information when you insert the block reference.

Use Attributes Without Attaching Them to Blocks

Stand-alone attributes can also be created. Once attributes have been defined, and the drawing is saved, this drawing file can be inserted into another drawing. When the drawing is inserted, you are prompted for the attribute values.


Define Block Attributes (Procedure)

Attach Data to Blocks (Block Attributes)
Up a level to ..
Define Block Attributes
Create and Modify Objects > Create and Use Blocks (Symbols) > Attach Data to Blocks (Block Attributes) > Define Block Attributes >
Define Block Attributes
Concept Procedure Quick Reference

To create an attribute definition

To create a multiline attribute definition

To edit an attribute definition before it is associated with a block

To change the prompt order of attribute definitions


To create an attribute definition (Procedure)

Define Block Attributes
Up a level to ..
Define Block Attributes
Create and Modify Objects > Create and Use Blocks (Symbols) > Attach Data to Blocks (Block Attributes) > Define Block Attributes >
Define Block Attributes
Concept Procedure Quick Reference

To create an attribute definition

  1. Click Home tab [image] Block panel [image] Define Attributes. At the command prompt, enter attdef.
  2. In the Attribute Definition dialog box, set the attribute modes and enter tag information, location, and text options.
  3. Click OK.

    After creating the attribute definition, you can select it as an object while creating a block definition. If the attribute definition is incorporated into a block, whenever you insert the block, you are prompted with the text string you specified for the attribute. Each subsequent instance of the block can have a different value specified for the attribute.

Command entry: ATTDEF


To create a multiline attribute definition (Procedure)

Define Block Attributes
Up a level to ..
Define Block Attributes
Create and Modify Objects > Create and Use Blocks (Symbols) > Attach Data to Blocks (Block Attributes) > Define Block Attributes >
Define Block Attributes
Concept Procedure Quick Reference

To create a multiline attribute definition

  1. Click Home tab [image] Block panel [image] Define Attributes. At the command prompt, enter attdef.
  2. In the Attribute Definition dialog box, under Mode, select Multiple Lines.
  3. Enter tag information, location, and text options.
  4. (Optional) Under Text Settings, Boundary Width, specify a value.
  5. (Optional) Click the Multiline In-Place Text Editor button to use the in-place text editor to format the attribute in the drawing.
  6. Click OK.

    After creating the attribute definition, you can select it as an object while creating a block definition. If the attribute definition is incorporated into a block, whenever you insert the block, you are prompted with the text string you specified for the attribute. Each subsequent instance of the block can have a different value specified for the attribute.

Command entry: ATTDEF


To edit an attribute definition before it is associated with a block (Procedure)

Define Block Attributes
Up a level to ..
Define Block Attributes
Create and Modify Objects > Create and Use Blocks (Symbols) > Attach Data to Blocks (Block Attributes) > Define Block Attributes >
Define Block Attributes
Concept Procedure Quick Reference

To edit an attribute definition before it is associated with a block

  1. Click Modify menu [image] Object [image] Text.
  2. Select the attribute to edit.
  3. In the Edit Attribute Definition dialog box, specify the attribute tag, prompt, and default value. Then click OK.
Command entry: DDEDIT


To change the prompt order of attribute definitions (Procedure)

Define Block Attributes
Up a level to ..
Extract Data from Block Attributes
Create and Modify Objects > Create and Use Blocks (Symbols) > Attach Data to Blocks (Block Attributes) > Define Block Attributes >
Define Block Attributes
Concept Procedure Quick Reference

To change the prompt order of attribute definitions

  1. In the Block Editor, select a block attribute.
  2. Right-click in the Block Editor drawing area.
  3. Click Attribute Order.
  4. In the Attribute Order dialog box, select an attribute definition.
  5. Click Move Up or Move Down to change the prompt order of the attribute definitions.
  6. Repeat steps 2 and 3 until the attribute definition list is in the desired order.
  7. Click OK.
Command entry: BEDIT [image] BATTORDER


Define Block Attributes (Quick Reference)

Overview of Block Attributes
Define Block Attributes
Extract Data from Block Attributes
Create and Modify Objects > Create and Use Blocks (Symbols) > Attach Data to Blocks (Block Attributes) > Define Block Attributes >
Define Block Attributes
Concept Procedure Quick Reference

Commands

ATTDEF

Creates an attribute definition for storing data in a block

ATTDISP

Retains current visibility setting of each attribute

BATTORDER

Specifies the order of attributes for a block

DDEDIT

Edits single-line text, dimension text, attribute definitions, and feature control frames

PROPERTIES

Controls properties of existing objects

System Variables

AFLAGS

Sets options for attributes

ATTIPE

Controls the display of the in-place editor used to create multiline attributes

ATTMULTI

Controls whether multiline attributes can be created

Utilities

No entries

Command Modifiers

No entries


Extract Data from Block Attributes (Concept)

Define Block Attributes
Attach Data to Blocks (Block Attributes)
Extract Block Attribute Data (Advanced)
Create and Modify Objects > Create and Use Blocks (Symbols) > Attach Data to Blocks (Block Attributes) >
Extract Data from Block Attributes
Concept Procedure Quick Reference

If you have attached attributes to blocks, you can then query one or more drawings for this block attribute information and save it to a table or to an external file.

Extracting attribute information is an easy way to produce a schedule or bill of materials directly from your drawing data. For example, a facilities drawing might contain blocks representing office equipment. If each block has attributes identifying the model and manufacturer of the equipment, you can generate a report that estimates the cost of the equipment.

The Data Extraction wizard guides you through selecting drawings, block instances, and attributes. The wizard can also create a file with a .dxe file extension that contains all the settings for later reuse.

Output to a Table

If you extract attribute data to a table, the table is inserted in the current drawing and current space (model space or paper space) and on the current layer.

When you update the table, the attribute information is extracted again and the data rows in the table are replaced. If you have included a title row or one or more header rows in the table, they are not replaced during the update.

NoteFor access to shortcut menus in the drawing area that are needed for editing and updating tables, the Shortcut Menus in Drawing Area must be checked in the Options dialog box, User Preferences tab.

Output to a File

If you save the data to an external file, the comma-separated (CSV), tab-separated (TXT), Microsoft Excel (XLS), and Microsoft Access (MDB) file formats are available.

When the characters period (.), comma (,), or pound sign (#) are written to an Excel or Access file, they are replaced with their Unicode representation.

See Also
    • Extract Data from Drawings and Spreadsheets


Extract Data from Block Attributes (Procedure)

Define Block Attributes
Up a level to ..
Extract Data from Block Attributes
Create and Modify Objects > Create and Use Blocks (Symbols) > Attach Data to Blocks (Block Attributes) > Extract Data from Block Attributes >
Extract Data from Block Attributes
Concept Procedure Quick Reference

To extract block attributes to a table or a file

To update extracted attribute data in a table

To turn off update notification for extracted attribute data in tables


To extract block attributes to a table or a file (Procedure)

Extract Data from Block Attributes
Up a level to ..
Extract Data from Block Attributes
Create and Modify Objects > Create and Use Blocks (Symbols) > Attach Data to Blocks (Block Attributes) > Extract Data from Block Attributes >
Extract Data from Block Attributes
Concept Procedure Quick Reference

To extract block attributes to a table or a file

  • Click Tools menu [image] Data Extraction.At the command prompt, enter dataextraction.

    The Data Extraction Wizard is displayed. The wizard provides step-by-step instructions for extracting information from block attributes in the current drawing or other drawings. The information is used to create a table in the current drawing or is saved to an external file.

    The Data Extraction wizard topic describes the options in the wizard.

Toolbar: Modify II
Command entry: DATAEXTRACTION


To update extracted attribute data in a table (Procedure)

Extract Data from Block Attributes
Up a level to ..
Extract Data from Block Attributes
Create and Modify Objects > Create and Use Blocks (Symbols) > Attach Data to Blocks (Block Attributes) > Extract Data from Block Attributes >
Extract Data from Block Attributes
Concept Procedure Quick Reference

To update extracted attribute data in a table

  • When the Out-Of-Date Table dialog box displays, click Update.


To turn off update notification for extracted attribute data in tables (Procedure)

Extract Data from Block Attributes
Up a level to ..
Extract Block Attribute Data (Advanced)
Create and Modify Objects > Create and Use Blocks (Symbols) > Attach Data to Blocks (Block Attributes) > Extract Data from Block Attributes >
Extract Data from Block Attributes
Concept Procedure Quick Reference

To turn off update notification for extracted attribute data in tables

  1. At the command prompt, enter DXEVAL.
  2. Enter 0.


Extract Data from Block Attributes (Quick Reference)

Define Block Attributes
Extract Data from Block Attributes
Extract Block Attribute Data (Advanced)
Create and Modify Objects > Create and Use Blocks (Symbols) > Attach Data to Blocks (Block Attributes) > Extract Data from Block Attributes >
Extract Data from Block Attributes
Concept Procedure Quick Reference

Commands

DATAEXTRACTION

Extracts and exports object property data from drawings and merges data from an external source to a data extraction table or external file

System Variables

DXEVAL

Controls when update notification displays for data extraction tables

Utilities

No entries

Command Modifiers

No entries


Extract Block Attribute Data (Advanced) (Concept)

Extract Data from Block Attributes
Attach Data to Blocks (Block Attributes)
Modify Blocks
Create and Modify Objects > Create and Use Blocks (Symbols) > Attach Data to Blocks (Block Attributes) >
Extract Block Attribute Data (Advanced)
Concept Procedure Quick Reference

Using an attribute extraction template file, you can extract attribute information from a drawing and create a separate text file for use with database software.

You can extract attribute information from a drawing and create a separate text file for use with database software. This feature is useful for creating parts lists with information already entered in the drawing database. Extracting attribute information does not affect the drawing.

To create a parts list

  • Create and edit an attribute definition
  • Enter values for the attributes as you insert the blocks
  • Create a template file and then extract attribute information to a text file

To extract attribute information, you first create an attribute template file using any text processor, then generate the attribute extraction file using AutoCAD, and, finally, open the attribute extraction file in a database application. If you plan to extract the attribute information to a DXF (drawing interchange format) file, it is not necessary to first create an attribute template file.

NoteMake sure that the attribute extraction file does not have the same name as the attribute template file.

Create an Attribute Extraction Template File

Before you extract attribute information, you must create an ASCII template file to define the structure of the file that will contain the extracted attribute information. The template file contains information about the tag name, data type, field length, and number of decimal places associated with the information you want to extract.

Each field in the template file extracts information from the block references in the drawing. Each line in the template file specifies one field to be written to the attribute extraction file, including the name of the field, its character width, and its numerical precision. Each record in the attribute extraction file includes all the specified fields in the order given by the template file.

The following template file includes the 15 possible fields. N means numeric, C means character, www means a 3 digit number for the total width of the field, and ddd means a 3 digit number representing how many numeric decimal places are to be displayed to the right of the decimal point.

BL:NAME Cwww000 (Block name)

BL:LEVEL Nwww000 (Block nesting level)

BL:X Nwwwddd(X coordinate of block insertion point)

BL:Y Nwwwddd(Y coordinate of block insertion point)

BL:Z Nwwwddd(Z coordinate of block insertion point)

BL:NUMBER Nwww000 (Block counter; the same for MINSERT)

BL:HANDLE Cwww000 (Block handle; the same for MINSERT)

BL:LAYER Cwww000 (Block insertion layer name)

BL:ORIENT Nwwwddd(Block rotation angle)

BL:XSCALE Nwwwddd(X scale factor)

BL:YSCALE Nwwwddd(Y scale factor)

BL:ZSCALE Nwwwddd(Z scale factor)

BL:XEXTRUDE Nwwwddd(X component of block extrusion direction)

BL:YEXTRUDE Nwwwddd(Y component of block extrusion direction)

BL:ZEXTRUDE Nwwwddd(Z component of block extrusion direction)

numericNwwwddd (Numeric attribute tag)

characterCwww000 (Character attribute tag)

The template file can include any or all of the BL:xxxxxxx field names listed, but must include at least one attribute tag field. The attribute tag fields determine which attributes, hence which blocks, are included in the attribute extraction file. If a block contains some, but not all, of the specified attributes, the values for the absent ones are filled with blanks or zeros, depending on whether the field is a character field or a numeric field.

Comments should not be included in an attribute template file.

The illustration and table show an example of the type of information you're likely to extract, including block name, manufacturer, model number, and cost.

Field | (C)haracter or (N)umeric data | Maximum field length | Decimal places
Block name | C | 040 | 000
Manufacturer | C | 006 | 000
Model | C | 015 | 000
Cost | N | 006 | 002

You can create any number of template files, depending on how you'll use the data. Each line of a template file specifies one field to be written in the attribute extraction file.

Follow these additional guidelines:

  • Be sure to place a space between the attribute tag and the character or numeric data. Use SPACEBAR, not TAB, to enter the space.
  • Press ENTER at the end of each line, including the last line.
  • Each attribute extraction template file must include at least one attribute tag field, but the same field can appear only once in the file.

The following is a sample template file.

BL:NAME C008000 (Block name, 8 characters)

BL:X N007001 (X coordinate, format nnnnnn.d)

BL:Y N007001 (Y coordinate, format nnnnnn.d)

SUPPLIER C016000 (Manufacturer's name, 16 characters)

MODEL C009000 (Model number, 9 characters)

PRICE N009002 (Unit price, format nnnnnnnn.dd)

NoteThe format code for a numeric field includes the decimal point in the total field width. For example, the minimum field width to accommodate the number 249.95 would be 6 and would be represented as N006002. Character fields do not use the last three digits of the format code.

Create an Attribute Extraction File

After creating a template file, you can extract the attribute information using one of the following formats:

  • Comma-delimited format (CDF)
  • Space-delimited format (SDF)
  • Drawing interchange format (DXF)

The CDF format produces a file containing one record for each block reference in a drawing. A comma separates the fields of each record, and single quotation marks enclose the character fields. Some database applications can read this format directly.

The SDF format also produces a file containing one record for each block reference in a drawing. The fields of each record have a fixed width and employ neither field separators nor character-string delimiters. The dBASE III Copy . . . SDF operation also produces SDI-format files. The Append From... SDF operation can read a file in dBASE IV format, which user programs written in FORTRAN can easily process.

DXF produces a subset of the drawing interchange format containing only block reference, attribute, and end-of-sequence objects. This option requires no attribute extraction template. The file extension .dxx distinguishes an extraction file in DXF format from normal DXF files.

Use the Attribute Extraction File

The attribute extraction file lists values and other information for the attribute tags you specified in the template file.

If you specified a CDF format using the sample template, the output might appear as follows:

'DESK', 120.0, 49.5, 'ACME INDUST.', '51-793W', 379.95

'CHAIR', 122.0, 47.0, 'ACME INDUST.', '34-902A', 199.95

'DESK', -77.2, 40.0, 'TOP DRAWER INC.', 'X-52-44',249.95

By default, character fields are enclosed with single quotes (apostrophes). The default field delimeter is a comma. The following two template records can be used to override these defaults:

C:QUOTE c (Character string delimeter)

C:DELIM c (Field delimeter)

The first nonblank character following the C:QUOTE or C:DELIM field name becomes the respective delimiter character. For example, if you want to enclose character strings with double quotes, include the following line in your attribute extraction template file:

C:QUOTE "

The quote delimiter must not be set to a character that can appear in a character field. Similarly, the field delimiter must not be set to a character that can appear in a numeric field.

If you specified an SDF format using the sample template, the file might be similar to the following example.

(NAME) | (X) | (Y) | (SUPPLIER) | (MODEL) | (PRICE)
DESK | 120.0 | 49.5 | ACME INDUST. | 51-793W | 379.95
CHAIR | 122.0 | 47.0 | ACME INDUST. | 34-902A | 199.95
DESK | -77.2 | 40.0 | TOP DRAWER INC. | X-52-44 | 249.95

The order of the fields corresponds to the order of the fields in the template files. You can use these files in other applications, such as spreadsheets, and you can sort and manipulate the data as needed. For example, you can open an attribute extraction file in Microsoft Excel in which you can specify a separate column for each field. See the documentation for your spreadsheet program for information about how to use data from other applications. If you open the file in Notepad or another Windows text processor, you can paste the information back into the drawing as text.

Nested Blocks

The line BL:LEVEL in a template file reports the nesting level of a block reference. A block that is inserted in a drawing has a nesting level of 1. A block reference that is part of (nested within) another block has a nesting level of 2, and so on.

For a nested block reference, the X,Y, Z coordinate values, scale factors, extrusion direction, and rotation angle reflect the actual location, size, orientation, and rotation of the nested block in the world coordinate system.

In some complex cases, nested block references cannot be correctly represented with only two scale factors and a rotation angle, for example, if a nested block reference is rotated in 3D. When this happens, the scale factors and rotation angle in the extracted file record are set to zero.

Error Handling

If a field is not wide enough for the data that is to be placed in it, the data is truncated and the following message is displayed:

** Field overflow in record <record number>

This could happen, for example, if you have a BL:NAME field with a width of 8 characters and a block in your drawing has a name 10 characters long.


Extract Block Attribute Data (Advanced) (Procedure)

Extract Data from Block Attributes
Up a level to ..
Extract Block Attribute Data (Advanced)
Create and Modify Objects > Create and Use Blocks (Symbols) > Attach Data to Blocks (Block Attributes) > Extract Block Attribute Data (Advanced) >
Extract Block Attribute Data (Advanced)
Concept Procedure Quick Reference

To create an attribute extraction template file

To extract attribute information


To create an attribute extraction template file (Procedure)

Extract Block Attribute Data (Advanced)
Up a level to ..
Extract Block Attribute Data (Advanced)
Create and Modify Objects > Create and Use Blocks (Symbols) > Attach Data to Blocks (Block Attributes) > Extract Block Attribute Data (Advanced) >
Extract Block Attribute Data (Advanced)
Concept Procedure Quick Reference

To create an attribute extraction template file

  1. Start Notepad.

    You can use any text editor or word processor that can save a text file in ASCII format.

  2. Enter template information in Notepad. See Extract Block Attribute Data (Advanced) for format information.
  3. Save the file with a .txt file extension.

    To extract data about a specific tag, insert the tag name in place of the "numeric" or "character" fields.

WarningDo not use tab characters when constructing the template file with a word processor. If you use tab character alignment, the attribute information file is not created. To align the columns, insert ordinary spaces by pressing SPACEBAR. The use of tab characters may cause inconsistent alignment.


To extract attribute information (Procedure)

Extract Block Attribute Data (Advanced)
Up a level to ..
Modify Blocks
Create and Modify Objects > Create and Use Blocks (Symbols) > Attach Data to Blocks (Block Attributes) > Extract Block Attribute Data (Advanced) >
Extract Block Attribute Data (Advanced)
Concept Procedure Quick Reference

To extract attribute information

  1. At the command prompt, enter attext.
  2. In the Attribute Extraction dialog box, specify the appropriate file format: CDF, SDF, or DXF.
  3. Specify the objects to extract attributes from by choosing Select Objects.

    You can select a single block or multiple blocks in the drawing.

  4. Specify the attribute template file to use by entering the file name or by choosing Template File and browsing.
  5. Specify the output attribute information file by entering the file name or by choosing Output File and browsing.
  6. Click OK.
Command entry: ATTEXT


Extract Block Attribute Data (Advanced) (Quick Reference)

Extract Data from Block Attributes
Extract Block Attribute Data (Advanced)
Modify a Block Definition
Create and Modify Objects > Create and Use Blocks (Symbols) > Attach Data to Blocks (Block Attributes) > Extract Block Attribute Data (Advanced) >
Extract Block Attribute Data (Advanced)
Concept Procedure Quick Reference

Commands

ATTEXT

Extracts attribute data, informational text associated with a block, into a file

DATAEXTRACTION

Extracts and exports object property data from drawings and merges data from an external source to a data extraction table or external file

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Modify Blocks

Extract Block Attribute Data (Advanced)
Create and Use Blocks (Symbols)
Modify a Block Definition
Create and Modify Objects > Create and Use Blocks (Symbols) >
Modify Blocks
Concept Procedure

You can modify a block definition or a block reference already inserted in the drawing.

Topics in this section

  • Modify a Block Definition

    When you redefine block definitions in your current drawing, both previous and future insertions of the block in the drawing are affected.

  • Change the Color and Linetype in a Block

    You can change the color and linetype of the objects within a block only if the objects in that block were created with floating properties.

  • Modify the Data in Block Attributes

    You can edit the values of attributes that are attached to a block and inserted in a drawing.

  • Modify a Block Attribute Definition

    You can edit the values and other properties of all attributes that are already attached to a block and inserted in a drawing.

  • Disassemble a Block Reference (Explode)


Modify Blocks (Procedure)

Extract Block Attribute Data (Advanced)
Modify Blocks
Modify a Block Definition
Create and Modify Objects > Create and Use Blocks (Symbols) > Modify Blocks >
Modify Blocks
Concept Procedure

To update a block definition that originated from a drawing file

To modify a block description

To change the layer of an object

To change the color assigned to a layer

To change the color of an object, overriding the layer's color

To change the linetype assigned to a layer

To change the linetype of an object, overriding the layer's linetype

To modify an existing block definition

To edit attribute data

To edit attributes assigned to a block definition

To specify whether changes are applied to existing block references

To highlight duplicate attribute tags in a block

To change the prompt order for attribute values

To remove an attribute from a block definition and all block references

To update existing block references with attributes you have modified

To update the attributes in block references for a selected block definition

To explode a block reference

To control properties while you explode an object


Modify a Block Definition (Concept)

Modify Blocks
Modify Blocks
Change the Color and Linetype in a Block
Create and Modify Objects > Create and Use Blocks (Symbols) > Modify Blocks >
Modify a Block Definition
Concept Procedure Quick Reference

When you redefine block definitions in your current drawing, both previous and future insertions of the block in the drawing are affected.

You can redefine block definitions in your current drawing. Redefining a block definition affects both previous and future insertions of the block in the current drawing and any associated attributes.

There are two methods for redefining a block definition:

  • Modify the block definition in the current drawing.
  • Modify the block definition in the source drawing and reinsert it into the current drawing.

The method you choose depends on whether you want to make changes in the current drawing only or in a source drawing also.

Modify a Block Definition in the Current Drawing

To modify a block definition, follow the procedure to create a new block definition, but enter the name of the existing block definition. This replaces the existing block definition, and all the references to that block in the drawing are immediately updated to reflect the new definition.

To save time, you can insert and explode an instance of the original block and then use the resulting objects in creating the new block definition.

Update a Block Definition That Originated from a Drawing File

Block definitions created in your current drawing by inserting a drawing file are not updated automatically when the original drawing is modified. You can use INSERT to update a block definition from the drawing file.

Update a Block Definition That Originated from a Library Drawing (Advanced)

DesignCenter™ does not overwrite an existing block definition in a drawing with one that comes from another drawing. To update a block definition that came from a library drawing, use WBLOCK to create a separate drawing file from the library drawing block. Then, use INSERT to overwrite the block definition in the drawing that uses the block.

NoteBlock descriptions are stripped off when using INSERT. Use the Clipboard to copy and paste a block description displayed in the Block Definition dialog box from one block definition to another.

Modify the Description of a Block

To modify the DesignCenter description of a block definition, use BLOCK. You can also add descriptions to any number of existing blocks in the Block Definition dialog box.

Redefine Block Attributes

You can attach attributes to a block when you define or redefine that block. When you are prompted to select the objects to include in the block definition, include the desired attributes in the selection set. Redefining the attributes in the block definition has the following effects on block references that were previously inserted:

  • Constant attributes, which have a fixed value, are lost and replaced by any new constant attributes.
  • Variable attributes remain unchanged, even if the new block definition has no attributes.
  • New attributes do not appear in the existing block references.
See Also

    • Attach Data to Blocks (Block Attributes)

    • Modify Dynamic Block Definitions


Modify a Block Definition (Procedure)

Modify Blocks
Up a level to ..
Modify a Block Definition
Create and Modify Objects > Create and Use Blocks (Symbols) > Modify Blocks > Modify a Block Definition >
Modify a Block Definition
Concept Procedure Quick Reference

To update a block definition that originated from a drawing file

To modify a block description


To update a block definition that originated from a drawing file (Procedure)

Modify a Block Definition
Up a level to ..
Modify a Block Definition
Create and Modify Objects > Create and Use Blocks (Symbols) > Modify Blocks > Modify a Block Definition >
Modify a Block Definition
Concept Procedure Quick Reference

To update a block definition that originated from a drawing file

  1. If DesignCenter is not already open, click Tools menu [image] Palettes [image] DesignCenter.If DesignCenter is not already open, at the command prompt, enter adcclose.
  2. In the tree view, click the folder that contains the drawing file from which the block originated.
  3. In the content area (on the right side), right-click the drawing file.
  4. On the shortcut menu, click Insert as Block.
  5. In the Insert dialog box, click OK.
  6. In the alert box, click Yes to overwrite the existing block definition.
  7. Press ESC to exit the command.


To modify a block description (Procedure)

Modify a Block Definition
Up a level to ..
Change the Color and Linetype in a Block
Create and Modify Objects > Create and Use Blocks (Symbols) > Modify Blocks > Modify a Block Definition >
Modify a Block Definition
Concept Procedure Quick Reference

To modify a block description

  1. Click Modify menu [image] Object [image] Block Description.At the command prompt, enter block.
  2. In the Block Definition dialog box, in the Name list, select the block for which you want to modify the block description.
  3. In the Description box, enter or modify the description of the block.
  4. Click OK.
  5. A message box displays the warning "Block name is already defined. Do you want to re-define it?" Click Yes to redefine the block.
Command entry: BLOCK


Modify a Block Definition (Quick Reference)

Extract Block Attribute Data (Advanced)
Modify a Block Definition
Change the Color and Linetype in a Block
Create and Modify Objects > Create and Use Blocks (Symbols) > Modify Blocks > Modify a Block Definition >
Modify a Block Definition
Concept Procedure Quick Reference

Commands

BLOCK

Creates a block definition from selected objects

EXPLODE

Breaks a compound object into its component objects

PROPERTIES

Controls properties of existing objects

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Change the Color and Linetype in a Block (Concept)

Modify a Block Definition
Modify Blocks
Modify the Data in Block Attributes
Create and Modify Objects > Create and Use Blocks (Symbols) > Modify Blocks >
Change the Color and Linetype in a Block
Concept Procedure Quick Reference

You can change the color and linetype of the objects within a block only if the objects in that block were created with floating properties.

Blocks containing objects with floating properties inherit their color and linetype from the layer on which they are inserted. Depending on how the objects in the block were created, blocks can also inherit floating color and linetype properties from the current explicit color and linetype that you set to override the layer settings.

If a block was not created using objects with floating color and linetype properties, the only way to change these properties is to redefine the block.

See Also

    • Control the Color and Linetype Properties in Blocks


Change the Color and Linetype in a Block (Procedure)

Modify a Block Definition
Up a level to ..
Change the Color and Linetype in a Block
Create and Modify Objects > Create and Use Blocks (Symbols) > Modify Blocks > Change the Color and Linetype in a Block >
Change the Color and Linetype in a Block
Concept Procedure Quick Reference

To change the layer of an object

To change the color assigned to a layer

To change the color of an object, overriding the layer's color

To change the linetype assigned to a layer

To change the linetype of an object, overriding the layer's linetype

To modify an existing block definition


To change the layer of an object (Procedure)

Change the Color and Linetype in a Block
Up a level to ..
Change the Color and Linetype in a Block
Create and Modify Objects > Create and Use Blocks (Symbols) > Modify Blocks > Change the Color and Linetype in a Block >
Change the Color and Linetype in a Block
Concept Procedure Quick Reference

To change the layer of an object

  1. Select the objects whose layer you want to change.
  2. On the Layers toolbar, click the Layer control.
  3. Select the layer that you want to assign to the objects.
Command entry: LAYER


To change the color assigned to a layer (Procedure)

Change the Color and Linetype in a Block
Up a level to ..
Change the Color and Linetype in a Block
Create and Modify Objects > Create and Use Blocks (Symbols) > Modify Blocks > Change the Color and Linetype in a Block >
Change the Color and Linetype in a Block
Concept Procedure Quick Reference

To change the color assigned to a layer

  1. On the Layers toolbar, click the Layer Properties Manager button.
  2. In the Layer Properties Manager, click the color you want to change.
  3. In the Select Color dialog box, use one of the following methods:
    • On the Index tab, click a color and then click OK.
    • On the Index tab, enter the ACI color number (1-255) or name in the Color box, and then click OK.
    • On the True Color tab, select the HSL color model in the Color Model option and specify a color by entering a color value in the Color box or by specifying values in the Hue, Saturation, and Luminance boxes, and then click OK.
    • On the Color Books tab, select a color book from the Color Book box, select a color by navigating the color book (using the up and down arrows) and clicking on a color chip, and then click OK.
  4. Click OK.
Toolbar: Layers
Command entry: LAYER


To change the color of an object, overriding the layer's color (Procedure)

Change the Color and Linetype in a Block
Up a level to ..
Change the Color and Linetype in a Block
Create and Modify Objects > Create and Use Blocks (Symbols) > Modify Blocks > Change the Color and Linetype in a Block >
Change the Color and Linetype in a Block
Concept Procedure Quick Reference

To change the color of an object, overriding the layer's color

  1. On the Standard toolbar, click Properties.
  2. Select the objects whose color you want to change.
  3. In the Properties palette, select Color.

    An arrow is displayed in the right column.

  4. Click the arrow and select a color from the list.
Toolbar: Standard
Command entry: PROPERTIES


To change the linetype assigned to a layer (Procedure)

Change the Color and Linetype in a Block
Up a level to ..
Change the Color and Linetype in a Block
Create and Modify Objects > Create and Use Blocks (Symbols) > Modify Blocks > Change the Color and Linetype in a Block >
Change the Color and Linetype in a Block
Concept Procedure Quick Reference

To change the linetype assigned to a layer

  1. On the Layers toolbar, click the Layer Properties Manager button.
  2. In the Layer Properties Manager, click Load and click one or more linetypes to load, and then click OK.

    You can hold down CTRL to select several linetypes or SHIFT to select a range of linetypes.

  3. Select a layer from the list and then click Details to expand the dialog box.
  4. Select a linetype from the Linetype list.
  5. Click OK to close the dialog box.

    To open the Layer Properties Manager, click Format menu [image] Layer.To open the Layer Properties Manager, at the command prompt, enter layer.

Toolbar: Layers
Command entry: LAYER


To change the linetype of an object, overriding the layer's linetype (Procedure)

Change the Color and Linetype in a Block
Up a level to ..
Change the Color and Linetype in a Block
Create and Modify Objects > Create and Use Blocks (Symbols) > Modify Blocks > Change the Color and Linetype in a Block >
Change the Color and Linetype in a Block
Concept Procedure Quick Reference

To change the linetype of an object, overriding the layer's linetype

  1. Select the objects whose linetype you want to change.
  2. On the Properties toolbar, click the Linetype control.
  3. Click the linetype that you want to assign to the objects.
Command entry: LINETYPE


To modify an existing block definition (Procedure)

Change the Color and Linetype in a Block
Up a level to ..
Modify the Data in Block Attributes
Create and Modify Objects > Create and Use Blocks (Symbols) > Modify Blocks > Change the Color and Linetype in a Block >
Change the Color and Linetype in a Block
Concept Procedure Quick Reference

To modify an existing block definition

  1. Select the block to modify.
  2. Right-click the block and click Properties on the shortcut menu.
  3. In the Properties palette, select and modify X and Y position, scale, rotation values, or other properties.
Command entry: PROPERTIES


Change the Color and Linetype in a Block (Quick Reference)

Modify a Block Definition
Change the Color and Linetype in a Block
Modify the Data in Block Attributes
Create and Modify Objects > Create and Use Blocks (Symbols) > Modify Blocks > Change the Color and Linetype in a Block >
Change the Color and Linetype in a Block
Concept Procedure Quick Reference

Commands

LAYER

Manages layers and layer properties

LINETYPE

Loads, sets, and modifies linetypes

PROPERTIES

Controls properties of existing objects

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Modify the Data in Block Attributes (Concept)

Change the Color and Linetype in a Block
Modify Blocks
Modify a Block Attribute Definition
Create and Modify Objects > Create and Use Blocks (Symbols) > Modify Blocks >
Modify the Data in Block Attributes
Concept Procedure Quick Reference

You can edit the values of attributes that are attached to a block and inserted in a drawing.

You can use any of the following methods to edit the values of attributes attached to a block:

  • Double-click the block to display the Enhanced Attributes Editor
  • Press CTRL and double-click the attribute to display the in-place editor
  • Open the Properties palette and select the block
  • Enter the ATTEDIT command to display the Edit Attributes dialog box
  • Enter the -ATTEDIT command for command prompt access to multiple attribute values and properties

You can also change the location of attributes in a block using grips. With multiple-line attributes, you can also move grips to resize the width of the text.

NoteIf you press CTRL and double-click an attribute that includes a hyperlink, the hyperlink opens the web page. To edit the attribute, use one of the other methods listed.
See Also

    • Modify a Block Definition


To edit attribute data (Procedure)

Change the Color and Linetype in a Block
Up a level to ..
Modify a Block Attribute Definition
Create and Modify Objects > Create and Use Blocks (Symbols) > Modify Blocks > Modify the Data in Block Attributes >
Modify the Data in Block Attributes
Concept Procedure Quick Reference

To edit attribute data

  1. Click Modify menu [image] Objects [image] Attribute [image] Single.
  2. Select the block to edit.
  3. In the Edit Attributes dialog box, retype the attribute information as necessary and click OK.


Modify the Data in Block Attributes (Quick Reference)

Change the Color and Linetype in a Block
Modify the Data in Block Attributes
Modify a Block Attribute Definition
Create and Modify Objects > Create and Use Blocks (Symbols) > Modify Blocks > Modify the Data in Block Attributes >
Modify the Data in Block Attributes
Concept Procedure Quick Reference

Commands

ATTEDIT

Changes attribute information in a block

ATTIPEDIT

Changes the textual content of an attribute within a block

ATTSYNC

Updates block references with new and changed attributes from a specified block definition

BATTMAN

Manages the attributes for a selected block definition

EATTEDIT

Edits attributes in a block reference

System Variables

ATTIPE

Controls the display of the in-place editor used to create multiline attributes

ATTMULTI

Controls whether multiline attributes can be created

Utilities

No entries

Command Modifiers

No entries


Modify a Block Attribute Definition (Concept)

Modify the Data in Block Attributes
Modify Blocks
Disassemble a Block Reference (Explode)
Create and Modify Objects > Create and Use Blocks (Symbols) > Modify Blocks >
Modify a Block Attribute Definition
Concept Procedure Quick Reference

You can edit the values and other properties of all attributes that are already attached to a block and inserted in a drawing.

You can modify attributes in block definitions with the Block Attribute Manager. For example, you can modify the following:

  • Properties that define how values are assigned to an attribute and whether or not the assigned value is visible in the drawing area
  • Properties that define how attribute text is displayed in the drawing
  • Properties that define the layer that the attribute is on and the attribute line's color, weight, and type

By default, attribute changes you make are applied to all existing block references in the current drawing.

Changing the attribute properties of existing block references does not affect the values assigned to those blocks. For example, in a block containing an attribute whose tag is Cost and value is 19.99, the 19.99 value is unaffected if you change the tag from Cost to Unit Cost.

Updating attributes with duplicate tag names can lead to unpredictable results. Use the Block Attribute Manager to find duplicate tags and change tag names.

If constant attributes or nested attributed blocks are affected by your changes, use REGEN to update the display of those blocks in the drawing area.

Change the Prompt Order for Attribute Values

When you define a block, the order in which you select the attributes determines the order in which you are prompted for attribute information when you insert the block. You can use the Block Attribute Manager to change the order of prompts that request attribute values.

Remove Block Attributes

You can remove attributes from block definitions and from all existing block references in the current drawing. Attributes removed from existing block references do not disappear in the drawing area until you regenerate the drawing using REGEN.

You cannot remove all attributes from a block; at least one attribute must remain. If you need to remove all attributes, redefine the block.

Update Block References

You can update attributes in all block references in the current drawing with changes you made to the block definition. For example, you may have used the Block Attribute Manager to modify attribute properties in several block definitions in your drawing but elected not to automatically update existing block references when you made the changes. Now that you are satisfied with the attribute changes you made, you can apply those changes to all blocks in the current drawing.

You can also use ATTSYNC to update attribute properties in block references to match their block definition, or to update a block instance after you redefine a block attribute using BLOCK, -BLOCK, or BEDIT.

Updating attribute properties in block references does not affect any values that have been assigned to those attributes.

Edit Attributes in a Block Reference

You can select an attribute in a block reference and use the Properties palette to change its properties, or you can use the Enhanced Attribute Editor to modify all the attributes in a selected block reference.

See Also

    • Define Block Attributes

    • Modify a Block Definition


Modify a Block Attribute Definition (Procedure)

Modify the Data in Block Attributes
Up a level to ..
Modify a Block Attribute Definition
Create and Modify Objects > Create and Use Blocks (Symbols) > Modify Blocks > Modify a Block Attribute Definition >
Modify a Block Attribute Definition
Concept Procedure Quick Reference

To edit attributes assigned to a block definition

To specify whether changes are applied to existing block references

To highlight duplicate attribute tags in a block

To change the prompt order for attribute values

To remove an attribute from a block definition and all block references

To update existing block references with attributes you have modified

To update the attributes in block references for a selected block definition


To edit attributes assigned to a block definition (Procedure)

Modify a Block Attribute Definition
Up a level to ..
Modify a Block Attribute Definition
Create and Modify Objects > Create and Use Blocks (Symbols) > Modify Blocks > Modify a Block Attribute Definition >
Modify a Block Attribute Definition
Concept Procedure Quick Reference

To edit attributes assigned to a block definition

  1. Click Home tab [image] Block panel [image] Manage Attributes. At the command prompt, enter battman.
  2. In the Block Attribute Manager, select a block from the Block list, or click Select Block and select a block in the drawing area.
  3. In the list of attributes, double-click the attribute you want to edit, or select the attribute and click Edit.
  4. In the Edit Attribute dialog box, make the attribute changes you want, and then click OK.
Toolbar: Modify II
Command entry: BATTMAN


To specify whether changes are applied to existing block references (Procedure)

Modify a Block Attribute Definition
Up a level to ..
Modify a Block Attribute Definition
Create and Modify Objects > Create and Use Blocks (Symbols) > Modify Blocks > Modify a Block Attribute Definition >
Modify a Block Attribute Definition
Concept Procedure Quick Reference

To specify whether changes are applied to existing block references

  1. Click Home tab [image] Block panel [image] Manage Attributes. At the command prompt, enter battman.
  2. In the Block Attribute Manager, click Settings.
  3. In the Settings dialog box, do one of the following:
    • To apply changes to existing block references, select the Apply Changes to Existing References option.
    • To apply changes only to new block insertions, clear the Apply Changes to Existing References option.
  4. Click OK.
Toolbar: Modify II
Command entry: BATTMAN


To highlight duplicate attribute tags in a block (Procedure)

Modify a Block Attribute Definition
Up a level to ..
Modify a Block Attribute Definition
Create and Modify Objects > Create and Use Blocks (Symbols) > Modify Blocks > Modify a Block Attribute Definition >
Modify a Block Attribute Definition
Concept Procedure Quick Reference

To highlight duplicate attribute tags in a block

  1. Click Home tab [image] Block panel [image] Manage Attributes. At the command prompt, enter battman.
  2. In the Block Attribute Manager, click Settings.
  3. In the Settings dialog box, select Emphasize Duplicate Tags.
  4. Click OK.
Toolbar: Modify II
Command entry: BATTMAN


To change the prompt order for attribute values (Procedure)

Modify a Block Attribute Definition
Up a level to ..
Modify a Block Attribute Definition
Create and Modify Objects > Create and Use Blocks (Symbols) > Modify Blocks > Modify a Block Attribute Definition >
Modify a Block Attribute Definition
Concept Procedure Quick Reference

To change the prompt order for attribute values

  1. Click Home tab [image] Block panel [image] Manage Attributes. At the command prompt, enter battman.
  2. In the Block Attribute Manager, select a block from the Block list, or click Select Block and select a block in the drawing area.

    For the selected block, attributes are listed in their prompt order.

  3. To move an attribute up in the prompt order, select the attribute, and then click Move Up; to move an attribute down in the prompt order, select the attribute, and then click Move Down.
    NoteThe Move Up and Move Down buttons are unavailable for attributes with constant values (Mode=C).
Toolbar: Modify II
Command entry: BATTMAN


To remove an attribute from a block definition and all block references (Procedure)

Modify a Block Attribute Definition
Up a level to ..
Modify a Block Attribute Definition
Create and Modify Objects > Create and Use Blocks (Symbols) > Modify Blocks > Modify a Block Attribute Definition >
Modify a Block Attribute Definition
Concept Procedure Quick Reference

To remove an attribute from a block definition and all block references

  1. Click Home tab [image] Block panel [image] Manage Attributes. At the command prompt, enter battman.
  2. In the Block Attribute Manager, select a block from the Block list, or click Select Block and select a block in the drawing area.
  3. (Optional) If you do not want attributes removed from existing instances of the block, click Settings, and, in the Settings dialog box, clear Apply Changes to Existing References.
  4. In the Block Attribute Manager, select an attribute from the attribute list, and then click Remove.

    Attributes removed from existing block instances do not disappear until you regenerate the drawing using REGEN.

Toolbar: Modify II
Command entry: BATTMAN


To update existing block references with attributes you have modified (Procedure)

Modify a Block Attribute Definition
Up a level to ..
Modify a Block Attribute Definition
Create and Modify Objects > Create and Use Blocks (Symbols) > Modify Blocks > Modify a Block Attribute Definition >
Modify a Block Attribute Definition
Concept Procedure Quick Reference

To update existing block references with attributes you have modified

  1. Click Home tab [image] Block panel [image] Manage Attributes. At the command prompt, enter battman.
  2. In the Block Attribute Manager, select a block from the Block list, or click Select Block and select a block in the drawing area.
  3. Click Sync to update attributes you have changed in all block references for the selected block.
Toolbar: Modify II
Command entry: BATTMAN


To update the attributes in block references for a selected block definition (Procedure)

Modify a Block Attribute Definition
Up a level to ..
Disassemble a Block Reference (Explode)
Create and Modify Objects > Create and Use Blocks (Symbols) > Modify Blocks > Modify a Block Attribute Definition >
Modify a Block Attribute Definition
Concept Procedure Quick Reference

To update the attributes in block references for a selected block definition

  1. Click Home tab [image] Block panel [image] Synchronize Attributes. Enter attsync at the command prompt.
  2. At the prompt, do one of the following:
    • Enter name, and then enter the name of the block whose block references you want to update.
    • Enter ? to view a list of blocks, and then enter name, followed by the name of the block.
    • Press ENTER, and then use your pointing device to select a block in the drawing area.

    If you specify a block that does not exist, or if the block exists but does not contain attributes, an error message is displayed.

Toolbar: Modify II
Command entry: ATTSYNC

Alternate

  1. Click Home tab [image] Block panel [image] Edit Single Attribute. At the command prompt, enter eattedit.
  2. In the drawing area, select the block you want to edit.
  3. In the Enhanced Attribute Editor, select the attribute you want to edit. You can change the attribute value or choose another tab and edit other attribute properties.
  4. Make the attribute changes you want, and then do one of the following:
    • Click Apply to save your changes. The Enhanced Attribute Editor remains open.

      If you click Cancel later to exit the Enhanced Attribute Editor, attribute changes you made prior to choosing Apply are not reversed.

    • Click OK to save your changes and close the Enhanced Attribute Editor.
    • Click Select Block to edit the attributes of a different block. If you made changes to the current block, but have not saved them, you are prompted to do so before selecting a new block.
Toolbar: Modify II
Command entry: EATTEDIT


Modify a Block Attribute Definition (Quick Reference)

Modify the Data in Block Attributes
Modify a Block Attribute Definition
Disassemble a Block Reference (Explode)
Create and Modify Objects > Create and Use Blocks (Symbols) > Modify Blocks > Modify a Block Attribute Definition >
Modify a Block Attribute Definition
Concept Procedure Quick Reference

Commands

ATTIPEDIT

Changes the textual content of an attribute within a block

ATTSYNC

Updates block references with new and changed attributes from a specified block definition

BATTMAN

Manages the attributes for a selected block definition

EATTEDIT

Edits attributes in a block reference

System Variables

ATTIPE

Controls the display of the in-place editor used to create multiline attributes

ATTMULTI

Controls whether multiline attributes can be created

Utilities

No entries

Command Modifiers

No entries


Disassemble a Block Reference (Explode) (Concept)

Modify a Block Attribute Definition
Modify Blocks
Change Existing Objects
Create and Modify Objects > Create and Use Blocks (Symbols) > Modify Blocks >
Disassemble a Block Reference (Explode)
Concept Procedure Quick Reference

If you need to modify one or more objects within a block separately, you can disassemble, or explode, the block reference into its component objects. After making the changes, you can

  • Create a new block definition
  • Redefine the existing block definition
  • Leave the component objects uncombined for other uses

You can automatically explode block references as you insert them by selecting the Explode option in the Insert dialog box.


Disassemble a Block Reference (Explode) (Procedure)

Modify a Block Attribute Definition
Up a level to ..
Disassemble a Block Reference (Explode)
Create and Modify Objects > Create and Use Blocks (Symbols) > Modify Blocks > Disassemble a Block Reference (Explode) >
Disassemble a Block Reference (Explode)
Concept Procedure Quick Reference

To explode a block reference

To control properties while you explode an object


To explode a block reference (Procedure)

Disassemble a Block Reference (Explode)
Up a level to ..
Disassemble a Block Reference (Explode)
Create and Modify Objects > Create and Use Blocks (Symbols) > Modify Blocks > Disassemble a Block Reference (Explode) >
Disassemble a Block Reference (Explode)
Concept Procedure Quick Reference

To explode a block reference

  1. Click Home tab [image] Modify panel [image] Explode. At the command prompt, enter explode.
  2. Select the block to explode and press ENTER.

    The block reference is disassembled into its component objects; however, the block definition still exists in the drawing for insertion later.

Toolbar: Modify
Command entry: EXPLODE


To control properties while you explode an object (Procedure)

Disassemble a Block Reference (Explode)
Up a level to ..
Select Objects
Create and Modify Objects > Create and Use Blocks (Symbols) > Modify Blocks > Disassemble a Block Reference (Explode) >
Disassemble a Block Reference (Explode)
Concept Procedure Quick Reference

To control properties while you explode an object

  1. Enter xplode.
  2. Select the objects to be exploded.
  3. If you selected more than one object, enter i to control properties for individual objects, or enter g to control properties for all the selected objects.
  4. Enter an option for a property you want to change.

    The property is applied to the compound object and the prompt is redisplayed.

  5. Enter another option, or enter e to explode the selected objects.

    The selected objects are exploded and the properties you specified are applied to the component objects.


Disassemble a Block Reference (Explode) (Quick Reference)

Modify a Block Attribute Definition
Disassemble a Block Reference (Explode)
Select Objects Individually
Create and Modify Objects > Create and Use Blocks (Symbols) > Modify Blocks > Disassemble a Block Reference (Explode) >
Disassemble a Block Reference (Explode)
Concept Procedure Quick Reference

Commands

EXPLODE

Breaks a compound object into its component objects

XPLODE

Breaks a compound object into its component objects

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Change Existing Objects

Disassemble a Block Reference (Explode)
Create and Modify Objects
Select Objects
Create and Modify Objects >
Change Existing Objects

You can select objects, view and edit object properties, and perform general and object-specific editing operations.

Topics in this section

  • Select Objects

    You have a wide range of options when you need to select objects for editing operations.

  • Correct Mistakes

    You can backtrack your recent actions using one of several methods.

  • Erase Objects

    You can erase objects from your drawing using several methods.

  • Use Windows Cut, Copy, and Paste

    When you want to use objects from a drawing file in another application, you can cut or copy these objects to the Clipboard and then paste them from the Clipboard into the other application.

  • Modify Objects

    You can easily modify the size, shape, and location of objects.

  • Modify Complex Objects

    Additional editing operations are available for complex objects, such as blocks, dimensions, hatches, and polylines.


Select Objects

Change Existing Objects
Change Existing Objects
Select Objects Individually
Create and Modify Objects > Change Existing Objects >
Select Objects
Concept Procedure

You have a wide range of options when you need to select objects for editing operations.

See Also
    • Work with Object Selections

Topics in this section

  • Select Objects Individually

    At the Select Objects prompt, you can select one or more objects individually.

  • Select Multiple Objects

    At the Select Objects prompt, you can select many objects at the same time.

  • Prevent Objects from Being Selected

    You can prevent objects on specified layers from being selected and modified by locking those layers.

  • Filter Selection Sets

    You can use object properties or object types to include objects in a selection set, or to exclude them.

  • Customize Object Selection

    You can control several aspects of selecting objects, such as whether you enter a command first or select objects first, the size of the pickbox cursor, and how selected objects are displayed.

  • Group Objects

    A group is a saved set of objects that you can select and edit together or separately as needed. Groups provide an easy way to combine drawing elements that you need to manipulate as a unit.


Select Objects (Procedure)

Disassemble a Block Reference (Explode)
Select Objects
Select Objects Individually
Create and Modify Objects > Change Existing Objects > Select Objects >
Select Objects
Concept Procedure

To select a single object

To change the size of the pickbox cursor

To cycle through objects for selection

To remove selection from objects

To see a list of options at the Select Objects prompt

To select objects within an irregularly shaped area

To select objects crossing an irregularly shaped area

To select objects with a fence

To remove several objects from the selection set

To lock or unlock a layer

To lock or unlock a layer by selecting an object on that layer

To create a selection set using Quick Select

To exclude objects from the selection set

To append objects to the selection set

To name and save a filtered list

To use a named filter

To change the size of the pickbox cursor

To change object selection settings

To turn on or turn off selection previewing

To change the appearance of selection previewing

To exclude objects from selection previewing

To change the appearance of the selection area


Select Objects Individually (Concept)

Select Objects
Select Objects
Select Multiple Objects
Create and Modify Objects > Change Existing Objects > Select Objects >
Select Objects Individually
Concept Procedure Quick Reference

At the Select Objects prompt, you can select one or more objects individually.

Use the Pickbox Cursor

When the square pickbox cursor is in position to select an object, the object is highlighted. Click to select the object.

You can control the size of the pickbox in the Options dialog box, Selection tab.

Select Objects Close Together

It is difficult to select objects that are close together or lie directly on top of one another. The example shows two lines and a circle that lie within the pickbox.

If selection preview is turned on, you can cycle through the objects by rolling over the object on top to highlight it, and pressing and holding SHIFT and then pressing SPACEBAR continuously. When the required object is highlighted, left-click to select it.

If selection preview is turned off, hold down SHIFT + SPACEBAR and click to cycle through these objects, one after the other, until the one you want is selected. Press ESC to turn off cycling.

Remove Selection from Objects

Remove objects from the current selection set by holding down SHIFT and selecting them again.

See Also

    • Select and Modify 3D Subobjects

    • Manipulate Composite Solids


Select Objects Individually (Procedure)

Select Objects
Up a level to ..
Select Objects Individually
Create and Modify Objects > Change Existing Objects > Select Objects > Select Objects Individually >
Select Objects Individually
Concept Procedure Quick Reference

To select a single object

To change the size of the pickbox cursor

To cycle through objects for selection

To remove selection from objects


To select a single object (Procedure)

Select Objects Individually
Up a level to ..
Select Objects Individually
Create and Modify Objects > Change Existing Objects > Select Objects > Select Objects Individually >
Select Objects Individually
Concept Procedure Quick Reference

To select a single object

  1. At the Select Objects prompt of any command, move the rectangular pickbox cursor so that the object that you want to select is highlighted.
  2. Click the object.

    The object you selected is highlighted.

  3. Press ENTER to end object selection.
    NoteIf the PICKFIRST system variable is set to 1 (noun-verb selection), you can select objects before entering a command.


To change the size of the pickbox cursor (Procedure)

Select Objects Individually
Up a level to ..
Select Objects Individually
Create and Modify Objects > Change Existing Objects > Select Objects > Select Objects Individually >
Select Objects Individually
Concept Procedure Quick Reference

To change the size of the pickbox cursor

  1. Click Tools menu [image] Options.At the command prompt, enter options.
  2. On the Selection tab, under Pickbox Size, move the pickbox size slider until the pickbox is the size you want to use.
  3. Click OK.
Command entry: DSETTINGS


To cycle through objects for selection (Procedure)

Select Objects Individually
Up a level to ..
Select Objects Individually
Create and Modify Objects > Change Existing Objects > Select Objects > Select Objects Individually >
Select Objects Individually
Concept Procedure Quick Reference

To cycle through objects for selection

  1. At the Select Objects prompt, hold down SHIFT + SPACEBAR. Click as near as possible to the object you want.
  2. Keep clicking until the object you want is highlighted.
  3. Press ENTER to select the object.
NoteIf selection preview is turned on, you can cycle through the objects by rolling over the object on top to highlight it, and pressing and holding SHIFT and then pressing SPACEBAR continuously. When the required object is highlighted, left-click to select it.


To remove selection from objects (Procedure)

Select Objects Individually
Up a level to ..
Select Multiple Objects
Create and Modify Objects > Change Existing Objects > Select Objects > Select Objects Individually >
Select Objects Individually
Concept Procedure Quick Reference

To remove selection from objects

  • Hold down SHIFT. Click the objects that you want removed from the selection set.


Select Objects Individually (Quick Reference)

Disassemble a Block Reference (Explode)
Select Objects Individually
Select Multiple Objects
Create and Modify Objects > Change Existing Objects > Select Objects > Select Objects Individually >
Select Objects Individually
Concept Procedure Quick Reference

Commands

PROPERTIES

Controls properties of existing objects

SELECT

Places selected objects in the Previous selection set

System Variables

3DSELECTIONMODE

Controls the selection precedence of visually overlapping objects when using 3D visual styles

HIGHLIGHT

Controls object highlighting; does not affect objects selected with grips

LEGACYCTRLPICK

Specifies the keys for selection cycling and the behavior for CTRL + left-click

PICKADD

Controls whether subsequent selections replace the current selection set or add to it

PICKAUTO

Controls automatic windowing at the Select Objects prompt

PICKBOX

Sets the object selection target height, in pixels

PICKDRAG

Controls the method of drawing a selection window

PICKFIRST

Controls whether you select objects before (noun-verb selection) or after you issue a command

Utilities

No entries

Command Modifiers

No entries


Select Multiple Objects (Concept)

Select Objects Individually
Select Objects
Prevent Objects from Being Selected
Create and Modify Objects > Change Existing Objects > Select Objects >
Select Multiple Objects
Concept Procedure Quick Reference

At the Select Objects prompt, you can select many objects at the same time.

Specify a Rectangular Selection Area

Specify opposite corners to define a rectangular area. The background inside the area changes color and becomes transparent. The direction that you drag your cursor from the first point to the opposite corner determines which objects are selected.

  • Window selection. Drag your cursor from left to right to select only objects that are entirely enclosed by the rectangular area.
  • Crossing selection. Drag your cursor from right to left to select objects that the rectangular window encloses or crosses.

With a window selection, usually the entire object must be contained in the rectangular selection area. However, if an object with a noncontinuous (dashed) linetype is only partially visible in the viewport and all the visible vectors of the linetype can be enclosed within the selection window, the entire object is selected.

Specify an Irregularly Shaped Selection Area

Specify points to define an irregularly shaped area. Use window polygon selection to select objects entirely enclosed by the selection area. Use crossing polygon selection to select objects enclosed or crossed by the selection area.

Specify a Selection Fence

In a complex drawing, use a selection fence. A selection fence looks like a polyline and selects only the objects it passes through. The circuit board illustration shows a fence selecting several components.

Use Other Selection Options

You can see all selection options by entering ? at the Select Objects prompt. For a description of each of the selection options, see SELECT.

Remove Selection from Multiple Objects

You can enter r (Remove) at the Select Objects prompt and use any selection option to remove objects from the selection set. If you are using the Remove option and want to return to adding objects to the selection set, enter a (Add).

You can also remove objects from the current selection set by holding down SHIFT and selecting them again, or by holding down SHIFT and then clicking and dragging window or crossing selections. You can add and remove objects repeatedly from the selection set.


Select Multiple Objects (Procedure)

Select Objects Individually
Up a level to ..
Select Multiple Objects
Create and Modify Objects > Change Existing Objects > Select Objects > Select Multiple Objects >
Select Multiple Objects
Concept Procedure Quick Reference

To see a list of options at the Select Objects prompt

To select objects within an irregularly shaped area

To select objects crossing an irregularly shaped area

To select objects with a fence

To remove several objects from the selection set


To see a list of options at the Select Objects prompt (Procedure)

Select Multiple Objects
Up a level to ..
Select Multiple Objects
Create and Modify Objects > Change Existing Objects > Select Objects > Select Multiple Objects >
Select Multiple Objects
Concept Procedure Quick Reference

To see a list of options at the Select Objects prompt

  • Enter ? at the Select Objects prompt.


To select objects within an irregularly shaped area (Procedure)

Select Multiple Objects
Up a level to ..
Select Multiple Objects
Create and Modify Objects > Change Existing Objects > Select Objects > Select Multiple Objects >
Select Multiple Objects
Concept Procedure Quick Reference

To select objects within an irregularly shaped area

  1. At the Select Objects prompt, enter wp (Window Polygon).
  2. Specify points that define an area entirely enclosing the objects you want to select.
  3. Press ENTER to close the polygon selection area and complete the selection.


To select objects crossing an irregularly shaped area (Procedure)

Select Multiple Objects
Up a level to ..
Select Multiple Objects
Create and Modify Objects > Change Existing Objects > Select Objects > Select Multiple Objects >
Select Multiple Objects
Concept Procedure Quick Reference

To select objects crossing an irregularly shaped area

  1. At the Select Objects prompt, enter cp (Crossing Polygon).
  2. Specify points that define an area that encloses or crosses the objects you want to select.
  3. Press ENTER to close the polygon selection area and complete the selection.


To select objects with a fence (Procedure)

Select Multiple Objects
Up a level to ..
Select Multiple Objects
Create and Modify Objects > Change Existing Objects > Select Objects > Select Multiple Objects >
Select Multiple Objects
Concept Procedure Quick Reference

To select objects with a fence

  1. At the Select Objects prompt, enter f (Fence).
  2. Specify points to create a fence that passes through the objects you want to select.
  3. Press ENTER to complete the selection.


To remove several objects from the selection set (Procedure)

Select Multiple Objects
Up a level to ..
Prevent Objects from Being Selected
Create and Modify Objects > Change Existing Objects > Select Objects > Select Multiple Objects >
Select Multiple Objects
Concept Procedure Quick Reference

To remove several objects from the selection set

  1. After selecting objects, at the Select Objects prompt, enter r (Remove).
  2. Enter any selection option such as cp (Crossing Polygon) or f (Fence), and select the objects to be removed from the selection set.

    To return to adding objects to the selection set, enter a (Add).


Select Multiple Objects (Quick Reference)

Select Objects Individually
Select Multiple Objects
Prevent Objects from Being Selected
Create and Modify Objects > Change Existing Objects > Select Objects > Select Multiple Objects >
Select Multiple Objects
Concept Procedure Quick Reference

Commands

PROPERTIES

Controls properties of existing objects

QSELECT

Creates a selection set based on filtering criteria

SELECT

Places selected objects in the Previous selection set

System Variables

HIGHLIGHT

Controls object highlighting; does not affect objects selected with grips

PICKADD

Controls whether subsequent selections replace the current selection set or add to it

PICKAUTO

Controls automatic windowing at the Select Objects prompt

PICKBOX

Sets the object selection target height, in pixels

PICKDRAG

Controls the method of drawing a selection window

PICKFIRST

Controls whether you select objects before (noun-verb selection) or after you issue a command

PREVIEWEFFECT

Specifies the visual effect used for previewing selection of objects

Utilities

No entries

Command Modifiers

No entries


Prevent Objects from Being Selected (Concept)

Select Multiple Objects
Select Objects
Filter Selection Sets
Create and Modify Objects > Change Existing Objects > Select Objects >
Prevent Objects from Being Selected
Concept Procedure Quick Reference

You can prevent objects on specified layers from being selected and modified by locking those layers.

Typically, you lock layers to prevent accidental editing of particular objects. Other operations are still possible when a layer is locked. For example, you can make a locked layer current, and you can add objects to it. You can also use inquiry commands (such as LIST), use object snaps to specify points on objects on locked layers, and change the draw order of objects on locked layers.

To help you differentiate between locked and unlocked layers, you can do the following:

  • Hover over an object to see whether a lock icon is displayed
  • Dim the objects on locked layers
NoteGrips are not displayed on objects that are on locked layers.


Prevent Objects from Being Selected (Procedure)

Select Multiple Objects
Up a level to ..
Prevent Objects from Being Selected
Create and Modify Objects > Change Existing Objects > Select Objects > Prevent Objects from Being Selected >
Prevent Objects from Being Selected
Concept Procedure Quick Reference

To lock or unlock a layer

To lock or unlock a layer by selecting an object on that layer


To lock or unlock a layer (Procedure)

Prevent Objects from Being Selected
Up a level to ..
Prevent Objects from Being Selected
Create and Modify Objects > Change Existing Objects > Select Objects > Prevent Objects from Being Selected >
Prevent Objects from Being Selected
Concept Procedure Quick Reference

To lock or unlock a layer

  1. On the Layers toolbar, click the Layer Properties Manager button.
  2. In the Layer Properties Manager, click the padlock for the layers that you want to lock.
  3. Click OK.

    If the padlock is closed, the layer is locked and objects on that layer cannot be selected.

Toolbar: Layers
Command entry: LAYER


To lock or unlock a layer by selecting an object on that layer (Procedure)

Prevent Objects from Being Selected
Up a level to ..
Filter Selection Sets
Create and Modify Objects > Change Existing Objects > Select Objects > Prevent Objects from Being Selected >
Prevent Objects from Being Selected
Concept Procedure Quick Reference

To lock or unlock a layer by selecting an object on that layer

  1. Click the Model tab.
  2. Do either of the following:
    • Click Format menu [image] Layer Tools [image] Layer Lock.At the command prompt, enter laylck.
    • Click Format menu [image] Layer Tools [image] Layer Unlock.At the command prompt, enter layulk.
  3. Select an object on the layer you want to lock or unlock.
Toolbar: Layer II
Command entry: LAYLCK, LAYULK


Prevent Objects from Being Selected (Quick Reference)

Select Multiple Objects
Prevent Objects from Being Selected
Filter Selection Sets
Create and Modify Objects > Change Existing Objects > Select Objects > Prevent Objects from Being Selected >
Prevent Objects from Being Selected
Concept Procedure Quick Reference

Commands

LAYER

Manages layers and layer properties

LAYISO

Hides or locks all layers except those of the selected objects

LAYLCK

Locks the layer of a selected object

LAYULK

Unlocks the layer of a selected object

System Variables

LAYLOCKFADECTL

Controls the dimming for objects on locked layers

Utilities

No entries

Command Modifiers

No entries


Filter Selection Sets (Concept)

Prevent Objects from Being Selected
Select Objects
Customize Object Selection
Create and Modify Objects > Change Existing Objects > Select Objects >
Filter Selection Sets
Concept Procedure Quick Reference

You can use object properties or object types to include objects in a selection set, or to exclude them.

Using either Quick Select (QSELECT) from the Properties palette or the Object Selection Filters dialog box (FILTER), you can filter selection sets by property (such as color) and by object type. For example, you can select all of the red circles in a drawing without selecting any other object, or you can select all objects except the red circles.

With Quick Select, you can quickly define a selection set based on filtering criteria that you specify, and if an Autodesk or a third-party application was used to add a feature classification to an object, you can select objects by classification property. With object selection filters, you can name and save filters for future use.

With either Quick Select or object selection filters, if you want to filter your selection set based on color, linetype, or lineweight, first consider whether these properties are set to BYLAYER for any objects in your drawing. For example, an object may appear red because its color is set to BYLAYER and the layer color is red.

See Also

    • Customize Object Selection

    • Work with Layers


Filter Selection Sets (Procedure)

Prevent Objects from Being Selected
Up a level to ..
Filter Selection Sets
Create and Modify Objects > Change Existing Objects > Select Objects > Filter Selection Sets >
Filter Selection Sets
Concept Procedure Quick Reference

To create a selection set using Quick Select

To exclude objects from the selection set

To append objects to the selection set

To name and save a filtered list

To use a named filter


To create a selection set using Quick Select (Procedure)

Filter Selection Sets
Up a level to ..
Filter Selection Sets
Create and Modify Objects > Change Existing Objects > Select Objects > Filter Selection Sets >
Filter Selection Sets
Concept Procedure Quick Reference

To create a selection set using Quick Select

In the following example, you use Quick Select to select the red objects in a drawing.

  1. Click Home tab [image] Utilities panel [image] Quick Select.At the command prompt, enter qselect.
  2. In the Quick Select dialog box, under Apply To, select Entire Drawing.
  3. Under Object Type, select Multiple.
  4. Under Properties, select Color.
  5. Under Operator, select Equals.
  6. Under Value, select Red.
  7. Under How to Apply, select Include in New Selection Set.
  8. Click OK.

    All red objects in the drawing are selected and the Quick Select dialog box closes. Objects that are set to BYLAYER and are red because the layer color is red are not included in the selection set.

NoteIf an application such as Autodesk Map was used to add a feature classification to an object, and the associated classification (XML) file is present, you can select objects by classification property. Specifically, you can select a classification in the Object Type box and a property in the Properties box.
Command entry: QSELECT


To exclude objects from the selection set (Procedure)

Filter Selection Sets
Up a level to ..
Filter Selection Sets
Create and Modify Objects > Change Existing Objects > Select Objects > Filter Selection Sets >
Filter Selection Sets
Concept Procedure Quick Reference

To exclude objects from the selection set

You can exclude objects from the current selection set by using the Exclude from New Selection Set option. In the following example, you exclude all circles with a radius greater than 1 from a set of objects already selected.

  1. Select several objects.
  2. Click Home tab [image] Utilities panel [image] Quick Select.At the command prompt, enter qselect.
  3. In the Quick Select dialog box, under Apply To, select Current Selection.
  4. Under Object Type, select Circle.
  5. Under Properties, select Radius.
  6. Under Operator, select Greater Than.
  7. Under Value, enter 1.
  8. Under How to Apply, select Exclude from New Selection Set.
  9. Click OK.

    All circles with a radius greater than 1 are removed from the selection set.

Command entry: QSELECT


To append objects to the selection set (Procedure)

Filter Selection Sets
Up a level to ..
Filter Selection Sets
Create and Modify Objects > Change Existing Objects > Select Objects > Filter Selection Sets >
Filter Selection Sets
Concept Procedure Quick Reference

To append objects to the selection set

You can use Quick Select to append objects to a current selection set. In the following example, you keep the current selection set and append all objects in the drawing that contain hyperlinks whose names begin with bld1_.

  1. Click Home tab [image] Utilities panel [image] Quick Select.At the command prompt, enter qselect.
  2. In the Quick Select dialog box, select Append to Current Selection Set.
  3. In the Object Type box, select Multiple.
  4. Under Properties, select Hyperlink.
  5. Under Operator, select Wildcard Match.
  6. Under Value, enter bld1_*.
  7. Under How to Apply, select Include in New Selection Set.
  8. Click OK.
Command entry: QSELECT


To name and save a filtered list (Procedure)

Filter Selection Sets
Up a level to ..
Filter Selection Sets
Create and Modify Objects > Change Existing Objects > Select Objects > Filter Selection Sets >
Filter Selection Sets
Concept Procedure Quick Reference

To name and save a filtered list

  1. At the command prompt, enter filter.
  2. In the Object Selection Filters dialog box, under Select Filter, select a filter such as Line.
  3. Click Add to List.
  4. Under Save As, enter a filter name such as Linefilter.
  5. Click Save As.
  6. Click Apply.

    The filter is applied so you can select, in this case, only lines in the drawing. If you select objects with a selection, the filter is applied to all objects in the selection area.

Command entry: FILTER


To use a named filter (Procedure)

Filter Selection Sets
Up a level to ..
Customize Object Selection
Create and Modify Objects > Change Existing Objects > Select Objects > Filter Selection Sets >
Filter Selection Sets
Concept Procedure Quick Reference

To use a named filter

  1. At the Select Object prompt, enter 'filter. (The apostrophe makes it a transparent command.)
  2. In the Object Selection Filters dialog box, under Select Filter, select the filter you want to use. Click Apply.
  3. Use a crossing window to specify objects for selection.

    Only the objects selected by the crossing window that match the filter criteria are selected.


Filter Selection Sets (Quick Reference)

Prevent Objects from Being Selected
Filter Selection Sets
Customize Object Selection
Create and Modify Objects > Change Existing Objects > Select Objects > Filter Selection Sets >
Filter Selection Sets
Concept Procedure Quick Reference

Commands

FILTER

Creates a list of requirements that an object must meet to be included in a selection set

PROPERTIES

Controls properties of existing objects

QSELECT

Creates a selection set based on filtering criteria

SELECT

Places selected objects in the Previous selection set

System Variables

PICKADD

Controls whether subsequent selections replace the current selection set or add to it

PICKAUTO

Controls automatic windowing at the Select Objects prompt

PICKBOX

Sets the object selection target height, in pixels

PICKDRAG

Controls the method of drawing a selection window

PICKFIRST

Controls whether you select objects before (noun-verb selection) or after you issue a command

Utilities

No entries

Command Modifiers

No entries


Customize Object Selection (Concept)

Filter Selection Sets
Select Objects
Group Objects
Create and Modify Objects > Change Existing Objects > Select Objects >
Customize Object Selection
Concept Procedure Quick Reference

You can control several aspects of selecting objects, such as whether you enter a command first or select objects first, the size of the pickbox cursor, and how selected objects are displayed.

For commands that use the Select Objects prompt, you can

  • Enter a command first, and then select objects
  • Select the objects first, and then enter a command

You can also choose

  • Whether objects to be selected are previewed during selection
  • Whether selected objects are highlighted
  • How you define selection areas and how you create selection sets

Select the Command First

When you use an editing command, a Select Objects prompt is displayed and the crosshairs is replaced with a pickbox. You can respond to the Select Objects prompt in various ways:

  • Select objects one at a time.
  • Click an empty area. Drag the cursor to define a rectangular selection area.
  • Enter a selection option. Enter ? to display all selection options.
  • Combine selection methods. For example, to select most of the objects in the drawing area, select all objects and then remove the objects that you do not want selected.
  • Enter 'filter to use a named selection filter. The apostrophe runs the command transparently.

Select Objects First

You can use one of two methods to select objects before starting a command:

  • Use the SELECT command, and enter ? to display all selection options. All objects selected are put into the Previous selection set. To use the Previous selection set, enter p at the Select Objects prompt of any subsequent command.
  • When noun/verb selection is turned on, select objects at the command prompt before entering a command such as MOVE, COPY, or ERASE. With this method, you can only select objects by clicking them individually or by using automatic selection.
  • Enter qselect to filter the selection. Then enter p at the Select Objects prompt of any subsequent command.

Highlight Objects to Be Selected

Objects are highlighted when the pickbox cursor rolls over them, providing a preview of which object will be selected when you click.

When you specify an area to select multiple objects, the background of the area becomes transparent.

These selection previewing effects are turned on by default. You can turn them off or change the appearance of selection previewing (Options dialog box, Selection tab). When the PICKBOX system variable is set to 0, selection previewing of objects is not available.

Control the Appearance of Selected Objects

By default, selected objects are displayed with dashed lines. You can increase program speed by setting the HIGHLIGHT system variable to 0. Turning off selection highlighting does not affect grips on selected objects.

Set Up Default Selection Methods

Options on the Selection tab of the Options dialog box control default selection methods:

  • Use selection previewing and selection area effects to preview selection.
  • Select objects before entering a command (noun-verb selection) or after entering a command. (PICKFIRST)
  • Press SHIFT to append objects to the selection set. (PICKADD)
  • Click and drag to create a selection window. Otherwise you must click twice to define the corners of a selection window. (PICKDRAG)
  • Start Window or Crossing selection automatically when you click an empty space. Otherwise, you must enter c or w to specify window crossing selection. (PICKAUTO)
  • Change the size of the pickbox. (PICKBOX)
  • Select all objects in a group when you select one object in that group.
  • Include the boundary in the selection set when you select a hatch.


Customize Object Selection (Procedure)

Filter Selection Sets
Up a level to ..
Customize Object Selection
Create and Modify Objects > Change Existing Objects > Select Objects > Customize Object Selection >
Customize Object Selection
Concept Procedure Quick Reference

To change the size of the pickbox cursor

To change object selection settings

To turn on or turn off selection previewing

To change the appearance of selection previewing

To exclude objects from selection previewing

To change the appearance of the selection area


To change the size of the pickbox cursor (Procedure)

Customize Object Selection
Up a level to ..
Customize Object Selection
Create and Modify Objects > Change Existing Objects > Select Objects > Customize Object Selection >
Customize Object Selection
Concept Procedure Quick Reference

To change the size of the pickbox cursor

  1. Click Tools menu [image] Options.At the command prompt, enter options.
  2. In the Options dialog box, Selection tab, under Pickbox Size, move the slider until the pickbox is the size you want to use.
  3. Click OK.
Command entry: OPTIONS


To change object selection settings (Procedure)

Customize Object Selection
Up a level to ..
Customize Object Selection
Create and Modify Objects > Change Existing Objects > Select Objects > Customize Object Selection >
Customize Object Selection
Concept Procedure Quick Reference

To change object selection settings

  1. Click Tools menu [image] Options.At the command prompt, enter options.
  2. In the Options dialog box, Selection tab, make changes to the Selection Preview and Selection Modes areas and the pickbox size.
  3. Click OK.
Command entry: OPTIONS


To turn on or turn off selection previewing (Procedure)

Customize Object Selection
Up a level to ..
Customize Object Selection
Create and Modify Objects > Change Existing Objects > Select Objects > Customize Object Selection >
Customize Object Selection
Concept Procedure Quick Reference

To turn on or turn off selection previewing

  1. Click Tools menu [image] Options.At the command prompt, enter options.
  2. In the Options dialog box, Selection tab, select or clear options as follows:
    • Select the When a Command Is Active option to display the check mark.
    • Select the When No Command Is Active option to display the check mark.
    • Select both options to turn on selection preview whenever it is available.
    • Clear both options to turn off selection preview entirely.
    Command entry: SELECTIONPREVIEW


To change the appearance of selection previewing (Procedure)

Customize Object Selection
Up a level to ..
Customize Object Selection
Create and Modify Objects > Change Existing Objects > Select Objects > Customize Object Selection >
Customize Object Selection
Concept Procedure Quick Reference

To change the appearance of selection previewing

  1. Click Tools menu [image] Options.At the command prompt, enter options.
  2. In the Options dialog box, Selection tab, click Visual Effect Settings.
  3. In the Visual Effect Settings dialog box, select one of the following options:
    • Dash. Displays dashed lines.
    • Thicken. Displays thickened lines.
    • Both. Displays dashed and thickened lines.
  4. Click OK to exit each dialog box.


To exclude objects from selection previewing (Procedure)

Customize Object Selection
Up a level to ..
Customize Object Selection
Create and Modify Objects > Change Existing Objects > Select Objects > Customize Object Selection >
Customize Object Selection
Concept Procedure Quick Reference

To exclude objects from selection previewing

  1. Click Tools menu [image] Options.At the command prompt, enter options.
  2. In the Options dialog box, Selection tab, click Visual Effect Settings.
  3. In the Visual Effect Settings dialog box, click Advanced Options.
  4. In the Advanced Preview Options dialog box, select any of the following options to exclude objects from selection previewing:
    • Exclude Objects on Locked Layers
    • Xrefs
    • Tables
    • Groups
    • Multiline Text
    • Hatches
  5. Click OK to exit each dialog box.


To change the appearance of the selection area (Procedure)

Customize Object Selection
Up a level to ..
Group Objects
Create and Modify Objects > Change Existing Objects > Select Objects > Customize Object Selection >
Customize Object Selection
Concept Procedure Quick Reference

To change the appearance of the selection area

  1. Click Tools menu [image] Options.At the command prompt, enter options.
  2. In the Options dialog box, Selection tab, click Visual Effect Settings.
  3. In the Visual Effect Settings dialog box, change any of the following settings:
    • Indicate Selection Area. Select to display effects for selection areas.
    • Window Selection Color. Select a color, or click Select Color to display the Select Color dialog box. (WINDOWAREACOLOR system variable)
    • Crossing Selection Color. Select a color, or click Select Color to display the Select Color dialog box. (CROSSINGAREACOLOR system variable)
    • Selection Area Opacity. Use the slider to set transparency for selection areas. The lower the setting, the more transparent the area. A value of 100 makes the area opaque. (SELECTIONAREAOPACITY system variable)
  4. Click OK to exit each dialog box.


Customize Object Selection (Quick Reference)

Filter Selection Sets
Customize Object Selection
Overview of Groups
Create and Modify Objects > Change Existing Objects > Select Objects > Customize Object Selection >
Customize Object Selection
Concept Procedure Quick Reference

Commands

FILTER

Creates a list of requirements that an object must meet to be included in a selection set

PROPERTIES

Controls properties of existing objects

QSELECT

Creates a selection set based on filtering criteria

System Variables

CROSSINGAREACOLOR

Controls the color of the selection area during crossing selection

DRAGMODE

Controls the way dragged objects are displayed

HIGHLIGHT

Controls object highlighting; does not affect objects selected with grips

PICKADD

Controls whether subsequent selections replace the current selection set or add to it

PICKAUTO

Controls automatic windowing at the Select Objects prompt

PICKBOX

Sets the object selection target height, in pixels

PICKDRAG

Controls the method of drawing a selection window

PICKFIRST

Controls whether you select objects before (noun-verb selection) or after you issue a command

PREVIEWEFFECT

Specifies the visual effect used for previewing selection of objects

PREVIEWFILTER

Excludes specified object types from selection previewing

SELECTIONAREA

Controls the display of effects for selection areas

SELECTIONAREAOPACITY

Controls the transparency of the selection area during window and crossing selection

SELECTIONPREVIEW

Controls the display of selection previewing

WINDOWAREACOLOR

Controls the color of the transparent selection area during window selection

Utilities

No entries

Command Modifiers

No entries


Group Objects

Customize Object Selection
Select Objects
Overview of Groups
Create and Modify Objects > Change Existing Objects > Select Objects >
Group Objects
Concept Procedure

A group is a saved set of objects that you can select and edit together or separately as needed. Groups provide an easy way to combine drawing elements that you need to manipulate as a unit.

Topics in this section

  • Overview of Groups
  • Create Groups

    In addition to choosing the objects that will become the members of a group, you can give the group a name and description.

  • Select Objects in Groups

    There are several methods for choosing a group, including selecting the group by name or selecting one of the members of the group.

  • Edit Groups

    You can modify groups in a number of ways, including changing their membership, modifying their properties, revising the names and descriptions of groups, and removing them from the drawing.


Group Objects (Procedure)

Customize Object Selection
Up a level to ..
Create Groups
Create and Modify Objects > Change Existing Objects > Select Objects > Group Objects >
Group Objects
Concept Procedure

To create a group

To control whether all grouped objects can be selected individually

To control selectability for a specific group

To delete a named group

To reorder group members


Overview of Groups (Concept)

Group Objects
Group Objects
Create Groups
Create and Modify Objects > Change Existing Objects > Select Objects > Group Objects >
Overview of Groups
Concept Quick Reference

A group is a saved set of objects that you can select and edit together or separately as needed. Groups provide an easy way to combine drawing elements that you need to manipulate as a unit. You can create them quickly and with a default name.

TipGroups are useful in associating 3D solids when you do not want to combine them with a Boolean operation.

You can change the components of groups as you work by adding or removing objects.

In some ways, groups resemble blocks, which provide another method of combining objects into a named set. For example, the groups you create are saved from session to session. However, you can edit individual objects in groups more easily than you can edit them in blocks, which must be exploded first. Unlike blocks, groups cannot be shared with other drawings.


Overview of Groups (Quick Reference)

Customize Object Selection
Overview of Groups
Create Groups
Create and Modify Objects > Change Existing Objects > Select Objects > Group Objects > Overview of Groups >
Overview of Groups
Concept Quick Reference

Commands

GROUP

Creates and manages saved sets of objects called groups

System Variables

PICKSTYLE

Controls the use of group selection and associative hatch selection

Utilities

No entries

Command Modifiers

No entries


Create Groups (Concept)

Overview of Groups
Group Objects
Select Objects in Groups
Create and Modify Objects > Change Existing Objects > Select Objects > Group Objects >
Create Groups
Concept Procedure Quick Reference

In addition to choosing the objects that will become the members of a group, you can give the group a name and description.

When you create a group, you can give the group a name and description. If you copy a group, the copy is given the default name Ax and is considered unnamed. Unnamed groups are not listed in the Object Grouping dialog box unless you select Include Unnamed.

If you choose a member of a group that can be selected for inclusion in a new group, all members of the former group are included in the new group.

The objects in your drawing can be members of more than one group, and groups themselves can be nested in other groups. You can ungroup a nested group to restore the original group configuration.

Named groups are not maintained when you use a drawing as an external reference or insert it as a block. However, you can bind and then explode the external reference or explode the block to make the group available as an unnamed group.

NoteAvoid creating large groups containing hundreds or thousands of objects. A large group significantly degrades the performance of this program.


To create a group (Procedure)

Group Objects
Up a level to ..
Select Objects in Groups
Create and Modify Objects > Change Existing Objects > Select Objects > Group Objects > Create Groups >
Create Groups
Concept Procedure Quick Reference

To create a group

  1. At the command prompt, enter group.
  2. In the Object Grouping dialog box, under Group Identification, enter a group name and a description.
  3. In the Create Group area, click New.

    The dialog box closes temporarily.

  4. Select objects and press ENTER.
  5. Click OK.
Command entry: GROUP


Create Groups (Quick Reference)

Overview of Groups
Create Groups
Select Objects in Groups
Create and Modify Objects > Change Existing Objects > Select Objects > Group Objects > Create Groups >
Create Groups
Concept Procedure Quick Reference

Commands

GROUP

Creates and manages saved sets of objects called groups

System Variables

PICKSTYLE

Controls the use of group selection and associative hatch selection

Utilities

No entries

Command Modifiers

No entries


Select Objects in Groups (Concept)

Create Groups
Group Objects
Edit Groups
Create and Modify Objects > Change Existing Objects > Select Objects > Group Objects >
Select Objects in Groups
Concept Procedure Quick Reference

There are several methods for choosing a group, including selecting the group by name or selecting one of the members of the group.

You can select groups by name at the Select Objects prompt. If the PICKSTYLE system variable is set to 1 or 3 and you select any member of a selectable group, all group members that meet the selection criteria are selected. You can also turn group selection on and off by pressing CTRL+ H or SHIFT+CTRL+A.

All members of selectable groups are also selected when you use object selection cycling (for example, if you want to select an object that lies directly behind another object). Selecting an object that is a member of more than one selectable group selects all the members of all the groups that contain that object. To select groups for editing with grips, use the pointing device to select the group at the command prompt.


Select Objects in Groups (Procedure)

Create Groups
Up a level to ..
Select Objects in Groups
Create and Modify Objects > Change Existing Objects > Select Objects > Group Objects > Select Objects in Groups >
Select Objects in Groups
Concept Procedure Quick Reference

To control whether all grouped objects can be selected individually

To control selectability for a specific group


To control whether all grouped objects can be selected individually (Procedure)

Select Objects in Groups
Up a level to ..
Select Objects in Groups
Create and Modify Objects > Change Existing Objects > Select Objects > Group Objects > Select Objects in Groups >
Select Objects in Groups
Concept Procedure Quick Reference

To control whether all grouped objects can be selected individually

Do one of the following:

  • At the command prompt, enter pickstyle. Enter 1 to turn on group selection. Objects within groups can be selected as a group only, not individually.
  • At the command prompt, enter pickstyle. Enter 0 to turn off group selection. Objects within groups can be selected individually only, not as a group.
  • At any time, turn group selection on and off by pressing either CTRL+H or CTRL+SHIFT+A.


To control selectability for a specific group (Procedure)

Select Objects in Groups
Up a level to ..
Edit Groups
Create and Modify Objects > Change Existing Objects > Select Objects > Group Objects > Select Objects in Groups >
Select Objects in Groups
Concept Procedure Quick Reference

To control selectability for a specific group

  1. At the command prompt, enter group.
  2. In the Object Grouping dialog box, under Group Name, click the group for which you want to change selectability.
  3. Under Change Group, click Selectable.

    This changes whether objects within the group are either selectable as a group, subject to the PICKSTYLE system variable. If selectability is turned off, the objects in a group are selectable only as individual objects. At the top of the Object Grouping dialog box, under Selectable, each group displays its current status.

  4. Click OK.


Select Objects in Groups (Quick Reference)

Create Groups
Select Objects in Groups
Edit Groups
Create and Modify Objects > Change Existing Objects > Select Objects > Group Objects > Select Objects in Groups >
Select Objects in Groups
Concept Procedure Quick Reference

Commands

GROUP

Creates and manages saved sets of objects called groups

System Variables

PICKSTYLE

Controls the use of group selection and associative hatch selection

Utilities

No entries

Command Modifiers

No entries


Edit Groups (Concept)

Select Objects in Groups
Group Objects
Correct Mistakes
Create and Modify Objects > Change Existing Objects > Select Objects > Group Objects >
Edit Groups
Concept Procedure Quick Reference

You can modify groups in a number of ways, including changing their membership, modifying their properties, revising the names and descriptions of groups, and removing them from the drawing.

Edit Objects as a Group

When group selection is turned on, you can move, copy, rotate, and modify groups just as you can modify individual objects. If you need to edit objects within a group, turn off group selection or use grips to edit individual objects. For more information, see Select Objects in Groups.

In some circumstances, it is useful to control the order in which objects that belong to the same group are selected. For example, a custom routine that generates toolpaths for numerical control devices might depend on a series of contiguous objects in a specified order.

You can reorder group members in two ways: either change the numerical position of individual members or ranges of group members, or reverse the order of all members. The first object in each group is number 0, not number 1.

Change Group Components, Name, or Description

With the Object Grouping dialog box, you can specify objects to be added to or removed from a group at any time. You can also revise a group's name or description. If deleting an object or removing it from a group leaves the group empty, the group remains defined but without any members.

NoteExploding an object such as a block instance or hatch that belongs to a group does not automatically add the resulting components to any group.

Remove Groups

You can delete a group definition by using the “explode” option in the Object Grouping dialog box. This operation is not the same as exploding a block, hatch, or dimension. Objects that belonged to the exploded group remain in the drawing.

As a result, the group is disbanded but the members are not changed in any other way.


Edit Groups (Procedure)

Select Objects in Groups
Up a level to ..
Edit Groups
Create and Modify Objects > Change Existing Objects > Select Objects > Group Objects > Edit Groups >
Edit Groups
Concept Procedure Quick Reference

To delete a named group

To reorder group members


To delete a named group (Procedure)

Edit Groups
Up a level to ..
Edit Groups
Create and Modify Objects > Change Existing Objects > Select Objects > Group Objects > Edit Groups >
Edit Groups
Concept Procedure Quick Reference

To delete a named group

  1. At the command prompt, enter group.
  2. In the Object Grouping dialog box, select the group name from the list of groups.
  3. Under Change Group, select Explode.
  4. Click OK.

    The group is deleted.

Command entry: GROUP


To reorder group members (Procedure)

Edit Groups
Up a level to ..
Correct Mistakes
Create and Modify Objects > Change Existing Objects > Select Objects > Group Objects > Edit Groups >
Edit Groups
Concept Procedure Quick Reference

To reorder group members

  1. At the command prompt, enter group.
  2. In the Object Grouping dialog box, under Change Group, click Re-Order.
  3. In the Order Group dialog box, under Group Name, select the group to reorder.
  4. To view the current order of this group, click Highlight.
  5. In the Object Grouping dialog box, click Next or Previous to view the objects. Click OK when you have finished viewing the order of the objects.
  6. In the Order Group dialog box, under Remove From Position, enter an object number.
  7. Under Enter New Position Number for the Object, enter a new position.
  8. Under Number of Objects, enter the object number or range of numbers to reorder. Click Re-Order.
  9. Click OK to close each dialog box.
Command entry: GROUP


Edit Groups (Quick Reference)

Select Objects in Groups
Edit Groups
Correct Mistakes
Create and Modify Objects > Change Existing Objects > Select Objects > Group Objects > Edit Groups >
Edit Groups
Concept Procedure Quick Reference

Commands

GROUP

Creates and manages saved sets of objects called groups

System Variables

PICKSTYLE

Controls the use of group selection and associative hatch selection

Utilities

No entries

Command Modifiers

No entries


Correct Mistakes (Concept)

Edit Groups
Change Existing Objects
Erase Objects
Create and Modify Objects > Change Existing Objects >
Correct Mistakes
Concept Procedure Quick Reference

You can backtrack your recent actions using one of several methods.

Undo a Single Action

The simplest method of backtracking is to use Undo on the Standard toolbar or the U command to undo a single action. Many commands include their own U (undo) option so that you can correct mistakes without leaving the command. When you are creating lines and polylines, for example, enter u to undo the last segment.

NoteBy default, the UNDO command is set to combine consecutive pan and zoom commands into a single operation when you undo or redo. However, pan and zoom commands that are started from the menu are not combined, and always remain separate actions.

Undo Several Actions at Once

Use the Mark option of UNDO to mark an action as you work. You can then use the Back option of UNDO to undo all actions that occurred after the marked action. Use the Begin and End options of UNDO to define a set of actions to be treated as a group.

You can also undo several actions at once with the Undo list on the Standard toolbar.

Reverse the Effect of Undo

You can reverse the effect of a single U or UNDO command by using REDO immediately after using U or UNDO.

You can also redo several actions at once with the Redo list on the Standard toolbar.

Erase Objects

You can erase any object that you draw. If you accidentally erase the wrong object, you can use the UNDO command or the OOPS command to restore it.

For more information, see Erase Objects.

Cancel a Command

You can cancel a command without completing it by pressing ESC.


Correct Mistakes (Procedure)

Edit Groups
Correct Mistakes
Correct Mistakes
Create and Modify Objects > Change Existing Objects > Correct Mistakes >
Correct Mistakes
Concept Procedure Quick Reference

To undo the most recent action

To undo a specific number of actions

To redo an action

To redo a specific number of actions


To undo the most recent action (Procedure)

Correct Mistakes
Correct Mistakes
Correct Mistakes
Create and Modify Objects > Change Existing Objects > Correct Mistakes >
Correct Mistakes
Concept Procedure Quick Reference

To undo the most recent action

  • Click Edit menu [image] Undo.
Toolbar: Standard
Command entry: U


To undo a specific number of actions (Procedure)

Correct Mistakes
Correct Mistakes
Correct Mistakes
Create and Modify Objects > Change Existing Objects > Correct Mistakes >
Correct Mistakes
Concept Procedure Quick Reference

To undo a specific number of actions

  1. On the Standard toolbar, click the Undo list arrow.

    A list of actions that you can undo, starting with the most recent action, is displayed.

  2. Drag to select the actions to undo.
  3. Click to undo the selected actions.
Toolbar: Standard
Command entry: UNDO


To redo an action (Procedure)

Correct Mistakes
Correct Mistakes
Correct Mistakes
Create and Modify Objects > Change Existing Objects > Correct Mistakes >
Correct Mistakes
Concept Procedure Quick Reference

To redo an action

  • Click Edit menu [image] Redo.At the command prompt, enter mredo.

Only the action immediately preceding an UNDO command can be reversed with REDO. You cannot use REDO to repeat another command.

Toolbar: Standard
Command entry: REDO


To redo a specific number of actions (Procedure)

Correct Mistakes
Correct Mistakes
Erase Objects
Create and Modify Objects > Change Existing Objects > Correct Mistakes >
Correct Mistakes
Concept Procedure Quick Reference

To redo a specific number of actions

  1. On the Standard toolbar, click the Redo list arrow.

    A list of undo actions that you can redo, starting with the most recent action, is displayed.

  2. Drag to select the actions to redo.
  3. Click to redo the selected actions.
Toolbar: Standard
Command entry: MREDO


Correct Mistakes (Quick Reference)

Edit Groups
Correct Mistakes
Erase Objects
Create and Modify Objects > Change Existing Objects > Correct Mistakes >
Correct Mistakes
Concept Procedure Quick Reference

Commands

ERASE

Removes objects from a drawing

OPTIONS

Customizes the program settings

OOPS

Restores erased objects

REDO

Reverses the effects of previous UNDO or U command

MREDO

Reverses the effects of several previous UNDO or U commands

U

Reverses the most recent operation

UNDO

Reverses the effect of commands

System Variables

UNDOCTL

Indicates the state of the Auto, Control, and Group options of the UNDO command

UNDOMARKS

Stores the number of marks placed in the UNDO control stream by the Mark option

Utilities

No entries

Command Modifiers

No entries


Erase Objects (Concept)

Correct Mistakes
Change Existing Objects
Use Windows Cut, Copy, and Paste
Create and Modify Objects > Change Existing Objects >
Erase Objects
Concept Procedure Quick Reference

You can erase objects from your drawing using several methods.

  • Erase them with ERASE.
  • Select them and then cut them to the Clipboard with CTRL+X.
  • Select them and press DELETE.

You can restore accidentally erased objects using UNDO. The OOPS command restores all objects deleted by the most recent use of ERASE, BLOCK, or WBLOCK.

Clean Up the Display

You can remove the plus-shaped markers called blips and stray pixels that may be left over from some editing operations from the display area.

  • To remove blips, use REDRAW.
  • To remove stray pixels, use REGEN.

Remove Unused Definitions and Styles

You can remove unused named objects, including block definitions, dimension styles, layers, linetypes, and text styles with PURGE.

See Also

    • Correct Mistakes


Erase Objects (Procedure)

Correct Mistakes
Erase Objects
Erase Objects
Create and Modify Objects > Change Existing Objects > Erase Objects >
Erase Objects
Concept Procedure Quick Reference

To erase an object

To restore the last erased object

To cut objects to the Clipboard

To remove plus-shaped marker blips

To purge an unused linetype


To erase an object (Procedure)

Erase Objects
Erase Objects
Erase Objects
Create and Modify Objects > Change Existing Objects > Erase Objects >
Erase Objects
Concept Procedure Quick Reference

To erase an object

  1. Click Home tab [image] Modify panel [image] Erase.At the command prompt, enter erase.
  2. At the Select Objects prompt, use a selection method to select the objects to be erased or enter an option:
    • Enter L (Last) to erase the last object drawn.
    • Enter p (Previous) to erase the last selection set.
    • Enter all to erase all objects from the drawing.
    • Enter ? to see a list of all selection methods.
  3. Press ENTER to end the command.
Toolbar: Modify
Command entry: ERASE


To restore the last erased object (Procedure)

Erase Objects
Erase Objects
Erase Objects
Create and Modify Objects > Change Existing Objects > Erase Objects >
Erase Objects
Concept Procedure Quick Reference

To restore the last erased object

  • At the command prompt, enter oops.

The last objects that were removed by ERASE, BLOCK, or WBLOCK are restored.

Command entry: OOPS


To cut objects to the Clipboard (Procedure)

Erase Objects
Erase Objects
Erase Objects
Create and Modify Objects > Change Existing Objects > Erase Objects >
Erase Objects
Concept Procedure Quick Reference

To cut objects to the Clipboard

  1. Select the objects you want to cut.
  2. Click Home tab [image] Utilities panel [image] Cut.At the command prompt, enter cutclip. You can also press CTRL+X.

    The objects are available to be pasted into other Windows applications.

Command entry: CUTCLIP


To remove plus-shaped marker blips (Procedure)

Erase Objects
Erase Objects
Erase Objects
Create and Modify Objects > Change Existing Objects > Erase Objects >
Erase Objects
Concept Procedure Quick Reference

To remove plus-shaped marker blips

  • Click View menu [image] Redraw.At the command prompt, enter redrawall.
Command entry: REDRAW


To purge an unused linetype (Procedure)

Erase Objects
Erase Objects
Use Windows Cut, Copy, and Paste
Create and Modify Objects > Change Existing Objects > Erase Objects >
Erase Objects
Concept Procedure Quick Reference

To purge an unused linetype

  1. Click Tools tab [image] Drawing Utilities panel [image] Purge.At the command prompt, enter purge.

    The Purge dialog box displays a tree view of object types with items that can be purged.

  2. To purge unreferenced linetypes, use one of the following methods:
    • To purge all unreferenced linetypes, select Linetypes.
    • To purge specific linetypes, double-click Linetypes to expand the tree view. Then select the linetypes to be purged.

    If the item you want to purge is not listed, select View Items You Cannot Purge.

  3. You are prompted to confirm each item in the list. If you do not want to confirm each purge, clear the Confirm Each Item to Be Purged option.
  4. Click Purge.

    To confirm the purging of each item, respond to the prompt by choosing Yes or No, or Yes to All if more than one item is selected.

  5. Click Close.
Command entry: PURGE


Erase Objects (Quick Reference)

Correct Mistakes
Erase Objects
Use Windows Cut, Copy, and Paste
Create and Modify Objects > Change Existing Objects > Erase Objects >
Erase Objects
Concept Procedure Quick Reference

Commands

CUTCLIP

Moves the selected objects to the Clipboard and removes them from the drawing

ERASE

Removes objects from a drawing

OOPS

Restores erased objects

PURGE

Removes unused named items, such as block definitions and layers, from the drawing

REDRAW

Refreshes the display in the current viewport

REDRAWALL

Refreshes the display in all viewports

REGEN

Regenerates the entire drawing from the current viewport

UNDO

Reverses the effect of commands

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Use Windows Cut, Copy, and Paste (Concept)

Erase Objects
Change Existing Objects
Modify Objects
Create and Modify Objects > Change Existing Objects >
Use Windows Cut, Copy, and Paste
Concept Procedure Quick Reference

When you want to use objects from a drawing file in another application, you can cut or copy these objects to the Clipboard and then paste them from the Clipboard into the other application.

Cut Objects

Cutting deletes selected objects from the drawing and stores them on the Clipboard. The objects are now available to be pasted into other Microsoft® Windows® documents.

Copy Objects

You can use the Clipboard to copy part or all of a drawing into a document created by another application. The objects are copied in vector format, which retains the high resolution in other applications. These objects are stored in WMF (Windows metafile) format in the Clipboard. The information stored in the Clipboard can then be embedded in the other document. Updating the original drawing does not update the copy embedded in the other application.

Paste Objects

Applications use different internal formats to store Clipboard information. When you copy objects to the Clipboard, information is stored in all available formats. When you paste the Clipboard contents into a drawing, the format that retains the most information is used. However, you can override this setting and convert pasted information to AutoCAD format.

Because it is the easiest format to edit, the AutoCAD format is the preferred format for copying objects to and from AutoCAD. It retains all relevant object information, including block references and 3D aspects.

The Windows metafile (picture) format contains screen vector information, and files can be scaled and printed without losing resolution. Use this format to paste objects into Windows applications that support WMF files. Metafiles pasted into AutoCAD are of higher resolution than bitmapped images (BMP files) but are not as easily manipulated as AutoCAD objects. Bitmapped images are raster images consisting of a pattern of pixels and are commonly used by paint applications.

The color of the object doesn't change when copied to the Clipboard. For example, white objects pasted onto a white background won't be visible. Use the WMFBKGND and WMFFOREGND system variables to control whether the background or foreground is transparent for metafile objects pasted into other applications.

You can insert a linked or embedded object from the Clipboard into a drawing with PASTESPEC. If you convert pasted information to AutoCAD format, the object is inserted as a block reference. To edit the pasted information, explode the block reference into its component objects. When you convert a Windows metafile stored on the Clipboard to AutoCAD format, you may lose some scaling precision. To retain proper scaling, save objects in the original drawing as a block (WBLOCK), and then insert them into AutoCAD using INSERT.


Use Windows Cut, Copy, and Paste (Procedure)

Erase Objects
Use Windows Cut, Copy, and Paste
Use Windows Cut, Copy, and Paste
Create and Modify Objects > Change Existing Objects > Use Windows Cut, Copy, and Paste >
Use Windows Cut, Copy, and Paste
Concept Procedure Quick Reference

To cut objects to the Clipboard

To copy objects to the Clipboard

To paste objects from the Clipboard

To convert pasted information to drawing file format


To cut objects to the Clipboard (Procedure)

Use Windows Cut, Copy, and Paste
Use Windows Cut, Copy, and Paste
Use Windows Cut, Copy, and Paste
Create and Modify Objects > Change Existing Objects > Use Windows Cut, Copy, and Paste >
Use Windows Cut, Copy, and Paste
Concept Procedure Quick Reference

To cut objects to the Clipboard

  1. Select the objects you want to cut.
  2. Click Home tab [image] Utilities panel [image] Cut.At the command prompt, enter cutclip.

    You can also press CTRL+X.

    The objects can be pasted into other Windows applications as well.

Command entry: CUTCLIP


To copy objects to the Clipboard (Procedure)

Use Windows Cut, Copy, and Paste
Use Windows Cut, Copy, and Paste
Use Windows Cut, Copy, and Paste
Create and Modify Objects > Change Existing Objects > Use Windows Cut, Copy, and Paste >
Use Windows Cut, Copy, and Paste
Concept Procedure Quick Reference

To copy objects to the Clipboard

  1. Select the objects you want to copy.
  2. Click Home tab [image] Utilities panel [image] Copy Clip.At the command prompt, enter copyclip.

You can also press CTRL+C.

Command entry: COPYCLIP


To paste objects from the Clipboard (Procedure)

Use Windows Cut, Copy, and Paste
Use Windows Cut, Copy, and Paste
Use Windows Cut, Copy, and Paste
Create and Modify Objects > Change Existing Objects > Use Windows Cut, Copy, and Paste >
Use Windows Cut, Copy, and Paste
Concept Procedure Quick Reference

To paste objects from the Clipboard

  • Click Home tab [image] Utilities panel [image] Paste.At the command prompt, enter pasteclip.

    You can also press CTRL+V.

    The objects currently on the Clipboard are pasted into the drawing.

Command entry: PASTECLIP


To convert pasted information to drawing file format (Procedure)

Use Windows Cut, Copy, and Paste
Use Windows Cut, Copy, and Paste
Move or Rotate Objects
Create and Modify Objects > Change Existing Objects > Use Windows Cut, Copy, and Paste >
Use Windows Cut, Copy, and Paste
Concept Procedure Quick Reference

To convert pasted information to drawing file format

  1. Click Home tab [image] Utilities panel [image] Paste Special.At the command prompt, enter pastespec.
  2. In the Paste Special dialog box, select Paste.
  3. From the list of formats, select Picture.
  4. Click OK.
Command entry: PASTESPEC


Use Windows Cut, Copy, and Paste (Quick Reference)

Erase Objects
Use Windows Cut, Copy, and Paste
Choose a Method to Modify Objects
Create and Modify Objects > Change Existing Objects > Use Windows Cut, Copy, and Paste >
Use Windows Cut, Copy, and Paste
Concept Procedure Quick Reference

Commands

COPYBASE

Copies objects with a specified base point

COPYCLIP

Copies selected objects to the Clipboard

CUTCLIP

Moves the selected objects to the Clipboard and removes them from the drawing

PASTEBLOCK

Pastes copied objects as a block

PASTECLIP

Inserts data from the Clipboard

PASTEORIG

Pastes a copied object in a new drawing using the coordinates from the original drawing

PASTESPEC

Inserts data from the Clipboard and controls the format of the data

WMFIN

Imports a Windows metafile

WMFOPTS

Sets options for WMFIN

WMFOUT

Saves objects to a Windows metafile

System Variables

OLEHIDE

Controls the display and plotting of OLE objects

WMFBKGND

Controls the background display when objects are inserted in Windows metafile (WMF) format

WMFFOREGND

Controls the assignment of the foreground color when objects are inserted in Windows metafile (WMF) format

Utilities

No entries

Command Modifiers

No entries


Modify Objects

Use Windows Cut, Copy, and Paste
Change Existing Objects
Choose a Method to Modify Objects
Create and Modify Objects > Change Existing Objects >
Modify Objects

You can easily modify the size, shape, and location of objects.

Topics in this section

  • Choose a Method to Modify Objects
  • Move or Rotate Objects

    You can move objects to a different location, or change the orientation of objects by rotating them by an angle or to other objects.

  • Copy, Offset, or Mirror Objects

    You can create duplicates of objects in your drawing that are either identical or similar to selected objects.

  • Change the Size and Shape of Objects

    There are several methods for adjusting the lengths of existing objects relative to other objects, both symmetrically and asymmetrically.

  • Fillet, Chamfer, Break, or Join Objects

    You can change objects to meet in rounded or flattened corners. You can also create or close gaps in objects.

  • Use Grips to Edit Objects

    Grips are small squares that are displayed at strategic points on objects that you have selected with a pointing device. You can drag these grips to edit objects directly and quickly.


Choose a Method to Modify Objects (Concept)

Modify Objects
Modify Objects
Move or Rotate Objects
Create and Modify Objects > Change Existing Objects > Modify Objects >
Choose a Method to Modify Objects
Concept Quick Reference

You can easily modify the size, shape, and location of objects. You can

  • Enter a command first, and then select the objects to modify.
  • Select the objects first, and then enter a command to modify them.
  • Select and right-click an object to display a shortcut menu with relevant options.
  • Double-click an object to display the Properties palette or, in some cases, a dialog box or editor that is specific to that type of object. (You can specify the double click action for each object type by customizing a CUI file and loading it into the program.)
See Also

    • Change Text

    • Select Objects

    • Modify Existing Dimensions

    • Display and Change the Properties of Objects

    • Work with Custom and Proxy Objects

    • Create a Double Click Action in the Customization Guide


Choose a Method to Modify Objects (Quick Reference)

Use Windows Cut, Copy, and Paste
Choose a Method to Modify Objects
Move Objects
Create and Modify Objects > Change Existing Objects > Modify Objects > Choose a Method to Modify Objects >
Choose a Method to Modify Objects
Concept Quick Reference

Commands

CUI

Manages customized user interface elements such as workspaces, toolbars, menus, shortcut menus and keyboard shortcuts

DRAGMODE

Controls the way dragged objects are displayed

PROPERTIES

Controls properties of existing objects

SELECT

Places selected objects in the Previous selection set

System Variables

DBLCLKEDIT

Controls the double click editing behavior in the drawing area

DRAGMODE

Controls the way dragged objects are displayed

PICKADD

Controls whether subsequent selections replace the current selection set or add to it

PICKFIRST

Controls whether you select objects before (noun-verb selection) or after you issue a command

Utilities

No entries

Command Modifiers

No entries


Move or Rotate Objects

Choose a Method to Modify Objects
Modify Objects
Move Objects
Create and Modify Objects > Change Existing Objects > Modify Objects >
Move or Rotate Objects
Concept Procedure

You can move objects to a different location, or change the orientation of objects by rotating them by an angle or to other objects.

Topics in this section

  • Move Objects

    You can move objects at a specified distance and direction from the originals.

  • Rotate Objects

    You can rotate objects in your drawing around a specified base point.

  • Align Objects

    You can move, rotate, or tilt an object so that it aligns with another object.


Move or Rotate Objects (Procedure)

Use Windows Cut, Copy, and Paste
Move or Rotate Objects
Move Objects
Create and Modify Objects > Change Existing Objects > Modify Objects > Move or Rotate Objects >
Move or Rotate Objects
Concept Procedure

To move an object using two points

To move an object using a displacement

To move an object from model space to paper space (or vice versa)

To move by stretching

To rotate an object

To rotate an object to an absolute angle

To rotate a 3D object around an axis

To align two objects in 2D

To align two objects in 3D


Move Objects (Concept)

Move or Rotate Objects
Move or Rotate Objects
Rotate Objects
Create and Modify Objects > Change Existing Objects > Modify Objects > Move or Rotate Objects >
Move Objects
Concept Procedure Quick Reference

You can move objects at a specified distance and direction from the originals.

Use coordinates, grid snap, object snaps, and other tools to move objects with precision.

Specify Distance with Two Points

Move an object using the distance and direction specified by a base point followed by a second point. In this example, you move the block representing a window. Click Home tab [image] Modify panel [image] Move.Enter move at the command prompt. Then select the object to be moved (1). Specify the base point for the move (2) followed by a second point (3). The object is moved the distance and direction of point 2 to point 3.

Specify Distance with Relative Coordinates

You can move an object using a relative distance by entering coordinate values for the first point and pressing ENTER for the second point. The coordinate values are used as a relative displacement rather than the location of a base point.

NoteDo not include an @ sign as you normally would for relative coordinates, because relative coordinates are expected.

To copy objects a specified distance, you can also use direct distance entry with Ortho mode and polar tracking. For more information, see Enter Direct Distances

Use a Stretch-Move

You can also use STRETCH to move objects if all their endpoints lie entirely within the selection window. Turn on Ortho mode or polar tracking to move the objects at a specific angle.

A practical example is moving a door in a wall. The door in the illustration is entirely within a crossing selection, while the wall lines are only partly within the crossing selection area.

The result is that only the endpoints that lie within the crossing selection move.

Use Alternate Methods

You can use grips to move and copy objects quickly. See Use Grips to Edit Objects.

You can also select objects and drag them to a new location; press CTRL to make a copy. Using this method, you can drag objects between open drawings and other applications. If you drag with the right mouse button instead of the left, a shortcut menu is displayed. The menu options include Move Here, Copy Here, Paste as Block, and Cancel. See Embed OLE Objects in Drawings.


Move Objects (Procedure)

Move or Rotate Objects
Up a level to ..
Move Objects
Create and Modify Objects > Change Existing Objects > Modify Objects > Move or Rotate Objects > Move Objects >
Move Objects
Concept Procedure Quick Reference

To move an object using two points

To move an object using a displacement

To move an object from model space to paper space (or vice versa)

To move by stretching


To move an object using two points (Procedure)

Move Objects
Up a level to ..
Move Objects
Create and Modify Objects > Change Existing Objects > Modify Objects > Move or Rotate Objects > Move Objects >
Move Objects
Concept Procedure Quick Reference

To move an object using two points

  1. Click Home tab [image] Modify panel [image] Move.Enter move at the command prompt.
  2. Select the objects to move.
  3. Specify a base point for the move.
  4. Specify a second point.

    The objects you selected are moved to a new location determined by the distance and direction between the first and second points.

Toolbar: Modify
Command entry: MOVE


To move an object using a displacement (Procedure)

Move Objects
Up a level to ..
Move Objects
Create and Modify Objects > Change Existing Objects > Modify Objects > Move or Rotate Objects > Move Objects >
Move Objects
Concept Procedure Quick Reference

To move an object using a displacement

  1. Click Home tab [image] Modify panel [image] Move.Enter move at the command prompt.
  2. Select the object to move.
  3. Enter the displacement in the form of a Cartesian, polar, cylindrical, or spherical coordinate value. Do not include the @ sign, because a relative coordinate is assumed.
  4. At the prompt for the second point, press ENTER.

    The coordinate values are used as a relative displacement rather than the location of a base point. The selected objects are moved to a new location determined by the relative coordinate values you enter.

Toolbar: Modify
Command entry: MOVE


To move an object from model space to paper space (or vice versa) (Procedure)

Move Objects
Up a level to ..
Move Objects
Create and Modify Objects > Change Existing Objects > Modify Objects > Move or Rotate Objects > Move Objects >
Move Objects
Concept Procedure Quick Reference

To move an object from model space to paper space (or vice versa)

  1. Click a layout tab.
  2. Click Modify menu [image] Change Space.At the command prompt, enter chspace.
  3. Select one or more objects to move.
  4. Press ENTER.

    The object is moved to the new space, and is scaled appropriately to the new space.

Command entry: CHSPACE


To move by stretching (Procedure)

Move Objects
Up a level to ..
Rotate Objects
Create and Modify Objects > Change Existing Objects > Modify Objects > Move or Rotate Objects > Move Objects >
Move Objects
Concept Procedure Quick Reference

To move by stretching

  1. Click Home tab [image] Modify panel [image] Stretch.Enter stretch at the command prompt.
  2. Select the object by using crossing selection.

    The crossing selection must include at least one vertex or endpoint. Specify crossing selection by clicking, moving your pointing device from right to left, and clicking again.

  3. Do one of the following:
    • Specify the base point for the move, and then specify a second point.
    • Enter the displacement in the form of a Cartesian, polar, cylindrical, or spherical coordinate value. Do not include the @ sign, because a relative coordinate is assumed. At the prompt for the second point of displacement, press ENTER.

    Any objects with at least one vertex or endpoint included within the crossing selection are stretched. Any objects that are completely within the crossing selection are moved without being stretched.

Toolbar: Modify
Command entry: STRETCH


Move Objects (Quick Reference)

Choose a Method to Modify Objects
Move Objects
Rotate Objects
Create and Modify Objects > Change Existing Objects > Modify Objects > Move or Rotate Objects > Move Objects >
Move Objects
Concept Procedure Quick Reference

Commands

CHSPACE

Moves objects between model space and paper space

MOVE

Moves objects a specified distance in a specified direction

PROPERTIES

Controls properties of existing objects

STRETCH

Stretches objects crossed by a selection window or polygon

System Variables

No entries

Utilities

No entries

Command Modifiers

Direct Distance Entry

Locates the next point at a specified distance in the direction of your cursor


Rotate Objects (Concept)

Move Objects
Move or Rotate Objects
Align Objects
Create and Modify Objects > Change Existing Objects > Modify Objects > Move or Rotate Objects >
Rotate Objects
Concept Procedure Quick Reference

You can rotate objects in your drawing around a specified base point.

To determine the angle of rotation, you can enter an angle value, drag using the cursor, or specify a reference angle to align to an absolute angle.

Rotate an Object by a Specified Angle

Enter a rotation angle value from 0 to 360 degrees. You can also enter values in radians, grads, or surveyor bearings. Entering a positive angle value rotates the objects counterclockwise or clockwise, depending on the Direction Control setting in the Drawing Units dialog box.

Rotate an Object by Dragging

Drag the object around the base point and specify a second point. Use Ortho mode, polar tracking, or object snaps for greater precision.

For example, you can rotate the plan view of a house by selecting the objects (1), specifying a base point (2), and specifying an angle of rotation by dragging to another point (3).

Rotate an Object to an Absolute Angle

With the Reference option, you can rotate an object to align it to an absolute angle.

For example, to rotate the part in the illustration so the diagonal edge rotates to 90 degrees, you select the objects to be rotated (1, 2), specify the base point (3), and enter the Reference option. For the reference angle, specify the two endpoints of the diagonal line (4, 5). For the new angle, enter 90.

Rotate an Object in 3D

To rotate 3D objects, you can use either ROTATE or ROTATE3D.

  • With ROTATE, you can rotate objects around a specified base point. The axis of rotation passes through the base point and is parallel to the Z axis of the current UCS.
  • With ROTATE3D, you can specify the axis of rotation using either two points; an object; the X, Y, or Z axis; or the Z direction of the current view.
See Also

    • Rotate Views in Layout Viewports


Rotate Objects (Procedure)

Move Objects
Up a level to ..
Rotate Objects
Create and Modify Objects > Change Existing Objects > Modify Objects > Move or Rotate Objects > Rotate Objects >
Rotate Objects
Concept Procedure Quick Reference

To rotate an object

To rotate an object to an absolute angle

To rotate a 3D object around an axis


To rotate an object (Procedure)

Rotate Objects
Up a level to ..
Rotate Objects
Create and Modify Objects > Change Existing Objects > Modify Objects > Move or Rotate Objects > Rotate Objects >
Rotate Objects
Concept Procedure Quick Reference

To rotate an object

  1. Click Home tab [image] Modify panel [image] Rotate.Enter rotate at the command prompt.
  2. Select the object to rotate.
  3. Specify the base point for the rotation.
  4. Do one of the following:
    • Enter the angle of rotation.
    • Drag the object around its base point and specify a point location to which you want to rotate the object.
    • Enter c to create a copy of the selected objects.
    • Enter r to rotate the selected objects from a specified reference angle to an absolute angle.
Toolbar: Modify
Command entry: ROTATE


To rotate an object to an absolute angle (Procedure)

Rotate Objects
Up a level to ..
Rotate Objects
Create and Modify Objects > Change Existing Objects > Modify Objects > Move or Rotate Objects > Rotate Objects >
Rotate Objects
Concept Procedure Quick Reference

To rotate an object to an absolute angle

  1. Click Home tab [image] Modify panel [image] Rotate.Enter rotate at the command prompt.
  2. Select the objects to rotate.
  3. Specify the base point for the rotation.
  4. Enter r (Reference).
  5. Enter a reference angle value or specify two point locations.

    This determines an imaginary line that will be rotated to a new angle.

  6. Enter the new angle, or specify a point.

    The value that you enter for the new angle is an absolute angle, not a relative value. Alternatively, if you specify a point, the reference angle will be rotated to that point.

Toolbar: Modify
Command entry: ROTATE


To rotate a 3D object around an axis (Procedure)

Rotate Objects
Up a level to ..
Align Objects
Create and Modify Objects > Change Existing Objects > Modify Objects > Move or Rotate Objects > Rotate Objects >
Rotate Objects
Concept Procedure Quick Reference

To rotate a 3D object around an axis

  1. Click Modify menu [image] 3D Operations [image] Rotate 3D.
  2. Select the object to rotate (1).
  3. Specify the start point and endpoint of the axis about which the objects are to be rotated (2 and 3).

    The positive axis direction is from the start point to the end point, and the rotation follows the right-hand rule (see Understand the User Coordinate System in 3D).

  4. Specify the angle of rotation.

Command entry: ROTATE3D


Rotate Objects (Quick Reference)

Move Objects
Rotate Objects
Align Objects
Create and Modify Objects > Change Existing Objects > Modify Objects > Move or Rotate Objects > Rotate Objects >
Rotate Objects
Concept Procedure Quick Reference

Commands

ROTATE

Rotates objects around a base point

ROTATE3D

Moves objects about a 3D axis

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Align Objects (Concept)

Rotate Objects
Move or Rotate Objects
Copy, Offset, or Mirror Objects
Create and Modify Objects > Change Existing Objects > Modify Objects > Move or Rotate Objects >
Align Objects
Concept Procedure Quick Reference

You can move, rotate, or tilt an object so that it aligns with another object.

In the following example, two pairs of points are used to align the piping in 2D using the ALIGN command. Endpoint object snaps align the pipes precisely.

In 3D, use the 3DALIGN command to specify up to three points to define the source plane followed by up to three points to define the destination plane.

  • The first source point on an object, called the base point, is always moved to the first destination point.
  • Specifying a second point for either the source or the destination results in the selected objects being rotated.
  • A third point for either the source or the destination results in further rotation of the selected objects.
TipWith 3D solid models, it is recommended that you turn on dynamic UCS to speed the selection of the destination plane.


Align Objects (Procedure)

Rotate Objects
Up a level to ..
Align Objects
Create and Modify Objects > Change Existing Objects > Modify Objects > Move or Rotate Objects > Align Objects >
Align Objects
Concept Procedure Quick Reference

To align two objects in 2D

To align two objects in 3D


To align two objects in 2D (Procedure)

Align Objects
Up a level to ..
Align Objects
Create and Modify Objects > Change Existing Objects > Modify Objects > Move or Rotate Objects > Align Objects >
Align Objects
Concept Procedure Quick Reference

To align two objects in 2D

  1. Click Modify menu [image] 3D Operations [image] Align.At the command prompt, enter align.
  2. Select the objects that you want to align.
  3. Specify a source point and then the corresponding destination point. To rotate the object, specify a second source point followed by a second destination point.
  4. Press ENTER to end the command.

    The selected objects are moved from the source point to the destination point, and second and third points, if you specify them, rotate, and tilt the selected objects.

Command entry: ALIGN


To align two objects in 3D (Procedure)

Align Objects
Up a level to ..
Copy, Offset, or Mirror Objects
Create and Modify Objects > Change Existing Objects > Modify Objects > Move or Rotate Objects > Align Objects >
Align Objects
Concept Procedure Quick Reference

To align two objects in 3D

  1. Click Modify menu [image] 3D Operations [image] 3D Align.At the command prompt, enter 3dalign.
  2. Select the objects that you want to align.
  3. Specify either one, two, or three source points and then the corresponding first, second, or third destination points. The first point is called the base point.

    The selected objects are moved from the source point to the destination point, and second and third points, if you specify them, rotate, and tilt the selected objects.

Command entry: 3DALIGN


Align Objects (Quick Reference)

Rotate Objects
Align Objects
Copy Objects
Create and Modify Objects > Change Existing Objects > Modify Objects > Move or Rotate Objects > Align Objects >
Align Objects
Concept Procedure Quick Reference

Commands

3DALIGN

Aligns objects with other objects in 2D and 3D

ALIGN

Aligns objects with other objects in 2D and 3D

System Variables

UCSDETECT

Controls whether dynamic UCS acquisition is active or not

Utilities

No entries

Command Modifiers

No entries


Copy, Offset, or Mirror Objects

Align Objects
Modify Objects
Copy Objects
Create and Modify Objects > Change Existing Objects > Modify Objects >
Copy, Offset, or Mirror Objects
Concept Procedure

You can create duplicates of objects in your drawing that are either identical or similar to selected objects.

Topics in this section

  • Copy Objects

    You can create duplicates of objects at a specified distance and direction from the originals.

  • Create an Array of Objects

    You can create copies of objects in a rectangular or polar (circular) pattern called an array.

  • Offset an Object

    Offset an object to create a new object whose shape parallels the shape of the original object.

  • Mirror Objects

    You can flip objects about a specified axis to create a symmetrical mirror image.


Copy, Offset, or Mirror Objects (Procedure)

Align Objects
Copy, Offset, or Mirror Objects
Copy Objects
Create and Modify Objects > Change Existing Objects > Modify Objects > Copy, Offset, or Mirror Objects >
Copy, Offset, or Mirror Objects
Concept Procedure

To copy an object using two points

To create a rectangular array

To create a polar array

To create a 3D rectangular array of objects

To create a 3D polar array of objects

To offset an object by specifying a distance

To offset an object through a point

To mirror objects

To mirror objects in 3D


Copy Objects (Concept)

Copy, Offset, or Mirror Objects
Copy, Offset, or Mirror Objects
Create an Array of Objects
Create and Modify Objects > Change Existing Objects > Modify Objects > Copy, Offset, or Mirror Objects >
Copy Objects
Concept Procedure Quick Reference

You can create duplicates of objects at a specified distance and direction from the originals.

Use coordinates, grid snap, object snaps, and other tools to copy objects with precision.

Specify Distance with Two Points

Copy an object using the distance and direction specified by a base point followed by a second point. In this example, you copy the block representing an electronic component.Click Edit menu [image] Copy.At the command prompt, enter copyclip. Then select the original object to be copied. Specify the base point for the move (1) followed by a second point (2). The object is copied the distance and direction of point 1 to point 2.

Specify Distance with Relative Coordinates

Copy an object using a relative distance by entering coordinate values for the first point and pressing ENTER for the second point. The coordinate values are used as a relative displacement rather than the location of a base point.

NoteDo not include an @ sign as you normally would for relative coordinates, because relative coordinates are expected.

To copy objects a specified distance, you can also use direct distance entry with Ortho mode and polar tracking. For more information, see Enter Direct Distances.

Create Multiple Copies

The COPY command repeats automatically by default. To exit the command, press ENTER. To change the default, use the COPYMODE system variable.

Use Alternate Methods

You can use grips to move and copy objects quickly. See Use Grips to Edit Objects.

You can also select objects and drag them to a new location; press CTRL to make a copy. Using this method, you can drag objects between open drawings and other applications. If you drag with the right mouse button instead of the left, a shortcut menu is displayed. The menu options include Move Here, Copy Here, Paste as Block, and Cancel. See Embed OLE Objects in Drawings.


To copy an object using two points (Procedure)

Copy, Offset, or Mirror Objects
Up a level to ..
Create an Array of Objects
Create and Modify Objects > Change Existing Objects > Modify Objects > Copy, Offset, or Mirror Objects > Copy Objects >
Copy Objects
Concept Procedure Quick Reference

To copy an object using two points

  1. Click Home tab [image] Modify panel [image] Copy.Enter copy at the command prompt.
  2. Select the objects to copy.
  3. Specify the base point.
  4. Specify the second point. Press ENTER.
Toolbar: Modify
Command entry: COPY


Copy Objects (Quick Reference)

Align Objects
Copy Objects
Create an Array of Objects
Create and Modify Objects > Change Existing Objects > Modify Objects > Copy, Offset, or Mirror Objects > Copy Objects >
Copy Objects
Concept Procedure Quick Reference

Commands

COPY

Copies objects a specified distance in a specified direction

System Variables

COPYMODE

Controls whether the COPY command repeats automatically

Utilities

No entries

Command Modifiers

No entries


Create an Array of Objects (Concept)

Copy Objects
Copy, Offset, or Mirror Objects
Offset an Object
Create and Modify Objects > Change Existing Objects > Modify Objects > Copy, Offset, or Mirror Objects >
Create an Array of Objects
Concept Procedure Quick Reference

You can create copies of objects in a rectangular or polar (circular) pattern called an array.

For rectangular arrays, you control the number of rows and columns and the distance between each. For polar arrays, you control the number of copies of the object and whether the copies are rotated. To create many regularly spaced objects, arraying is faster than copying.

Create Rectangular Arrays

A rectangular array is built along a baseline defined by the current snap rotation angle. This angle is zero by default, so the rows and columns of a rectangular array are orthogonal with respect to the X and Y axes. The default angle 0 direction setting can be changed in UNITS.

Create Polar Arrays

When you create a polar array, the array is drawn counterclockwise or clockwise, depending on whether you enter a positive or a negative value for the angle to fill.

The radius of the array is determined by the distance from the specified center point to a reference or base point on the last selected object. You can use the default reference point (usually an arbitrary point that coincides with a snap point), or you can specify a new base point to be used as the reference point.

Array in 3D

With 3DARRAY, you can create a rectangular array or a polar array of objects in 3D. In addition to specifying the number of columns (X direction) and rows (Y direction), you also specify the number of levels (Z direction).

Limit the Size of Arrays

If you specify a very large number of rows and columns for an array, it may take a long time to create the copies. By default, the number of array elements that can be generated by one command is limited to approximately 100,000. This limit is controlled by the MaxArray setting in the registry.

You can change the limit by setting the MaxArray system registry variable using (setenv “MaxArray” “n”) where n is a number between 100 and 10000000 (ten million).

NoteWhen changing the value of MaxArray, you must enter MaxArray with the capitalization shown.


Create an Array of Objects (Procedure)

Copy Objects
Up a level to ..
Create an Array of Objects
Create and Modify Objects > Change Existing Objects > Modify Objects > Copy, Offset, or Mirror Objects > Create an Array of Objects >
Create an Array of Objects
Concept Procedure Quick Reference

To create a rectangular array

To create a polar array

To create a 3D rectangular array of objects

To create a 3D polar array of objects


To create a rectangular array (Procedure)

Create an Array of Objects
Up a level to ..
Create an Array of Objects
Create and Modify Objects > Change Existing Objects > Modify Objects > Copy, Offset, or Mirror Objects > Create an Array of Objects >
Create an Array of Objects
Concept Procedure Quick Reference

To create a rectangular array

  1. Click Home tab [image] Modify panel [image] Array.At the command prompt, enter array.
  2. In the Array dialog box, select Rectangular Array.
  3. Click Select Objects.

    The Array dialog box closes. You are prompted for object selection.

  4. Select the objects to be arrayed and press ENTER.
  5. In the Rows and Columns boxes, enter the number of rows and columns in the array.
  6. Specify the horizontal and vertical spacing (offsets) between objects by using one of the following methods:
    • In the Row Offset and Column Offset boxes, enter the distance between rows and between columns. Adding a plus sign (+) or a minus sign (-) determines direction.
    • Click the Pick Both Offsets button to use the pointing device to specify the diagonal corners of a cell in the array. The cell determines the vertical and horizontal spacing of the rows and columns.
    • Click the Pick Row Offset or Pick Column Offset button to use the pointing device to specify the horizontal and vertical spacing.

    The example box displays the result.

  7. To change the rotation angle of the array, enter the new angle next to Angle of Array.
  8. The default angle 0 direction setting can also be changed in UNITS.
  9. Click OK to create the array.
Toolbar: Modify
Command entry: ARRAY


To create a polar array (Procedure)

Create an Array of Objects
Up a level to ..
Create an Array of Objects
Create and Modify Objects > Change Existing Objects > Modify Objects > Copy, Offset, or Mirror Objects > Create an Array of Objects >
Create an Array of Objects
Concept Procedure Quick Reference

To create a polar array

  1. Click Home tab [image] Modify panel [image] Array.At the command prompt, enter array.
  2. In the Array dialog box, select Polar Array.
  3. Next to Center Point, do one of the following:
    • Enter an X value and a Y value for the center point of the polar array.
    • Click the Pick Center Point button. The Array dialog box closes and you are prompted for object selection. Use the pointing device to specify the center point of the polar array.
  4. Click Select Objects.

    The Array dialog box closes and you are prompted for object selection.

  5. Select the objects to be arrayed.
  6. In the Method box, select one of the following methods:
    • Total Number of Items & Angle to Fill
    • Total Number of Items & Angle Between Items
    • Angle to Fill & Angle Between Items
  7. Enter the number of items (including the original object), if available.
  8. Use one of the following methods:
    • Enter the angle to fill and angle between items, if available. Angle to Fill specifies the distance to fill around the circumference of the array. Angle Between Items specifies the distance between each item.
    • Click the Pick Angle to Fill button and the Pick Angle Between Items button. Use the pointing device to specify the angle to fill and the angle between items.

    The example box displays the result.

  9. You can set any of the following options:
    • To rotate the objects as they are arrayed, select Rotate Items As Copied. The example area displays the result.
    • To specify the X,Y base point, select More, clear the Set to Object's Default option and enter values in the X and Y boxes, or click the Pick Base Point button and use the pointing device to specify the point.
  10. Click OK to create the array.
Toolbar: Modify
Command entry: ARRAY


To create a 3D rectangular array of objects (Procedure)

Create an Array of Objects
Up a level to ..
Create an Array of Objects
Create and Modify Objects > Change Existing Objects > Modify Objects > Copy, Offset, or Mirror Objects > Create an Array of Objects >
Create an Array of Objects
Concept Procedure Quick Reference

To create a 3D rectangular array of objects

  1. Click Modify menu [image] 3D Operations [image] 3D Array.At the command prompt, enter 3darray.
  2. Select the object to array (1).
  3. Specify Rectangular.
  4. Enter the number of rows.
  5. Enter the number of columns.
  6. Enter the number of levels.
  7. Specify the distance between rows.
  8. Specify the distance between columns.
  9. Specify the distance between levels.

Command entry: 3DARRAY


To create a 3D polar array of objects (Procedure)

Create an Array of Objects
Up a level to ..
Offset an Object
Create and Modify Objects > Change Existing Objects > Modify Objects > Copy, Offset, or Mirror Objects > Create an Array of Objects >
Create an Array of Objects
Concept Procedure Quick Reference

To create a 3D polar array of objects

  1. Click Modify menu [image] 3D Operations [image] 3D Array.At the command prompt, enter 3darray.
  2. Select the object to array (1).
  3. Specify Polar.
  4. Enter the number of items to array.
  5. Specify the angle that the arrayed objects are to fill.
  6. Press ENTER to rotate the objects as they are arrayed, or enter n to retain their orientation.
  7. Specify the start point and endpoint of the axis about which the objects are to be rotated (2 and 3).

Command entry: 3DARRAY


Create an Array of Objects (Quick Reference)

Copy Objects
Create an Array of Objects
Offset an Object
Create and Modify Objects > Change Existing Objects > Modify Objects > Copy, Offset, or Mirror Objects > Create an Array of Objects >
Create an Array of Objects
Concept Procedure Quick Reference

Commands

3DARRAY

Creates a 3D array

ARRAY

Creates multiple copies of objects in a pattern

DSETTINGS

Sets grid and snap, polar and object snap tracking, object snap modes, and Dynamic Input

UCS

Manages user coordinate systems

UNITS

Controls coordinate and angle display formats and precision

System Variables

ANGBASE

Sets the base angle to 0 with respect to the current UCS

ANGDIR

Sets the direction of positive angles

SNAPANG

Sets the snap and grid rotation angle for the current viewport relative to the current UCS

Utilities

No entries

Command Modifiers

No entries


Offset an Object (Concept)

Create an Array of Objects
Copy, Offset, or Mirror Objects
Mirror Objects
Create and Modify Objects > Change Existing Objects > Modify Objects > Copy, Offset, or Mirror Objects >
Offset an Object
Concept Procedure Quick Reference

Offset an object to create a new object whose shape parallels the shape of the original object.

OFFSET creates a new object whose shape parallels the shape of a selected object. Offsetting a circle or an arc creates a larger or smaller circle or arc, depending on which side you specify for the offset.

A highly effective drawing technique is to offset objects and then trim or extend their ends.

You can offset

  • Lines
  • Arcs
  • Circles
  • Ellipses and elliptical arcs (resulting in an oval-shaped spline)
  • 2D polylines
  • Construction lines (xlines) and rays
  • Splines

Special Cases for Offset Polylines and Splines

2D polylines and splines are trimmed automatically when the offset distance is larger than can otherwise be accommodated.

Closed 2D polylines that are offset to create larger polylines result in potential gaps between segments. The OFFSETGAPTYPE system variable controls how these potential gaps are closed.


Offset an Object (Procedure)

Create an Array of Objects
Up a level to ..
Offset an Object
Create and Modify Objects > Change Existing Objects > Modify Objects > Copy, Offset, or Mirror Objects > Offset an Object >
Offset an Object
Concept Procedure Quick Reference

To offset an object by specifying a distance

To offset an object through a point


To offset an object by specifying a distance (Procedure)

Offset an Object
Up a level to ..
Offset an Object
Create and Modify Objects > Change Existing Objects > Modify Objects > Copy, Offset, or Mirror Objects > Offset an Object >
Offset an Object
Concept Procedure Quick Reference

To offset an object by specifying a distance

  1. Click Home tab [image] Modify panel [image] Offset.At the command prompt, enter offset.
  2. Specify the offset distance.

    You can enter a value or use the pointing device.

  3. Select the object to offset.
  4. Specify a point on the side where you want to place the new objects.
  5. Select another object to offset, or press ENTER to end the command.
Toolbar: Modify
Command entry: OFFSET


To offset an object through a point (Procedure)

Offset an Object
Up a level to ..
Mirror Objects
Create and Modify Objects > Change Existing Objects > Modify Objects > Copy, Offset, or Mirror Objects > Offset an Object >
Offset an Object
Concept Procedure Quick Reference

To offset an object through a point

  1. Click Home tab [image] Modify panel [image] Offset.At the command prompt, enter offset.
  2. Enter t (Through).
  3. Select the object to offset.
  4. Specify the through point.
  5. Select another object to offset, or press ENTER to end the command.
Toolbar: Modify
Command entry: OFFSET


Offset an Object (Quick Reference)

Create an Array of Objects
Offset an Object
Mirror Objects
Create and Modify Objects > Change Existing Objects > Modify Objects > Copy, Offset, or Mirror Objects > Offset an Object >
Offset an Object
Concept Procedure Quick Reference

Commands

OFFSET

Creates concentric circles, parallel lines, and parallel curves

System Variables

OFFSETDIST

Sets the default offset distance

OFFSETGAPTYPE

Controls how potential gaps between segments are treated when closed polylines are offset

Utilities

No entries

Command Modifiers

No entries


Mirror Objects (Concept)

Offset an Object
Copy, Offset, or Mirror Objects
Change the Size and Shape of Objects
Create and Modify Objects > Change Existing Objects > Modify Objects > Copy, Offset, or Mirror Objects >
Mirror Objects
Concept Procedure Quick Reference

You can flip objects about a specified axis to create a symmetrical mirror image.

Mirroring is useful for creating symmetrical objects because you can quickly draw half the object and then mirror it instead of drawing the entire object.

You flip objects about an axis called a mirror line to create a mirror image. To specify this temporary mirror line, you enter two points. You can choose whether to erase or retain the original objects.

By default, when you mirror text, attributes, and attribute definitions, they are not reversed or turned upside down in the mirror image. The text has the same alignment and justification as before the object was mirrored. If you do want text to be reversed, set the MIRRTEXT system variable to 1.

MIRRTEXT affects text that is created with the TEXT, ATTDEF, or MTEXT commands; attribute definitions; and variable attributes. Text and constant attributes that are part of an inserted block are reversed when the block is mirrored regardless of the MIRRTEXT setting.

Mirror in 3D

With MIRROR3D, you can mirror objects across a specified mirroring plane. The mirroring plane can be one of the following:

  • The plane of a planar object
  • A plane parallel to the XY, YZ, or XZ plane of the current UCS that passes through a specified point
  • A plane defined by three specified points (2, 3, and 4)


Mirror Objects (Procedure)

Offset an Object
Up a level to ..
Mirror Objects
Create and Modify Objects > Change Existing Objects > Modify Objects > Copy, Offset, or Mirror Objects > Mirror Objects >
Mirror Objects
Concept Procedure Quick Reference

To mirror objects

To mirror objects in 3D


To mirror objects (Procedure)

Mirror Objects
Up a level to ..
Mirror Objects
Create and Modify Objects > Change Existing Objects > Modify Objects > Copy, Offset, or Mirror Objects > Mirror Objects >
Mirror Objects
Concept Procedure Quick Reference

To mirror objects

  1. Click Home tab [image] Modify panel [image] Mirror.Enter mirror at the command prompt.
  2. Select the objects to mirror.
  3. Specify the first point of the mirror line.
  4. Specify the second point.
  5. Press ENTER to retain the original objects, or enter y to erase them.
Toolbar: Modify
Command entry: MIRROR


To mirror objects in 3D (Procedure)

Mirror Objects
Up a level to ..
Change the Size and Shape of Objects
Create and Modify Objects > Change Existing Objects > Modify Objects > Copy, Offset, or Mirror Objects > Mirror Objects >
Mirror Objects
Concept Procedure Quick Reference

To mirror objects in 3D

  1. Click Modify menu [image] 3D Operations [image] Mirror 3D.
  2. Select the object to mirror.
  3. Specify three points to define a mirroring plane.
  4. Press ENTER to retain the original objects, or enter y to delete them.
Command entry: MIRROR3D


Mirror Objects (Quick Reference)

Offset an Object
Mirror Objects
Trim or Extend Objects
Create and Modify Objects > Change Existing Objects > Modify Objects > Copy, Offset, or Mirror Objects > Mirror Objects >
Mirror Objects
Concept Procedure Quick Reference

Commands

MIRROR

Creates a mirrored copy of selected objects

MIRROR3D

Creates a mirrored copy of selected objects about a plane

System Variables

MIRRTEXT

Controls how the MIRROR command reflects text

Utilities

No entries

Command Modifiers

No entries


Change the Size and Shape of Objects

Mirror Objects
Modify Objects
Trim or Extend Objects
Create and Modify Objects > Change Existing Objects > Modify Objects >
Change the Size and Shape of Objects
Concept Procedure

There are several methods for adjusting the lengths of existing objects relative to other objects, both symmetrically and asymmetrically.

Topics in this section

  • Trim or Extend Objects

    You can shorten or lengthen objects to meet the edges of other objects.

  • Resize or Reshape Objects

    You can resize objects to make them longer or shorter in only one direction or to make them proportionally larger or smaller.


Change the Size and Shape of Objects (Procedure)

Mirror Objects
Change the Size and Shape of Objects
Trim or Extend Objects
Create and Modify Objects > Change Existing Objects > Modify Objects > Change the Size and Shape of Objects >
Change the Size and Shape of Objects
Concept Procedure

To extend an object

To trim an object

To extend objects in 3D wireframe models

To trim in 3D using the current view plane

To trim objects in 3D wireframe models

To stretch an object

To scale an object by a scale factor

To scale an object by reference

To change the length of an object by dragging


Trim or Extend Objects (Concept)

Change the Size and Shape of Objects
Change the Size and Shape of Objects
Resize or Reshape Objects
Create and Modify Objects > Change Existing Objects > Modify Objects > Change the Size and Shape of Objects >
Trim or Extend Objects
Concept Procedure Quick Reference

You can shorten or lengthen objects to meet the edges of other objects.

This means you can first create an object such as a line and then later adjust it to fit exactly between other objects.

Objects you select as cutting edges or boundary edges are not required to intersect the object being trimmed. You can trim or extend an object to a projected edge or to an extrapolated intersection; that is, where the objects would intersect if they were extended.

If you do not specify a boundary and press ENTER at the Select Objects prompt, all displayed objects become potential boundaries.

NoteTo select cutting edges or boundary edges that include blocks, you can use only the single selection, Crossing, Fence, and Select All options.

Trim Objects

You can trim objects so that they end precisely at boundary edges defined by other objects.

For example, you can clean up the intersection of two walls smoothly by trimming.

An object can be one of the cutting edges and one of the objects being trimmed. For example, in the illustrated light fixture, the circle is a cutting edge for the construction lines and is also being trimmed.

When you trim several objects, the different selection methods can help you choose the current cutting edges and objects to trim. In the following example, the cutting edges are selected using crossing selection.

The following example uses the fence selection method to select a series of objects for trimming.

You can trim objects to their nearest intersection with other objects. Instead of selecting cutting edges, you press ENTER. Then, when you select the objects to trim, the nearest displayed objects act as cutting edges. In this example, the walls are trimmed so that they intersect smoothly.

You can extend objects without leaving the TRIM command. Hold down SHIFT and select the objects to be extended.

Extend Objects

Extending operates the same way as trimming. You can extend objects so they end precisely at boundary edges defined by other objects. In this example, you extend the lines precisely to a circle, which is the boundary edge.

You can trim objects without leaving the EXTEND command. Hold down SHIFT and select the objects to be trimmed.

Trim and Extend Wide Polylines

2D wide polylines trim and extend at their centerlines. The ends of wide polylines are always square. Trimming a wide polyline at an angle causes portions of the end to extend beyond the cutting edge

If you trim or extend a tapered 2D polyline segment, the width of the extended end is corrected to continue the original taper to the new endpoint. If this correction gives the segment a negative ending width, the ending width is forced to 0.

Trim and Extend Spline-Fit Polylines

Trimming a spline-fit polyline removes the curve-fit information and changes the spline-fit segments into ordinary polyline segments.

Extending a spline-fit polyline adds a new vertex to the control frame for the polyline.

Trim or Extend in 3D

You can trim or extend an object to any other object in 3D space, regardless of whether the objects are on the same plane or parallel to the cutting or boundary edges. In the TRIM and EXTEND commands, use the Project and Edge options to select one of three projections for trimming or extending:

  • The XY plane of the current UCS
  • The plane of the current view
  • True 3D, which is not a projection
See Also

    • Break and Join Objects


Trim or Extend Objects (Procedure)

Change the Size and Shape of Objects
Up a level to ..
Trim or Extend Objects
Create and Modify Objects > Change Existing Objects > Modify Objects > Change the Size and Shape of Objects > Trim or Extend Objects >
Trim or Extend Objects
Concept Procedure Quick Reference

To extend an object

To trim an object

To extend objects in 3D wireframe models

To trim in 3D using the current view plane

To trim objects in 3D wireframe models


To extend an object (Procedure)

Trim or Extend Objects
Up a level to ..
Trim or Extend Objects
Create and Modify Objects > Change Existing Objects > Modify Objects > Change the Size and Shape of Objects > Trim or Extend Objects >
Trim or Extend Objects
Concept Procedure Quick Reference

To extend an object

  1. Click Home tab [image] Modify panel [image] Extend.At the command prompt, enter extend.
  2. Select the objects to serve as boundary edges.

    To select all displayed objects as potential boundary edges, press ENTER without selecting any objects.

  3. Select the objects to extend.
Toolbar: Modify
Command entry: EXTEND


To trim an object (Procedure)

Trim or Extend Objects
Up a level to ..
Trim or Extend Objects
Create and Modify Objects > Change Existing Objects > Modify Objects > Change the Size and Shape of Objects > Trim or Extend Objects >
Trim or Extend Objects
Concept Procedure Quick Reference

To trim an object

  1. Click Home tab [image] Modify panel [image] Trim.At the command prompt, enter trim.
  2. Select the objects to serve as cutting edges.

    To select all displayed objects as potential cutting edges, press ENTER without selecting any objects.

  3. Select the objects to trim.
Toolbar: Modify
Command entry: TRIM


To extend objects in 3D wireframe models (Procedure)

Trim or Extend Objects
Up a level to ..
Trim or Extend Objects
Create and Modify Objects > Change Existing Objects > Modify Objects > Change the Size and Shape of Objects > Trim or Extend Objects >
Trim or Extend Objects
Concept Procedure Quick Reference

To extend objects in 3D wireframe models

  1. Click Home tab [image] Modify panel [image] Extend [image].At the command prompt, enter extend.
  2. Select the boundary edge for extending (1).
  3. Enter e (Edge).
  4. Enter e (Extend).
  5. Enter p (Project).
  6. Enter u (UCS).
  7. Select the object to extend (2).

Command entry: EXTEND


To trim in 3D using the current view plane (Procedure)

Trim or Extend Objects
Up a level to ..
Trim or Extend Objects
Create and Modify Objects > Change Existing Objects > Modify Objects > Change the Size and Shape of Objects > Trim or Extend Objects >
Trim or Extend Objects
Concept Procedure Quick Reference

To trim in 3D using the current view plane

  1. Click Home tab [image] Modify panel [image] Trim [image].At the command prompt, enter trim.
  2. Select the cutting edge for trimming (1).
  3. Enter p (Project).
  4. Enter v (View).
  5. Select the object to trim (2).

Command entry: TRIM


To trim objects in 3D wireframe models (Procedure)

Trim or Extend Objects
Up a level to ..
Resize or Reshape Objects
Create and Modify Objects > Change Existing Objects > Modify Objects > Change the Size and Shape of Objects > Trim or Extend Objects >
Trim or Extend Objects
Concept Procedure Quick Reference

To trim objects in 3D wireframe models

  1. Click Home tab [image] Modify panel [image] Trim [image].At the command prompt, enter trim.
  2. Select the cutting edges to use for trimming (1 and 2).
  3. Enter p (Project).
  4. Enter n (None).
  5. Select the object to trim (3 and 4).
Command entry: TRIM


Trim or Extend Objects (Quick Reference)

Mirror Objects
Trim or Extend Objects
Resize or Reshape Objects
Create and Modify Objects > Change Existing Objects > Modify Objects > Change the Size and Shape of Objects > Trim or Extend Objects >
Trim or Extend Objects
Concept Procedure Quick Reference

Commands

BREAK

Breaks the selected object between two points

EXTEND

Extends objects to meet the edges of other objects

JOIN

Joins similar objects to form a single, unbroken object

LENGTHEN

Changes the length of objects and the included angle of arcs

PROPERTIES

Controls properties of existing objects

TRIM

Trims objects to meet the edges of other objects

System Variables

EDGEMODE

Controls how the TRIM and EXTEND commands determine cutting and boundary edges

PROJMODE

Sets the current Projection mode for trimming or extending

Utilities

No entries

Command Modifiers

No entries


Resize or Reshape Objects (Concept)

Trim or Extend Objects
Change the Size and Shape of Objects
Fillet, Chamfer, Break, or Join Objects
Create and Modify Objects > Change Existing Objects > Modify Objects > Change the Size and Shape of Objects >
Resize or Reshape Objects
Concept Procedure Quick Reference

You can resize objects to make them longer or shorter in only one direction or to make them proportionally larger or smaller.

You can also stretch certain objects by moving an endpoint, vertex, or control point.

Lengthen Objects

With LENGTHEN, you can change the included angle of arcs and the length of the following objects:

  • Lines
  • Arcs
  • Open polylines
  • Elliptical arcs
  • Open splines.

The results are similar to extending and trimming. You can

  • Drag an object endpoint dynamically
  • Specify a new length or angle as a percentage of the total length or angle
  • Specify an incremental length or angle measured from an endpoint
  • Specify the object's total absolute length or included angle

Stretch Objects

With STRETCH, you relocate the endpoints of objects that lie across or within a crossing selection window.

  • Objects that are partially enclosed by a crossing window are stretched.
  • Objects that are completely enclosed within the crossing window, or that are selected individually, are moved rather than stretched.

To stretch an object, you specify a base point and then a point of displacement.

To stretch with precision, use object snaps, grid snaps, and relative coordinate entry.

Scale Objects Using a Scale Factor

With SCALE, you can make an object uniformly larger or smaller. To scale an object, you specify a base point and a scale factor. Alternatively, you can specify a length to be used as a scale factor based on the current drawing units.

A scale factor greater than 1 enlarges the object. A scale factor between 0 and 1 shrinks the object.

Scaling changes the size of all dimensions of the selected object. A scale factor greater than 1 enlarges the object. A scale factor less than 1 shrinks the object.

NoteWhen you use the SCALE command with annotative objects, the position or location of the object is scaled relative to the base point of the scale operation, but the size of the object is not changed.

Scale Objects Using a Reference Distance

You can also scale by reference. Scaling by reference uses an existing distance as a basis for the new size. To scale by reference, specify the current distance and then the new desired size. For example, if one side of an object is 4.8 units long and you want to expand it to 7.5 units, use 4.8 as the reference length.

You can use the Reference option to scale an entire drawing. For example, use this option when the original drawing units need to be changed. Select all objects in the drawing. Then use Reference to select two points and specify the intended distance. All the objects in the drawing are scaled accordingly.

See Also

    • Break and Join Objects


Resize or Reshape Objects (Procedure)

Trim or Extend Objects
Up a level to ..
Resize or Reshape Objects
Create and Modify Objects > Change Existing Objects > Modify Objects > Change the Size and Shape of Objects > Resize or Reshape Objects >
Resize or Reshape Objects
Concept Procedure Quick Reference

To stretch an object

To scale an object by a scale factor

To scale an object by reference

To change the length of an object by dragging


To stretch an object (Procedure)

Resize or Reshape Objects
Up a level to ..
Resize or Reshape Objects
Create and Modify Objects > Change Existing Objects > Modify Objects > Change the Size and Shape of Objects > Resize or Reshape Objects >
Resize or Reshape Objects
Concept Procedure Quick Reference

To stretch an object

  1. Click Home tab [image] Modify panel [image] Stretch.Enter stretch at the command prompt.
  2. Select the object using a crossing window selection.

    The crossing window must include at least one vertex or endpoint.

  3. Do one of the following:
    • Enter the displacement in the form of a relative Cartesian, polar, cylindrical, or spherical coordinate. Do not include the @ sign, because a relative coordinate is assumed. Press ENTER at the prompt for the second point of displacement.
    • Specify the base point for the stretch, and then specify a second point, to determine the distance and direction.

    Any objects with at least one vertex or endpoint included within the crossing window are stretched. Any objects that are completely within the crossing window, or selected individually, are moved without stretching.

Toolbar: Modify
Command entry: STRETCH


To scale an object by a scale factor (Procedure)

Resize or Reshape Objects
Up a level to ..
Resize or Reshape Objects
Create and Modify Objects > Change Existing Objects > Modify Objects > Change the Size and Shape of Objects > Resize or Reshape Objects >
Resize or Reshape Objects
Concept Procedure Quick Reference

To scale an object by a scale factor

  1. Click Home tab [image] Modify panel [image] Scale.Enter scale at the command prompt.
  2. Select the object to scale.
  3. Specify the base point.
  4. Enter the scale factor or drag and click to specify a new scale.
Toolbar: Modify
Command entry: SCALE


To scale an object by reference (Procedure)

Resize or Reshape Objects
Up a level to ..
Resize or Reshape Objects
Create and Modify Objects > Change Existing Objects > Modify Objects > Change the Size and Shape of Objects > Resize or Reshape Objects >
Resize or Reshape Objects
Concept Procedure Quick Reference

To scale an object by reference

  1. Click Home tab [image] Modify panel [image] Scale.Enter scale at the command prompt.
  2. Select the object to scale.
  3. Select the base point.
  4. Enter r (Reference).
  5. Select the first and second reference points, or enter a value for the reference length.
Toolbar: Modify
Command entry: SCALE


To change the length of an object by dragging (Procedure)

Resize or Reshape Objects
Up a level to ..
Fillet, Chamfer, Break, or Join Objects
Create and Modify Objects > Change Existing Objects > Modify Objects > Change the Size and Shape of Objects > Resize or Reshape Objects >
Resize or Reshape Objects
Concept Procedure Quick Reference

To change the length of an object by dragging

  1. Click Home tab [image] Modify panel [image] Lengthen.At the command prompt, enter lengthen.
  2. Enter dy (Dynamic Dragging mode).
  3. Select the object you want to lengthen.
  4. Drag the endpoint closest to the point of selection, and specify a new endpoint.

    The selected object is lengthened or shortened without changing its location or orientation.

Command entry: LENGTHEN


Resize or Reshape Objects (Quick Reference)

Trim or Extend Objects
Resize or Reshape Objects
Create Fillets
Create and Modify Objects > Change Existing Objects > Modify Objects > Change the Size and Shape of Objects > Resize or Reshape Objects >
Resize or Reshape Objects
Concept Procedure Quick Reference

Commands

JOIN

Joins similar objects to form a single, unbroken object

LENGTHEN

Changes the length of objects and the included angle of arcs

PEDIT

Edits polylines and 3D polygon meshes

PROPERTIES

Controls properties of existing objects

SCALE

Enlarges or reduces selected objects, keeping the proportions of the object the same after scaling

SPLINEDIT

Edits a spline or spline-fit polyline

STRETCH

Stretches objects crossed by a selection window or polygon

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Fillet, Chamfer, Break, or Join Objects

Resize or Reshape Objects
Modify Objects
Create Fillets
Create and Modify Objects > Change Existing Objects > Modify Objects >
Fillet, Chamfer, Break, or Join Objects
Concept Procedure

You can change objects to meet in rounded or flattened corners. You can also create or close gaps in objects.

Topics in this section

  • Create Fillets

    A fillet connects two objects with an arc that is tangent to the objects and has a specified radius.

  • Create Chamfers

    A chamfer connects two objects to meet in a flattened or beveled corner.

  • Break and Join Objects

    You can break an object into two objects with or without a gap between them. You can also join objects to make a single object.


Fillet, Chamfer, Break, or Join Objects (Procedure)

Resize or Reshape Objects
Fillet, Chamfer, Break, or Join Objects
Create Fillets
Create and Modify Objects > Change Existing Objects > Modify Objects > Fillet, Chamfer, Break, or Join Objects >
Fillet, Chamfer, Break, or Join Objects
Concept Procedure

To set the fillet radius

To fillet two line segments

To fillet without trimming

To fillet an entire polyline

To fillet multiple sets of objects

To set chamfer distances

To chamfer two nonparallel line segments

To chamfer by specifying chamfer length and angle

To chamfer without trimming

To chamfer an entire polyline

To chamfer multiple sets of objects

To break an object

To join objects


Create Fillets (Concept)

Fillet, Chamfer, Break, or Join Objects
Fillet, Chamfer, Break, or Join Objects
Create Chamfers
Create and Modify Objects > Change Existing Objects > Modify Objects > Fillet, Chamfer, Break, or Join Objects >
Create Fillets
Concept Procedure Quick Reference

A fillet connects two objects with an arc that is tangent to the objects and has a specified radius.

An inside corner is called a fillet and an outside corner is called a round; you can create both using the FILLET command.

You can fillet

  • Arcs
  • Circles
  • Ellipses and elliptical arcs
  • Lines
  • Polylines
  • Rays
  • Splines
  • Xlines
  • 3D solids

FILLET can be used to round all corners on a polyline using a single command.

NoteFilleting a hatch boundary that was defined from line segments removes hatch associativity. If the hatch boundary was defined from a polyline, associativity is maintained.

If both objects being filleted are on the same layer, the fillet arc is created on that layer. Otherwise, the fillet arc is created on the current layer. The layer affects object properties including color and linetype.

Use the Multiple option to fillet more than one set of objects without leaving the command.

Set the Fillet Radius

The fillet radius is the radius of the arc that connects filleted objects. Changing the fillet radius affects subsequent fillets. If you set the fillet radius to 0, filleted objects are trimmed or extended until they intersect, but no arc is created.

You can hold down SHIFT while selecting the objects to override the current fillet radius with a value of 0.

Trim and Extend Filleted Objects

You can use the Trim option to specify whether the selected objects are trimmed or extended to the endpoints of the resulting arc or left unchanged.

Control the Location of the Fillet

Depending on the locations you specify, more than one possible fillet can exist between the selected objects. Compare the selection locations and resulting fillets in the illustrations.

Fillet Line and Polyline Combinations

To fillet lines with polylines, each line or its extension must intersect one of the polyline line segments. If the Trim option is on, the filleted objects and the fillet arc join to form a single new polyline.

Fillet an Entire Polyline

You can fillet an entire polyline or remove fillets from an entire polyline.

If you set a nonzero fillet radius, FILLET inserts fillet arcs at the vertex of each polyline segment that is long enough to accommodate the fillet radius.

If two polyline line segments converge as they approach an arc segment that separates them, FILLET removes the arc segment and replaces it with a fillet arc.

If you set the fillet radius to 0, no fillet arcs are inserted. If two polyline line segments are separated by one arc segment, FILLET removes that arc and extends the lines until they intersect.

Fillet Parallel Lines

You can fillet parallel lines, xlines, and rays. The current fillet radius temporarily adjusts to create an arc that is tangent to both objects and located in the plane common to both objects.

The first selected object must be a line or a ray, but the second object can be a line, an xline, or a ray. The fillet arc connects as shown in the illustration.

Fillet Objects with Non-Zero Thickness in 3D

You can fillet coplanar objects with extrusion directions not parallel to the Z axis of the current UCS. FILLET determines the extrusion direction for the fillet arc in 3D space closest to the direction of the Z axis of the current UCS.


Create Fillets (Procedure)

Fillet, Chamfer, Break, or Join Objects
Up a level to ..
Create Fillets
Create and Modify Objects > Change Existing Objects > Modify Objects > Fillet, Chamfer, Break, or Join Objects > Create Fillets >
Create Fillets
Concept Procedure Quick Reference

To set the fillet radius

To fillet two line segments

To fillet without trimming

To fillet an entire polyline

To fillet multiple sets of objects


To set the fillet radius (Procedure)

Create Fillets
Up a level to ..
Create Fillets
Create and Modify Objects > Change Existing Objects > Modify Objects > Fillet, Chamfer, Break, or Join Objects > Create Fillets >
Create Fillets
Concept Procedure Quick Reference

To set the fillet radius

  1. Click Home tab [image] Modify panel [image] Fillet.At the command prompt, enter fillet.
  2. Enter r (Radius).
  3. Enter the fillet radius
  4. Select the objects to fillet.
Toolbar: Modify
Command entry: FILLET


To fillet two line segments (Procedure)

Create Fillets
Up a level to ..
Create Fillets
Create and Modify Objects > Change Existing Objects > Modify Objects > Fillet, Chamfer, Break, or Join Objects > Create Fillets >
Create Fillets
Concept Procedure Quick Reference

To fillet two line segments

  1. Click Home tab [image] Modify panel [image] Fillet.At the command prompt, enter fillet.
  2. Select the first line.
  3. Select the second line.
Toolbar: Modify
Command entry: FILLET


To fillet without trimming (Procedure)

Create Fillets
Up a level to ..
Create Fillets
Create and Modify Objects > Change Existing Objects > Modify Objects > Fillet, Chamfer, Break, or Join Objects > Create Fillets >
Create Fillets
Concept Procedure Quick Reference

To fillet without trimming

  1. Click Home tab [image] Modify panel [image] Fillet.At the command prompt, enter fillet.
  2. If necessary, enter t (Trim). Enter n (No Trim).
  3. Select the objects to fillet.
Toolbar: Modify
Command entry: FILLET


To fillet an entire polyline (Procedure)

Create Fillets
Up a level to ..
Create Fillets
Create and Modify Objects > Change Existing Objects > Modify Objects > Fillet, Chamfer, Break, or Join Objects > Create Fillets >
Create Fillets
Concept Procedure Quick Reference

To fillet an entire polyline

  1. Click Home tab [image] Modify panel [image] Fillet.At the command prompt, enter fillet.
  2. Enter p (Polyline).
  3. Select the polyline.
Toolbar: Modify
Command entry: FILLET


To fillet multiple sets of objects (Procedure)

Create Fillets
Up a level to ..
Create Chamfers
Create and Modify Objects > Change Existing Objects > Modify Objects > Fillet, Chamfer, Break, or Join Objects > Create Fillets >
Create Fillets
Concept Procedure Quick Reference

To fillet multiple sets of objects

  1. Click Home tab [image] Modify panel [image] Fillet.At the command prompt, enter fillet.
  2. Enter m (Multiple).

    The main prompt is displayed.

  3. Select the first line, or enter an option and complete the prompts for that option. Select the first line.
  4. Select the second line.

    The main prompt is displayed again.

  5. Select the first line for the next fillet, or press ENTER or ESC to end the command.
Toolbar: Modify
Command entry: FILLET


Create Fillets (Quick Reference)

Resize or Reshape Objects
Create Fillets
Create Chamfers
Create and Modify Objects > Change Existing Objects > Modify Objects > Fillet, Chamfer, Break, or Join Objects > Create Fillets >
Create Fillets
Concept Procedure Quick Reference

Commands

FILLET

Rounds and fillets the edges of objects

System Variables

FILLETRAD

Stores the current fillet radius

TRIMMODE

Controls whether selected edges for chamfers and fillets are trimmed

Utilities

No entries

Command Modifiers

No entries


Create Chamfers (Concept)

Create Fillets
Fillet, Chamfer, Break, or Join Objects
Break and Join Objects
Create and Modify Objects > Change Existing Objects > Modify Objects > Fillet, Chamfer, Break, or Join Objects >
Create Chamfers
Concept Procedure Quick Reference

A chamfer connects two objects to meet in a flattened or beveled corner.

A chamfer connects two objects with an angled line. It is usually used to represent a beveled edge on a corner.

You can chamfer

  • Lines
  • Polylines
  • Rays
  • Xlines
  • 3D solids

CHAMFER can be used to bevel all corners of a polyline using a single command.

NoteChamfering a hatch boundary that was defined from line segments removes hatch associativity. If the hatch boundary was defined from a polyline, associativity is maintained.

If both objects being chamfered are on the same layer, the chamfer line is created on that layer. Otherwise, the chamfer line is created on the current layer. The layer affects object properties including color and linetype.

Use the Multiple option to chamfer more than one set of objects without leaving the command.

Chamfer by Specifying Distances

The chamfer distance is the amount each object is trimmed or extended to meet the chamfer line or to intersect the other. If both chamfer distances are 0, chamfering trims or extends the two objects until they intersect but does not create a chamfer line. You can hold down SHIFT while selecting the objects to override the current chamfer distances with a value of 0.

In the following example, you set the chamfer distance to 0.5 for the first line and 0.25 for the second line. After you specify the chamfer distance, you select the two lines as shown.

Trim and Extend Chamfered Objects

By default, objects are trimmed when chamfered, but you can use the Trim option to specify that they remain untrimmed.

Chamfer by Specify Length and Angle

You can chamfer two objects by specifying where on the first selected object the chamfer line starts, and then the angle the chamfer line forms with this object.

In this example, you chamfer two lines so that the chamfer line starts 1.5 units from the intersection along the first line and forms an angle of 30 degrees with this line.

Chamfer Polylines and Polyline Segments

If the two objects you select for chamfering are segments of a polyline, they must be adjacent or separated by no more than one arc segment. If they are separated by an arc segment, as shown in the illustration, chamfering deletes the arc and replaces it with a chamfer line.

Chamfer an Entire Polyline

When you chamfer an entire polyline, each intersection is chamfered. For best results, keep the first and second chamfer distances equal.

In this example, the chamfer distances are set to equal values.

When you chamfer an entire polyline, only the segments that are long enough to accommodate the chamfer distance are chamfered. The polyline in the following illustration has some segments too short to be chamfered.


Create Chamfers (Procedure)

Create Fillets
Up a level to ..
Create Chamfers
Create and Modify Objects > Change Existing Objects > Modify Objects > Fillet, Chamfer, Break, or Join Objects > Create Chamfers >
Create Chamfers
Concept Procedure Quick Reference

To set chamfer distances

To chamfer two nonparallel line segments

To chamfer by specifying chamfer length and angle

To chamfer without trimming

To chamfer an entire polyline

To chamfer multiple sets of objects


To set chamfer distances (Procedure)

Create Chamfers
Up a level to ..
Create Chamfers
Create and Modify Objects > Change Existing Objects > Modify Objects > Fillet, Chamfer, Break, or Join Objects > Create Chamfers >
Create Chamfers
Concept Procedure Quick Reference

To set chamfer distances

  1. Click Home tab [image] Modify panel [image] Chamfer.At the command prompt, enter chamfer.
  2. Enter d (Distances).
  3. Enter the first chamfer distance.
  4. Enter the second chamfer distance.
  5. Select the lines for chamfering.
Toolbar: Modify
Command entry: CHAMFER


To chamfer two nonparallel line segments (Procedure)

Create Chamfers
Up a level to ..
Create Chamfers
Create and Modify Objects > Change Existing Objects > Modify Objects > Fillet, Chamfer, Break, or Join Objects > Create Chamfers >
Create Chamfers
Concept Procedure Quick Reference

To chamfer two nonparallel line segments

  1. Click Home tab [image] Modify panel [image] Chamfer.At the command prompt, enter chamfer.
  2. Select the first line.
  3. Select the second line.
Toolbar: Modify
Command entry: CHAMFER


To chamfer by specifying chamfer length and angle (Procedure)

Create Chamfers
Up a level to ..
Create Chamfers
Create and Modify Objects > Change Existing Objects > Modify Objects > Fillet, Chamfer, Break, or Join Objects > Create Chamfers >
Create Chamfers
Concept Procedure Quick Reference

To chamfer by specifying chamfer length and angle

  1. Click Home tab [image] Modify panel [image] Chamfer.At the command prompt, enter chamfer.
  2. Enter a (Angle).
  3. Enter the distance from the corner to be chamfered along the first line.
  4. Enter the chamfer angle.
  5. Select the first line. Then select the second line.
Toolbar: Modify
Command entry: CHAMFER


To chamfer without trimming (Procedure)

Create Chamfers
Up a level to ..
Create Chamfers
Create and Modify Objects > Change Existing Objects > Modify Objects > Fillet, Chamfer, Break, or Join Objects > Create Chamfers >
Create Chamfers
Concept Procedure Quick Reference

To chamfer without trimming

  1. Click Home tab [image] Modify panel [image] Chamfer.At the command prompt, enter chamfer.
  2. Enter t (Trim Control).
  3. Enter n (No Trim).
  4. Select the objects to chamfer.
Toolbar: Modify
Command entry: CHAMFER


To chamfer an entire polyline (Procedure)

Create Chamfers
Up a level to ..
Create Chamfers
Create and Modify Objects > Change Existing Objects > Modify Objects > Fillet, Chamfer, Break, or Join Objects > Create Chamfers >
Create Chamfers
Concept Procedure Quick Reference

To chamfer an entire polyline

  1. Click Home tab [image] Modify panel [image] Chamfer.At the command prompt, enter chamfer.
  2. Enter p (Polyline).
  3. Select the polyline.

    The polyline is chamfered using the current chamfer method and the default distances.

Toolbar: Modify
Command entry: CHAMFER


To chamfer multiple sets of objects (Procedure)

Create Chamfers
Up a level to ..
Break and Join Objects
Create and Modify Objects > Change Existing Objects > Modify Objects > Fillet, Chamfer, Break, or Join Objects > Create Chamfers >
Create Chamfers
Concept Procedure Quick Reference

To chamfer multiple sets of objects

  1. Click Home tab [image] Modify panel [image] Chamfer.At the command prompt, enter chamfer.
  2. Enter m (Multiple).

    The main prompt is displayed.

  3. Select the first line, or enter an option and complete the prompts for that option and then select the first line.
  4. Select the second line.

    The main prompt is displayed again.

  5. Select the first line for the next chamfer, or press ENTER or ESC to end the command.
Toolbar: Modify
Command entry: CHAMFER


Create Chamfers (Quick Reference)

Create Fillets
Create Chamfers
Break and Join Objects
Create and Modify Objects > Change Existing Objects > Modify Objects > Fillet, Chamfer, Break, or Join Objects > Create Chamfers >
Create Chamfers
Concept Procedure Quick Reference

Commands

CHAMFER

Bevels the edges of objects

System Variables

CHAMFERA

Sets the first chamfer distance when CHAMMODE is set to 0

CHAMFERB

Sets the second chamfer distance when CHAMMODE is set to 0

CHAMFERC

Sets the chamfer length when CHAMMODE is set to 1

CHAMFERD

Sets the chamfer angle when CHAMMODE is set to 1

CHAMMODE

Sets the input method for CHAMFER

TRIMMODE

Controls whether selected edges for chamfers and fillets are trimmed

Utilities

No entries

Command Modifiers

No entries


Break and Join Objects (Concept)

Create Chamfers
Fillet, Chamfer, Break, or Join Objects
Use Grips to Edit Objects
Create and Modify Objects > Change Existing Objects > Modify Objects > Fillet, Chamfer, Break, or Join Objects >
Break and Join Objects
Concept Procedure Quick Reference

You can break an object into two objects with or without a gap between them. You can also join objects to make a single object.

Break Objects

Use BREAK to create a gap in an object, resulting in two objects with a gap between them. BREAK is often used to create space for block or text.

To break an object without creating a gap, specify both break points at the same location. The fastest way to do this is to enter @0,0 at the prompt for the second point.

You can create breaks in most geometric objects except

  • Blocks
  • Dimensions
  • Mlines
  • Regions

Join Objects

Use JOIN to combine similar objects into a single object. You can also create complete circles and ellipses from arcs and elliptical arcs. You can join

  • Arcs
  • Elliptical arcs
  • Lines
  • Polylines
  • Splines

The object to which you want to join similar objects is called a source object. Objects to be joined must be located in the same plane. Additional restrictions for each type of objects are described in the JOIN command.

NoteWhen joining two or more arcs (or elliptical arcs), the arcs are joined counterclockwise beginning from the source object.
See Also

    • Modify or Join Polylines

    • Modify Complex Objects


Break and Join Objects (Procedure)

Create Chamfers
Up a level to ..
Break and Join Objects
Create and Modify Objects > Change Existing Objects > Modify Objects > Fillet, Chamfer, Break, or Join Objects > Break and Join Objects >
Break and Join Objects
Concept Procedure Quick Reference

To break an object

To join objects


To break an object (Procedure)

Break and Join Objects
Up a level to ..
Break and Join Objects
Create and Modify Objects > Change Existing Objects > Modify Objects > Fillet, Chamfer, Break, or Join Objects > Break and Join Objects >
Break and Join Objects
Concept Procedure Quick Reference

To break an object

  1. Click Home tab [image] Modify panel [image] Break.At the command prompt, enter break.
  2. Select the object to break.

    By default, the point at which you select the object is the first break point. To select a different pair of break points, enter f (First) and specify the first break point.

  3. Specify the second break point.

    To break an object without creating a gap, enter @0,0 to specify the previous point.

Toolbar: Modify
Command entry: BREAK


To join objects (Procedure)

Break and Join Objects
Up a level to ..
Use Grips to Edit Objects
Create and Modify Objects > Change Existing Objects > Modify Objects > Fillet, Chamfer, Break, or Join Objects > Break and Join Objects >
Break and Join Objects
Concept Procedure Quick Reference

To join objects

  1. Click Home tab [image] Modify panel [image] Join.At the command prompt, enter join.
  2. Select the source object to which you want to join objects.
  3. Select one or more objects to join to the source object.

    Valid objects include arcs, elliptical arcs, lines, polylines, and splines. Additional restrictions for each type of objects are described in the JOIN command.

Toolbar: Modify
Command entry: JOIN


Break and Join Objects (Quick Reference)

Create Chamfers
Break and Join Objects
Use Grip Modes
Create and Modify Objects > Change Existing Objects > Modify Objects > Fillet, Chamfer, Break, or Join Objects > Break and Join Objects >
Break and Join Objects
Concept Procedure Quick Reference

Commands

BREAK

Breaks the selected object between two points

JOIN

Joins similar objects to form a single, unbroken object

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Use Grips to Edit Objects

Break and Join Objects
Modify Objects
Use Grip Modes
Create and Modify Objects > Change Existing Objects > Modify Objects >
Use Grips to Edit Objects
Concept Procedure

Grips are small squares that are displayed at strategic points on objects that you have selected with a pointing device. You can drag these grips to edit objects directly and quickly.

Topics in this section

  • Use Grip Modes

    You can drag grips to perform any stretch, move, rotate, scale, or mirror operations. The editing operation you choose to perform is called a grip mode.

  • Make Multiple Copies with Grips

    You can create multiple copies of objects as you modify them with any of the grip modes.

  • Control Grips in Blocks

    You can specify whether a block displays a single grip or multiple grips.


Use Grips to Edit Objects (Procedure)

Break and Join Objects
Use Grips to Edit Objects
Use Grip Modes
Create and Modify Objects > Change Existing Objects > Modify Objects > Use Grips to Edit Objects >
Use Grips to Edit Objects
Concept Procedure

To turn on grips

To set the color of the unselected grip beneath the cursor

To limit the number of objects in the initial selection set that display grips

To display grip tips for custom objects that support grip tips

To cancel grip selection

To stretch an object using grips

To stretch using more than one grip

To move objects using grips

To rotate objects using grips

To scale objects using grips

To mirror objects using grips

To create copies in any grip mode

To create an offset snap for multiple copies using grips

To create a rotation snap for multiple rotated copies using grips

To mirror objects and retain the originals using grips

To turn grips within blocks on or off


Use Grip Modes (Concept)

Use Grips to Edit Objects
Use Grips to Edit Objects
Make Multiple Copies with Grips
Create and Modify Objects > Change Existing Objects > Modify Objects > Use Grips to Edit Objects >
Use Grip Modes
Concept Procedure Quick Reference

You can drag grips to perform any stretch, move, rotate, scale, or mirror operations. The editing operation you choose to perform is called a grip mode.

Grips are small, solid-filled squares that are displayed at strategic points on objects that you have selected with a pointing device. You can drag these grips to stretch, move, rotate, scale, or mirror objects quickly.

When grips are turned on, you can select the objects you want to manipulate before entering a command, and then you can manipulate the objects with the pointing device.

NoteGrips are not displayed on objects that are on locked layers.

To use a grip mode, select a grip (base grip) to act as the base point for the action. (A selected grip is also called a hot grip.) Then select one of the grip modes. You can cycle through these modes by pressing ENTER or SPACEBAR. You can also use shortcut keys or right-click to see all of the modes and options.

NoteWhen a 2D object lies on a plane other than the current UCS, the object is stretched on the plane on which it was created, not on the plane of the current UCS.

Work with Quadrant Grips

For quadrant grips on circles and ellipses, distance is measured from the center point, not the selected grip. For example, in Stretch mode, you can select a quadrant grip to stretch a circle and then specify a distance at the command prompt for the new radius. The distance is measured from the center of the circle, not the selected quadrant. If you select the center point to stretch the circle, the circle moves.

Select and Modify Multiple Grips

You can use more than one grip as the base grips for the action. When you select more than one grip (also called multiple hot grip selection), the shape of the object is kept intact between the selected grips. To select more than one grip, press and hold the SHIFT key, and then select the appropriate grips.

Limit the Display of Grips

You can limit the display of grips on selected objects. The GRIPOBJLIMIT system variable suppresses the display of grips when the initial selection set includes more than the specified number of objects. If you add objects to the current selection set, the limit does not apply. For example, if GRIPOBJLIMIT is set to 20, you can select 15 objects and then add 25 objects to the selection, and all objects display grips.

NoteGrips are not displayed on objects that are on locked layers.

Stretch with Grips

You can stretch an object by moving selected grips to new locations. Grips on text, block references, midpoints of lines, centers of circles, and point objects move the object rather than stretching it. This is an excellent method for moving block references and adjusting dimensions.

Move with Grips

You can move objects by the grip selected. Selected objects are highlighted and are moved the direction and distance of the next point location you specify.

Rotate with Grips

You can rotate selected objects around a base point by dragging and specifying a point location. Alternatively, you can enter an angle value. This is an excellent method for rotating block references.

Scale with Grips

You can scale selected objects relative to a base point. Increase the size of an object by dragging outward from the base grip and specifying a point location, or decrease the size by dragging inward. Alternatively, you can enter a value for relative scaling.

Mirror with Grips

You can mirror selected objects across a temporary mirror line. Turning Ortho on helps you specify a vertical or horizontal mirror line.

See Also

    • Use Dynamic Input

    • Work with Dynamic Blocks in Drawings


Use Grip Modes (Procedure)

Use Grips to Edit Objects
Up a level to ..
Use Grip Modes
Create and Modify Objects > Change Existing Objects > Modify Objects > Use Grips to Edit Objects > Use Grip Modes >
Use Grip Modes
Concept Procedure Quick Reference

To turn on grips

To set the color of the unselected grip beneath the cursor

To limit the number of objects in the initial selection set that display grips

To display grip tips for custom objects that support grip tips

To cancel grip selection

To stretch an object using grips

To stretch using more than one grip

To move objects using grips

To rotate objects using grips

To scale objects using grips

To mirror objects using grips


To turn on grips (Procedure)

Use Grip Modes
Up a level to ..
Use Grip Modes
Create and Modify Objects > Change Existing Objects > Modify Objects > Use Grips to Edit Objects > Use Grip Modes >
Use Grip Modes
Concept Procedure Quick Reference

To turn on grips

  1. Click Tools menu [image] Options.At the command prompt, enter options.
  2. In the Options dialog box, Selection tab, select Enable Grips.
  3. Click OK.
Command entry: OPTIONS


To set the color of the unselected grip beneath the cursor (Procedure)

Use Grip Modes
Up a level to ..
Use Grip Modes
Create and Modify Objects > Change Existing Objects > Modify Objects > Use Grips to Edit Objects > Use Grip Modes >
Use Grip Modes
Concept Procedure Quick Reference

To set the color of the unselected grip beneath the cursor

  1. Click Tools menu [image] Options.At the command prompt, enter options.
  2. In the Options dialog box, Selection tab, click the arrow under Hover Grip Color.
  3. Select a color, or click Select Color to display the Select Color dialog box.


To limit the number of objects in the initial selection set that display grips (Procedure)

Use Grip Modes
Up a level to ..
Use Grip Modes
Create and Modify Objects > Change Existing Objects > Modify Objects > Use Grips to Edit Objects > Use Grip Modes >
Use Grip Modes
Concept Procedure Quick Reference

To limit the number of objects in the initial selection set that display grips

  1. Click Tools menu [image] Options.At the command prompt, enter options.
  2. In the Options dialog box, Selection tab, enter a number in the Object Selection Limit for Display of Grips box. The maximum is 32,767.

    If you add objects to the current selection set, the limit does not apply.


To display grip tips for custom objects that support grip tips (Procedure)

Use Grip Modes
Up a level to ..
Use Grip Modes
Create and Modify Objects > Change Existing Objects > Modify Objects > Use Grips to Edit Objects > Use Grip Modes >
Use Grip Modes
Concept Procedure Quick Reference

To display grip tips for custom objects that support grip tips

  1. Click Tools menu [image] Options.At the command prompt, enter options.
  2. In the Options dialog box, Selection tab, select Enable Grip Tips.


To cancel grip selection (Procedure)

Use Grip Modes
Up a level to ..
Use Grip Modes
Create and Modify Objects > Change Existing Objects > Modify Objects > Use Grips to Edit Objects > Use Grip Modes >
Use Grip Modes
Concept Procedure Quick Reference

To cancel grip selection

  • Press ESC.


To stretch an object using grips (Procedure)

Use Grip Modes
Up a level to ..
Use Grip Modes
Create and Modify Objects > Change Existing Objects > Modify Objects > Use Grips to Edit Objects > Use Grip Modes >
Use Grip Modes
Concept Procedure Quick Reference

To stretch an object using grips

  1. Select the object to stretch.
  2. Select a base grip on the object.

    The selected grip is highlighted, and Stretch, the default grip mode, is active.

  3. Move the pointing device and click.

    The selected object is stretched as the grip moves.

NoteTo copy the selected object while you’re stretching it, press and hold the CTRL key while you’re stretching the object.


To stretch using more than one grip (Procedure)

Use Grip Modes
Up a level to ..
Use Grip Modes
Create and Modify Objects > Change Existing Objects > Modify Objects > Use Grips to Edit Objects > Use Grip Modes >
Use Grip Modes
Concept Procedure Quick Reference

To stretch using more than one grip

  1. Select several objects to stretch.
  2. Hold down SHIFT and click several grips so that they are highlighted.
  3. Release SHIFT and select a grip as the base grip by clicking the grip.

    The default grip mode, Stretch, is active.

  4. Move the pointing device and click.

    The selected grips act in unison and the selected objects are stretched.


To move objects using grips (Procedure)

Use Grip Modes
Up a level to ..
Use Grip Modes
Create and Modify Objects > Change Existing Objects > Modify Objects > Use Grips to Edit Objects > Use Grip Modes >
Use Grip Modes
Concept Procedure Quick Reference

To move objects using grips

  1. Select the objects to move.
  2. Select a base grip on an object by clicking the grip.

    The selected grip is highlighted, and Stretch, the default grip mode, is active.

  3. Cycle through the grip modes by pressing ENTER until the grip mode Move appears.

    Alternatively, you can right-click to display a shortcut menu of modes and options.

  4. Move the pointing device and click.

    The selected objects are moved along with the grip.

NoteTo copy the selected object while you’re moving it, press and hold the CTRL key while you’re moving the object.


To rotate objects using grips (Procedure)

Use Grip Modes
Up a level to ..
Use Grip Modes
Create and Modify Objects > Change Existing Objects > Modify Objects > Use Grips to Edit Objects > Use Grip Modes >
Use Grip Modes
Concept Procedure Quick Reference

To rotate objects using grips

  1. Select the objects to rotate.
  2. Select a base grip on an object by clicking the grip.

    The selected grip is highlighted, and Stretch, the default grip mode, is active.

  3. Cycle through the grip modes by pressing ENTER until the grip mode Rotate appears.

    Alternatively, you can right-click to display shortcut menu modes and options.

  4. Move the pointing device and click.

    The selected objects are rotated around the base grip.

NoteTo copy the selected object while you’re rotating it, press and hold the CTRL key while you’re rotating the object.


To scale objects using grips (Procedure)

Use Grip Modes
Up a level to ..
Use Grip Modes
Create and Modify Objects > Change Existing Objects > Modify Objects > Use Grips to Edit Objects > Use Grip Modes >
Use Grip Modes
Concept Procedure Quick Reference

To scale objects using grips

  1. Select the objects to scale.
  2. Select a base grip on an object by clicking the grip.

    The selected grip is highlighted, and Stretch, the default grip mode, is active.

  3. Cycle through the grip modes by pressing ENTER until the grip mode Scale appears.

    Alternatively, you can right-click to display shortcut menu modes and options.

  4. Enter the scale factor or drag and click to specify a new scale.
NoteTo copy the selected object while you’re scaling it, press and hold the CTRL key while you’re scaling the object.


To mirror objects using grips (Procedure)

Use Grip Modes
Up a level to ..
Make Multiple Copies with Grips
Create and Modify Objects > Change Existing Objects > Modify Objects > Use Grips to Edit Objects > Use Grip Modes >
Use Grip Modes
Concept Procedure Quick Reference

To mirror objects using grips

  1. Select the objects to mirror.
  2. Select a base grip on an object by clicking the grip.

    The selected grip is highlighted, and the default grip mode, Stretch, is active.

  3. Cycle through the grip modes by pressing ENTER until the grip mode Mirror appears.

    Alternatively, you can right-click to display shortcut menu modes and options.

  4. Click to specify the second point of the mirror line.

    Turning on Ortho mode is often useful when mirroring objects.


Use Grip Modes (Quick Reference)

Break and Join Objects
Use Grip Modes
Make Multiple Copies with Grips
Create and Modify Objects > Change Existing Objects > Modify Objects > Use Grips to Edit Objects > Use Grip Modes >
Use Grip Modes
Concept Procedure Quick Reference

Commands

OPTIONS

Customizes the program settings

System Variables

GRIPBLOCK

Controls the assignment of grips in blocks

GRIPCOLOR

Controls the color of nonselected grips

GRIPHOT

Controls the color of selected grips

GRIPHOVER

Controls the fill color of an unselected grip when the cursor pauses over it

GRIPOBJLIMIT

Suppresses the display of grips when the selection set includes more than the specified number of objects

GRIPS

Controls the use of selection set grips for the Stretch, Move, Rotate, Scale, and Mirror Grip modes

GRIPSIZE

Sets the size of the grip box in pixels

GRIPTIPS

Controls the display of grip tips when the cursor hovers over grips on dynamic blocks and custom objects that support grip tips

Utilities

No entries

Command Modifiers

No entries


Make Multiple Copies with Grips (Concept)

Use Grip Modes
Use Grips to Edit Objects
Control Grips in Blocks
Create and Modify Objects > Change Existing Objects > Modify Objects > Use Grips to Edit Objects >
Make Multiple Copies with Grips
Concept Procedure Quick Reference

You can create multiple copies of objects as you modify them with any of the grip modes.

For example, by using the Copy option, you can rotate the selected objects, leaving copies at each location you specify with the pointing device.

You can also make multiple copies by holding down CTRL as you select the first point. For example, with the Stretch grip mode, you can stretch an object, such as a line, and then copy it to any point in the drawing area. Multiple copies continue being made until you turn off grips.

NoteWhen you use grips to make multiple copies of an annotative object that contains multiple scale representations, only the current scale representation is copied.

Define an Offset Snap or a Rotation Snap

You can place multiple copies at regularly spaced intervals with an offset snap. The offset snap is defined by the distance between an object and the next copy. In the lighting layout below, the first copy of the light fixture symbol is placed at an offset of two units. All subsequent copies are then placed two units apart.

If you hold down CTRL while you select multiple copy points with the pointing device, the graphics cursor snaps to an offset point based on the last two points you selected. In the illustration below, the midpoint of line 1 is at coordinate 8,5. Based on that midpoint, line 2 was copied using the CTRL key and Stretch grip mode; its midpoint is at 9,5. The third line snaps to an offset based on the coordinate values 10,5.

Similarly, you can place multiple copies at angular intervals around a base grip with a rotation snap. The rotation snap is defined as the angle between an object and the next copy when you are using Rotate grip mode. Hold down CTRL to use the rotation snap.


Make Multiple Copies with Grips (Procedure)

Use Grip Modes
Up a level to ..
Make Multiple Copies with Grips
Create and Modify Objects > Change Existing Objects > Modify Objects > Use Grips to Edit Objects > Make Multiple Copies with Grips >
Make Multiple Copies with Grips
Concept Procedure Quick Reference

To create copies in any grip mode

To create an offset snap for multiple copies using grips

To create a rotation snap for multiple rotated copies using grips

To mirror objects and retain the originals using grips


To create copies in any grip mode (Procedure)

Make Multiple Copies with Grips
Up a level to ..
Make Multiple Copies with Grips
Create and Modify Objects > Change Existing Objects > Modify Objects > Use Grips to Edit Objects > Make Multiple Copies with Grips >
Make Multiple Copies with Grips
Concept Procedure Quick Reference

To create copies in any grip mode

  1. Select the objects to copy.
  2. Select a base grip on an object by clicking the grip.

    The selected grip is highlighted, and the default grip mode, Stretch, is active.

  3. Cycle through the grip modes by pressing ENTER until the grip mode you want appears.

    Alternatively, you can right-click to display shortcut menu modes and options.

  4. Enter c (Copy) or press and hold the CTRL key while you stretch, move, rotate, or scale.

    Copies continue being made until you turn off grips.

  5. Enter or specify the additional input required for the current grip mode.
  6. Turn off grips by pressing ENTER, SPACEBAR, or ESC.


To create an offset snap for multiple copies using grips (Procedure)

Make Multiple Copies with Grips
Up a level to ..
Make Multiple Copies with Grips
Create and Modify Objects > Change Existing Objects > Modify Objects > Use Grips to Edit Objects > Make Multiple Copies with Grips >
Make Multiple Copies with Grips
Concept Procedure Quick Reference

To create an offset snap for multiple copies using grips

  1. Select the objects to copy.
  2. Select a base grip on an object by clicking the grip.

    The selected grip is highlighted, and the default grip mode, Stretch, is active.

  3. Cycle through the grip modes by pressing ENTER until the grip mode Move appears.

    Alternatively, you can right-click to display shortcut menu modes and options.

  4. Enter c (Copy).
  5. Move the cursor and click.

    The offset snap is the distance between the grip you selected and the location you specified for the copy.

  6. Hold down CTRL and place additional copies by specifying additional locations.

    These copies are created at the same offset snap distance as the last copy.

  7. Turn off grips by pressing ENTER, SPACEBAR, or ESC.


To create a rotation snap for multiple rotated copies using grips (Procedure)

Make Multiple Copies with Grips
Up a level to ..
Make Multiple Copies with Grips
Create and Modify Objects > Change Existing Objects > Modify Objects > Use Grips to Edit Objects > Make Multiple Copies with Grips >
Make Multiple Copies with Grips
Concept Procedure Quick Reference

To create a rotation snap for multiple rotated copies using grips

  1. Select the objects to rotate.
  2. Select a base grip on an object by clicking the grip.

    The selected grip is highlighted, and the default grip mode, Stretch, is active.

  3. Cycle through the grip modes by pressing ENTER until the grip mode Rotate appears.

    Alternatively, you can right-click to display shortcut menu modes and options.

  4. Enter c (Copy).
  5. Move the pointing device and click.

    The rotation snap is the angle between the grip you selected and the location you specified for the copy.

  6. Hold down CTRL and place additional copies by specifying additional locations.

    These copies are created at the same rotation snap angle as the first copy.

  7. Turn off grips by pressing ENTER, SPACEBAR, or ESC.


To mirror objects and retain the originals using grips (Procedure)

Make Multiple Copies with Grips
Up a level to ..
Control Grips in Blocks
Create and Modify Objects > Change Existing Objects > Modify Objects > Use Grips to Edit Objects > Make Multiple Copies with Grips >
Make Multiple Copies with Grips
Concept Procedure Quick Reference

To mirror objects and retain the originals using grips

  1. Select the objects to mirror.
  2. Select a base grip on an object by clicking the grip.

    The selected grip is highlighted, and the default grip mode, Stretch, is active.

  3. Cycle through the grip modes by pressing ENTER until the grip mode Mirror appears.

    Alternatively, you can right-click to display shortcut menu modes and options.

  4. Hold down CTRL (or enter c for Copy) to retain the original image, and specify the second point of the mirror line.

    Turning on Ortho mode is often useful when mirroring objects.

  5. Turn off grips by pressing ENTER, SPACEBAR, or ESC.


Make Multiple Copies with Grips (Quick Reference)

Use Grip Modes
Make Multiple Copies with Grips
Control Grips in Blocks
Create and Modify Objects > Change Existing Objects > Modify Objects > Use Grips to Edit Objects > Make Multiple Copies with Grips >
Make Multiple Copies with Grips
Concept Procedure Quick Reference

Commands

OPTIONS

Customizes the program settings

System Variables

GRIPBLOCK

Controls the assignment of grips in blocks

GRIPCOLOR

Controls the color of nonselected grips

GRIPHOT

Controls the color of selected grips

GRIPS

Controls the use of selection set grips for the Stretch, Move, Rotate, Scale, and Mirror Grip modes

GRIPSIZE

Sets the size of the grip box in pixels

Utilities

No entries

Command Modifiers

No entries


Control Grips in Blocks (Concept)

Make Multiple Copies with Grips
Use Grips to Edit Objects
Modify Complex Objects
Create and Modify Objects > Change Existing Objects > Modify Objects > Use Grips to Edit Objects >
Control Grips in Blocks
Concept Procedure Quick Reference

You can specify whether a block displays a single grip or multiple grips.

You can specify whether a selected block reference displays a single grip at its insertion point or displays multiple grips associated with the objects grouped within the block.

See Also

    • Specify Grips for Dynamic Blocks


To turn grips within blocks on or off (Procedure)

Make Multiple Copies with Grips
Up a level to ..
Modify Complex Objects
Create and Modify Objects > Change Existing Objects > Modify Objects > Use Grips to Edit Objects > Control Grips in Blocks >
Control Grips in Blocks
Concept Procedure Quick Reference

To turn grips within blocks on or off

  1. Click Tools menu [image] Options.At the command prompt, enter options.
  2. In the Options dialog box, Selection tab, select or clear Enable Grips Within Blocks.
  3. Click OK.
Command entry: OPTIONS


Control Grips in Blocks (Quick Reference)

Make Multiple Copies with Grips
Control Grips in Blocks
Disassociate Compound Objects (Explode)
Create and Modify Objects > Change Existing Objects > Modify Objects > Use Grips to Edit Objects > Control Grips in Blocks >
Control Grips in Blocks
Concept Procedure Quick Reference

Commands

OPTIONS

Customizes the program settings

System Variables

GRIPBLOCK

Controls the assignment of grips in blocks

GRIPCOLOR

Controls the color of nonselected grips

GRIPHOT

Controls the color of selected grips

GRIPS

Controls the use of selection set grips for the Stretch, Move, Rotate, Scale, and Mirror Grip modes

GRIPSIZE

Sets the size of the grip box in pixels

Utilities

No entries

Command Modifiers

No entries


Modify Complex Objects

Control Grips in Blocks
Change Existing Objects
Disassociate Compound Objects (Explode)
Create and Modify Objects > Change Existing Objects >
Modify Complex Objects
Concept Procedure

Additional editing operations are available for complex objects, such as blocks, dimensions, hatches, and polylines.

Topics in this section

  • Disassociate Compound Objects (Explode)

    You can convert a compound object, such as a polyline, dimension, hatch, or block reference, into individual elements.

  • Modify or Join Polylines

    Additional editing operations are available for changing the shape of polyline objects. You can also join separate polylines.

  • Modify Splines

    Additional editing options are available for changing the shape of spline objects.

  • Modify Helixes

    You can use grips or the Properties palette to modify the shape and size of a helix.

  • Modify Multilines

    Multiline objects are composed of 1 to 16 parallel lines, called elements. To modify multilines or their elements, you can use common editing commands, a multiline editing command, and multiline styles.


Modify Complex Objects (Procedure)

Control Grips in Blocks
Modify Complex Objects
Disassociate Compound Objects (Explode)
Create and Modify Objects > Change Existing Objects > Modify Complex Objects >
Modify Complex Objects
Concept Procedure

To explode an object

To modify a polyline

To join polylines, lines, and arcs into a single polyline

To delete a vertex in a polyline

To taper the width of individual polyline segments

To edit a spline

To delete a vertex from a multiline

To create a closed cross intersection

To edit a multiline style


Disassociate Compound Objects (Explode) (Concept)

Modify Complex Objects
Modify Complex Objects
Modify or Join Polylines
Create and Modify Objects > Change Existing Objects > Modify Complex Objects >
Disassociate Compound Objects (Explode)
Concept Procedure Quick Reference

You can convert a compound object, such as a polyline, dimension, hatch, or block reference, into individual elements.

You can explode a compound object, such as a polyline, dimension, hatch, or block reference, to convert it into individual elements. For example, exploding a polyline breaks it down to simple lines and arcs. Exploding a block reference or an associative dimension replaces it with copies of the objects that compose the block or dimension.

Explode Dimensions and Hatches

When you explode a dimension or a hatch, all associativity is lost and the dimension or hatch object is replaced by individual objects such as lines, text, points, and 2D solids. To explode dimensions automatically when you create them, set the DIMASSOC system variable to 0.

Explode Polylines

When you explode a polyline, any associated width information is discarded. The resulting lines and arcs follow the polyline's centerline. If you explode a block that contains a polyline, you need to explode the polyline separately. If you explode a donut, its width becomes 0.

Explode Block References

If you explode a block with attributes, the attribute values are lost, leaving only the attribute definitions. The colors and linetypes of objects in exploded block references can change.

Explode External References

An external reference (xref) is a drawing file linked (or attached) to another drawing. You cannot explode xrefs and their dependent blocks.


To explode an object (Procedure)

Modify Complex Objects
Up a level to ..
Modify or Join Polylines
Create and Modify Objects > Change Existing Objects > Modify Complex Objects > Disassociate Compound Objects (Explode) >
Disassociate Compound Objects (Explode)
Concept Procedure Quick Reference

To explode an object

  1. Click Home tab [image] Modify panel [image] Explode. At the command prompt, enter explode.
  2. Select the objects to be exploded.

    For most objects, exploding has no visible effect.

Toolbar: Modify
Command entry: EXPLODE


Disassociate Compound Objects (Explode) (Quick Reference)

Control Grips in Blocks
Disassociate Compound Objects (Explode)
Modify or Join Polylines
Create and Modify Objects > Change Existing Objects > Modify Complex Objects > Disassociate Compound Objects (Explode) >
Disassociate Compound Objects (Explode)
Concept Procedure Quick Reference

Commands

EXPLODE

Breaks a compound object into its component objects

XPLODE

Breaks a compound object into its component objects

System Variables

DIMASSOC

Controls the associativity of dimension objects and whether dimensions are exploded

EXPLMODE

Controls whether the EXPLODE command supports nonuniformly scaled (NUS) blocks

Utilities

No entries

Command Modifiers

No entries


Modify or Join Polylines (Concept)

Disassociate Compound Objects (Explode)
Modify Complex Objects
Modify Splines
Create and Modify Objects > Change Existing Objects > Modify Complex Objects >
Modify or Join Polylines
Concept Procedure Quick Reference

Additional editing operations are available for changing the shape of polyline objects. You can also join separate polylines.

You can edit polylines by closing and opening them and by moving, adding, or deleting individual vertices. You can straighten the polyline between any two vertices and toggle the linetype so that a dash appears before and after each vertex. You can set a uniform width for the entire polyline or control the width of each segment. You can also create a linear approximation of a spline from a polyline.

Joined Polyline Segments

You can join a line, an arc, or another polyline to an open polyline if their ends connect or are close to each other. If the ends are not coincident but are within a distance that you can set, called the fuzz distance, the ends are joined by either trimming them, extending them, or connecting them with a new segment.

Properties of Modified Polylines

If the properties of several objects being joined into a polyline differ, the resulting polyline inherits the properties of the first object that you selected. If two lines meet a polyline in a Y shape, one of the lines is selected and joined to the polyline. Joining also causes an implicit decurve, with the program discarding the spline information of the original polyline and any polylines being joined to it. Once the joining is completed, you can fit a new spline to the resulting polyline.

Additional Editing Options for Polylines

In addition to the general editing operations available for most objects, there are additional options available for editing and joining polylines with PEDIT.

  • Close. Creates the closing segment of the polyline, connecting the last segment with the first. The polyline is considered open unless you close it using the Close option.
  • Join. Adds lines, arcs, or polylines to the end of an open polyline and removes the curve fitting from a curve-fit polyline. For an object to join the polyline, their endpoints must touch.
  • Width. Specifies a new uniform width for the entire polyline. Use the Width option of the Edit Vertex option to change the starting and ending widths of segments.

  • Edit Vertex. Marks the first vertex of the polyline by drawing an X on the screen. If you have specified a tangent direction for this vertex, an arrow is also drawn in that direction.
  • Fit. Creates a smooth curve consisting of arcs joining each pair of vertices. The curve passes through all vertices of the polyline and uses any tangent direction you specify.
  • Spline. Uses the vertices of the selected polyline as the control points, or frame, of a spline-fit polyline. The curve passes through the first and last control points unless the original polyline was closed.

  • Decurve. Removes extra vertices inserted by an arc-fit or spline-fit polyline and straightens all segments of the polyline.
  • Ltype Gen. Generates the linetype in a continuous pattern through the vertices of the polyline. When this option is turned off, the linetype is generated starting and ending with a dash at each vertex.
See Also

    • Trim or Extend Objects

    • Break and Join Objects


Modify or Join Polylines (Procedure)

Disassociate Compound Objects (Explode)
Up a level to ..
Modify or Join Polylines
Create and Modify Objects > Change Existing Objects > Modify Complex Objects > Modify or Join Polylines >
Modify or Join Polylines
Concept Procedure Quick Reference

To modify a polyline

To join polylines, lines, and arcs into a single polyline

To delete a vertex in a polyline

To taper the width of individual polyline segments


To modify a polyline (Procedure)

Modify or Join Polylines
Up a level to ..
Modify or Join Polylines
Create and Modify Objects > Change Existing Objects > Modify Complex Objects > Modify or Join Polylines >
Modify or Join Polylines
Concept Procedure Quick Reference

To modify a polyline

  1. Click Home tab [image] Modify panel [image] Edit Polyline.At the command prompt, enter pedit.
  2. Select the polyline to modify.

    If the selected object is a line or an arc, the following prompt is displayed:

    Object selected is not a polyline.

    Do you want it to turn into one? <Y>: Enter y or n, or press ENTER

    If you enter y, the object is converted into a single-segment 2D polyline that you can edit. You can use this operation to join lines and arcs into a polyline. When the PEDITACCEPT system variable is set to 1, this prompt is suppressed, and the selected object is automatically converted to a polyline.

  3. Edit the polyline by entering one or more of the following options:
    • Enter c (Close) to create a closed polyline.
    • Enter j (Join) to join contiguous lines, arcs, or polylines.
    • Enter w (Width) to specify a new uniform width for the entire polyline.
    • Enter e (Edit Vertex) to edit a vertex.
    • Enter f (Fit) to create a series of arcs joining each pair of vertices.
    • Enter s (Spline) to create an approximation of a spline.
    • Enter d (Decurve) to remove extra vertices inserted by a fit or spline curve and to straighten all segments of the polyline.
    • Enter L (Ltype Gen) to generate the linetype in a continuous pattern through the vertices of the polyline.
    • Enter u (Undo) to reverse actions back to the start of PEDIT.
  4. Enter x (Exit) to end a command option. Press ENTER to exit the PEDIT command.
Toolbar: Modify II
Command entry: PEDIT


To join polylines, lines, and arcs into a single polyline (Procedure)

Modify or Join Polylines
Up a level to ..
Modify or Join Polylines
Create and Modify Objects > Change Existing Objects > Modify Complex Objects > Modify or Join Polylines >
Modify or Join Polylines
Concept Procedure Quick Reference

To join polylines, lines, and arcs into a single polyline

  1. Click Home tab [image] Modify panel [image] Edit Polyline.At the command prompt, enter pedit.
  2. Select a polyline, line, or arc to edit. If you selected a line or arc, press ENTER to convert the selected line or arc into a polyline.
  3. Enter j (Join).
  4. Select one or more polylines, lines, or arcs that are located end to end.

    Each selected polyline, line, or arc is now joined into a single polyline.

  5. Press ENTER to end the command.
Toolbar: Modify II
Command entry: PEDIT


To delete a vertex in a polyline (Procedure)

Modify or Join Polylines
Up a level to ..
Modify or Join Polylines
Create and Modify Objects > Change Existing Objects > Modify Complex Objects > Modify or Join Polylines >
Modify or Join Polylines
Concept Procedure Quick Reference

To delete a vertex in a polyline

  1. Click Home tab [image] Modify panel [image] Edit Polyline.At the command prompt, enter pedit.
  2. Select a polyline.
  3. Enter e (Edit vertex).

    The first vertex is marked with an X. Use the Next option to move the X to the vertex preceding the one that you want to delete.

  4. Enter s (Straighten).
  5. Use the Next option to move the X to the vertex immediately following the one that you want to delete.
  6. Enter g (Go).

    The vertex on the polyline is deleted. The vertices on either side of the deleted vertex are joined by a straight polyline segment.

  7. Enter x (Exit) to end editing vertexes.
  8. Press ENTER to end the command.
Toolbar: Modify II
Command entry: PEDIT


To taper the width of individual polyline segments (Procedure)

Modify or Join Polylines
Up a level to ..
Modify Splines
Create and Modify Objects > Change Existing Objects > Modify Complex Objects > Modify or Join Polylines >
Modify or Join Polylines
Concept Procedure Quick Reference

To taper the width of individual polyline segments

  1. Click Home tab [image] Modify panel [image] Edit Polyline.At the command prompt, enter pedit.
  2. Select the polyline to edit.
  3. Enter e (Edit Vertex).

    The first vertex is marked with an X. Move to the appropriate vertex with Next or Previous.

  4. Enter w (Width).
  5. Enter new starting and ending widths, and press ENTER to move to the next vertex. Repeat steps 4 and 5 for each segment.
  6. Enter u (Undo) to reverse actions back to the start of PEDIT.
  7. Enter x (Exit) to end editing vertexes.
  8. Press ENTER to end the command.
Toolbar: Modify II
Command entry: PEDIT


Modify or Join Polylines (Quick Reference)

Disassociate Compound Objects (Explode)
Modify or Join Polylines
Modify Splines
Create and Modify Objects > Change Existing Objects > Modify Complex Objects > Modify or Join Polylines >
Modify or Join Polylines
Concept Procedure Quick Reference

Commands

PEDIT

Edits polylines and 3D polygon meshes

JOIN

Joins similar objects to form a single, unbroken object

System Variables

PEDITACCEPT

Suppresses display of the Object Selected Is Not a Polyline prompt in PEDIT

SPLFRAME

Controls the display of splines and spline-fit polylines

SPLINESEGS

Sets the number of line segments to be generated for each spline-fit polyline generated by the Spline option of the PEDIT command

SPLINETYPE

Sets the type of curve generated by the Spline option of the PEDIT command

SURFTYPE

Controls the type of surface-fitting to be performed by the Smooth option of the PEDIT command

SURFU

Sets the surface density for PEDIT Smooth in the M direction and the U isolines density on surface objects

SURFV

Sets the surface density for PEDIT Smooth in the N direction and the V isolines density on surface objects

Utilities

No entries

Command Modifiers

No entries


Modify Splines (Concept)

Modify or Join Polylines
Modify Complex Objects
Modify Helixes
Create and Modify Objects > Change Existing Objects > Modify Complex Objects >
Modify Splines
Concept Procedure Quick Reference

Additional editing options are available for changing the shape of spline objects.

In addition to the general editing operations available for most objects, there are additional options available for editing splines with SPLINEDIT.

  • Fit Data. Edits the fit point data that defines the spline, including changing the tolerance.
  • Close. Changes an open spline into a continuous, closed loop.
  • Move Vertex. Moves a fit point to a new location.
  • Refine. Modifies a spline definition by adding and weighting control points and elevating the order of the spline.
  • Reverse. Changes the direction of the spline.

You also can change the tolerance of the spline. Tolerance refers to how closely the spline fits the set of fit points you specify. The lower the tolerance, the more closely the spline fits the points.

Edit Splines with Grips

When you select a spline, grips are displayed on its fit points (the GRIPS system variable must be set to 1). You can use grips to modify the shape and location of the spline.

After certain operations, fit points are discarded and grips are displayed on control points instead. These operations include trimming the spline, moving the control points, and purging the fit data. If the spline's control frame is turned on (the SPLFRAME system variable is set to 1), grips are displayed on both the spline's control points and its fit points, when available.

You can delete fit points of a spline, add fit points for greater accuracy, or move fit points to alter the shape of a spline. You can open or close a spline and edit the spline start and end tangents. Spline direction is reversible. You can change the tolerance of the spline also. Tolerance refers to how closely the spline fits the set of fit points you specify. The lower the tolerance, the more closely the spline fits the points.

Refine the Shape of a Spline

You can refine a spline by increasing the number of control points in one portion of the spline or by changing the weight of specific control points. Increasing the weight of a control point pulls the spline more towards that point. You can also refine a spline by changing its order. A spline's order is the degree of the spline polynomial + 1. A cubic spline, for example, has order 4. The higher a spline's order, the more control points it has.

Consider the following example. You have created a spline to represent a geographic contour. Grips are turned on, and you need to move the fourth fit point to increase accuracy. When you select the spline, grips appear at the control points. If you created the spline by fitting it through a set of points, and you haven't purged this information using the Purge option of the SPLINEDIT command, and you select the Fit Data option, grips appear at the fit points on the selected spline instead of at the control points.

See Also

    • Break and Join Objects


To edit a spline (Procedure)

Modify or Join Polylines
Up a level to ..
Modify Multilines
Create and Modify Objects > Change Existing Objects > Modify Complex Objects > Modify Splines >
Modify Splines
Concept Procedure Quick Reference

To edit a spline

  1. Click Home tab [image] Modify panel [image] Edit Spline.At the command prompt, enter splinedit.
  2. Select the spline to modify.
  3. Edit the spline by entering one or more of the following options:
    • Enter f (Fit) to edit the fit data that defines the spline.
    • Enter c (Close) to change an open spline into a continuous, closed loop.
    • Enter m (Move Vertex) to move a fit point to a new location.
    • Enter r (Refine) to modify a spline definition by adding and weighting control points and elevating the order of the spline.
    • Enter e (Reverse) to reverse the direction of the spline.
    • Enter u (Undo) to cancel the last editing action.
  4. Enter x (Exit) to end the command.
Toolbar: Modify II
Command entry: SPLINEDIT


Modify Splines (Quick Reference)

Modify or Join Polylines
Modify Splines
Modify Helixes
Create and Modify Objects > Change Existing Objects > Modify Complex Objects > Modify Splines >
Modify Splines
Concept Procedure Quick Reference

Commands

JOIN

Joins similar objects to form a single, unbroken object

SPLINEDIT

Edits a spline or spline-fit polyline

System Variables

SPLFRAME

Controls the display of splines and spline-fit polylines

Utilities

No entries

Command Modifiers

No entries


Modify Helixes (Concept)

Modify Splines
Modify Complex Objects
Modify Multilines
Create and Modify Objects > Change Existing Objects > Modify Complex Objects >
Modify Helixes
Concept Quick Reference

You can use grips or the Properties palette to modify the shape and size of a helix.

Show Me: Create and Modify a Helix

Click the Play arrow to start the animation. For more information about creating helixes, see Draw Helixes.

You can use the grips on a helix to change the following:

  • Start point
  • Base radius
  • Top radius
  • Height
  • Location

When you use a grip to change the base radius of a helix, the top radius scales to maintain the current ratio. Use the Properties palette to change the base radius independent of the top radius.

You can use the Properties palette to change other helix properties, such as

  • Number of turns (Turns)
  • Turn height
  • Direction of the twist — clockwise (CW) or counterclockwise (CCW)

With the Constrain property, you can specify that the Height, Turns, or Turn Height properties of the helix are constrained. The Constrain property affects how the helix changes when the Height, Turns, or Turn Height properties are changed either through the Properties palette or through grip editing. The table below shows the behavior of the helix depending on which property is constrained.

Constrained property | Property to change | Effect on these helix properties
 |  | Height | Turns | Turn Height
Height | Height | Changed | Fixed | Changed
 | Turns | Fixed | Changed | Changed
 | Turn Height | Fixed | Changed | Changed
Turns | Height | Changed | Fixed | Changed
 | Turns | Fixed | Changed | Changed
 | Turn Height | Changed | Fixed | Changed
Turn Height | Height | Changed | Changed | Fixed
 | Turns | Changed | Changed | Fixed
 | Turn Height | Fixed | Changed | Changed
See Also

    • Draw Helixes


Modify Helixes (Quick Reference)

Modify Splines
Modify Helixes
Modify Multilines
Create and Modify Objects > Change Existing Objects > Modify Complex Objects > Modify Helixes >
Modify Helixes
Concept Quick Reference

Commands

HELIX

Creates a 2D spiral or 3D spring

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Modify Multilines (Concept)

Modify Helixes
Modify Complex Objects
Work with 3D Models
Create and Modify Objects > Change Existing Objects > Modify Complex Objects >
Modify Multilines
Concept Procedure Quick Reference

Multiline objects are composed of 1 to 16 parallel lines, called elements. To modify multilines or their elements, you can use common editing commands, a multiline editing command, and multiline styles.

Special multiline editing features are available with the MLEDIT command including the following:

  • Add or delete a vertex
  • Control the visibility of corner joints
  • Control the style of intersection with other multilines
  • Open or close gaps in a multiline object

Add and Delete Multiline Vertices

You can add or delete any vertex in a multiline.

Edit Multiline Intersections

If you have two multilines in a drawing, you can control the way they intersect. Multilines can intersect in a cross or a T shape, and the crosses or T shapes can be closed, open, or merged.

Edit Multiline Styles

You can use MLSTYLE to edit multiline styles to change the properties of multiline elements or the end caps and background fill of subsequently created multilines.

Multiline styles control the number of line elements in a multiline and the color, linetype, lineweight, and offset of each element. You can also modify the display of joints, end caps, and background fill.

Multiline styles have the following limitations:

  • You cannot edit the element and multiline properties of the STANDARD multiline style or any multiline style already used in the drawing.
  • To edit an existing multiline style, you must do so before you draw any multilines in that style.
NoteIf you use MLSTYLE to create a multiline style without saving it, and then select another style or create a new style, the first MLSTYLE properties are lost. To maintain the properties, save each multiline style to an MLN file before creating a new one.

Use Common Editing Commands on Multilines

You can use most of the common editing commands on multilines except

  • BREAK
  • CHAMFER
  • FILLET
  • LENGTHEN
  • OFFSET

To perform these operations, first use EXPLODE to replace the multiline object with separate line objects.

NoteIf you trim or extend a multiline object, only the first boundary object encountered determines the shape of the end of the multiline. A multiline cannot have a complex boundary at its endpoint.
See Also

    • Draw Multiline Objects


Modify Multilines (Procedure)

Modify Splines
Up a level to ..
Modify Multilines
Create and Modify Objects > Change Existing Objects > Modify Complex Objects > Modify Multilines >
Modify Multilines
Concept Procedure Quick Reference

To delete a vertex from a multiline

To create a closed cross intersection

To edit a multiline style


To delete a vertex from a multiline (Procedure)

Modify Multilines
Up a level to ..
Modify Multilines
Create and Modify Objects > Change Existing Objects > Modify Complex Objects > Modify Multilines >
Modify Multilines
Concept Procedure Quick Reference

To delete a vertex from a multiline

  1. Click Modify menu [image] Object [image] Multiline.At the command prompt, enter mledit.
  2. In the Multiline Edit Tools dialog box, select Delete Vertex.
  3. In the drawing, specify the vertex to delete. Press ENTER.
Command entry: MLEDIT


To create a closed cross intersection (Procedure)

Modify Multilines
Up a level to ..
Modify Multilines
Create and Modify Objects > Change Existing Objects > Modify Complex Objects > Modify Multilines >
Modify Multilines
Concept Procedure Quick Reference

To create a closed cross intersection

  1. Click Modify menu [image] Object [image] Multiline.At the command prompt, enter mledit.
  2. In the Multiline Edit Tools dialog box, select Closed Cross.
  3. Select the multiline for the foreground.
  4. Select the multiline for the background.

    The intersection is modified. You can continue selecting intersecting multilines to modify, or press ENTER to end the command. Press ENTER again to redisplay the Multiline Edit Tools dialog box.


To edit a multiline style (Procedure)

Modify Multilines
Up a level to ..
Create 3D Solids and Surfaces
Create and Modify Objects > Change Existing Objects > Modify Complex Objects > Modify Multilines >
Modify Multilines
Concept Procedure Quick Reference

To edit a multiline style

  1. Click Format menu [image] Multiline Style.At the command prompt, enter mlstyle.
  2. In the Multiline Styles dialog box, select the style name from the list. Click Modify.
  3. Click Element Properties.
  4. In the Modify Multiline Styles dialog box, change the settings as needed.
  5. Click OK.
  6. In the Multiline Styles dialog box, click Save to save the changes to the style in the MLN file.
  7. Click OK.
Command entry: MLSTYLE


Modify Multilines (Quick Reference)

Modify Helixes
Modify Multilines
Overview of 3D Modeling
Create and Modify Objects > Change Existing Objects > Modify Complex Objects > Modify Multilines >
Modify Multilines
Concept Procedure Quick Reference

Commands

MLEDIT

Edits multiline intersections, breaks, and vertices

MLSTYLE

Creates, modifies, and manages multiline styles

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Work with 3D Models

Modify Multilines
Create 3D Models
Work with 3D Models

Topics in this section

  • Create 3D Models

    You can create 3D solids and surfaces from scratch or from existing objects. These solids and surfaces can then be combined to create solid models. 3D objects can also be represented by simulated surfaces (3D thickness), as a wireframe model, or as a mesh model.

  • Modify 3D Solids and Surfaces

    After creating a solid model, you can change its appearance by manipulating the solids and surfaces in a variety of ways including clicking and dragging grips, using grip tools, and changing the objects’ properties through the Properties palette.

  • Create Sections and 2D Drawings from 3D Models

    You can create a cross section through a 3D solid by using the intersection of a plane and solid objects to create a region. You can also use a cutting plane, called a section object that lets you see cross-sectional views in a 3D model in real-time. Sectional views can then be captured as flattened representations.


Create 3D Models

Work with 3D Models
Work with 3D Models
Overview of 3D Modeling
Work with 3D Models >
Create 3D Models

You can create 3D solids and surfaces from scratch or from existing objects. These solids and surfaces can then be combined to create solid models. 3D objects can also be represented by simulated surfaces (3D thickness), as a wireframe model, or as a mesh model.

Topics in this section

  • Overview of 3D Modeling
  • Create 3D Solids and Surfaces

    You can create 3D solids and surfaces from scratch or from existing objects.

  • Check for Interferences within a Solid Model

    You can use the INTERFERE command to check for interferences (areas where 3D solids intersect or overlap) within a solid model by comparing two sets of objects or by checking all the solids against one another.

  • Create Meshes

    You can create polygonal mesh forms. Because the faces of the mesh are planar, the mesh can only approximate curved surfaces.

  • Create Wireframe Models

    A wireframe model is an edge or skeletal representation of a real-world 3D object using lines and curves.

  • Add 3D Thickness to Objects

    Thickness is a property of certain objects that gives them a 3D appearance.


Overview of 3D Modeling (Concept)

Create 3D Models
Create 3D Models
Create 3D Solids and Surfaces
Work with 3D Models > Create 3D Models >
Overview of 3D Modeling
Concept Quick Reference

With 3D modeling, you can create solid, wireframe, and mesh models of your design. Modeling in 3D has several advantages. You can

  • View the model from any vantage point
  • Generate reliable standard and auxiliary 2D views automatically
  • Create sections and 2D drawings
  • Remove hidden lines and do realistic shading
  • Check interferences
  • Add lighting
  • Create realistic renderings
  • Navigate through the model
  • Use the model to create an animation
  • Perform engineering analysis
  • Extract manufacturing data

Solid Modeling

When you create solid models, you use solids and surfaces as the building blocks for your model.

A solid object represents the entire volume of an object. Solids are the most informationally complete and least ambiguous of the 3D modeling types. Complex solid shapes are also easier to construct and edit than wireframes and meshes.

NoteWhen you work with 3D solids, you might occasionally see messages that refer to ShapeManager. ShapeManager® is the Autodesk technology that provides 3D solid modeling capabilities to AutoCAD and other products.
See Also

    • Enter 3D Coordinates

    • Specify Workplanes in 3D (UCS)

    • Use the Dynamic UCS with Solid Models


Overview of 3D Modeling (Quick Reference)

Modify Multilines
Overview of 3D Modeling
Overview of Creating 3D Solids and Surfaces
Work with 3D Models > Create 3D Models > Overview of 3D Modeling >
Overview of 3D Modeling
Concept Quick Reference

Commands

BOX

Creates a 3D solid box

CONE

Creates a 3D solid cone

CYLINDER

Creates a 3D solid cylinder

EXTRUDE

Creates a 3D solid or surface by extruding a 2D object

LOFT

Creates a 3D solid or surface in the space between several cross sections

POLYSOLID

Creates a 3D wall-like polysolid

PYRAMID

Creates a 3D solid pyramid

REVOLVE

Creates a 3D solid or surface by sweeping a 2D object around an axis

SPHERE

Creates a 3D solid sphere

SWEEP

Creates a 3D solid or surface by sweeping a 2D object along a path

TORUS

Creates a donut-shaped 3D solid

WEDGE

Creates a 3D solid wedge

System Variables

DELOBJ
PSOLWIDTH

Controls the default width for a swept solid object created with the POLYSOLID command

PSOLHEIGHT

Controls the default height for a swept solid object created with the POLYSOLID command

Utilities

No entries

Command Modifiers

No entries


Create 3D Solids and Surfaces

Overview of 3D Modeling
Create 3D Models
Overview of Creating 3D Solids and Surfaces
Work with 3D Models > Create 3D Models >
Create 3D Solids and Surfaces
Concept Procedure

You can create 3D solids and surfaces from scratch or from existing objects.

Topics in this section

  • Overview of Creating 3D Solids and Surfaces
  • Create 3D Solid Primitives

    You can create the basic solid shapes of box, cone, cylinder, sphere, torus, wedge, and pyramid. These shapes are called solid primitives.

  • Create a Polysolid

    A polysolid is drawn the same way you draw a polyline. By default, a polysolid always has a rectangular profile. You can specify the height and width of the profile. Use POLYSOLID to create walls in your model.

  • Create Solids and Surfaces from Lines and Curves

    You can create solids and surfaces from existing lines and curves. You can use these objects to define both the profile and path for the solid or surface.

  • Create Solids and Surfaces from Objects

    You can create surfaces from existing objects in your drawing.

  • Create Solids from Surfaces

    You can create a 3D solid from any surface type by thickening the surface.

  • Create Composite Solids

    Composite solids are created from two or more individual solids through any of the following commands: UNION, SUBTRACT, and INTERSECT. (FILLET and CHAMFER also create composite solids.)

  • Create Solids by Slicing

    You can create new solids by slicing existing ones. You can define the cutting plane a number of ways, including specifying points or selecting a surface or planar object.


Create 3D Solids and Surfaces (Procedure)

Modify Multilines
Create 3D Solids and Surfaces
Create 3D Solid Primitives
Work with 3D Models > Create 3D Models > Create 3D Solids and Surfaces >
Create 3D Solids and Surfaces
Concept Procedure

To draw a polysolid

To create a polysolid from an existing object

To convert one or more objects to surfaces

To create a planar surface from an existing object

To create a planar surface by specifying the corners of the surface

To convert objects with thickness to extruded solids

To convert one or more surfaces to solids

To combine solids

To subtract solids from one another

To create a solid from the intersection of two or more other solids

To slice solids

To slice solids with a planar object

To slice solids with a surface


Overview of Creating 3D Solids and Surfaces (Concept)

Create 3D Solids and Surfaces
Create 3D Solids and Surfaces
Create 3D Solid Primitives
Work with 3D Models > Create 3D Models > Create 3D Solids and Surfaces >
Overview of Creating 3D Solids and Surfaces
Concept Quick Reference

You can create basic 3D shapes (solid primitives): boxes, cones, cylinders, spheres, wedges, pyramids, and tori (donuts). You can then combine these shapes to create more complex solids by joining or subtracting them or finding their intersecting (overlapping) volume.

You can also create 3D solids and surfaces from existing objects through any of the following methods:

  • Extruding objects
  • Sweeping objects along a path
  • Revolving objects around an axis
  • Lofting through a set of curves
  • Slicing a solid
  • Converting planar objects with thickness into solids and surfaces

Solids and surfaces are displayed in the visual style that is applied to the viewport.

You can analyze solids for their mass properties (volume, moments of inertia, center of gravity, and so on). You can export data about a solid object to applications such as NC (numerical control) milling or FEM (finite element method) analysis. By exploding a solid, you can break it down to regions, bodies, surfaces, and wireframe objects.

The ISOLINES system variable controls the number of tessellation lines used to visualize curved portions of the wireframe. The FACETRES system variable adjusts the smoothness of shaded and hidden-line objects.

By default, 3D solids record a history of their original forms. This history allows you to see the original forms that make up composite solids. For more information about History settings for solids and surfaces, see Display Original Forms of Composite Solids.


Overview of Creating 3D Solids and Surfaces (Quick Reference)

Overview of 3D Modeling
Overview of Creating 3D Solids and Surfaces
Create a Solid Box
Work with 3D Models > Create 3D Models > Create 3D Solids and Surfaces > Overview of Creating 3D Solids and Surfaces >
Overview of Creating 3D Solids and Surfaces
Concept Quick Reference

Commands

BOX

Creates a 3D solid box

CONE

Creates a 3D solid cone

CONVTOSOLID

Converts polylines and circles with thickness to 3D solids

CONVTOSURFACE

Converts objects to surfaces

CYLINDER

Creates a 3D solid cylinder

EXTRUDE

Creates a 3D solid or surface by extruding a 2D object

INTERSECT

Creates a 3D solid or 2D region from selected overlapping solids or regions

INSERT

Inserts a block or drawing into the current drawing

LOFT

Creates a 3D solid or surface in the space between several cross sections

PYRAMID

Creates a 3D solid pyramid

REVOLVE

Creates a 3D solid or surface by sweeping a 2D object around an axis

SLICE

Slices a solid with a plane or surface

SUBTRACT

Combines selected 3D solids or 2D regions by subtraction

SWEEP

Creates a 3D solid or surface by sweeping a 2D object along a path

TORUS

Creates a donut-shaped 3D solid

UNION

Combines selected 3D solids or 2D regions by addition

VISUALSTYLES

Creates and modifies visual styles and applies a visual style to a viewport

WEDGE

Creates a 3D solid wedge

System Variables

FACETRES

Adjusts the smoothness of shaded and rendered objects and objects with hidden lines removed

ISOLINES

Specifies the number of contour lines per surface on objects

Utilities

No entries

Command Modifiers

No entries


Create 3D Solid Primitives

Overview of Creating 3D Solids and Surfaces
Create 3D Solids and Surfaces
Create a Solid Box
Work with 3D Models > Create 3D Models > Create 3D Solids and Surfaces >
Create 3D Solid Primitives
Concept Procedure

You can create the basic solid shapes of box, cone, cylinder, sphere, torus, wedge, and pyramid. These shapes are called solid primitives.

Topics in this section

  • Create a Solid Box

    You can create a solid box. The base of the box is always drawn parallel to the XY plane of the current UCS (workplane).

  • Create a Solid Wedge

    You can create a solid wedge.

  • Create a Solid Cone

    You can create a solid cone with a circular or an elliptical base tapering to a point. You can also create a cone frustum, which tapers to a circular or elliptical planar face that is parallel to its base.

  • Create a Solid Cylinder

    You can create a solid cylinder with a circular or an elliptical base.

  • Create a Solid Sphere

    You can create a solid sphere.

  • Create a Solid Pyramid

    You can create a solid pyramid. You can define the number of sides for a pyramid from 3 to 32.

  • Create a Solid Torus

    You can use the TORUS command to create a ring-shaped solid similar to the inner tube of a tire.


Create 3D Solid Primitives (Procedure)

Create 3D Solids and Surfaces
Up a level to ..
Create a Solid Box
Work with 3D Models > Create 3D Models > Create 3D Solids and Surfaces > Create 3D Solid Primitives >
Create 3D Solid Primitives
Concept Procedure

To create a solid box based on two points and a height

To create a solid box based on length, width and height

To create a solid box based on a center point, corner of base, and height

To create a solid cube

To create a solid wedge based on two points and a height

To create a solid wedge based on length, width and height

To create a solid wedge based on a center point, corner of base, and height

To create a solid wedge with equal length, width and height

To create a solid cone with a circular base

To create a solid cone with an elliptical base

To create a solid cone frustum

To create a solid cone with the height and orientation specified by the axis endpoint

To create a solid cylinder with a circular base

To create a solid cylinder with an elliptical base

To create a solid cylinder with the height and orientation specified by the axis endpoint

To create a solid sphere

To create a solid sphere defined by three points

To create a solid pyramid

To create a solid pyramid frustum

To create a solid torus


Create a Solid Box (Concept)

Create 3D Solid Primitives
Create 3D Solid Primitives
Create a Solid Wedge
Work with 3D Models > Create 3D Models > Create 3D Solids and Surfaces > Create 3D Solid Primitives >
Create a Solid Box
Concept Procedure Quick Reference

You can create a solid box. The base of the box is always drawn parallel to the XY plane of the current UCS (workplane).

You can use the Cube option of the BOX command to create a box with sides of equal length.

If you use the Cube or Length option when you create a box, you can also specify the rotation of the box in the XY plane when clicking to specify the length.

You can also use the Center Point option to create a box using a specified center point.


Create a Solid Box (Procedure)

Create 3D Solid Primitives
Up a level to ..
Create a Solid Box
Work with 3D Models > Create 3D Models > Create 3D Solids and Surfaces > Create 3D Solid Primitives > Create a Solid Box >
Create a Solid Box
Concept Procedure Quick Reference

To create a solid box based on two points and a height

To create a solid box based on length, width and height

To create a solid box based on a center point, corner of base, and height

To create a solid cube


To create a solid box based on two points and a height (Procedure)

Create a Solid Box
Up a level to ..
Create a Solid Box
Work with 3D Models > Create 3D Models > Create 3D Solids and Surfaces > Create 3D Solid Primitives > Create a Solid Box >
Create a Solid Box
Concept Procedure Quick Reference

To create a solid box based on two points and a height

  1. Click Home tab [image] 3D Modeling panel [image] Box.At the command prompt, enter box.
  2. Specify the first corner of the base.
  3. Specify the opposite corner of the base.
  4. Specify the height.
Toolbar: Modeling
Command entry: BOX


To create a solid box based on length, width and height (Procedure)

Create a Solid Box
Up a level to ..
Create a Solid Box
Work with 3D Models > Create 3D Models > Create 3D Solids and Surfaces > Create 3D Solid Primitives > Create a Solid Box >
Create a Solid Box
Concept Procedure Quick Reference

To create a solid box based on length, width and height

  1. Click Home tab [image] 3D Modeling panel [image] Box.At the command prompt, enter box.
  2. Specify the first corner of the base.
  3. Select the Length option and specify the length of the base.
  4. Specify the width of the base.
  5. Specify the height.
Toolbar: Modeling
Command entry: BOX


To create a solid box based on a center point, corner of base, and height (Procedure)

Create a Solid Box
Up a level to ..
Create a Solid Box
Work with 3D Models > Create 3D Models > Create 3D Solids and Surfaces > Create 3D Solid Primitives > Create a Solid Box >
Create a Solid Box
Concept Procedure Quick Reference

To create a solid box based on a center point, corner of base, and height

  1. Click Home tab [image] 3D Modeling panel [image] Box.At the command prompt, enter box.
  2. Select the Center option and specify the center point of the base.
  3. Specify one of the corners of the base from the center point to calculate both length and width, or use the Length option if desired and specify the length and then width from the center point of the base.
  4. Specify the height.
Toolbar: Modeling
Command entry: BOX


To create a solid cube (Procedure)

Create a Solid Box
Up a level to ..
Create a Solid Wedge
Work with 3D Models > Create 3D Models > Create 3D Solids and Surfaces > Create 3D Solid Primitives > Create a Solid Box >
Create a Solid Box
Concept Procedure Quick Reference

To create a solid cube

  1. Click Home tab [image] 3D Modeling panel [image] Box.At the command prompt, enter box.
  2. Specify the first corner or select the Center option to specify the center point of the base.
  3. Select the Cube option, and specify the length of the cube and a rotation angle. The length specified is used for the width and height to calculate the cube’s size.
Toolbar: Modeling
Command entry: BOX


Create a Solid Box (Quick Reference)

Overview of Creating 3D Solids and Surfaces
Create a Solid Box
Create a Solid Wedge
Work with 3D Models > Create 3D Models > Create 3D Solids and Surfaces > Create 3D Solid Primitives > Create a Solid Box >
Create a Solid Box
Concept Procedure Quick Reference

Commands

BOX

Creates a 3D solid box

System Variables

DRAGVS

Utilities

No entries

Command Modifiers

No entries


Create a Solid Wedge (Concept)

Create a Solid Box
Create 3D Solid Primitives
Create a Solid Cone
Work with 3D Models > Create 3D Models > Create 3D Solids and Surfaces > Create 3D Solid Primitives >
Create a Solid Wedge
Concept Procedure Quick Reference

You can create a solid wedge.

The base of the wedge is drawn parallel to the XY plane of the current UCS with the sloped face opposite the first corner. The height of the wedge is parallel to the Z axis.

You can use the Cube option of the WEDGE command to create a wedge with sides of equal length.

If you use the Cube or Length option when you create a wedge, you can also specify the rotation of the wedge in the XY plane when clicking to specify the length.

You can also use the Center Point option to create a wedge using a specified center point.


Create a Solid Wedge (Procedure)

Create a Solid Box
Up a level to ..
Create a Solid Wedge
Work with 3D Models > Create 3D Models > Create 3D Solids and Surfaces > Create 3D Solid Primitives > Create a Solid Wedge >
Create a Solid Wedge
Concept Procedure Quick Reference

To create a solid wedge based on two points and a height

To create a solid wedge based on length, width and height

To create a solid wedge based on a center point, corner of base, and height

To create a solid wedge with equal length, width and height


To create a solid wedge based on two points and a height (Procedure)

Create a Solid Wedge
Up a level to ..
Create a Solid Wedge
Work with 3D Models > Create 3D Models > Create 3D Solids and Surfaces > Create 3D Solid Primitives > Create a Solid Wedge >
Create a Solid Wedge
Concept Procedure Quick Reference

To create a solid wedge based on two points and a height

  1. Click Home tab [image] 3D Modeling panel [image] Wedge.At the command prompt, enter wedge.
  2. Specify the first corner of the base.
  3. Specify the opposite corner of the base.
  4. Specify the height of the wedge.
Toolbar: Modeling
Command entry: WEDGE


To create a solid wedge based on length, width and height (Procedure)

Create a Solid Wedge
Up a level to ..
Create a Solid Wedge
Work with 3D Models > Create 3D Models > Create 3D Solids and Surfaces > Create 3D Solid Primitives > Create a Solid Wedge >
Create a Solid Wedge
Concept Procedure Quick Reference

To create a solid wedge based on length, width and height

  1. Click Home tab [image] 3D Modeling panel [image] Wedge.At the command prompt, enter wedge.
  2. Specify the first corner of the base.
  3. Select the Length option and specify the length of the base.
  4. Specify the width of the base.
  5. Specify the height of the wedge.
Toolbar: Modeling
Command entry: WEDGE


To create a solid wedge based on a center point, corner of base, and height (Procedure)

Create a Solid Wedge
Up a level to ..
Create a Solid Wedge
Work with 3D Models > Create 3D Models > Create 3D Solids and Surfaces > Create 3D Solid Primitives > Create a Solid Wedge >
Create a Solid Wedge
Concept Procedure Quick Reference

To create a solid wedge based on a center point, corner of base, and height

  1. Click Home tab [image] 3D Modeling panel [image] Wedge.At the command prompt, enter wedge.
  2. Select the Center option and specify the center point of the base.
  3. Specify one of the corners of the base from the center point to calculate both length and width, or use the Length option if desired and specify the length and then width from the center point of the base.
  4. Specify the height of the wedge.
Toolbar: Modeling
Command entry: WEDGE


To create a solid wedge with equal length, width and height (Procedure)

Create a Solid Wedge
Up a level to ..
Create a Solid Cone
Work with 3D Models > Create 3D Models > Create 3D Solids and Surfaces > Create 3D Solid Primitives > Create a Solid Wedge >
Create a Solid Wedge
Concept Procedure Quick Reference

To create a solid wedge with equal length, width and height

  1. Click Home tab [image] 3D Modeling panel [image] Wedge.At the command prompt, enter wedge.
  2. Specify the first corner or select the Center option to specify the center point of the base.
  3. Select the Cube option, and specify the length of the wedge and a rotation angle. The length specified is used for the width and height to calculate the wedge’s size.
Toolbar: Modeling
Command entry: WEDGE


Create a Solid Wedge (Quick Reference)

Create a Solid Box
Create a Solid Wedge
Create a Solid Cone
Work with 3D Models > Create 3D Models > Create 3D Solids and Surfaces > Create 3D Solid Primitives > Create a Solid Wedge >
Create a Solid Wedge
Concept Procedure Quick Reference

Commands

WEDGE

Creates a 3D solid wedge

System Variables

DRAGVS

Utilities

No entries

Command Modifiers

No entries


Create a Solid Cone (Concept)

Create a Solid Wedge
Create 3D Solid Primitives
Create a Solid Cylinder
Work with 3D Models > Create 3D Models > Create 3D Solids and Surfaces > Create 3D Solid Primitives >
Create a Solid Cone
Concept Procedure Quick Reference

You can create a solid cone with a circular or an elliptical base tapering to a point. You can also create a cone frustum, which tapers to a circular or elliptical planar face that is parallel to its base.

Show Me: Create and Modify a Cone

Click the Play arrow to start the animation. For more information about modifying cones and other solid primitives, see Manipulate Individual Solids and Surfaces.

By default, the cone's base lies on the XY plane of the current UCS. The height of the cone is parallel to the Z axis.

You can use the Axis Endpoint option of the CONE command to determine the height and orientation of the cone. The axis endpoint is the top point of the cone or the center of the top face if the Top Radius options is used. The axis endpoint can be located anywhere in 3D space

With the 3P (Three Points) option of the CONE command, you can define the base of the cone by specifying three points anywhere in 3D space.

Use the Top Radius option of the CONE command to create a cone frustum, which tapers to an elliptical or planar face.

To create a conical solid that requires a specific angle to define its sides, draw a 2D circle and then use EXTRUDE and the Taper Angle option to taper the circle at an angle along the Z axis. This method, however, creates an extruded solid, not a true solid cone primitive.


Create a Solid Cone (Procedure)

Create a Solid Wedge
Up a level to ..
Create a Solid Cone
Work with 3D Models > Create 3D Models > Create 3D Solids and Surfaces > Create 3D Solid Primitives > Create a Solid Cone >
Create a Solid Cone
Concept Procedure Quick Reference

To create a solid cone with a circular base

To create a solid cone with an elliptical base

To create a solid cone frustum

To create a solid cone with the height and orientation specified by the axis endpoint


To create a solid cone with a circular base (Procedure)

Create a Solid Cone
Up a level to ..
Create a Solid Cone
Work with 3D Models > Create 3D Models > Create 3D Solids and Surfaces > Create 3D Solid Primitives > Create a Solid Cone >
Create a Solid Cone
Concept Procedure Quick Reference

To create a solid cone with a circular base

  1. Click Home tab [image] 3D Modeling panel [image] Cone.At the command prompt, enter cone.
  2. Specify the center point of the base.
  3. Specify the radius or diameter of the base.
  4. Specify the height of the cone.
Toolbar: Modeling
Command entry: CONE


To create a solid cone with an elliptical base (Procedure)

Create a Solid Cone
Up a level to ..
Create a Solid Cone
Work with 3D Models > Create 3D Models > Create 3D Solids and Surfaces > Create 3D Solid Primitives > Create a Solid Cone >
Create a Solid Cone
Concept Procedure Quick Reference

To create a solid cone with an elliptical base

  1. Click Home tab [image] 3D Modeling panel [image] Cone.At the command prompt, enter cone.
  2. Enter e (Elliptical).
  3. Specify an endpoint for first axis. This is the start point of the first axis.
  4. Specify the other endpoint of the first axis. This is the endpoint of the first axis.
  5. Specify the endpoint (length and rotation) of the second axis.
  6. Specify the height of the cone.
Toolbar: Modeling
Command entry: CONE


To create a solid cone frustum (Procedure)

Create a Solid Cone
Up a level to ..
Create a Solid Cone
Work with 3D Models > Create 3D Models > Create 3D Solids and Surfaces > Create 3D Solid Primitives > Create a Solid Cone >
Create a Solid Cone
Concept Procedure Quick Reference

To create a solid cone frustum

  1. Click Home tab [image] 3D Modeling panel [image] Cone.At the command prompt, enter cone.
  2. Specify the center point of the base.
  3. Specify the radius or diameter of the base.
  4. Enter t (Top radius).
  5. Specify the top radius.
  6. Specify the height of the cone.
Toolbar: Modeling
Command entry: CONE


To create a solid cone with the height and orientation specified by the axis endpoint (Procedure)

Create a Solid Cone
Up a level to ..
Create a Solid Cylinder
Work with 3D Models > Create 3D Models > Create 3D Solids and Surfaces > Create 3D Solid Primitives > Create a Solid Cone >
Create a Solid Cone
Concept Procedure Quick Reference

To create a solid cone with the height and orientation specified by the axis endpoint

  1. Click Home tab [image] 3D Modeling panel [image] Cone.At the command prompt, enter cone.
  2. Specify the center point of the base.
  3. Specify the radius or diameter of the base.
  4. At the command prompt, enter a.
  5. Specify the axis endpoint of the cone.

    This endpoint can be located anywhere in 3D space.

Toolbar: Modeling
Command entry: CONE


Create a Solid Cone (Quick Reference)

Create a Solid Wedge
Create a Solid Cone
Create a Solid Cylinder
Work with 3D Models > Create 3D Models > Create 3D Solids and Surfaces > Create 3D Solid Primitives > Create a Solid Cone >
Create a Solid Cone
Concept Procedure Quick Reference

Commands

CONE

Creates a 3D solid cone

System Variables

DRAGVS

Utilities

No entries

Command Modifiers

No entries


Create a Solid Cylinder (Concept)

Create a Solid Cone
Create 3D Solid Primitives
Create a Solid Sphere
Work with 3D Models > Create 3D Models > Create 3D Solids and Surfaces > Create 3D Solid Primitives >
Create a Solid Cylinder
Concept Procedure Quick Reference

You can create a solid cylinder with a circular or an elliptical base.

You can use the Axis Endpoint option of the CYLINDER command to determine the height and orientation of the cone. The axis endpoint is the center point of the top plane of the cylinder. The axis endpoint can be located anywhere in 3D space.

With the 3P (Three Points) option of the CYLINDER command, you can define the base of the cylinder by specifying three points anywhere in 3D space.

If you want to construct a cylindrical form with special detail, such as grooves along its sides, create a 2D profile of its base with a closed PLINE and use EXTRUDE to define its height along the Z axis. This method, however, creates an extruded solid, not a true solid cylinder primitive.


Create a Solid Cylinder (Procedure)

Create a Solid Cone
Up a level to ..
Create a Solid Cylinder
Work with 3D Models > Create 3D Models > Create 3D Solids and Surfaces > Create 3D Solid Primitives > Create a Solid Cylinder >
Create a Solid Cylinder
Concept Procedure Quick Reference

To create a solid cylinder with a circular base

To create a solid cylinder with an elliptical base

To create a solid cylinder with the height and orientation specified by the axis endpoint


To create a solid cylinder with a circular base (Procedure)

Create a Solid Cylinder
Up a level to ..
Create a Solid Cylinder
Work with 3D Models > Create 3D Models > Create 3D Solids and Surfaces > Create 3D Solid Primitives > Create a Solid Cylinder >
Create a Solid Cylinder
Concept Procedure Quick Reference

To create a solid cylinder with a circular base

  1. Click Home tab [image] 3D Modeling panel [image] Cylinder.At the command prompt, enter cylinder.
  2. Specify the center point of the base.
  3. Specify the radius or diameter of the base.
  4. Specify the height of the cylinder.
Toolbar: Modeling
Command entry: CYLINDER


To create a solid cylinder with an elliptical base (Procedure)

Create a Solid Cylinder
Up a level to ..
Create a Solid Cylinder
Work with 3D Models > Create 3D Models > Create 3D Solids and Surfaces > Create 3D Solid Primitives > Create a Solid Cylinder >
Create a Solid Cylinder
Concept Procedure Quick Reference

To create a solid cylinder with an elliptical base

  1. Click Home tab [image] 3D Modeling panel [image] Cylinder.At the command prompt, enter cylinder.
  2. Enter e (Elliptical).
  3. Specify an endpoint for first axis. This is the start point of the first axis.
  4. Specify the other endpoint of the first axis. This is the endpoint of the first axis.
  5. Specify the endpoint (length and rotation) of the second axis.
  6. Specify the height of the cylinder.
Toolbar: Modeling
Command entry: CYLINDER


To create a solid cylinder with the height and orientation specified by the axis endpoint (Procedure)

Create a Solid Cylinder
Up a level to ..
Create a Solid Sphere
Work with 3D Models > Create 3D Models > Create 3D Solids and Surfaces > Create 3D Solid Primitives > Create a Solid Cylinder >
Create a Solid Cylinder
Concept Procedure Quick Reference

To create a solid cylinder with the height and orientation specified by the axis endpoint

  1. Click Home tab [image] 3D Modeling panel [image] Cylinder.At the command prompt, enter cylinder.
  2. Specify the center point of the base.
  3. Specify the radius or diameter of the base.
  4. At the command prompt, enter a.
  5. Specify the axis endpoint of the cylinder.

    This endpoint can be located anywhere in 3D space.

Toolbar: Modeling
Command entry: CYLINDER


Create a Solid Cylinder (Quick Reference)

Create a Solid Cone
Create a Solid Cylinder
Create a Solid Sphere
Work with 3D Models > Create 3D Models > Create 3D Solids and Surfaces > Create 3D Solid Primitives > Create a Solid Cylinder >
Create a Solid Cylinder
Concept Procedure Quick Reference

Commands

CYLINDER

Creates a 3D solid cylinder

System Variables

DRAGVS

Utilities

No entries

Command Modifiers

No entries


Create a Solid Sphere (Concept)

Create a Solid Cylinder
Create 3D Solid Primitives
Create a Solid Pyramid
Work with 3D Models > Create 3D Models > Create 3D Solids and Surfaces > Create 3D Solid Primitives >
Create a Solid Sphere
Concept Procedure Quick Reference

You can create a solid sphere.

When you specify the center point, the sphere is positioned so that its central axis is parallel to the Z axis of the current user coordinate system (UCS).

You can also use any of the following options in the SPHERE command to define the sphere:

  • 3P (Three Points). Defines the circumference of the sphere by specifying three points anywhere in 3D space. The three specified points also define the plane of the circumference.
  • 2P (Two Points). Defines the circumference of the sphere by specifying two points anywhere in 3D space. The plane of the circumference is defined by the Z value of the first point.
  • TTR (Tangent, Tangent, Radius). Defines the sphere with a specified radius tangent to two objects. The specified tangency points are projected onto the current UCS.


Create a Solid Sphere (Procedure)

Create a Solid Cylinder
Up a level to ..
Create a Solid Sphere
Work with 3D Models > Create 3D Models > Create 3D Solids and Surfaces > Create 3D Solid Primitives > Create a Solid Sphere >
Create a Solid Sphere
Concept Procedure Quick Reference

To create a solid sphere

To create a solid sphere defined by three points


To create a solid sphere (Procedure)

Create a Solid Sphere
Up a level to ..
Create a Solid Sphere
Work with 3D Models > Create 3D Models > Create 3D Solids and Surfaces > Create 3D Solid Primitives > Create a Solid Sphere >
Create a Solid Sphere
Concept Procedure Quick Reference

To create a solid sphere

  1. Click Home tab [image] 3D Modeling panel [image] Sphere.At the command prompt, enter sphere.
  2. Specify the center of the sphere.
  3. Specify the radius or diameter of the sphere.
Toolbar: Modeling
Command entry: SPHERE


To create a solid sphere defined by three points (Procedure)

Create a Solid Sphere
Up a level to ..
Create a Solid Pyramid
Work with 3D Models > Create 3D Models > Create 3D Solids and Surfaces > Create 3D Solid Primitives > Create a Solid Sphere >
Create a Solid Sphere
Concept Procedure Quick Reference

To create a solid sphere defined by three points

  1. Click Home tab [image] 3D Modeling panel [image] Sphere.At the command prompt, enter sphere.
  2. Enter 3p.
  3. Specify the first point.
  4. Specify the second point.
  5. Specify the third point.
Toolbar: Modeling
Command entry: SPHERE


Create a Solid Sphere (Quick Reference)

Create a Solid Cylinder
Create a Solid Sphere
Create a Solid Pyramid
Work with 3D Models > Create 3D Models > Create 3D Solids and Surfaces > Create 3D Solid Primitives > Create a Solid Sphere >
Create a Solid Sphere
Concept Procedure Quick Reference

Commands

SPHERE

Creates a 3D solid sphere

System Variables

DRAGVS

Utilities

No entries

Command Modifiers

No entries


Create a Solid Pyramid (Concept)

Create a Solid Sphere
Create 3D Solid Primitives
Create a Solid Torus
Work with 3D Models > Create 3D Models > Create 3D Solids and Surfaces > Create 3D Solid Primitives >
Create a Solid Pyramid
Concept Procedure Quick Reference

You can create a solid pyramid. You can define the number of sides for a pyramid from 3 to 32.

You can use the Axis Endpoint option of the PYRAMID command to specify the endpoint location of the pyramid axis. This endpoint is the top point of the pyramid or the center of the top face if the Top Radius option is used. The axis endpoint can be located anywhere in 3D space. The axis endpoint defines the length and orientation of the pyramid.

You can use the Top Radius option to create a pyramid frustum, which tapers to a planar face that has the same number of sides as the base.


Create a Solid Pyramid (Procedure)

Create a Solid Sphere
Up a level to ..
Create a Solid Pyramid
Work with 3D Models > Create 3D Models > Create 3D Solids and Surfaces > Create 3D Solid Primitives > Create a Solid Pyramid >
Create a Solid Pyramid
Concept Procedure Quick Reference

To create a solid pyramid

To create a solid pyramid frustum


To create a solid pyramid (Procedure)

Create a Solid Pyramid
Up a level to ..
Create a Solid Pyramid
Work with 3D Models > Create 3D Models > Create 3D Solids and Surfaces > Create 3D Solid Primitives > Create a Solid Pyramid >
Create a Solid Pyramid
Concept Procedure Quick Reference

To create a solid pyramid

  1. Click Home tab [image] 3D Modeling panel [image] Pyramid.At the command prompt, enter pyramid.
  2. Specify the center point of the base.
  3. Specify the radius or diameter of the base.
  4. Specify the height of the pyramid.
Toolbar: Modeling
Command entry: PYRAMID


To create a solid pyramid frustum (Procedure)

Create a Solid Pyramid
Up a level to ..
Create a Solid Torus
Work with 3D Models > Create 3D Models > Create 3D Solids and Surfaces > Create 3D Solid Primitives > Create a Solid Pyramid >
Create a Solid Pyramid
Concept Procedure Quick Reference

To create a solid pyramid frustum

  1. Click Home tab [image] 3D Modeling panel [image] Pyramid.At the command prompt, enter pyramid.
  2. Specify the center point of the base.
  3. Specify the radius or diameter of the base.
  4. Enter t (Top radius).
  5. Specify the top radius.
  6. Specify the height of the pyramid.
Toolbar: Modeling
Command entry: PYRAMID


Create a Solid Pyramid (Quick Reference)

Create a Solid Sphere
Create a Solid Pyramid
Create a Solid Torus
Work with 3D Models > Create 3D Models > Create 3D Solids and Surfaces > Create 3D Solid Primitives > Create a Solid Pyramid >
Create a Solid Pyramid
Concept Procedure Quick Reference

Commands

PYRAMID

Creates a 3D solid pyramid

System Variables

DRAGVS

Utilities

No entries

Command Modifiers

No entries


Create a Solid Torus (Concept)

Create a Solid Pyramid
Create 3D Solid Primitives
Create a Polysolid
Work with 3D Models > Create 3D Models > Create 3D Solids and Surfaces > Create 3D Solid Primitives >
Create a Solid Torus
Concept Procedure Quick Reference

You can use the TORUS command to create a ring-shaped solid similar to the inner tube of a tire.

A torus is defined by two radius values, one for the tube and the other for the distance from the center of the torus to the center of the tube.

With the 3P (Three Points) option of the TORUS command, you can define the circumference of the torus by specifying three points anywhere in 3D space.

The torus is drawn parallel to and bisected by the XY plane of the current UCS (this may not be true if you use the 3P [Three Points] option of the TORUS command).

A torus may be self-intersecting. A self-intersecting torus has no center hole because the radius of the tube is greater than the radius of the torus.


To create a solid torus (Procedure)

Create a Solid Pyramid
Up a level to ..
Create a Polysolid
Work with 3D Models > Create 3D Models > Create 3D Solids and Surfaces > Create 3D Solid Primitives > Create a Solid Torus >
Create a Solid Torus
Concept Procedure Quick Reference

To create a solid torus

  1. Click Home tab [image] 3D Modeling panel [image] Torus.At the command prompt, enter torus.
  2. Specify the center of the torus.
  3. Specify the radius or diameter of the torus.
  4. Specify the radius or diameter of the tube.
Toolbar: Modeling
Command entry: TORUS


Create a Solid Torus (Quick Reference)

Create a Solid Pyramid
Create a Solid Torus
Create a Polysolid
Work with 3D Models > Create 3D Models > Create 3D Solids and Surfaces > Create 3D Solid Primitives > Create a Solid Torus >
Create a Solid Torus
Concept Procedure Quick Reference

Commands

TORUS

Creates a donut-shaped 3D solid

System Variables

DRAGVS

Utilities

No entries

Command Modifiers

No entries


Create a Polysolid (Concept)

Create a Solid Torus
Create 3D Solids and Surfaces
Create Solids and Surfaces from Lines and Curves
Work with 3D Models > Create 3D Models > Create 3D Solids and Surfaces >
Create a Polysolid
Concept Procedure Quick Reference

A polysolid is drawn the same way you draw a polyline. By default, a polysolid always has a rectangular profile. You can specify the height and width of the profile. Use POLYSOLID to create walls in your model.

With the POLYSOLID command, you can also create a polysolid from an existing line, 2D polyline, arc, or circle.

Show Me: Create a Polysolid from a Polyline

Click the Play arrow to start the animation.

A polysolid can have curved segments, but the profile is always rectangular by default.

When drawing a polysolid, you can use the Arc option to add arc segments to the polysolid. You can use the Close option to close the solid between the first and last specified points.

The PSOLWIDTH system variable sets the default width for polysolids. The PSOLHEIGHT system variable sets the default height.

When you use an existing object to create the polysolid, the DELOBJ system variable controls whether the path is automatically deleted when the solid is created or whether you are prompted to delete the object.

Polysolids are swept solids (solids that are drawn with a specified profile along the specified path) and display as swept solids in the Properties palette.


Create a Polysolid (Procedure)

Create a Solid Torus
Up a level to ..
Create a Polysolid
Work with 3D Models > Create 3D Models > Create 3D Solids and Surfaces > Create a Polysolid >
Create a Polysolid
Concept Procedure Quick Reference

To draw a polysolid

To create a polysolid from an existing object


To draw a polysolid (Procedure)

Create a Polysolid
Up a level to ..
Create a Polysolid
Work with 3D Models > Create 3D Models > Create 3D Solids and Surfaces > Create a Polysolid >
Create a Polysolid
Concept Procedure Quick Reference

To draw a polysolid

  1. Click Home tab [image] 3D Modeling panel [image] Polysolid.At the command prompt, enter Polysolid.
  2. Specify a start point.
  3. Specify the next point.
  4. Repeat step 3 to complete the desired solid.
  5. Press ENTER.
Toolbar: Modeling
Command entry: POLYSOLID


To create a polysolid from an existing object (Procedure)

Create a Polysolid
Up a level to ..
Create Solids and Surfaces from Lines and Curves
Work with 3D Models > Create 3D Models > Create 3D Solids and Surfaces > Create a Polysolid >
Create a Polysolid
Concept Procedure Quick Reference

To create a polysolid from an existing object

  1. Click Home tab [image] 3D Modeling panel [image] Polysolid.At the command prompt, enter Polysolid.
  2. Enter o, and then press ENTER.
  3. Select a line, 2D polyline, arc, or circle.

    After the solid is created, the original object may be deleted or retained, depending on the setting of the DELOBJ system variable.

Toolbar: Modeling
Command entry: POLYSOLID


Create a Polysolid (Quick Reference)

Create a Solid Torus
Create a Polysolid
Extrude Objects
Work with 3D Models > Create 3D Models > Create 3D Solids and Surfaces > Create a Polysolid >
Create a Polysolid
Concept Procedure Quick Reference

Commands

POLYSOLID

Creates a 3D wall-like polysolid

System Variables

DELOBJ
PSOLHEIGHT

Controls the default height for a swept solid object created with the POLYSOLID command

PSOLWIDTH

Controls the default width for a swept solid object created with the POLYSOLID command

Utilities

No entries

Command Modifiers

No entries


Create Solids and Surfaces from Lines and Curves

Create a Polysolid
Create 3D Solids and Surfaces
Extrude Objects
Work with 3D Models > Create 3D Models > Create 3D Solids and Surfaces >
Create Solids and Surfaces from Lines and Curves
Concept Procedure

You can create solids and surfaces from existing lines and curves. You can use these objects to define both the profile and path for the solid or surface.

Topics in this section

  • Extrude Objects

    You can create solids and surfaces by extruding selected objects. Use the EXTRUDE command to create a solid or surface from a common profile of an object.

  • Create a Solid or Surface by Sweeping

    With the SWEEP command, you can create a new solid or surface by sweeping an open or closed planar curve (profile) along an open or closed 2D or 3D path.

  • Create a Solid or Surface by Lofting

    With the LOFT command, you can create a 3D solid or surface by lofting (drawing a solid or surface) through a set of two or more cross-section curves.

  • Create a Solid or Surface by Revolving

    With the REVOLVE command, you can create a solid or surface by revolving open or closed objects about an axis. The revolved objects define the profile of the solid or surface.


Create Solids and Surfaces from Lines and Curves (Procedure)

Create a Polysolid
Up a level to ..
Extrude Objects
Work with 3D Models > Create 3D Models > Create 3D Solids and Surfaces > Create Solids and Surfaces from Lines and Curves >
Create Solids and Surfaces from Lines and Curves
Concept Procedure

To extrude an object

To extrude an object along a path

To create a solid or surface by sweeping an object along a path

To create a solid or surface by lofting through a set of cross sections

To revolve objects about an axis


Extrude Objects (Concept)

Create Solids and Surfaces from Lines and Curves
Create Solids and Surfaces from Lines and Curves
Create a Solid or Surface by Sweeping
Work with 3D Models > Create 3D Models > Create 3D Solids and Surfaces > Create Solids and Surfaces from Lines and Curves >
Extrude Objects
Concept Procedure Quick Reference

You can create solids and surfaces by extruding selected objects. Use the EXTRUDE command to create a solid or surface from a common profile of an object.

If you extrude a closed object, the resulting object is a solid. If you extrude an open object, the resulting object is a surface.

You can extrude the following objects and subobjects:

  • Lines
  • Arcs
  • Elliptical arcs
  • 2D polylines
  • 2D splines
  • Circles
  • Ellipses
  • 3D faces
  • 2D solids
  • Traces
  • Regions
  • Planar surfaces
  • Planar faces on solids
NoteYou can select faces on solids or surfaces by pressing and holding CTRL, and then selecting one or more faces.

You cannot extrude the following:

  • Polylines that have crossing or self-intersecting segments
  • Objects contained within a block

If a selected polyline has width, the width is ignored and the polyline is extruded from the center of the polyline path. If a selected object has thickness, the thickness is ignored.

If you want to create a solid from a profile using lines or arcs, use the Join option of the PEDIT command to convert them to a single polyline object. You can also convert the objects to a region before you use EXTRUDE.

When you extrude objects, you can specify any of the following options:

  • Path
  • Taper angle
  • Direction

Specify a Path for an Extruded Solid

With the Path option, you can specify an object as the path for the extrusion. The profile of the selected object is extruded along the chosen path to create a solid or surface. For best results, it is recommended that the path lie on or within the boundary of the object being extruded.

Extruding is different from sweeping. When you extrude a profile along a path, the path is moved to the profile if it does not already intersect the profile. Then the profile is swept along the path.

NoteUsing a path with the SWEEP command provides greater control and better results.

The extruded solid starts from the plane of the profile and ends on a plane perpendicular to the path at the path's endpoint.

The following objects can be paths:

  • Lines
  • Circles
  • Arcs
  • Ellipses
  • Elliptical arcs
  • 2D polylines
  • 3D polylines
  • 2D splines
  • 3D splines
  • Edges of solids
  • Edges of surfaces
  • Helixes
NoteYou can select edges on solids or surfaces by pressing and holding CTRL, and then selecting one or more edges.

Specify a Taper Angle for an Extruded Solid

Tapering the extrusion is useful specifically for parts that need their sides defined along an angle, such as a mold used to create metal products in a foundry. Avoid using large tapered angles. If the angle is too large, the profile can taper to a point before it reaches the specified height.

Specify a Direction for an Extruded Solid

With the Direction option, you can specify the length and direction of the extrusion by specifying two points.


Extrude Objects (Procedure)

Create Solids and Surfaces from Lines and Curves
Up a level to ..
Extrude Objects
Work with 3D Models > Create 3D Models > Create 3D Solids and Surfaces > Create Solids and Surfaces from Lines and Curves > Extrude Objects >
Extrude Objects
Concept Procedure Quick Reference

To extrude an object

To extrude an object along a path


To extrude an object (Procedure)

Extrude Objects
Up a level to ..
Extrude Objects
Work with 3D Models > Create 3D Models > Create 3D Solids and Surfaces > Create Solids and Surfaces from Lines and Curves > Extrude Objects >
Extrude Objects
Concept Procedure Quick Reference

To extrude an object

  1. Click Home tab [image] 3D Modeling panel [image] Extrude.At the command prompt, enter extrude.
  2. Select the object(s) to extrude, and then press ENTER.
  3. Specify the height.

    After the extrusion, the original object(s) may be deleted or retained, depending on the setting of the DELOBJ system variable.

Toolbar: Modeling
Command entry: EXTRUDE


To extrude an object along a path (Procedure)

Extrude Objects
Up a level to ..
Create a Solid or Surface by Sweeping
Work with 3D Models > Create 3D Models > Create 3D Solids and Surfaces > Create Solids and Surfaces from Lines and Curves > Extrude Objects >
Extrude Objects
Concept Procedure Quick Reference

To extrude an object along a path

  1. Click Home tab [image] 3D Modeling panel [image] Extrude.At the command prompt, enter extrude.
  2. Select the object(s) to extrude.
  3. Enter p (Path), and then press ENTER.
  4. Select the object to use as the path.

    After the extrusion, the original object(s) may be deleted or retained, depending on the setting of the DELOBJ system variable.

Toolbar: Modeling
Command entry: EXTRUDE


Extrude Objects (Quick Reference)

Create a Polysolid
Extrude Objects
Create a Solid or Surface by Sweeping
Work with 3D Models > Create 3D Models > Create 3D Solids and Surfaces > Create Solids and Surfaces from Lines and Curves > Extrude Objects >
Extrude Objects
Concept Procedure Quick Reference

Commands

EXTRUDE

Creates a 3D solid or surface by extruding a 2D object

System Variables

DELOBJ
SURFU

Sets the surface density for PEDIT Smooth in the M direction and the U isolines density on surface objects

SURFV

Sets the surface density for PEDIT Smooth in the N direction and the V isolines density on surface objects

Utilities

No entries

Command Modifiers

No entries


Create a Solid or Surface by Sweeping (Concept)

Extrude Objects
Create Solids and Surfaces from Lines and Curves
Create a Solid or Surface by Lofting
Work with 3D Models > Create 3D Models > Create 3D Solids and Surfaces > Create Solids and Surfaces from Lines and Curves >
Create a Solid or Surface by Sweeping
Concept Procedure Quick Reference

With the SWEEP command, you can create a new solid or surface by sweeping an open or closed planar curve (profile) along an open or closed 2D or 3D path.

The SWEEP command draws a solid or surface in the shape of the specified profile (the swept object) along the specified path. You can sweep more than one object, but they all must lie on the same plane.

If you sweep a closed curve along a path the result is a solid.

Show Me: A Circle Swept Along a 3D Path

Click the Play arrow to start the animation. For more information about creating and modifying helixes, see Draw Helixes and Modify Helixes.

If you sweep an open curve along a path, the result is a surface.

Sweeping is different from extruding. When you sweep a profile along a path, the profile is moved and aligned normal (perpendicular) to the path. Then the profile is swept along the path.

TipTo sweep a profile such as a closed polyline along a helix, move or rotate the profile into place and turn off the Alignment option in the SWEEP command. If you get a modeling error, make sure that the result will not intersect itself.

When you sweep objects, they can be twisted or scaled as they are swept. You can also use the Properties palette to specify the following properties for the profile after it’s been swept:

  • Profile Rotation
  • Scale Along Path
  • Twist Along Path
  • Bank (natural rotation)
NoteThe Properties palette will not allow changes to be made to these properties if the Alignment option was turned off when the profile was swept, or if the change would result in a modeling error such as a self-intersecting solid. No warning message is displayed.

You can sweep more than one object at a time, but they must all lie on the same plane.

You can use the following objects and paths when creating a swept solid or surface:

Objects That Can Be Swept (Profiles) | Objects That Can Be Used as a Sweep Path
Line | Line
Arc | Arc
Elliptical arc | Elliptical arc
2D polyline | 2D polyline
2D spline | 2D spline
Circle | Circle
Ellipse | Ellipse
3D face | 3D spline
2D solid | 3D polyline
Trace | Helix
Region | Edges of solids or surfaces
Planar surface |
Planar faces of solid |
NoteYou can select faces and edges on solids or surfaces by pressing and holding CTRL, and then selecting these subobjects.

The DELOBJ system variable controls whether the profile and sweep path are automatically deleted when the solid or surface is created or whether you are prompted to delete the profile and path.

See Also

    • Draw Helixes


To create a solid or surface by sweeping an object along a path (Procedure)

Extrude Objects
Up a level to ..
Create a Solid or Surface by Lofting
Work with 3D Models > Create 3D Models > Create 3D Solids and Surfaces > Create Solids and Surfaces from Lines and Curves > Create a Solid or Surface by Sweeping >
Create a Solid or Surface by Sweeping
Concept Procedure Quick Reference

To create a solid or surface by sweeping an object along a path

  1. Click Home tab [image] 3D Modeling [image] Sweep.At the command prompt, enter sweep.
  2. Select objects to sweep.
  3. Press ENTER.
  4. Select a sweep path.

    After the sweep, the original objects are deleted or retained, depending on the setting of the DELOBJ system variable.

Toolbar: Modeling
Command entry: SWEEP


Create a Solid or Surface by Sweeping (Quick Reference)

Extrude Objects
Create a Solid or Surface by Sweeping
Create a Solid or Surface by Lofting
Work with 3D Models > Create 3D Models > Create 3D Solids and Surfaces > Create Solids and Surfaces from Lines and Curves > Create a Solid or Surface by Sweeping >
Create a Solid or Surface by Sweeping
Concept Procedure Quick Reference

Commands

SWEEP

Creates a 3D solid or surface by sweeping a 2D object along a path

System Variables

DELOBJ
SURFU

Sets the surface density for PEDIT Smooth in the M direction and the U isolines density on surface objects

SURFV

Sets the surface density for PEDIT Smooth in the N direction and the V isolines density on surface objects

Utilities

No entries

Command Modifiers

No entries


Create a Solid or Surface by Lofting (Concept)

Create a Solid or Surface by Sweeping
Create Solids and Surfaces from Lines and Curves
Create a Solid or Surface by Revolving
Work with 3D Models > Create 3D Models > Create 3D Solids and Surfaces > Create Solids and Surfaces from Lines and Curves >
Create a Solid or Surface by Lofting
Concept Procedure Quick Reference

With the LOFT command, you can create a 3D solid or surface by lofting (drawing a solid or surface) through a set of two or more cross-section curves.

The cross sections define the profile (shape) of the resulting solid or surface. Cross sections (generally, curves or lines) can be open (for example, an arc) or closed (for example, a circle). LOFT draws a solid or surface in the space between the cross sections. You must specify at least two cross sections when you use the LOFT command.

If you loft through a set of a closed cross-section curves, the result is a solid.

Show Me: Create a Solid by Lofting Through a Set of Cross Sections

Click the Play arrow to start the animation.

If you loft through a set of open cross-section curves, the result is a surface.

NoteThe curves that you use when lofting must all be open or closed. You cannot use a selection set that includes both open and closed curves.

You can specify a path for the loft operation. Specifying a path gives you more control over the shape of the lofted solid or surface. It is recommended that the path curve start on the plane of the first cross section and end on the plane of the last cross section.

You can also specify guide curves when lofting. Guide curves are another way to control the shape of the lofted solid or surface. You can use guide curves to control how points are matched up on corresponding cross sections to prevent undesired results, such as wrinkles in the resulting solid or surface.

Each guide curve must meet the following criteria:

  • Intersects each cross section
  • Starts on the first cross section
  • Ends on the last cross section

You can select any number of guide curves for the lofted surface or solid.

When you use only cross sections to create a lofted surface or solid, you can also use the options in the Loft Settings dialog box to control the shape of the surface or solid.

You can use the following table shows objects you can use when creating a lofted solid or surface.

Objects That Can Be Used as Cross Sections | Objects That Can Be Used as a Loft Path | Objects That Can Be Used as Guides
Line | Line | Line
Arc | Arc | Arc
Elliptical arc | Elliptical arc | Elliptical arc
2D polyline | Spline | 2D spline
2D spline | Helix | 3D spline
Circle | Circle | 2D polyline
Ellipse | Ellipse | 3D polyline
Points (first and last cross section only) | 2D polyline |
Region | 3D polyline |
Planar face of solid |  |
Planar surface |  |
Planar 3D face |  |
2D solid |  |
Trace |  |

The DELOBJ system variable controls whether the cross sections, paths, and guides are automatically deleted when the solid or surface is created or whether you are prompted to delete the profile(s) and path.


To create a solid or surface by lofting through a set of cross sections (Procedure)

Create a Solid or Surface by Sweeping
Up a level to ..
Create a Solid or Surface by Revolving
Work with 3D Models > Create 3D Models > Create 3D Solids and Surfaces > Create Solids and Surfaces from Lines and Curves > Create a Solid or Surface by Lofting >
Create a Solid or Surface by Lofting
Concept Procedure Quick Reference

To create a solid or surface by lofting through a set of cross sections

  1. Click Home tab [image] 3D Modeling panel [image] Loft.At the command prompt, enter loft.
  2. Select cross sections in the order in which you want the solid or surface to pass through the cross sections.
  3. Press ENTER.
  4. Do one of the following:
    • Press ENTER or enter c to use cross sections only.

      The Loft Settings dialog box is displayed. Use the options in the dialog box to control the shape of the solid or surface. Change the desired settings, and click Preview to see a preview of the surface or solid.

      Click OK when finished.

    • Enter g to select guide curves. Select the guide curves, and then press ENTER.
    • Enter p to select a path. Select a path, and then press ENTER.

    After the loft, the original objects may be deleted or retained, depending on the setting of the DELOBJ system variable.

Toolbar: Modeling
Command entry: LOFT


Create a Solid or Surface by Lofting (Quick Reference)

Create a Solid or Surface by Sweeping
Create a Solid or Surface by Lofting
Create a Solid or Surface by Revolving
Work with 3D Models > Create 3D Models > Create 3D Solids and Surfaces > Create Solids and Surfaces from Lines and Curves > Create a Solid or Surface by Lofting >
Create a Solid or Surface by Lofting
Concept Procedure Quick Reference

Commands

LOFT

Creates a 3D solid or surface in the space between several cross sections

System Variables

DELOBJ
LOFTANG1

Sets the draft angle through the first cross section in a loft operation

LOFTANG2

Sets the draft angle through the last cross section in a loft operation

LOFTMAG1

Sets the magnitude of the draft angle through the first cross section in a loft operation

LOFTMAG2

Sets the magnitude of the draft angle through the last cross section in a loft operation

LOFTNORMALS

Controls the normals of a lofted object where it passes through cross sections

LOFTPARAM

Controls the shape of lofted solids and surfaces

SURFU

Sets the surface density for PEDIT Smooth in the M direction and the U isolines density on surface objects

SURFV

Sets the surface density for PEDIT Smooth in the N direction and the V isolines density on surface objects

Utilities

No entries

Command Modifiers

No entries


Create a Solid or Surface by Revolving (Concept)

Create a Solid or Surface by Lofting
Create Solids and Surfaces from Lines and Curves
Create Solids and Surfaces from Objects
Work with 3D Models > Create 3D Models > Create 3D Solids and Surfaces > Create Solids and Surfaces from Lines and Curves >
Create a Solid or Surface by Revolving
Concept Procedure Quick Reference

With the REVOLVE command, you can create a solid or surface by revolving open or closed objects about an axis. The revolved objects define the profile of the solid or surface.

If you revolve a closed object, the result is a solid. If you revolve an open object, the result is a surface.

You can revolve more than one object at a time.

When you revolve objects, you can specify any of the following as the axis about which to revolve the objects:

  • Axis defined by two points you specify
  • X axis
  • Y axis
  • Z axis
  • Axis defined by an object (Object option)

You can use the following objects when you use REVOLVE:

Objects that Can Be Revolved | Objects that Can Be Used as an Axis of Revolution
Line | Line
Arc | Linear polyline segment
Elliptical arc | Linear edge of a surface
2D polyline | Linear edge of a solid
2D spline |
Circle |
Ellipse |
3D faces |
2D solid |
Trace |
Region |
Planar surface |
Planar face of solid |
NoteYou can select faces on solids or surfaces by pressing and holding CTRL, and then selecting one or more faces.

If you want to create a solid using a profile made up of lines or arcs that meet a polyline, use the PEDIT Join option to convert them to a single polyline object before you use REVOLVE. If you don’t convert these objects to a single polyline, a surface will be created when you revolve them.

You cannot use REVOLVE on objects contained within a block or polylines that have crossing or intersecting segments.


To revolve objects about an axis (Procedure)

Create a Solid or Surface by Lofting
Up a level to ..
Create Solids and Surfaces from Objects
Work with 3D Models > Create 3D Models > Create 3D Solids and Surfaces > Create Solids and Surfaces from Lines and Curves > Create a Solid or Surface by Revolving >
Create a Solid or Surface by Revolving
Concept Procedure Quick Reference

To revolve objects about an axis

  1. Click Home tab [image] 3D Modeling panel [image] Revolve.At the command prompt, enter revolve.
  2. Select the object(s) to revolve.
  3. Specify the start point and endpoint of the axis of revolution.

    Specify the points so that the object is on one side of the axis points you specify. The positive axis direction is from the start point to the endpoint.

  4. Specify the angle of revolution.
Toolbar: Modeling
Command entry: REVOLVE


Create a Solid or Surface by Revolving (Quick Reference)

Create a Solid or Surface by Lofting
Create a Solid or Surface by Revolving
Create Solids and Surfaces from Objects
Work with 3D Models > Create 3D Models > Create 3D Solids and Surfaces > Create Solids and Surfaces from Lines and Curves > Create a Solid or Surface by Revolving >
Create a Solid or Surface by Revolving
Concept Procedure Quick Reference

Commands

REVOLVE

Creates a 3D solid or surface by sweeping a 2D object around an axis

System Variables

DELOBJ
SURFU

Sets the surface density for PEDIT Smooth in the M direction and the U isolines density on surface objects

SURFV

Sets the surface density for PEDIT Smooth in the N direction and the V isolines density on surface objects

Utilities

No entries

Command Modifiers

No entries


Create Solids and Surfaces from Objects (Concept)

Create a Solid or Surface by Revolving
Create 3D Solids and Surfaces
Create Solids from Surfaces
Work with 3D Models > Create 3D Models > Create 3D Solids and Surfaces >
Create Solids and Surfaces from Objects
Concept Procedure Quick Reference

You can create surfaces from existing objects in your drawing.

With the CONVTOSURFACE command, you can convert any of the following objects into surfaces:

  • 2D solids
  • Regions
  • Bodies
  • Open, zero-width polylines with thickness
  • Lines with thickness
  • Arcs with thickness
  • Planar 3D faces

You can create surfaces from 3D solids with curved faces, such as a cylinder, with the EXPLODE command.

You can use the PLANESURF command to create a planar surface. Use either of the following methods:

  • Select one or more objects that form one or more enclosed areas
  • Specify the opposite corners of a rectangle

When you specify the corners of the surface, the surface is created parallel to the workplane.

You can use the CONVTOSOLID command to convert the following objects into extruded 3D solids:

  • Uniform-width wide polylines with thickness
  • Closed, zero-width polylines with thickness
  • Circles with thickness
NoteYou cannot use CONVTOSOLID with polylines that contain vertices with 0 width or that contain segments of variable width.

The DELOBJ system variable controls whether the objects you select are automatically deleted when the surface is created or whether you are prompted to delete the objects.


Create Solids and Surfaces from Objects (Procedure)

Create a Solid or Surface by Revolving
Up a level to ..
Create Solids and Surfaces from Objects
Work with 3D Models > Create 3D Models > Create 3D Solids and Surfaces > Create Solids and Surfaces from Objects >
Create Solids and Surfaces from Objects
Concept Procedure Quick Reference

To convert one or more objects to surfaces

To create a planar surface from an existing object

To create a planar surface by specifying the corners of the surface

To convert objects with thickness to extruded solids


To convert one or more objects to surfaces (Procedure)

Create Solids and Surfaces from Objects
Up a level to ..
Create Solids and Surfaces from Objects
Work with 3D Models > Create 3D Models > Create 3D Solids and Surfaces > Create Solids and Surfaces from Objects >
Create Solids and Surfaces from Objects
Concept Procedure Quick Reference

To convert one or more objects to surfaces

  1. Click Home tab [image] Solid Editing panel [image] Convert to Surface.Enter convtosurface at the command prompt.
  2. Select the objects you want to convert.
  3. Press ENTER.
Command entry: CONVTOSURFACE


To create a planar surface from an existing object (Procedure)

Create Solids and Surfaces from Objects
Up a level to ..
Create Solids and Surfaces from Objects
Work with 3D Models > Create 3D Models > Create 3D Solids and Surfaces > Create Solids and Surfaces from Objects >
Create Solids and Surfaces from Objects
Concept Procedure Quick Reference

To create a planar surface from an existing object

  1. Click Home tab [image] 3D Modeling panel [image] Planar Surface.At the command prompt, enter Planesurf.
  2. Enter o.
  3. Select an object.
  4. Press ENTER.
Toolbar: Modeling
Command entry: PLANESURF


To create a planar surface by specifying the corners of the surface (Procedure)

Create Solids and Surfaces from Objects
Up a level to ..
Create Solids and Surfaces from Objects
Work with 3D Models > Create 3D Models > Create 3D Solids and Surfaces > Create Solids and Surfaces from Objects >
Create Solids and Surfaces from Objects
Concept Procedure Quick Reference

To create a planar surface by specifying the corners of the surface

  1. Click Home tab [image] 3D Modeling panel [image] Planar Surface.At the command prompt, enter Planesurf.
  2. Specify the first corner of the surface.
  3. Specify the second corner of the surface.
Toolbar: Modeling
Command entry: PLANESURF


To convert objects with thickness to extruded solids (Procedure)

Create Solids and Surfaces from Objects
Up a level to ..
Create Solids from Surfaces
Work with 3D Models > Create 3D Models > Create 3D Solids and Surfaces > Create Solids and Surfaces from Objects >
Create Solids and Surfaces from Objects
Concept Procedure Quick Reference

To convert objects with thickness to extruded solids

  1. Click Home tab [image] Solid Editing panel [image] Convert to Solid.Enter convtosolid at the command prompt.
  2. Select one or more of the following types of objects with thickness.
    • Uniform-width polylines
    • Closed, 0-width polylines
    • Circles
  3. Press ENTER.
Command entry: CONVTOSOLID


Create Solids and Surfaces from Objects (Quick Reference)

Create a Solid or Surface by Revolving
Create Solids and Surfaces from Objects
Create Solids from Surfaces
Work with 3D Models > Create 3D Models > Create 3D Solids and Surfaces > Create Solids and Surfaces from Objects >
Create Solids and Surfaces from Objects
Concept Procedure Quick Reference

Commands

CONVTOSOLID

Converts polylines and circles with thickness to 3D solids

CONVTOSURFACE

Converts objects to surfaces

PLANESURF

Creates a planar surface

System Variables

DELOBJ

Utilities

No entries

Command Modifiers

No entries


Create Solids from Surfaces (Concept)

Create Solids and Surfaces from Objects
Create 3D Solids and Surfaces
Create Composite Solids
Work with 3D Models > Create 3D Models > Create 3D Solids and Surfaces >
Create Solids from Surfaces
Concept Procedure Quick Reference

You can create a 3D solid from any surface type by thickening the surface.

You use the THICKEN command to convert surfaces to solids.

The DELOBJ system variable controls whether the object you select is automatically deleted when the surface is created or whether you are prompted to delete the object.


To convert one or more surfaces to solids (Procedure)

Create Solids and Surfaces from Objects
Up a level to ..
Create Composite Solids
Work with 3D Models > Create 3D Models > Create 3D Solids and Surfaces > Create Solids from Surfaces >
Create Solids from Surfaces
Concept Procedure Quick Reference

To convert one or more surfaces to solids

  1. Click Home tab [image] Solid Editing panel [image] Thicken.At the command prompt, enter Thicken.
  2. Select the surfaces you want to thicken.
  3. Press ENTER.
  4. Specify a thickness for the solid.
  5. Press ENTER.
Command entry: THICKEN


Create Solids from Surfaces (Quick Reference)

Create Solids and Surfaces from Objects
Create Solids from Surfaces
Create Composite Solids
Work with 3D Models > Create 3D Models > Create 3D Solids and Surfaces > Create Solids from Surfaces >
Create Solids from Surfaces
Concept Procedure Quick Reference

Commands

THICKEN

Creates a 3D solid by thickening a surface

System Variables

DELOBJ

Utilities

No entries

Command Modifiers

No entries


Create Composite Solids (Concept)

Create Solids from Surfaces
Create 3D Solids and Surfaces
Create Solids by Slicing
Work with 3D Models > Create 3D Models > Create 3D Solids and Surfaces >
Create Composite Solids
Concept Procedure Quick Reference

Composite solids are created from two or more individual solids through any of the following commands: UNION, SUBTRACT, and INTERSECT. (FILLET and CHAMFER also create composite solids.)

By default, 3D solids record a history of their original forms. This history allows you to see the original forms that make up composite solids. For more information about History settings for solids and surfaces, see Display Original Forms of Composite Solids.

With UNION, you can combine the total volume of two or more solids or two or more regions into a composite object.

With SUBTRACT, you can remove the common area of one set of solids from another. For example, you can use SUBTRACT to add holes to a mechanical part by subtracting cylinders from the object.

With INTERSECT, you can create a composite solid from the common volume of two or more overlapping solids. INTERSECT removes the nonoverlapping portions and creates a composite solid from the common volume.


Create Composite Solids (Procedure)

Create Solids from Surfaces
Up a level to ..
Create Composite Solids
Work with 3D Models > Create 3D Models > Create 3D Solids and Surfaces > Create Composite Solids >
Create Composite Solids
Concept Procedure Quick Reference

To combine solids

To subtract solids from one another

To create a solid from the intersection of two or more other solids


To combine solids (Procedure)

Create Composite Solids
Up a level to ..
Create Composite Solids
Work with 3D Models > Create 3D Models > Create 3D Solids and Surfaces > Create Composite Solids >
Create Composite Solids
Concept Procedure Quick Reference

To combine solids

  1. Click Home tab [image] Solid Editing panel [image] Union.At the command prompt, enter union.
  2. Select the objects to combine.
  3. Press ENTER.
Toolbar: Solid Editing
Command entry: UNION


To subtract solids from one another (Procedure)

Create Composite Solids
Up a level to ..
Create Composite Solids
Work with 3D Models > Create 3D Models > Create 3D Solids and Surfaces > Create Composite Solids >
Create Composite Solids
Concept Procedure Quick Reference

To subtract solids from one another

  1. Click Home tab [image] Solid Editing panel [image] Subtract.At the command prompt, enter subtract.
  2. Select the objects to subtract from.
  3. Press ENTER.
  4. Select the objects to subtract.
  5. Press ENTER.
Toolbar: Solid Editing
Command entry: SUBTRACT


To create a solid from the intersection of two or more other solids (Procedure)

Create Composite Solids
Up a level to ..
Create Solids by Slicing
Work with 3D Models > Create 3D Models > Create 3D Solids and Surfaces > Create Composite Solids >
Create Composite Solids
Concept Procedure Quick Reference

To create a solid from the intersection of two or more other solids

  1. Click Modify menu [image] Solid Editing [image] Intersect.At the command prompt, enter intersect.
  2. Select the objects to intersect.
  3. Press ENTER.
Toolbar: Solid Editing
Command entry: INTERSECT


Create Composite Solids (Quick Reference)

Create Solids from Surfaces
Create Composite Solids
Create Solids by Slicing
Work with 3D Models > Create 3D Models > Create 3D Solids and Surfaces > Create Composite Solids >
Create Composite Solids
Concept Procedure Quick Reference

Commands

EXPLODE

Breaks a compound object into its component objects

INTERSECT
SUBTRACT

Combines selected 3D solids or 2D regions by subtraction

UNION

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Create Solids by Slicing (Concept)

Create Composite Solids
Create 3D Solids and Surfaces
Check for Interferences within a Solid Model
Work with 3D Models > Create 3D Models > Create 3D Solids and Surfaces >
Create Solids by Slicing
Concept Procedure Quick Reference

You can create new solids by slicing existing ones. You can define the cutting plane a number of ways, including specifying points or selecting a surface or planar object.

When you use the SLICE command to slice a solid, you can retain one or both halves of the sliced solid. Sliced solids don’t retain a history of the original forms that created them. Sliced solids retain the layer and color properties of the original solids.

The default method of slicing a solid is to specify two points that define the cutting plane perpendicular to the current UCS and then select which side to retain. You can also define the cutting plane by specifying three points, using a surface, using another object, the current view, the Z axis, or the XY, YZ, or ZX plane.

The following objects can be used as the cutting plane:

  • Surfaces
  • Circles
  • Ellipses
  • Circular or elliptical arcs
  • 2D splines
  • 2D polyline segments
See Also

    • Create 3D Models


Create Solids by Slicing (Procedure)

Create Composite Solids
Up a level to ..
Create Solids by Slicing
Work with 3D Models > Create 3D Models > Create 3D Solids and Surfaces > Create Solids by Slicing >
Create Solids by Slicing
Concept Procedure Quick Reference

To slice solids

To slice solids with a planar object

To slice solids with a surface


To slice solids (Procedure)

Create Solids by Slicing
Up a level to ..
Create Solids by Slicing
Work with 3D Models > Create 3D Models > Create 3D Solids and Surfaces > Create Solids by Slicing >
Create Solids by Slicing
Concept Procedure Quick Reference

To slice solids

  1. Click Home tab [image] Solid Editing panel [image] Slice.At the command prompt, enter slice.
  2. Select the objects to slice.
  3. Press ENTER.
  4. Specify two points to define the cutting plane.
  5. Specify which side to retain, or enter b to retain both sides.
Command entry: SLICE


To slice solids with a planar object (Procedure)

Create Solids by Slicing
Up a level to ..
Create Solids by Slicing
Work with 3D Models > Create 3D Models > Create 3D Solids and Surfaces > Create Solids by Slicing >
Create Solids by Slicing
Concept Procedure Quick Reference

To slice solids with a planar object

  1. Click Home tab [image] Solid Editing panel [image] Slice.At the command prompt, enter slice.
  2. Select the objects to slice.
  3. Press ENTER.
  4. At the command prompt, enter o.
  5. Press ENTER.
  6. Select a circle, ellipse, arc, 2D spline, or 2D polyline to use as the cutting plane.
  7. Specify which side to retain, or enter b to retain both sides.
Command entry: SLICE


To slice solids with a surface (Procedure)

Create Solids by Slicing
Up a level to ..
Check for Interferences within a Solid Model
Work with 3D Models > Create 3D Models > Create 3D Solids and Surfaces > Create Solids by Slicing >
Create Solids by Slicing
Concept Procedure Quick Reference

To slice solids with a surface

  1. Click Home tab [image] Solid Editing panel [image] Slice.At the command prompt, enter slice.
  2. Select the objects to slice.
  3. Press ENTER.
  4. At the command prompt, enter s.
  5. Press ENTER.
  6. Select a surface to use as the cutting plane.
  7. Specify which side to retain, or enter b to retain both sides.
Command entry: SLICE


Create Solids by Slicing (Quick Reference)

Create Composite Solids
Create Solids by Slicing
Check for Interferences within a Solid Model
Work with 3D Models > Create 3D Models > Create 3D Solids and Surfaces > Create Solids by Slicing >
Create Solids by Slicing
Concept Procedure Quick Reference

Commands

SLICE

Slices a solid with a plane or surface

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Check for Interferences within a Solid Model (Concept)

Create Solids by Slicing
Create 3D Models
Create Meshes
Work with 3D Models > Create 3D Models >
Check for Interferences within a Solid Model
Concept Procedure Quick Reference

You can use the INTERFERE command to check for interferences (areas where 3D solids intersect or overlap) within a solid model by comparing two sets of objects or by checking all the solids against one another.

You can also use the INTERFERE command with blocks that contain 3D solids and with nested solids within blocks.

When you use the INTERFERE command, temporary solids are created and highlighted where solids intersect.

If you define a single selection set (one set of objects), INTERFERE checks all the solids in the set against one another. If you define two selection sets (two sets of objects), INTERFERE checks the solids in the first selection set against those in the second selection set.

Once you start checking for interferences, you can use the Interference Checking dialog box to cycle through and zoom to interference objects. You can also specify that the temporary interference objects that are created during interference checking are deleted when you close the dialog box.

You can specify the display of interference objects by using the options in the Interference Settings dialog box.


Check for Interferences within a Solid Model (Procedure)

Create Solids by Slicing
Check for Interferences within a Solid Model
Check for Interferences within a Solid Model
Work with 3D Models > Create 3D Models > Check for Interferences within a Solid Model >
Check for Interferences within a Solid Model
Concept Procedure Quick Reference

To check for interferences within a solid model

To change the display of interference objects


To check for interferences within a solid model (Procedure)

Check for Interferences within a Solid Model
Check for Interferences within a Solid Model
Check for Interferences within a Solid Model
Work with 3D Models > Create 3D Models > Check for Interferences within a Solid Model >
Check for Interferences within a Solid Model
Concept Procedure Quick Reference

To check for interferences within a solid model

  1. Click Home tab [image] Solid Editing panel [image] Check Interference.At the command prompt, enter interfere.
  2. Select the first set of objects in the model.
  3. Press ENTER.
  4. Select the second set of objects in the model.
  5. Press ENTER.

    The Interference Checking dialog box is displayed.

  6. (Optional) In the Interference Checking dialog box, click Next and Previous to cycle through the interference objects.
  7. (Optional) If you don’t want interference objects to be deleted when you close the Interference Checking dialog box, clear Delete Interference Objects Created on Close.
  8. Click Close.

    Interference objects are deleted if Delete Interference Objects on Close is selected.

Command entry: INTERFERE


To change the display of interference objects (Procedure)

Check for Interferences within a Solid Model
Check for Interferences within a Solid Model
Create Meshes
Work with 3D Models > Create 3D Models > Check for Interferences within a Solid Model >
Check for Interferences within a Solid Model
Concept Procedure Quick Reference

To change the display of interference objects

  1. Click Home tab [image] Solid Editing panel [image] Check Interference.At the command prompt, enter interfere.
  2. Enter s.
  3. Press ENTER.
  4. In the Interference Settings dialog box, change any of the settings.
  5. Click OK.
Command entry: INTERFERE


Check for Interferences within a Solid Model (Quick Reference)

Create Solids by Slicing
Check for Interferences within a Solid Model
Create Meshes
Work with 3D Models > Create 3D Models > Check for Interferences within a Solid Model >
Check for Interferences within a Solid Model
Concept Procedure Quick Reference

Commands

INTERFERE

Highlights 3D solids that overlap

System Variables

INTERFERECOLOR

Sets the color for interference objects

INTERFEREOBJVS

Sets the visual style for interference objects

INTERFEREVPVS

Specifies the visual style for the viewport during interference checking

Utilities

No entries

Command Modifiers

No entries


Create Meshes (Concept)

Check for Interferences within a Solid Model
Create 3D Models
Create Wireframe Models
Work with 3D Models > Create 3D Models >
Create Meshes
Concept Procedure Quick Reference

You can create polygonal mesh forms. Because the faces of the mesh are planar, the mesh can only approximate curved surfaces.

You can use meshes if you need hiding, shading, and rendering capabilities that wireframe models cannot provide but do not need the physical properties that solid models provide (mass, volume, center of gravity, moments of inertia, and so on).

You can also use meshes to create geometry with unusual mesh patterns, such as a 3D topographical model of mountainous terrain.

The visual style controls how a mesh is displayed, either wireframe or shaded. (VISUALSTYLES command)

You can create several types of meshes.

  • 3D face. 3DFACE creates a planar mesh with either three or four sides.
  • Ruled mesh. RULESURF creates a polygon mesh representing the ruled surface between two lines or curves.
  • Tabulated mesh. TABSURF creates a polygon mesh representing a general tabulated surface defined by the extrusion of a line or curve (called a path curve) in a specified direction and distance (called a direction vector).
  • Revolved mesh. REVSURF creates a polygon mesh approximating a surface of revolution by rotating a path curve or profile (lines, circles, arcs, ellipses, elliptical arcs, polylines, or splines, closed polylines, polygons, closed splines, or donuts) about a specified axis.
  • Edge-defined mesh. EDGESURF creates a polygon mesh approximating a Coons surface patch mesh from four adjoining edges. A Coons surface patch mesh is a bicubic surface interpolated between four adjoining edges (which can be general space curves).
  • Predefined 3D mesh. 3D creates three-dimensional polygon mesh objects in common geometric shapes, including boxes, cones, spheres, tori, wedges, and pyramids.
  • General meshes. 3DMESH and PFACE create three-dimensional polygon mesh objects in any shape.

Understand Mesh Construction

The mesh density controls the number of facets, and is defined in terms of a matrix of M and N vertices, similar to a grid consisting of columns and rows. M and N specify the column and row position, respectively, of any given vertex.

A mesh can be open or closed. A mesh is open in a given direction if the start and end edges of the mesh do not touch, as shown in the following illustrations.

There are several methods for creating meshes.

Create a Ruled Mesh

With RULESURF, you can create a mesh between two lines or curves. You can use two different objects to define the edges of the ruled mesh: lines, points, arcs, circles, ellipses, elliptical arcs, 2D polylines, 3D polylines, or splines. Pairs of objects to be used as the “rails” of a ruled mesh must both be either open or closed. You can pair a point object with either an open or a closed object.

You can specify any two points on closed curves to complete RULESURF. For open curves, construction of the ruled mesh is based on the locations of the specified points on the curves.

Create a Tabulated Mesh

With the TABSURF command, you can create a mesh representing a general tabulated surface defined by a path curve and a direction vector. The path curve can be a line, arc, circle, ellipse, elliptical arc, 2D polyline, 3D polyline, or spline. The direction vector can be a line or an open 2D or 3D polyline. TABSURF creates the mesh as a series of parallel polygons running along a specified path. You must have the original object and the direction vector already drawn, as shown in the following illustrations.

Create a Revolved Mesh

Use the REVSURF command to create a revolved mesh by rotating a profile of the object about an axis. REVSURF is useful for mesh forms with rotational symmetry.

The profile is called a path curve, which can be any combination of lines, circles, arcs, ellipses, elliptical arcs, polylines, or splines, closed polylines, polygons, closed splines, or donuts.

Create an Edge-Defined Mesh

With the EDGESURF command, you can create a Coons surface patch mesh, as shown in the following illustration, from four objects called edges. Edges can be arcs, lines, polylines, splines, and elliptical arcs, and they must form a closed loop and share endpoints. A Coons patch is a bicubic surface (one curve in the M direction and another in the N direction) interpolated between the four edges.

Create a Predefined 3D Mesh

The 3D command creates the following 3D shapes: boxes, cones, dishes, domes, meshes, pyramids, spheres, tori (donuts), and wedges.

To view the objects you are creating with the 3D command more clearly, set a viewing direction with 3DORBIT, DVIEW, or VPOINT.

In the following illustrations, the numbers indicate points you specify to create the mesh.

Create a Rectangular Mesh

With the 3DMESH command, you can create polygon meshes that are open in both the M and N directions (similar to the X and Y axes of an XY plane). You can close the meshes with PEDIT. You can use 3DMESH to construct very irregular meshes. In most cases, you can use 3DMESH in conjunction with scripts or AutoLISP routines when you know the mesh points.

In the following example of text at the command prompt, you enter the coordinate values for each vertex to create the mesh in the illustration.

Example:

Command: 3dmesh

Mesh M size: 4

Mesh N size: 3

Vertex (0, 0): 10,1, 3

Vertex (0, 1): 10, 5, 5

Vertex (0, 2): 10,10, 3

Vertex (1, 0): 15,1, 0

Vertex (1, 1): 15, 5, 0

Vertex (1, 2): 15,10, 0

Vertex (2, 0): 20,1, 0

Vertex (2, 1): 20, 5, -1

Vertex (2, 2): 20,10 ,0

Vertex (3, 0): 25,1, 0

Vertex (3, 1): 25, 5, 0

Vertex (3, 2): 25,10, 0

Create a Polyface Mesh

The PFACE command produces a polyface (polygon) mesh, with each face capable of having numerous vertices. PFACE is typically used by applications rather than by direct user input.

Creating a polyface mesh is similar to creating a rectangular mesh. To create a polyface mesh, you specify coordinates for its vertices. You then define each face by entering vertex numbers for all the vertices of that face. As you create the polyface mesh, you can set specific edges to be invisible, assign them to layers, or give them colors.

To make the edge invisible, enter the vertex number as a negative value. For instance, to make the edge between vertices 5 and 7 invisible in the following illustration, you enter the following:

Face 3, vertex 3: -7

In the illustration, face 1 is defined by vertices 1, 5, 6, and 2. Face 2 is defined by vertices 1, 4, 3, and 2. Face 3 is defined by vertices 1, 4, 7, and 5, and face 4 is defined by vertices 3, 4, 7, and 8.

You can control the display of invisible edges with the SPLFRAME system variable. If SPLFRAME is set to a nonzero value, the invisible edges become visible and can then be edited. If SPLFRAME is set to 0, the invisible edges remain invisible.


Create Meshes (Procedure)

Check for Interferences within a Solid Model
Create Meshes
Create Meshes
Work with 3D Models > Create 3D Models > Create Meshes >
Create Meshes
Concept Procedure Quick Reference

To create a rectangular mesh

To create a ruled mesh

To create a tabulated mesh

To create a revolved mesh

To create an edge-defined Coons surface patch mesh


To create a rectangular mesh (Procedure)

Create Meshes
Create Meshes
Create Meshes
Work with 3D Models > Create 3D Models > Create Meshes >
Create Meshes
Concept Procedure Quick Reference

To create a rectangular mesh

  1. Click Home tab [image] 3D Modeling panel [image] 3D Mesh.At the command prompt, enter 3dmesh.
  2. Specify the M size, using an integer from 2 through 256.
  3. Specify the N size, using an integer from 2 through 256.
  4. Specify the vertex points as prompted. Specifying the last vertex point completes the mesh.

Command entry: 3DMESH


To create a ruled mesh (Procedure)

Create Meshes
Create Meshes
Create Meshes
Work with 3D Models > Create 3D Models > Create Meshes >
Create Meshes
Concept Procedure Quick Reference

To create a ruled mesh

  1. Click Home tab [image] 3D Modeling panel [image] Ruled Surface.At the command prompt, enter rulesurf.
  2. Select the first defining curve. Then select the second.
  3. Erase the original curve if necessary.
Command entry: RULESURF


To create a tabulated mesh (Procedure)

Create Meshes
Create Meshes
Create Meshes
Work with 3D Models > Create 3D Models > Create Meshes >
Create Meshes
Concept Procedure Quick Reference

To create a tabulated mesh

  1. Click Home tab [image] 3D Modeling panel [image] Tabulated Surface.At the command prompt, enter tabsurf.
  2. Specify a path curve.
  3. Specify a direction vector.
  4. Erase the original objects if necessary.
Command entry: TABSURF


To create a revolved mesh (Procedure)

Create Meshes
Create Meshes
Create Meshes
Work with 3D Models > Create 3D Models > Create Meshes >
Create Meshes
Concept Procedure Quick Reference

To create a revolved mesh

  1. Click Home tab [image] 3D Modeling panel [image] Revolved Surface.At the command prompt, enter revsurf.
  2. Specify a path curve.

    The path curve, which defines the N direction of the mesh, can be a line, arc, circle, ellipse, elliptical arc, 2D polyline, 3D polyline, or spline. If you select a circle, closed ellipse, or closed polyline, the mesh is closed in the N direction.

  3. Specify the axis of revolution.

    The direction vector can be a line or an open 2D or 3D polyline. If you choose a polyline, the vector sets the rotation axis from its first vertex to its last vertex. Any intermediate vertices are ignored. The axis of revolution determines the M direction of the mesh.

  4. Specify the start angle. Then specify the included angle.

    If you specify a nonzero start angle, the mesh is generated at a position offset from the path curve by that angle. The included angle specifies how far about the axis of revolution the mesh should extend.

  5. Erase the original objects if necessary.
Command entry: REVSURF


To create an edge-defined Coons surface patch mesh (Procedure)

Create Meshes
Create Meshes
Create Wireframe Models
Work with 3D Models > Create 3D Models > Create Meshes >
Create Meshes
Concept Procedure Quick Reference

To create an edge-defined Coons surface patch mesh

  1. Click Home tab [image] 3D Modeling panel [image] Edge Surface .At the command prompt, enter edgesurf.
  2. Select the four edges in any order.

    The first edge you select determines the mesh's M direction.

Command entry: EDGESURF


Create Meshes (Quick Reference)

Check for Interferences within a Solid Model
Create Meshes
Create Wireframe Models
Work with 3D Models > Create 3D Models > Create Meshes >
Create Meshes
Concept Procedure Quick Reference

Commands

3D

Creates 3D polygon mesh objects in common geometric shapes that can be hidden, shaded, or rendered

3DFACE

Creates a three-sided or four-sided surface anywhere in 3D space

3DMESH

Creates a free-form polygon mesh

EDGESURF

Creates a 3D polygon mesh

PEDIT
PFACE

Creates a 3D polyface mesh vertex by vertex

REVSURF

Creates a revolved mesh about a selected axis

RULESURF

Creates a ruled mesh between two curves

TABSURF

Creates a tabulated mesh from a path curve and a direction vector

System Variables

FACETRATIO

Controls the aspect ratio of faceting for cylindrical and conic solids

PFACEVMAX

Sets the maximum number of vertices per face

SPLFRAME

Controls the display of splines and spline-fit polylines

SURFTAB1

Sets the number of tabulations to be generated for the RULESURF and TABSURF commands

SURFTAB2

Sets the mesh density in the N direction for the REVSURF and EDGESURF commands

SURFTYPE

Controls the type of surface-fitting to be performed by the Smooth option of the PEDIT command

SURFU

Sets the surface density for PEDIT Smooth in the M direction and the U isolines density on surface objects

SURFV

Sets the surface density for PEDIT Smooth in the N direction and the V isolines density on surface objects

Utilities

No entries

Command Modifiers

No entries


Create Wireframe Models (Concept)

Create Meshes
Create 3D Models
Add 3D Thickness to Objects
Work with 3D Models > Create 3D Models >
Create Wireframe Models
Concept Procedure Quick Reference

A wireframe model is an edge or skeletal representation of a real-world 3D object using lines and curves.

You can use a wireframe model to

  • View the model from any vantage point
  • Generate standard orthographic and auxiliary views automatically
  • Generate exploded and perspective views easily
  • Analyze spatial relationships, including the shortest distance between corners and edges, and checking for interferences
  • Reduce the number of prototypes required

Wireframe models consist only of points, lines, and curves that describe the edges of the object. Because each object that makes up a wireframe model must be independently drawn and positioned, this type of modeling can be the most time-consuming.

You can use the XEDGES command to create wireframe geometry from regions and 3D solids and surfaces. XEDGES extracts all the edges on the selected objects or subobjects.

Tips for Working with Wireframe Models

Creating 3D wireframe models can be more difficult and time-consuming than creating their 2D views. Here are some tips that will help you work more effectively:

  • Plan and organize your model so that you can turn off layers to reduce the visual complexity of the model. Color can help you differentiate between objects in various views.
  • Create construction geometry to define the basic envelope of the model.
  • Use multiple views, especially isometric views, to make visualizing the model and selecting objects easier.
  • Become adept at manipulating the UCS in 3D. The XY plane of the current UCS operates as a workplane to orient planar objects such as circles and arcs. The UCS also determines the plane of operation for trimming and extending, offsetting, and rotating objects.
  • Use object snaps and grid snap carefully to ensure the precision of your model.
  • Use coordinate filters to drop perpendiculars and easily locate points in 3D based on the location of points on other objects.

Methods for Creating Wireframe Models

You can create wireframe models by positioning any 2D planar object anywhere in 3D space, using the following methods:

  • Entering 3D coordinates. You enter coordinates that define the X, Y, and Z location of the object.
  • Setting the default workplane (the XY plane of the UCS) on which you will draw the object.
  • Moving or copying the object to its proper 3D location after you create it.

Wireframe modeling is a skill that requires practice and experience. The best approach to learning how to create wireframe models is to begin with simple models before attempting models that are more complex.


Create Wireframe Models (Procedure)

Create Meshes
Create Wireframe Models
Create Wireframe Models
Work with 3D Models > Create 3D Models > Create Wireframe Models >
Create Wireframe Models
Concept Procedure Quick Reference

To drop a perpendicular line from a 3D point down to the XY plane

To create wireframe geometry by extracting edges


To drop a perpendicular line from a 3D point down to theXYplane (Procedure)

Create Wireframe Models
Create Wireframe Models
Create Wireframe Models
Work with 3D Models > Create 3D Models > Create Wireframe Models >
Create Wireframe Models
Concept Procedure Quick Reference

To drop a perpendicular line from a 3D point down to the XY plane

  1. Click Draw menu [image] Line.At the command prompt, enter line.
  2. Use an object snap to specify a point on an object that is not on the XY plane of the UCS.

    This defines the first point of the line.

  3. Enter .xy and then enter @ at the Of prompt.

    This operation extracts the X and Y coordinate values from the first point.

  4. Enter 0 to specify the Z value.

    Using coordinate filters, the X and Y values extracted from the first point are combined with a new Z value (0) to finish the definition of the second point.

  5. Press ENTER to end the command.


To create wireframe geometry by extracting edges (Procedure)

Create Wireframe Models
Create Wireframe Models
Add 3D Thickness to Objects
Work with 3D Models > Create 3D Models > Create Wireframe Models >
Create Wireframe Models
Concept Procedure Quick Reference

To create wireframe geometry by extracting edges

  1. Click Home tab [image] Solid Editing panel [image] Extract Edges.At the command prompt, enter xedges.
  2. Select any combination of the following objects:
    • Solids
    • Surfaces
    • Regions
    • Edges (on 3D solids or surfaces)
    • Faces (on 3D solids or surfaces)
  3. Press ENTER.
Command entry: XEDGES


Create Wireframe Models (Quick Reference)

Create Meshes
Create Wireframe Models
Add 3D Thickness to Objects
Work with 3D Models > Create 3D Models > Create Wireframe Models >
Create Wireframe Models
Concept Procedure Quick Reference

Commands

UCS

Manages user coordinate systems

XEDGES

Creates wireframe geometry by extracting edges from a 3D solid or surface

System Variables

ELEVATION

Stores the current elevation of new objects relative to the current UCS

Utilities

No entries

Command Modifiers

No entries


Add 3D Thickness to Objects (Concept)

Create Wireframe Models
Create 3D Models
Modify 3D Solids and Surfaces
Work with 3D Models > Create 3D Models >
Add 3D Thickness to Objects
Concept Procedure Quick Reference

Thickness is a property of certain objects that gives them a 3D appearance.

The 3D thickness of an object is the distance that object is extended, or thickened, above or below its location in space. Positive thickness extrudes upward in the positive Z direction; negative thickness extrudes downward (negative Z). Zero (0) thickness means that there is no 3D thickening of the object. The Z direction is determined by the orientation of the UCS at the time the object was created. Objects with a non-zero thickness can be shaded and can hide other objects behind them.

The thickness property changes the appearance of the following types of objects:

  • 2D solids
  • Arcs
  • Circles
  • Lines
  • Polylines (including spline-fit polylines, rectangles, polygons, boundaries, and donuts)
  • Text (only if created as a single-line text object using an SHX font)
  • Traces
  • Points

Modifying the thickness property of other types of objects does not affect their appearance.

You can set the default thickness property for new objects you create by setting the THICKNESS system variable. Change the thickness property of an existing object using the Properties palette. The 3D thickening is applied uniformly on an object; a single object cannot have different thicknesses for its various points.

You may need to change the 3D viewpoint to see the effect of thickness on an object.

See Also

    • Create Solids and Surfaces from Objects


Add 3D Thickness to Objects (Procedure)

Create Wireframe Models
Add 3D Thickness to Objects
Add 3D Thickness to Objects
Work with 3D Models > Create 3D Models > Add 3D Thickness to Objects >
Add 3D Thickness to Objects
Concept Procedure Quick Reference

To set the 3D thickness of new objects

To change the 3D thickness of existing objects


To set the 3D thickness of new objects (Procedure)

Add 3D Thickness to Objects
Add 3D Thickness to Objects
Add 3D Thickness to Objects
Work with 3D Models > Create 3D Models > Add 3D Thickness to Objects >
Add 3D Thickness to Objects
Concept Procedure Quick Reference

To set the 3D thickness of new objects

  1. Click Format menu [image] Thickness.At the command prompt, enter thickness.
  2. At the command prompt, enter the value for the thickness distance.

    New objects are created with the specified 3D thickness.

Command entry: THICKNESS


To change the 3D thickness of existing objects (Procedure)

Add 3D Thickness to Objects
Add 3D Thickness to Objects
Manipulate 3D Solids and Surfaces
Work with 3D Models > Create 3D Models > Add 3D Thickness to Objects >
Add 3D Thickness to Objects
Concept Procedure Quick Reference

To change the 3D thickness of existing objects

  1. Select the objects whose 3D thickness you want to change.
  2. Right-click one of the objects. Click Properties.
  3. In the Properties palette, select Thickness and enter a new value.

    The selected objects now display the specified 3D thickness.

Toolbar: Standard
Command entry: PROPERTIES


Add 3D Thickness to Objects (Quick Reference)

Create Wireframe Models
Add 3D Thickness to Objects
Manipulate Individual Solids and Surfaces
Work with 3D Models > Create 3D Models > Add 3D Thickness to Objects >
Add 3D Thickness to Objects
Concept Procedure Quick Reference

Commands

ELEV

Sets elevation and extrusion thickness of new objects

PROPERTIES

Controls properties of existing objects

System Variables

BACKZ
FRONTZ
THICKNESS

Sets the current 3D thickness

VIEWMODE

Stores the View mode for the current viewport

Utilities

No entries

Command Modifiers

No entries


Modify 3D Solids and Surfaces

Add 3D Thickness to Objects
Work with 3D Models
Manipulate 3D Solids and Surfaces
Work with 3D Models >
Modify 3D Solids and Surfaces

After creating a solid model, you can change its appearance by manipulating the solids and surfaces in a variety of ways including clicking and dragging grips, using grip tools, and changing the objects’ properties through the Properties palette.

Topics in this section

  • Manipulate 3D Solids and Surfaces

    You can use grips or the Properties palette to change the shape and size of solids and surfaces. The type of solid or surface and how it was created determine how it can be manipulated.

  • Select and Modify 3D Subobjects

    You can select and modify subobjects (faces, edges, and vertices) on solids. You can select and modify these subobjects individually, or you can create a selection set of one or more of any type of subobject and modify the selection set.

  • Press or Pull Bounded Areas

    You can press or pull bounded areas by pressing and holding CTRL + ALT, and then picking the area. The area must be bounded by coplanar lines or edges.

  • Use Grip Tools to Modify Objects

    You can use grip tools to move and rotate objects and subobjects in a 3D view. Grip tools are displayed when you select objects and subobjects in a 3D view with a 3D visual style applied or when you use the 3DMOVE and 3DROTATE commands.

  • Add Edges and Faces to Solids

    You can modify the appearance of a face on a 3D solid by imprinting it with an object that intersects the selected face. Imprinting combines the object with the face, creating an edge.

  • Separate 3D Solids

    You can disassemble a 3D solid object into its original component 3D solids.

  • Shell 3D Solids

    You can create a shell (a hollow, thin wall with a specified thickness) from your 3D solid object.

  • Clean and Check 3D Solids

    You can use the SOLIDEDIT command to remove redundant faces, edges, and vertices from a 3D solid automatically, and check to make sure that the 3D solid is valid.


Manipulate 3D Solids and Surfaces

Modify 3D Solids and Surfaces
Modify 3D Solids and Surfaces
Manipulate Individual Solids and Surfaces
Work with 3D Models > Modify 3D Solids and Surfaces >
Manipulate 3D Solids and Surfaces
Concept Procedure

You can use grips or the Properties palette to change the shape and size of solids and surfaces. The type of solid or surface and how it was created determine how it can be manipulated.

Topics in this section

  • Manipulate Individual Solids and Surfaces

    You can use grips or the Properties palette to change the size and shape of some individual solids and surfaces.

  • Work with Composite Solids

    Composite solids are created from two or more individual solids through any of the following commands: UNION, SUBTRACT, and INTERSECT. (FILLET and CHAMFER also create composite solids.) You can manipulate the original individual solids that make up a composite solid or the full form of the composite.


Manipulate 3D Solids and Surfaces (Procedure)

Add 3D Thickness to Objects
Manipulate 3D Solids and Surfaces
Manipulate Individual Solids and Surfaces
Work with 3D Models > Modify 3D Solids and Surfaces > Manipulate 3D Solids and Surfaces >
Manipulate 3D Solids and Surfaces
Concept Procedure

To relocate the axis of revolution for a revolved solid or surface

To modify the contour of a lofted solid or surface through the Properties palette


Manipulate Individual Solids and Surfaces (Concept)

Manipulate 3D Solids and Surfaces
Manipulate 3D Solids and Surfaces
Work with Composite Solids
Work with 3D Models > Modify 3D Solids and Surfaces > Manipulate 3D Solids and Surfaces >
Manipulate Individual Solids and Surfaces
Concept Procedure Quick Reference

You can use grips or the Properties palette to change the size and shape of some individual solids and surfaces.

How the grips or Properties palette allow you to manipulate the solid or surface depends on the type of solid or surface.

Primitive Solids (Box, Wedge, Pyramid, Sphere, Cylinder, Cone, and Torus)

You can use grips or the Properties palette to change the shape and size of primitive solids while maintaining their original basic form. For example, you can change the height and base radius of a cone, but it remains a cone.

Show Me: Create and Modify a Cone

Click the Play arrow to start the animation. For more information about creating cones, see Create a Solid Cone.

As another example, if you change a pyramid from a four-sided pyramid that ends in a point to an eight-sided pyramid that ends in a planar surface (pyramid frustum), it is still a pyramid.

Extruded Solids and Surfaces

You create extruded solids and surfaces with the EXTRUDE command. When selected, extruded solids and surfaces display grips on their profiles. A profile is the original form that is used to create the extruded solid or surface and defines the object’s shape. You can use these grips to manipulate the profile of the solid or surface, which changes the shape of the entire solid or surface.

If a path was used for the extrusion, the path is displayed and can be manipulated with grips. If a path wasn’t used, a height grip will display at the top of the extruded solid or surface, which allows you to manipulate the object’s height.

Polysolids

You can use grips to change the shape and size of polysolids, including the profile of the polysolid. The grips can be moved in the XY plane of the solid. The profile of a polysolid is always angular (rectangular by default).

Swept Solids and Surfaces

Swept solids and surfaces display grips on the swept profile as well as on the sweep path. You can use these grips to modify the solid or surface.

When you click and drag a grip on the profile, the changes are constrained to the plane of the profile curve.

Lofted Solids and Surfaces

Depending on how a lofted solid or surface was created, the solid or surface displays grips on the following, defining lines or curves:

  • Cross section
  • Path

You can click and drag grips on any of the defining lines or curves to modify the solid or surface. If the lofted solid or surface contains a path, you can only edit the portion of the path that is between the first and last cross sections.

You can also use the Geometry area of the Properties palette to modify the contour of a lofted solid or surface at its cross sections. When you first select a lofted solid or surface, the Geometry area of the Properties palette displays the settings that were specified through the Loft Settings dialog box when the solid or surface was created.

You cannot use grips to modify lofted solids or surfaces that are created with guide curves.

Revolved Solids and Surfaces

Revolved solids and surfaces display grips on the revolved profile at the start of the revolved solid or surface. You can use these grips to modify the profile of the solid of surface.

A grip is also displayed at the axis of revolution endpoint. You can relocate the axis of revolution by selecting the grip and picking another location.

See Also

    • Create 3D Solids and Surfaces


Manipulate Individual Solids and Surfaces (Procedure)

Manipulate 3D Solids and Surfaces
Up a level to ..
Manipulate Individual Solids and Surfaces
Work with 3D Models > Modify 3D Solids and Surfaces > Manipulate 3D Solids and Surfaces > Manipulate Individual Solids and Surfaces >
Manipulate Individual Solids and Surfaces
Concept Procedure Quick Reference

To relocate the axis of revolution for a revolved solid or surface

To modify the contour of a lofted solid or surface through the Properties palette


To relocate the axis of revolution for a revolved solid or surface (Procedure)

Manipulate Individual Solids and Surfaces
Up a level to ..
Manipulate Individual Solids and Surfaces
Work with 3D Models > Modify 3D Solids and Surfaces > Manipulate 3D Solids and Surfaces > Manipulate Individual Solids and Surfaces >
Manipulate Individual Solids and Surfaces
Concept Procedure Quick Reference

To relocate the axis of revolution for a revolved solid or surface

  1. In a drawing, select a revolved solid or surface.
  2. Select the grip on the axis of revolution.
  3. Click to relocate axis of revolution.


To modify the contour of a lofted solid or surface through the Properties palette (Procedure)

Manipulate Individual Solids and Surfaces
Up a level to ..
Work with Composite Solids
Work with 3D Models > Modify 3D Solids and Surfaces > Manipulate 3D Solids and Surfaces > Manipulate Individual Solids and Surfaces >
Manipulate Individual Solids and Surfaces
Concept Procedure Quick Reference

To modify the contour of a lofted solid or surface through the Properties palette

  1. In a drawing, select a lofted solid or surface that was created with cross sections.
  2. If the Properties palette is not displayed, click Tools [image] Palettes [image] Properties.
  3. On the Properties palette, Geometry area, change the Surface Normals setting to any of the following:
    • Ruled. Specifies that the solid or surface is ruled between the cross sections and has sharp edges at the cross sections.
    • Smooth. Specifies that a smooth solid or surface is interpolated between the cross sections and has sharp edges at the cross sections. The tangent direction at the cross sections is controlled by the adjoining cross sections.
    • First Normal. Specifies that the surface normal is normal to the first cross section.
    • Last Normal. Specifies that the surface normal is normal to the last cross section.
    • Ends Normal. Specifies that the surface normal is normal to both the first and last cross sections.
    • All Normal. Specifies that the surface normal is normal to all cross sections.
    • Use Draft Angles. Controls the draft angle of the first and last cross sections of the lofted solid or surface. The draft angle settings are controlled by the following system variables: LOFTANG1, LOFTANG2, LOFTMAG1, and LOFTMAG2.


Manipulate Individual Solids and Surfaces (Quick Reference)

Add 3D Thickness to Objects
Manipulate Individual Solids and Surfaces
Display Original Forms of Composite Solids
Work with 3D Models > Modify 3D Solids and Surfaces > Manipulate 3D Solids and Surfaces > Manipulate Individual Solids and Surfaces >
Manipulate Individual Solids and Surfaces
Concept Procedure Quick Reference

Commands

PROPERTIES

Controls properties of existing objects

System Variables

GRIPS

Controls the use of selection set grips for the Stretch, Move, Rotate, Scale, and Mirror Grip modes

Utilities

No entries

Command Modifiers

No entries


Work with Composite Solids

Manipulate Individual Solids and Surfaces
Manipulate 3D Solids and Surfaces
Display Original Forms of Composite Solids
Work with 3D Models > Modify 3D Solids and Surfaces > Manipulate 3D Solids and Surfaces >
Work with Composite Solids
Concept Procedure

Composite solids are created from two or more individual solids through any of the following commands: UNION, SUBTRACT, and INTERSECT. (FILLET and CHAMFER also create composite solids.) You can manipulate the original individual solids that make up a composite solid or the full form of the composite.

Topics in this section

  • Display Original Forms of Composite Solids

    By default, 3D solids record a history of their original forms. This history allows you to see the original forms that make up composite solids.

  • Manipulate Composite Solids

    You can manipulate the entire form of a composite solid or the original forms that make up the composite.


Work with Composite Solids (Procedure)

Manipulate Individual Solids and Surfaces
Up a level to ..
Display Original Forms of Composite Solids
Work with 3D Models > Modify 3D Solids and Surfaces > Manipulate 3D Solids and Surfaces > Work with Composite Solids >
Work with Composite Solids
Concept Procedure

To display the original solids that make up a composite solid

To remove a solid’s history

To specify that a solid will record a history of its original forms

To select an individual solid that is part of a composite solid


Display Original Forms of Composite Solids (Concept)

Work with Composite Solids
Work with Composite Solids
Manipulate Composite Solids
Work with 3D Models > Modify 3D Solids and Surfaces > Manipulate 3D Solids and Surfaces > Work with Composite Solids >
Display Original Forms of Composite Solids
Concept Procedure Quick Reference

By default, 3D solids record a history of their original forms. This history allows you to see the original forms that make up composite solids.

For composite solids, set the Show History property to Yes to display wireframes of the original forms (in a dimmed state) of the original individual solids that make up the composite.

Displaying a composite solid’s history is useful when modifying composite solids. Grips are displayed on the original forms that make up the composite. For more information about using grips to manipulate composite solids, see Manipulate Composite Solids.

You can use the SHOWHIST system variable to override the Show History property setting in the Properties palette.

In order for a composite solid to record a history of its original parts, the original individual solids must have their History property set to Record. This property is set to Record by default, but can be changed in the Solid History area of the Properties palette or through the SOLIDHIST system variable.

You can remove the history of a composite solid by selecting the solid and changing its History property setting to None. You can also use the BREP command to remove the history from an individual or a composite solid. Once a solid’s history has been removed, the solid’s original parts cannot be selected and modified. You can then change the solid’s History setting back to Record, restarting the solid’s history from scratch.

Removing a composite solid’s history can be useful when you are creating very complex composite solids. For example, you might need to create a complex composite solid that will serve as the base for additional composite solids. Once you’ve completed the base form, you can remove the history. Then you can set the History property back to Record, so the forms of additional objects that you add to the composite can be edited later.


Display Original Forms of Composite Solids (Procedure)

Work with Composite Solids
Up a level to ..
Display Original Forms of Composite Solids
Work with 3D Models > Modify 3D Solids and Surfaces > Manipulate 3D Solids and Surfaces > Work with Composite Solids > Display Original Forms of Composite Solids >
Display Original Forms of Composite Solids
Concept Procedure Quick Reference

To display the original solids that make up a composite solid

To remove a solid’s history

To specify that a solid will record a history of its original forms


To display the original solids that make up a composite solid (Procedure)

Display Original Forms of Composite Solids
Up a level to ..
Display Original Forms of Composite Solids
Work with 3D Models > Modify 3D Solids and Surfaces > Manipulate 3D Solids and Surfaces > Work with Composite Solids > Display Original Forms of Composite Solids >
Display Original Forms of Composite Solids
Concept Procedure Quick Reference

To display the original solids that make up a composite solid

  1. If the Properties palette is not displayed, click Tools [image] Palettes [image] Properties.
  2. In a drawing, select a 3D composite solid.
  3. On the Properties palette, Solid History area, under Show History, select Yes.


To remove a solid’s history (Procedure)

Display Original Forms of Composite Solids
Up a level to ..
Display Original Forms of Composite Solids
Work with 3D Models > Modify 3D Solids and Surfaces > Manipulate 3D Solids and Surfaces > Work with Composite Solids > Display Original Forms of Composite Solids >
Display Original Forms of Composite Solids
Concept Procedure Quick Reference

To remove a solid’s history

  1. If the Properties palette is not displayed, click Tools [image] Palettes [image] Properties.
  2. In a drawing, select a 3D solid.
  3. On the Properties palette, Solid History area, under History, select None.
Command entry: BREP


To specify that a solid will record a history of its original forms (Procedure)

Display Original Forms of Composite Solids
Up a level to ..
Manipulate Composite Solids
Work with 3D Models > Modify 3D Solids and Surfaces > Manipulate 3D Solids and Surfaces > Work with Composite Solids > Display Original Forms of Composite Solids >
Display Original Forms of Composite Solids
Concept Procedure Quick Reference

To specify that a solid will record a history of its original forms

  1. If the Properties palette is not displayed, click Tools [image] Palettes [image] Properties.
  2. In a drawing, select a solid.
  3. On the Properties palette, Solid History area, under History, select Record.


Display Original Forms of Composite Solids (Quick Reference)

Manipulate Individual Solids and Surfaces
Display Original Forms of Composite Solids
Manipulate Composite Solids
Work with 3D Models > Modify 3D Solids and Surfaces > Manipulate 3D Solids and Surfaces > Work with Composite Solids > Display Original Forms of Composite Solids >
Display Original Forms of Composite Solids
Concept Procedure Quick Reference

Commands

BREP

Removes the history from 3D solid primitives and composite solids

System Variables

SHOWHIST

Controls the Show History property for solids in a drawing

SOLIDHIST

Controls the default History property setting for new and existing objects

Utilities

No entries

Command Modifiers

No entries


Manipulate Composite Solids (Concept)

Display Original Forms of Composite Solids
Work with Composite Solids
Select and Modify 3D Subobjects
Work with 3D Models > Modify 3D Solids and Surfaces > Manipulate 3D Solids and Surfaces > Work with Composite Solids >
Manipulate Composite Solids
Concept Procedure Quick Reference

You can manipulate the entire form of a composite solid or the original forms that make up the composite.

You can select a composite solid in a drawing and move, scale, or rotate the solid using grip modes or grip tools.

You can also select the original individual forms of a composite solid by holding down the CTRL key. If the original solid form is a solid primitive, grips are displayed that allow you to change shape and size of the primitive form within the composite.

If the selected individual form does not contain its history, you can move, rotate, scale, or delete the form.

A composite solid may be made up of other composite solids. You can select the original individual forms of composites within composites by holding down the CTRL key and continuing to click on the forms.

You can also change the size and shape of composite solids by clicking and dragging grips on individual faces, edges, and vertices. For more information, see Select and Modify 3D Subobjects.

See Also

    • Use Grip Modes

    • Make Multiple Copies with Grips

    • Use Grip Tools to Modify Objects


To select an individual solid that is part of a composite solid (Procedure)

Display Original Forms of Composite Solids
Up a level to ..
Select and Modify 3D Subobjects
Work with 3D Models > Modify 3D Solids and Surfaces > Manipulate 3D Solids and Surfaces > Work with Composite Solids > Manipulate Composite Solids >
Manipulate Composite Solids
Concept Procedure Quick Reference

To select an individual solid that is part of a composite solid

  1. Press and hold CTRL.
  2. Click on an individual solid that is part of a composite solid.
  3. Repeat step 2 until you’ve selected the required form.


Manipulate Composite Solids (Quick Reference)

Display Original Forms of Composite Solids
Manipulate Composite Solids
Select 3D Subobjects
Work with 3D Models > Modify 3D Solids and Surfaces > Manipulate 3D Solids and Surfaces > Work with Composite Solids > Manipulate Composite Solids >
Manipulate Composite Solids
Concept Procedure Quick Reference

Commands

No entries

System Variables

LEGACYCTRLPICK

Specifies the keys for selection cycling and the behavior for CTRL + left-click

Utilities

No entries

Command Modifiers

No entries


Select and Modify 3D Subobjects

Manipulate Composite Solids
Modify 3D Solids and Surfaces
Select 3D Subobjects
Work with 3D Models > Modify 3D Solids and Surfaces >
Select and Modify 3D Subobjects
Concept Procedure

You can select and modify subobjects (faces, edges, and vertices) on solids. You can select and modify these subobjects individually, or you can create a selection set of one or more of any type of subobject and modify the selection set.

Topics in this section

  • Select 3D Subobjects

    You can select subobjects (faces, edges, and vertices) on solids by pressing and holding CTRL, and then selecting these subobjects.

  • Move, Rotate, and Scale Subobjects

    You can move, rotate, and scale individual subobjects on 3D solids by clicking and dragging a subobject’s grip, using grip tools (3DMOVE and 3DROTATE), or through commands such as MOVE, ROTATE, and SCALE.

  • Modify Faces on 3D Solids

    You can select and move, rotate, and scale faces on 3D solids. You can also delete, copy, color, and add materials to them.

  • Modify Edges on 3D Solids

    You can select and modify edges on a 3D solid.

  • Modify Vertices on 3D Solids

    You can select and modify vertices on 3D solids. Clicking and dragging a vertex “stretches” the 3D object.


Select and Modify 3D Subobjects (Procedure)

Manipulate Composite Solids
Select and Modify 3D Subobjects
Select 3D Subobjects
Work with 3D Models > Modify 3D Solids and Surfaces > Select and Modify 3D Subobjects >
Select and Modify 3D Subobjects
Concept Procedure

To select one or more faces, edges, or vertices on a solid

To create a selection set of 3D objects and subobjects

To remove a subobject from a selection set

To select a face, edge, or vertex on an original form of a composite solid

To cycle through and select subobjects that are overlapping

To fillet a solid object

To chamfer an 3D solid object

To modify a fillet or chamfer on a 3D solid

To change the color of an edge on a solid object

To copy an edge on a solid object

To modify a vertex on a 3D object

To delete a vertex on a 3D object


Select 3D Subobjects (Concept)

Select and Modify 3D Subobjects
Select and Modify 3D Subobjects
Move, Rotate, and Scale Subobjects
Work with 3D Models > Modify 3D Solids and Surfaces > Select and Modify 3D Subobjects >
Select 3D Subobjects
Concept Procedure Quick Reference

You can select subobjects (faces, edges, and vertices) on solids by pressing and holding CTRL, and then selecting these subobjects.

A subobject is any part of a solid: a face, an edge, or a vertex. You can also call the original individual forms that make up composite solids subobjects. These original forms are parts of solids and are selected the same way (pressing and holding CTRL) as faces, edges, and vertices.

When faces, edges, and vertices are selected, they each display different types of grips.

You can select one subobject, or create a selection set of more than one subobject on any number of solids. Your selection set can also include more than one type of subobject. You can also use CTRL to select subobjects at the selection prompts of the MOVE, ROTATE, SCALE, and ERASE commands.

You can also press and hold CTRL to select faces, edges, and vertices on composite solids. However, if the composite solid’s History property is set to Record, your first “pick” may select an original solid that was part of the composite. While continuing to hold down CTRL, you can pick again to select a face, edge, or vertex on that original form.

You can also create a selection set that contains any number of solids, surfaces, and subobjects.

When subobjects are overlapping and selection preview is turned on, you can cycle through the subobjects by rolling over the subobject on top to highlight it, and pressing and holding CTRL and then pressing SPACEBAR continuously. When the required subobject is highlighted, left-click to select it.

If selection preview is turned off, and more than one subobject is under the selection target (the small box that replaces the crosshairs when you’re selecting objects), you can cycle through the subobjects until the correct one is selected by pressing and holding CTRL + SPACEBAR and then left-clicking.

For example, when you select faces on 3D solids, the front-facing face in the foreground is detected first. You can select a back-facing face that lies behind the front-facing face by pressing SPACEBAR (with CTRL still pressed).


Select 3D Subobjects (Procedure)

Select and Modify 3D Subobjects
Up a level to ..
Select 3D Subobjects
Work with 3D Models > Modify 3D Solids and Surfaces > Select and Modify 3D Subobjects > Select 3D Subobjects >
Select 3D Subobjects
Concept Procedure Quick Reference

To select one or more faces, edges, or vertices on a solid

To create a selection set of 3D objects and subobjects

To remove a subobject from a selection set

To select a face, edge, or vertex on an original form of a composite solid

To cycle through and select subobjects that are overlapping


To select one or more faces, edges, or vertices on a solid (Procedure)

Select 3D Subobjects
Up a level to ..
Select 3D Subobjects
Work with 3D Models > Modify 3D Solids and Surfaces > Select and Modify 3D Subobjects > Select 3D Subobjects >
Select 3D Subobjects
Concept Procedure Quick Reference

To select one or more faces, edges, or vertices on a solid

  1. Press and hold CTRL.
  2. Select a face, edge, or vertex.
  3. Repeat step 2 until the required subobjects are selected.
    Command entry: SELECT (Subobject option)


To create a selection set of 3D objects and subobjects (Procedure)

Select 3D Subobjects
Up a level to ..
Select 3D Subobjects
Work with 3D Models > Modify 3D Solids and Surfaces > Select and Modify 3D Subobjects > Select 3D Subobjects >
Select 3D Subobjects
Concept Procedure Quick Reference

To create a selection set of 3D objects and subobjects

  1. Select the required solids and surfaces.
  2. Press and hold CTRL.
  3. Select a face, edge, or vertex.
  4. Repeat steps 1 through 3 until the required subobjects are selected.
Command entry: SELECT


To remove a subobject from a selection set (Procedure)

Select 3D Subobjects
Up a level to ..
Select 3D Subobjects
Work with 3D Models > Modify 3D Solids and Surfaces > Select and Modify 3D Subobjects > Select 3D Subobjects >
Select 3D Subobjects
Concept Procedure Quick Reference

To remove a subobject from a selection set

  1. Press and hold CTRL + SHIFT.
  2. Click a selected face, edge, or vertex.


To select a face, edge, or vertex on an original form of a composite solid (Procedure)

Select 3D Subobjects
Up a level to ..
Select 3D Subobjects
Work with 3D Models > Modify 3D Solids and Surfaces > Select and Modify 3D Subobjects > Select 3D Subobjects >
Select 3D Subobjects
Concept Procedure Quick Reference

To select a face, edge, or vertex on an original form of a composite solid

  1. Press and hold CTRL.
  2. Select the original form on which you want to select a face, edge, or vertex.
  3. With CTRL still pressed, click on a face, edge, or vertex.

    You may need to repeat this step to select the required face, edge, or vertex.

Command entry: SELECT (Subobject option)


To cycle through and select subobjects that are overlapping (Procedure)

Select 3D Subobjects
Up a level to ..
Modify Faces on 3D Solids
Work with 3D Models > Modify 3D Solids and Surfaces > Select and Modify 3D Subobjects > Select 3D Subobjects >
Select 3D Subobjects
Concept Procedure Quick Reference

To cycle through and select subobjects that are overlapping

  1. Press and hold CTRL + SPACEBAR.
  2. Click as near as possible to the subobject you want.
  3. Keep clicking until the subobject you want is highlighted.
  4. Press ENTER to select the subobject.


Select 3D Subobjects (Quick Reference)

Manipulate Composite Solids
Select 3D Subobjects
Move, Rotate, and Scale Subobjects
Work with 3D Models > Modify 3D Solids and Surfaces > Select and Modify 3D Subobjects > Select 3D Subobjects >
Select 3D Subobjects
Concept Procedure Quick Reference

Commands

SELECT

Places selected objects in the Previous selection set

SOLIDEDIT

Edits faces and edges of 3D solid objects

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Move, Rotate, and Scale Subobjects (Concept)

Select 3D Subobjects
Select and Modify 3D Subobjects
Modify Faces on 3D Solids
Work with 3D Models > Modify 3D Solids and Surfaces > Select and Modify 3D Subobjects >
Move, Rotate, and Scale Subobjects
Concept Quick Reference

You can move, rotate, and scale individual subobjects on 3D solids by clicking and dragging a subobject’s grip, using grip tools (3DMOVE and 3DROTATE), or through commands such as MOVE, ROTATE, and SCALE.

Show Me: Move a Face and an Edge on a 3D Solid

Click the Play arrow to start the animation.

When you move, rotate or scale a subobject, the subobject is modified in a way that maintains the integrity of the 3D solid. For example, when you move an edge (in red in the following illustration), the faces adjacent to the edge adjust so that the faces remain adjacent to the edge.

Sometimes there are several possible results when you modify a solid. When you move, rotate, or scale subobjects, you can press CTRL while you drag to cycle through modification options. The illustration below shows the modification options for moving a face (in red).

For more information about modification options see the following:

  • Move, Rotate, and Scale Faces on 3D Solids
  • Modify Edges on 3D Solids
  • Modify Vertices on 3D Solids

Move, Rotate, and Scale Subobjects on Composite Solids

When a composite solid’s History property is set to Record, you can only select and move, rotate, and scale faces, edges, and vertices on the individual primitives that make up the composite.

When a composite solid’s History property is set to None, you can only select and move, rotate, and scale faces, edges, and vertices of the whole composite (not the individual primitives that make up the composite).

Rules and Limitations When Moving, Rotating, Scaling Subobjects

You can only move, rotate, and scale subobjects on 3D solids if the operation will maintain the integrity of the solid. The following rules and limitations apply to moving, rotating, and scaling subobjects:

  • When you use grips to modify subobjects, grips are not displayed on the subobjects that cannot be moved, rotated, or scaled.
  • In most cases, you can move, rotate, and scale both planar and non-planar faces.
  • You can only modify an edge that is a straight line and that has at least one planar adjacent face. The planes of the adjacent planar faces are adjusted to contain the modified edge.
  • You cannot move, rotate, or scale edges (or their vertices) that are imprinted inside faces.
  • You can only modify a vertex if it has at least one planar adjacent face. The planes of the adjacent planar faces are adjusted to contain the modified vertex.
  • When you drag a subobject, the final result may be different than the preview displayed during the modification. This is because the solid may have to adjust how it’s been modified in order to maintain its topology. In some cases, the modification may not be possible because it may change the topology of the solid too severely.
  • If the modification causes spline surfaces to extend, the operation is usually unsuccessful.
  • You cannot move, rotate, or scale non-manifold edges (edges that are shared by more than two faces) or non-manifold vertices. Also, if some non-manifold edges or vertices are present near faces, edges, and vertices that you modify, the operation may not be possible.


Move, Rotate, and Scale Subobjects (Quick Reference)

Select 3D Subobjects
Move, Rotate, and Scale Subobjects
Move, Rotate, and Scale Faces on 3D Solids
Work with 3D Models > Modify 3D Solids and Surfaces > Select and Modify 3D Subobjects > Move, Rotate, and Scale Subobjects >
Move, Rotate, and Scale Subobjects
Concept Quick Reference

Commands

MOVE

Moves objects a specified distance in a specified direction

ROTATE

Rotates objects around a base point

SCALE

Enlarges or reduces selected objects, keeping the proportions of the object the same after scaling

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Modify Faces on 3D Solids

Move, Rotate, and Scale Subobjects
Select and Modify 3D Subobjects
Move, Rotate, and Scale Faces on 3D Solids
Work with 3D Models > Modify 3D Solids and Surfaces > Select and Modify 3D Subobjects >
Modify Faces on 3D Solids
Concept Procedure

You can select and move, rotate, and scale faces on 3D solids. You can also delete, copy, color, and add materials to them.

Topics in this section

  • Move, Rotate, and Scale Faces on 3D Solids

    You can select and modify faces on a 3D solids. You can modify faces with grips, grip tools, or through commands such as MOVE, ROTATE, and SCALE.

  • Copy, Delete, and Color Faces on 3D Solids

    You can use SOLIDEDIT to copy or remove faces from a 3D solid object. You can use the Properties palette to change the color of faces on 3D solid objects.


Modify Faces on 3D Solids (Procedure)

Select 3D Subobjects
Up a level to ..
Copy, Delete, and Color Faces on 3D Solids
Work with 3D Models > Modify 3D Solids and Surfaces > Select and Modify 3D Subobjects > Modify Faces on 3D Solids >
Modify Faces on 3D Solids
Concept Procedure

To copy a face on a solid object

To delete a face on a solid object

To change the color of a face on a solid object


Move, Rotate, and Scale Faces on 3D Solids (Concept)

Modify Faces on 3D Solids
Modify Faces on 3D Solids
Copy, Delete, and Color Faces on 3D Solids
Work with 3D Models > Modify 3D Solids and Surfaces > Select and Modify 3D Subobjects > Modify Faces on 3D Solids >
Move, Rotate, and Scale Faces on 3D Solids
Concept Quick Reference

You can select and modify faces on a 3D solids. You can modify faces with grips, grip tools, or through commands such as MOVE, ROTATE, and SCALE.

You can use the MOVE, ROTATE, and SCALE commands to modify faces just as you would with any other object. Press and hold CTRL to select a face on a solid.

If you move, rotate, or scale a face on a 3D solid primitive, the solid primitive’s history is removed. The solid is no longer a true primitive and cannot be manipulated as such (through grips and the Properties palette).

Face Modification Options

As you drag a face, press CTRL to cycle through modification options.

When you move, rotate, or scale a face without pressing CTRL, the face is modified along with its edges, maintaining the shape of the face and its edges, but possibly changing the planes of the planar faces adjacent to the face.

When you move, rotate, or scale a face and press and release CTRL once while dragging, the face is modified without its edges. This maintains the surfaces of the adjacent faces, but possibly changes the shape (boundary) of the modified face.

When you move, rotate, or scale a face and press and release CTRL twice while dragging, the face is modified with its edges (just as if you hadn’t pressed CTRL). However, the planar faces adjacent to the modified face are triangulated (divided into two or more planar triangular faces), if necessary.

If you press and release CTRL a third time, the modification returns to the first option, as if you had not pressed CTRL.

See Also

    • Move, Rotate, and Scale Subobjects

    • Use Grip Tools to Modify Objects

    • Apply Materials to Objects and Faces

    • Move or Rotate Objects

    • Resize or Reshape Objects


Move, Rotate, and Scale Faces on 3D Solids (Quick Reference)

Move, Rotate, and Scale Subobjects
Move, Rotate, and Scale Faces on 3D Solids
Copy, Delete, and Color Faces on 3D Solids
Work with 3D Models > Modify 3D Solids and Surfaces > Select and Modify 3D Subobjects > Modify Faces on 3D Solids > Move, Rotate, and Scale Faces on 3D Solids >
Move, Rotate, and Scale Faces on 3D Solids
Concept Quick Reference

Commands

MOVE

Moves objects a specified distance in a specified direction

ROTATE

Rotates objects around a base point

SCALE

Enlarges or reduces selected objects, keeping the proportions of the object the same after scaling

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Copy, Delete, and Color Faces on 3D Solids (Concept)

Move, Rotate, and Scale Faces on 3D Solids
Modify Faces on 3D Solids
Modify Edges on 3D Solids
Work with 3D Models > Modify 3D Solids and Surfaces > Select and Modify 3D Subobjects > Modify Faces on 3D Solids >
Copy, Delete, and Color Faces on 3D Solids
Concept Procedure Quick Reference

You can use SOLIDEDIT to copy or remove faces from a 3D solid object. You can use the Properties palette to change the color of faces on 3D solid objects.

Copy and Delete Faces

When you use SOLIDEDIT to copy faces on a 3D solid object, selected faces are copied as regions or bodies. If you specify two points, the first point is used as a base point and a single copy is placed relative to the base point. If you specify a single point, and then press ENTER, the original selection point is used as a base point and the next point as a point of displacement.

You can delete a face that is surrounded by coplanar faces by either selecting and deleting the face or through the ERASE command. You can also use SOLIDEDIT to remove faces.

Color Faces

You can modify the color of a face on a 3D solid by selecting the face and then changing the Color property in the Properties palette.


Copy, Delete, and Color Faces on 3D Solids (Procedure)

Modify Faces on 3D Solids
Up a level to ..
Copy, Delete, and Color Faces on 3D Solids
Work with 3D Models > Modify 3D Solids and Surfaces > Select and Modify 3D Subobjects > Modify Faces on 3D Solids > Copy, Delete, and Color Faces on 3D Solids >
Copy, Delete, and Color Faces on 3D Solids
Concept Procedure Quick Reference

To copy a face on a solid object

To delete a face on a solid object

To change the color of a face on a solid object


To copy a face on a solid object (Procedure)

Copy, Delete, and Color Faces on 3D Solids
Up a level to ..
Copy, Delete, and Color Faces on 3D Solids
Work with 3D Models > Modify 3D Solids and Surfaces > Select and Modify 3D Subobjects > Modify Faces on 3D Solids > Copy, Delete, and Color Faces on 3D Solids >
Copy, Delete, and Color Faces on 3D Solids
Concept Procedure Quick Reference

To copy a face on a solid object

  1. Click Modify menu [image] Solid Editing [image] Copy Faces.At the command prompt, enter solidedit.
  2. Select the face to copy (1).
  3. Select additional faces or press ENTER to copy.
  4. Specify the base point for the copy (2).
  5. Specify the second point of displacement (3).
  6. Press ENTER to complete the command.

NoteUse EXTRUDE to extrude a copied face.
Command entry: SOLIDEDIT


To delete a face on a solid object (Procedure)

Copy, Delete, and Color Faces on 3D Solids
Up a level to ..
Copy, Delete, and Color Faces on 3D Solids
Work with 3D Models > Modify 3D Solids and Surfaces > Select and Modify 3D Subobjects > Modify Faces on 3D Solids > Copy, Delete, and Color Faces on 3D Solids >
Copy, Delete, and Color Faces on 3D Solids
Concept Procedure Quick Reference

To delete a face on a solid object

  1. Click Modify menu [image] Solid Editing [image] Delete Faces.At the command prompt, enter solidedit.
  2. Select the face to delete (1).
  3. Select additional faces or press ENTER to delete.
  4. Press ENTER to complete the command.

Toolbar: Solid Editing
Command entry: SOLIDEDIT


To change the color of a face on a solid object (Procedure)

Copy, Delete, and Color Faces on 3D Solids
Up a level to ..
Modify Edges on 3D Solids
Work with 3D Models > Modify 3D Solids and Surfaces > Select and Modify 3D Subobjects > Modify Faces on 3D Solids > Copy, Delete, and Color Faces on 3D Solids >
Copy, Delete, and Color Faces on 3D Solids
Concept Procedure Quick Reference

To change the color of a face on a solid object

  1. Press and hold CTRL.
  2. Click a face on a 3D solid.
  3. If the Properties palette is not displayed, click Tools [image] Palettes [image] Properties.
  4. In the Properties palette, under General, click Color.

    An arrow is displayed in the right column.

  5. Click the arrow and select a color from the list or click Select Color to display the Select Color dialog box. If you click Select Color, do one of the following:
    • On the Index tab, click a color or enter the ACI color number (1-255) or name in the Color box.
    • On the True Color tab, select the HSL color model in the Color Model option and specify a color by entering a color value in the Color box or by specifying values in the Hue, Saturation, and Luminance boxes. Click OK.
    • On the True Color tab, select the RGB color model in the Color Model box. Specify a color by entering a color value in the Color box or by specifying values in the Red, Green, and Blue boxes.
    • On the Color Books tab, select a color book from the Color Book box. Select a color by navigating the color book (using the up and down arrows) and clicking on a color chip. Click OK.
    Command entry: PROPERTIES


Copy, Delete, and Color Faces on 3D Solids (Quick Reference)

Move, Rotate, and Scale Faces on 3D Solids
Copy, Delete, and Color Faces on 3D Solids
Modify Edges on 3D Solids
Work with 3D Models > Modify 3D Solids and Surfaces > Select and Modify 3D Subobjects > Modify Faces on 3D Solids > Copy, Delete, and Color Faces on 3D Solids >
Copy, Delete, and Color Faces on 3D Solids
Concept Procedure Quick Reference

Commands

SOLIDEDIT

Edits faces and edges of 3D solid objects

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Modify Edges on 3D Solids (Concept)

Copy, Delete, and Color Faces on 3D Solids
Select and Modify 3D Subobjects
Modify Vertices on 3D Solids
Work with 3D Models > Modify 3D Solids and Surfaces > Select and Modify 3D Subobjects >
Modify Edges on 3D Solids
Concept Procedure Quick Reference

You can select and modify edges on a 3D solid.

Move, Rotate, and Scale Edges

You can modify edges on 3D solids through grips, grip tools, and commands such as MOVE, ROTATE, and SCALE.

You can use MOVE, ROTATE, and SCALE to modify edges on 3D solids just as you would with any other object. Press and hold CTRL to select an edge on a solid.

Edges on regions can be selected, but do not display grips. These edges can also be manipulated using the MOVE, ROTATE, and SCALE commands.

You can also delete edges that completely divide two coplanar faces by either selecting and deleting the edge or through the ERASE command.

If you move, rotate, or scale an edge on a 3D solid primitive, the solid primitive’s history is removed. The solid is no longer a true primitive and cannot be manipulated as such (through grips and the Properties palette).

Edge Modification Options

As you drag and edge, press CTRL to cycle through modification options.

When you move, rotate, or scale an edge without pressing CTRL, the edge is modified along with its vertices, maintaining the length of the edge, but possibly changing the planes of the planar faces adjacent to the edge’s vertices.

When you move, rotate, or scale an edge and press and release CTRL once while dragging, the edge is modified without its vertices. This maintains the surfaces of the adjacent faces, but possibly changes the length of the modified edge.

When you move, rotate, or scale an edge and press and release CTRL twice while dragging, the edge is modified with its vertices (just as if you hadn’t pressed CTRL). However, the planes of planar faces adjacent to the modified edge’s vertices are triangulated (divided into two or more planar triangular faces), if they would become nonplanar.

If you press and release CTRL a third time, the modification returns to the first option, as if you had not pressed CTRL.

Fillet and Chamfer 3D Solids

With FILLET, you can add rounds and fillets to selected 3D solids. With the default method, you can specify the fillet radius and then selecting the edges to fillet. Other methods specify individual measurements for each filleted edge and fillet a tangential series of edges. Similarly, with CHAMFER, you can bevel the edges along adjoining faces of selected 3D solids.

After you’ve used FILLET or CHAMFER on a solid, you can select the fillet or chamfer and modify its properties in the Properties palette.

When you apply a fillet or a chamfer to an edge of a solid, the solid’s history is removed.

Color Edges

You can modify the color of an edge on a 3D object by selecting the edge and then changing the Color property in the Properties palette.

Copy Edges

You can copy individual edges on a 3D solid object. All edges are copied as lines, arcs, circles, ellipses, or splines. If you specify two points, the first point is used as a base point and a single copy is placed relative to the base point. If you specify a single point, and then press ENTER, the original selection point is used as a base point and the next point is used as a point of displacement.

See Also

    • Move, Rotate, and Scale Subobjects

    • Use Grip Tools to Modify Objects

    • Modify Objects

    • Move or Rotate Objects

    • Resize or Reshape Objects


Modify Edges on 3D Solids (Procedure)

Copy, Delete, and Color Faces on 3D Solids
Up a level to ..
Modify Edges on 3D Solids
Work with 3D Models > Modify 3D Solids and Surfaces > Select and Modify 3D Subobjects > Modify Edges on 3D Solids >
Modify Edges on 3D Solids
Concept Procedure Quick Reference

To fillet a solid object

To chamfer an 3D solid object

To modify a fillet or chamfer on a 3D solid

To change the color of an edge on a solid object

To copy an edge on a solid object


To fillet a solid object (Procedure)

Modify Edges on 3D Solids
Up a level to ..
Modify Edges on 3D Solids
Work with 3D Models > Modify 3D Solids and Surfaces > Select and Modify 3D Subobjects > Modify Edges on 3D Solids >
Modify Edges on 3D Solids
Concept Procedure Quick Reference

To fillet a solid object

  1. Click Home tab [image] Modify panel [image] Fillet. At the command prompt, enter fillet.
  2. Select the edge of the solid to fillet.
  3. Specify the fillet radius.
  4. Select additional edges or press ENTER to fillet.
Command entry: FILLET


To chamfer an 3D solid object (Procedure)

Modify Edges on 3D Solids
Up a level to ..
Modify Edges on 3D Solids
Work with 3D Models > Modify 3D Solids and Surfaces > Select and Modify 3D Subobjects > Modify Edges on 3D Solids >
Modify Edges on 3D Solids
Concept Procedure Quick Reference

To chamfer an 3D solid object

  1. Click Home tab [image] Modify panel [image] Chamfer. At the command prompt, enter chamfer.
  2. Select the edge of the base surface to chamfer (1).

    One of two surfaces adjacent to the selected edge is highlighted.

  3. To select a different surface, enter n (Next), or press ENTER to use the current surface.
  4. Specify the base surface distance.

    The base surface distance is measured from the selected edge to a point on the base surface. The other surface distance is measured from the selected edge to a point on the adjacent surface.

  5. Specify the adjacent surface distance.

    Loop selects all edges around the base surface and Select Edge selects individual edges.

  6. Specify the edges to chamfer (2).

Command entry: CHAMFER


To modify a fillet or chamfer on a 3D solid (Procedure)

Modify Edges on 3D Solids
Up a level to ..
Modify Edges on 3D Solids
Work with 3D Models > Modify 3D Solids and Surfaces > Select and Modify 3D Subobjects > Modify Edges on 3D Solids >
Modify Edges on 3D Solids
Concept Procedure Quick Reference

To modify a fillet or chamfer on a 3D solid

  1. Press and hold CTRL.
  2. Select a fillet or chamfer on a 3D solid.
  3. If the Properties palette is not displayed, click Tools [image] Palettes [image] Properties.
  4. In the Properties palette, modify the properties of the fillet or chamfer.
Command entry: PROPERTIES


To change the color of an edge on a solid object (Procedure)

Modify Edges on 3D Solids
Up a level to ..
Modify Edges on 3D Solids
Work with 3D Models > Modify 3D Solids and Surfaces > Select and Modify 3D Subobjects > Modify Edges on 3D Solids >
Modify Edges on 3D Solids
Concept Procedure Quick Reference

To change the color of an edge on a solid object

  1. Press and hold CTRL.
  2. Click an edge on a 3D solid.
  3. If the Properties palette is not displayed, click Tools [image] Palettes [image] Properties.
  4. In the Properties palette, under General, click Color.

    An arrow is displayed in the right column.

  5. Click the arrow and select a color from the list or click Select Color to display the Select Color dialog box. If you click Select Color, do one of the following:
    • On the Index tab, click a color or enter the ACI color number (1-255) or name in the Color box.
    • On the True Color tab, select the HSL color model in the Color Model option and specify a color by entering a color value in the Color box or by specifying values in the Hue, Saturation, and Luminance boxes. Click OK.
    • On the True Color tab, select the RGB color model in the Color Model box. Specify a color by entering a color value in the Color box or by specifying values in the Red, Green, and Blue boxes.
    • On the Color Books tab, select a color book from the Color Book box, select a color by navigating the color book (using the up and down arrows) and clicking on a color chip. Click OK.
    Command entry: PROPERTIES


To copy an edge on a solid object (Procedure)

Modify Edges on 3D Solids
Up a level to ..
Modify Vertices on 3D Solids
Work with 3D Models > Modify 3D Solids and Surfaces > Select and Modify 3D Subobjects > Modify Edges on 3D Solids >
Modify Edges on 3D Solids
Concept Procedure Quick Reference

To copy an edge on a solid object

  1. Click Modify menu [image] Solid Editing [image] Copy Edges.At the command prompt, enter solidedit.
  2. Select the edge of the face to copy (1).
  3. Select additional edges or press ENTER.
  4. Specify the base point for the move (2).
  5. Specify the second point of displacement (3).
  6. Press ENTER to complete the command.

Toolbar: Solid Editing
Command entry: SOLIDEDIT


Modify Edges on 3D Solids (Quick Reference)

Copy, Delete, and Color Faces on 3D Solids
Modify Edges on 3D Solids
Modify Vertices on 3D Solids
Work with 3D Models > Modify 3D Solids and Surfaces > Select and Modify 3D Subobjects > Modify Edges on 3D Solids >
Modify Edges on 3D Solids
Concept Procedure Quick Reference

Commands

EDGE

Changes the visibility of 3D face edges

CHAMFER

Bevels the edges of objects

FILLET

Rounds and fillets the edges of objects

MOVE

Moves objects a specified distance in a specified direction

ROTATE

Rotates objects around a base point

SCALE

Enlarges or reduces selected objects, keeping the proportions of the object the same after scaling

SOLIDEDIT

Edits faces and edges of 3D solid objects

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Modify Vertices on 3D Solids (Concept)

Modify Edges on 3D Solids
Select and Modify 3D Subobjects
Press or Pull Bounded Areas
Work with 3D Models > Modify 3D Solids and Surfaces > Select and Modify 3D Subobjects >
Modify Vertices on 3D Solids
Concept Procedure Quick Reference

You can select and modify vertices on 3D solids. Clicking and dragging a vertex “stretches” the 3D object.

You can also modify the entire form of a 3D solid by modifying one or more vertices through grips, grip tools, or the MOVE, ROTATE, or SCALE commands. When you scale vertices, you must scale two or more vertices to see a change in the solid.

If you move, rotate, or scale one or more vertices on a 3D solid primitive, the solid primitive’s history is removed. The solid is no longer a true primitive and cannot be manipulated as such (through grips and the Properties palette).

You can also delete vertices that connect two edges that are parallel and co-linear and do not lie on any other edges.

Vertex Modification Options

As you drag a vertex, press CTRL to cycle through modification options.

When you move, rotate, or scale a vertex without pressing CTRL, some adjacent planar faces may be triangulated (divided into two or more planar triangular faces).

When you move, rotate, or scale a vertex and press and release CTRL once, some adjacent planar faces may be adjusted.

If you press and release CTRL a second time, the modification returns to the first option, as if you had not pressed CTRL.

See Also

    • Move, Rotate, and Scale Subobjects

    • Use Grip Tools to Modify Objects

    • Modify Objects


Modify Vertices on 3D Solids (Procedure)

Modify Edges on 3D Solids
Up a level to ..
Modify Vertices on 3D Solids
Work with 3D Models > Modify 3D Solids and Surfaces > Select and Modify 3D Subobjects > Modify Vertices on 3D Solids >
Modify Vertices on 3D Solids
Concept Procedure Quick Reference

To modify a vertex on a 3D object

To delete a vertex on a 3D object


To modify a vertex on a 3D object (Procedure)

Modify Vertices on 3D Solids
Up a level to ..
Modify Vertices on 3D Solids
Work with 3D Models > Modify 3D Solids and Surfaces > Select and Modify 3D Subobjects > Modify Vertices on 3D Solids >
Modify Vertices on 3D Solids
Concept Procedure Quick Reference

To modify a vertex on a 3D object

  1. Press and hold CTRL.
  2. Click a vertex on a 3D object.
  3. Release CTRL.
  4. Click the vertex and drag to the required location.


To delete a vertex on a 3D object (Procedure)

Modify Vertices on 3D Solids
Up a level to ..
Press or Pull Bounded Areas
Work with 3D Models > Modify 3D Solids and Surfaces > Select and Modify 3D Subobjects > Modify Vertices on 3D Solids >
Modify Vertices on 3D Solids
Concept Procedure Quick Reference

To delete a vertex on a 3D object

  1. Press and hold CTRL.
  2. Click a vertex on a 3D object that connects two edges that are parallel and co-linear and do not lie on any other edges.
  3. Release CTRL.
  4. Press DELETE.


Modify Vertices on 3D Solids (Quick Reference)

Modify Edges on 3D Solids
Modify Vertices on 3D Solids
Press or Pull Bounded Areas
Work with 3D Models > Modify 3D Solids and Surfaces > Select and Modify 3D Subobjects > Modify Vertices on 3D Solids >
Modify Vertices on 3D Solids
Concept Procedure Quick Reference

Commands

MOVE

Moves objects a specified distance in a specified direction

ROTATE

Rotates objects around a base point

SCALE

Enlarges or reduces selected objects, keeping the proportions of the object the same after scaling

SOLIDEDIT

Edits faces and edges of 3D solid objects

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Press or Pull Bounded Areas (Concept)

Modify Vertices on 3D Solids
Modify 3D Solids and Surfaces
Use Grip Tools to Modify Objects
Work with 3D Models > Modify 3D Solids and Surfaces >
Press or Pull Bounded Areas
Concept Procedure Quick Reference

You can press or pull bounded areas by pressing and holding CTRL + ALT, and then picking the area. The area must be bounded by coplanar lines or edges.

You can press or pull bounded areas that are defined by the following types of objects:

  • Any area that can be hatched by picking a point (with zero gap tolerance)
  • Areas enclosed by crossing coplanar, linear geometry, including edges and geometry in blocks
  • Closed polylines, regions, 3D faces, and 2D solids that consist of coplanar vertices
  • Areas created by geometry (including edges on faces) drawn coplanar to any face of a 3D solid

Show Me: Press a Bounded Area

Click the Play arrow to start the animation.

When you press or pull a bounded area, you cannot taper it. You can, however, select the edges of the bounded area after it’s been pressed or pulled and manipulate the edges to achieve the same effect.

Through the IMPLIEDFACE system variable, you can specify whether or not bounded area can be detected and pressed or pulled.

NoteIf you extrude an existing face on a 3D solid, a new extruded object is created.


To press or pull a bounded area (Procedure)

Modify Vertices on 3D Solids
Press or Pull Bounded Areas
Use Grip Tools to Modify Objects
Work with 3D Models > Modify 3D Solids and Surfaces > Press or Pull Bounded Areas >
Press or Pull Bounded Areas
Concept Procedure Quick Reference

To press or pull a bounded area

  1. Press and hold CTRL + ALT.
  2. Click any area bounded by coplanar lines or edges.
  3. Drag the mouse to press or pull the bounded area.
  4. Click or enter a value to specify the height.
Toolbar: Modeling
Command entry: PRESSPULL


Press or Pull Bounded Areas (Quick Reference)

Modify Vertices on 3D Solids
Press or Pull Bounded Areas
Understand Grip Tools
Work with 3D Models > Modify 3D Solids and Surfaces > Press or Pull Bounded Areas >
Press or Pull Bounded Areas
Concept Procedure Quick Reference

Commands

PRESSPULL

Presses or pulls bounded areas

System Variables

IMPLIEDFACE

Controls the detection of implied faces

Utilities

No entries

Command Modifiers

No entries


Use Grip Tools to Modify Objects

Press or Pull Bounded Areas
Modify 3D Solids and Surfaces
Understand Grip Tools
Work with 3D Models > Modify 3D Solids and Surfaces >
Use Grip Tools to Modify Objects
Concept Procedure

You can use grip tools to move and rotate objects and subobjects in a 3D view. Grip tools are displayed when you select objects and subobjects in a 3D view with a 3D visual style applied or when you use the 3DMOVE and 3DROTATE commands.

Topics in this section

  • Understand Grip Tools

    Grip tools are icons that you use in a 3D view to easily constrain the movement or rotation of a selection set of objects to an axis or a plane.

  • Use the Move Grip Tool to Modify Objects

    The move grip tool allows you to move a selection set of objects and subobjects freely or constrain the movement to an axis or plane.

  • Use the Rotate Grip Tool to Modify Objects

    The rotate grip tool allows you to rotate objects and subobjects freely or constrain the rotation to an axis.


Use Grip Tools to Modify Objects (Procedure)

Press or Pull Bounded Areas
Use Grip Tools to Modify Objects
Understand Grip Tools
Work with 3D Models > Modify 3D Solids and Surfaces > Use Grip Tools to Modify Objects >
Use Grip Tools to Modify Objects
Concept Procedure

To set the default initial location for grip tools

To relocate a grip tool

To change the type of grip tool while moving or rotating objects

To move objects in 3D space along a specified axis

To move objects in 3D space constrained to a specified plane

To rotate objects in 3D space along a specified axis


Understand Grip Tools (Concept)

Use Grip Tools to Modify Objects
Use Grip Tools to Modify Objects
Use the Move Grip Tool to Modify Objects
Work with 3D Models > Modify 3D Solids and Surfaces > Use Grip Tools to Modify Objects >
Understand Grip Tools
Concept Procedure Quick Reference

Grip tools are icons that you use in a 3D view to easily constrain the movement or rotation of a selection set of objects to an axis or a plane.

There are two types of grip tools: the move grip tool and the rotate grip tool.

You display grip tools with the 3DMOVE or 3DROTATE commands or by clicking the 3D Move or 3D Rotate buttons on the ribbon.

A grip tool can be placed anywhere in 3D space. This location (indicated by the center box [or base grip] of the grip tool) sets the base point for the movement or rotation. This is equivalent to temporarily changing the position of the UCS while you move or rotate the selected objects. You then use the lines (axis handles) on the grip tool to constrain the movement or rotation to an axis or plane.

When you select objects first, and then click an axis handle and start moving the selected objects, you can press SPACEBAR to change to the rotate grip tool. You can press SPACEBAR again to change back to the move grip tool. When you change grip tools this way, the movement remains constrained to the selected axis.

When you start the 3DMOVE or 3DROTATE command before selecting objects, the grip tool is attached to the cursor after you’ve created your selection set. You can then click to place the grip tool anywhere in 3D space. You can relocate a grip tool by clicking it’s center box (base grip) and then clicking to specify a new location.

Grip tools are only displayed in a 3D view with a 3D visual style applied. If you have the 2D Wireframe visual style applied, 3DMOVE and 3DROTATE will automatically change the visual style to 3D Wireframe.

By default, when you select objects first and then start the 3DMOVE or 3DROTATE command to display a grip tool, the move grip tool displays and is located at the same location as the UCS and aligned with it. You can use the GTLOCATION system variable to set the default initial location for grip tools.

You use the GTAUTO system variable to specify whether or not grip tools display automatically when selecting objects before starting a command in a 3D view set to a 3D visual style.

The GTDEFAULT system variable controls whether or not the 3DMOVE and 3DROTATE commands start automatically when the MOVE and ROTATE commands (respectively) are started in a 3D view. By default, the 3DMOVE and 3DROTATE commands do not start automatically when the MOVE and ROTATE commands (respectively) are started in a 3D view.


Understand Grip Tools (Procedure)

Use Grip Tools to Modify Objects
Up a level to ..
Understand Grip Tools
Work with 3D Models > Modify 3D Solids and Surfaces > Use Grip Tools to Modify Objects > Understand Grip Tools >
Understand Grip Tools
Concept Procedure Quick Reference

To set the default initial location for grip tools

To relocate a grip tool

To change the type of grip tool while moving or rotating objects


To set the default initial location for grip tools (Procedure)

Understand Grip Tools
Up a level to ..
Understand Grip Tools
Work with 3D Models > Modify 3D Solids and Surfaces > Use Grip Tools to Modify Objects > Understand Grip Tools >
Understand Grip Tools
Concept Procedure Quick Reference

To set the default initial location for grip tools

  1. At the command prompt, enter gtlocation.
  2. Do one of the following:
    • Enter 0 to set the location as the same location as the UCS.
    • Enter 1 to set the location to the last selected object or subobject.
  3. Press ENTER.


To relocate a grip tool (Procedure)

Understand Grip Tools
Up a level to ..
Understand Grip Tools
Work with 3D Models > Modify 3D Solids and Surfaces > Use Grip Tools to Modify Objects > Understand Grip Tools >
Understand Grip Tools
Concept Procedure Quick Reference

To relocate a grip tool

  1. Click the center box (base grip) of the grip tool.
  2. Click to specify a new location.


To change the type of grip tool while moving or rotating objects (Procedure)

Understand Grip Tools
Up a level to ..
Use the Move Grip Tool to Modify Objects
Work with 3D Models > Modify 3D Solids and Surfaces > Use Grip Tools to Modify Objects > Understand Grip Tools >
Understand Grip Tools
Concept Procedure Quick Reference

To change the type of grip tool while moving or rotating objects

  1. Select the objects and subobjects you want to move or rotate.

    Press and hold CTRL to select subobjects (faces, edges, and vertices). Release CTRL to select objects.

    The UCS icon becomes a move grip tool.

  2. (Optional) Click the base grip of the grip tool, and then click to specify a new location (base point for the operation).
  3. Hover the cursor over an axis handle on the grip tool until it turns yellow and the vector displays, and then click the axis handle.
  4. Press SPACEBAR.

    The move grip tool changes to the rotation grip tool. You can press SPACEBAR again to change back to the move grip tool. When you change grip tools this way, the movement remains constrained to the selected axis.

NoteYou cannot use the space bar to change the type of grip tool with the 3DMOVE or 3DROTATE commands.


Understand Grip Tools (Quick Reference)

Press or Pull Bounded Areas
Understand Grip Tools
Use the Move Grip Tool to Modify Objects
Work with 3D Models > Modify 3D Solids and Surfaces > Use Grip Tools to Modify Objects > Understand Grip Tools >
Understand Grip Tools
Concept Procedure Quick Reference

Commands

3DMOVE

Displays the move grip tool in a 3D view and moves objects a specified distance in a specified direction

3DROTATE

Displays the rotate grip tool in a 3D view and revolves objects around a base point

System Variables

GTAUTO

Controls whether or not grip tools display automatically when selecting objects before starting a command in a viewport set to a 3D visual style

GTDEFAULT

Controls whether or not the 3DMOVE and 3DROTATE commands start automatically when the MOVE and ROTATE commands (respectively) are started in a 3D view

GTLOCATION

Controls the initial location of grip tools when objects are selected prior to running the 3DMOVE or 3DROTATE commands

Utilities

No entries

Command Modifiers

No entries


Use the Move Grip Tool to Modify Objects (Concept)

Understand Grip Tools
Use Grip Tools to Modify Objects
Use the Rotate Grip Tool to Modify Objects
Work with 3D Models > Modify 3D Solids and Surfaces > Use Grip Tools to Modify Objects >
Use the Move Grip Tool to Modify Objects
Concept Procedure Quick Reference

The move grip tool allows you to move a selection set of objects and subobjects freely or constrain the movement to an axis or plane.

After you’ve selected the objects and subobjects that you want to move, you place the grip tool anywhere in 3D space. This location (indicated by the center box [or base grip] of the grip tool) sets the base point for the movement and temporarily changes the position of the UCS while you move the selected objects.

You then move the objects freely by dragging outside the grip tool or specify the axis or plane to which you will constrain the movement.

NoteBy default, when you create a selection set in a 3D view with a 3D visual style applied before you start a command, the move grip tool automatically displays. You can specify that the move grip tool does not automatically display by setting the GTAUTO system variable to 0.

Constrain the Movement to an Axis

You can use the move grip tool to constrain the movement to an axis. You hover the cursor over an axis handle on the grip tool until the vector displays aligned with the axis, and then click the axis handle.

Now when you drag the cursor, the selected objects and subobjects will move only along the specified axis. You can click or enter a value to specify the distance of the move from the base point.

Constrain the Movement to a Plane

You can use the move grip tool to constrain the movement to a plane. You hover the cursor over the point where the two lines coming off the axis handles (that determine the plane) meet until the lines turn yellow, and then click that point.

Now when you drag the cursor, the selected objects and subobjects will move only along the specified plane. You can click or enter a value to specify the distance of the move from the base point.


Use the Move Grip Tool to Modify Objects (Procedure)

Understand Grip Tools
Up a level to ..
Use the Move Grip Tool to Modify Objects
Work with 3D Models > Modify 3D Solids and Surfaces > Use Grip Tools to Modify Objects > Use the Move Grip Tool to Modify Objects >
Use the Move Grip Tool to Modify Objects
Concept Procedure Quick Reference

To move objects in 3D space along a specified axis

To move objects in 3D space constrained to a specified plane


To move objects in 3D space along a specified axis (Procedure)

Use the Move Grip Tool to Modify Objects
Up a level to ..
Use the Move Grip Tool to Modify Objects
Work with 3D Models > Modify 3D Solids and Surfaces > Use Grip Tools to Modify Objects > Use the Move Grip Tool to Modify Objects >
Use the Move Grip Tool to Modify Objects
Concept Procedure Quick Reference

To move objects in 3D space along a specified axis

  1. Click Home tab [image] Modify panel [image] 3D Move. At the command prompt, enter 3dmove.
  2. Select the objects and subobjects you want to move.

    Press and hold CTRL to select subobjects (faces, edges, and vertices). Release CTRL to select objects.

  3. When you’re done selecting objects, press ENTER.

    The move grip tool is displayed attached to the cursor.

  4. Click to place the move grip tool, specifying the base point for the move.
  5. Hover the cursor over an axis handle on the grip tool until it turns yellow and the vector displays, and then click the axis handle.

  6. Click or enter a value to specify the distance of the move.
Toolbar: Modeling
Command entry: 3DMOVE


To move objects in 3D space constrained to a specified plane (Procedure)

Use the Move Grip Tool to Modify Objects
Up a level to ..
Use the Rotate Grip Tool to Modify Objects
Work with 3D Models > Modify 3D Solids and Surfaces > Use Grip Tools to Modify Objects > Use the Move Grip Tool to Modify Objects >
Use the Move Grip Tool to Modify Objects
Concept Procedure Quick Reference

To move objects in 3D space constrained to a specified plane

  1. Click Home tab [image] Modify panel [image] 3D Move. At the command prompt, enter 3dmove.
  2. Select the objects and subobjects you want to move.

    Press and hold CTRL to select subobjects (faces, edges, and vertices). Release CTRL to select objects.

  3. When you’re done selecting objects, press ENTER.

    The move grip tool is displayed attached to the cursor.

  4. Click to place the move grip tool, specifying the base point for the move.
  5. Hover the cursor over the point where the two lines coming off the axis handles (that determine the plane) meet until the lines turn yellow, and then click.

  6. Click or enter a value to specify the distance of the move.
Toolbar: Modeling
Command entry: 3DMOVE


Use the Move Grip Tool to Modify Objects (Quick Reference)

Understand Grip Tools
Use the Move Grip Tool to Modify Objects
Use the Rotate Grip Tool to Modify Objects
Work with 3D Models > Modify 3D Solids and Surfaces > Use Grip Tools to Modify Objects > Use the Move Grip Tool to Modify Objects >
Use the Move Grip Tool to Modify Objects
Concept Procedure Quick Reference

Commands

3DMOVE

Displays the move grip tool in a 3D view and moves objects a specified distance in a specified direction

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Use the Rotate Grip Tool to Modify Objects (Concept)

Use the Move Grip Tool to Modify Objects
Use Grip Tools to Modify Objects
Add Edges and Faces to Solids
Work with 3D Models > Modify 3D Solids and Surfaces > Use Grip Tools to Modify Objects >
Use the Rotate Grip Tool to Modify Objects
Concept Procedure Quick Reference

The rotate grip tool allows you to rotate objects and subobjects freely or constrain the rotation to an axis.

After you’ve selected the objects and subobjects that you want to rotate, you place the grip tool anywhere in 3D space. This location (indicated by the center box [or base grip] of the grip tool) sets the base point for the movement and temporarily changes the position of the UCS while you rotate the selected objects.

You then rotate the objects freely by dragging outside the grip tool or specify the axis to which you will constrain the rotation.

Constrain the Rotation to an Axis

You can use the rotate grip tool to constrain the rotation to an axis. You hover the cursor over one of the axis handles on the grip tool until it turns yellow, and the yellow vector displays aligned with the axis. Then you click the axis line.

Now when you drag the cursor, the selected objects and subobjects will rotate about the base point along the specified axis. You can click or enter a value to specify the angle of the rotation.


To rotate objects in 3D space along a specified axis (Procedure)

Use the Move Grip Tool to Modify Objects
Up a level to ..
Add Edges and Faces to Solids
Work with 3D Models > Modify 3D Solids and Surfaces > Use Grip Tools to Modify Objects > Use the Rotate Grip Tool to Modify Objects >
Use the Rotate Grip Tool to Modify Objects
Concept Procedure Quick Reference

To rotate objects in 3D space along a specified axis

  1. Click Home tab [image] Modify panel [image] 3D Rotate. At the command prompt, enter 3drotate.
  2. Select the objects and subobjects you want to rotate.

    Press and hold CTRL to select subobjects (faces, edges, and vertices). Release CTRL to select objects.

  3. When you’re done selecting objects, press ENTER.

    The rotate grip tool is displayed attached to the cursor.

  4. Click to place the rotate grip tool, specifying the base point for the move.
  5. Hover the cursor over an axis handle on the grip tool until it turns yellow and the vector displays, and then click.

  6. Click or enter a value to specify the angle of the rotation.
Toolbar: Modeling
Command entry: 3DROTATE


Use the Rotate Grip Tool to Modify Objects (Quick Reference)

Use the Move Grip Tool to Modify Objects
Use the Rotate Grip Tool to Modify Objects
Add Edges and Faces to Solids
Work with 3D Models > Modify 3D Solids and Surfaces > Use Grip Tools to Modify Objects > Use the Rotate Grip Tool to Modify Objects >
Use the Rotate Grip Tool to Modify Objects
Concept Procedure Quick Reference

Commands

3DROTATE

Displays the rotate grip tool in a 3D view and revolves objects around a base point

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Add Edges and Faces to Solids (Concept)

Use the Rotate Grip Tool to Modify Objects
Modify 3D Solids and Surfaces
Separate 3D Solids
Work with 3D Models > Modify 3D Solids and Surfaces >
Add Edges and Faces to Solids
Concept Procedure Quick Reference

You can modify the appearance of a face on a 3D solid by imprinting it with an object that intersects the selected face. Imprinting combines the object with the face, creating an edge.

Show Me: Add an Edge, Dividing One Face Into Two

Click the Play arrow to start the animation.

With the IMPRINT command, you can create new faces on 3D solids by imprinting arcs, circles, lines, 2D and 3D polylines, ellipses, splines, regions, bodies, and 3D solids. For example, if a circle intersects with a 3D solid, you can imprint the intersecting curves on the solid. You can delete or retain the original imprinted objects to be used for further editing. The imprinted object must intersect a face or faces on the selected solid in order for the imprinting to be successful.

In some cases, it not be possible to move, rotate, or scale the following subobjects, and imprinted edges and faces may get lost when you move, rotate, or scale the following subobjects:

  • Faces with imprinted edges or faces
  • Edges or vertices with adjacent faces that contain imprinted edges or faces
NoteWhen you imprint an edge on a solid face, you can only move the edges of the imprinted face within the plane of the face.


To imprint a 3D solid object (Procedure)

Use the Rotate Grip Tool to Modify Objects
Add Edges and Faces to Solids
Separate 3D Solids
Work with 3D Models > Modify 3D Solids and Surfaces > Add Edges and Faces to Solids >
Add Edges and Faces to Solids
Concept Procedure Quick Reference

To imprint a 3D solid object

  1. Click Modify menu [image] Solid Editing [image] Imprint.At the command prompt, enter imprint.
  2. Select the 3D solid object (1).
  3. Select the object that you want to imprint (2).
  4. Press ENTER to retain the original objects, or enter y to delete them.
  5. Select additional objects to imprint or press ENTER.
  6. Press ENTER to complete the command.

Toolbar: Solid Editing
Command entry: IMPRINT


Add Edges and Faces to Solids (Quick Reference)

Use the Rotate Grip Tool to Modify Objects
Add Edges and Faces to Solids
Separate 3D Solids
Work with 3D Models > Modify 3D Solids and Surfaces > Add Edges and Faces to Solids >
Add Edges and Faces to Solids
Concept Procedure Quick Reference

Commands

No entries

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Separate 3D Solids (Concept)

Add Edges and Faces to Solids
Modify 3D Solids and Surfaces
Shell 3D Solids
Work with 3D Models > Modify 3D Solids and Surfaces >
Separate 3D Solids
Concept Procedure Quick Reference

You can disassemble a 3D solid object into its original component 3D solids.

You can separate (take apart) composite solids. The composite 3D solid object cannot share a common area or volume. After separation of the 3D solid, the individual solids retain the layers and colors of the original. All nested 3D solid objects are separated into their simplest form.


To separate a 3D solid composite into individual solids (Procedure)

Add Edges and Faces to Solids
Separate 3D Solids
Shell 3D Solids
Work with 3D Models > Modify 3D Solids and Surfaces > Separate 3D Solids >
Separate 3D Solids
Concept Procedure Quick Reference

To separate a 3D solid composite into individual solids

  1. Click Modify menu [image] Solid Editing [image] Separate.At the command prompt, enter solidedit.
  2. Select the 3D solid object.
  3. Press ENTER to complete the command.
Toolbar: Solid Editing
Command entry: SOLIDEDIT


Separate 3D Solids (Quick Reference)

Add Edges and Faces to Solids
Separate 3D Solids
Shell 3D Solids
Work with 3D Models > Modify 3D Solids and Surfaces > Separate 3D Solids >
Separate 3D Solids
Concept Procedure Quick Reference

Commands

SOLIDEDIT

Edits faces and edges of 3D solid objects

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Shell 3D Solids (Concept)

Separate 3D Solids
Modify 3D Solids and Surfaces
Clean and Check 3D Solids
Work with 3D Models > Modify 3D Solids and Surfaces >
Shell 3D Solids
Concept Procedure Quick Reference

You can create a shell (a hollow, thin wall with a specified thickness) from your 3D solid object.

New faces are created by offsetting existing ones inside or outside their original positions. Continuously tangent faces are treated as single faces when offsetting.


To create a 3D solid shell (Procedure)

Separate 3D Solids
Shell 3D Solids
Clean and Check 3D Solids
Work with 3D Models > Modify 3D Solids and Surfaces > Shell 3D Solids >
Shell 3D Solids
Concept Procedure Quick Reference

To create a 3D solid shell

  1. Click Modify menu [image] Solid Editing [image] Shell.At the command prompt, enter solidedit.
  2. Select the 3D solid object.
  3. Select a face to be excluded from shelling (1).
  4. Select additional faces to be excluded or press ENTER.
  5. Specify the shell offset valve.

    A positive offset value creates a shell in the positive face direction; a negative value creates a shell in the negative face direction.

  6. Press ENTER to complete the command.

Toolbar: Solid Editing
Command entry: SOLIDEDIT


Shell 3D Solids (Quick Reference)

Separate 3D Solids
Shell 3D Solids
Clean and Check 3D Solids
Work with 3D Models > Modify 3D Solids and Surfaces > Shell 3D Solids >
Shell 3D Solids
Concept Procedure Quick Reference

Commands

SOLIDEDIT

Edits faces and edges of 3D solid objects

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Clean and Check 3D Solids (Concept)

Shell 3D Solids
Modify 3D Solids and Surfaces
Create Sections and 2D Drawings from 3D Models
Work with 3D Models > Modify 3D Solids and Surfaces >
Clean and Check 3D Solids
Concept Procedure Quick Reference

You can use the SOLIDEDIT command to remove redundant faces, edges, and vertices from a 3D solid automatically, and check to make sure that the 3D solid is valid.

You can remove edges or vertices if they share the same surface or vertex definition on either side of the edge or vertex. The body, faces, or edges on the solid object are checked, and adjacent faces that share the same surface are merged. All redundant edges, imprinted as well as unused, on your 3D solid object are deleted.

You can check to see if your solid object is a valid 3D solid object. With a valid 3D solid, you can modify the object without incurring failure error messages. If the 3D solid is not valid, you cannot edit the object.


Clean and Check 3D Solids (Procedure)

Shell 3D Solids
Clean and Check 3D Solids
Clean and Check 3D Solids
Work with 3D Models > Modify 3D Solids and Surfaces > Clean and Check 3D Solids >
Clean and Check 3D Solids
Concept Procedure Quick Reference

To clean up a 3D solid object

To validate a 3D solid object


To clean up a 3D solid object (Procedure)

Clean and Check 3D Solids
Clean and Check 3D Solids
Clean and Check 3D Solids
Work with 3D Models > Modify 3D Solids and Surfaces > Clean and Check 3D Solids >
Clean and Check 3D Solids
Concept Procedure Quick Reference

To clean up a 3D solid object

  1. Click Modify menu [image] Solid Editing [image] Clean.At the command prompt, enter solidedit.
  2. Select the 3D solid object (1).
  3. Press ENTER to complete the command.

Toolbar: Solid Editing
Command entry: SOLIDEDIT


To validate a 3D solid object (Procedure)

Clean and Check 3D Solids
Clean and Check 3D Solids
Section 3D Solids
Work with 3D Models > Modify 3D Solids and Surfaces > Clean and Check 3D Solids >
Clean and Check 3D Solids
Concept Procedure Quick Reference

To validate a 3D solid object

  1. Click Modify menu [image] Solid Editing [image] Check.At the command prompt, enter solidedit.
  2. Select the 3D solid object.
  3. Press ENTER to complete the command.
Toolbar: Solid Editing
Command entry: SOLIDEDIT


Clean and Check 3D Solids (Quick Reference)

Shell 3D Solids
Clean and Check 3D Solids
Section 3D Solids
Work with 3D Models > Modify 3D Solids and Surfaces > Clean and Check 3D Solids >
Clean and Check 3D Solids
Concept Procedure Quick Reference

Commands

SOLIDEDIT

Edits faces and edges of 3D solid objects

System Variables

SOLIDCHECK

Turns the solid validation on and off for the current session

Utilities

No entries

Command Modifiers

No entries


Create Sections and 2D Drawings from 3D Models

Clean and Check 3D Solids
Work with 3D Models
Section 3D Solids
Work with 3D Models >
Create Sections and 2D Drawings from 3D Models

You can create a cross section through a 3D solid by using the intersection of a plane and solid objects to create a region. You can also use a cutting plane, called a section object that lets you see cross-sectional views in a 3D model in real-time. Sectional views can then be captured as flattened representations.

Topics in this section

  • Section 3D Solids

    You can create a cross section through a 3D solid. The result can be a two-dimensional object that represents the shape of the section. You also have the option of using a cutting plane, called a section object that lets you see the cut profile of intersected solids in real-time.

  • Work with Section Objects

    You can create sectional views from 3D models based on where a transparent cutting plane called a section object intersects the model. When live sectioning is active on a section object, you can see the inner details of the model, when the section plane is stationary or as you move it through the 3D model. Live sectioning allows you to dynamically change the cut profile of the intersected solid.

  • Live Sectioning

    When a section object has live sectioning turned on, you can dynamically section a 3D model in model space. As you move the section object through the 3D model, its transparent section plane indicator cuts the solid, surface, or region in real-time.

  • Generate 2D and 3D Sections

    You can generate a 2D or 3D block representation of the cross-sectional area where a section object intersects a 3D model.

  • Create a Flattened View

    With the FLATSHOT command, you can create a flattened view of all the 3D solids and regions in the current view.


Section 3D Solids (Concept)

Create Sections and 2D Drawings from 3D Models
Create Sections and 2D Drawings from 3D Models
Work with Section Objects
Work with 3D Models > Create Sections and 2D Drawings from 3D Models >
Section 3D Solids
Concept Procedure Quick Reference

You can create a cross section through a 3D solid. The result can be a two-dimensional object that represents the shape of the section. You also have the option of using a cutting plane, called a section object that lets you see the cut profile of intersected solids in real-time.

With the SECTION command, you can create a cross section through a solid. You specify three points to define the plane of the cross section. You can also define the cross-sectional plane with another object, the current view, the Z axis, or the XY, YZ, or ZX plane. The cross-sectional plane is placed on the current layer.

With the SECTIONPLANE command, you can create a section object that acts as a cutting plane through solids, surfaces, or regions (two-dimensional areas created from closed shapes or loops). If you turn on live sectioning, moving the section object throughout the 3D model in model space reveals inner details in real-time.

To create a section object, you move the cursor over any face of a 3D model and click to automatically place the section object. You can also pick points to create a straight cutting plane, or pick multiple points to create one with jogged segments. Another method is to specify an orthographic view, such as front, top, or back.


To create a cross section of a solid (Procedure)

Clean and Check 3D Solids
Section 3D Solids
Work with Section Objects
Work with 3D Models > Create Sections and 2D Drawings from 3D Models > Section 3D Solids >
Section 3D Solids
Concept Procedure Quick Reference

To create a cross section of a solid

  1. Enter section at the command prompt.
  2. Select the object to cross section.
  3. Specify three points to define the cross-sectional plane.

Command entry: SECTION
NoteIf you are applying hatching to the cross-sectional cutting plane, you must align the UCS with the cross-sectional cutting plane first.


Section 3D Solids (Quick Reference)

Clean and Check 3D Solids
Section 3D Solids
Overview of Section Objects
Work with 3D Models > Create Sections and 2D Drawings from 3D Models > Section 3D Solids >
Section 3D Solids
Concept Procedure Quick Reference

Commands

SECTION

Uses the intersection of a plane and solids to create a region

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Work with Section Objects

Section 3D Solids
Create Sections and 2D Drawings from 3D Models
Overview of Section Objects
Work with 3D Models > Create Sections and 2D Drawings from 3D Models >
Work with Section Objects
Concept Procedure

You can create sectional views from 3D models based on where a transparent cutting plane called a section object intersects the model. When live sectioning is active on a section object, you can see the inner details of the model, when the section plane is stationary or as you move it through the 3D model. Live sectioning allows you to dynamically change the cut profile of the intersected solid.

Topics in this section

  • Overview of Section Objects
  • Create Section Objects

    You can create section objects using the SECTIONPLANE command.

  • Set Section Object States

    Section objects have three states: Section Plane, Section Boundary, and Section Volume. Depending on the state you choose, you can view the cutting plane as a 2D plane, a 2D box, or a 3D box. Grips allow you to make adjustments to the length, width, and height of the cutting area.

  • Use Section Object Grips

    When you select a section object, various types of grips display that perform different functions. These grips are

  • Access Section Object Shortcut Menu

    With a preselected section object, you can access the following controls on the shortcut menu by right-clicking the section line.

  • Change Section Object Properties

    Section objects have properties just as other AutoCAD objects do. Properties are stored in the section line and can be accessed in the Properties palette. For example, you can change the section object’s name, layer and linetype, and the color and transparency of the section plane indicator (the section object’s transparent cutting plane).

  • Associate Section Objects with Views and Cameras

    Section objects can be associated with named views and cameras in the View Manager.

  • Publish Section Objects

    You can control the visibility of section objects when you render, plot, or view them in the DWF file viewer.

  • Save Section Object as Tool Palette Tool

    Like other objects, you can create tools from individual section objects that can be accessed from a tool palette.

  • Add Jogs to a Section

    You can create a section line that has multiple segments (jogs), using the Draw Section option of the SECTIONPLANE command. You can also add a jog to an existing section object using the Add Jog to Section option on the shortcut menu.


Work with Section Objects (Procedure)

Section 3D Solids
Work with Section Objects
Create Section Objects
Work with 3D Models > Create Sections and 2D Drawings from 3D Models > Work with Section Objects >
Work with Section Objects
Concept Procedure

To create a section object by selecting a face

To create a section object using two points

To create a section object with jogged segments

To create a section object on a preset orthographic plane

To change a section object’s state using the Menu grip

To rename a section object

To change a section object’s state using the Properties palette

To change the transparency and color of the section plane indicator

To change the height of the section plane indicator

To associate a section object with a view or camera

To save a section object tool as a tool palette tool

To add jogs to a section


Overview of Section Objects (Concept)

Work with Section Objects
Work with Section Objects
Create Section Objects
Work with 3D Models > Create Sections and 2D Drawings from 3D Models > Work with Section Objects >
Overview of Section Objects
Concept Quick Reference

With the SECTIONPLANE command, you can create one or more section objects and place them throughout a 3D model. Activating live sectioning on a section object allows you to view transient cuts in the 3D model as you move the section object through it, without changing the 3D objects themselves.

Section objects have a transparent section plane indicator that acts as a cutting plane. Because it is transparent, it’s a useful visual tool because it lets you see the geometry on either side of the cutting plane. This plane can be easily placed and moved anywhere throughout a 3D model that is composed of 3D solids, surfaces, or regions (two-dimensional areas created from closed shapes or loops).

The section plane contains a section line where object properties for a section object are stored. You can have multiple section objects where each has different properties. For example, one section object can display a hatch pattern where the 3D model is intersected, while another section object can display a different linetype for the boundary of the intersected area.

Each section object can be saved as a tool palette tool where you can quickly access it without having to reset properties each time you create a section object.

The section plane can be a straight line or one that has multiple or jogged sections. For example, a section line containing a jog is one that creates a pie slice-shaped wedge from a cylinder.

Section object with jogged segment

Once you have the sectional view you want, you can generate an accurate 2D or 3D block from the 3D model. These blocks can be analyzed or checked for clearances and interference conditions. They can also be dimensioned, or used as wireframe or rendered representations in documentation and presentation drawings.


Overview of Section Objects (Quick Reference)

Section 3D Solids
Overview of Section Objects
Create Section Objects
Work with 3D Models > Create Sections and 2D Drawings from 3D Models > Work with Section Objects > Overview of Section Objects >
Overview of Section Objects
Concept Quick Reference

Commands

No entries

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Create Section Objects (Concept)

Overview of Section Objects
Work with Section Objects
Set Section Object States
Work with 3D Models > Create Sections and 2D Drawings from 3D Models > Work with Section Objects >
Create Section Objects
Concept Procedure Quick Reference

You can create section objects using the SECTIONPLANE command.

The default method is to move the cursor over the face of your 3D model and then click to place the section object. The section plane is automatically aligned to the plane of the face you selected.

You can also create a section object by selecting two points to create a straight section line.

The animation shows how a section object is created by specifying two points. Once created, and with live sectioning turned on, it is repositioned in different areas of the model resulting in real-time sectioning.

Show Me: Section a 3D Model with a Section Object (Live Sectioning On)

Click the Play arrow to start the animation.

If you need a section line that has jogged segments, the Draw Section option lets you pick multiple points throughout the 3D model.

Using the Orthographic option, you can quickly create a section object that is aligned to a preselected orthographic plane. Before the section object is created, all the 3D objects are evaluated in the drawing and an imaginary 3D boundary around their extents is calculated. The section object is then positioned to pass through the center of the 3D boundary and oriented to the selected orthographic option you choose.


Create Section Objects (Procedure)

Work with Section Objects
Up a level to ..
Create Section Objects
Work with 3D Models > Create Sections and 2D Drawings from 3D Models > Work with Section Objects > Create Section Objects >
Create Section Objects
Concept Procedure Quick Reference

To create a section object by selecting a face

To create a section object using two points

To create a section object with jogged segments

To create a section object on a preset orthographic plane


To create a section object by selecting a face (Procedure)

Create Section Objects
Up a level to ..
Create Section Objects
Work with 3D Models > Create Sections and 2D Drawings from 3D Models > Work with Section Objects > Create Section Objects >
Create Section Objects
Concept Procedure Quick Reference

To create a section object by selecting a face

  1. Click Draw menu [image] Modeling [image] Section Plane.At the command prompt, enter sectionplane.
  2. Click to select a face on your model.

    A section object is created on the plane of the selected face.

  3. Click the section line to display its grips.
  4. Select a grip to move the section plane through the 3D object.

    A section object is created in the Section Plane state. Live sectioning is turned on.


To create a section object using two points (Procedure)

Create Section Objects
Up a level to ..
Create Section Objects
Work with 3D Models > Create Sections and 2D Drawings from 3D Models > Work with Section Objects > Create Section Objects >
Create Section Objects
Concept Procedure Quick Reference

To create a section object using two points

  1. Click Draw menu [image] Modeling [image] Section Plane.At the command prompt, enter sectionplane.
  2. Specify the first point of the section object.
  3. Specify the endpoint.

The section object is created between the two points. Live sectioning is turned off.


To create a section object with jogged segments (Procedure)

Create Section Objects
Up a level to ..
Create Section Objects
Work with 3D Models > Create Sections and 2D Drawings from 3D Models > Work with Section Objects > Create Section Objects >
Create Section Objects
Concept Procedure Quick Reference

To create a section object with jogged segments

  1. Click Draw menu [image] Modeling [image] Section Plane.At the command prompt, enter sectionplane.
  2. Enter d (Draw Section).
  3. Specify the start point of the section object.
  4. Specify a second point to create the first jogged segment.

    From this point, you cannot create segments that intersect.

  5. Continue specifying segment endpoints, then press ENTER.
  6. Specify a point in the direction of the sectional cut.

A section object is created that has multiple segments in a Section Boundary state. Live sectioning is turned off.


To create a section object on a preset orthographic plane (Procedure)

Create Section Objects
Up a level to ..
Set Section Object States
Work with 3D Models > Create Sections and 2D Drawings from 3D Models > Work with Section Objects > Create Section Objects >
Create Section Objects
Concept Procedure Quick Reference

To create a section object on a preset orthographic plane

  1. Click Draw menu [image] Modeling [image] Section Plane.At the command prompt, enter sectionplane.
  2. Enter o (Orthographic).
  3. Select an alignment option.

A section object is created that is centered in an imaginary 3D boundary around all the 3D objects in the drawing. It is placed on the selected orthographic plane. Live sectioning is turned on.


Create Section Objects (Quick Reference)

Overview of Section Objects
Create Section Objects
Set Section Object States
Work with 3D Models > Create Sections and 2D Drawings from 3D Models > Work with Section Objects > Create Section Objects >
Create Section Objects
Concept Procedure Quick Reference

Commands

SECTIONPLANE

Creates a section object that acts as a cutting plane through a 3D object

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Set Section Object States (Concept)

Create Section Objects
Work with Section Objects
Use Section Object Grips
Work with 3D Models > Create Sections and 2D Drawings from 3D Models > Work with Section Objects >
Set Section Object States
Concept Procedure Quick Reference

Section objects have three states: Section Plane, Section Boundary, and Section Volume. Depending on the state you choose, you can view the cutting plane as a 2D plane, a 2D box, or a 3D box. Grips allow you to make adjustments to the length, width, and height of the cutting area.

  • Section Plane. The section line and transparent section plane indicator display. The cutting plane extends infinitely in all directions.
  • Section Boundary. A 2D box shows the XY extents of the cutting plane. The cutting plane along the Z axis extends infinitely.
  • Section Volume. A 3D box shows the extents of the cutting plane in all directions.


To change a section object’s state using the Menu grip (Procedure)

Create Section Objects
Up a level to ..
Change Section Object Properties
Work with 3D Models > Create Sections and 2D Drawings from 3D Models > Work with Section Objects > Set Section Object States >
Set Section Object States
Concept Procedure Quick Reference

To change a section object’s state using the Menu grip

  1. Select the section object to display its grips.
  2. Click the Menu grip.
  3. On the section state menu, click the state you want.

The section object is updated in the viewport to the selected state.


Set Section Object States (Quick Reference)

Create Section Objects
Set Section Object States
Use Section Object Grips
Work with 3D Models > Create Sections and 2D Drawings from 3D Models > Work with Section Objects > Set Section Object States >
Set Section Object States
Concept Procedure Quick Reference

Commands

SECTIONPLANE

Creates a section object that acts as a cutting plane through a 3D object

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Use Section Object Grips (Concept)

Set Section Object States
Work with Section Objects
Access Section Object Shortcut Menu
Work with 3D Models > Create Sections and 2D Drawings from 3D Models > Work with Section Objects >
Use Section Object Grips
Concept Quick Reference

When you select a section object, various types of grips display that perform different functions. These grips are

  • Base grip. Acts as the basepoint grip for the section object for moving, scaling, and rotating the section object. It is always adjacent to the Menu grip.
  • Menu grip. Displays a menu of section object states.
  • Direction grip. Shows the direction from which 2D sections are taken and from which direction live sectioning will be viewed. To reverse the direction of the section plane, click the Direction grip.
  • Arrow grip. Moves segments of the section line perpendicular to themselves. As segments are moved, the length of the segments are changed but the angle of adjacent segments remains the same.
  • Second grip. Rotates the section object around the base grip.
  • Segment end grips. Behave like polyline grips, but they can’t be moved so that segments intersect. Segment end grips display at the end points of jogged segments.
    NoteOnly one section object grip can be selected at a time.


Use Section Object Grips (Quick Reference)

Set Section Object States
Use Section Object Grips
Access Section Object Shortcut Menu
Work with 3D Models > Create Sections and 2D Drawings from 3D Models > Work with Section Objects > Use Section Object Grips >
Use Section Object Grips
Concept Quick Reference

Commands

SECTIONPLANE

Creates a section object that acts as a cutting plane through a 3D object

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Access Section Object Shortcut Menu (Concept)

Use Section Object Grips
Work with Section Objects
Change Section Object Properties
Work with 3D Models > Create Sections and 2D Drawings from 3D Models > Work with Section Objects >
Access Section Object Shortcut Menu
Concept Quick Reference

With a preselected section object, you can access the following controls on the shortcut menu by right-clicking the section line.

  • Activate Live Sectioning. Turns live sectioning on and off for the selected section object.
  • Show Cut-away Geometry. Displays geometry that has been cut using the display settings from the Section Settings dialog box. This option is available when live sectioning is turned on.
  • Live Section Settings. Displays the Section Settings dialog box.
  • Generate 2D/3D Section. Displays the Generate Section/Elevation dialog box.
  • Add Jog to Section. Adds an additional segment, a jog, to the section line.


Access Section Object Shortcut Menu (Quick Reference)

Use Section Object Grips
Access Section Object Shortcut Menu
Change Section Object Properties
Work with 3D Models > Create Sections and 2D Drawings from 3D Models > Work with Section Objects > Access Section Object Shortcut Menu >
Access Section Object Shortcut Menu
Concept Quick Reference

Commands

SECTIONPLANE

Creates a section object that acts as a cutting plane through a 3D object

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Change Section Object Properties (Concept)

Access Section Object Shortcut Menu
Work with Section Objects
Associate Section Objects with Views and Cameras
Work with 3D Models > Create Sections and 2D Drawings from 3D Models > Work with Section Objects >
Change Section Object Properties
Concept Procedure Quick Reference

Section objects have properties just as other AutoCAD objects do. Properties are stored in the section line and can be accessed in the Properties palette. For example, you can change the section object’s name, layer and linetype, and the color and transparency of the section plane indicator (the section object’s transparent cutting plane).


Change Section Object Properties (Procedure)

Set Section Object States
Up a level to ..
Change Section Object Properties
Work with 3D Models > Create Sections and 2D Drawings from 3D Models > Work with Section Objects > Change Section Object Properties >
Change Section Object Properties
Concept Procedure Quick Reference

To rename a section object

To change a section object’s state using the Properties palette

To change the transparency and color of the section plane indicator

To change the height of the section plane indicator


To rename a section object (Procedure)

Change Section Object Properties
Up a level to ..
Change Section Object Properties
Work with 3D Models > Create Sections and 2D Drawings from 3D Models > Work with Section Objects > Change Section Object Properties >
Change Section Object Properties
Concept Procedure Quick Reference

To rename a section object

  1. Right-click the section object. Click Properties.
  2. Under Section Object, in Name, enter a different name.


To change a section object’s state using the Properties palette (Procedure)

Change Section Object Properties
Up a level to ..
Change Section Object Properties
Work with 3D Models > Create Sections and 2D Drawings from 3D Models > Work with Section Objects > Change Section Object Properties >
Change Section Object Properties
Concept Procedure Quick Reference

To change a section object’s state using the Properties palette

  1. Right-click the section object. Click Properties.
  2. Under Section Object, change the value for Type.

The section object is updated in the viewport to the selected state.


To change the transparency and color of the section plane indicator (Procedure)

Change Section Object Properties
Up a level to ..
Change Section Object Properties
Work with 3D Models > Create Sections and 2D Drawings from 3D Models > Work with Section Objects > Change Section Object Properties >
Change Section Object Properties
Concept Procedure Quick Reference

To change the transparency and color of the section plane indicator

  1. Right-click the section object. Click Properties.
  2. Under Section Object, enter a value from 1 - 100 for Plane Transparency. Setting it to 1 makes the section plane indicator opaque.
  3. Select a color for Plane Color.

    The section plane indicator is updated in the viewport.


To change the height of the section plane indicator (Procedure)

Change Section Object Properties
Up a level to ..
Associate Section Objects with Views and Cameras
Work with 3D Models > Create Sections and 2D Drawings from 3D Models > Work with Section Objects > Change Section Object Properties >
Change Section Object Properties
Concept Procedure Quick Reference

To change the height of the section plane indicator

  1. Right-click the section object. Click Properties.
  2. Under Geometry, change the value for Top Plane. This changes the distance from the section line to the upper edge of the section plane.
  3. Change the value for Bottom Plane. This changes the distance from the section line to the bottom edge of the section plane.

    The section plane indicator is updated in the viewport.


Change Section Object Properties (Quick Reference)

Access Section Object Shortcut Menu
Change Section Object Properties
Associate Section Objects with Views and Cameras
Work with 3D Models > Create Sections and 2D Drawings from 3D Models > Work with Section Objects > Change Section Object Properties >
Change Section Object Properties
Concept Procedure Quick Reference

Commands

SECTIONPLANE

Creates a section object that acts as a cutting plane through a 3D object

PROPERTIES

Controls properties of existing objects

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Associate Section Objects with Views and Cameras (Concept)

Change Section Object Properties
Work with Section Objects
Publish Section Objects
Work with 3D Models > Create Sections and 2D Drawings from 3D Models > Work with Section Objects >
Associate Section Objects with Views and Cameras
Concept Procedure Quick Reference

Section objects can be associated with named views and cameras in the View Manager.

When a named view or camera that has a section object associated with it is made active, live sectioning is turned on for that section object. For a 3D model that has multiple section objects, it is convenient to associate a particular section object to a view or camera. Later, you can quickly restore a saved sectional view or camera, which automatically activates live sectioning for the associated section object.

For example, you’ve set up two section objects that cut through the 3D model in different directions. Section object A cuts the model along its width; Section object B cuts the model along its length. You also want to view the sectional cut to be perpendicular to your line of sight. By associating each section object with a view or camera, you can quickly switch between the two views and see the desired cross section.


To associate a section object with a view or camera (Procedure)

Change Section Object Properties
Up a level to ..
Save Section Object as Tool Palette Tool
Work with 3D Models > Create Sections and 2D Drawings from 3D Models > Work with Section Objects > Associate Section Objects with Views and Cameras >
Associate Section Objects with Views and Cameras
Concept Procedure Quick Reference

To associate a section object with a view or camera

  1. Click View menu [image] Named Views.At the command prompt, enter view.
  2. In the View Manager, in the left pane, under Model Views, select a named view or camera.
  3. In the General section, in the Live Section drop-down list, select a section object by name.
  4. Click OK.

    The section object is now associated with a named view or camera. When the named viewed or camera is restored, live sectioning is turned on for the associated section object.


Associate Section Objects with Views and Cameras (Quick Reference)

Change Section Object Properties
Associate Section Objects with Views and Cameras
Publish Section Objects
Work with 3D Models > Create Sections and 2D Drawings from 3D Models > Work with Section Objects > Associate Section Objects with Views and Cameras >
Associate Section Objects with Views and Cameras
Concept Procedure Quick Reference

Commands

SECTIONPLANE

Creates a section object that acts as a cutting plane through a 3D object

VIEW

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Publish Section Objects (Concept)

Associate Section Objects with Views and Cameras
Work with Section Objects
Save Section Object as Tool Palette Tool
Work with 3D Models > Create Sections and 2D Drawings from 3D Models > Work with Section Objects >
Publish Section Objects
Concept Quick Reference

You can control the visibility of section objects when you render, plot, or view them in the DWF file viewer.

Render Section Objects

With live sectioning turned on, all lines on a section object render as 2D lines. The section plane indicator renders as a transparent material. Its degree of transparency is controlled in the Properties palette of the section object.

Plot Section Objects

When a section object is in a Section Boundary or Section Volume state, displayed lines do not plot. The section plane indicator plots as if it was assigned a transparent material, but not with the same fidelity as when rendered. If you do not want to plot the section line, place the section object on a layer that is turned off.

View Section Objects in the DWF file viewer

When live sectioning is active on a section object, the 3D model is displayed in the DWF Viewer with the best possible visual fidelity. Geometry that is hidden by live sectioning is also hidden when displayed in the DWF Viewer. Display settings assigned for live sections are displayed in the viewer as they are in the drawing. For example, dashed linetypes and a hatch pattern assigned to the intersected area of a 3D model will be represented as such in the DWF Viewer.

The section object is not visible in the DWF Viewer.


Publish Section Objects (Quick Reference)

Associate Section Objects with Views and Cameras
Publish Section Objects
Save Section Object as Tool Palette Tool
Work with 3D Models > Create Sections and 2D Drawings from 3D Models > Work with Section Objects > Publish Section Objects >
Publish Section Objects
Concept Quick Reference

Commands

SECTIONPLANE

Creates a section object that acts as a cutting plane through a 3D object

RENDER

Creates a photorealistic or realistically shaded image of a 3D wireframe or solid model

PLOT

Plots a drawing to a plotter, printer, or file

PUBLISH
3DDWF

Creates a 3D DWF or 3D DWFx file of your 3D model and displays it in the DWF Viewer

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Save Section Object as Tool Palette Tool (Concept)

Publish Section Objects
Work with Section Objects
Add Jogs to a Section
Work with 3D Models > Create Sections and 2D Drawings from 3D Models > Work with Section Objects >
Save Section Object as Tool Palette Tool
Concept Procedure Quick Reference

Like other objects, you can create tools from individual section objects that can be accessed from a tool palette.

You can have multiple section objects, each having their own set of properties. By saving each section object as a tool, you can then quickly create section objects without having to modify their settings each time.


To save a section object tool as a tool palette tool (Procedure)

Associate Section Objects with Views and Cameras
Up a level to ..
Add Jogs to a Section
Work with 3D Models > Create Sections and 2D Drawings from 3D Models > Work with Section Objects > Save Section Object as Tool Palette Tool >
Save Section Object as Tool Palette Tool
Concept Procedure Quick Reference

To save a section object tool as a tool palette tool

  1. On a section object, select the section line.
  2. Drag the section object to a tool palette and, without releasing the mouse button, move the cursor to the place on the tool palette where you want the tool.

    The black line indicates where the tool will be located.

  3. Release the mouse button.

    The section object is saved as a tool on the tool palette.


Save Section Object as Tool Palette Tool (Quick Reference)

Publish Section Objects
Save Section Object as Tool Palette Tool
Add Jogs to a Section
Work with 3D Models > Create Sections and 2D Drawings from 3D Models > Work with Section Objects > Save Section Object as Tool Palette Tool >
Save Section Object as Tool Palette Tool
Concept Procedure Quick Reference

Commands

SECTIONPLANE

Creates a section object that acts as a cutting plane through a 3D object

TOOLPALETTES

Opens the Tool Palettes window

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Add Jogs to a Section (Concept)

Save Section Object as Tool Palette Tool
Work with Section Objects
Live Sectioning
Work with 3D Models > Create Sections and 2D Drawings from 3D Models > Work with Section Objects >
Add Jogs to a Section
Concept Procedure Quick Reference

You can create a section line that has multiple segments (jogs), using the Draw Section option of the SECTIONPLANE command. You can also add a jog to an existing section object using the Add Jog to Section option on the shortcut menu.

Show Me: Add a Jog to a Section Object

Click the Play arrow to start the animation.

Section object created with a jogged segment

When adding a jog to an existing section object, a segment is created that is perpendicular to the selected segment and in the direction of the Direction grip. Jogs cannot be added to the side or back lines of the section object. The Nearest osnap is temporarily turned on when adding jogs to a section.

After adding jogs, you can refine the jogged sections by using the section object's grips.


To add jogs to a section (Procedure)

Save Section Object as Tool Palette Tool
Up a level to ..
Live Sectioning
Work with 3D Models > Create Sections and 2D Drawings from 3D Models > Work with Section Objects > Add Jogs to a Section >
Add Jogs to a Section
Concept Procedure Quick Reference

To add jogs to a section

  1. On a section object, select the section line.
  2. Right-click the line. Click Add Jog to Section.
  3. Move the cursor over the section line.
  4. Select a point on the section line where you want to place a jog that is perpendicular to the selected segment.

    To create additional jogs, repeat the steps.

NoteThe program prevents you from entering jogs that cause the line to intersect itself or close. When this occurs, the entry point is ignored and an error message is displayed at the command prompt.
Command entry: JOGSECTION


Add Jogs to a Section (Quick Reference)

Save Section Object as Tool Palette Tool
Add Jogs to a Section
Understand Live Sectioning Behavior
Work with 3D Models > Create Sections and 2D Drawings from 3D Models > Work with Section Objects > Add Jogs to a Section >
Add Jogs to a Section
Concept Procedure Quick Reference

Commands

SECTIONPLANE

Creates a section object that acts as a cutting plane through a 3D object

JOGSECTION

Adds a jogged segment to a section object

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Live Sectioning

Add Jogs to a Section
Create Sections and 2D Drawings from 3D Models
Understand Live Sectioning Behavior
Work with 3D Models > Create Sections and 2D Drawings from 3D Models >
Live Sectioning
Concept Procedure

When a section object has live sectioning turned on, you can dynamically section a 3D model in model space. As you move the section object through the 3D model, its transparent section plane indicator cuts the solid, surface, or region in real-time.

Topics in this section

  • Understand Live Sectioning Behavior

    Live sectioning is an analytical tool that allows you to view cut geometry in a 3D solid, surface, or region where the section object intersects the 3D geometry.


Live Sectioning (Procedure)

Add Jogs to a Section
Live Sectioning
Understand Live Sectioning Behavior
Work with 3D Models > Create Sections and 2D Drawings from 3D Models > Live Sectioning >
Live Sectioning
Concept Procedure

To turn live sectioning on and off

To display cutaway geometry


Understand Live Sectioning Behavior (Concept)

Live Sectioning
Live Sectioning
Generate 2D and 3D Sections
Work with 3D Models > Create Sections and 2D Drawings from 3D Models > Live Sectioning >
Understand Live Sectioning Behavior
Concept Procedure Quick Reference

Live sectioning is an analytical tool that allows you to view cut geometry in a 3D solid, surface, or region where the section object intersects the 3D geometry.

You can also use live sectioning to analyze a model by moving the section object back and forth. For example, sliding the section object through an engine assembly can help you visualize its internal components.

Before you begin working with live sectioning, there some key aspects of the feature you should understand.

  • Live sectioning functions only on 3D objects and regions in model space.
  • Live sectioning is turned on or off, depending on the option you use when creating the section object. For example, selecting a face creates a section object with live sectioning turned on; the Draw Section option creates a section object with it turned off. After the section object is created, live sectioning for each section object can be manually turned on or off.
  • You can have multiple section objects in a drawing; however, live sectioning can only be active for one section object at a time. For example, your model has two sections objects: Section A and Section B. If Section A has live sectioning turned on and you activate live sectioning for Section B, live sectioning for Section A is automatically turned off.
  • Turning off a section object’s layer does not turn off live sectioning, but freezing the layer does.
  • With live sectioning on, using grips, you can slide segments of the section object to see the effects in the 3D model.


Understand Live Sectioning Behavior (Procedure)

Live Sectioning
Up a level to ..
Understand Live Sectioning Behavior
Work with 3D Models > Create Sections and 2D Drawings from 3D Models > Live Sectioning > Understand Live Sectioning Behavior >
Understand Live Sectioning Behavior
Concept Procedure Quick Reference

To turn live sectioning on and off

To display cutaway geometry


To turn live sectioning on and off (Procedure)

Understand Live Sectioning Behavior
Up a level to ..
Understand Live Sectioning Behavior
Work with 3D Models > Create Sections and 2D Drawings from 3D Models > Live Sectioning > Understand Live Sectioning Behavior >
Understand Live Sectioning Behavior
Concept Procedure Quick Reference

To turn live sectioning on and off

  1. Select a section object.
  2. Right-click the section line.
  3. Click Activate Live Sectioning to turn it on. If on, click to turn it off.


To display cutaway geometry (Procedure)

Understand Live Sectioning Behavior
Up a level to ..
Generate 2D and 3D Sections
Work with 3D Models > Create Sections and 2D Drawings from 3D Models > Live Sectioning > Understand Live Sectioning Behavior >
Understand Live Sectioning Behavior
Concept Procedure Quick Reference

To display cutaway geometry

  1. Select a section object.
  2. Right-click the section line. Click Show Cut-away Geometry to turn it on.

    The cut geometry displays according to the Foreground Line settings in the Section Settings dialog box.


Understand Live Sectioning Behavior (Quick Reference)

Add Jogs to a Section
Understand Live Sectioning Behavior
Generate 2D and 3D Sections
Work with 3D Models > Create Sections and 2D Drawings from 3D Models > Live Sectioning > Understand Live Sectioning Behavior >
Understand Live Sectioning Behavior
Concept Procedure Quick Reference

Commands

LIVESECTION

Turns on live sectioning for a selected section object

SECTIONPLANE

Creates a section object that acts as a cutting plane through a 3D object

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Generate 2D and 3D Sections (Concept)

Understand Live Sectioning Behavior
Create Sections and 2D Drawings from 3D Models
Create a Flattened View
Work with 3D Models > Create Sections and 2D Drawings from 3D Models >
Generate 2D and 3D Sections
Concept Procedure Quick Reference

You can generate a 2D or 3D block representation of the cross-sectional area where a section object intersects a 3D model.

Working from the Generate Section/Elevation dialog box, you can choose the type of block that is created. If your project requires 2D elevation drawings or 2D cross sections, the 2D Section / Elevation option creates an accurate block representation that is ready for dimensioning. If you’re creating a presentation and need to publish or render a cutaway of the 3D model, you would use the 3D Section option.

Here are some additional considerations for generating sections.

  • Both 2D and 3D sections can be inserted into the drawing as an unnamed block or saved to an external file as a wblock. Generated sections are created as blocks that can be renamed and edited using BEDIT.
  • Blocks can be rescaled and rotated prior to insertion in the drawing. The insertion basepoint can also be changed.
  • 3D objects inserted as xrefs and blocks in the drawing can be used to generate sections.
  • 2D sections are created using 2D lines, arcs, circles, ellipses, splines, and hatch patterns.
  • 3D sections are created using 3D solids and surfaces, but 2D lines are used for profile outlines and hatch patterns.
  • Display properties of 2D section/elevation blocks and 3D section blocks are controlled in the Section Settings dialog box.


To generate a 2D or 3D section (Procedure)

Understand Live Sectioning Behavior
Generate 2D and 3D Sections
Create a Flattened View
Work with 3D Models > Create Sections and 2D Drawings from 3D Models > Generate 2D and 3D Sections >
Generate 2D and 3D Sections
Concept Procedure Quick Reference

To generate a 2D or 3D section

  1. Select the section object. Right-click the section line and click Generate 2D/3D Section.
  2. In the Generate Section/Elevation dialog box, click 2D Section/Elevation or 3D Section.
  3. Click Include All Objects.
  4. Under Destination, click Insert as New Block.
  5. Click Create.
  6. Specify an insertion point on the screen.

    An unnamed block is inserted consisting of 2D or 3D geometry.


Generate 2D and 3D Sections (Quick Reference)

Understand Live Sectioning Behavior
Generate 2D and 3D Sections
Create a Flattened View
Work with 3D Models > Create Sections and 2D Drawings from 3D Models > Generate 2D and 3D Sections >
Generate 2D and 3D Sections
Concept Procedure Quick Reference

Commands

SECTIONPLANE

Creates a section object that acts as a cutting plane through a 3D object

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Create a Flattened View (Concept)

Generate 2D and 3D Sections
Create Sections and 2D Drawings from 3D Models
Annotate Drawings
Work with 3D Models > Create Sections and 2D Drawings from 3D Models >
Create a Flattened View
Concept Procedure Quick Reference

With the FLATSHOT command, you can create a flattened view of all the 3D solids and regions in the current view.

The resulting view is a block that is a flattened representation of the 3D model and is projected onto the XY plane. The process is similar to taking a “snapshot” of the entire 3D model with a camera and then laying the photograph flat. After inserting the block, it can be modified because the flattened view is comprised of 2D geometry. This feature is particularly useful for creating technical illustrations.

You’re not limited to setting up a particular view before using FLATSHOT. You can set up the drawing in an orthographic or parallel view.

A flattened view is generated with the following parameters:

  • All 3D objects in the model space viewport are captured. Place objects you don’t want captured on layers that are turned off or frozen.
  • Flattened views are created as blocks that can be renamed and edited using BEDIT.
  • The generated block is based on the display settings for Foreground and Obscured Lines in the Flatshot dialog box.
  • Hidden lines are captured and displayed in the block using the display settings for Obscured Lines in the Flatshot dialog box.
  • 3D objects that have been sectioned by section objects are captured in their entirety. FLATSHOT captures these objects as if they were not sectioned.
NoteTo create profile images of 3D solids in paper space, use the SOLPROF command.


To create a flattened 2D view of a 3D model (Procedure)

Generate 2D and 3D Sections
Create a Flattened View
Scale Annotations
Work with 3D Models > Create Sections and 2D Drawings from 3D Models > Create a Flattened View >
Create a Flattened View
Concept Procedure Quick Reference

To create a flattened 2D view of a 3D model

  1. Set up the view of the 3D model.
  2. Click Home tab [image] Solid Editing panel [image] Flatshot.At the command prompt, enter flatshot.Enter at the command prompt.
  3. In the Flatshot dialog box, under Destination, click one of the options.
  4. Change the color and linetype settings for Foreground and Obscured lines.
  5. Click Create.
  6. Specify an insertion point on the screen to place the block. Adjust the basepoint, scale, and rotation if necessary.

    A block is created consisting of 2D geometry that is projected onto the XY plane of the current UCS.


Create a Flattened View (Quick Reference)

Generate 2D and 3D Sections
Create a Flattened View
Overview of Annotations
Work with 3D Models > Create Sections and 2D Drawings from 3D Models > Create a Flattened View >
Create a Flattened View
Concept Procedure Quick Reference

Commands

FLATSHOT

Creates a 2D representation of all 3D objects in the current view

SOLPROF

Creates profile images of 3D solids in paper space

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Annotate Drawings

Create a Flattened View
Work with Annotations
Annotate Drawings

Topics in this section

  • Work with Annotations

    When you annotate your drawings, you can use certain tools and properties to make working with annotations easier.

  • Hatches, Fills, and Wipeouts

    You can use hatching to fill an area with a selected pattern or color. You can create a wipeout object to blank out an area.

  • Notes and Labels

    You can create and modify several types of text, including text with leaders. You can control most text style settings by defining text styles.

  • Tables

    A table is a rectangular array of cells that contain annotation, primarily text but also multiple blocks.

  • Dimensions and Tolerances

    You can add measurements to your drawing with several dimensioning commands. Use dimension styles to format dimensions quickly and maintain industry or project dimensioning standards.


Work with Annotations

Annotate Drawings
Annotate Drawings
Overview of Annotations
Annotate Drawings >
Work with Annotations

When you annotate your drawings, you can use certain tools and properties to make working with annotations easier.

Topics in this section

  • Overview of Annotations

    Annotations are notes or other types of explanatory symbols or objects that are commonly used to add information to your drawing.

  • Scale Annotations

    You can automate the process of scaling annotations in various layout viewports and in model space.

  • Set Orientation for Annotations

    Annotative blocks and text can be set so that their orientation matches the orientation of the layout. The orientation of annotative hatches always matches the orientation of the layout.


Overview of Annotations (Concept)

Work with Annotations
Work with Annotations
Scale Annotations
Annotate Drawings > Work with Annotations >
Overview of Annotations
Concept Quick Reference

Annotations are notes or other types of explanatory symbols or objects that are commonly used to add information to your drawing.

Examples of annotations include

  • Notes and labels
  • Tables
  • Dimensions and tolerances
  • Hatches
  • Callouts
  • Blocks

The types of objects that you use to create annotations include

  • Hatches
  • Text (single-line and multiline)
  • Tables
  • Dimensions
  • Tolerances
  • Leaders and multileaders
  • Blocks
  • Attributes


Overview of Annotations (Quick Reference)

Create a Flattened View
Overview of Annotations
Overview of Scaling Annotations
Annotate Drawings > Work with Annotations > Overview of Annotations >
Overview of Annotations
Concept Quick Reference

Commands

ATTDEF

Creates an attribute definition for storing data in a block

BLOCK

Creates a block definition from selected objects

DIMSTYLE

Creates and modifies dimension styles

HATCH

Fills an enclosed area or selected objects with a hatch pattern, solid fill, or gradient fill

MLEADERSTYLE

Creates and modifies multileader styles

MTEXT

Creates a multiline text object

OBJECTSCALE

Adds or deletes supported scales for annotative objects

STYLE

Creates, modifies, or specifies text styles

TEXT

Creates a single-line text object

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Scale Annotations

Overview of Annotations
Work with Annotations
Overview of Scaling Annotations
Annotate Drawings > Work with Annotations >
Scale Annotations
Concept Procedure

You can automate the process of scaling annotations in various layout viewports and in model space.

Topics in this section

  • Overview of Scaling Annotations

    Objects that are commonly used to annotate drawings have a property called Annotative. This property allows you to automate the process of scaling annotations so that they plot or display at the correct size on the paper.

  • Set Annotation Scale

    Annotation scale is a setting that is saved with model space, layout viewports, and model views. When you add annotative objects to your drawing, they support the current annotation scale and are scaled based on that scale setting and automatically displayed at the correct size in model space.

  • Create Annotative Objects

    Objects that are commonly used to annotate drawings have a property called Annotative. When the Annotative property for these objects is turned on (set to Yes), these objects are called annotative objects

  • Display Annotative Objects

    For model space or a layout viewport, you can display all the annotative objects or only those that support the current annotation scale.

  • Add and Modify Scale Representations

    When you create an annotative object in your drawing, it supports one annotation scale: the annotation scale that was current when you created the object. You can update annotative objects to support additional annotation scales.


Scale Annotations (Procedure)

Create a Flattened View
Scale Annotations
Set Annotation Scale
Annotate Drawings > Work with Annotations > Scale Annotations >
Scale Annotations
Concept Procedure

To set the annotation scale while working on the Model tab

To set the annotation scale for a layout viewport

To set the default annotation scale

To display or hide annotative objects in a drawing

To add the current annotation scale to an annotative object

To delete the current annotation scale from an annotative object

To automatically update annotative objects to support the current annotation scale

To add an annotation scale to an annotative object

To delete an annotation scale from an annotative object


Overview of Scaling Annotations (Concept)

Scale Annotations
Scale Annotations
Set Annotation Scale
Annotate Drawings > Work with Annotations > Scale Annotations >
Overview of Scaling Annotations
Concept Quick Reference

Objects that are commonly used to annotate drawings have a property called Annotative. This property allows you to automate the process of scaling annotations so that they plot or display at the correct size on the paper.

Instead of creating multiple annotations at different sizes and on separate layers, you can turn on the annotative property by object or by style, and set the annotation scale for layout or model viewports. The annotation scale controls the size of the annotative objects relative to the model geometry in the drawing.

Show Me: Scale Annotations Automatically

Click the Play arrow to start the animation.

The following objects are commonly used to annotate drawings and contain an annotative property:

  • Text
  • Dimensions
  • Hatches
  • Tolerances
  • Multileaders
  • Blocks
  • Attributes

When the Annotative property for these objects is turned on (set to Yes), these objects are called annotative objects.

You define a paper size for annotative objects. The annotation scale you set for layout viewports and model space determines the size of the annotative objects in those spaces.

Workflow for Annotating Drawings

The following steps represent a typical workflow for annotating a drawing so that your annotations will scale automatically.

  1. Create annotative styles.
  2. In model space, set the annotation scale to the scale at which the annotations will be plotted or displayed.
  3. Create annotative objects using annotative styles.

If one or more annotative objects needs to be displayed at an additional scale, follow these steps.

  1. Add the additional scale to the annotative objects.
  2. Set the annotation scale to the new scale (the annotative objects that support the new scale will be resized based on the annotation scale).
  3. Reposition the annotative objects as needed for the new scale

When you create your layouts, follow these steps.

  1. Create a new layout or make a layout current.
  2. Create viewports.
  3. Set the annotation scale for each viewport. (For each viewport, the annotation scale and viewport scale should be the same).

For more information about setting visibility for annotative objects, see Display Annotative Objects. For more information about adding scales to annotative objects, see Add and Modify Scale Representations.


Overview of Scaling Annotations (Quick Reference)

Overview of Annotations
Overview of Scaling Annotations
Set Annotation Scale
Annotate Drawings > Work with Annotations > Scale Annotations > Overview of Scaling Annotations >
Overview of Scaling Annotations
Concept Quick Reference

Commands

OBJECTSCALE

Adds or deletes supported scales for annotative objects

System Variables

ANNOAUTOSCALE

updates annotative objects to support the annotation scale when the annotation scale is changed

CANNOSCALE

Sets the name of the current annotation scale for the current space

CANNOSCALEVALUE

Returns the value of the current annotation scale

MSLTSCALE

Scales linetypes displayed on the model tab by the annotation scale

Utilities

No entries

Command Modifiers

No entries


Set Annotation Scale (Concept)

Overview of Scaling Annotations
Scale Annotations
Create Annotative Objects
Annotate Drawings > Work with Annotations > Scale Annotations >
Set Annotation Scale
Concept Procedure Quick Reference

Annotation scale is a setting that is saved with model space, layout viewports, and model views. When you add annotative objects to your drawing, they support the current annotation scale and are scaled based on that scale setting and automatically displayed at the correct size in model space.

Before you add annotative objects to your model, you set the annotation scale. Think about the eventual scale settings of the viewports in which the annotations will display. The annotation scale should be set to the same scale as the viewport in which the annotative objects will display in the layout (or the plot scale if plotting from model space). For example, if the annotative objects will display in a viewport that has a scale of 1:2, then you set the annotation scale to 1:2.

When working on the model tab or when a viewport is selected, the current annotation scale is displayed on the application or drawing status bar. You can use the status bars to change the annotation scale.

Show Me: Set Annotation Scale

Click the Play arrow to start the animation.

You can use the ANNOAUTOSCALE system variable to update annotative objects to support the current scale automatically when the annotation scale is changed. ANNOAUTOSCALE is turned off by default to keep file size down and improve performance. When ANNOAUTOSCALE is off, this button [image] is displayed this way on the right side of the drawing status bar or application status bar.

Use the CANNOSCALE system variable to set a default annotation scale setting.

See Also

    • Drawing Status Bar


Set Annotation Scale (Procedure)

Scale Annotations
Up a level to ..
Set Annotation Scale
Annotate Drawings > Work with Annotations > Scale Annotations > Set Annotation Scale >
Set Annotation Scale
Concept Procedure Quick Reference

To set the annotation scale while working on the Model tab

To set the annotation scale for a layout viewport

To set the default annotation scale


To set the annotation scale while working on the Model tab (Procedure)

Set Annotation Scale
Up a level to ..
Set Annotation Scale
Annotate Drawings > Work with Annotations > Scale Annotations > Set Annotation Scale >
Set Annotation Scale
Concept Procedure Quick Reference

To set the annotation scale while working on the Model tab

  1. On the right side of the drawing or application status bar, click the arrow next to the displayed annotation scale.
  2. Select a scale from the list.


To set the annotation scale for a layout viewport (Procedure)

Set Annotation Scale
Up a level to ..
Set Annotation Scale
Annotate Drawings > Work with Annotations > Scale Annotations > Set Annotation Scale >
Set Annotation Scale
Concept Procedure Quick Reference

To set the annotation scale for a layout viewport

  1. On a layout tab, select a viewport.
  2. On the right side of the drawing or application status bar, click the arrow next to the displayed annotation scale.
  3. Select a scale from the list.


To set the default annotation scale (Procedure)

Set Annotation Scale
Up a level to ..
Create Annotative Objects
Annotate Drawings > Work with Annotations > Scale Annotations > Set Annotation Scale >
Set Annotation Scale
Concept Procedure Quick Reference

To set the default annotation scale

  1. At the command prompt, enter cannoscale.
  2. Enter a scale name. Press ENTER
Command entry: CANNOSCALE


Set Annotation Scale (Quick Reference)

Overview of Scaling Annotations
Set Annotation Scale
Overview of Creating Annotative Objects
Annotate Drawings > Work with Annotations > Scale Annotations > Set Annotation Scale >
Set Annotation Scale
Concept Procedure Quick Reference

Commands

OBJECTSCALE

Adds or deletes supported scales for annotative objects

System Variables

ANNOAUTOSCALE

updates annotative objects to support the annotation scale when the annotation scale is changed

CANNOSCALE

Sets the name of the current annotation scale for the current space

CANNOSCALEVALUE

Returns the value of the current annotation scale

MSLTSCALE

Scales linetypes displayed on the model tab by the annotation scale

Utilities

No entries

Command Modifiers

No entries


Create Annotative Objects

Set Annotation Scale
Scale Annotations
Overview of Creating Annotative Objects
Annotate Drawings > Work with Annotations > Scale Annotations >
Create Annotative Objects
Concept Procedure

Objects that are commonly used to annotate drawings have a property called Annotative. When the Annotative property for these objects is turned on (set to Yes), these objects are called annotative objects

Topics in this section

  • Overview of Creating Annotative Objects

    When you add annotations to your drawing, you can turn on the Annotative property for those objects. These annotative objects are scaled based on the current annotation scale setting and are automatically displayed at the correct size

  • Work with Annotative Styles

    You can minimize the steps to annotate a drawing by using annotative styles.

  • Create Annotative Text

    Use annotative text for notes and labels in your drawing. You create annotative text by using an annotative text style, which sets the height of the text on the paper.

  • Create Annotative Dimensions and Tolerances

    You can create annotative dimensions for measurements in your drawing through annotative dimension styles.

  • Create Annotative Leaders and Multileaders

    Leaders and multileader are used to add call outs to your drawings. You can create annotative leaders through an annotative dimension style and multileaders through an annotative multileader style.

  • Create Annotative Blocks and Attributes

    If you want to use geometric objects to annotate your drawing, combine the objects into an annotative block definition.

  • Create Annotative Hatches

    Use an annotative hatch to symbolically represent material such as sand, concrete, steel, earth, etc.


Create Annotative Objects (Procedure)

Set Annotation Scale
Up a level to ..
Work with Annotative Styles
Annotate Drawings > Work with Annotations > Scale Annotations > Create Annotative Objects >
Create Annotative Objects
Concept Procedure

To create an annotative style

To create annotative objects from annotative styles

To create a new annotative text style

To change an existing nonannotative text style to annotative

To create annotative single-line text

To create annotative multiline text

To change existing multiline text to annotative or nonannotative

To change existing text (single-line or multiline) to be annotative or nonannotative

To update text to reflect the current annotative properties of the text style

To change the height of annotative text as it will display on the paper

To create a new annotative dimension style

To change an existing dimension style to annotative

To create an annotative dimension

To change an existing dimension to annotative or nonannotative

To update dimensions to reflect the current annotative properties of the dimension style

To create an annotative tolerance

To create a new annotative multileader style

To change an existing multileader style to annotative

To create an annotative multileader

To change an existing leader or multileader to annotative or nonannotative

To create an annotative block definition

To update existing block references to be annotative

To create an annotative attribute definition

To create an annotative hatch object

To change an existing hatch object to annotative


Overview of Creating Annotative Objects (Concept)

Create Annotative Objects
Create Annotative Objects
Work with Annotative Styles
Annotate Drawings > Work with Annotations > Scale Annotations > Create Annotative Objects >
Overview of Creating Annotative Objects
Concept Quick Reference

When you add annotations to your drawing, you can turn on the Annotative property for those objects. These annotative objects are scaled based on the current annotation scale setting and are automatically displayed at the correct size

Annotative objects are defined at a paper height and display at the size determined by the annotation scale.

The following objects can be annotative (have an Annotative property):

  • Hatches
  • Text (single-line and multiline)
  • Dimensions
  • Tolerances
  • Leaders and multileaders (created with MLEADER)
  • Blocks
  • Attributes

Many of the dialog boxes used to create these objects contain an Annotative check box where you can make the object annotative. You can also change existing objects to be annotative by changing the annotative property in the Properties palette.

When you hover the cursor over an annotative object that supports one annotation scale, the cursor displays a [image] icon. When the object supports more than one annotation scale, it displays a [image] icon.

Text, dimension, and multileader styles can also be annotative. Annotative styles create annotative objects.

Visual Fidelity for Annotative Objects

When working with annotative objects, this option allows you to maintain visual fidelity for these objects when they are viewed in AutoCAD 2007 and earlier releases. Visual fidelity is controlled by the SAVEFIDELITY system variable.

If you work primarily in model space, it is recommended that you turn off visual fidelity (set SAVEFIDELITY to 0). However, if you need to exchange drawings with other users, and layout fidelity is most important, then visual fidelity should be turned on (set SAVEFIDELITY to 1).

Annotative objects may have multiple scale representations. When visual fidelity is on, annotative objects are decomposed and scale representations are saved (in an anonymous block) to separate layers, which are named based on their original layer and appended with a number. If you explode the block in AutoCAD 2007 or earlier releases, and then open the drawing in AutoCAD 2008 or later releases, each scale representation becomes a separate annotative object, each with one annotation scale. It is not recommended that you edit or create objects on these layers when working with a drawing created in AutoCAD 2008 and later releases in AutoCAD 2007 and earlier releases.

When this option is not selected, a single model space representation is displayed on the Model tab. More annotation objects may be displayed on the Model tab depending on the ANNOALLVISIBLE setting. Also, more objects may be displayed in paper space viewports at different sizes than in AutoCAD 2008 and later releases.

For a procedure to set this option for annotative objects, see To save drawings with visual fidelity for annotative objects.

See Also

    • Work with Annotative Styles


Overview of Creating Annotative Objects (Quick Reference)

Set Annotation Scale
Overview of Creating Annotative Objects
Work with Annotative Styles
Annotate Drawings > Work with Annotations > Scale Annotations > Create Annotative Objects > Overview of Creating Annotative Objects >
Overview of Creating Annotative Objects
Concept Quick Reference

Commands

ATTDEF

Creates an attribute definition for storing data in a block

BLOCK

Creates a block definition from selected objects

DIMSTYLE

Creates and modifies dimension styles

HATCH

Fills an enclosed area or selected objects with a hatch pattern, solid fill, or gradient fill

MLEADERSTYLE

Creates and modifies multileader styles

MTEXT

Creates a multiline text object

STYLE

Creates, modifies, or specifies text styles

TEXT

Creates a single-line text object

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Work with Annotative Styles (Concept)

Overview of Creating Annotative Objects
Create Annotative Objects
Create Annotative Text
Annotate Drawings > Work with Annotations > Scale Annotations > Create Annotative Objects >
Work with Annotative Styles
Concept Procedure Quick Reference

You can minimize the steps to annotate a drawing by using annotative styles.

Annotative text, dimension, and multileader styles create annotative objects.

The dialog boxes used to define these objects contain an Annotative check box where you can make the styles annotative. Annotative styles display a special [image] icon before their names in dialog boxes and the Properties palette.

You should specify the Paper Height value for any annotative text styles you create. The Paper Height setting specifies the height of the text in paper space.

NoteIf you’ve specified the Paper Height value for a dimension or multileader style, this setting overrides the text style Paper Height setting.

If you redefine styles to be annotative or nonannotative, existing objects that reference those styles are not automatically updated to reflect the annotative property of the style or definition. Use the ANNOUPDATE command to update the existing objects to the current Annotative properties of the style.

When you change the Style property of an existing object (whether it’s annotative or nonannotative), the object’s annotative properties will match that of the new style. If the style does not have a fixed height (the Height value is 0), the paper height of the object is calculated based on the object’s current height and the annotation scale.

See Also

    • Work with Text Styles

    • Create Annotative Text

    • Use Dimension Styles

    • Create Annotative Dimensions and Tolerances

    • Work with Leader Styles

    • Create Annotative Leaders and Multileaders


Work with Annotative Styles (Procedure)

Create Annotative Objects
Up a level to ..
Work with Annotative Styles
Annotate Drawings > Work with Annotations > Scale Annotations > Create Annotative Objects > Work with Annotative Styles >
Work with Annotative Styles
Concept Procedure Quick Reference

To create an annotative style

To create annotative objects from annotative styles


To create an annotative style (Procedure)

Work with Annotative Styles
Up a level to ..
Work with Annotative Styles
Annotate Drawings > Work with Annotations > Scale Annotations > Create Annotative Objects > Work with Annotative Styles >
Work with Annotative Styles
Concept Procedure Quick Reference

To create an annotative style

  • Follow the steps in one of the following procedures
    • To create a new annotative text style
    • To change an existing nonannotative text style to annotative
    • To create a new annotative dimension style
    • To change an existing dimension style to annotative
    • To create a new annotative multileader style
    • To change an existing multileader style to annotative


To create annotative objects from annotative styles (Procedure)

Work with Annotative Styles
Up a level to ..
Create Annotative Text
Annotate Drawings > Work with Annotations > Scale Annotations > Create Annotative Objects > Work with Annotative Styles >
Work with Annotative Styles
Concept Procedure Quick Reference

To create annotative objects from annotative styles

  • Follow the steps in one of the following procedures
    • To create annotative single-line text
    • To create annotative multiline text
    • To create an annotative dimension
    • To create an annotative multileader


Work with Annotative Styles (Quick Reference)

Overview of Creating Annotative Objects
Work with Annotative Styles
Create Annotative Text
Annotate Drawings > Work with Annotations > Scale Annotations > Create Annotative Objects > Work with Annotative Styles >
Work with Annotative Styles
Concept Procedure Quick Reference

Commands

ANNOUPDATE

Updates existing annotative objects to match the current properties of their styles

DIMSTYLE

Creates and modifies dimension styles

MLEADERSTYLE

Creates and modifies multileader styles

STYLE

Creates, modifies, or specifies text styles

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Create Annotative Text (Concept)

Work with Annotative Styles
Create Annotative Objects
Create Annotative Dimensions and Tolerances
Annotate Drawings > Work with Annotations > Scale Annotations > Create Annotative Objects >
Create Annotative Text
Concept Procedure Quick Reference

Use annotative text for notes and labels in your drawing. You create annotative text by using an annotative text style, which sets the height of the text on the paper.

The current annotation scale automatically determines the display size of the text in model space or paper space viewports.

For example, you want text to display at a height of 3/16" on the paper, so you can define a text style to have a paper height of 3/16". When you add text to a viewport that has a scale of 1/2"=1'0", the current annotation scale, which is set to the same scale as the viewport’s, automatically scales the text to display appropriately at 4.5".

You can also change existing nonannotative text to annotative by changing the text’s Annotative property to Yes. This applies to any text created through text styles or through the TEXT and MTEXT commands.

You can set the orientation of annotative text objects to match the orientation of the paper. For more information about setting the orientation of annotative objects, see Set Orientation for Annotations.

See Also

    • Create Text

    • Work with Annotative Styles


Create Annotative Text (Procedure)

Work with Annotative Styles
Up a level to ..
Create Annotative Text
Annotate Drawings > Work with Annotations > Scale Annotations > Create Annotative Objects > Create Annotative Text >
Create Annotative Text
Concept Procedure Quick Reference

To create a new annotative text style

To change an existing nonannotative text style to annotative

To create annotative single-line text

To create annotative multiline text

To change existing multiline text to annotative or nonannotative

To change existing text (single-line or multiline) to be annotative or nonannotative

To update text to reflect the current annotative properties of the text style

To change the height of annotative text as it will display on the paper


To create a new annotative text style (Procedure)

Create Annotative Text
Up a level to ..
Create Annotative Text
Annotate Drawings > Work with Annotations > Scale Annotations > Create Annotative Objects > Create Annotative Text >
Create Annotative Text
Concept Procedure Quick Reference

To create a new annotative text style

  1. Click Annotate tab [image] Text panel [image] Text Style. At the command prompt, enter style.
  2. In the Text Style dialog box, click New.
  3. In the New Text Style dialog box, enter a new style name.
  4. Click OK.
  5. In the Text Style dialog box, under Size, select Annotative.
  6. In the Paper Text Height box, enter the height of the text as it will display on paper.
  7. Click Apply.
  8. (Optional) Click Set Current to set this style as the current text style.
  9. Click Close.
Command entry: STYLE


To change an existing nonannotative text style to annotative (Procedure)

Create Annotative Text
Up a level to ..
Create Annotative Text
Annotate Drawings > Work with Annotations > Scale Annotations > Create Annotative Objects > Create Annotative Text >
Create Annotative Text
Concept Procedure Quick Reference

To change an existing nonannotative text style to annotative

  1. Click Annotate tab [image] Text panel [image] Text Style. At the command prompt, enter style.
  2. In the Text Style dialog box, Styles list, select a style.
    NoteA [image] icon next to a text style name indicates that the style is already annotative.
  3. Under Size, select Annotative.
  4. In the Paper Text Height box, enter the height of the text as it will display on paper.
  5. Click Apply.
  6. (Optional) Click Set Current to set this style as the current text style.
  7. Click Close.
Command entry: STYLE


To create annotative single-line text (Procedure)

Create Annotative Text
Up a level to ..
Create Annotative Text
Annotate Drawings > Work with Annotations > Scale Annotations > Create Annotative Objects > Create Annotative Text >
Create Annotative Text
Concept Procedure Quick Reference

To create annotative single-line text

  1. Click Annotate tab [image] Text panel [image] Text Style. At the command prompt, enter style.
  2. In the Text Style dialog box, Styles list, select an annotative text style.
    NoteA [image] icon next to a text style name indicates that the style is annotative.
  3. Click Set Current to set this style as the current text style.
  4. Click Close.
  5. Click Annotate tab [image] Text panel [image] Single Line Text. At the command prompt, enter text.
  6. Specify the insertion point for the first character.
  7. Specify a text rotation angle.
  8. Enter the text.
Command entry: STYLE, TEXT


To create annotative multiline text (Procedure)

Create Annotative Text
Up a level to ..
Create Annotative Text
Annotate Drawings > Work with Annotations > Scale Annotations > Create Annotative Objects > Create Annotative Text >
Create Annotative Text
Concept Procedure Quick Reference

To create annotative multiline text

  1. Click Annotate tab [image] Text panel [image] Multiline Text. At the command prompt, enter mtext.
  2. Specify opposite corners of a bounding box to define the width of the multiline text object. The In-Place Text Editor is displayed.
  3. Do one of the following:
    • On the Text Formatting toolbar, in the Text Style control, click the arrow and select an existing annotative text style from the list.
    • Click the Annotative button on the toolbar to create annotative multiline text.
  4. Enter the text.
  5. On the Text Formatting toolbar, click OK.
Command entry: MTEXT


To change existing multiline text to annotative or nonannotative (Procedure)

Create Annotative Text
Up a level to ..
Create Annotative Text
Annotate Drawings > Work with Annotations > Scale Annotations > Create Annotative Objects > Create Annotative Text >
Create Annotative Text
Concept Procedure Quick Reference

To change existing multiline text to annotative or nonannotative

  1. Double-click a multiline text object. The In-Place Text Editor is displayed.
  2. Click the Annotative [image] button on the toolbar to change existing multiline text to annotative or nonannotative.

    When the Annotative button is depressed, the text is annotative. When the button is not depressed, the text is nonannotative.

  3. Click OK to save the changes.
Shortcut menu: Select and right-click the text. Click Properties to change the annotative property of the text.


To change existing text (single-line or multiline) to be annotative or nonannotative (Procedure)

Create Annotative Text
Up a level to ..
Create Annotative Text
Annotate Drawings > Work with Annotations > Scale Annotations > Create Annotative Objects > Create Annotative Text >
Create Annotative Text
Concept Procedure Quick Reference

To change existing text (single-line or multiline) to be annotative or nonannotative

  1. In the drawing, select a text object.
  2. To display the Properties palette, click Tools menu [image] Palettes [image] Properties.At the command prompt, enter properties.
  3. In the Properties palette, under Text, click Annotative.
  4. On the drop-down list, select Yes or No.
Command entry: PROPERTIES


To update text to reflect the current annotative properties of the text style (Procedure)

Create Annotative Text
Up a level to ..
Create Annotative Text
Annotate Drawings > Work with Annotations > Scale Annotations > Create Annotative Objects > Create Annotative Text >
Create Annotative Text
Concept Procedure Quick Reference

To update text to reflect the current annotative properties of the text style

  1. Click Annotate tab [image] Text panel [image] Text Style. At the command prompt, enter style.
  2. In the Text Style dialog box, Styles list, select the style used by the text that you want to update.
    NoteA [image] icon next to a text style name indicates that the style is already annotative.
  3. Under Size, select Annotative.
  4. In the Paper Text Height box, enter the height of the text as it will display on paper.
  5. Click Apply.
  6. (Optional) Click Set Current to set this style as the current text style.
  7. Click Close.
  8. In the drawing, select all the text objects (text and mtext) that you want to update.
  9. At the command prompt, enter annoupdate.
Command entry: STYLE


To change the height of annotative text as it will display on the paper (Procedure)

Create Annotative Text
Up a level to ..
Create Annotative Dimensions and Tolerances
Annotate Drawings > Work with Annotations > Scale Annotations > Create Annotative Objects > Create Annotative Text >
Create Annotative Text
Concept Procedure Quick Reference

To change the height of annotative text as it will display on the paper

  1. In the drawing, select a text object.
  2. To display the Properties palette, click Tools menu [image] Palettes [image] Properties.At the command prompt, enter properties.
  3. In the Properties palette, under Paper Text Height, enter a new value.
Command entry: PROPERTIES


Create Annotative Text (Quick Reference)

Work with Annotative Styles
Create Annotative Text
Create Annotative Dimensions and Tolerances
Annotate Drawings > Work with Annotations > Scale Annotations > Create Annotative Objects > Create Annotative Text >
Create Annotative Text
Concept Procedure Quick Reference

Commands

MTEXT

Creates a multiline text object

STYLE

Creates, modifies, or specifies text styles

TEXT

Creates a single-line text object

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Create Annotative Dimensions and Tolerances (Concept)

Create Annotative Text
Create Annotative Objects
Create Annotative Leaders and Multileaders
Annotate Drawings > Work with Annotations > Scale Annotations > Create Annotative Objects >
Create Annotative Dimensions and Tolerances
Concept Procedure Quick Reference

You can create annotative dimensions for measurements in your drawing through annotative dimension styles.

Annotative dimension styles create dimensions in which all the elements of the dimension, such as text, spacing, and arrows, scale uniformly by the annotation scale.

If you associate a dimension to an annotative object, the associativity of the dimension is lost.

You can also change an existing nonannotative dimension to annotative by changing the dimension’s Annotative property to Yes.

NoteWhen the current dimension style is annotative, the value of DIMSCALE is automatically set to zero, and does not affect the dimension scale.

You can also create annotative tolerances. Geometric tolerances show acceptable deviations of form, profile, orientation, location, and runout of a feature.

See Also

    • Dimensions and Tolerances

    • Use Dimension Styles

    • Work with Annotative Styles


Create Annotative Dimensions and Tolerances (Procedure)

Create Annotative Text
Up a level to ..
Create Annotative Dimensions and Tolerances
Annotate Drawings > Work with Annotations > Scale Annotations > Create Annotative Objects > Create Annotative Dimensions and Tolerances >
Create Annotative Dimensions and Tolerances
Concept Procedure Quick Reference

To create a new annotative dimension style

To change an existing dimension style to annotative

To create an annotative dimension

To change an existing dimension to annotative or nonannotative

To update dimensions to reflect the current annotative properties of the dimension style

To create an annotative tolerance


To create a new annotative dimension style (Procedure)

Create Annotative Dimensions and Tolerances
Up a level to ..
Create Annotative Dimensions and Tolerances
Annotate Drawings > Work with Annotations > Scale Annotations > Create Annotative Objects > Create Annotative Dimensions and Tolerances >
Create Annotative Dimensions and Tolerances
Concept Procedure Quick Reference

To create a new annotative dimension style

  1. Click Annotate tab [image] Dimensions panel [image] Dimension Style. At the command prompt, enter dimstyle.
  2. In the Dimension Style Manager dialog box, click New.
  3. In the Create New Dimension Style dialog box, enter a new style name.
  4. Select Annotative.
  5. Click Continue.
  6. In the New Dimension Style dialog box, select the appropriate tab and make changes to define the dimension style.
  7. Click OK.
  8. (Optional) Click Set Current to set this style as the current dimension style.
  9. Click Close.
Command entry: DIMSTYLE


To change an existing dimension style to annotative (Procedure)

Create Annotative Dimensions and Tolerances
Up a level to ..
Create Annotative Dimensions and Tolerances
Annotate Drawings > Work with Annotations > Scale Annotations > Create Annotative Objects > Create Annotative Dimensions and Tolerances >
Create Annotative Dimensions and Tolerances
Concept Procedure Quick Reference

To change an existing dimension style to annotative

  1. Click Annotate tab [image] Dimensions panel [image] Dimension Style. At the command prompt, enter dimstyle.
  2. In the Dimension Style Manager dialog box, Styles list, select a style.
    NoteA [image] icon next to a dimension style name indicates that the style is already annotative.
  3. Click Modify.
  4. In the Modify Dimension Style dialog box, Fit tab, under Scale for Dimension Features, select Annotative.
  5. Click OK.
  6. (Optional) Click Set Current to set this style as the current dimension style.
  7. Click Close.
Command entry: DIMSTYLE


To create an annotative dimension (Procedure)

Create Annotative Dimensions and Tolerances
Up a level to ..
Create Annotative Dimensions and Tolerances
Annotate Drawings > Work with Annotations > Scale Annotations > Create Annotative Objects > Create Annotative Dimensions and Tolerances >
Create Annotative Dimensions and Tolerances
Concept Procedure Quick Reference

To create an annotative dimension

  1. Click Annotate tab [image] Dimensions panel [image] Dimension Style. At the command prompt, enter dimstyle.
  2. In the Dimension Style Manager dialog box, Styles list, select an annotative dimension style.

    A [image] icon next to a dimension style name indicates that the style is annotative.

  3. Click Set Current.
  4. Click Close.
  5. Click Dimension menu and select a dimension type. At the command prompt, enter a dimension command.
  6. Press ENTER to select the object to dimension or specify the first and second extension line origins.
  7. Specify the dimension line location.
Command entry: DIMSTYLE


To change an existing dimension to annotative or nonannotative (Procedure)

Create Annotative Dimensions and Tolerances
Up a level to ..
Create Annotative Dimensions and Tolerances
Annotate Drawings > Work with Annotations > Scale Annotations > Create Annotative Objects > Create Annotative Dimensions and Tolerances >
Create Annotative Dimensions and Tolerances
Concept Procedure Quick Reference

To change an existing dimension to annotative or nonannotative

  1. Select a dimension in a drawing.
  2. To display the Properties palette, click Tools menu [image] Palettes [image] Properties.At the command prompt, enter properties.
  3. In the Properties palette, under Misc, click Annotative.
  4. On the drop-down list, select Yes or No.
Command entry: PROPERTIES


To update dimensions to reflect the current annotative properties of the dimension style (Procedure)

Create Annotative Dimensions and Tolerances
Up a level to ..
Create Annotative Dimensions and Tolerances
Annotate Drawings > Work with Annotations > Scale Annotations > Create Annotative Objects > Create Annotative Dimensions and Tolerances >
Create Annotative Dimensions and Tolerances
Concept Procedure Quick Reference

To update dimensions to reflect the current annotative properties of the dimension style

  1. Click Annotate tab [image] Dimensions panel [image] Dimension Style. At the command prompt, enter dimstyle.
  2. In the Dimension Style Manager dialog box, Styles list, select a style.
    NoteA [image] icon next to a dimension style name indicates that the style is already annotative.
  3. Click Modify.
  4. In the Modify Dimension Style dialog box, Fit tab, under Scale for Dimension Features, select Annotative.
  5. Click OK.
  6. (Optional) Click Set Current to set this style as the current dimension style.
  7. Click Close.
  8. In the drawing, select all the dimensions that you want to update.
  9. At the command prompt, enter annoupdate.
Command entry: STYLE


To create an annotative tolerance (Procedure)

Create Annotative Dimensions and Tolerances
Up a level to ..
Create Annotative Leaders and Multileaders
Annotate Drawings > Work with Annotations > Scale Annotations > Create Annotative Objects > Create Annotative Dimensions and Tolerances >
Create Annotative Dimensions and Tolerances
Concept Procedure Quick Reference

To create an annotative tolerance

  1. Follow the steps in To create geometric tolerances .
  2. To display the Properties palette, click Tools menu [image] Palettes [image] Properties.At the command prompt, enter properties.
  3. In the Properties palette, under Misc, click Annotative.
  4. On the drop-down list, select Yes or No.
Command entry: PROPERTIES


Create Annotative Dimensions and Tolerances (Quick Reference)

Create Annotative Text
Create Annotative Dimensions and Tolerances
Create Annotative Leaders and Multileaders
Annotate Drawings > Work with Annotations > Scale Annotations > Create Annotative Objects > Create Annotative Dimensions and Tolerances >
Create Annotative Dimensions and Tolerances
Concept Procedure Quick Reference

Commands

DIMSTYLE

Creates and modifies dimension styles

STYLE

Creates, modifies, or specifies text styles

System Variables

DIMANNO

Creates a single-line text object

Utilities

No entries

Command Modifiers

No entries


Create Annotative Leaders and Multileaders (Concept)

Create Annotative Dimensions and Tolerances
Create Annotative Objects
Create Annotative Blocks and Attributes
Annotate Drawings > Work with Annotations > Scale Annotations > Create Annotative Objects >
Create Annotative Leaders and Multileaders
Concept Procedure Quick Reference

Leaders and multileader are used to add call outs to your drawings. You can create annotative leaders through an annotative dimension style and multileaders through an annotative multileader style.

When you create a leader, you create two separate objects: the leader and the text, block, or tolerance associated with the leader. When you create a multileader, you create a single object.

If the multileader style is annotative, the associated text or tolerance will be annotative as well, regardless of the annotative setting of the text style or tolerance.

Blocks used with annotative leaders must be annotative as well. Blocks used with annotative multileaders can be nonannotative.

You can also change the Annotative property of leaders and multileaders in the Properties palette.

See Also

    • Create Leaders

    • Work with Leader Styles


Create Annotative Leaders and Multileaders (Procedure)

Create Annotative Dimensions and Tolerances
Up a level to ..
Create Annotative Leaders and Multileaders
Annotate Drawings > Work with Annotations > Scale Annotations > Create Annotative Objects > Create Annotative Leaders and Multileaders >
Create Annotative Leaders and Multileaders
Concept Procedure Quick Reference

To create a new annotative multileader style

To change an existing multileader style to annotative

To create an annotative multileader

To change an existing leader or multileader to annotative or nonannotative


To create a new annotative multileader style (Procedure)

Create Annotative Leaders and Multileaders
Up a level to ..
Create Annotative Leaders and Multileaders
Annotate Drawings > Work with Annotations > Scale Annotations > Create Annotative Objects > Create Annotative Leaders and Multileaders >
Create Annotative Leaders and Multileaders
Concept Procedure Quick Reference

To create a new annotative multileader style

  1. Click Annotate tab [image] Multileaders panel [image] Multileader Style. At the command prompt, enter mleaderstyle.
  2. In the Multileader Style Manager dialog box, click New.
  3. In the Create New Multileader Style dialog box, enter a new style name, and select Annotative.
  4. Click Continue.
  5. In the Modify Multileader Style dialog box, select the appropriate tab and make changes to define the multileader style.
  6. Click OK.
  7. (Optional) Click Set Current to set this style as the multileader style.
  8. Click Close.
Command entry: MLEADERSTYLE


To change an existing multileader style to annotative (Procedure)

Create Annotative Leaders and Multileaders
Up a level to ..
Create Annotative Leaders and Multileaders
Annotate Drawings > Work with Annotations > Scale Annotations > Create Annotative Objects > Create Annotative Leaders and Multileaders >
Create Annotative Leaders and Multileaders
Concept Procedure Quick Reference

To change an existing multileader style to annotative

  1. Click Annotate tab [image] Multileaders panel [image] Multileader Style. At the command prompt, enter mleaderstyle.
  2. In the Multileader Style Manager dialog box, Styles list, select a style.
    NoteA [image] icon next to a multileader style name indicates that the style is already annotative.
  3. Click Modify.
  4. In the Modify Multileader Style dialog box, Leader Structure tab, under Scale, select Annotative.
  5. Click OK.
  6. (Optional) Click Set Current to set this style as the multileader style.
  7. Click Close.
Command entry: MLEADERSTYLE


To create an annotative multileader (Procedure)

Create Annotative Leaders and Multileaders
Up a level to ..
Create Annotative Leaders and Multileaders
Annotate Drawings > Work with Annotations > Scale Annotations > Create Annotative Objects > Create Annotative Leaders and Multileaders >
Create Annotative Leaders and Multileaders
Concept Procedure Quick Reference

To create an annotative multileader

  1. Click Annotate tab [image] Multileaders panel [image] Multileader Style. At the command prompt, enter mleaderstyle.
  2. In the Multileader Style Manager dialog box, Styles list, select an annotative multileader style.
    NoteA [image] icon next to a multileader style name indicates that the style is annotative.
  3. Click Set Current.
  4. Click Close.
  5. Click Annotate tab [image] Multileaders panel [image] Multileader. At the command prompt, enter mleader.
  6. Choose a point for the leader head.
  7. Choose the last point for the leader.
  8. Specify the text width.
  9. Enter text.
  10. On the Text Formatting toolbar, click OK.
Command entry: MLEADERSTYLE, MLEADER


To change an existing leader or multileader to annotative or nonannotative (Procedure)

Create Annotative Leaders and Multileaders
Up a level to ..
Create Annotative Blocks and Attributes
Annotate Drawings > Work with Annotations > Scale Annotations > Create Annotative Objects > Create Annotative Leaders and Multileaders >
Create Annotative Leaders and Multileaders
Concept Procedure Quick Reference

To change an existing leader or multileader to annotative or nonannotative

  1. Select a leader or multileader in a drawing.
  2. To display the Properties palette, click Tools menu [image] Palettes [image] Properties.At the command prompt, enter properties.
  3. In the Properties palette, under Misc, click Annotative.
  4. On the drop-down list, select Yes or No.
Command entry: PROPERTIES


Create Annotative Leaders and Multileaders (Quick Reference)

Create Annotative Dimensions and Tolerances
Create Annotative Leaders and Multileaders
Create Annotative Blocks and Attributes
Annotate Drawings > Work with Annotations > Scale Annotations > Create Annotative Objects > Create Annotative Leaders and Multileaders >
Create Annotative Leaders and Multileaders
Concept Procedure Quick Reference

Commands

MLEADERSTYLE

Creates and modifies multileader styles

STYLE

Creates, modifies, or specifies text styles

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Create Annotative Blocks and Attributes (Concept)

Create Annotative Leaders and Multileaders
Create Annotative Objects
Create Annotative Hatches
Annotate Drawings > Work with Annotations > Scale Annotations > Create Annotative Objects >
Create Annotative Blocks and Attributes
Concept Procedure Quick Reference

If you want to use geometric objects to annotate your drawing, combine the objects into an annotative block definition.

Annotative block definitions create annotative block references. Annotative block references and attributes initially support the current annotation scale at the time they are inserted. You should insert annotative block references with a unit factor of 1.

You cannot change the Annotative property of individual block references.

To set an annotative block’s paper size, you should define the block in paper space or on the Model tab with the annotation scale set to 1:1.

When creating and working with annotative blocks and annotative objects within blocks, the following points should be noted:

  • Nonannotative blocks can contain annotative objects, which are scaled by the block’s scale factor in addition to the annotation scale.
  • Annotative blocks cannot reside in annotative blocks.
  • Annotative block references are scaled uniformly by the current annotation scale as well as any user scale applied to the block reference.
  • Blocks that contain annotative objects should not be manually scaled.

You can define annotative attributes for annotative and nonannotative blocks. Use annotative attributes with nonannotative blocks when you want the geometry in the block to display on the paper based on the scale of the viewport, but you want the attribute text to display at the Paper Height defined for the attribute.

You can set the orientation of annotative blocks to match the orientation of the paper. For more information about setting the orientation of annotative objects, see Set Orientation for Annotations.

You can use the ANNOTATIVEDWG system variable to specify whether or not the entire drawing will behave as an annotative block when inserted into another drawing. The ANNOTATIVEDWG system variable becomes read-only if the drawing contains annotative objects.

NoteThe INSUNITS setting is ignored when inserting annotative blocks into a drawing.
See Also

    • Create and Use Blocks (Symbols)

    • Attach Data to Blocks (Block Attributes)


Create Annotative Blocks and Attributes (Procedure)

Create Annotative Leaders and Multileaders
Up a level to ..
Create Annotative Blocks and Attributes
Annotate Drawings > Work with Annotations > Scale Annotations > Create Annotative Objects > Create Annotative Blocks and Attributes >
Create Annotative Blocks and Attributes
Concept Procedure Quick Reference

To create an annotative block definition

To update existing block references to be annotative

To create an annotative attribute definition


To create an annotative block definition (Procedure)

Create Annotative Blocks and Attributes
Up a level to ..
Create Annotative Blocks and Attributes
Annotate Drawings > Work with Annotations > Scale Annotations > Create Annotative Objects > Create Annotative Blocks and Attributes >
Create Annotative Blocks and Attributes
Concept Procedure Quick Reference

To create an annotative block definition

  1. Click Blocks & References tab [image] Block panel [image] Create. At the command prompt, enter block.
  2. In the Block Definition dialog box, enter a block name in the Name box.
  3. Under Objects, select Convert to Block.
  4. Click Select Objects.
  5. Under Behavior, select Annotative.
  6. Use your pointing device to select objects to be included in block definition. Press ENTER to complete object selection.
  7. In the Block Definition dialog box, under Base Point, specify the block insertion point.
  8. Click OK.
Command entry: BLOCK


To update existing block references to be annotative (Procedure)

Create Annotative Blocks and Attributes
Up a level to ..
Create Annotative Blocks and Attributes
Annotate Drawings > Work with Annotations > Scale Annotations > Create Annotative Objects > Create Annotative Blocks and Attributes >
Create Annotative Blocks and Attributes
Concept Procedure Quick Reference

To update existing block references to be annotative

  1. Click Blocks & References tab [image] Block panel [image] Create. At the command prompt, enter block.
  2. In the Block Definition dialog box, Name box, click the arrow and select the name of the block you want to update to be annotative.
  3. Under Behavior, select Annotative.
  4. Click OK.

    The existing block references in the drawing are now annotative.

Command entry: BLOCK


To create an annotative attribute definition (Procedure)

Create Annotative Blocks and Attributes
Up a level to ..
Create Annotative Hatches
Annotate Drawings > Work with Annotations > Scale Annotations > Create Annotative Objects > Create Annotative Blocks and Attributes >
Create Annotative Blocks and Attributes
Concept Procedure Quick Reference

To create an annotative attribute definition

  1. Click Blocks & References tab [image] Attributes panel [image] Define Attributes. At the command prompt, enter attdef.
  2. In the Attribute Definition dialog box, set the Attribute Modes and enter Tag information, Insertion Point and Text Settings.
  3. Under Text Settings, select Annotative.
  4. Click OK.
  5. Specify the start point.
  6. Press ENTER.
Command entry: ATTDEF


Create Annotative Blocks and Attributes (Quick Reference)

Create Annotative Leaders and Multileaders
Create Annotative Blocks and Attributes
Create Annotative Hatches
Annotate Drawings > Work with Annotations > Scale Annotations > Create Annotative Objects > Create Annotative Blocks and Attributes >
Create Annotative Blocks and Attributes
Concept Procedure Quick Reference

Commands

ATTDEF

Creates an attribute definition for storing data in a block

BLOCK

Creates a block definition from selected objects

System Variables

ANNOTATIVEDWG

Specifies whether or not the drawing will behave as an annotative block when inserted into another drawing

Utilities

No entries

Command Modifiers

No entries


Create Annotative Hatches (Concept)

Create Annotative Blocks and Attributes
Create Annotative Objects
Display Annotative Objects
Annotate Drawings > Work with Annotations > Scale Annotations > Create Annotative Objects >
Create Annotative Hatches
Concept Procedure Quick Reference

Use an annotative hatch to symbolically represent material such as sand, concrete, steel, earth, etc.

An annotative hatch is defined at a paper size. You can create individual annotative hatch objects as well as annotative hatch patterns.

Annotative hatch patterns (stored in the acad.pat file) create annotative hatch objects. When you select an annotative hatch pattern in the Hatch and Gradient dialog box, the Annotative check box is selected automatically.

The orientation of annotative hatches always matches the orientation of the layout.


Create Annotative Hatches (Procedure)

Create Annotative Blocks and Attributes
Up a level to ..
Create Annotative Hatches
Annotate Drawings > Work with Annotations > Scale Annotations > Create Annotative Objects > Create Annotative Hatches >
Create Annotative Hatches
Concept Procedure Quick Reference

To create an annotative hatch object

To change an existing hatch object to annotative


To create an annotative hatch object (Procedure)

Create Annotative Hatches
Up a level to ..
Create Annotative Hatches
Annotate Drawings > Work with Annotations > Scale Annotations > Create Annotative Objects > Create Annotative Hatches >
Create Annotative Hatches
Concept Procedure Quick Reference

To create an annotative hatch object

  1. Click Home tab [image] Draw panel [image] Hatch.At the command prompt, enter hatch.
  2. In the Hatch and Gradient dialog box, click Add: Select Objects.
  3. Specify the object or objects you want to hatch.
  4. Under Options, select Annotative.
  5. Click OK.
Command entry: HATCH


To change an existing hatch object to annotative (Procedure)

Create Annotative Hatches
Up a level to ..
Display Annotative Objects
Annotate Drawings > Work with Annotations > Scale Annotations > Create Annotative Objects > Create Annotative Hatches >
Create Annotative Hatches
Concept Procedure Quick Reference

To change an existing hatch object to annotative

  1. In model space, at the command prompt, enter cannoscale.
  2. Enter the scale set for the viewport in which the hatch is displayed.
  3. In the drawing, select the hatch.
  4. In the Properties palette, under Pattern, click Annotative.
  5. On the drop-down list, select Yes.


Create Annotative Hatches (Quick Reference)

Create Annotative Blocks and Attributes
Create Annotative Hatches
Display Annotative Objects
Annotate Drawings > Work with Annotations > Scale Annotations > Create Annotative Objects > Create Annotative Hatches >
Create Annotative Hatches
Concept Procedure Quick Reference

Commands

HATCH

Fills an enclosed area or selected objects with a hatch pattern, solid fill, or gradient fill

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Display Annotative Objects (Concept)

Create Annotative Hatches
Scale Annotations
Add and Modify Scale Representations
Annotate Drawings > Work with Annotations > Scale Annotations >
Display Annotative Objects
Concept Procedure Quick Reference

For model space or a layout viewport, you can display all the annotative objects or only those that support the current annotation scale.

This reduces the need to use multiple layers to manage the visibility of your annotations.

You use the Annotation Visibility button on the right side of the application or drawing status bar to choose the display setting for annotative objects.

Show Me: Set Annotation Visibility

Click the Play arrow to start the animation.

Annotation visibility is turned on by default. When annotation visibility is turned on, all annotative objects are displayed. When annotation visibility is turned off [image], only annotative objects for the current scale are displayed.

In general, you should turn off annotation visibility, except when inspecting a drawing created by another person or when adding scales to existing annotative objects.

Annotation visibility is also controlled by the ANNOALLVISIBLE system variable.

In order for an annotative object to be visible, the layer the object is on must be turned on.

If an object supports more than one annotation scale, the object will display at the current scale.

When the MSLTSCALE system variable is set to 1 (default), linetypes displayed on the model tab are scaled by the annotation scale

See Also

    • Drawing Status Bar


To display or hide annotative objects in a drawing (Procedure)

Create Annotative Hatches
Up a level to ..
Add and Modify Scale Representations
Annotate Drawings > Work with Annotations > Scale Annotations > Display Annotative Objects >
Display Annotative Objects
Concept Procedure Quick Reference

To display or hide annotative objects in a drawing

  1. On the drawing or application status bar, click the Annotation Visibility button.

    When the [image] button is displayed, all annotative objects are displayed.

    When the [image] button is displayed, only annotative objects that support the current annotation scale are displayed.


Display Annotative Objects (Quick Reference)

Create Annotative Hatches
Display Annotative Objects
Add and Modify Scale Representations
Annotate Drawings > Work with Annotations > Scale Annotations > Display Annotative Objects >
Display Annotative Objects
Concept Procedure Quick Reference

Commands

No entries

System Variables

ANNOALLVISIBLE

Hides or displays annotative objects that do not support the current annotation scale

MSLTSCALE

Scales linetypes displayed on the model tab by the annotation scale

SELECTIONANNODISPLAY

Controls whether alternate scale representations are temporarily displayed in a dimmed state when an annotative object is selected

Utilities

No entries

Command Modifiers

No entries


Add and Modify Scale Representations (Concept)

Display Annotative Objects
Scale Annotations
Set Orientation for Annotations
Annotate Drawings > Work with Annotations > Scale Annotations >
Add and Modify Scale Representations
Concept Procedure Quick Reference

When you create an annotative object in your drawing, it supports one annotation scale: the annotation scale that was current when you created the object. You can update annotative objects to support additional annotation scales.

When you update an annotative object to support additional scales, you add additional scale representations to the object.

For example, if an annotative multileader supports two annotations scales, it has two scale representations.

Show Me: Add Scale Representations to Objects

Click the Play arrow to start the animation.

When you select an annotative object, grips are displayed on the scale representation that supports the current annotation scale. You can use these grips to manipulate the current scale representation. All other scale representations of the object are displayed in a dimmed state when the SELECTIONANNODISPLAY system variable is set to 1 (default).

Show Me: Modify Scale Representations

Click the Play arrow to start the animation.

Use the ANNORESET command to reset the location of all scale representations for an annotative object to that of the current scale representation.


Add and Modify Scale Representations (Procedure)

Display Annotative Objects
Up a level to ..
Add and Modify Scale Representations
Annotate Drawings > Work with Annotations > Scale Annotations > Add and Modify Scale Representations >
Add and Modify Scale Representations
Concept Procedure Quick Reference

To add the current annotation scale to an annotative object

To delete the current annotation scale from an annotative object

To automatically update annotative objects to support the current annotation scale

To add an annotation scale to an annotative object

To delete an annotation scale from an annotative object


To add the current annotation scale to an annotative object (Procedure)

Add and Modify Scale Representations
Up a level to ..
Add and Modify Scale Representations
Annotate Drawings > Work with Annotations > Scale Annotations > Add and Modify Scale Representations >
Add and Modify Scale Representations
Concept Procedure Quick Reference

To add the current annotation scale to an annotative object

  1. Click Annotate tab [image] Annotation Scaling panel [image] Add/Delete Scales. At the command prompt, enter objectscale.
  2. In a drawing, select one or more annotative objects.
  3. Press ENTER.
Command entry: OBJECTSCALE
Shortcut menu: With an annotative object selected, right-click in the drawing area. Click Annotative Object Scale [image] Add Current Scale.


To delete the current annotation scale from an annotative object (Procedure)

Add and Modify Scale Representations
Up a level to ..
Add and Modify Scale Representations
Annotate Drawings > Work with Annotations > Scale Annotations > Add and Modify Scale Representations >
Add and Modify Scale Representations
Concept Procedure Quick Reference

To delete the current annotation scale from an annotative object

  1. Click Annotate tab [image] Annotation Scaling panel [image] Add/Delete Scales. At the command prompt, enter objectscale.
  2. In a drawing, select one or more annotative objects.
  3. Press ENTER.
Command entry: OBJECTSCALE
Shortcut menu: With an annotative object selected, right-click in the drawing area. Click Annotative Object Scale [image] Add Current Scale.


To automatically update annotative objects to support the current annotation scale (Procedure)

Add and Modify Scale Representations
Up a level to ..
Add and Modify Scale Representations
Annotate Drawings > Work with Annotations > Scale Annotations > Add and Modify Scale Representations >
Add and Modify Scale Representations
Concept Procedure Quick Reference

To automatically update annotative objects to support the current annotation scale

  • On the drawing or application status bar, click the button [image] so it displays as [image].


To add an annotation scale to an annotative object (Procedure)

Add and Modify Scale Representations
Up a level to ..
Add and Modify Scale Representations
Annotate Drawings > Work with Annotations > Scale Annotations > Add and Modify Scale Representations >
Add and Modify Scale Representations
Concept Procedure Quick Reference

To add an annotation scale to an annotative object

  1. Click Annotate tab [image] Annotation Scaling panel [image] Add/Delete Scales. At the command prompt, enter objectscale.
  2. In the drawing area, select one or more annotative objects.
  3. Press ENTER.
  4. In the Annotative Object Scale dialog box, click Add.
  5. In the Add Scales to Object dialog box, select one or more scales to add to the objects. (Press and hold the SHIFT key to select more than one scale.)
  6. Click OK.
  7. In the Annotative Object Scale dialog box, click OK.
Command entry: OBJECTSCALE
Shortcut menu: With an annotative object selected, right-click in the drawing area. Click Annotative Object Scale [image] Add/Delete Scales.


To delete an annotation scale from an annotative object (Procedure)

Add and Modify Scale Representations
Up a level to ..
Set Orientation for Annotations
Annotate Drawings > Work with Annotations > Scale Annotations > Add and Modify Scale Representations >
Add and Modify Scale Representations
Concept Procedure Quick Reference

To delete an annotation scale from an annotative object

  1. Click Annotate tab [image] Annotation Scaling panel [image] Add/Delete Scales. At the command prompt, enter objectscale.
  2. In the drawing area, select one or more annotative objects.
  3. Press ENTER.
  4. In the Annotative Object Scale dialog box, select one or more scales to delete from the objects. (Press and hold the SHIFT key to select more than one scale.).
    NoteYou cannot delete the 1:1 scale.
  5. Click OK.
Command entry: OBJECTSCALE
Shortcut menu: With an annotative object selected, right-click in the drawing area. Click Annotative Object Scale [image] Add/Delete Scales.


Add and Modify Scale Representations (Quick Reference)

Display Annotative Objects
Add and Modify Scale Representations
Overview of Hatch Patterns and Fills
Annotate Drawings > Work with Annotations > Scale Annotations > Add and Modify Scale Representations >
Add and Modify Scale Representations
Concept Procedure Quick Reference

Commands

ANNORESET

Resets the location of all scale representations for an annotative object to that of the current scale representation

OBJECTSCALE

Adds or deletes supported scales for annotative objects

System Variables

SELECTIONANNODISPLAY

Controls whether alternate scale representations are temporarily displayed in a dimmed state when an annotative object is selected

Utilities

No entries

Command Modifiers

No entries


Set Orientation for Annotations (Concept)

Add and Modify Scale Representations
Work with Annotations
Hatches, Fills, and Wipeouts
Annotate Drawings > Work with Annotations >
Set Orientation for Annotations
Concept Procedure

Annotative blocks and text can be set so that their orientation matches the orientation of the layout. The orientation of annotative hatches always matches the orientation of the layout.

Even if the view in the layout viewport is twisted or if the viewpoint is non-planar, the orientation of these objects in layout viewports will match the orientation of the layout.

Annotative attributes in blocks match the paper orientation of the block.

See Also

    • Work with Text Styles

    • Create Annotative Text

    • Create Annotative Blocks and Attributes

    • Create Annotative Hatches


Set Orientation for Annotations (Procedure)

Add and Modify Scale Representations
Set Orientation for Annotations
Set Orientation for Annotations
Annotate Drawings > Work with Annotations > Set Orientation for Annotations >
Set Orientation for Annotations
Concept Procedure

To match the layout’s orientation for an annotative text style

To match the layout’s orientation for an annotative block definition

To match the layout’s orientation for an existing annotative text object


To match the layout’s orientation for an annotative text style (Procedure)

Set Orientation for Annotations
Set Orientation for Annotations
Set Orientation for Annotations
Annotate Drawings > Work with Annotations > Set Orientation for Annotations >
Set Orientation for Annotations
Concept Procedure

To match the layout’s orientation for an annotative text style

  1. Click Annotate tab [image] Text panel [image] Text Style. At the command prompt, enter style.
  2. In the Text Style dialog box, Styles list, select an annotative text style.
    NoteA [image] icon next to a text style name indicates that the style is annotative.
  3. Under Size, select Match Text Orientation to Layout.
  4. Click Apply.
  5. Click Close.
Command entry: STYLE


To match the layout’s orientation for an annotative block definition (Procedure)

Set Orientation for Annotations
Set Orientation for Annotations
Set Orientation for Annotations
Annotate Drawings > Work with Annotations > Set Orientation for Annotations >
Set Orientation for Annotations
Concept Procedure

To match the layout’s orientation for an annotative block definition

  1. Click Blocks & References tab [image] Block panel [image] Create. At the command prompt, enter block.
  2. In the Block Definition dialog box, under Name, select a block.
  3. Under Behavior, select Annotative.
  4. Under Behavior, select Match Block Orientation to Layout.
  5. Click Close.
Command entry: BLOCK


To match the layout’s orientation for an existing annotative text object (Procedure)

Set Orientation for Annotations
Set Orientation for Annotations
Overview of Hatch Patterns and Fills
Annotate Drawings > Work with Annotations > Set Orientation for Annotations >
Set Orientation for Annotations
Concept Procedure

To match the layout’s orientation for an existing annotative text object

  1. In the drawing, select an annotative text object.
  2. To display the Properties palette, click Tools menu [image] Palettes [image] Properties.At the command prompt, enter properties.
  3. In the Properties palette, under Text, select Match Orientation to Layout.
Command entry: PROPERTIES


Hatches, Fills, and Wipeouts

Set Orientation for Annotations
Annotate Drawings
Overview of Hatch Patterns and Fills
Annotate Drawings >
Hatches, Fills, and Wipeouts

You can use hatching to fill an area with a selected pattern or color. You can create a wipeout object to blank out an area.

Topics in this section

  • Overview of Hatch Patterns and Fills
  • Define Hatch Boundaries

    You create a hatch by selecting an object to hatch or fill, or by defining a boundary and then specifying an internal point.

  • Choose Hatch Patterns and Solid Fills

    You can use a predefined hatch pattern or solid fill, or you can create your own hatch patterns.

  • Modify Hatches and Solid-Filled Areas

    You can modify both the pattern fill and the boundaries of hatches.

  • Create a Blank Area to Cover Objects

    Wipeout objects cover existing objects with a blank area to make room for notes or to mask details.

See Also

    • Overview of Hatch Pattern Definitions in the Customization Guide

    • Modify Complex Objects


Overview of Hatch Patterns and Fills (Concept)

Hatches, Fills, and Wipeouts
Hatches, Fills, and Wipeouts
Define Hatch Boundaries
Annotate Drawings > Hatches, Fills, and Wipeouts >
Overview of Hatch Patterns and Fills
Concept Procedure Quick Reference

You can hatch an area using a predefined hatch pattern, define a simple line pattern using the current linetype, or create more complex hatch patterns. One type of pattern is called solid, which fills an area with a solid color.

You can also create a gradient fill, which uses a transition between shades of one color or between two colors. Gradient fills can be used to enhance presentation drawings, giving the appearance of light reflecting on an object.

Define the Boundaries of a Hatch

You can choose from several methods to specify the boundaries of a hatch.

  • Specify a point in an area that is enclosed by objects.
  • Select objects that enclose an area.
  • Drag a hatch pattern into an enclosed area from a tool palette or DesignCenter.

When you hatch a drawing, whole or partial objects that are not part of the object boundary are ignored.

If a hatch line encounters an object such as text, an attribute, or a solid-fill object, and if the object is selected as part of the boundary set, HATCH hatches around the object.

NoteIf you want to hatch an area whose boundary is not quite closed, you can set the HPGAPTOL system variable to bridge gaps and treat the boundary as closed. HPGAPTOL applies only to gaps between lines and arcs that, if extended, would meet.

To reduce file size, a hatched area is defined in the drawing database as a single graphical object.

Add Hatch Patterns and Solid Fills

You can use several methods to add hatch patterns to your drawing.

  • The HATCH command provides the most options.
  • You can drag hatches from a tool palette. Use tool palettes when you need additional speed and convenience.

    With the Tool Palettes window open, you can right-click a pattern tool to access the Tool Properties dialog box from the shortcut menu. This dialog box contains several hatch pattern options that are also available through HATCH. For example, you can specify the scale and spacing for the hatch pattern.

  • You can also use DesignCenter.

Control the Hatch Origin

By default, hatch patterns always “line up” with each other. However, sometimes you might need to move the starting point, called the origin point, of the hatch. For example, if you create a brick pattern, you might want to start with a complete brick in the lower-left corner of the hatched area. In that case, use the Hatch Origin options in the Hatch and Gradient dialog box.

The location and behavior of a hatch pattern depends on the HPORIGIN, HPORIGINMODE, and HPINHERIT system variables, and the location and orientation of the user coordinate system.

Choose a Hatch Pattern

The program supplies a solid fill and more than 50 industry-standard hatch patterns that you can use to differentiate the components of objects or represent object materials. The program also comes with 14 hatch patterns that conform to the ISO (International Standards Organization) standards. When you select an ISO pattern, you can specify a pen width, which determines the lineweight in the pattern.

On the Hatch of the Hatch and Gradient dialog box, the Type and Pattern area displays the names of all the hatch patterns defined in the acad.pat text file. You can add new hatch patterns to the dialog box by adding their definitions to the acad.pat file.

Create Associative Hatches

An associative hatch is updated when you change the boundary. Hatched areas created with HATCH are associative by default. This setting is stored in the system variable HPASSOC. Hatches created by dragging hatch patterns from tool palettes or DesignCenter™ use the setting in HPASSOC. You can remove hatch associativity at any time or use HATCH to create a nonassociative hatch. When the HPGAPTOL system variable is set to 0 (the default), associativity is automatically removed if editing creates an open boundary.

You can use HATCH to create nonassociative hatches, which are independent of their boundaries.

Create an Annotative Hatch

An annotative hatch is defined at a paper size. You can create individual annotative hatch objects as well as annotative hatch patterns.

Use an annotative hatch to symbolically represent material such as sand, concrete, steel, earth, etc.

For more information about creating and working with an annotative hatch, see Create Annotative Hatches.

Assign a Draw Order to a Hatch

You can assign a draw order to a hatch so that it is drawn either behind or in front of the hatch boundary, or behind or in front of all other objects.

When you create a hatch, by default the hatch is drawn behind the hatch boundary. This makes it easier to view and select the hatch boundary. You can change the draw order of the hatch so that the hatch is drawn in front of the hatch boundary instead, or either behind or in front of all other objects. This setting is stored in the HPDRAWORDER system variable. Hatches created by dragging hatch patterns from tool palettes or DesignCenter use the draw order setting in HPDRAWORDER.

Limit Hatch Pattern Density

If you create a very dense hatch, the program may reject the hatch and display a message indicating that the hatch scale is too small or its dash length too short. You can change the maximum number of hatch lines by setting the HPMAXLINES system variable. You can set values between 100 and 10000000 (ten million). The default value for HPMAXLINES is 1000000.

Edit Hatch Boundaries

Because there are so many combinations of objects that can be hatched, editing hatched geometry can produce unexpected results. If you create a hatch that you don't want, you can undo it, trim the hatch, or delete the hatch and rehatch the area.

Create Custom Hatch Patterns

You can also define your own hatch pattern using the current linetype with the User Defined Pattern option of the Hatch and Gradient dialog box, or you can create more complex hatch patterns.

See Also

    • Modify Hatches and Solid-Filled Areas

    • Overview of Hatch Pattern Definitions in the Customization Guide

    • Scale Annotations


Overview of Hatch Patterns and Fills (Procedure)

Set Orientation for Annotations
Overview of Hatch Patterns and Fills
Overview of Hatch Patterns and Fills
Annotate Drawings > Hatches, Fills, and Wipeouts > Overview of Hatch Patterns and Fills >
Overview of Hatch Patterns and Fills
Concept Procedure Quick Reference

To drag hatch patterns into your drawing

To hatch areas

To hatch selected objects


To drag hatch patterns into your drawing (Procedure)

Overview of Hatch Patterns and Fills
Overview of Hatch Patterns and Fills
Overview of Hatch Patterns and Fills
Annotate Drawings > Hatches, Fills, and Wipeouts > Overview of Hatch Patterns and Fills >
Overview of Hatch Patterns and Fills
Concept Procedure Quick Reference

To drag hatch patterns into your drawing

  1. Click Tools menu [image] Palettes [image] DesignCenter.At the command prompt, enter adcclose.
    NoteThis procedure describes how to use DesignCenter to drag hatch patterns into your drawing. You can also drag hatch patterns from a tool palette.
  2. On the Folders , click the Search button.
  3. In the Search dialog box, make the following entries:
    • In Look For, select Hatch Pattern Files.
    • In the In box, select the drive where the program is installed.
    • Select the Search Subfolders option.
    • On the Hatch Pattern Files , in Search for the Name, enter * (asterisk).
  4. Click Search Now.

    The default hatch pattern file is acad.pat or acadiso.pat. The search results may display the same file in different locations.

    NoteFor convenient access, you can add the PAT file to Favorites by selecting the file and clicking the Favorites button. A shortcut to the PAT file is displayed in the Favorites folder on the Folders in DesignCenter.
  5. In the search results, double-click the file to load the hatch patterns into the content area of DesignCenter.
  6. (Optional) Right-click a pattern to display a shortcut menu with the following options:
    • HATCH. Opens the Hatch and Gradient dialog box.
    • Copy. Stores the hatch pattern to the Clipboard.
    • Create Tool Palette. Creates a new tool palette with the selected pattern displayed.
  7. From the content area, drag a hatch pattern onto a closed object in your drawing or onto a tool palette.
    NoteIf the hatch pattern scale is too large or small, an error message is displayed. You can adjust the scale for any hatch pattern by double-clicking it to display the Hatch and Gradient dialog box.
Toolbar: Standard
Command entry: ADCENTER


To hatch areas (Procedure)

Overview of Hatch Patterns and Fills
Overview of Hatch Patterns and Fills
Overview of Hatch Patterns and Fills
Annotate Drawings > Hatches, Fills, and Wipeouts > Overview of Hatch Patterns and Fills >
Overview of Hatch Patterns and Fills
Concept Procedure Quick Reference

To hatch areas

  1. Click Home tab [image] Draw panel [image] Hatch. At the command prompt, enter hatch.
  2. In the Hatch and Gradient dialog box, click Add: Pick points.
  3. In your drawing, specify a point inside each area that you want hatched, and then press ENTER.

    This point is known as the internal point.

  4. In the Hatch and Gradient dialog box, Hatch , in the swatch box, verify that the sample pattern is the pattern you want to use. To change patterns, select another pattern from the Pattern list.
  5. In the Hatch and Gradient dialog box, make adjustments, if necessary.
  6. Under Draw Order, click one of the options.

    You can change the draw order of the hatch so that the hatch is drawn either behind or in front of the hatch boundary, or behind or in front of all other objects.

  7. Click OK.
Toolbar: Draw
Command entry: HATCH


To hatch selected objects (Procedure)

Overview of Hatch Patterns and Fills
Overview of Hatch Patterns and Fills
Define Hatch Boundaries
Annotate Drawings > Hatches, Fills, and Wipeouts > Overview of Hatch Patterns and Fills >
Overview of Hatch Patterns and Fills
Concept Procedure Quick Reference

To hatch selected objects

  1. Click Home tab [image] Draw panel [image] Hatch. At the command prompt, enter hatch.
  2. In the Hatch and Gradient dialog box, click Add: Select objects.
  3. Specify the object or objects you want to hatch.

    The objects need not form a closed boundary. You can also specify any islands that should remain unhatched. Also, you can set the HPGAPTOL system variable to treat a set of objects that almost enclose an area as a closed hatch boundary.

  4. Under Draw Order, click one of the options.

    You can change the draw order of the hatch so that the hatch is drawn either behind or in front of the hatch boundary, or behind or in front of all other objects.

  5. Click OK.
Toolbar: Draw
Command entry: HATCH


Overview of Hatch Patterns and Fills (Quick Reference)

Add and Modify Scale Representations
Overview of Hatch Patterns and Fills
Overview of Hatch Boundaries
Annotate Drawings > Hatches, Fills, and Wipeouts > Overview of Hatch Patterns and Fills >
Overview of Hatch Patterns and Fills
Concept Procedure Quick Reference

Commands

ADCENTER

Manages and inserts content such as blocks, xrefs, and hatch patterns

BOUNDARY

Creates a region or a polyline from an enclosed area

DONUT

Creates filled circles and rings

FILL

Controls the filling of objects such as hatches, 2D solids, and wide polylines

HATCH

Fills an enclosed area or selected objects with a hatch pattern, solid fill, or gradient fill

HATCHEDIT

Modifies an existing hatch or fill

MATCHPROP

Applies the properties of a selected object to other objects

PLINE

Creates a 2D polyline

PROPERTIES

Controls properties of existing objects

SOLID

Creates solid-filled triangles and quadrilaterals

UCS

Manages user coordinate systems

System Variables

FILLMODE

Specifies whether hatches and fills, 2D solids, and wide polylines are filled in

HPANG

Specifies the hatch pattern angle

HPASSOC

Controls whether hatch patterns and gradient fills are associative

HPBOUND

Controls the object type created by the BHATCH and BOUNDARY commands

HPDRAWORDER

Controls the draw order of hatches and fills

HPDOUBLE

Specifies hatch pattern doubling for user-defined patterns

HPGAPTOL

Treats a set of objects that almost enclose an area as a closed hatch boundary

HPINHERIT

Controls the hatch origin of the resulting hatch when using Inherit Properties in HATCH and HATCHEDIT

HPMAXLINES

Controls the maximum number of hatch lines that will generate

HPNAME

Sets a default hatch pattern name of up to 34 characters without spaces

HPOBJWARNING

Sets the number of hatch boundary objects that can be selected before displaying a warning message

HPINHERIT

Controls the hatch origin of the resulting hatch when using Inherit Properties in HATCH and HATCHEDIT

HPORIGIN

Sets the hatch origin point for new hatch objects relative to the current user coordinate system

HPORIGINMODE

Controls how HATCH determines the default hatch origin point

HPSCALE

Specifies the hatch pattern scale factor, which must be greater than zero

HPSEPARATE

Controls whether HATCH creates a single hatch object or separate hatch objects when operating on several closed boundaries

HPSPACE

Specifies the hatch pattern line spacing for user-defined simple patterns, which must be greater than zero

PICKSTYLE

Controls the use of group selection and associative hatch selection

Utilities

No entries

Command Modifiers

No entries


Define Hatch Boundaries

Overview of Hatch Patterns and Fills
Hatches, Fills, and Wipeouts
Overview of Hatch Boundaries
Annotate Drawings > Hatches, Fills, and Wipeouts >
Define Hatch Boundaries
Concept Procedure

You create a hatch by selecting an object to hatch or fill, or by defining a boundary and then specifying an internal point.

Topics in this section

  • Overview of Hatch Boundaries
  • Control the Hatching in Islands

    You can determine how enclosed areas within hatch boundaries, called islands, are hatched.

  • Define Hatch Boundaries in Large Drawings

    You can save time hatching a small area in a complex drawing by defining a set of objects in the drawing to be used in determining the hatch boundary.

  • Create Unbounded Hatches


Define Hatch Boundaries (Procedure)

Overview of Hatch Patterns and Fills
Define Hatch Boundaries
Control the Hatching in Islands
Annotate Drawings > Hatches, Fills, and Wipeouts > Define Hatch Boundaries >
Define Hatch Boundaries
Concept Procedure

To remove islands from the hatch area

To define a boundary set in a complex drawing

To define a boundary by specifying points


Overview of Hatch Boundaries (Concept)

Define Hatch Boundaries
Define Hatch Boundaries
Control the Hatching in Islands
Annotate Drawings > Hatches, Fills, and Wipeouts > Define Hatch Boundaries >
Overview of Hatch Boundaries
Concept Quick Reference

You can hatch an enclosed area or hatch within a specified boundary using HATCH. By default, HATCH creates associative hatches that are updated when the boundary is changed.

You create a hatch by selecting an object to hatch or by defining a boundary and then specifying an internal point. A hatch boundary can be any combination of objects, such as lines, arcs, circles, and polylines, that forms an enclosed area.

Enclosed areas within the hatch area are referred to as islands. You can hatch them or leave them unhatched depending on the Islands setting in the Hatch and Gradient dialog box.

If you are hatching a small area in a complex drawing, you can use boundary sets to speed the process.

Objects can be hatched only if they are in a plane parallel to the XY plane of the current UCS.

NoteIf you want to hatch an area that is not completely enclosed, you can set a gap tolerance (HPGAPTOL system variable). Any gaps equal to or smaller than the value you specify in the gap tolerance are ignored, and the boundary is treated as closed.


Overview of Hatch Boundaries (Quick Reference)

Overview of Hatch Patterns and Fills
Overview of Hatch Boundaries
Control the Hatching in Islands
Annotate Drawings > Hatches, Fills, and Wipeouts > Define Hatch Boundaries > Overview of Hatch Boundaries >
Overview of Hatch Boundaries
Concept Quick Reference

Commands

BOUNDARY

Creates a region or a polyline from an enclosed area

HATCH

Fills an enclosed area or selected objects with a hatch pattern, solid fill, or gradient fill

HATCHEDIT

Modifies an existing hatch or fill

System Variables

HPBOUND

Controls the object type created by the BHATCH and BOUNDARY commands

HPGAPTOL

Treats a set of objects that almost enclose an area as a closed hatch boundary

HPOBJWARNING

Sets the number of hatch boundary objects that can be selected before displaying a warning message

HPSEPARATE

Controls whether HATCH creates a single hatch object or separate hatch objects when operating on several closed boundaries

PICKSTYLE

Controls the use of group selection and associative hatch selection

Utilities

No entries

Command Modifiers

No entries


Control the Hatching in Islands (Concept)

Overview of Hatch Boundaries
Define Hatch Boundaries
Define Hatch Boundaries in Large Drawings
Annotate Drawings > Hatches, Fills, and Wipeouts > Define Hatch Boundaries >
Control the Hatching in Islands
Concept Procedure Quick Reference

You can determine how enclosed areas within hatch boundaries, called islands, are hatched.

You can determine how islands, enclosed areas within the hatch boundary, are hatched using the three hatching styles: Normal, Outer, and Ignore. You can preview these hatching styles in the More Options area of the Hatch and Gradient dialog box.

Normal hatching style (the default) hatches inward from the outer boundary. If the hatching process encounters an internal boundary, hatching is turned off until another boundary is encountered.

If you hatch using the Normal hatching style, islands remain unhatched and islands within islands are hatched, as shown below.

Outer hatching style hatches inward from the outer boundary and stops at the next boundary.

Ignore hatching style hatches the entire enclosed area, ignoring internal boundaries.

You can also remove any islands from the hatch area.

See Also

    • Modify Hatches and Solid-Filled Areas


To remove islands from the hatch area (Procedure)

Define Hatch Boundaries
Up a level to ..
Define Hatch Boundaries in Large Drawings
Annotate Drawings > Hatches, Fills, and Wipeouts > Define Hatch Boundaries > Control the Hatching in Islands >
Control the Hatching in Islands
Concept Procedure Quick Reference

To remove islands from the hatch area

  1. Click Home tab [image] Draw panel [image] Hatch. At the command prompt, enter hatch.
  2. In the Hatch and Gradient dialog box, after adding one or more boundaries, click Remove Boundaries.
  3. Select the boundaries that you want to remove and press ENTER.
  4. In the Hatch and Gradient dialog box, click OK to apply the hatch.
Toolbar: Draw
Command entry: HATCH


Control the Hatching in Islands (Quick Reference)

Overview of Hatch Boundaries
Control the Hatching in Islands
Define Hatch Boundaries in Large Drawings
Annotate Drawings > Hatches, Fills, and Wipeouts > Define Hatch Boundaries > Control the Hatching in Islands >
Control the Hatching in Islands
Concept Procedure Quick Reference

Commands

BOUNDARY

Creates a region or a polyline from an enclosed area

HATCH

Fills an enclosed area or selected objects with a hatch pattern, solid fill, or gradient fill

HATCHEDIT

Modifies an existing hatch or fill

System Variables

HPOBJWARNING

Sets the number of hatch boundary objects that can be selected before displaying a warning message

HPSEPARATE

Controls whether HATCH creates a single hatch object or separate hatch objects when operating on several closed boundaries

Utilities

No entries

Command Modifiers

No entries


Define Hatch Boundaries in Large Drawings (Concept)

Control the Hatching in Islands
Define Hatch Boundaries
Create Unbounded Hatches
Annotate Drawings > Hatches, Fills, and Wipeouts > Define Hatch Boundaries >
Define Hatch Boundaries in Large Drawings
Concept Procedure Quick Reference

You can save time hatching a small area in a complex drawing by defining a set of objects in the drawing to be used in determining the hatch boundary.

By default, HATCH defines the boundary by analyzing all closed objects in the drawing. Analysis of all objects fully or partially visible on the screen as boundaries can be time consuming in a complex drawing. To hatch a small area of a complex drawing, you can define a set of objects in the drawing called a boundary set. HATCH does not analyze objects that are not included in the boundary set.

For clarity, first zoom into the area you want to hatch.

The View Selections option in the Hatch and Gradient dialog box, highlights the objects in the drawing that define the boundary.


To define a boundary set in a complex drawing (Procedure)

Control the Hatching in Islands
Up a level to ..
Create Unbounded Hatches
Annotate Drawings > Hatches, Fills, and Wipeouts > Define Hatch Boundaries > Define Hatch Boundaries in Large Drawings >
Define Hatch Boundaries in Large Drawings
Concept Procedure Quick Reference

To define a boundary set in a complex drawing

  1. Click Draw menu [image] Hatch.At the command prompt, enter bhatch.
  2. In the Hatch and Gradient dialog box, More Options, under Boundary Set, click New.
  3. At the Select Objects prompt, specify opposite corner points for the boundary set and press ENTER.

    If you use crossing selection by specifying points from right to left, you select all objects enclosed or crossed.

  4. In the Hatch and Gradient dialog box, click Add Boundary. If necessary, enter k to specify the Pick Internal Point option.
  5. Specify the internal point.
  6. Click OK to apply the hatch.

Toolbar: Draw
Command entry: HATCH


Define Hatch Boundaries in Large Drawings (Quick Reference)

Control the Hatching in Islands
Define Hatch Boundaries in Large Drawings
Create Unbounded Hatches
Annotate Drawings > Hatches, Fills, and Wipeouts > Define Hatch Boundaries > Define Hatch Boundaries in Large Drawings >
Define Hatch Boundaries in Large Drawings
Concept Procedure Quick Reference

Commands

BOUNDARY

Creates a region or a polyline from an enclosed area

HATCH

Fills an enclosed area or selected objects with a hatch pattern, solid fill, or gradient fill

HATCHEDIT

Modifies an existing hatch or fill

System Variables

HPOBJWARNING

Sets the number of hatch boundary objects that can be selected before displaying a warning message

Utilities

No entries

Command Modifiers

No entries


Create Unbounded Hatches (Concept)

Define Hatch Boundaries in Large Drawings
Define Hatch Boundaries
Choose Hatch Patterns and Solid Fills
Annotate Drawings > Hatches, Fills, and Wipeouts > Define Hatch Boundaries >
Create Unbounded Hatches
Concept Procedure Quick Reference

There are several methods you can use to create a hatch that does not display a hatch boundary.

  • You can create a hatch with HATCH, and then erase some or all of the boundary objects.
  • You can create a hatch with HATCH, making sure that the boundary objects are on a different layer than the hatch. Then turn off or freeze the layer of the boundary objects. This is the only method that maintains hatch associativity.
  • You can trim an existing hatch with objects created as trim boundaries. After trimming the hatch, erase the objects.
  • You can define a hatch boundary with the Draw option of -HATCH at the command prompt by specifying boundary points.

For example, you might want to show that a large area of a drawing is filled with a pattern by filling only a small section of that area, as shown in the following illustration.

You can choose whether to retain the polyline boundary after the hatch is created; here, the polyline boundary is not retained.


To define a boundary by specifying points (Procedure)

Define Hatch Boundaries in Large Drawings
Up a level to ..
Choose Hatch Patterns and Solid Fills
Annotate Drawings > Hatches, Fills, and Wipeouts > Define Hatch Boundaries > Create Unbounded Hatches >
Create Unbounded Hatches
Concept Procedure Quick Reference

To define a boundary by specifying points

  1. At the command prompt, enter -hatch.
  2. Enter the desired pattern. For example, enter earth to select the EARTH pattern.
  3. Specify the scale and angle for the pattern.
  4. Enter w to specify the Draw option.
  5. Specify points to define the boundary. Enter c to close the polyline boundary, and then press ENTER.
  6. Enter n to discard the polyline boundary once the hatch area has been defined, or enter y to create a polyline.
Command entry: -HATCH


Create Unbounded Hatches (Quick Reference)

Define Hatch Boundaries in Large Drawings
Create Unbounded Hatches
Create Solid-Filled Areas
Annotate Drawings > Hatches, Fills, and Wipeouts > Define Hatch Boundaries > Create Unbounded Hatches >
Create Unbounded Hatches
Concept Procedure Quick Reference

Commands

HATCH

Fills an enclosed area or selected objects with a hatch pattern, solid fill, or gradient fill

HATCHEDIT

Modifies an existing hatch or fill

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Choose Hatch Patterns and Solid Fills

Create Unbounded Hatches
Hatches, Fills, and Wipeouts
Create Solid-Filled Areas
Annotate Drawings > Hatches, Fills, and Wipeouts >
Choose Hatch Patterns and Solid Fills
Concept Procedure

You can use a predefined hatch pattern or solid fill, or you can create your own hatch patterns.

Topics in this section

  • Create Solid-Filled Areas

    There are several methods for creating solid-filled areas.

  • Create Gradient-Filled Areas

    A gradient fill is a solid hatch fill that gives the blended-color effect of a surface with light on it. You can use gradient fills to suggest a solid form in two-dimensional drawings.

  • Use Predefined Hatch Patterns

    You can choose from more than 50 industry-standard hatch patterns. Additional hatch patterns are available from external pattern libraries.

  • Create User-Defined Hatch Patterns

    You can define a simple hatch pattern based on the current linetype.


Choose Hatch Patterns and Solid Fills (Procedure)

Create Unbounded Hatches
Choose Hatch Patterns and Solid Fills
Create Solid-Filled Areas
Annotate Drawings > Hatches, Fills, and Wipeouts > Choose Hatch Patterns and Solid Fills >
Choose Hatch Patterns and Solid Fills
Concept Procedure

To create a hatch with a solid pattern

To create a 2D solid object

To create a wide polyline

To create a donut

To create a one-color gradient fill

To create a two-color gradient fill

To modify a gradient fill

To use a predefined hatch pattern

To create a user-defined hatch pattern


Create Solid-Filled Areas (Concept)

Choose Hatch Patterns and Solid Fills
Choose Hatch Patterns and Solid Fills
Create Gradient-Filled Areas
Annotate Drawings > Hatches, Fills, and Wipeouts > Choose Hatch Patterns and Solid Fills >
Create Solid-Filled Areas
Concept Procedure Quick Reference

There are several methods for creating solid-filled areas.

Solid-filled areas can be created using

  • Hatches with a solid hatch pattern (HATCH)
  • 2D solids (SOLID)
  • Wide polylines or donuts (PLINE, DONUT)

See Also

    • Overview of Hatch Patterns and Fills

    • Modify Hatches and Solid-Filled Areas

    • Draw Polylines

    • Draw Donuts


Create Solid-Filled Areas (Procedure)

Choose Hatch Patterns and Solid Fills
Up a level to ..
Create Solid-Filled Areas
Annotate Drawings > Hatches, Fills, and Wipeouts > Choose Hatch Patterns and Solid Fills > Create Solid-Filled Areas >
Create Solid-Filled Areas
Concept Procedure Quick Reference

To create a hatch with a solid pattern

To create a 2D solid object

To create a wide polyline

To create a donut


To create a hatch with a solid pattern (Procedure)

Create Solid-Filled Areas
Up a level to ..
Create Solid-Filled Areas
Annotate Drawings > Hatches, Fills, and Wipeouts > Choose Hatch Patterns and Solid Fills > Create Solid-Filled Areas >
Create Solid-Filled Areas
Concept Procedure Quick Reference

To create a hatch with a solid pattern

  1. Click Home tab [image] Draw panel [image] Hatch. At the command prompt, enter hatch.
  2. In the Hatch and Gradient dialog box, click Add: Pick points.
  3. Specify a point in your drawing inside each area that you want hatched.

    This point is known as the internal point.

  4. Press ENTER.
  5. In the Hatch and Gradient dialog box, Hatch , under Type, click Predefined.
  6. Click the [...] button next to Pattern.
  7. In the Hatch Pattern Palette dialog box, Other Predefined , select Solid. Click OK.
  8. To see how the hatch pattern will look, click Preview.
  9. When you finish previewing the hatch pattern, right-click or press ENTER to apply the hatch, or press any other button or key to return to the Hatch and Gradient dialog box.
  10. In the Hatch and Gradient dialog box, make adjustments, if necessary. (You can specify new hatch boundaries by clicking Add Boundaries or Remove Boundaries.)
  11. Click OK.
Toolbar: Draw
Command entry: HATCH


To create a 2D solid object (Procedure)

Create Solid-Filled Areas
Up a level to ..
Create Solid-Filled Areas
Annotate Drawings > Hatches, Fills, and Wipeouts > Choose Hatch Patterns and Solid Fills > Create Solid-Filled Areas >
Create Solid-Filled Areas
Concept Procedure Quick Reference

To create a 2D solid object

  1. Click Draw menu [image] Modeling [image] Meshes [image] 2D Solid.At the command prompt, enter solid.
  2. Specify the first point.
  3. Specify the second point, moving left to right.
  4. Continue to specify points. Press ENTER when the object is complete.

    When you create a quadrilateral solid-filled area, the sequence of the third and fourth points determines its shape. Compare the following illustrations:

    Notice that to create the quadrilateral area, both the top and bottom edges are specified from left to right. If you specify the first point on the right and the second point on the left, then the third and fourth points should also be in a right-to-left direction. As you continue to specify pairs of points, be sure to continue this zigzag sequence to ensure the results you expect.

Command entry: SOLID


To create a wide polyline (Procedure)

Create Solid-Filled Areas
Up a level to ..
Create Solid-Filled Areas
Annotate Drawings > Hatches, Fills, and Wipeouts > Choose Hatch Patterns and Solid Fills > Create Solid-Filled Areas >
Create Solid-Filled Areas
Concept Procedure Quick Reference

To create a wide polyline

  1. Click Home tab [image] Draw panel [image] Polyline. At the command prompt, enter pline.
  2. Specify the start point of the line segment.
  3. Enter w (Width).
  4. Enter the starting width of the line segment.
  5. Specify the ending width of the line segment using one of the following methods:
    • To create a line segment of equal width, press ENTER.
    • To create a tapering line segment, enter a different width.
  6. Specify the endpoint of the polyline segment.
  7. Continue specifying segment endpoints as needed.
  8. Press ENTER to end, or enter c to close the polyline.
Toolbar: Draw
Command entry: PLINE


To create a donut (Procedure)

Create Solid-Filled Areas
Up a level to ..
Create Gradient-Filled Areas
Annotate Drawings > Hatches, Fills, and Wipeouts > Choose Hatch Patterns and Solid Fills > Create Solid-Filled Areas >
Create Solid-Filled Areas
Concept Procedure Quick Reference

To create a donut

  1. Click Draw menu [image] Donut.At the command prompt, enter donut.
  2. Specify the inside diameter (1).
  3. Specify the outside diameter (2).
  4. Specify the center of the donut (3).
  5. Specify the center point for another donut, or press ENTER to complete the command.

Command entry: DONUT


Create Solid-Filled Areas (Quick Reference)

Create Unbounded Hatches
Create Solid-Filled Areas
Create Gradient-Filled Areas
Annotate Drawings > Hatches, Fills, and Wipeouts > Choose Hatch Patterns and Solid Fills > Create Solid-Filled Areas >
Create Solid-Filled Areas
Concept Procedure Quick Reference

Commands

DONUT

Creates filled circles and rings

FILL

Controls the filling of objects such as hatches, 2D solids, and wide polylines

HATCH

Fills an enclosed area or selected objects with a hatch pattern, solid fill, or gradient fill

PLINE

Creates a 2D polyline

SOLID

Creates solid-filled triangles and quadrilaterals

System Variables

FILLMODE

Specifies whether hatches and fills, 2D solids, and wide polylines are filled in

Utilities

No entries

Command Modifiers

No entries


Create Gradient-Filled Areas (Concept)

Create Solid-Filled Areas
Choose Hatch Patterns and Solid Fills
Use Predefined Hatch Patterns
Annotate Drawings > Hatches, Fills, and Wipeouts > Choose Hatch Patterns and Solid Fills >
Create Gradient-Filled Areas
Concept Procedure Quick Reference

A gradient fill is a solid hatch fill that gives the blended-color effect of a surface with light on it. You can use gradient fills to suggest a solid form in two-dimensional drawings.

The color in a gradient fill makes a smooth transition from light to dark, or from dark to light, and back. You select a predefined pattern (for example, linear, spherical, or radial sweep) and specify an angle for the pattern. In a two-color gradient fill, the transition is both from light to dark and from the first color to the second.

Gradient fills are applied to objects in the same way solid fills are and can be associated with their boundaries or not. An associated fill is automatically updated when the boundary changes.

You cannot use plot styles to control the plotted color of gradient fills.

Double-click a gradient fill to modify it.


Create Gradient-Filled Areas (Procedure)

Create Solid-Filled Areas
Up a level to ..
Create Gradient-Filled Areas
Annotate Drawings > Hatches, Fills, and Wipeouts > Choose Hatch Patterns and Solid Fills > Create Gradient-Filled Areas >
Create Gradient-Filled Areas
Concept Procedure Quick Reference

To create a one-color gradient fill

To create a two-color gradient fill

To modify a gradient fill


To create a one-color gradient fill (Procedure)

Create Gradient-Filled Areas
Up a level to ..
Create Gradient-Filled Areas
Annotate Drawings > Hatches, Fills, and Wipeouts > Choose Hatch Patterns and Solid Fills > Create Gradient-Filled Areas >
Create Gradient-Filled Areas
Concept Procedure Quick Reference

To create a one-color gradient fill

  1. Click Home tab [image] Draw panel [image] Hatch. At the command prompt, enter hatch.
  2. In the Hatch and Gradient dialog box, click Add: Pick points or Add: Select objects.
  3. Specify an internal point or select an object, and then press ENTER.
  4. In the Hatch and Gradient dialog box, Gradient , select One Color.
  5. If you want to change the color, click the [...] button next to the color.
  6. In the Select Color dialog box, use the Shade/Tint slider to adjust the color.
    • Move the slider toward Tint to create a color transition that moves toward white.
    • Move the slider toward Shade to create a transition that moves toward black.
  7. Click a pattern, and set the following options:
    • Select Center to create a symmetrical fill, or clear Center to move the “highlight” up and to the left.
    • Specify an angle for the “highlighted” area.
  8. To see how the gradient fill will look, click Preview. Press ENTER or right-click to return to the dialog box and make adjustments.
  9. When you are satisfied, in the Hatch and Gradient dialog box, click OK to create the gradient fill.
Toolbar: Draw
Command entry: HATCH


To create a two-color gradient fill (Procedure)

Create Gradient-Filled Areas
Up a level to ..
Create Gradient-Filled Areas
Annotate Drawings > Hatches, Fills, and Wipeouts > Choose Hatch Patterns and Solid Fills > Create Gradient-Filled Areas >
Create Gradient-Filled Areas
Concept Procedure Quick Reference

To create a two-color gradient fill

  1. Click Home tab [image] Draw panel [image] Hatch. At the command prompt, enter hatch.
  2. In the Hatch and Gradient dialog box, click Add: Pick points or Add: Select objects.
  3. Specify an internal point or select an object, and then press ENTER.
  4. In the Hatch and Gradient dialog box, Gradient , select Two Color.

    The second color is the color of the highlighted area in the gradient fill.

  5. If you want to change either color, click the [...] button next to the color to open the Select Color dialog box.
  6. Click a pattern, and set the following options:
    • Select Center to create a symmetrical fill, or clear Center to move the “highlight” up and to the left.
    • Specify an angle for the “highlighted” area.
  7. To see how the gradient fill will look, click Preview. Press ENTER or right-click to return to the dialog box and make adjustments.
  8. When you are satisfied, in the Hatch and Gradient dialog box, click OK to create the gradient fill.
Toolbar: Draw
Command entry: HATCH


To modify a gradient fill (Procedure)

Create Gradient-Filled Areas
Up a level to ..
Use Predefined Hatch Patterns
Annotate Drawings > Hatches, Fills, and Wipeouts > Choose Hatch Patterns and Solid Fills > Create Gradient-Filled Areas >
Create Gradient-Filled Areas
Concept Procedure Quick Reference

To modify a gradient fill

  • Double-click a gradient fill to modify it.


Create Gradient-Filled Areas (Quick Reference)

Create Solid-Filled Areas
Create Gradient-Filled Areas
Use Predefined Hatch Patterns
Annotate Drawings > Hatches, Fills, and Wipeouts > Choose Hatch Patterns and Solid Fills > Create Gradient-Filled Areas >
Create Gradient-Filled Areas
Concept Procedure Quick Reference

Commands

HATCH

Fills an enclosed area or selected objects with a hatch pattern, solid fill, or gradient fill

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Use Predefined Hatch Patterns (Concept)

Create Gradient-Filled Areas
Choose Hatch Patterns and Solid Fills
Create User-Defined Hatch Patterns
Annotate Drawings > Hatches, Fills, and Wipeouts > Choose Hatch Patterns and Solid Fills >
Use Predefined Hatch Patterns
Concept Procedure Quick Reference

You can choose from more than 50 industry-standard hatch patterns. Additional hatch patterns are available from external pattern libraries.

The program supplies a solid fill and more than 50 industry-standard hatch patterns, which can represent materials such as earth, brick, or clay.

Fourteen hatch patterns conform to International Standards Organization (ISO) standards. When you select an ISO pattern, you can specify a pen width, which determines the lineweight in the pattern.

In addition to using the patterns supplied with the program, you can use patterns from an external pattern library. These patterns are listed by name and are displayed in the Hatch Pattern Palette dialog box.


To use a predefined hatch pattern (Procedure)

Create Gradient-Filled Areas
Up a level to ..
Create User-Defined Hatch Patterns
Annotate Drawings > Hatches, Fills, and Wipeouts > Choose Hatch Patterns and Solid Fills > Use Predefined Hatch Patterns >
Use Predefined Hatch Patterns
Concept Procedure Quick Reference

To use a predefined hatch pattern

  1. Click Home tab [image] Draw panel [image] Hatch. At the command prompt, enter hatch.
  2. In the Hatch and Gradient dialog box, click Add: Pick points or Add: Select objects.
  3. Specify an internal point or select an object.
  4. In the Hatch and Gradient dialog box, Hatch , select Predefined in the Type box.
  5. From the Pattern box, select a pattern.
  6. Click OK.
Toolbar: Draw
Command entry: HATCH


Use Predefined Hatch Patterns (Quick Reference)

Create Gradient-Filled Areas
Use Predefined Hatch Patterns
Create User-Defined Hatch Patterns
Annotate Drawings > Hatches, Fills, and Wipeouts > Choose Hatch Patterns and Solid Fills > Use Predefined Hatch Patterns >
Use Predefined Hatch Patterns
Concept Procedure Quick Reference

Commands

HATCH

Fills an enclosed area or selected objects with a hatch pattern, solid fill, or gradient fill

System Variables

HPANG

Specifies the hatch pattern angle

HPBOUND

Controls the object type created by the BHATCH and BOUNDARY commands

HPDOUBLE

Specifies hatch pattern doubling for user-defined patterns

HPNAME

Sets a default hatch pattern name of up to 34 characters without spaces

HPSCALE

Specifies the hatch pattern scale factor, which must be greater than zero

Utilities

No entries

Command Modifiers

No entries


Create User-Defined Hatch Patterns (Concept)

Use Predefined Hatch Patterns
Choose Hatch Patterns and Solid Fills
Modify Hatches and Solid-Filled Areas
Annotate Drawings > Hatches, Fills, and Wipeouts > Choose Hatch Patterns and Solid Fills >
Create User-Defined Hatch Patterns
Concept Procedure Quick Reference

You can define a simple hatch pattern based on the current linetype.

In addition to using predefined hatch patterns, you can define a simple hatch pattern based on the current linetype. You define the pattern by changing the angle and spacing of the hatch lines.


To create a user-defined hatch pattern (Procedure)

Use Predefined Hatch Patterns
Up a level to ..
Modify Hatches and Solid-Filled Areas
Annotate Drawings > Hatches, Fills, and Wipeouts > Choose Hatch Patterns and Solid Fills > Create User-Defined Hatch Patterns >
Create User-Defined Hatch Patterns
Concept Procedure Quick Reference

To create a user-defined hatch pattern

  1. Specify the linetype for the user-defined hatch pattern by making that linetype current.
  2. Click Home tab [image] Draw panel [image] Hatch. At the command prompt, enter hatch.
  3. In the Hatch and Gradient dialog box, click Add: Pick points or Add: Select objects.
  4. Specify an internal point or select an object.
  5. In the Hatch and Gradient dialog box, Hatch , select User-Defined in the Type box.
  6. Specify the angle and spacing of the hatch pattern.
  7. To use intersecting lines in the pattern, select Double.
  8. Click OK.
Toolbar: Draw
Command entry: HATCH


Create User-Defined Hatch Patterns (Quick Reference)

Use Predefined Hatch Patterns
Create User-Defined Hatch Patterns
Modify Hatches and Solid-Filled Areas
Annotate Drawings > Hatches, Fills, and Wipeouts > Choose Hatch Patterns and Solid Fills > Create User-Defined Hatch Patterns >
Create User-Defined Hatch Patterns
Concept Procedure Quick Reference

Commands

HATCH

Fills an enclosed area or selected objects with a hatch pattern, solid fill, or gradient fill

System Variables

HPANG

Specifies the hatch pattern angle

HPBOUND

Controls the object type created by the BHATCH and BOUNDARY commands

HPDOUBLE

Specifies hatch pattern doubling for user-defined patterns

HPNAME

Sets a default hatch pattern name of up to 34 characters without spaces

HPSCALE

Specifies the hatch pattern scale factor, which must be greater than zero

HPSPACE

Specifies the hatch pattern line spacing for user-defined simple patterns, which must be greater than zero

Utilities

No entries

Command Modifiers

No entries


Modify Hatches and Solid-Filled Areas (Concept)

Create User-Defined Hatch Patterns
Hatches, Fills, and Wipeouts
Create a Blank Area to Cover Objects
Annotate Drawings > Hatches, Fills, and Wipeouts >
Modify Hatches and Solid-Filled Areas
Concept Procedure Quick Reference

You can modify both the pattern fill and the boundaries of hatches.

You can also modify solid-filled areas, but the method you use depends on whether the solid-filled area is a solid-filled hatch, a 2D solid, or a wide polyline or donut. You can also modify the draw order of your hatch.

Control Hatch Pattern Density

Hatching can produce a very large number of line and point objects. Although stored as hatch objects, these line and point objects do use disk space and take time to generate. If you use a relatively small scale factor when hatching an area, the hatch could require millions of line and point objects, thus taking a very long time to complete and possibly exhausting the available resources. You can avoid this problem by imposing a limit on the number of objects created by a single HATCH command. If the approximate number of objects needed for a particular hatch (considering the boundary extents, pattern, and scale) exceeds the limit, HATCH displays a message indicating that the hatch scale is too small or that its dash length is too short, and the hatch request is rejected. If this occurs, carefully examine your hatch settings. The scale factor may be unreasonable and may need to be adjusted.

The hatch object limit is set by the MaxHatch environment setting, which is stored in the system registry. Its default value is 10000. You can change this limit by setting the MaxHatch system registry variable using (setenv “MaxHatch” “n”) where n is a number between 100 and 10000000 (ten million).

NoteMaxHatch must be entered with the letters M and H capitalized and the rest of the letters in lowercase.

Change the Hatch Properties of an Existing Hatch

You can modify hatch-specific properties, such as pattern, scale, and angle, of an existing hatch. You can use the following:

  • Hatch Edit dialog box (recommended)
  • Properties palette

You can also copy properties from one hatch to another. With the Inherit Properties button in the Hatch Edit dialog box, you can copy all hatch-specific properties, including the hatch origin, from one hatch to another. Use the Match Properties dialog box to copy general properties and hatch-specific properties (with the exception of the hatch origin), from one hatch to another.

You can use EXPLODE to disassemble a hatch into its component objects.

Modify a Hatch Boundary

Hatch boundaries can be copied, moved, stretched, trimmed, and so on. You can also use grips to stretch, move, rotate, scale, and mirror hatch boundaries and their associated hatches just as you do other objects. If the editing you do maintains a closed boundary, an associative hatch is updated automatically. If the editing produces an open boundary, the hatch loses any associativity with the boundary and remains unchanged. Associativity may also be lost during editing of a hatch boundary if the hatch pattern file is not available at the time of editing. If you trim a hatch and the hatch pattern (PAT) file is no longer available, the hatch will disappear.

Hatch associativity depends on whether you choose Associative in the Hatch and Gradient (HATCH) and Hatch Edit (HATCHEDIT) dialog boxes. Nonassociative hatches are not updated when their original boundary is changed.

You can remove hatch associativity at any time, but once it is removed for an existing hatch, it cannot be reestablished. The hatch must be re-created to restore associativity or a new hatch boundary must be created and associated with the hatch.

To create a boundary around a nonassociative or unbounded hatch, in the Hatch and Gradient dialog box, use the Recreate Boundary option. With this option you can also specify that the new boundary is associated with the hatch.

Modify Solid-Filled Areas

Solid-filled areas can be represented by

  • Hatches (with a solid hatch pattern)
  • 2D solids
  • Gradient fills
  • Wide polylines or donuts

You modify each of these solid-filled objects just as you would any other hatch, 2D solid, wide polyline, or donut. In addition to PROPERTIES, you can use HATCHEDIT for solid-filled hatches and gradient fills, grip editing for 2D solids, and PEDIT for wide polylines and donuts.

Modify the Draw Order of a Hatch

When you edit a hatch, you can change its draw order, so that it is displayed behind the hatch boundary, in front of the hatch boundary, behind all other objects, or in front of all other objects.


Modify Hatches and Solid-Filled Areas (Procedure)

Create User-Defined Hatch Patterns
Modify Hatches and Solid-Filled Areas
Modify Hatches and Solid-Filled Areas
Annotate Drawings > Hatches, Fills, and Wipeouts > Modify Hatches and Solid-Filled Areas >
Modify Hatches and Solid-Filled Areas
Concept Procedure Quick Reference

To change the angle of a hatch

To set the limit of objects in a hatch pattern

To modify a gradient fill


To change the angle of a hatch (Procedure)

Modify Hatches and Solid-Filled Areas
Modify Hatches and Solid-Filled Areas
Modify Hatches and Solid-Filled Areas
Annotate Drawings > Hatches, Fills, and Wipeouts > Modify Hatches and Solid-Filled Areas >
Modify Hatches and Solid-Filled Areas
Concept Procedure Quick Reference

To change the angle of a hatch

  1. Select the hatch pattern.
  2. Right-click the hatch. Click Properties.
  3. In the Properties palette, enter the new value for Angle.
Toolbar: Standard
Command entry: PROPERTIES


To set the limit of objects in a hatch pattern (Procedure)

Modify Hatches and Solid-Filled Areas
Modify Hatches and Solid-Filled Areas
Modify Hatches and Solid-Filled Areas
Annotate Drawings > Hatches, Fills, and Wipeouts > Modify Hatches and Solid-Filled Areas >
Modify Hatches and Solid-Filled Areas
Concept Procedure Quick Reference

To set the limit of objects in a hatch pattern

  1. At the command prompt, enter (setenv “MaxHatch” “n”)

    where n is a number between 100 and 10000000 (ten million). The higher the value, the more dense the hatch pattern.

    NoteMaxHatch is case-sensitive.


To modify a gradient fill (Procedure)

Modify Hatches and Solid-Filled Areas
Modify Hatches and Solid-Filled Areas
Create a Blank Area to Cover Objects
Annotate Drawings > Hatches, Fills, and Wipeouts > Modify Hatches and Solid-Filled Areas >
Modify Hatches and Solid-Filled Areas
Concept Procedure Quick Reference

To modify a gradient fill

  1. Double-click the gradient fill you want to modify.
  2. In the Hatch Edit dialog box, Gradient , make any changes.
  3. To see how the gradient fill will look, click Preview. Press ENTER or right-click to return to the dialog box and make adjustments.
  4. When you are satisfied, in the Hatch and Gradient dialog box, click OK to create the gradient fill.


Modify Hatches and Solid-Filled Areas (Quick Reference)

Create User-Defined Hatch Patterns
Modify Hatches and Solid-Filled Areas
Create a Blank Area to Cover Objects
Annotate Drawings > Hatches, Fills, and Wipeouts > Modify Hatches and Solid-Filled Areas >
Modify Hatches and Solid-Filled Areas
Concept Procedure Quick Reference

Commands

EXPLODE

Breaks a compound object into its component objects

FILL

Controls the filling of objects such as hatches, 2D solids, and wide polylines

HATCHEDIT

Modifies an existing hatch or fill

MATCHPROP

Applies the properties of a selected object to other objects

PEDIT

Edits polylines and 3D polygon meshes

PROPERTIES

Controls properties of existing objects

System Variables

FILLMODE

Specifies whether hatches and fills, 2D solids, and wide polylines are filled in

HPANG

Specifies the hatch pattern angle

HPASSOC

Controls whether hatch patterns and gradient fills are associative

HPDOUBLE

Specifies hatch pattern doubling for user-defined patterns

HPINHERIT

Controls the hatch origin of the resulting hatch when using Inherit Properties in HATCH and HATCHEDIT

HPNAME

Sets a default hatch pattern name of up to 34 characters without spaces

HPORIGIN

Sets the hatch origin point for new hatch objects relative to the current user coordinate system

HPORIGINMODE

Controls how HATCH determines the default hatch origin point

HPSCALE

Specifies the hatch pattern scale factor, which must be greater than zero

HPSPACE

Specifies the hatch pattern line spacing for user-defined simple patterns, which must be greater than zero

Utilities

No entries

Command Modifiers

No entries


Create a Blank Area to Cover Objects (Concept)

Modify Hatches and Solid-Filled Areas
Hatches, Fills, and Wipeouts
Notes and Labels
Annotate Drawings > Hatches, Fills, and Wipeouts >
Create a Blank Area to Cover Objects
Concept Procedure Quick Reference

Wipeout objects cover existing objects with a blank area to make room for notes or to mask details.

A wipeout object is a polygonal area that masks underlying objects with the current background color. This area is bounded by the wipeout frame, which you can turn on for editing and turn off for plotting.

You can create a wipeout object by specifying a polygonal area with a series of points, or you can convert a closed polyline into a wipeout object.

Requirements and Limitations

If a polyline is used to create a wipeout object, the polyline must be closed, contain line segments only, and have zero width.

You can create wipeout objects on a layout in paper space to mask objects in model space; however, on the Plot Settings of the Plot dialog box, the Plot Paper Space Last option must be cleared before you plot to ensure that the wipeout object is plotted correctly.

Because a wipeout object is similar to a raster image, it has the same requirements for plotting: you need a raster-capable plotter with either an ADI 4.3 raster-capable driver or the system printer driver.

See Also

    • Control How Overlapping Objects Are Displayed


Create a Blank Area to Cover Objects (Procedure)

Modify Hatches and Solid-Filled Areas
Create a Blank Area to Cover Objects
Create a Blank Area to Cover Objects
Annotate Drawings > Hatches, Fills, and Wipeouts > Create a Blank Area to Cover Objects >
Create a Blank Area to Cover Objects
Concept Procedure Quick Reference

To cover existing objects with a blank area

To turn all wipeout frames on or off


To cover existing objects with a blank area (Procedure)

Create a Blank Area to Cover Objects
Create a Blank Area to Cover Objects
Create a Blank Area to Cover Objects
Annotate Drawings > Hatches, Fills, and Wipeouts > Create a Blank Area to Cover Objects >
Create a Blank Area to Cover Objects
Concept Procedure Quick Reference

To cover existing objects with a blank area

  1. Click Annotate tab [image] Markup panel [image] Wipeout. At the command prompt, enter wipeout.
  2. Specify points in a sequence that defines the perimeter of the area to be masked.
  3. Press ENTER to end.
Command entry: WIPEOUT


To turn all wipeout frames on or off (Procedure)

Create a Blank Area to Cover Objects
Create a Blank Area to Cover Objects
Overview of Notes and Labels
Annotate Drawings > Hatches, Fills, and Wipeouts > Create a Blank Area to Cover Objects >
Create a Blank Area to Cover Objects
Concept Procedure Quick Reference

To turn all wipeout frames on or off

  1. Click Annotate tab [image] Markup panel [image] Wipeout. At the command prompt, enter wipeout.
  2. At the command prompt, enter f (Frames).
  3. Enter on or off and press ENTER.
Command entry: WIPEOUT


Create a Blank Area to Cover Objects (Quick Reference)

Modify Hatches and Solid-Filled Areas
Create a Blank Area to Cover Objects
Overview of Notes and Labels
Annotate Drawings > Hatches, Fills, and Wipeouts > Create a Blank Area to Cover Objects >
Create a Blank Area to Cover Objects
Concept Procedure Quick Reference

Commands

WIPEOUT

Creates wipeout objects

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Notes and Labels

Create a Blank Area to Cover Objects
Annotate Drawings
Overview of Notes and Labels
Annotate Drawings >
Notes and Labels

You can create and modify several types of text, including text with leaders. You can control most text style settings by defining text styles.

Topics in this section

  • Overview of Notes and Labels
  • Create Text

    You can create text using several methods, depending on your needs.

  • Create Leaders
  • Use Fields in Text

    A field is updatable text that is set up to display data that may change during the life cycle of the drawing. When the field is updated, the latest value of the field is displayed.

  • Work with Text Styles

    When you enter text into your drawing, the current text style determines the text font, size, angle, orientation, and other text characteristics.

  • Change Text

    You can change text content, formatting, and properties such as scale and justification.

  • Check Spelling

    You can check the spelling of all text as it is entered in your drawing. You can also specify the specific language dictionary that is used and customize and manage multiple custom spelling dictionaries.

  • Use an Alternate Text Editor

    The default text editor is either the MTEXT ribbon contextual tab (if the ribbon is active) or the In-Place Text Editor (if the ribbon is not active), but you can elect to use any alternate editor that saves files in ASCII format.


Overview of Notes and Labels (Concept)

Notes and Labels
Notes and Labels
Create Text
Annotate Drawings > Notes and Labels >
Overview of Notes and Labels
Concept Procedure Quick Reference

You can create text in various ways. For short, simple entries, use single-line text. For longer entries with internal formatting, use multiline text (also called mtext). You can also create multiline text with leaders.

Although all entered text uses the current text style, which establishes the default font and format settings, you can use several methods to customize the text appearance. There are several tools that can change text scale and justification, find and replace text, and check for spelling errors.

Text that is included in a dimension or tolerance is created using the dimensioning commands.

See Also

    • Control the Display of Polylines, Hatches, Gradient Fills, Lineweights, and Text

    • Control How Overlapping Objects Are Displayed


Overview of Notes and Labels (Procedure)

Create a Blank Area to Cover Objects
Overview of Notes and Labels
Overview of Notes and Labels
Annotate Drawings > Notes and Labels > Overview of Notes and Labels >
Overview of Notes and Labels
Concept Procedure Quick Reference

To create single-line text

To create multiline text


To create single-line text (Procedure)

Overview of Notes and Labels
Overview of Notes and Labels
Overview of Notes and Labels
Annotate Drawings > Notes and Labels > Overview of Notes and Labels >
Overview of Notes and Labels
Concept Procedure Quick Reference

To create single-line text

  1. Click Home tab [image] Annotation panel [image] Single Line Text. At the command prompt, enter dtext.
  2. Specify the insertion point for the first character. If you press ENTER, the program locates the new text immediately below the last text object you created, if any.
  3. Specify the height of the text. This prompt is displayed only if text height is set to 0 in the current text style.

    A rubber-band line is attached from the text insertion point to the cursor. Click to set the height of the text to the length of the rubber-band line.

  4. Specify a text rotation angle.

    You can enter an angle value or use your pointing device.

  5. Enter the text. At the end of each line, press ENTER. Enter more text as needed.
    NoteText that would otherwise be difficult to read (if it is very small, very large, or is rotated) is displayed at a legible size and is oriented horizontally so that you can easily read and edit it.

    If you specify another point during this command, the cursor moves to that point, and you can continue typing. Every time you press ENTER or specify a point, a new text object is created.

  6. Press ENTER on a blank line to end the command.
Command entry: TEXT


To create multiline text (Procedure)

Overview of Notes and Labels
Overview of Notes and Labels
Create Text
Annotate Drawings > Notes and Labels > Overview of Notes and Labels >
Overview of Notes and Labels
Concept Procedure Quick Reference

To create multiline text

  1. Click Home tab [image] Annotation panel [image] Multiline Text. At the command prompt, enter mtext.
  2. Specify opposite corners of a bounding box to define the width of the multiline text object.

    If the ribbon is active, the MTEXT ribbon contextual tab displays. If the ribbon is not active, the In-Place Text Editor is displayed.

  3. To indent the first line of each paragraph, drag the first-line indent slider on the ruler. To indent the other lines of each paragraph, drag the paragraph slider.
  4. To set tabs, click the ruler where you want a tab stop.
  5. If you want to use a text style other than the default, click the arrow next to the Text Style control on the toolbar and then select a style.
  6. Enter text.
    NoteText that would otherwise be difficult to read (if it is very small, very large, or is rotated) is displayed at a legible size and is oriented horizontally so that you can easily read and edit it.
  7. To override the current text style, select text as follows:
    • To select one or more letters, click and drag the pointing device over the characters.
    • To select a word, double-click the word.
    • To select a paragraph, triple-click the paragraph.
  8. On the toolbar, make format changes as follows:
    • To change the font of the selected text, select a font from the list.
    • To change the height of the selected text, enter a new value in the Height box.
      NoteThe MText height value is reset to 0 if its default height is not modified during creation.
    • To format text in a TrueType font with boldface or italics, or to create underlined or overlined text for any font, click the corresponding button on the toolbar. SHX fonts do not support boldface or italics.
    • To apply color to selected text, choose a color from the Color list. Click Other to display the Select Color dialog box.
  9. To save your changes and exit the editor, use one of the following methods:
    • Click OK on the toolbar.
    • Click in the drawing outside the editor.
    • Press CTRL+ENTER.
Toolbar: Draw
Command entry: MTEXT


Overview of Notes and Labels (Quick Reference)

Create a Blank Area to Cover Objects
Overview of Notes and Labels
Overview of Creating Text
Annotate Drawings > Notes and Labels > Overview of Notes and Labels >
Overview of Notes and Labels
Concept Procedure Quick Reference

Commands

DDEDIT

Edits single-line text, dimension text, attribute definitions, and feature control frames

MLEADER

Creates a multileader object

MTEXT

Creates a multiline text object

SPELL

Checks spelling in a drawing

STYLE

Creates, modifies, or specifies text styles

TEXT

Creates a single-line text object

System Variables

DIMASZ

Controls the size of dimension line and leader line arrowheads

DIMLDRBLK

Specifies the arrow type for leaders

Utilities

No entries

Command Modifiers

No entries


Create Text

Overview of Notes and Labels
Notes and Labels
Overview of Creating Text
Annotate Drawings > Notes and Labels >
Create Text
Concept Procedure

You can create text using several methods, depending on your needs.

Topics in this section

  • Overview of Creating Text
  • Create Single-Line Text

    You can use single-line text to create one or more lines of text, where each text line is an independent object that you can relocate, reformat, or otherwise modify.

  • Create Multiline Text

    A multiline text (mtext) object includes one or more paragraphs of text that can be manipulated as a single object.

  • Create and Edit Columns in Multiline Text

    You can create and edit multiple columns using the In-Place Text Editor column options and column grips.

  • Import Text from External Files

    You can insert TXT or RTF text files into your drawing by either importing the text or dragging a file icon from Windows Explorer.


Create Text (Procedure)

Overview of Notes and Labels
Create Text
Overview of Creating Text
Annotate Drawings > Notes and Labels > Create Text >
Create Text
Concept Procedure

To create single-line text

To create multiline text

To create single-line text

To specify a text style when you create single-line text

To align single-line text as you create it

To create multiple columns in the In-Place Text Editor

To adjust columns using grips

To import text files

To insert a text file using the drag-and-drop method


Overview of Creating Text (Concept)

Create Text
Create Text
Create Single-Line Text
Annotate Drawings > Notes and Labels > Create Text >
Overview of Creating Text
Concept Procedure Quick Reference

The text you add to your drawings conveys a variety of information. It may be a complex specification, title block information, a label, or even part of the drawing.

Single-Line Text

For short entries that do not require multiple fonts or lines, create single-line text. Single-line text is most convenient for labels.

Multiline Text

For long, complex entries, create multiline, or paragraph text. Multiline text consists of any number of text lines or paragraphs that fit within a width you specify; it can extend vertically to an indefinite length.

Regardless of the number of lines, each set of paragraphs created in a single editing session forms a single object, which you can move, rotate, erase, copy, mirror, or scale.

There are more editing options for multiline text than there are for single-line text. For example, you can apply underlining, fonts, color, and text height changes to individual characters, words, or phrases within a paragraph.

Annotative Text

Use annotative text for notes and labels in your drawing. You create annotative text by using an annotative text style, which sets the height of the text on the paper.

For more information about creating and working with an annotative text, see Create Annotative Text.

See Also

    • Scale Annotations


Overview of Creating Text (Procedure)

Create Text
Up a level to ..
Overview of Creating Text
Annotate Drawings > Notes and Labels > Create Text > Overview of Creating Text >
Overview of Creating Text
Concept Procedure Quick Reference

To create single-line text

To create multiline text


To create single-line text (Procedure)

Overview of Creating Text
Up a level to ..
Overview of Creating Text
Annotate Drawings > Notes and Labels > Create Text > Overview of Creating Text >
Overview of Creating Text
Concept Procedure Quick Reference

To create single-line text

  1. Click Home tab [image] Annotation panel [image] Single Line Text. At the command prompt, enter dtext.
  2. Specify the insertion point for the first character. If you press ENTER, the program locates the new text immediately below the last text object you created, if any.
  3. Specify the height of the text. This prompt is displayed only if text height is set to 0 in the current text style.

    A rubber-band line is attached from the text insertion point to the cursor. Click to set the height of the text to the length of the rubber-band line.

  4. Specify a text rotation angle.

    You can enter an angle value or use your pointing device.

  5. Enter the text. At the end of each line, press ENTER. Enter more text as needed.
    NoteText that would otherwise be difficult to read (if it is very small, very large, or is rotated) is displayed at a legible size and is oriented horizontally so that you can easily read and edit it.

    If you specify another point during this command, the cursor moves to that point, and you can continue typing. Every time you press ENTER or specify a point, a new text object is created.

  6. Press ENTER on a blank line to end the command.
Command entry: TEXT


To create multiline text (Procedure)

Overview of Creating Text
Up a level to ..
Create Single-Line Text
Annotate Drawings > Notes and Labels > Create Text > Overview of Creating Text >
Overview of Creating Text
Concept Procedure Quick Reference

To create multiline text

  1. Click Home tab [image] Annotation panel [image] Multiline Text. At the command prompt, enter mtext.
  2. Specify opposite corners of a bounding box to define the width of the multiline text object.

    If the ribbon is active, the MTEXT ribbon contextual tab displays. If the ribbon is not active, the In-Place Text Editor is displayed.

  3. To indent the first line of each paragraph, drag the first-line indent slider on the ruler. To indent the other lines of each paragraph, drag the paragraph slider.
  4. To set tabs, click the ruler where you want a tab stop.
  5. If you want to use a text style other than the default, click the arrow next to the Text Style control on the toolbar and then select a style.
  6. Enter text.
    NoteText that would otherwise be difficult to read (if it is very small, very large, or is rotated) is displayed at a legible size and is oriented horizontally so that you can easily read and edit it.
  7. To override the current text style, select text as follows:
    • To select one or more letters, click and drag the pointing device over the characters.
    • To select a word, double-click the word.
    • To select a paragraph, triple-click the paragraph.
  8. On the toolbar, make format changes as follows:
    • To change the font of the selected text, select a font from the list.
    • To change the height of the selected text, enter a new value in the Height box.
      NoteThe MText height value is reset to 0 if its default height is not modified during creation.
    • To format text in a TrueType font with boldface or italics, or to create underlined or overlined text for any font, click the corresponding button on the toolbar. SHX fonts do not support boldface or italics.
    • To apply color to selected text, choose a color from the Color list. Click Other to display the Select Color dialog box.
  9. To save your changes and exit the editor, use one of the following methods:
    • Click OK on the toolbar.
    • Click in the drawing outside the editor.
    • Press CTRL+ENTER.
Toolbar: Draw
Command entry: MTEXT


Overview of Creating Text (Quick Reference)

Overview of Notes and Labels
Overview of Creating Text
Create Single-Line Text
Annotate Drawings > Notes and Labels > Create Text > Overview of Creating Text >
Overview of Creating Text
Concept Procedure Quick Reference

Commands

MLEADER

Creates a multileader object

MTEXT

Creates a multiline text object

QLEADER

Creates a leader and leader annotation

TEXT

Creates a single-line text object

System Variables

DIMASSOC

Controls the associativity of dimension objects and whether dimensions are exploded

DIMASZ

Controls the size of dimension line and leader line arrowheads

DIMLDRBLK

Specifies the arrow type for leaders

Utilities

No entries

Command Modifiers

No entries


Create Single-Line Text (Concept)

Overview of Creating Text
Create Text
Create Multiline Text
Annotate Drawings > Notes and Labels > Create Text >
Create Single-Line Text
Concept Procedure Quick Reference

You can use single-line text to create one or more lines of text, where each text line is an independent object that you can relocate, reformat, or otherwise modify.

Use single-line text (TEXT) to create one or more lines of text, ending each line when you press ENTER. Each text line is an independent object that you can relocate, reformat, or otherwise modify.

When you create single-line text, you assign a text style and set alignment. The text style sets the default characteristics of the text object. The alignment determines what part of the text character aligns with the insertion point. Use the TEXT command to enter the text in-place, or enter -text at the command prompt to enter the text at the command prompt.

You can insert a field in single-line text. A field is text that is set up to display data that might change. When the field is updated, the latest value of the field is displayed.

The text styles used for single-line text are the same as those used for multiline text. When you create text, you assign an existing style by entering its name at the Style prompt. If you need to apply formatting to individual words and characters, use multiline text instead of single-line text.

You can also compress single-line text to fit between points that you specify. This option stretches or squeezes the text to fill the designated space.

The DTEXTED system variable specifies the user interface displayed for editing single-line text.

Align Single-Line Text

As you create text, you can align it. That is, you can justify it with one of the alignment options shown in the following illustrations. Left alignment is the default. To left-align text, do not enter an option at the Justify prompt.

See Also

    • Use Fields in Text


Create Single-Line Text (Procedure)

Overview of Creating Text
Up a level to ..
Create Single-Line Text
Annotate Drawings > Notes and Labels > Create Text > Create Single-Line Text >
Create Single-Line Text
Concept Procedure Quick Reference

To create single-line text

To specify a text style when you create single-line text

To align single-line text as you create it


To create single-line text (Procedure)

Create Single-Line Text
Up a level to ..
Create Single-Line Text
Annotate Drawings > Notes and Labels > Create Text > Create Single-Line Text >
Create Single-Line Text
Concept Procedure Quick Reference

To create single-line text

  1. Click Home tab [image] Annotation panel [image] Single Line Text. At the command prompt, enter dtext.
  2. Specify the insertion point for the first character. If you press ENTER, the program locates the new text immediately below the last text object you created, if any.
  3. Specify the height of the text. This prompt is displayed only if text height is set to 0 in the current text style.

    A rubber-band line is attached from the text insertion point to the cursor. Click to set the height of the text to the length of the rubber-band line.

  4. Specify a text rotation angle.

    You can enter an angle value or use your pointing device.

  5. Enter the text. At the end of each line, press ENTER. Enter more text as needed.
    NoteText that would otherwise be difficult to read (if it is very small, very large, or is rotated) is displayed at a legible size and is oriented horizontally so that you can easily read and edit it.

    If you specify another point during this command, the cursor moves to that point, and you can continue typing. Every time you press ENTER or specify a point, a new text object is created.

  6. Press ENTER on a blank line to end the command.
Command entry: TEXT


To specify a text style when you create single-line text (Procedure)

Create Single-Line Text
Up a level to ..
Create Single-Line Text
Annotate Drawings > Notes and Labels > Create Text > Create Single-Line Text >
Create Single-Line Text
Concept Procedure Quick Reference

To specify a text style when you create single-line text

  1. Click Home tab [image] Annotation panel [image] Single Line Text. At the command prompt, enter dtext.
  2. Enter s (Style).
  3. At the Style Name prompt, enter an existing text style name.

    If you first want to see a list of text styles, enter ? and press ENTER twice.

  4. Continue creating text.
Command entry: TEXT


To align single-line text as you create it (Procedure)

Create Single-Line Text
Up a level to ..
Create Multiline Text
Annotate Drawings > Notes and Labels > Create Text > Create Single-Line Text >
Create Single-Line Text
Concept Procedure Quick Reference

To align single-line text as you create it

  1. Click Home tab [image] Annotation panel [image] Single Line Text. At the command prompt, enter dtext.
  2. Enter j (Justify).
  3. Enter an alignment option. For example, enter br to align text at its bottom-right corner.
  4. Continue creating text.
Command entry: TEXT


Create Single-Line Text (Quick Reference)

Overview of Creating Text
Create Single-Line Text
Overview of Multiline Text
Annotate Drawings > Notes and Labels > Create Text > Create Single-Line Text >
Create Single-Line Text
Concept Procedure Quick Reference

Commands

QTEXT

Controls the display and plotting of text and attribute objects

STYLE

Creates, modifies, or specifies text styles

TEXT

Creates a single-line text object

System Variables

DTEXTED

Specifies the user interface displayed for editing single-line text

FONTALT

Specifies the alternate font to be used when the specified font file cannot be located

FONTMAP

Specifies the font mapping file to be used

MIRRTEXT

Controls how the MIRROR command reflects text

QTEXTMODE

Controls how text is displayed

TEXTEVAL
TEXTFILL
TEXTQLTY
TEXTSIZE

Sets the default height for new text objects drawn with the current text style

TEXTSTYLE

Sets the name of the current text style

Utilities

No entries

Command Modifiers

No entries


Create Multiline Text

Create Single-Line Text
Create Text
Overview of Multiline Text
Annotate Drawings > Notes and Labels > Create Text >
Create Multiline Text
Concept Procedure

A multiline text (mtext) object includes one or more paragraphs of text that can be manipulated as a single object.

Topics in this section

  • Overview of Multiline Text
  • Justify Multiline Text

    Justification of multiline text objects controls both text alignment and text flow relative to the text insertion point.

  • Format Characters Within Multiline Text
  • Create Lists in Multiline Text

    You can create bulleted lists, lettered or numbered lists, or simple outlines in multiline text.

  • Indent Multiline Text and Use Tabs

    You can control how paragraphs are indented in a multiline text (mtext) object. The ruler in the In-Place Text Editor shows the settings for the current paragraph.

  • Specify the Line Spacing Within Multiline Text

    Line spacing for multiline text is the distance between the baseline (bottom) of one line of text and the baseline of the next line of text. The line space factor applies to the entire multiline text object, not to selected lines.

  • Create Stacked Characters Within Multiline Text

    Characters representing fractions and tolerances can be formatted to conform to several standards.


Create Multiline Text (Procedure)

Create Single-Line Text
Up a level to ..
Overview of Multiline Text
Annotate Drawings > Notes and Labels > Create Text > Create Multiline Text >
Create Multiline Text
Concept Procedure

To create multiline text

To insert symbols or special characters in multiline text

To add an opaque background or fill to a multiline text object

To change the Windows font smoothing setting to improve visibility of text in the Multiline Text editor

To justify multiline text

To format characters in multiline text

To format multiline text as a list

To remove list formatting from multiline text

To create a lettered or numbered list in multiline text as you type

To create a bulleted list in multiline text as you type

To move a list item in multiline text down a level

To separate an existing list

To convert the lists in a multiline text object to plain text

To create paragraphs with hanging indentation

To change the line spacing of multiline text

To create stacked text

To change stack properties

To unstack text


Overview of Multiline Text (Concept)

Create Multiline Text
Create Multiline Text
Justify Multiline Text
Annotate Drawings > Notes and Labels > Create Text > Create Multiline Text >
Overview of Multiline Text
Concept Procedure Quick Reference

You can create one or more paragraphs of multiline text (mtext) in the MTEXT ribbon contextual tab (if the ribbon is active), or the In-Place Text Editor (or an alternative text editor, if the ribbon is not active) You can also use command prompts. You can insert text from a file saved in ASCII or RTF format.

Before entering or importing text, you specify opposite corners of a text bounding box that defines the width of the paragraphs in the multiline text object. The length of the multiline text object depends on the amount of text, not the length of the bounding box. You can use grips to move or rotate a multiline text object.

The MTEXT ribbon contextual tab and In-Place Text Editor display the bounding box with a ruler at the top. If the ribbon is not active, the Text Formatting toolbar is also displayed. The editor is transparent so that, as you create text, you can see whether the text overlaps other objects. To turn off transparency while you work, select Opaque Background on the Options menu. You can also make the background of the finished multiline text object opaque and set its color.

You can also insert fields in multiline text. A field is text that is set up to display data that might change. When the field is updated, the latest value of the field is displayed.

Text Style

Most characteristics of the text are controlled by the text style, which sets the default font and other options, such as line spacing, justification, and color. You can use the current text style or select a new one. The STANDARD text style is the default.

Within the multiline text object, you can override the current text style by applying formatting such as underlining, boldface, and different fonts to individual characters. You can also create stacked text, such as fractions or geometric tolerances and insert special characters, including Unicode characters, for TrueType fonts.

NoteNot all SHX and TrueType text fonts support Unicode characters.

Text Properties

In the Properties palette, you can view and change the object properties of a multiline text object, including properties that apply specifically to text.

  • Justification determines where text is inserted with respect to the bounding box and sets the direction of text flow as text is entered.
  • Line space options control the amount of space between lines of text.
  • Width defines the width of the bounding box and therefore controls where the text wraps to a new line.
  • Background inserts an opaque background so that objects under the text are masked.


Overview of Multiline Text (Procedure)

Create Multiline Text
Up a level to ..
Overview of Multiline Text
Annotate Drawings > Notes and Labels > Create Text > Create Multiline Text > Overview of Multiline Text >
Overview of Multiline Text
Concept Procedure Quick Reference

To create multiline text

To insert symbols or special characters in multiline text

To add an opaque background or fill to a multiline text object

To change the Windows font smoothing setting to improve visibility of text in the Multiline Text editor


To create multiline text (Procedure)

Overview of Multiline Text
Up a level to ..
Overview of Multiline Text
Annotate Drawings > Notes and Labels > Create Text > Create Multiline Text > Overview of Multiline Text >
Overview of Multiline Text
Concept Procedure Quick Reference

To create multiline text

  1. Click Home tab [image] Annotation panel [image] Multiline Text. At the command prompt, enter mtext.
  2. Specify opposite corners of a bounding box to define the width of the multiline text object.

    If the ribbon is active, the MTEXT ribbon contextual tab displays. If the ribbon is not active, the In-Place Text Editor is displayed.

  3. To indent the first line of each paragraph, drag the first-line indent slider on the ruler. To indent the other lines of each paragraph, drag the paragraph slider.
  4. To set tabs, click the ruler where you want a tab stop.
  5. If you want to use a text style other than the default, click the arrow next to the Text Style control on the toolbar and then select a style.
  6. Enter text.
    NoteText that would otherwise be difficult to read (if it is very small, very large, or is rotated) is displayed at a legible size and is oriented horizontally so that you can easily read and edit it.
  7. To override the current text style, select text as follows:
    • To select one or more letters, click and drag the pointing device over the characters.
    • To select a word, double-click the word.
    • To select a paragraph, triple-click the paragraph.
  8. On the toolbar, make format changes as follows:
    • To change the font of the selected text, select a font from the list.
    • To change the height of the selected text, enter a new value in the Height box.
      NoteThe MText height value is reset to 0 if its default height is not modified during creation.
    • To format text in a TrueType font with boldface or italics, or to create underlined or overlined text for any font, click the corresponding button on the toolbar. SHX fonts do not support boldface or italics.
    • To apply color to selected text, choose a color from the Color list. Click Other to display the Select Color dialog box.
  9. To save your changes and exit the editor, use one of the following methods:
    • Click OK on the toolbar.
    • Click in the drawing outside the editor.
    • Press CTRL+ENTER.
Toolbar: Draw
Command entry: MTEXT


To insert symbols or special characters in multiline text (Procedure)

Overview of Multiline Text
Up a level to ..
Overview of Multiline Text
Annotate Drawings > Notes and Labels > Create Text > Create Multiline Text > Overview of Multiline Text >
Overview of Multiline Text
Concept Procedure Quick Reference

To insert symbols or special characters in multiline text

  1. If the ribbon is active, double-click a multiline text object to open the MTEXT ribbon contextual tab. If the ribbon is not active, the In-Place Text Editor is displayed.
  2. On either the ribbon contextual tab or expanded toolbar, click Symbol.
  3. Click one of the options on the menu, or click Other to display the Character Map dialog box.

    To access the Character Map dialog box, you must have charmap.exe installed. See Microsoft® Windows® Help for information about adding programs to your system.

  4. In the Character Map dialog box, select a font.
  5. Select a character, and use one of the following methods:
    • To insert a single character, drag the selected character into the editor.
    • To insert multiple characters, click Select to add each character to the Characters to Copy box. When you have all the characters you want, click Copy. Right-click in the editor. Click Paste.
  6. To save your changes and exit the editor, use one of the following methods:
    • Click OK on the toolbar.
    • Click in the drawing outside the editor.
    • Press CTRL+ENTER.
Toolbar: Draw
Command entry: MTEXT


To add an opaque background or fill to a multiline text object (Procedure)

Overview of Multiline Text
Up a level to ..
Overview of Multiline Text
Annotate Drawings > Notes and Labels > Create Text > Create Multiline Text > Overview of Multiline Text >
Overview of Multiline Text
Concept Procedure Quick Reference

To add an opaque background or fill to a multiline text object

  1. If the ribbon is active, double-click a multiline text object to open the MTEXT ribbon contextual tab. If the ribbon is not active, the In-Place Text Editor is displayed.
  2. On the ribbon contextual tab, click Background Mask. In the editor, right-click. Click Background Mask.
  3. In the Background Mask dialog box, select Use Background Mask.
  4. Enter a value for Border Offset Factor.

    The value is based on the text height. A factor of 1.0 exactly fits the multiline text object. A factor of 1.5 (the default) extends the background by 0.5 times the text height.

  5. Under Fill Color, do one of the following:
    • Select the Use Drawing Background Color option.
    • Select a color for the background, or click Select Color to open the Select Color dialog box.
  6. Click OK to return to the editor.
  7. To save your changes and exit the editor, use one of the following methods:
    • Click OK on the toolbar.
    • Click in the drawing outside the editor.
    • Press CTRL+ENTER.

    The opaque background is applied when you exit the editor.

Toolbar: Draw
Command entry: MTEXT


To change the Windows font smoothing setting to improve visibility of text in the Multiline Text editor (Procedure)

Overview of Multiline Text
Up a level to ..
Justify Multiline Text
Annotate Drawings > Notes and Labels > Create Text > Create Multiline Text > Overview of Multiline Text >
Overview of Multiline Text
Concept Procedure Quick Reference

To change the Windows font smoothing setting to improve visibility of text in the Multiline Text editor

  1. On the Windows desktop, right-click. Click Properties.
  2. In the Display Properties dialog box, click the Appearance tab.
  3. Click Effects.
  4. In the Effects dialog box, click the Use the Following Method to Smooth Edges of Screen Fonts to clear the setting.
  5. Click OK to exit the Effects dialog box.
  6. Click OK to exit the Display Properties dialog box.


Overview of Multiline Text (Quick Reference)

Create Single-Line Text
Overview of Multiline Text
Justify Multiline Text
Annotate Drawings > Notes and Labels > Create Text > Create Multiline Text > Overview of Multiline Text >
Overview of Multiline Text
Concept Procedure Quick Reference

Commands

MTEXT

Creates a multiline text object

QTEXT

Controls the display and plotting of text and attribute objects

STYLE

Creates, modifies, or specifies text styles

System Variables

MTEXTED

Sets the application for editing multiline text objects

MTEXTFIXED

Sets the display size and position of multiline text

MTEXTTOOLBAR

Controls the display of the Text Formatting toolbar

MTJIGSTRING

Sets the content of the sample text displayed at the cursor location when the MTEXT command is started

QTEXTMODE

Controls how text is displayed

TEXTFILL
TEXTQLTY
TEXTSIZE

Sets the default height for new text objects drawn with the current text style

TEXTSTYLE

Sets the name of the current text style

Utilities

No entries

Command Modifiers

No entries


Justify Multiline Text (Concept)

Overview of Multiline Text
Create Multiline Text
Format Characters Within Multiline Text
Annotate Drawings > Notes and Labels > Create Text > Create Multiline Text >
Justify Multiline Text
Concept Procedure Quick Reference

Justification of multiline text objects controls both text alignment and text flow relative to the text insertion point.

Justification controls both text alignment and text flow relative to the text insertion point. Text is left-justified and right-justified with respect to the boundary rectangle that defines the text width. Text flows from the insertion point, which can be at the middle, the top, or the bottom of the resulting text object.

There are nine justification settings for multiline text.

If a single word is longer than the width of the paragraph, the word will extend beyond the paragraph boundary.


To justify multiline text (Procedure)

Overview of Multiline Text
Up a level to ..
Format Characters Within Multiline Text
Annotate Drawings > Notes and Labels > Create Text > Create Multiline Text > Justify Multiline Text >
Justify Multiline Text
Concept Procedure Quick Reference

To justify multiline text

  1. Click Tools menu [image] Palettes [image] Properties.
  2. Select the multiline text object.
  3. On the Properties palette, select one of the Justification options.
  4. Click outside the Properties palette.
Command entry: PROPERTIES


Justify Multiline Text (Quick Reference)

Overview of Multiline Text
Justify Multiline Text
Format Characters Within Multiline Text
Annotate Drawings > Notes and Labels > Create Text > Create Multiline Text > Justify Multiline Text >
Justify Multiline Text
Concept Procedure Quick Reference

Commands

PROPERTIES

Controls properties of existing objects

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Format Characters Within Multiline Text (Concept)

Justify Multiline Text
Create Multiline Text
Create Lists in Multiline Text
Annotate Drawings > Notes and Labels > Create Text > Create Multiline Text >
Format Characters Within Multiline Text
Concept Procedure Quick Reference

As you create multiline text, you can override the text style and apply different formatting to individual words and characters. The format changes affect only the text you select; the current text style is not changed.

You can specify a different font and text height and apply boldface, italics, underlining, overlining, and color. You can also set an obliquing angle, change the space between characters, and make characters wider or narrower. The Remove Formatting option on the menu of options resets the character attributes of selected text to the current text style and also resets the text color to the color of the mtext object.

The text height setting specifies the height of capitalized text. For more information about how height is calculated, see MTEXT.

See Also

    • Use an Alternate Text Editor


To format characters in multiline text (Procedure)

Justify Multiline Text
Up a level to ..
Create Lists in Multiline Text
Annotate Drawings > Notes and Labels > Create Text > Create Multiline Text > Format Characters Within Multiline Text >
Format Characters Within Multiline Text
Concept Procedure Quick Reference

To format characters in multiline text

  1. If the ribbon is active, double-click a multiline text object to open the MTEXT ribbon contextual tab. If the ribbon is not active, the In-Place Text Editor is displayed.
  2. Select the text you want to format:
    • To select one or more letters, click and drag the pointing device over the characters.
    • To select a word, double-click the word.
    • To select a paragraph, triple-click the paragraph.
  3. On either the ribbon contextual tab or toolbar, make format changes as follows:
    • To change the font of the selected text, select a font from the list.
    • To change the height of the selected text, enter a new value in the Height box.
    • To format text in a TrueType font with boldface or italics, or to create underlined or overlined text for any font, click the corresponding button on the toolbar. SHX fonts do not support boldface or italics.
    • To apply color to selected text, select a color from the Color list. Click Other to display the Select Color dialog box.
    • To set an obliquing angle for the text, enter a value between -85 and 85. A positive value slants text to the right. A negative value slants text to the left.
    • To change letter spacing in the selected text, enter a new value.
    • To change the width of characters in the selected text, enter a new value.
  4. To save your changes and exit the editor, use one of the following methods:
    • Click OK on the toolbar.
    • Click in the drawing outside the editor.
    • Press CTRL+ENTER.
Toolbar: Draw
Command entry: MTEXT


Format Characters Within Multiline Text (Quick Reference)

Justify Multiline Text
Format Characters Within Multiline Text
Create Lists in Multiline Text
Annotate Drawings > Notes and Labels > Create Text > Create Multiline Text > Format Characters Within Multiline Text >
Format Characters Within Multiline Text
Concept Procedure Quick Reference

Commands

DDEDIT

Edits single-line text, dimension text, attribute definitions, and feature control frames

MTEXT

Creates a multiline text object

PROPERTIES

Controls properties of existing objects

STYLE

System Variables

TEXTFILL
TEXTSTYLE

Utilities

No entries

Command Modifiers

No entries


Create Lists in Multiline Text (Concept)

Format Characters Within Multiline Text
Create Multiline Text
Indent Multiline Text and Use Tabs
Annotate Drawings > Notes and Labels > Create Text > Create Multiline Text >
Create Lists in Multiline Text
Concept Procedure Quick Reference

You can create bulleted lists, lettered or numbered lists, or simple outlines in multiline text.

Lines of multiline text can be formatted as a list. When you add or delete an item, or move an item up or down a level, the list numbering automatically adjusts. You can remove and reapply list formatting with the same method as used in most text editors.

Use Automatic List Formatting

By default, list formatting is applied to all text that looks like a list. Text that meets all the following criteria is considered to be a list:

  • The line begins with one or more letters or numbers or a symbol.
  • The letters or numbers is followed by punctuation.
  • A space after the punctuation is created by pressing TAB.
  • The text following the space is ended by ENTER or SHIFT+ENTER.
NoteIf you do not want list formatting applied to all text that fits the criteria, clear the Allow Bullets and Lists option. (Right-click in the In-Place Text Editor, click Bullets and Lists, and clear Allow Bullets and Lists.) When Allow Bullets and Lists is not checked, you cannot create new formatted lists in the multiline text object.

To create a list, use one of the following methods:

  • Apply list formatting to new or selected text.
  • Use Auto-list (on by default) and type the elements of a list.
  • With Auto-list off, type the elements of a list and close and reopen the editor to convert the text to a list.

Apply List Formatting

When you apply list formatting, you can specify bullets, uppercase or lowercase letters, or numbers. Default settings are used for the type of list you choose. Letters or numbers are followed by a period. Nested lists use a double bullet, letter, or number. Items are indented based on the tab stops on the ruler in the In-Place Text Editor.

Use Auto-list to Type a List

When Auto-list is on, you can create a list as you type. You can use letters, numbers, or symbols.

For example, in the editor, enter \U+25CB, press TAB, and then enter some text. This creates a empty circle style bullet.

Not all symbols are available from the character map for a particular text font. However, if you specify the Unicode text directly (\U+25CB in this case), you can always get the bullet format of your choice.

NotePress TAB after you enter the Unicode text or symbol, or it will remain a separate character.

You can also paste a symbol from the Character Map dialog box

The following characters can be used as punctuation after the number or letter when you type a list but cannot be used as bullets:

Character | Description
. | Period
: | Colon
) | Close parenthesis
> | Close angle bracket
] | Close square bracket
} | Close curly bracket

Paste a List from Another Document

If you copy a nested bulleted list (a list within a list) from Microsoft Word and paste the list into multiline text, the bullets that are displayed as empty circles cannot be formatted like other bullets in multiline text. This is because Word uses the letter o instead of a bullet for nested bulleted lists. You can remove formatting from the nested list and reapply to change the bullets to double bullets.


Create Lists in Multiline Text (Procedure)

Format Characters Within Multiline Text
Up a level to ..
Create Lists in Multiline Text
Annotate Drawings > Notes and Labels > Create Text > Create Multiline Text > Create Lists in Multiline Text >
Create Lists in Multiline Text
Concept Procedure Quick Reference

To format multiline text as a list

To remove list formatting from multiline text

To create a lettered or numbered list in multiline text as you type

To create a bulleted list in multiline text as you type

To move a list item in multiline text down a level

To separate an existing list

To convert the lists in a multiline text object to plain text


To format multiline text as a list (Procedure)

Create Lists in Multiline Text
Up a level to ..
Create Lists in Multiline Text
Annotate Drawings > Notes and Labels > Create Text > Create Multiline Text > Create Lists in Multiline Text >
Create Lists in Multiline Text
Concept Procedure Quick Reference

To format multiline text as a list

  1. Click Home tab [image] Annotation panel [image] Multiline Text. At the command prompt, enter mtext.
  2. Specify opposite corners of a bounding box to define the width of the multiline text object.
  3. To expand the Text Formatting toolbar, click Options button [image] Show Options.
  4. If you are converting multiline text to a list, select the paragraphs.
    NoteList formatting is only available when the Allow Bullets and Lists option is checked (the default).
  5. On the expanded toolbar, click Numbering, Bullets, or Uppercase Letters.
    • Numbering. Uses numbers with periods for the items in a list.
    • Bullets. Uses a bullet or other character for the items in a list.
    • Uppercase Letters. Uses uppercase letters with periods for the items in a list. If the list has more items than the alphabet has letters, the sequence continues by using double letters. To use lowercase letters, right-click in the editor. Click Bullets and Lists [image] Lettered [image] Lowercase.
  6. If you are creating new list items, enter the text.
  7. To end the list, press ENTER to move to a new line. Click the button that you clicked to start the list.
  8. To save your changes and exit the editor, use one of the following methods:
    • Click OK on the toolbar.
    • Click in the drawing outside the editor.
    • Press CTRL+ENTER.
Toolbar: Draw
Command entry: MTEXT


To remove list formatting from multiline text (Procedure)

Create Lists in Multiline Text
Up a level to ..
Create Lists in Multiline Text
Annotate Drawings > Notes and Labels > Create Text > Create Multiline Text > Create Lists in Multiline Text >
Create Lists in Multiline Text
Concept Procedure Quick Reference

To remove list formatting from multiline text

  1. If the ribbon is active, double-click a multiline text object to open the MTEXT ribbon contextual tab. If the ribbon is not active, the In-Place Text Editor is displayed.
  2. Select the list items.
  3. To expand the Text Formatting toolbar, click Options button [image] Show Options.
  4. On the expanded toolbar, click the active list button to make it inactive: Numbering, Bullets, or Uppercase Letters.
    NoteIf the list uses lowercase letters, click Uppercase Letters to convert the list to uppercase. Then click Uppercase Letters to make it inactive.
  5. To save your changes and exit the editor, use one of the following methods:
    • Click OK on the ribbon contextual tab or toolbar.
    • Click in the drawing outside the editor.
    • Press CTRL+ENTER.
Toolbar: Draw
Command entry: MTEXT


To create a lettered or numbered list in multiline text as you type (Procedure)

Create Lists in Multiline Text
Up a level to ..
Create Lists in Multiline Text
Annotate Drawings > Notes and Labels > Create Text > Create Multiline Text > Create Lists in Multiline Text >
Create Lists in Multiline Text
Concept Procedure Quick Reference

To create a lettered or numbered list in multiline text as you type

  1. Click Home tab [image] Annotation panel [image] Multiline Text. At the command prompt, enter mtext.
  2. Specify opposite corners of a bounding box to define the width of the multiline text object.
  3. To expand the Text Formatting toolbar, click Options button [image] Show Options.
  4. Click Bullets and Lists. Verify that Allow Auto-list and Allow Bullets and Lists are checked.
  5. Enter a letter or a number and a period (or other punctuation).

    The following characters can be used as punctuation after letters and numbers: period (.), colon (:), close parenthesis ()), close angle bracket (>), close square bracket (]), and close curly bracket (}).

  6. Press TAB.
  7. Enter the text of the list item. Press ENTER to move to the next item, or press SHIFT+ENTER to add a plain paragraph before the next item.

    The item is automatically lettered or numbered in sequence.

  8. Press ENTER twice to end the list.
  9. To save your changes and exit the editor, use one of the following methods:
    • Click in the drawing outside the editor.
    • Press CTRL+ENTER.
    • Click the Close Editor icon in the Multiline Text panel.
Toolbar: Draw
Command entry: MTEXT


To create a bulleted list in multiline text as you type (Procedure)

Create Lists in Multiline Text
Up a level to ..
Create Lists in Multiline Text
Annotate Drawings > Notes and Labels > Create Text > Create Multiline Text > Create Lists in Multiline Text >
Create Lists in Multiline Text
Concept Procedure Quick Reference

To create a bulleted list in multiline text as you type

  1. Click Home tab [image] Annotation panel [image] Multiline Text. At the command prompt, enter mtext.
  2. Specify opposite corners of a bounding box to define the width of the multiline text object.
  3. In the Options panel, click the Options [image] icon.
  4. Click Bullets and Lists. Verify that Allow Auto-list and Allow Bullets and Lists are selected (tick mark).
  5. Start a line of text by entering \U+2022 (the Unicode string for a bullet) or by selecting a bullet character or another symbol.
    NoteThe following characters cannot be used as bullets: period (.), colon (:), close parenthesis ()), close angle bracket (>), close square bracket (]), and close curly bracket (}).
  6. Alternatively, click Options [image] Symbol [image] Other.

    The Character Map dialog box appears.

  7. Double-click a symbol to copy it to the clipboard.
  8. Close the Character Map dialog box.
  9. Paste the symbol to the drawing, and press the up-arrow and End key to return the cursor to the same line.
  10. Press TAB.
  11. Enter the text of the list item. Press ENTER to move to the next item, or press SHIFT+ENTER to add a plain paragraph before the next item.

    The bullet character is automatically added to the next item.

  12. Press ENTER twice to end the list.
  13. To save your changes and exit the editor, use one of the following methods:
    • Click OK on the toolbar.
    • Click in the drawing outside the editor.
    • Press CTRL+ENTER.
Toolbar: Draw
Command entry: MTEXT


To move a list item in multiline text down a level (Procedure)

Create Lists in Multiline Text
Up a level to ..
Create Lists in Multiline Text
Annotate Drawings > Notes and Labels > Create Text > Create Multiline Text > Create Lists in Multiline Text >
Create Lists in Multiline Text
Concept Procedure Quick Reference

To move a list item in multiline text down a level

  1. If the ribbon is active, double-click a multiline text object to open the MTEXT ribbon contextual tab. If the ribbon is not active, the In-Place Text Editor is displayed.
  2. Place the cursor at the beginning of a list item and press TAB.

    The item moves down one level and begins a nested list.

  3. Press ENTER to start the next item at the same level, or press SHIFT+TAB to move the item up a level.
  4. To save your changes and exit the editor, use one of the following methods:
    • Click OK on the toolbar.
    • Click in the drawing outside the editor.
    • Press CTRL+ENTER.
Toolbar: Draw
Command entry: MTEXT


To separate an existing list (Procedure)

Create Lists in Multiline Text
Up a level to ..
Create Lists in Multiline Text
Annotate Drawings > Notes and Labels > Create Text > Create Multiline Text > Create Lists in Multiline Text >
Create Lists in Multiline Text
Concept Procedure Quick Reference

To separate an existing list

  1. If the ribbon is active, double-click a multiline text object to open the MTEXT ribbon contextual tab. If the ribbon is not active, the In-Place Text Editor is displayed.
  2. Select a sequence of list items or place the cursor at the beginning of the item where you want to start the new list.
  3. Right-click in the editor. Click Bullets and Lists [image] Restart.

    The selected items are renumbered as a separate sequence. If you select items in the middle of a list, unselected items below the selected items also become part of the new list.

  4. To continue the original list below the new list, select the first item below the new list.
  5. Right-click in the editor. Click Bullets and Lists [image] Continue.

    The selected item and the items following it are renumbered to continue the previous list.

  6. To save your changes and exit the editor, use one of the following methods:
    • Click OK on the toolbar.
    • Click in the drawing outside the editor.
    • Press CTRL+ENTER.
Toolbar: Draw
Command entry: MTEXT


To convert the lists in a multiline text object to plain text (Procedure)

Create Lists in Multiline Text
Up a level to ..
Indent Multiline Text and Use Tabs
Annotate Drawings > Notes and Labels > Create Text > Create Multiline Text > Create Lists in Multiline Text >
Create Lists in Multiline Text
Concept Procedure Quick Reference

To convert the lists in a multiline text object to plain text

  1. If the ribbon is active, double-click a multiline text object to open the MTEXT ribbon contextual tab. If the ribbon is not active, the In-Place Text Editor is displayed.
  2. Right-click in the editor. Click Bullets and Lists. Remove the check mark next to Allow Bullets and Lists.

    The plain text lists retain their bullets, numbers, or letters. If you add an item to the list, the number or letter sequence does not change.


Create Lists in Multiline Text (Quick Reference)

Format Characters Within Multiline Text
Create Lists in Multiline Text
Indent Multiline Text and Use Tabs
Annotate Drawings > Notes and Labels > Create Text > Create Multiline Text > Create Lists in Multiline Text >
Create Lists in Multiline Text
Concept Procedure Quick Reference

Commands

DDEDIT

Edits single-line text, dimension text, attribute definitions, and feature control frames

MTEXT

Creates a multiline text object

PROPERTIES

Controls properties of existing objects

System Variables

AUTOLIST
TEXTFILL
TEXTQLTY

Utilities

No entries

Command Modifiers

No entries


Indent Multiline Text and Use Tabs (Concept)

Create Lists in Multiline Text
Create Multiline Text
Specify the Line Spacing Within Multiline Text
Annotate Drawings > Notes and Labels > Create Text > Create Multiline Text >
Indent Multiline Text and Use Tabs
Concept Procedure Quick Reference

You can control how paragraphs are indented in a multiline text (mtext) object. The ruler in the In-Place Text Editor shows the settings for the current paragraph.

Tabs and indents that you set before you start to enter text apply to the whole multiline text object. To apply different tabs and indents to individual paragraphs, click in a single paragraph or select multiple paragraphs and then change the settings.

Sliders on the ruler show indentation relative to the left side of the bounding box. The top slider indents the first line of the paragraph, and the bottom slider indents the other lines of the paragraph.

The long tick marks on the ruler show the default tab stops. If you click the ruler to set your own tabs, the ruler displays a small, L-shaped marker at each custom tab stop. You can delete a custom tab stop by dragging the marker off the ruler.


To create paragraphs with hanging indentation (Procedure)

Create Lists in Multiline Text
Up a level to ..
Specify the Line Spacing Within Multiline Text
Annotate Drawings > Notes and Labels > Create Text > Create Multiline Text > Indent Multiline Text and Use Tabs >
Indent Multiline Text and Use Tabs
Concept Procedure Quick Reference

To create paragraphs with hanging indentation

  1. If the ribbon is active, double-click a multiline text object to open the MTEXT ribbon contextual tab. If the ribbon is not active, the In-Place Text Editor is displayed.
  2. Select the paragraphs you want to indent.
  3. On the ruler, slide the top indent marker to where you want the first line of the paragraphs to start.
    NoteThe ruler displays the tabs and indents that are set for the selected paragraphs or, if no text is selected, the paragraph where the cursor is located. The default tab stops are the long tick marks on the ruler. To set a custom tab stop, click the ruler where you want the tab stop.
  4. Slide the bottom indent marker to where you want the other lines of the paragraphs to start.

    This step indents turnover lines in paragraphs that are more than one line long.

  5. To change the indentation, select the paragraphs you want to change, click the ruler to set new tab stops, if needed, and move the indent markers.
  6. To save your changes and exit the editor, use one of the following methods:
    • Click OK on the toolbar.
    • Click in the drawing outside the editor.
    • Press CTRL+ENTER.
Toolbar: Draw
Command entry: MTEXT


Indent Multiline Text and Use Tabs (Quick Reference)

Create Lists in Multiline Text
Indent Multiline Text and Use Tabs
Specify the Line Spacing Within Multiline Text
Annotate Drawings > Notes and Labels > Create Text > Create Multiline Text > Indent Multiline Text and Use Tabs >
Indent Multiline Text and Use Tabs
Concept Procedure Quick Reference

Commands

DDEDIT

Edits single-line text, dimension text, attribute definitions, and feature control frames

MTEXT

Creates a multiline text object

PROPERTIES

Controls properties of existing objects

System Variables

TEXTFILL
TEXTQLTY

Utilities

No entries

Command Modifiers

No entries


Specify the Line Spacing Within Multiline Text (Concept)

Indent Multiline Text and Use Tabs
Create Multiline Text
Create Stacked Characters Within Multiline Text
Annotate Drawings > Notes and Labels > Create Text > Create Multiline Text >
Specify the Line Spacing Within Multiline Text
Concept Procedure Quick Reference

Line spacing for multiline text is the distance between the baseline (bottom) of one line of text and the baseline of the next line of text. The line space factor applies to the entire multiline text object, not to selected lines.

You can set the spacing increment to a multiple of single line spacing, or as an absolute distance. Single spacing is 1.66 times the height of the text characters.

The default line space style, At Least, automatically increases line spacing to accommodate characters that are too large to fit the line spacing you set for the multiline text object. Use the other line space style, Exactly, to line up text in tables.

To ensure that line spacing is identical in multiple multiline text objects, use Exactly and set the Line Space Factor to the same value in each multiline text object.

NoteUsing Exactly can cause text in lines located above or below lines with large font characters to overlap the larger characters.


To change the line spacing of multiline text (Procedure)

Indent Multiline Text and Use Tabs
Up a level to ..
Create Stacked Characters Within Multiline Text
Annotate Drawings > Notes and Labels > Create Text > Create Multiline Text > Specify the Line Spacing Within Multiline Text >
Specify the Line Spacing Within Multiline Text
Concept Procedure Quick Reference

To change the line spacing of multiline text

  1. Click Tools menu [image] Palettes [image] Properties.

    The Properties palette is displayed.

  2. Select the multiline text object you want to edit.
  3. In the Properties palette, for Line Space Style, select one of the following:
    • At Least. Adjusts lines of text automatically based on the height of the largest character in the line. More space is added between lines of text with taller characters. This is the default setting.
    • Exactly. Forces the line spacing to be the same size for all lines of text regardless of format differences such as font or text height.
  4. Change the line spacing by entering a new value for either of the following options. The two line spacing options provide different ways to set the same thing:
    • Line Space Factor. Sets the line spacing to a multiple of single-line spacing. Single spacing is 1.66 times the height of the text characters.
    • Line Space Distance. Sets the line spacing to an absolute value measured in drawing units. Valid values must be between 0.0833 and 1.3333.
NoteAfter you exit the Properties palette, the value of the other line spacing option is updated to correspond with the line spacing value that you entered.
Toolbar: Standard
Command entry: PROPERTIES


Specify the Line Spacing Within Multiline Text (Quick Reference)

Indent Multiline Text and Use Tabs
Specify the Line Spacing Within Multiline Text
Create Stacked Characters Within Multiline Text
Annotate Drawings > Notes and Labels > Create Text > Create Multiline Text > Specify the Line Spacing Within Multiline Text >
Specify the Line Spacing Within Multiline Text
Concept Procedure Quick Reference

Commands

PROPERTIES

Controls properties of existing objects

System Variables

TSPACEFAC

Controls the multiline text line-spacing distance measured as a factor of text height

TSPACETYPE

Utilities

No entries

Command Modifiers

No entries


Create Stacked Characters Within Multiline Text (Concept)

Specify the Line Spacing Within Multiline Text
Create Multiline Text
Create and Edit Columns in Multiline Text
Annotate Drawings > Notes and Labels > Create Text > Create Multiline Text >
Create Stacked Characters Within Multiline Text
Concept Procedure Quick Reference

Characters representing fractions and tolerances can be formatted to conform to several standards.

Stacked text refers to the fraction and tolerance formats applied to characters within multiline text object and multileaders.

You use special characters to indicate how selected text should be stacked.

  • Slash (/) stacks text vertically, separated by a horizontal line.
  • Pound sign (#) stacks text diagonally, separated by a diagonal line.
  • Carat (^) creates a tolerance stack, which is stacked vertically and not separated by a line.

To stack characters manually within the In-Place Text Editor, select the text to be formatted, including the special stacking character, and click the Stack button on the Text Formatting toolbar.

Stack Numeric and Tolerance Characters Automatically

You can specify that numeric characters entered before and after a slash, pound sign, or carat will stack automatically. For example, if you enter 1#3 followed by a nonnumeric character or space, the AutoStack Properties dialog box is displayed by default, and you can change the settings in the AutoStack dialog box to specify your formatting preferences.

The automatic stacking feature applies only to numeric characters immediately before and after the slash, pound sign, and carat. For tolerance stacking, the +, -, and decimal character also stack automatically.

See Also

    • Use an Alternate Text Editor


Create Stacked Characters Within Multiline Text (Procedure)

Specify the Line Spacing Within Multiline Text
Up a level to ..
Create Stacked Characters Within Multiline Text
Annotate Drawings > Notes and Labels > Create Text > Create Multiline Text > Create Stacked Characters Within Multiline Text >
Create Stacked Characters Within Multiline Text
Concept Procedure Quick Reference

To create stacked text

To change stack properties

To unstack text


To create stacked text (Procedure)

Create Stacked Characters Within Multiline Text
Up a level to ..
Create Stacked Characters Within Multiline Text
Annotate Drawings > Notes and Labels > Create Text > Create Multiline Text > Create Stacked Characters Within Multiline Text >
Create Stacked Characters Within Multiline Text
Concept Procedure Quick Reference

To create stacked text

  1. Click Home tab [image] Annotation panel [image] Multiline Text. At the command prompt, enter mtext.
  2. Specify opposite corners of a bounding box to define the width of the multiline text object.
  3. In either the MTEXT ribbon contextual tab or In-Place Text Editor, set text style and other multiline text properties as needed.
  4. Enter the text you want to stack separated by one of the following characters:
    • Slash (/) stacks text vertically, separated by a horizontal line.
    • Pound sign (#) stacks text diagonally, separated by a diagonal line.
    • Carat (^) creates a tolerance stack, which is not separated by a line.

    If you enter numbers separated by stack characters and then enter a nonnumeric character or press SPACEBAR, the AutoStack Properties dialog box is displayed.

  5. In the AutoStack Properties dialog box, you can choose to automatically stack numbers (not nonnumeric text) and to remove leading blanks. You can also specify whether the slash character creates a diagonal fraction or creates a vertical fraction. If you do not want to use AutoStack, click Cancel to exit the dialog box.
  6. Select the text that you want to stack, and click the Stack button on the toolbar.
  7. To save your changes and exit the editor, use one of the following methods:
    • Click OK on the toolbar.
    • Click in the drawing outside the editor.
    • Press CTRL+ENTER.
Toolbar: Draw
Command entry: MTEXT


To change stack properties (Procedure)

Create Stacked Characters Within Multiline Text
Up a level to ..
Create Stacked Characters Within Multiline Text
Annotate Drawings > Notes and Labels > Create Text > Create Multiline Text > Create Stacked Characters Within Multiline Text >
Create Stacked Characters Within Multiline Text
Concept Procedure Quick Reference

To change stack properties

  1. Double-click the multiline text object you want to edit.
  2. In either the MTEXT ribbon contextual tab or In-Place Text Editor, select the stacked text.
  3. Right-click in the editor. Click Properties.
  4. In the Stack Properties dialog box, change settings as needed.
  5. To set properties for automatic stacking, click Autostack.
  6. To save your changes and exit the editor, use one of the following methods:
    • Click OK on the toolbar.
    • Click in the drawing outside the editor.
    • Press CTRL+ENTER.
Toolbar: Draw
Command entry: MTEXT


To unstack text (Procedure)

Create Stacked Characters Within Multiline Text
Up a level to ..
Create and Edit Columns in Multiline Text
Annotate Drawings > Notes and Labels > Create Text > Create Multiline Text > Create Stacked Characters Within Multiline Text >
Create Stacked Characters Within Multiline Text
Concept Procedure Quick Reference

To unstack text

  1. Double-click the multiline text object you want to edit.
  2. In either the MTEXT ribbon contextual tab or In-Place Text Editor, select the stacked text.
  3. Click Stack on the Text Formatting toolbar.
  4. To save your changes and exit the editor, use one of the following methods:
    • Click OK on the toolbar.
    • Click in the drawing outside the editor.
    • Press CTRL+ENTER.
Toolbar: Draw
Command entry: MTEXT


Create Stacked Characters Within Multiline Text (Quick Reference)

Specify the Line Spacing Within Multiline Text
Create Stacked Characters Within Multiline Text
Create and Edit Columns in Multiline Text
Annotate Drawings > Notes and Labels > Create Text > Create Multiline Text > Create Stacked Characters Within Multiline Text >
Create Stacked Characters Within Multiline Text
Concept Procedure Quick Reference

Commands

MTEXT

Creates a multiline text object

System Variables

TSTACKALIGN

Controls the vertical alignment of stacked text

TSTACKSIZE

Controls the percentage of stacked text fraction height relative to selected text's current height

Utilities

No entries

Command Modifiers

No entries


Create and Edit Columns in Multiline Text (Concept)

Create Stacked Characters Within Multiline Text
Create Text
Import Text from External Files
Annotate Drawings > Notes and Labels > Create Text >
Create and Edit Columns in Multiline Text
Concept Procedure Quick Reference

You can create and edit multiple columns using the In-Place Text Editor column options and column grips.

Multiple columns can be created and edited in either the MTEXT ribbon contextual tab or In-Place Text Editor and through the grip editing mode. Editing columns using grips allows you the flexibility of seeing the changes as you make them.

Columns follow a few rules. All columns have equal width and equal gutters. A gutter is the space between columns. The height of columns remains constant unless more text than the column can accommodate is added, or you manually move the editing grip to adjust the column height.

Editing Columns in the In-Place Text Editor

When you are working with columns using either the MTEXT ribbon contextual tab or In-Place Text Editor, the columns will be in a frame. If the Opaque background is turned on, the background covers each column, leaving gutter space blank. The ruler bar when applied, spans across all the columns, but the ruler is only active for the column that is selected as current.

Adding text to a column with an arbitrary height will not increase the column height even if text is already filling the column. Text will flow into another column.

You can also insert a column break to force text to start flowing into the next column. Anytime a column break is inserted, it is assumed that the current height of the column is fixed. To delete the break, highlight it and delete or or use the Backspace key right after the break.

Editing Columns in the Property Palette

You will be able to select Static or Dynamic columns, turn off columns and change column and gutter width through the Property Palette. Changing column width in the palette will exhibit results similar to changing width using grips. The palette is the only place that you can also change gutter setting.


Create and Edit Columns in Multiline Text (Procedure)

Create Stacked Characters Within Multiline Text
Up a level to ..
Create and Edit Columns in Multiline Text
Annotate Drawings > Notes and Labels > Create Text > Create and Edit Columns in Multiline Text >
Create and Edit Columns in Multiline Text
Concept Procedure Quick Reference

To create multiple columns in the In-Place Text Editor

To adjust columns using grips


To create multiple columns in the In-Place Text Editor (Procedure)

Create and Edit Columns in Multiline Text
Up a level to ..
Create and Edit Columns in Multiline Text
Annotate Drawings > Notes and Labels > Create Text > Create and Edit Columns in Multiline Text >
Create and Edit Columns in Multiline Text
Concept Procedure Quick Reference

To create multiple columns in the In-Place Text Editor

  1. If the ribbon is active, double-click a multiline text object to open the MTEXT ribbon contextual tab. If the ribbon is not active, the In-Place Text Editor is displayed.
  2. In the In-Place Text Editor, select a column option and suboption from columns list. You have a choice between Dynamic or Static columns.

    You have two suboptions with Dynamic Columns – Auto height or Manual height. Static Columns allows you to choose the number of columns.

  3. Adjust the column height by moving the arrows located on the bottom left of the first column.
    NoteThe arrows on the ruler on the upper right side only adjust gutter width, not column width.
Toolbar: Draw
Command entry: MTEXT


To adjust columns using grips (Procedure)

Create and Edit Columns in Multiline Text
Up a level to ..
Import Text from External Files
Annotate Drawings > Notes and Labels > Create Text > Create and Edit Columns in Multiline Text >
Create and Edit Columns in Multiline Text
Concept Procedure Quick Reference

To adjust columns using grips

  1. Select an area outside the mtext object. The In-Place Text Editor toolbar will disappear.
  2. Click once in the text area and grips will appear.

    Grips control the location of the mtext object, the gutter width, and vertical and horizontal movement of colmns.

Toolbar: Draw
Command entry: MTEXT

The following illustration demonstrates how grips are used with Dynamic Columns.

The following illustration demonstrates how grips are used with Static Columns.

NoteIn general, grips only update the mtext object after the mouse button is released.


Create and Edit Columns in Multiline Text (Quick Reference)

Create Stacked Characters Within Multiline Text
Create and Edit Columns in Multiline Text
Import Text from External Files
Annotate Drawings > Notes and Labels > Create Text > Create and Edit Columns in Multiline Text >
Create and Edit Columns in Multiline Text
Concept Procedure Quick Reference

Commands

MTEXT

Creates a multiline text object

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Import Text from External Files (Concept)

Create and Edit Columns in Multiline Text
Create Text
Create Leaders
Annotate Drawings > Notes and Labels > Create Text >
Import Text from External Files
Concept Procedure Quick Reference

You can insert TXT or RTF text files into your drawing by either importing the text or dragging a file icon from Windows Explorer.

You can insert TXT or RTF text files created in word processors into your drawing by either importing the text or dragging a file icon from Windows Explorer.

Importing TXT or RTF files from other sources gives you the most flexibility. For example, you can create a text file of standard notes that you include in drawings. The imported text becomes a multiline text object, which you can edit and reformat. Text imported from a TXT file inherits the current text style. Text imported from an RTF file inherits the current text style name, but retains its original fonts and format. Imported text files are limited to 32 KB and must have a file extension of .txt or .rtf.

If you drag a text file into a drawing, text width is determined by line breaks and carriage returns in the original document. When you drag an RTF file into a drawing, the text is inserted as an OLE object.

If you use the Clipboard to paste text from another application, the text becomes an OLE object. If you use the Clipboard to paste text from another file, the text is inserted as a block reference, and it retains its original text style.

See Also

    • Import OLE Objects


Import Text from External Files (Procedure)

Create and Edit Columns in Multiline Text
Up a level to ..
Import Text from External Files
Annotate Drawings > Notes and Labels > Create Text > Import Text from External Files >
Import Text from External Files
Concept Procedure Quick Reference

To import text files

To insert a text file using the drag-and-drop method


To import text files (Procedure)

Import Text from External Files
Up a level to ..
Import Text from External Files
Annotate Drawings > Notes and Labels > Create Text > Import Text from External Files >
Import Text from External Files
Concept Procedure Quick Reference

To import text files

  1. Click Home tab [image] Annotation panel [image] Multiline Text. At the command prompt, enter mtext.
  2. Specify opposite corners of a bounding box to define the width of the multiline text object.
  3. Right-click in the editor. Click Import Text.

    The size limit for an imported file is 32 KB.

  4. In the Select File dialog box, double-click the file you want to import, or select the file. Click Open.

    The text is inserted at the cursor location.

  5. Change the text as needed.
  6. To save your changes and exit the editor, use one of the following methods:
    • Click OK on the toolbar.
    • Click in the drawing outside the editor.
    • Press CTRL+ENTER.
Toolbar: Draw
Command entry: MTEXT


To insert a text file using the drag-and-drop method (Procedure)

Import Text from External Files
Up a level to ..
Create Leaders
Annotate Drawings > Notes and Labels > Create Text > Import Text from External Files >
Import Text from External Files
Concept Procedure Quick Reference

To insert a text file using the drag-and-drop method

  1. Open Windows Explorer, but make sure it does not fill the screen.
  2. Display the folder that contains the TXT or RTF file you want.
  3. Drag the TXT or RTF file icon onto the drawing. TXT files are inserted as multiline text objects using the current text style. RTF files are inserted as OLE objects.


Import Text from External Files (Quick Reference)

Create and Edit Columns in Multiline Text
Import Text from External Files
Overview of Leader Objects
Annotate Drawings > Notes and Labels > Create Text > Import Text from External Files >
Import Text from External Files
Concept Procedure Quick Reference

Commands

MTEXT

Creates a multiline text object

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Create Leaders

Import Text from External Files
Notes and Labels
Overview of Leader Objects
Annotate Drawings > Notes and Labels >
Create Leaders
Concept Procedure

Topics in this section

  • Overview of Leader Objects
  • Create and Modify Leaders

    A leader object typically consists of an arrowhead, an optional horizontal landing, a leader line or curve, and either a multiline text object or block.

  • Work with Leader Styles

    The appearance of a leader is controlled by its multileader style. You can use the default multileader style, STANDARD, or create your own multileader styles.

  • Add Content to a Leader

    Leaders can contain multiline text or blocks to label parts of your drawing.


Create Leaders (Procedure)

Import Text from External Files
Create Leaders
Overview of Leader Objects
Annotate Drawings > Notes and Labels > Create Leaders >
Create Leaders
Concept Procedure

To create a leader with straight lines

To create a leader with straight lines

To create a spline leader with text or a block

To edit leader text

To create multiple leaders from the same annotation

To remove leaders from an annotation

To align and space leaders

To collect multiple notes to be attached to a single landing

To create a landing line with multiple segments

To define a leader style

To apply a leader style to an existing leader


Overview of Leader Objects (Concept)

Create Leaders
Create Leaders
Create and Modify Leaders
Annotate Drawings > Notes and Labels > Create Leaders >
Overview of Leader Objects
Concept Procedure Quick Reference

A leader object is a line or a spline with an arrowhead at one end and a multiline text object or block at the other. In some cases, a short horizontal line, called a landing, connects text or blocks and feature control frames to the leader line.

The landing and leader line are associated with the multiline text object or block, so when the landing is relocated, the content and leader line move along with it.

When associative dimensioning is turned on and object snaps are used to locate the leader arrowhead, the leader is associated with the object to which the arrowhead is attached. If the object is relocated, the arrowhead is relocated, and the landing stretches accordingly.

NoteThe leader object should not be confused with the leader line that is automatically generated as part of a dimension line.


To create a leader with straight lines (Procedure)

Create Leaders
Up a level to ..
Create and Modify Leaders
Annotate Drawings > Notes and Labels > Create Leaders > Overview of Leader Objects >
Overview of Leader Objects
Concept Procedure Quick Reference

To create a leader with straight lines

  1. Click Home tab [image] Annotation panel [image] Multileader. Enter mleader at the command prompt.
  2. At the command prompt, enter o to select options.
  3. Enter l to specify leaders.
  4. Enter t to specify the leader type.
  5. Enter s to specify straight leaders.
  6. In the drawing, click a start point for the leader head.
  7. Click an end point for the leader.
  8. Enter your MTEXT content.
  9. On the Text Formatting toolbar, click OK.
Toolbar: Multileader
Command entry: MLEADER


Overview of Leader Objects (Quick Reference)

Import Text from External Files
Overview of Leader Objects
Create and Modify Leaders
Annotate Drawings > Notes and Labels > Create Leaders > Overview of Leader Objects >
Overview of Leader Objects
Concept Procedure Quick Reference

Commands

LEADER

Creates a line that connects annotation to a feature

MLEADER

Creates a multileader object

QLEADER

Creates a leader and leader annotation

System Variables

DIMASSOC

Controls the associativity of dimension objects and whether dimensions are exploded

DIMGAP

Sets the distance around the dimension text when the dimension line breaks to accommodate dimension text

DIMLDRBLK

Specifies the arrow type for leaders

MLEADERSCALE

Sets the overall scale factor applied to multileader objects

Utilities

No entries

Command Modifiers

No entries


Create and Modify Leaders (Concept)

Overview of Leader Objects
Create Leaders
Work with Leader Styles
Annotate Drawings > Notes and Labels > Create Leaders >
Create and Modify Leaders
Concept Procedure Quick Reference

A leader object typically consists of an arrowhead, an optional horizontal landing, a leader line or curve, and either a multiline text object or block.

You can create a leader line from any point or feature in a drawing and control its appearance as you draw. Leaders can be straight line segments or smooth spline curves.

A multileader object, or MLEADER, can be created arrowhead first, tail first, or content first. If a multileader style has been used, then the multileader can be created from that style.

Multileader objects can contain multiple leader lines so that one note can point to multiple objects in your drawing. Using the MLEADEREDIT command, you can add leaders to, or remove leaders from, an established multileader object.

Annotative multileaders containing multiple leader segments can have different head points in each scale representation. Horizontal landings and arrowheads can have different sizes, and landing gaps can have different distances, depending on the scale representation. The appearance of the horizontal landing within a multileader, as well as the type of leader line (straight or spline) and number of leader segments will remain the same in all scale representations. For more information, see Create Annotative Leaders and Multileaders

You can use grips to modify the look of a multileader. Using grips, you can lengthen or shorten a landing or leader line, or move the entire leader object.

Arrange Leaders

Multileaders can be arranged to add order and consistency to your drawing.

Multileader objects with blocks as content can be collected and attached to one landing line. Using the MLEADERCOLLECT command, multileaders can be collected horizontally, vertically, or within a specified area depending on your drawing needs.

Multileader objects can be sorted evenly along a specified line. Using the MLEADERALIGN command, selected multileaders can be aligned and evenly spaced as specified.

Show Me: Align Multileaders

Click the Play arrow to start the animation.

Associate Leaders with Objects

When associative dimensioning is turned on ( DIMASSOC), the leader arrowhead can be associated with a location on an object using an object snap. If the object is relocated, the arrowhead remains attached to the object and the leader line stretches, but the multiline text remains in place.

See Also
    • Create Annotative Leaders and Multileaders


Create and Modify Leaders (Procedure)

Overview of Leader Objects
Up a level to ..
Create and Modify Leaders
Annotate Drawings > Notes and Labels > Create Leaders > Create and Modify Leaders >
Create and Modify Leaders
Concept Procedure Quick Reference

To create a leader with straight lines

To create a spline leader with text or a block

To edit leader text

To create multiple leaders from the same annotation

To remove leaders from an annotation

To align and space leaders

To collect multiple notes to be attached to a single landing

To create a landing line with multiple segments


To create a leader with straight lines (Procedure)

Create and Modify Leaders
Up a level to ..
Create and Modify Leaders
Annotate Drawings > Notes and Labels > Create Leaders > Create and Modify Leaders >
Create and Modify Leaders
Concept Procedure Quick Reference

To create a leader with straight lines

  1. Click Home tab [image] Annotation panel [image] Multileader. Enter mleader at the command prompt..
  2. At the command prompt, enter o to select options.
  3. Enter l to specify leaders.
  4. Enter t to specify the leader type.
  5. Enter s to specify straight leaders.
  6. In the drawing, click a start point for the leader head.
  7. Click an end point for the leader.
  8. Enter your MTEXT content.
  9. On the Text Formatting toolbar, click OK.
Toolbar: Multileader
Command entry: MLEADER


To create a spline leader with text or a block (Procedure)

Create and Modify Leaders
Up a level to ..
Create and Modify Leaders
Annotate Drawings > Notes and Labels > Create Leaders > Create and Modify Leaders >
Create and Modify Leaders
Concept Procedure Quick Reference

To create a spline leader with text or a block

  1. Click Home tab [image] Annotation panel [image] Multileader. Enter mleader at the command prompt.
  2. At the command prompt, enter o to select options.
  3. Enter l to specify leaders.
  4. Enter t to specify the leader type.
  5. Enter p to specify a spline leader.
  6. In the drawing, click a start point for the leader head.
  7. Click the end point for the leader.
  8. Enter your MTEXT content.
  9. In the Text Formatting toolbar, click OK. .

Toolbar: Multileader
Command entry: MLEADER


To edit leader text (Procedure)

Create and Modify Leaders
Up a level to ..
Create and Modify Leaders
Annotate Drawings > Notes and Labels > Create Leaders > Create and Modify Leaders >
Create and Modify Leaders
Concept Procedure Quick Reference

To edit leader text

  1. Double-click the text you want to edit.

    If the ribbon is active, the MTEXT ribbon contextual tab is displayed. IF the ribbon is not active, the In-Place Text Editor is displayed for both single-line text and multiline text. The Text Formatting toolbar is not available for single-line text.

  2. Edit the text.
Command entry: DDEDIT


To create multiple leaders from the same annotation (Procedure)

Create and Modify Leaders
Up a level to ..
Create and Modify Leaders
Annotate Drawings > Notes and Labels > Create Leaders > Create and Modify Leaders >
Create and Modify Leaders
Concept Procedure Quick Reference

To create multiple leaders from the same annotation

  1. Select the multileader.
  2. Click Annotate tab [image] Multileaders panel [image] Add Leader. Enter mleaderedit at the command prompt.
  3. Specify the endpoint for the new leader.
Toolbar: Multileader
Command entry: MLEADEREDIT


To remove leaders from an annotation (Procedure)

Create and Modify Leaders
Up a level to ..
Create and Modify Leaders
Annotate Drawings > Notes and Labels > Create Leaders > Create and Modify Leaders >
Create and Modify Leaders
Concept Procedure Quick Reference

To remove leaders from an annotation

  1. Select the multileader.
  2. On the Multileader toolbar, click Remove Leader.
  3. Select the leader or leaders you want to remove. Press ENTER.
Toolbar: Multileader
Command entry: MLEADEREDIT


To align and space leaders (Procedure)

Create and Modify Leaders
Up a level to ..
Create and Modify Leaders
Annotate Drawings > Notes and Labels > Create Leaders > Create and Modify Leaders >
Create and Modify Leaders
Concept Procedure Quick Reference

To align and space leaders

  1. Click Annotate tab [image] Multileaders panel [image] Align. Enter mleaderalign at the command prompt.
  2. Select the multileaders to be aligned. Press ENTER.
  3. Specify a starting point in the drawing to begin the alignment. The point you select is the position of the landing head.
  4. If you want to change the spacing of the multileader objects, enter s and specify one of the following spacing methods:
    • Distribute. Spaces content evenly between two selected points.
    • Use Current. Uses the current spacing between multileaders.
    • Make Parallel. Places content so that each of the last line segments in the selected multileaders are parallel.
  5. In the drawing click a point to end the alignment.
Toolbar: Multileader
Command entry: MLEADERALIGN


To collect multiple notes to be attached to a single landing (Procedure)

Create and Modify Leaders
Up a level to ..
Create and Modify Leaders
Annotate Drawings > Notes and Labels > Create Leaders > Create and Modify Leaders >
Create and Modify Leaders
Concept Procedure Quick Reference

To collect multiple notes to be attached to a single landing

  1. Click Annotate tab [image] Multileaders panel [image] Collect. Enter mleadercollect at the command prompt.On the Multileader toolbar, click Collect Multileaders.
  2. Select multileaders in the order you want them to be collected. The last multileader selected retains its landing. Press ENTER.
Toolbar: Multileader
Command entry: MLEADERCOLLECT


To create a landing line with multiple segments (Procedure)

Create and Modify Leaders
Up a level to ..
Work with Leader Styles
Annotate Drawings > Notes and Labels > Create Leaders > Create and Modify Leaders >
Create and Modify Leaders
Concept Procedure Quick Reference

To create a landing line with multiple segments

  1. Click Home tab [image] Annotation panel [image] Multileader Style. Enter mleaderstyle at the command prompt.
  2. In the Multileader Style Manager, click New to create a new multileader style.
  3. In the Create New Multileader Style dialog box, specify a name for the new multileader style.
  4. In the Modify Multileader Style dialog box, select the Leader Structure tab.
  5. In the Constraints group box, select the Maximum Leader Points check box. In the box to the right, specify a maximum number of points to be prompted for upon creation of a new multileader. Click OK.
  6. In the Multileader Style Manager, click Set Current to apply the new multileader style to new multileaders that you create.
Toolbar: Multileader
Command entry: MLEADERSTYLE


Create and Modify Leaders (Quick Reference)

Overview of Leader Objects
Create and Modify Leaders
MLEADERSCALE
Annotate Drawings > Notes and Labels > Create Leaders > Create and Modify Leaders > Create and Modify Leaders >
Create and Modify Leaders
Concept Procedure Quick Reference

Commands

DDEDIT

Edits single-line text, dimension text, attribute definitions, and feature control frames

MLEADER

Creates a multileader object

MLEADERALIGN

Organizes selected multileaders along a line

MLEADERCOLLECT

Organizes selected multileaders into a group attached to a single leader line

MLEADEREDIT

Adds leader lines to, or removes leader lines from, a multileader object

MLEADERSTYLE

Creates and modifies multileader styles

System Variables

DIMASSOC

Controls the associativity of dimension objects and whether dimensions are exploded

DIMASZ

Controls the size of dimension line and leader line arrowheads

DIMCLRD

Assigns colors to dimension lines, arrowheads, and dimension leader lines

DIMGAP

Sets the distance around the dimension text when the dimension line breaks to accommodate dimension text

DIMLDRBLK

Specifies the arrow type for leaders

DIMSCALE

Sets the overall scale factor applied to dimensioning variables that specify sizes, distances, or offsets

DIMTAD

Controls the vertical position of text in relation to the dimension line

MLEADERSCALE

MLEADERSCALE

Utilities

No entries

Command Modifiers

No entries


Work with Leader Styles (Concept)

Create and Modify Leaders
Create Leaders
Add Content to a Leader
Annotate Drawings > Notes and Labels > Create Leaders >
Work with Leader Styles
Concept Procedure Quick Reference

The appearance of a leader is controlled by its multileader style. You can use the default multileader style, STANDARD, or create your own multileader styles.

The multileader style can specify formatting for landing lines, leader lines, arrowheads, and content. For example, the STANDARD multileader style uses a straight leader line with a closed filled arrowhead and multiline text content.

NoteAnnotative blocks cannot be used as either content or arrowheads in multileader objects.

Once a multileader style has been defined, you can set it as the current multileader style to be used when the MLEADER command is invoked.


Work with Leader Styles (Procedure)

Create and Modify Leaders
Up a level to ..
Work with Leader Styles
Annotate Drawings > Notes and Labels > Create Leaders > Work with Leader Styles >
Work with Leader Styles
Concept Procedure Quick Reference

To define a leader style

To apply a leader style to an existing leader


To define a leader style (Procedure)

Work with Leader Styles
Up a level to ..
Work with Leader Styles
Annotate Drawings > Notes and Labels > Create Leaders > Work with Leader Styles >
Work with Leader Styles
Concept Procedure Quick Reference

To define a leader style

  1. Click Home tab [image] Annotation panel [image] Multileader Style. Enter mleaderstyle at the command prompt.
  2. In the Multileader Style Manager, click New.
  3. In the Create New Multileader Style dialog box, specify a name for the new multileader style.
  4. On the Leader Format tab, in the Modify Multileader Style dialog box, Leader Format tab, select or clear the following options:
    • Type. Determines the type of landing. You can choose a straight landing, spline landing, or no landing.
    • Color. Determines the color of the landing.
    • Linetype. Determines the linetype of the landing.
    • Lineweight. Determines the lineweight of the landing.
  5. Specify a symbol and size for the multileader arrowhead.
  6. On the Leader Structure tab, select or clear the following options:
    • Maximum Leader Points. Specifies a maximum number of points for the multileader landing line.
    • First and Second Segment Angles. Specifies the angle of the first and second points in the landing.
    • Landing - Keep Horizontal. Attaches a horizontal landing to the multileader content.
    • Set Landing Distance. Determines the fixed distance for the multileader landing line.
  7. On the Content tab, specify either text or block content for the multileader. If the multileader object will contain text content, then select or clear the following options:
    • Default Text. Sets default text for the multileader content. A field can be inserted here.
    • Text Style. Specifies a predefined text style for the attribute text. Currently loaded text styles are displayed.
    • Text Angle. Specifies the rotation angle of the multileader text.
    • Text Color. Specifies the color of the multileader text.
    • Paper Height. Sets the height of the text as it will display in paper space.
    • Frame Text. Frames the multileader text content with a text box.
    • Attachment. Controls the attachment of the landing to the multileader text.
    • Landing Gap. Specifies the distance between the landing and the multileader text.

    If block content is specified, then select or clear the following options:

    • Source Block. Specifies the block used for multileader content.
    • Attachment. Specifies the way the block is attached to the multileader object. You can attach the block by specifying the extents, the insertion point, or the center point of the block.
    • Color. Specifies the color of the multileader block content. ByBlock is selected by default.
  8. Click OK.
Menu: Format [image] Multileader StyleDoes not exist in the menus.
Toolbar: Multileader
Command entry: MLEADERSTYLE


To apply a leader style to an existing leader (Procedure)

Work with Leader Styles
Up a level to ..
Use Fields in Text
Annotate Drawings > Notes and Labels > Create Leaders > Work with Leader Styles >
Work with Leader Styles
Concept Procedure Quick Reference

To apply a leader style to an existing leader

  1. Select the multileader to which you want to apply a new style.
  2. On the Multileader toolbar, select the desired multileader style from the drop-down list.
  3. To create a new style, click the Multileader Style icon.
Toolbar: Multileader
Command entry: MLEADERSTYLE


Work with Leader Styles (Quick Reference)

MLEADERSCALE
Work with Leader Styles
Add Content to a Leader
Annotate Drawings > Notes and Labels > Create Leaders > Work with Leader Styles >
Work with Leader Styles
Concept Procedure Quick Reference

Commands

MLEADERSTYLE

System Variables

CMLEADERSTYLE

Sets the name of the current multileader style

Utilities

No entries

Command Modifiers

No entries


Add Content to a Leader (Concept)

Work with Leader Styles
Create Leaders
Use Fields in Text
Annotate Drawings > Notes and Labels > Create Leaders >
Add Content to a Leader
Concept Quick Reference

Leaders can contain multiline text or blocks to label parts of your drawing.

Leaders Containing Multiline Text

Leaders can contain multiline text as content. Text can be inserted by default when creating a leader style. Text style, color, height, and alignment can be applied and modified in leader annotations. You can also offset a multiline text object by specifying a landing gap distance in the current leader style.

You can create annotative multileaders with text as content. The text content will be scaled according to the specified scale representation. Width, justification, attachment, and rotation settings for text content can be different depending on the specified scale representation. Actual text content cannot change with the scale representation.

There are several options for placing multiline text as content in a leader object.

Top of top line

Middle of top line

Bottom of top line

Underline top line

Middle of text

Middle of bottom line
Bottom of bottom line

Underline bottom line

Underline all text

Leaders Containing Blocks

Multileaders can contain blocks as content by applying a multileader style that references a block in your drawing.

NoteAnnotative Blocks cannot be used as either content or arrowheads in multileader objects.

Blocks can be connected to a multileader by attaching the landing to a selected insertion point on the block. You can also connect a multileader to a center point on the selected block.

You can create annotative multileaders with blocks as content. The block content will be scaled according to the specified scale representation. Any attributes within the block content will not change with the scale representation. Non-annotative multileader objects can be scaled using the MLEADERSCALE system variable.

See Also
    • Use Fields in Text


Add Content to a Leader (Quick Reference)

Work with Leader Styles
Add Content to a Leader
MLEADERSCALE
Annotate Drawings > Notes and Labels > Create Leaders > Add Content to a Leader > Add Content to a Leader >
Add Content to a Leader
Concept Quick Reference

Commands

DDEDIT

Edits single-line text, dimension text, attribute definitions, and feature control frames

DIMSTYLE

Creates and modifies dimension styles

MLEADER

Creates a multileader object

MTEXT

Creates a multiline text object

OPTIONS

Customizes the program settings

OPTIONS

Customizes the program settings

PROPERTIES

Controls properties of existing objects

PURGE

Removes unused named items, such as block definitions and layers, from the drawing

QTEXT

Controls the display and plotting of text and attribute objects

SPELL

Checks spelling in a drawing

STYLE

Creates, modifies, or specifies text styles

TEXT

Creates a single-line text object

System Variables

DIMGAP

Sets the distance around the dimension text when the dimension line breaks to accommodate dimension text

FONTALT

Specifies the alternate font to be used when the specified font file cannot be located

FONTMAP

Specifies the font mapping file to be used

MLEADERSCALE

MLEADERSCALE

MTEXTED

Sets the application for editing multiline text objects

QTEXTMODE

Controls how text is displayed

TEXTFILL
TEXTQLTY

Utilities

No entries

Command Modifiers

No entries


Use Fields in Text

Add Content to a Leader
Notes and Labels
Insert Fields
Annotate Drawings > Notes and Labels >
Use Fields in Text
Concept Procedure

A field is updatable text that is set up to display data that may change during the life cycle of the drawing. When the field is updated, the latest value of the field is displayed.

Topics in this section

  • Insert Fields

    A field is text that contains instructions to display data that you expect to change during the life cycle of the drawing.

  • Update Fields

    When a field is updated, it displays the latest value. You can update fields individually or update all fields in one or more selected text objects.

  • Use Hyperlinks in Fields

    The Hyperlink field assigns a hyperlink to any piece of text.


Use Fields in Text (Procedure)

Work with Leader Styles
Use Fields in Text
Insert Fields
Annotate Drawings > Notes and Labels > Use Fields in Text >
Use Fields in Text
Concept Procedure

To insert a field in text

To insert a field in a table

To use a field to display a property of an object

To insert a sheet set placeholder field

To format a field value

To edit a field

To update a field manually

To update multiple fields manually

To update fields automatically

To add a hyperlink field to text


Insert Fields (Concept)

Use Fields in Text
Use Fields in Text
Update Fields
Annotate Drawings > Notes and Labels > Use Fields in Text >
Insert Fields
Concept Procedure Quick Reference

A field is text that contains instructions to display data that you expect to change during the life cycle of the drawing.

When a field is updated, the latest data is displayed. For example, the value of the FileName field is the name of the file. If the file name changes, the new file name is displayed when the field is updated.

Fields can be inserted in any kind of text (except tolerances), including text in table cells, attributes, and attribute definitions. When any text command is active, Insert Field is available on the shortcut menu.

Some sheet set fields can be inserted as placeholders. For example, you can insert SheetNumberAndTitle as a placeholder. Later, when the layout is added to a sheet set, the placeholder field displays the correct sheet number and title.

Block placeholder fields can be used in block attribute definitions while you're working in the Block Editor.

A field for which no value is available displays hyphens (----). For example, the Author field, which is set in the Drawing Properties dialog box, may be blank. An invalid field displays pound signs (####). For example, the CurrentSheetName field, which is valid only in paper space, displays pound signs if it is placed in model space.

Change the Appearance of a Field

The field text uses the same text style as the text object in which it is inserted. By default, fields are displayed with a light gray background that is not plotted (FIELDDISPLAY system variable).

Formatting options in the Field dialog box control the appearance of the text that is displayed. The options that are available depend on the type of field. For example, the format for date fields includes options for displaying the day of the week and the time, and the format for named object fields includes capitalization options.

Edit a Field

A field is part of a text object and it can be edited from a text editor. The easiest way to edit a field is to double click the text object that contains the field and then, to display the Field dialog box, double click the field. These operations are available on the shortcut menus as well.

If you no longer want to update a field, you can preserve the value that is currently displayed by converting the field to text.

The field expression, consisting of escape characters and a field code, is shown in the Field dialog box but cannot be edited.


Insert Fields (Procedure)

Use Fields in Text
Up a level to ..
Insert Fields
Annotate Drawings > Notes and Labels > Use Fields in Text > Insert Fields >
Insert Fields
Concept Procedure Quick Reference

To insert a field in text

To insert a field in a table

To use a field to display a property of an object

To insert a sheet set placeholder field

To format a field value

To edit a field


To insert a field in text (Procedure)

Insert Fields
Up a level to ..
Insert Fields
Annotate Drawings > Notes and Labels > Use Fields in Text > Insert Fields >
Insert Fields
Concept Procedure Quick Reference

To insert a field in text

  1. Double-click the text to display the appropriate text editing dialog box.
  2. Place the cursor where you want the field text to appear and right-click. Click Insert Field.

    For keyboard access, press CTRL+F.

  3. In the Field dialog box, in Field Category, select All or select a category.

    The fields in the selected category are displayed in the Field Names list.

  4. In the Field Names list, select a field.

    The current value of most fields is displayed in a shaded text box to the right of Field Category. The current value of a date field is displayed in the Examples list.

  5. Select a format and any other options.

    For example, when the NamedObject field is selected, you select a type (for example, layer or textstyle) and a name (for example, 0 for layer or STANDARD for textstyle).

    Field Expression displays the expression that underlies the field. The field expression cannot be edited, but you can learn how fields are constructed by viewing this area.

  6. Click OK to insert the field.

    The field displays its current value in the text when the Field dialog box closes.


To insert a field in a table (Procedure)

Insert Fields
Up a level to ..
Insert Fields
Annotate Drawings > Notes and Labels > Use Fields in Text > Insert Fields >
Insert Fields
Concept Procedure Quick Reference

To insert a field in a table

  1. Double-click inside a cell in a table to select it for editing.
  2. Place the cursor where you want the field text to appear and right-click. Click Insert Field.
  3. In the Field dialog box, select All or select a category.
  4. In the Field Names list, select a field.

    The current value of the field is displayed in a shaded text box to the right of Field Category.

  5. Select a format and any other option.
  6. Click OK to insert the field.

    The field displays its current value when you move to the next cell.


To use a field to display a property of an object (Procedure)

Insert Fields
Up a level to ..
Insert Fields
Annotate Drawings > Notes and Labels > Use Fields in Text > Insert Fields >
Insert Fields
Concept Procedure Quick Reference

To use a field to display a property of an object

  1. Double-click a text object to display the appropriate text editing dialog box.
  2. Place the cursor where you want the field text to appear and right-click. Click Insert Field.
  3. In the Field dialog box, in Field Category, select All.
  4. In the Field Names list, select Object.
  5. In Object Type, click the Select Object button, and select an object in the drawing.
  6. In the Field dialog box, in Property, select the property whose value you want to display in the text.

    For example, the field could display the radius of a selected circle.

  7. Select a format for the text.
  8. Click OK.

    The current value for the object's property is displayed in the text.


To insert a sheet set placeholder field (Procedure)

Insert Fields
Up a level to ..
Insert Fields
Annotate Drawings > Notes and Labels > Use Fields in Text > Insert Fields >
Insert Fields
Concept Procedure Quick Reference

To insert a sheet set placeholder field

  1. Click Draw menu [image] Block [image] Define Attributes.At the command prompt, enter attdef.
  2. In the Attribute Definition dialog box, under Mode, click Preset. Specify any text options.
  3. Under Attribute, in the Tag box, enter a name for the field.
  4. To the right of the Value box, click the Insert Field button.
  5. In the Field dialog box, under Field Category, select SheetSet.
  6. In the Field Names list, select SheetSetPlaceholder.
  7. In Placeholder Type, select the type of field that you want.

    Temporary Value previews the placeholder field.

  8. In Format, select a capitalization style for the placeholder field.

    When the field is updated, the same style is used for the value of the field.

  9. (Optional) Click Associate Hyperlink if you want the field to serve as a hyperlink to a location.
    NoteAssociate Hyperlink is not available for the ViewportScale field.
  10. Click OK to exit the Field dialog box.

    The placeholder field displays its name when the Field dialog box closes: for example, SheetNumber. Later, when the block is inserted from the Views List tab shortcut menu in the Sheet Set Manager, the field displays a value based on the sheet it is dragged to: for example, its sheet number.

  11. Click OK in the Attribute Definition dialog box. Specify the location for the field text to appear near the geometry that you have created to use with the Sheet Set Manager as a callout block or a label block.
  12. Create a block that includes the newly created attribute object along with the geometry for the block.


To format a field value (Procedure)

Insert Fields
Up a level to ..
Insert Fields
Annotate Drawings > Notes and Labels > Use Fields in Text > Insert Fields >
Insert Fields
Concept Procedure Quick Reference

To format a field value

  1. Double-click a text object to display the appropriate text editing dialog box.
  2. Double-click the field you want to format.

    The Field dialog box is displayed. If formatting is available for the field, the Field Format button is displayed.

  3. Click Field Format.

    In the Additional Format dialog box, the current value of the field is displayed. When you select an option, the result is displayed in Preview.

  4. Enter a conversion factor to apply to the current value.

    For example, to convert inches to millimeters, enter 0.03937.

  5. Enter any text that you want to precede or follow the field value.

    For example, enter mm for millimeters.

  6. Select a decimal separator. Select None or Comma to group thousands.
  7. Select an option for suppressing zeros:
    • Leading: Suppresses leading zeros in all decimal field values. For example, 0.5000 becomes .5000.
    • Trailing: Suppresses trailing zeros in all decimal field values. For example, 12.5000 becomes 12.5, and 30.0000 becomes 30.
    • 0 Feet: Suppresses the feet portion of a feet-and-inches field value when the distance is less than one foot. For example, 0'-6 1/2" becomes 6 1/2".
    • 0 Inches: Suppresses the inches portion of a feet-and-inches field value when the distance is an integral number of feet. For example, 1'-0" becomes 1'.
  8. Click OK.

    In the Field dialog box, the field value is displayed in Preview with the formatting you specified.

  9. Click OK.


To edit a field (Procedure)

Insert Fields
Up a level to ..
Update Fields
Annotate Drawings > Notes and Labels > Use Fields in Text > Insert Fields >
Insert Fields
Concept Procedure Quick Reference

To edit a field

  1. Double-click a text object to display the appropriate text editing dialog box.
  2. Double-click the field that you want to edit.

    The Field dialog box is displayed.

  3. Make any needed changes.
  4. Click OK to exit the Field dialog box.
  5. Exit the text editor.


Insert Fields (Quick Reference)

MLEADERSCALE
Insert Fields
Update Fields
Annotate Drawings > Notes and Labels > Use Fields in Text > Insert Fields >
Insert Fields
Concept Procedure Quick Reference

Commands

FIELD

Creates a multiline text object with a field that can be updated automatically as the field value changes

FIND

Finds, replaces, selects, or zooms to specified text

INSERT

Inserts a block or drawing into the current drawing

LIST

Displays property data for selected objects

MTEXT

Creates a multiline text object

SPELL

Checks spelling in a drawing

TABLE

Creates an empty table object

TABLEEXPORT

Exports data from a table object in CSV file format

TABLESTYLE

Creates, modifies, or specifies table styles

UPDATEFIELD

Manually updates fields in selected objects in the drawing

System Variables

CTABLESTYLE

Sets the name of the current table style

FIELDDISPLAY

Controls whether fields are displayed with a gray background

FIELDEVAL

Controls how fields are updated

Utilities

No entries

Command Modifiers

No entries


Update Fields (Concept)

Insert Fields
Use Fields in Text
Use Hyperlinks in Fields
Annotate Drawings > Notes and Labels > Use Fields in Text >
Update Fields
Concept Procedure Quick Reference

When a field is updated, it displays the latest value. You can update fields individually or update all fields in one or more selected text objects.

You can also set fields to be updated automatically when the drawing is opened, saved, plotted, regenerated, or sent through ETRANSMIT.

Settings on the User Preferences Tab (Options Dialog Box) control whether fields are updated automatically or on demand (FIELDEVAL system variable). The Date field cannot be updated automatically regardless of the setting of FIELDEVAL.

NoteWhen the DEMANDLOAD system variable is set to 2, fields cannot be updated until you use FIELD or UPDATEFIELD.

Contextual Fields in Blocks and Xrefs

Some fields are contextual; that is, their value is different depending on which space or layout they reside in. For example, because each layout can have a different page setup attached, the value displayed by the PlotOrientation field can be different in different layouts in the same drawing.

List of contextual fields
CurrentSheetCustom | CurrentSheetTitle
CurrentSheetDescription | DeviceName
CurrentSheetNumber | PaperSize
CurrentSheetNumberAndTitle | PlotDate
CurrentSheetSet | PlotOrientation
CurrentSheetSetCustom | PlotScale
CurrentSheetSetDescription | PageSetupName
CurrentSheetSubSet | PlotStyleTable

For compatibility with previous versions, contextual fields in blocks and xrefs are not updated when you insert them in a drawing; instead, the field displays the last cached value. Therefore, if you want to use a contextual field within a block, for example, a title block, you must insert the field as an attribute. For example, a title block can use the CurrentSheetNumber field as an attribute. When you insert the title block, the field displays the sheet number of the sheet on which the title block is inserted.

Most fields are not contextual and are updated in blocks and xrefs. Fields in xrefs are updated based on the host file, not the source xref. These fields do not have to be placed in attributes. For example, a field that displays the sheet number of a particular sheet in a sheet set and that updates if that sheet number changes, is a property of the sheet set. When you create the field, you select the SheetSet field name, select the sheet set and the sheet that you want in the tree view, and then select the property SheetNumber for the field value to be displayed. This field displays the sheet number of that sheet, even if you put the field in a block and insert it in another drawing. If the sheet is removed from the sheet set, it no longer has a sheet number, and the field becomes invalid and displays pound signs.

Some sheet set fields can be inserted as placeholders. For example, when you create your own callout blocks and label blocks, you can insert the SheetNumber field as a placeholder. Later, when the block is inserted from the Views List tab shortcut menu in the Sheet Set Manager, the field displays the sheet number of the drawing.

Compatibility with Previous Releases

When a drawing with fields is opened in AutoCAD 2004 or earlier, the fields are not updated; they display the value last displayed in the drawing before it was opened. If no changes are made to a field, it is updated normally when it is reopened in a release that supports fields.

Fields are not available in the previous releases of AutoCAD LT. When a drawing with fields is opened in the previous releases of AutoCAD LT, the fields are evaluated based on the setting of the FIELDEVAL system variable in the drawing, but the FIELDEVAL system variable is not accessible.

See Also

    • Work with AutoCAD Drawings in AutoCAD LT


Update Fields (Procedure)

Insert Fields
Up a level to ..
Update Fields
Annotate Drawings > Notes and Labels > Use Fields in Text > Update Fields >
Update Fields
Concept Procedure Quick Reference

To update a field manually

To update multiple fields manually

To update fields automatically


To update a field manually (Procedure)

Update Fields
Up a level to ..
Update Fields
Annotate Drawings > Notes and Labels > Use Fields in Text > Update Fields >
Update Fields
Concept Procedure Quick Reference

To update a field manually

  1. Double-click text.
  2. Select the field to update and right-click. Click Update Field.


To update multiple fields manually (Procedure)

Update Fields
Up a level to ..
Update Fields
Annotate Drawings > Notes and Labels > Use Fields in Text > Update Fields >
Update Fields
Concept Procedure Quick Reference

To update multiple fields manually

  1. Click Blocks & References tab [image] Data panel [image] Update Fields . At the command prompt, enter updatefield.
  2. At the Select Objects prompt, select the objects that contain the fields you want to update and press ENTER.

    All of the fields in the selected objects are updated.


To update fields automatically (Procedure)

Update Fields
Up a level to ..
Use Hyperlinks in Fields
Annotate Drawings > Notes and Labels > Use Fields in Text > Update Fields >
Update Fields
Concept Procedure Quick Reference

To update fields automatically

  1. At the command prompt, enter fieldeval.
  2. Enter a bitcode that is the sum of any of the following values:
    • 0: Not updated
    • 1: Updated on open
    • 2: Updated on save
    • 4: Updated on plot
    • 8: Updated on use of ETRANSMIT
    • 16: Updated on regeneration

    For example, to update fields only when the file is opened, saved, or plotted, enter 7.


Update Fields (Quick Reference)

Insert Fields
Update Fields
Use Hyperlinks in Fields
Annotate Drawings > Notes and Labels > Use Fields in Text > Update Fields >
Update Fields
Concept Procedure Quick Reference

Commands

FIELD

Creates a multiline text object with a field that can be updated automatically as the field value changes

UPDATEFIELD

Manually updates fields in selected objects in the drawing

System Variables

FIELDDISPLAY

Controls whether fields are displayed with a gray background

FIELDEVAL

Controls how fields are updated

Utilities

No entries

Command Modifiers

No entries


Use Hyperlinks in Fields (Concept)

Update Fields
Use Fields in Text
Work with Text Styles
Annotate Drawings > Notes and Labels > Use Fields in Text >
Use Hyperlinks in Fields
Concept Procedure Quick Reference

The Hyperlink field assigns a hyperlink to any piece of text.

The hyperlink works the same way as a hyperlink attached to an object. When the cursor pauses over the text, a hyperlink cursor is displayed, along with a tooltip that describes the hyperlink. Hold down the CTRL key and click to follow the link.

NoteThe Hyperlink field uses an absolute path to a file; the HYPERLINK command can create a hyperlink with a relative path.

The fields that point to sheet and view titles and numbers can be assigned a hyperlink when they are created. When these items are changed or moved in the Sheet Set Manager, the hyperlinks associated with them still jump to the correct location.

Hyperlinks in fields are converted from links to DWG files into links to DWF files when published to a multi-sheet DWF file format.


To add a hyperlink field to text (Procedure)

Update Fields
Up a level to ..
Work with Text Styles
Annotate Drawings > Notes and Labels > Use Fields in Text > Use Hyperlinks in Fields >
Use Hyperlinks in Fields
Concept Procedure Quick Reference

To add a hyperlink field to text

  1. Click Home tab [image] Annotation panel [image] Multiline Text. At the command prompt, enter mtext.
  2. Place the cursor where you want the hyperlink text to appear.
  3. Right-click in the editor. Click Insert Field.
  4. In the Field dialog box, in Field Category, select Linked.
  5. In Field Names, select Hyperlink, and click Hyperlink.
  6. In the Insert Hyperlink dialog box, use one of the following methods to specify a location:
    • Under Type the File or Web Page Name, enter the path and name of the file that you want to associate with the hyperlink.
    • Under Browse For, click File, Web Page, or Target. Navigate to the location to which you want to link. Click Open or OK.
  7. (Optional) In Text to Display, select the default text that is displayed, and enter the link text that you want to appear in the mtext object.
  8. Click OK to close each dialog box.
  9. To save your changes and exit the editor, use one of the following methods:
    • Click OK on the toolbar.
    • Click in the drawing outside the editor.
    • Press CTRL+ENTER.

    The hyperlink is displayed in the mtext object with the link text that you entered. Use CTRL+click to jump to the hyperlinked location.

Toolbar: Draw
Command entry: MTEXT


Use Hyperlinks in Fields (Quick Reference)

Update Fields
Use Hyperlinks in Fields
Overview of Text Styles
Annotate Drawings > Notes and Labels > Use Fields in Text > Use Hyperlinks in Fields >
Use Hyperlinks in Fields
Concept Procedure Quick Reference

Commands

FIELD

Creates a multiline text object with a field that can be updated automatically as the field value changes

FIND

Finds, replaces, selects, or zooms to specified text

INSERT

Inserts a block or drawing into the current drawing

LIST

Displays property data for selected objects

MTEXT

Creates a multiline text object

SPELL

Checks spelling in a drawing

TABLE

Creates an empty table object

TABLEEXPORT

Exports data from a table object in CSV file format

TABLESTYLE

Creates, modifies, or specifies table styles

UPDATEFIELD

Manually updates fields in selected objects in the drawing

System Variables

CTABLESTYLE

Sets the name of the current table style

FIELDDISPLAY

Controls whether fields are displayed with a gray background

FIELDEVAL

Controls how fields are updated

Utilities

No entries

Command Modifiers

No entries


Work with Text Styles

Use Hyperlinks in Fields
Notes and Labels
Overview of Text Styles
Annotate Drawings > Notes and Labels >
Work with Text Styles
Concept Procedure

When you enter text into your drawing, the current text style determines the text font, size, angle, orientation, and other text characteristics.

Topics in this section

  • Overview of Text Styles
  • Assign Text Fonts

    You can assign a text font as part of the text style definition. Several factors depend on the type of text you are working with.

  • Set Text Height

    Text height determines the size in drawing units of the letters in the font you are using.

  • Set Text Obliquing Angle
  • Set Horizontal or Vertical Text Orientation

    Text can be vertical or horizontal. Text can have a vertical orientation only if the associated font supports dual orientation.


Work with Text Styles (Procedure)

Use Hyperlinks in Fields
Work with Text Styles
Overview of Text Styles
Annotate Drawings > Notes and Labels > Work with Text Styles >
Work with Text Styles
Concept Procedure

To set the current text style

To set text height in a text style

To set the obliquing angle in a text style

To set vertical orientation in a text style


Overview of Text Styles (Concept)

Work with Text Styles
Work with Text Styles
Assign Text Fonts
Annotate Drawings > Notes and Labels > Work with Text Styles >
Overview of Text Styles
Concept Procedure Quick Reference

All text in a drawing has a text style associated with it. When you enter text, the program uses the current text style, which sets the font, size, obliquing angle, orientation, and other text characteristics. If you want to create text using a different text style, you can make another text style current. The table shows the settings for the STANDARD text style.

Text Style Settings
Setting | Default | Description
Style name | STANDARD | Name with up to 255 characters
Font name | txt.shx | File associated with a font (character style)
Big Font | None | Special shape definition file used for a non-ASCII character set, such as Kanji
Height | 0 | Character height
Width factor | 1 | Expansion or compression of the characters
Obliquing angle | 0 | Slant of the characters
Backwards | No | Backwards text
Upside down | No | Upside-down text
Vertical | No | Vertical or horizontal text

The settings for the current text style are displayed at the command prompts. You can use or modify the current text style or create and load a new text style. Once you've created a text style, you can modify its characteristics, change its name, or delete it when you no longer need it.

Create and Modify Text Styles

Except for the default STANDARD text style, you must create any text style that you want to use.

Text style names can be up to 255 characters long. They can contain letters, numbers, and the special characters dollar sign ($), underscore (_), and hyphen (-). If you don't enter a text style name, the text styles are automatically named Stylen, where n is a number that starts at 1.

You can modify an existing text style in the Text Style dialog box by changing the settings. You can also update existing text of that text style to reflect the changes.

Certain style settings affect multiline and single-line text objects differently. For example, changing the Upside Down and Backwards options has no effect on multiline text objects. Changing Width Factor and Obliquing has no effect on single-line text.

If you rename an existing text style, any text using the old name assumes the new text style name.

You can remove unreferenced text styles from your drawing with PURGE or by deleting the text styles from the Text Styles dialog box. The STANDARD text style cannot be removed.

Change Text Style

When you change the text style of a multiline text object, the updated settings are applied to the entire object, and some formatting of individual characters might not be retained. The following table describes the effects of text style change on character formatting.

Formatting | Retained?
Bold | No
Color | Yes
Font | No
Height | No
Italic | No
Stacking | Yes
Underlining | Yes

Annotative Text Styles

Use annotative text for notes and labels in your drawing. You create annotative text by using an annotative text style, which sets the height of the text on the paper.

For more information about creating and working with an annotative text, see Create Annotative Text.

See Also

    • Scale Annotations


To set the current text style (Procedure)

Work with Text Styles
Up a level to ..
Assign Text Fonts
Annotate Drawings > Notes and Labels > Work with Text Styles > Overview of Text Styles >
Overview of Text Styles
Concept Procedure Quick Reference

To set the current text style

  • On the Styles toolbar, in the Text Style control, click the arrow and select a text style from the list.
Command entry: STYLE


Overview of Text Styles (Quick Reference)

Use Hyperlinks in Fields
Overview of Text Styles
Overview of Assigning Text Fonts
Annotate Drawings > Notes and Labels > Work with Text Styles > Overview of Text Styles >
Overview of Text Styles
Concept Procedure Quick Reference

Commands

PURGE

Removes unused named items, such as block definitions and layers, from the drawing

STYLE

Creates, modifies, or specifies text styles

System Variables

FONTALT

Specifies the alternate font to be used when the specified font file cannot be located

FONTMAP

Specifies the font mapping file to be used

TEXTSIZE

Sets the default height for new text objects drawn with the current text style

TEXTSTYLE

Sets the name of the current text style

Utilities

No entries

Command Modifiers

No entries


Assign Text Fonts

Overview of Text Styles
Work with Text Styles
Overview of Assigning Text Fonts
Annotate Drawings > Notes and Labels > Work with Text Styles >
Assign Text Fonts
Concept Procedure

You can assign a text font as part of the text style definition. Several factors depend on the type of text you are working with.

Topics in this section

  • Overview of Assigning Text Fonts
  • Use TrueType Fonts

    Several factors affect the display of TrueType fonts in a drawing.

  • Use Text Fonts for International Work

    Several factors affect your choosing, entering, and displaying international text in a drawing.

  • Substitute Fonts

    A font used in a drawing but that is not currently available on your system is automatically substituted with another font.


Assign Text Fonts (Procedure)

Overview of Text Styles
Up a level to ..
Use TrueType Fonts
Annotate Drawings > Notes and Labels > Work with Text Styles > Assign Text Fonts >
Assign Text Fonts
Concept Procedure

To assign a TrueType font to a text style

To assign an Asian-language SHX font to a text style

To specify a font mapping file

To specify a default alternate font


Overview of Assigning Text Fonts (Concept)

Assign Text Fonts
Assign Text Fonts
Use TrueType Fonts
Annotate Drawings > Notes and Labels > Work with Text Styles > Assign Text Fonts >
Overview of Assigning Text Fonts
Concept Quick Reference

Fonts define the shapes of the text characters that make up each character set. You can use TrueType fonts in addition to compiled SHX fonts.

A single font can be used by more than one text style. If your company has a standard font, you can modify other text style settings to create a set of text styles that use this standard font in different ways. The following illustration shows the same font used by different text styles that use different obliquing settings to define the slant of the text.

You can assign a font to a text style by selecting a font file from the list in the Text Style dialog box.


Overview of Assigning Text Fonts (Quick Reference)

Overview of Text Styles
Overview of Assigning Text Fonts
Use TrueType Fonts
Annotate Drawings > Notes and Labels > Work with Text Styles > Assign Text Fonts > Overview of Assigning Text Fonts >
Overview of Assigning Text Fonts
Concept Quick Reference

Commands

STYLE

Creates, modifies, or specifies text styles

System Variables

FONTALT

Specifies the alternate font to be used when the specified font file cannot be located

FONTMAP

Specifies the font mapping file to be used

Utilities

No entries

Command Modifiers

No entries


Use TrueType Fonts (Concept)

Overview of Assigning Text Fonts
Assign Text Fonts
Use Text Fonts for International Work
Annotate Drawings > Notes and Labels > Work with Text Styles > Assign Text Fonts >
Use TrueType Fonts
Concept Procedure Quick Reference

Several factors affect the display of TrueType fonts in a drawing.

TrueType fonts always appear filled in your drawing; however, when you plot, the TEXTFILL system variable controls whether the fonts are filled. By default TEXTFILL is set to 1 to plot the filled-in fonts.

The In-Place Text Editor can display only fonts that are recognized by Microsoft Windows. Because SHX fonts are not recognized by Windows, a TrueType equivalent is supplied in the In-Place Text Editor when you select an SHX or any other non-TrueType font for editing.

See Also

    • Set Text Height


To assign a TrueType font to a text style (Procedure)

Assign Text Fonts
Up a level to ..
Use Text Fonts for International Work
Annotate Drawings > Notes and Labels > Work with Text Styles > Assign Text Fonts > Use TrueType Fonts >
Use TrueType Fonts
Concept Procedure Quick Reference

To assign a TrueType font to a text style

  1. Click Home tab [image] Annotation panel [image] Text Style. At the command prompt, enter style.
  2. In the Text Style dialog box under Style Name, click New.
  3. In the New Text Style dialog box, enter a style name for the new text style. Click OK.
  4. Under Font Name, select a TrueType font from the list. TrueType fonts display a TrueType icon in front of their names.
  5. To see the effects on different characters, enter a text string in the sample text box that is located to the left of the Preview button. Click Preview.
  6. To update text of the current style in the drawing, click Apply.
  7. Click Close.
Toolbar: Styles
Command entry: STYLE


Use TrueType Fonts (Quick Reference)

Overview of Assigning Text Fonts
Use TrueType Fonts
Use Text Fonts for International Work
Annotate Drawings > Notes and Labels > Work with Text Styles > Assign Text Fonts > Use TrueType Fonts >
Use TrueType Fonts
Concept Procedure Quick Reference

Commands

QTEXT

Controls the display and plotting of text and attribute objects

STYLE

Creates, modifies, or specifies text styles

System Variables

QTEXTMODE

Controls how text is displayed

TEXTFILL
TEXTQLTY

Utilities

No entries

Command Modifiers

No entries


Use Text Fonts for International Work (Concept)

Use TrueType Fonts
Assign Text Fonts
Substitute Fonts
Annotate Drawings > Notes and Labels > Work with Text Styles > Assign Text Fonts >
Use Text Fonts for International Work
Concept Procedure Quick Reference

Several factors affect your choosing, entering, and displaying international text in a drawing.

The program supports the Unicode character-encoding standard. An SHX font encoded using the Unicode standard font can contain many more characters than are defined in your system; therefore, to use a character not directly available from the keyboard, you can enter the escape sequence \U+nnnn, where nnnn represents the Unicode hexadecimal value for the character.

Beginning with AutoCAD 2007, all SHX shape fonts are encoded with the Unicode standard with the exception of Big Fonts. When choosing a text font for international work, you can use either a TrueType Font or a Big Font.

Asian Big Font SHX Files

Asian alphabets contain thousands of non-ASCII characters. To support such text, the program provides a special type of shape definition known as a Big Font file. You can set a style to use both regular and Big Font files.

Asian Language Big Fonts Included in the Product
Font File Name | Description
@extfont2.shx | Japanese vertical font (a few characters are rotated to work correctly in vertical text)
bigfont.shx | Japanese font, subset of characters
chineset.shx | Traditional Chinese font
extfont.shx | Japanese extended font, level 1
extfont2.shx | Japanese extended font, level 2
gbcbig.shx | Simplified Chinese font
whgdtxt.shx | Korean font
whgtxt.shx | Korean font
whtgtxt.shx | Korean font
whtmtxt.shx | Korean font

When you specify fonts using -STYLE, the assumption is that the first name is the normal font and the second (separated by a comma) is the Big Font. If you enter only one name, it's assumed that it is the normal font and any associated Big Font is removed. By using leading or trailing commas when specifying the font file names, you can change one font without affecting the other, as shown in the following table.

Specifying fonts and Big Fonts at the command prompt
Enter this ... | To specify this ...
[font name],[big font name] | Both normal fonts and Big Fonts
[font name], | Only a normal font (Big Font unchanged)
,[big font name] | Only a Big Font (normal font unchanged)
[font name] | Only a normal font (Big Font, if any, removed)
ENTER (null response) | No change
Note Long file names that contain commas as font file names are not accepted. The comma is interpreted as a separator for an SHX font-Big Font pair.
See Also

    • Substitute Fonts


To assign an Asian-language SHX font to a text style (Procedure)

Use TrueType Fonts
Up a level to ..
Substitute Fonts
Annotate Drawings > Notes and Labels > Work with Text Styles > Assign Text Fonts > Use Text Fonts for International Work >
Use Text Fonts for International Work
Concept Procedure Quick Reference

To assign an Asian-language SHX font to a text style

  1. Click Home tab [image] Annotation panel [image] Text Style. At the command prompt, enter style.
  2. In the Text Style dialog box, under Style Name, click New.
  3. In the New Text Style dialog box, enter a style name for the new text style. Click OK.
  4. Under Font Name, select the name of an SHX font file, and then select Use Big Font to select an Asian-language big font.

    When you select Use Big Font, the Font Style box changes to a Big Font Name box. Only SHX fonts are available for selection, and only Big Font names are shown in the Big Font box.

  5. To see the effects on different characters, enter a text string in the sample text box that is located to the left of the Preview button. Click Preview.
  6. To update text of the current style in the drawing, click Apply.
  7. Click Close.
Toolbar: Styles
Command entry: STYLE


Use Text Fonts for International Work (Quick Reference)

Use TrueType Fonts
Use Text Fonts for International Work
Substitute Fonts
Annotate Drawings > Notes and Labels > Work with Text Styles > Assign Text Fonts > Use Text Fonts for International Work >
Use Text Fonts for International Work
Concept Procedure Quick Reference

Commands

STYLE

Creates, modifies, or specifies text styles

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Substitute Fonts (Concept)

Use Text Fonts for International Work
Assign Text Fonts
Set Text Height
Annotate Drawings > Notes and Labels > Work with Text Styles > Assign Text Fonts >
Substitute Fonts
Concept Procedure Quick Reference

A font used in a drawing but that is not currently available on your system is automatically substituted with another font.

The program accommodates a font that is not currently on your system by substituting another font.

Specify an Alternate Font

If your drawing specifies a font that is not currently on your system, the font designated as your alternate font is automatically substituted. By default, the simplex.shx file is used. If you want to specify a different font, enter the alternate font file name by changing the FONTALT system variable. If you use a text style that uses a Big Font, you can map it to another font using the FONTALT system variable. This system variable uses a default font file pair: txt.shx and bigfont.shx. For more information, see Use Text Fonts for International Work.

In previous releases, you could display PostScript® fonts in the drawing. Because later releases cannot display PostScript fonts, Autodesk has supplied TrueType font equivalents. These PostScript fonts are mapped to the equivalent TrueType fonts in a font mapping file. Additionally, when a TrueType font is not available, you can specify a different TrueType font, making sure that the fonts are similar to avoid text length or wrapping problems.

If the default font does not support the characters you enter using the In-Place Text Editor (MTEXT command), an alternative font is substituted.

CIF or MIF codes entered with the In-Place Text Editor or with the DTEXT command are now automatically converted to display the actual characters.

Edit the Font Mapping File

A font mapping file is a list of text fonts and their substitutes. If a text font used in a drawing cannot be located, another text font is substituted for the missing font using a font mapping file.

Each line in the font mapping file contains the name of a font file (with no file extension or path) followed by a semicolon (;) and the name of the substitute font file. The substitute file name includes a file extension such as .ttf.

A font mapping file is an ordinary ASCII text file with a .fmp extension. The default font mapping file is acad.fmp for AutoCAD, and acadlt.fmp for AutoCAD LT. You can change the font assignments in a font mapping file using any ASCII text editor.

For example, you could use the following entry in a font map file to specify that the timesnr.pfb font file be substituted with the times.ttf font file:

timesnr;times.ttf

The following table shows the font substitution rules used if a font file cannot be located when a drawing is opened.

Font substitution
File extension | First mapping order | Second mapping order | Third mapping order | Fourth mapping order
.ttf | Use font mapping table | Use font defined in text style | Windows substitutes a similar font |
.shx | Use font mapping table | Use font defined in text style | Use FONTALT | Prompt for new font
.pfb | Use font mapping table | Use FONTALT | Prompt for new font |

Display Proxy Fonts

For third-party or custom SHX fonts that have no TrueType equivalent, one of several different TrueType fonts called proxy fonts is substituted. In the In-Place Text Editor, proxy fonts look different from the fonts they represent to indicate that the proxy fonts are substitutions for the fonts used in the drawing.

Custom SHX fonts do not appear in the Font list on the Text Formatting toolbar. If you want to format characters by assigning one of these fonts, first create a text style that uses the font and then apply that text style to the characters.


Substitute Fonts (Procedure)

Use Text Fonts for International Work
Up a level to ..
Substitute Fonts
Annotate Drawings > Notes and Labels > Work with Text Styles > Assign Text Fonts > Substitute Fonts >
Substitute Fonts
Concept Procedure Quick Reference

To specify a font mapping file

To specify a default alternate font


To specify a font mapping file (Procedure)

Substitute Fonts
Up a level to ..
Substitute Fonts
Annotate Drawings > Notes and Labels > Work with Text Styles > Assign Text Fonts > Substitute Fonts >
Substitute Fonts
Concept Procedure Quick Reference

To specify a font mapping file

  1. Click Tools menu [image] Options.At the command prompt, enter options.
  2. On the Files tab, in the list, double-click Text Editor, Dictionary, and Font File Names.
  3. Double-click Font Mapping File.

    The acad.fmp file is specified by default.

  4. To change the font mapping file, double-click the arrow line to open the Select a File dialog box. Select a file and click Open. Click OK.
  5. At the command prompt, enter regen to convert existing text using the new font mappings.
Command entry: OPTIONS


To specify a default alternate font (Procedure)

Substitute Fonts
Up a level to ..
Set Text Height
Annotate Drawings > Notes and Labels > Work with Text Styles > Assign Text Fonts > Substitute Fonts >
Substitute Fonts
Concept Procedure Quick Reference

To specify a default alternate font

  1. At the command prompt, enter fontalt.
  2. Enter the name of the font file you want to use as the alternative.


Substitute Fonts (Quick Reference)

Use Text Fonts for International Work
Substitute Fonts
Set Text Height
Annotate Drawings > Notes and Labels > Work with Text Styles > Assign Text Fonts > Substitute Fonts >
Substitute Fonts
Concept Procedure Quick Reference

Commands

MTEXT

Creates a multiline text object

OPTIONS

Customizes the program settings

OPTIONS

Customizes the program settings

System Variables

FONTALT

Specifies the alternate font to be used when the specified font file cannot be located

FONTMAP

Specifies the font mapping file to be used

Utilities

No entries

Command Modifiers

No entries


Set Text Height (Concept)

Substitute Fonts
Work with Text Styles
Set Text Obliquing Angle
Annotate Drawings > Notes and Labels > Work with Text Styles >
Set Text Height
Concept Procedure Quick Reference

Text height determines the size in drawing units of the letters in the font you are using.

The exception is TrueType fonts: the value usually represents the size of the uppercase letters.

If you specify a fixed height as part of a text style, the Height prompt is bypassed when you create single-line text. When the height is set to 0 in the text style, you are prompted for the height each time you create single-line text. Set the value to 0 if you want to specify the height as you create text.

TrueType Fonts

For TrueType fonts, the value specified for text height represents the height of a capital letter plus an ascent area reserved for accent marks and other marks used in non-English languages. The relative portion of text height that is assigned to capital letters and ascent characters is determined by the font designer at the time the font is designed; consequently, it varies from font to font.

In addition to the height of a capital letter and the ascent area that make up the text height specified by the user, TrueType fonts have a descent area for portions of characters that extend below the text insertion line, for example, y, j, p, g, and q.

When you apply a text height override to all text in the editor, the entire multiline text object is scaled, including its width.


To set text height in a text style (Procedure)

Substitute Fonts
Up a level to ..
Set Text Obliquing Angle
Annotate Drawings > Notes and Labels > Work with Text Styles > Set Text Height >
Set Text Height
Concept Procedure Quick Reference

To set text height in a text style

  1. Click Home tab [image] Annotation panel [image] Text Style. At the command prompt, enter style.
  2. In the Text Style dialog box, select a style from the Style Name list.
  3. Under Font, enter the text height (in drawing units) in the Height box.
  4. To update existing text that uses this text style, click Apply.
  5. Click Close.
Toolbar: Styles
Command entry: STYLE


Set Text Height (Quick Reference)

Substitute Fonts
Set Text Height
Set Text Obliquing Angle
Annotate Drawings > Notes and Labels > Work with Text Styles > Set Text Height >
Set Text Height
Concept Procedure Quick Reference

Commands

STYLE

Creates, modifies, or specifies text styles

System Variables

TEXTSIZE

Sets the default height for new text objects drawn with the current text style

TEXTSTYLE

Sets the name of the current text style

Utilities

No entries

Command Modifiers

No entries


Set Text Obliquing Angle (Concept)

Set Text Height
Work with Text Styles
Set Horizontal or Vertical Text Orientation
Annotate Drawings > Notes and Labels > Work with Text Styles >
Set Text Obliquing Angle
Concept Procedure Quick Reference

The obliquing angle determines the forward or backward slant of the text. The angle represents the offset from 90 degrees.

Entering a value between -85 and 85 makes the text oblique. A positive obliquing angle slants text to the right. A negative obliquing angle slants text to the left.


To set the obliquing angle in a text style (Procedure)

Set Text Height
Up a level to ..
Set Horizontal or Vertical Text Orientation
Annotate Drawings > Notes and Labels > Work with Text Styles > Set Text Obliquing Angle >
Set Text Obliquing Angle
Concept Procedure Quick Reference

To set the obliquing angle in a text style

  1. Click Home tab [image] Annotation panel [image] Text Style. At the command prompt, enter style.
  2. In the Text Style dialog box, select a text style from the Style Name list.
  3. Under Effects, enter an angle between -85 and 85 in the Oblique Angle box.

    A positive value slants text to the right. A negative value slants text to the left.

  4. To update existing text that uses this text style, click Apply.
  5. Click Close.
Toolbar: Styles
Command entry: STYLE


Set Text Obliquing Angle (Quick Reference)

Set Text Height
Set Text Obliquing Angle
Set Horizontal or Vertical Text Orientation
Annotate Drawings > Notes and Labels > Work with Text Styles > Set Text Obliquing Angle >
Set Text Obliquing Angle
Concept Procedure Quick Reference

Commands

STYLE

Creates, modifies, or specifies text styles

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Set Horizontal or Vertical Text Orientation (Concept)

Set Text Obliquing Angle
Work with Text Styles
Change Text
Annotate Drawings > Notes and Labels > Work with Text Styles >
Set Horizontal or Vertical Text Orientation
Concept Procedure Quick Reference

Text can be vertical or horizontal. Text can have a vertical orientation only if the associated font supports dual orientation.

Lines of text are oriented to be vertical or horizontal. Text can have a vertical orientation only if the associated font supports dual orientation. You can create more than one line of vertical text. Each successive text line is drawn to the right of the preceding line. The normal rotation angle for vertical text is 270 degrees.

NoteVertical orientation is not supported for TrueType fonts and symbols.

Vertical Text for Asian Languages

  • SHX fonts. Text can be created with SHX fonts and Big Fonts for vertical display in the same way as for previous releases. For best results, use the single-line TEXT command, not MTEXT. You can select a vertical style in the Text Style dialog box.
  • TrueType fonts. You still select fonts starting with the @ sign, but now the text is automatically rotated 270 degrees. (In AutoCAD 2005 and earlier versions, you had to manually rotate this text.) Vertical cursor movement is now supported for vertical text.


To set vertical orientation in a text style (Procedure)

Set Text Obliquing Angle
Up a level to ..
Change Text
Annotate Drawings > Notes and Labels > Work with Text Styles > Set Horizontal or Vertical Text Orientation >
Set Horizontal or Vertical Text Orientation
Concept Procedure Quick Reference

To set vertical orientation in a text style

  1. Click Home tab [image] Annotation panel [image] Text Style. At the command prompt, enter style.
  2. In the Text Style dialog box, select a text style from the Style Name list.
  3. Under Effects, select Vertical.
  4. To update existing text that uses this text style, click Apply.
  5. Click Close.
Toolbar: Styles
Command entry: STYLE


Set Horizontal or Vertical Text Orientation (Quick Reference)

Set Text Obliquing Angle
Set Horizontal or Vertical Text Orientation
Overview of Changing Text
Annotate Drawings > Notes and Labels > Work with Text Styles > Set Horizontal or Vertical Text Orientation >
Set Horizontal or Vertical Text Orientation
Concept Procedure Quick Reference

Commands

STYLE

Creates, modifies, or specifies text styles

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Change Text

Set Horizontal or Vertical Text Orientation
Notes and Labels
Overview of Changing Text
Annotate Drawings > Notes and Labels >
Change Text
Concept Procedure

You can change text content, formatting, and properties such as scale and justification.

Topics in this section

  • Overview of Changing Text
  • Change Single-Line Text
  • Change Multiline Text

    You can change the location and content of multiline text objects with the Properties palette, the In-Place Text Editor, and grips.

  • Find and Replace Text

    You can easily find and replace text with the FIND command

  • Change Text Scale and Justification

    Several commands are available for changing the scale of one or more text and attribute objects, or their insertion points, simultaneously without changing the location of the objects.


Change Text (Procedure)

Set Horizontal or Vertical Text Orientation
Change Text
Change Single-Line Text
Annotate Drawings > Notes and Labels > Change Text >
Change Text
Concept Procedure

To edit single-line text

To modify properties of single-line text objects

To change multiline text

To change the width of a multiline text object

To find specified text in a drawing

To replace text using the Find and Replace Dialog box

To scale multiline text objects without changing their locations


Overview of Changing Text (Concept)

Change Text
Change Text
Change Single-Line Text
Annotate Drawings > Notes and Labels > Change Text >
Overview of Changing Text
Concept Quick Reference

Text, whether created with TEXT, MTEXT, or MLEADER, can be modified like any other object. You can move, rotate, erase, and copy it. You can change text properties in the Properties palette.

You can also edit the contents of existing text and create a mirror image of it. The MIRRTEXT system variable controls whether text is also reversed when you mirror objects in your drawing. The procedures for modifying text vary slightly, depending on how the text was created.


Overview of Changing Text (Quick Reference)

Set Horizontal or Vertical Text Orientation
Overview of Changing Text
Change Single-Line Text
Annotate Drawings > Notes and Labels > Change Text > Overview of Changing Text >
Overview of Changing Text
Concept Quick Reference

Commands

DDEDIT

Edits single-line text, dimension text, attribute definitions, and feature control frames

FIND

Finds, replaces, selects, or zooms to specified text

PROPERTIES

Controls properties of existing objects

System Variables

MIRRTEXT

Controls how the MIRROR command reflects text

TEXTFILL
TEXTQLTY

Utilities

No entries

Command Modifiers

No entries


Change Single-Line Text (Concept)

Overview of Changing Text
Change Text
Change Multiline Text
Annotate Drawings > Notes and Labels > Change Text >
Change Single-Line Text
Concept Procedure Quick Reference

You can change single-line text with DDEDIT and PROPERTIES. Use DDEDIT when you need to change only the content of the text, not the formatting or properties of the text object. Use PROPERTIES when you want to change content, text style, location, orientation, size, justification, and other properties.

Text objects also have grips for moving, scaling, and rotating. A text object has grips at the lower-left corner of the baseline and at the alignment point.

The effect of a command depends on which grip you choose.


Change Single-Line Text (Procedure)

Change Text
Up a level to ..
Change Single-Line Text
Annotate Drawings > Notes and Labels > Change Text > Change Single-Line Text >
Change Single-Line Text
Concept Procedure Quick Reference

To edit single-line text

To modify properties of single-line text objects


To edit single-line text (Procedure)

Change Single-Line Text
Up a level to ..
Change Single-Line Text
Annotate Drawings > Notes and Labels > Change Text > Change Single-Line Text >
Change Single-Line Text
Concept Procedure Quick Reference

To edit single-line text

  1. Click Modify menu [image] Object [image] Text [image] Edit.At the command prompt, enter ddedit.
  2. Select a single-line text object.
  3. In the in-place editor, enter the new text.
  4. Press ENTER.
  5. Select another text object to edit, or press ENTER to end the command.
Command entry: DDEDIT


To modify properties of single-line text objects (Procedure)

Change Single-Line Text
Up a level to ..
Change Multiline Text
Annotate Drawings > Notes and Labels > Change Text > Change Single-Line Text >
Change Single-Line Text
Concept Procedure Quick Reference

To modify properties of single-line text objects

  1. Select a single-line text object.
  2. Right-click the selected object. Click Properties.
  3. In the Properties palette, enter any new text, and then change formatting and other properties as needed.
Toolbar: Standard
Command entry: PROPERTIES


Change Single-Line Text (Quick Reference)

Overview of Changing Text
Change Single-Line Text
Change Multiline Text
Annotate Drawings > Notes and Labels > Change Text > Change Single-Line Text >
Change Single-Line Text
Concept Procedure Quick Reference

Commands

DDEDIT

Edits single-line text, dimension text, attribute definitions, and feature control frames

PROPERTIES

Controls properties of existing objects

TEXT

Creates a single-line text object

System Variables

DTEXTED

Specifies the user interface displayed for editing single-line text

TEXTFILL
TEXTQLTY

Utilities

No entries

Command Modifiers

No entries


Change Multiline Text (Concept)

Change Single-Line Text
Change Text
Find and Replace Text
Annotate Drawings > Notes and Labels > Change Text >
Change Multiline Text
Concept Procedure Quick Reference

You can change the location and content of multiline text objects with the Properties palette, the In-Place Text Editor, and grips.

After you create multiline text, you can use the Properties palette to change

  • Text style assignment
  • Justification
  • Width
  • Rotation
  • Line spacing

In addition, you can use either the MTEXT ribbon contextual tab (if the ribbon is active) or the In-Place Text Editor (if the ribbon is not active) to modify individual formatting, such as boldface and underlining, and to change the width of the multiline text object.

Change Text Location

You can use grips to move multiline text or to resize the line width. A multiline text object has grips at the four corners of the text boundary and, in some cases, at the justification point.

If you use the Properties palette to move multiline text, you can edit content and change properties at the same time.

Commands such as DIMLINEAR or LEADER create multiline text automatically without requiring that a bounding box be specified; these objects have only a single grip at the justification point.

When you need to align or move multiline text objects, you can use the Node and Insertion object snaps for precision. If the OSNAPNODELEGACY system variable is set to 0, the Node object snap ignores multiline text.

See Also

    • Work with Text Styles

    • Control the Display of Polylines, Hatches, Gradient Fills, Lineweights, and Text


Change Multiline Text (Procedure)

Change Single-Line Text
Up a level to ..
Change Multiline Text
Annotate Drawings > Notes and Labels > Change Text > Change Multiline Text >
Change Multiline Text
Concept Procedure Quick Reference

To change multiline text

To change the width of a multiline text object


To change multiline text (Procedure)

Change Multiline Text
Up a level to ..
Change Multiline Text
Annotate Drawings > Notes and Labels > Change Text > Change Multiline Text >
Change Multiline Text
Concept Procedure Quick Reference

To change multiline text

  1. Select a multiline text object.
  2. Right-click the selected object. Click Properties.
  3. In the Properties palette, enter any new text and change formatting and other settings as needed.
Toolbar: Standard
Command entry: PROPERTIES


To change the width of a multiline text object (Procedure)

Change Multiline Text
Up a level to ..
Find and Replace Text
Annotate Drawings > Notes and Labels > Change Text > Change Multiline Text >
Change Multiline Text
Concept Procedure Quick Reference

To change the width of a multiline text object

  1. Double-click the multiline text object.
  2. In the In-Place Text Editor, use one of the following methods:
    • Move the cursor over the right end of the ruler until the cursor changes to a double arrow. As you drag to the right to stretch the ruler, a tooltip displays the width. Release to set a new width.
    • Right-click the bottom of the ruler. Click Set Mtext Width. In the dialog box, enter the width in drawing units.
  3. To save your changes and exit the editor, use one of the following methods:
    • Click OK on the toolbar.
    • Click in the drawing outside the editor.
    • Press CTRL+ENTER.


Change Multiline Text (Quick Reference)

Change Single-Line Text
Change Multiline Text
Change Text Scale and Justification
Annotate Drawings > Notes and Labels > Change Text > Change Multiline Text >
Change Multiline Text
Concept Procedure Quick Reference

Commands

DDEDIT

Edits single-line text, dimension text, attribute definitions, and feature control frames

FIND

Finds, replaces, selects, or zooms to specified text

MTEDIT

Edits multiline text

PROPERTIES

Controls properties of existing objects

STYLE

Creates, modifies, or specifies text styles

System Variables

CENTERMT

Controls how grips stretch multiline text that is centered horizontally

MIRRTEXT

Controls how the MIRROR command reflects text

MTEXTED

Sets the application for editing multiline text objects

OSNAPNODELEGACY

Controls whether the Node object snap can be used to snap to multiline text objects

TEXTFILL
TEXTQLTY

Utilities

No entries

Command Modifiers

No entries


Find and Replace Text (Concept)

Change Multiline Text
Change Text
Change Text Scale and Justification
Annotate Drawings > Notes and Labels > Change Text >
Find and Replace Text
Concept Procedure

You can easily find and replace text with the FIND command

To search for and replace text, use FIND. Replacement is based on text content only; character formatting and text properties are not changed.

When searching for text in a 3D environment, the viewport will temporarily change to a 2D viewport so that text isn’t blocked by 3D objects in your drawing.

With FIND, you can use wild-card characters in your search.

Character | Definition
# (Pound) | Matches any numeric digit
@ (At) | Matches any alphabetic character
. (Period) | Matches any nonalphanumeric character
* (Asterisk) | Matches any string and can be used anywhere in the search string
? (Question mark) | Matches any single character; for example, ?BC matches ABC, 3BC, and so on
~ (Tilde) | Matches anything but the pattern; for example; ~*AB*matches all strings that don't contain AB
[ ] | Matches any one of the characters enclosed; for example, [AB]C matches AC and BC
[~] | Matches any character not enclosed; for example, [~AB]C matches XC but not AC
[-] | Specifies a range for a single character; for example, [A-G]C matches AC, BC, and so on to GC, but not HC
` (Reverse quote) | Reads the next character literally; for example, `~AB matches ~AB

To search for drawing files that contain a specific word or phrase, use the Search tool in Microsoft® Windows® . You can use the Search tool to find all textual data except text in tables and fields, and xrefs within drawing files.


Find and Replace Text (Procedure)

Change Multiline Text
Up a level to ..
Find and Replace Text
Annotate Drawings > Notes and Labels > Change Text > Find and Replace Text >
Find and Replace Text
Concept Procedure

To find specified text in a drawing

To replace text using the Find and Replace Dialog box


To find specified text in a drawing (Procedure)

Find and Replace Text
Up a level to ..
Find and Replace Text
Annotate Drawings > Notes and Labels > Change Text > Find and Replace Text >
Find and Replace Text
Concept Procedure

To find specified text in a drawing

  1. Click Edit menu [image] Find.At the command prompt, enter find.
  2. In Find What, enter the text you want to find.
  3. In Find Where, specify the parts of the drawing to search, or click the Select Objects button to select one or more text objects.
  4. Click the Expand Find Options button to specify search options and text types for the specified text.
  5. Click Find.
  6. Use one of the following options to view the results of your search:
    • To list all results in a table, click the List Results check box.
    • To zoom to and highlight each result individually, leave the List Results check box unchecked.
  7. Click Close.
Toolbar: Text Formatting
Command entry: FIND
Menu: Click Edit [image] Find.At the Command prompt, enter find.


To replace text using the Find and Replace Dialog box (Procedure)

Find and Replace Text
Up a level to ..
Change Text Scale and Justification
Annotate Drawings > Notes and Labels > Change Text > Find and Replace Text >
Find and Replace Text
Concept Procedure

To replace text using the Find and Replace Dialog box

  1. Click Edit menu [image] Find.At the command prompt, enter find.
  2. In Find What, enter the text you want to find.
  3. In Find Where, specify the parts of the drawing to search, or click the Select Objects button to select one or more text objects.
  4. Click the Expand Find Options button to specify search options and text types for the specified text.
  5. In Replace With, enter the text with which you want to replace the found text.
  6. Click Find.
  7. Use one of the following options to view the results of your search:
    • To list all results in a table, click the List Results check box.
    • To zoom to and highlight each result individually, leave the List Results check box unchecked.
  8. Use one of the following methods to replace text:
    • To replace only the found instance of the text string, click Replace.
    • To replace all instances of the text in Find Text String, click Replace All.
    • If search results have been listed in a table using the List Results option, then you can select certain results in the list by pressing Click + CTRL. Alternately, you can select a range of results in the list by pressing Shift + Click.
  9. Click Close.
Toolbar: Text Formatting
Command entry: FIND
Menu: Click Edit [image] Find.At the Command prompt, enter find.


Change Text Scale and Justification (Concept)

Find and Replace Text
Change Text
Check Spelling
Annotate Drawings > Notes and Labels > Change Text >
Change Text Scale and Justification
Concept Procedure Quick Reference

Several commands are available for changing the scale of one or more text and attribute objects, or their insertion points, simultaneously without changing the location of the objects.

You can change the scale of one or more text objects, attributes, and attribute definitions, or their insertion points, simultaneously without changing the location of the objects.

Change the Scale of Multiple Text Objects

A drawing may contain hundreds of text objects that need to be scaled, and it would be tedious to scale them individually. Use SCALETEXT to change the scale of one or more text objects such as text, multiline text, and attributes. You can specify a relative scale factor or an absolute text height, or you can scale selected text to match the height of existing text. Each text object is scaled using the same scale factor, and it maintains its current location.

Convert Text Height Between Model Space and Paper Space

The SPACETRANS command calculates equivalent lengths between model space units and paper space units. By using SPACETRANS transparently, you can provide commands with distance or length values relative to another space. For example, you may want to create a text object in model space that matches the height of other text in a layout. From model space, you could enter

Command: text

Specify start point of text or [Justify/Style]: 1,3

Specify height <0.375>: 'spacetrans

>>Specify paper space distance <1.000>: 3/8

Resuming TEXT command

Specify height <0.375>: 1.173

When the command is complete, a text object is created in model space with a height of 1.173, which appears as 3/8 when viewed from a layout.

NoteThe SPACETRANS command is not available from the Model tab or in a perspective view.

For more information about entering commands transparently, see Enter Commands on the Command Line.

Change the Justification of Text Objects Without Changing Their Location

Use JUSTIFYTEXT to redefine the insertion point of text without moving the text. For example, a table or schedule may contain text that is located correctly but each text object in the table should be right-justified instead of left-justified for future entries or modifications.


To scale multiline text objects without changing their locations (Procedure)

Find and Replace Text
Up a level to ..
Check Spelling
Annotate Drawings > Notes and Labels > Change Text > Change Text Scale and Justification >
Change Text Scale and Justification
Concept Procedure Quick Reference

To scale multiline text objects without changing their locations

  1. Click Annotate tab [image] Text panel [image] Scale. Enter scaletext at the command prompt.
  2. Select one or more multiline text objects and press ENTER.
  3. Specify one of the justification options or press ENTER to accept the existing text justifications.
  4. Enter s and enter the scale factor to be applied to each mtxt object.
Command entry: SCALETEXT


Change Text Scale and Justification (Quick Reference)

Change Multiline Text
Change Text Scale and Justification
Check Spelling
Annotate Drawings > Notes and Labels > Change Text > Change Text Scale and Justification >
Change Text Scale and Justification
Concept Procedure Quick Reference

Commands

JUSTIFYTEXT

Changes the justification point of selected text objects without changing their locations

PROPERTIES

Controls properties of existing objects

SCALETEXT

Enlarges or reduces selected text objects without changing their locations

SPACETRANS

Calculates equivalent model space and paper space lengths in a layout

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Check Spelling (Concept)

Change Text Scale and Justification
Notes and Labels
Use an Alternate Text Editor
Annotate Drawings > Notes and Labels >
Check Spelling
Concept Procedure Quick Reference

You can check the spelling of all text as it is entered in your drawing. You can also specify the specific language dictionary that is used and customize and manage multiple custom spelling dictionaries.

You can check the spelling of all text objects in your drawing, including

  • Dimension text
  • Single and multiline text
  • Text within block attributes
  • External references

With Check Spelling, your drawing or the areas of your drawing’s text that you specify are searched for misspelled words. If a misspelled word is identified, the word is highlighted and the drawing area zooms to that word in a scale that is easy to read.

Check Spelling As You Type

By default, you can check spelling as you enter text in the In-Place Text Editor . Any word you enter is checked for spelling errors when it is completed. A word is considered completed when one of the following actions are taken:

  • Pressing SPACEBAR or ENTER
  • Moving the cursor to another position within the In-Place Text Editor.

Misspelled words are underlined with a red dotted line

Any word not found in the current dictionary is underlined as misspelled. Spelling suggestions are displayed when you right-click the underlined word.

Switch Dictionaries

The Check Spelling feature contains several main dictionaries, which are available in different languages. You can also create any number of custom dictionaries and switch between them as needed.

During a spelling check, the words in the drawing are matched to the words in the current main dictionary. Any words you add are stored in the custom dictionary that is current at the time of the spelling check. For example, you can add proper names so they are no longer identified as misspelled words.

NoteBy default AutoCAD provides you with one sample custom dictionary that contains words such as AutoCAD and Autodesk.

To check spelling in another language, change to a different main dictionary.

You can change dictionaries in the Dictionaries dialog box or by specifying the dictionary name in the DCTMAIN or DCTCUST system variable. For a list of the main dictionary file names, see DCTMAIN.

Note The filename for a custom dictionary cannot use any non-current code page characters in its name. If you are sharing a custom dictionary between different locals or languages do not use non-ASCII characters.

Create and Edit Custom Dictionaries

A custom dictionary is a list of spelling exceptions that you have identified. The files that contain them have a .cus file extension. You can use any ASCII text editor to add or delete words, or combine several dictionaries. If a word is preceded by a tilde (~), the word is always flagged as incorrect.


Check Spelling (Procedure)

Change Text Scale and Justification
Check Spelling
Check Spelling
Annotate Drawings > Notes and Labels > Check Spelling >
Check Spelling
Concept Procedure Quick Reference

To check spelling

To check spelling in a block attribute

To switch dictionaries while checking spelling

To add a custom dictionary or word list


To check spelling (Procedure)

Check Spelling
Check Spelling
Check Spelling
Annotate Drawings > Notes and Labels > Check Spelling >
Check Spelling
Concept Procedure Quick Reference

To check spelling

  1. Click Annotate tab [image] Text panel [image] Check Spelling. At the Command prompt, enter Spell
  2. Click an option of where you want to check. Click Start. If no misspelled words are found, a message is displayed. If a misspelling is found, the Check Spelling dialog box identifies the misspelled word. The word is highlighted and zoomed to in the drawing area.
  3. Do one of the following:
    • To correct a word, select an alternate word from the Suggestions list or type a word in the Suggestions box. Click Change or Change All.
    • To leave a word unchanged, click Ignore or Ignore All.
    • To leave a word unchanged and add it to the dictionary, click Add to Dictionary.
  4. Repeat step 3 for each misspelled word. Click Close to exit.
Toolbar: Text
Command entry: SPELL


To check spelling in a block attribute (Procedure)

Check Spelling
Check Spelling
Check Spelling
Annotate Drawings > Notes and Labels > Check Spelling >
Check Spelling
Concept Procedure Quick Reference

To check spelling in a block attribute

  1. Click Annotate tab [image] Text panel [image] Check Spelling. At the Command prompt, enter Spell
  2. In the Check Spelling dialog box, click Settings.
  3. In the Check Spelling Settings dialog box, click Block Attributes. Click OK.
  4. In the Check Spelling dialog box, click Start.
  5. Do one of the following:
    • To correct a word, select an alternate word from the Suggestions list or type a word in the Suggestions box. Click Change or Change All.
    • To leave a word unchanged, click Ignore or Ignore All.
    • To leave a word unchanged and add it to the dictionary, click Add to Dictionary.
  6. Repeat step 5 for each misspelled word. Click Close to exit.
Toolbar: Text
Command entry: SPELL


To switch dictionaries while checking spelling (Procedure)

Check Spelling
Check Spelling
Check Spelling
Annotate Drawings > Notes and Labels > Check Spelling >
Check Spelling
Concept Procedure Quick Reference

To switch dictionaries while checking spelling

  1. Click Annotate tab [image] Text panel [image] Check Spelling. At the Command prompt, enter Spell
  2. In the Check Spelling dialog box, click Dictionaries.
  3. Do one of the following:
    • To change the main dictionary, select a dictionary from the Current Main Dictionary list.
    • To change the custom dictionary, select a dictionary under Current Custom Dictionary.
  4. Click Close.
Command entry: SPELL


To add a custom dictionary or word list (Procedure)

Check Spelling
Check Spelling
Use an Alternate Text Editor
Annotate Drawings > Notes and Labels > Check Spelling >
Check Spelling
Concept Procedure Quick Reference

To add a custom dictionary or word list

  1. Click Annotate tab [image] Text panel [image] Check Spelling. At the Command prompt, enter Spell
  2. In the Check Spelling dialog box, click Dictionaries.
  3. In the Dictionaries dialog box, in the Current Custom dictionary list, select Manage Custom Dictionaries.
  4. In the Custom Dictionaries list, click Add and browse to the dictionary’s location. To create a new custom dictionary, click New and enter the dictionary’s name. The name must contain the .cus extension.
  5. Click OK. The newly selected dictionary is highlighted as the current custom dictionary.
  6. If you would like to import a word list into your custom dictionary, click Import.
  7. Click OK.
Command entry: SPELL


Check Spelling (Quick Reference)

Change Text Scale and Justification
Check Spelling
Overview of Using an Alternate Text Editor
Annotate Drawings > Notes and Labels > Check Spelling >
Check Spelling
Concept Procedure Quick Reference

Commands

SPELL

Checks spelling in a drawing

System Variables

DCTCUST

Displays the path and file name of the current custom spelling dictionary

DCTMAIN

Displays the three letter keyword for the current main spelling dictionary

Utilities

No entries

Command Modifiers

No entries


Use an Alternate Text Editor

Check Spelling
Notes and Labels
Overview of Using an Alternate Text Editor
Annotate Drawings > Notes and Labels >
Use an Alternate Text Editor
Concept Procedure

The default text editor is either the MTEXT ribbon contextual tab (if the ribbon is active) or the In-Place Text Editor (if the ribbon is not active), but you can elect to use any alternate editor that saves files in ASCII format.

Topics in this section

  • Overview of Using an Alternate Text Editor
  • Format Multiline Text in an Alternate Text Editor


Use an Alternate Text Editor (Procedure)

Check Spelling
Use an Alternate Text Editor
Format Multiline Text in an Alternate Text Editor
Annotate Drawings > Notes and Labels > Use an Alternate Text Editor >
Use an Alternate Text Editor
Concept Procedure

To specify an alternate text editor

To create multiline text in an alternate text editor


Overview of Using an Alternate Text Editor (Concept)

Use an Alternate Text Editor
Use an Alternate Text Editor
Format Multiline Text in an Alternate Text Editor
Annotate Drawings > Notes and Labels > Use an Alternate Text Editor >
Overview of Using an Alternate Text Editor
Concept Quick Reference

You can elect to use an alternate editor by specifying the editor with the MTEXTED system variable. You can use any text editor, such as Microsoft Notepad, that saves files in ASCII format.

If you use an alternate text editor for multiline text, you specify the properties of the multiline text object at the command prompt first. Then the text editor opens for entering text. When you close the text editor, the text is inserted within the width limit you specified.

If you use an alternate editor, you must enter special codes to apply formatting.

To edit text using an alternate text editor, use the same format codes. To avoid losing format information when you make changes to the text, use the same text editor you used to create the text.


Overview of Using an Alternate Text Editor (Quick Reference)

Check Spelling
Overview of Using an Alternate Text Editor
Format Multiline Text in an Alternate Text Editor
Annotate Drawings > Notes and Labels > Use an Alternate Text Editor > Overview of Using an Alternate Text Editor >
Overview of Using an Alternate Text Editor
Concept Quick Reference

Commands

MTEXT

Creates a multiline text object

OPTIONS

Customizes the program settings

System Variables

MTEXTED

Sets the application for editing multiline text objects

Utilities

No entries

Command Modifiers

No entries


Format Multiline Text in an Alternate Text Editor (Concept)

Overview of Using an Alternate Text Editor
Use an Alternate Text Editor
Tables
Annotate Drawings > Notes and Labels > Use an Alternate Text Editor >
Format Multiline Text in an Alternate Text Editor
Concept Procedure Quick Reference

If you use an alternate text editor, you apply formatting by entering format codes. You can underline text, add a line over text, and create stacked text. You can also change color, font, and text height. You can change the spaces between text characters or increase the width of the characters themselves. To apply formatting, use the format codes shown in the following table.

Format codes for paragraphs
Format code | Purpose | Enter this … | To produce this …
\0...\o | Turns overline on and off | Autodesk \OAutoCAD\o |
\L...\l | Turns underline on and off | Autodesk \LAutoCAD\l |
\~ | Inserts a nonbreaking space | Autodesk AutoCAD\~LT |
\\ | Inserts a backslash | Autodesk \\AutoCAD |
\{...\} | Inserts an opening and closing brace | Autodesk \{AutoCAD\} |
\Cvalue; | Changes to the specified color | Autodesk \C2;AutoCAD |
\File name; | Changes to the specified font file | Autodesk \Ftimes; AutoCAD |
\Hvalue; | Changes to the text height specified in drawing units | Autodesk \H2;AutoCAD |
\Hvaluex; | Changes the text height to a multiple of the current text height | Autodesk \H3x;AutoCAD |
\S...^...; | Stacks the subsequent text at the /, #, or ^ symbol | 1.000\S+0.010^-0.000; |
\Tvalue; | Adjusts the space between characters. Valid values range from a minimum of .75 to 4 times the original spacing between characters. | \T2;Autodesk |
\Qangle; | Changes obliquing angle | \Q20;Autodesk |
\Wvalue; | Changes width factor to produce wide text | \W2;Autodesk |
\A | Sets the alignment value; valid values: 0, 1, 2 (bottom, center, top) | \A1;1\S1/2 |
\P | Ends paragraph | Autodesk\PAutoCAD |

Braces can be nested up to eight levels deep.

You can also use control codes to add special characters, such as tolerance or dimensioning symbols. See MTEXT.

Example: Formatting Text in an Alternate Text Editor

This example describes how the text in the following illustration was created.

Each line below was entered in an alternate text editor:

{{\H1.5x; Big text} \A2; over text\A1;/\A0; under text}\P
{\A0;Baseline: 1 \S1/2;}\P
{\A1;Center: 1 \S1/2;}\P
{\A2;Topline: 1 \S1/2;}\P
{Tolerances: \A1;1.000\H.75x;\S+0.010^-0.000;}\P
{Architectural: 9-{\H.666x;\A2;11\A1;/\A0;16}\A2;"}\P


Format Multiline Text in an Alternate Text Editor (Procedure)

Use an Alternate Text Editor
Up a level to ..
Format Multiline Text in an Alternate Text Editor
Annotate Drawings > Notes and Labels > Use an Alternate Text Editor > Format Multiline Text in an Alternate Text Editor >
Format Multiline Text in an Alternate Text Editor
Concept Procedure Quick Reference

To specify an alternate text editor

To create multiline text in an alternate text editor


To specify an alternate text editor (Procedure)

Format Multiline Text in an Alternate Text Editor
Up a level to ..
Format Multiline Text in an Alternate Text Editor
Annotate Drawings > Notes and Labels > Use an Alternate Text Editor > Format Multiline Text in an Alternate Text Editor >
Format Multiline Text in an Alternate Text Editor
Concept Procedure Quick Reference

To specify an alternate text editor

  1. At the command prompt, enter mtexted.
  2. At the prompt do one of the following:
    • Enter the path and name of the executable file for the ASCII text editor that you want to use to create or edit multiline text.
    • Enter internal to restore the text editor.


To create multiline text in an alternate text editor (Procedure)

Format Multiline Text in an Alternate Text Editor
Up a level to ..
Create and Modify Tables
Annotate Drawings > Notes and Labels > Use an Alternate Text Editor > Format Multiline Text in an Alternate Text Editor >
Format Multiline Text in an Alternate Text Editor
Concept Procedure Quick Reference

To create multiline text in an alternate text editor

  1. To specify a text editor, at the command prompt, enter mtexted. Then enter the path of the editor you want to use.
  2. Click Home tab [image] Annotation panel [image] Multiline Text. At the command prompt, enter mtext.
  3. Specify the first corner of the multiline text boundary rectangle.
  4. Specify the opposite corner of the multiline text boundary rectangle.
  5. In the text editor, enter the text. Enter \P to end a paragraph and start a new paragraph on the next line. (Be sure to capitalize the P.)
  6. When your text entry is complete, save the changes and exit the text editor.
Toolbar: Draw
Command entry: MTEXT


Format Multiline Text in an Alternate Text Editor (Quick Reference)

Overview of Using an Alternate Text Editor
Format Multiline Text in an Alternate Text Editor
Create and Modify Tables
Annotate Drawings > Notes and Labels > Use an Alternate Text Editor > Format Multiline Text in an Alternate Text Editor >
Format Multiline Text in an Alternate Text Editor
Concept Procedure Quick Reference

Commands

MTEXT

Creates a multiline text object

OPTIONS

Customizes the program settings

OPTIONS

Customizes the program settings

System Variables

MTEXTED

Sets the application for editing multiline text objects

Utilities

No entries

Command Modifiers

No entries


Tables

Format Multiline Text in an Alternate Text Editor
Annotate Drawings
Create and Modify Tables
Annotate Drawings >
Tables

A table is a rectangular array of cells that contain annotation, primarily text but also multiple blocks.

Topics in this section

  • Create and Modify Tables

    A table is an object that contains data in rows and columns. A table object can be created from an empty table or table style. A table can also be linked to data in a Microsoft Excel spreadsheet.

  • Link a Table to External Data

    A table can be linked to data in a Microsoft Excel (XLS, .XLSX, or CSV) file. You can link to an entire spreadsheet, individual row, column, cell, or cell range in Excel.

  • Work with Table Styles

    The appearance of the table is controlled by its table style. You can use the default table style, STANDARD, or create your own table styles.

  • Add Text and Blocks to Tables

    Table cell data can include text and multiple blocks.

  • Use Formulas in Table Cells

    Table cells can contain formulas that do calculations using the values in other table cells.


Create and Modify Tables (Concept)

Tables
Tables
Link a Table to External Data
Annotate Drawings > Tables >
Create and Modify Tables
Concept Procedure Quick Reference

A table is an object that contains data in rows and columns. A table object can be created from an empty table or table style. A table can also be linked to data in a Microsoft Excel spreadsheet.

After the table has been created, you can click any gridline on the table to select it and then modify it by using the Properties palette or grips.

When you change the height or width of the table, only the row or column adjacent to the grip you have selected will change. The table will maintain its height or width. To change the size of the table proportionally to the size of the row or column you are editing, press CTRL while using a column grip.

Break Tables into Multiple Parts

A table with a large amount of data can be broken into primary and secondary table fragments. Use the table breaking grips found at the bottom of your table to make a table span multiple columns in your drawing or to manipulate the different table parts you have already created.

Show Me: Break Tables into Multiple Parts

Click the Play arrow to start the animation.

Modify a Table Cell

You can click inside a cell to select it. Grips are displayed in the middle of the cell borders. Click inside another cell to move selection to that cell. Drag the grips on a cell to make the cell and its column or row larger or smaller.

NoteWhen a cell is selected, press F2 to edit the cell text.

To select more than one cell, click and drag over several cells. You can also hold down SHIFT and click inside another cell to select those two cells and all the cells between them.

When you click inside a table cell when the ribbon is active, the Table ribbon contextual tab is displayed. If the ribbon is not active, the Table toolbar is displayed. From here, you can

  • Edit rows and columns
  • Merge and unmerge cells
  • Alter the appearance of cell borders
  • Edit data formatting and alignment
  • Lock and unlock cells from editing
  • Insert blocks, fields, and formulas
  • Create and edit cell styles
  • Link the table to external data

With a cell selected, you can also right-click and use the options on the shortcut menu to insert or delete columns and rows, combine adjacent cells, or make other changes. When cells are selected, you can use CTRL+Y to repeat the last action.

NoteUsing CTRL+Y to repeat the last action only repeats actions executed through the shortcut menu, the Table ribbon contextual tab, or the Table toolbar.

Add a Table to a Tool Palette

When you add a table to a tool palette, the table properties (for example, table style and number of rows and columns) and the cell property overrides (for example, alignment and border lineweight) are stored in the tool definition. The text, block content, and character formatting are also stored in the tool definition.

Customize Display of Column Letters and Row Numbers

By default, the In-Place Text Editor displays column letters and row numbers when a table cell is selected for editing. Use the TABLEINDICATOR system variable to turn this display on and off. To set a new background color, select a table, right-click, and click Table Indicator Color on the shortcut menu. The text color, size, and style and the line color are controlled by the settings for column heads in the current table style.

See Also

    • Add Text and Blocks to Tables


Create and Modify Tables (Procedure)

Format Multiline Text in an Alternate Text Editor
Create and Modify Tables
Create and Modify Tables
Annotate Drawings > Tables > Create and Modify Tables >
Create and Modify Tables
Concept Procedure Quick Reference

To create an empty table

To create a table from a linked spreadsheet

To create a table from a data extraction

To create a tool from a table in the current drawing

To lock and unlock cells

To use grips to modify a table

To use grips to modify cells in a table

To use the Properties palette to modify a table

To break a table into multiple parts using grips

To change column width or row height in a table

To add columns or rows to a table

To merge cells in a table

To delete columns or rows in a table


To create an empty table (Procedure)

Create and Modify Tables
Create and Modify Tables
Create and Modify Tables
Annotate Drawings > Tables > Create and Modify Tables >
Create and Modify Tables
Concept Procedure Quick Reference

To create an empty table

  1. Click Home tab [image] Annotation panel [image] Insert Table. At the command prompt, enter table.
  2. In the Insert Table dialog box, select a table style from the list, or click the button to the right of the drop-down menu to create a new table style.
  3. Click Start from Empty Table.
  4. Insert the table in the drawing by doing one of the following:
    • Specify an insertion point for the table.
    • Specify a window for the table.
  5. Set the number of columns and the column width.

    If you used the window insertion method, you can select the number of columns or the column width, but not both.

  6. Set the number of rows and the row height.

    If you used the window insertion method, the number of rows is determined by the size of the window you specified and the row height.

  7. Click OK.
Command entry: TABLE


To create a table from a linked spreadsheet (Procedure)

Create and Modify Tables
Create and Modify Tables
Create and Modify Tables
Annotate Drawings > Tables > Create and Modify Tables >
Create and Modify Tables
Concept Procedure Quick Reference

To create a table from a linked spreadsheet

  1. Click Home tab [image] Annotation panel [image] Insert Table. At the command prompt, enter table.
  2. Click From a Data Link
  3. Select an established data link from the drop-down menu, or click the [...] button to create a new data link using the Data Link Manager.
  4. Click OK to specify an insertion point in the drawing for the table.
Command entry: TABLE


To create a table from a data extraction (Procedure)

Create and Modify Tables
Create and Modify Tables
Create and Modify Tables
Annotate Drawings > Tables > Create and Modify Tables >
Create and Modify Tables
Concept Procedure Quick Reference

To create a table from a data extraction

  1. Click Tools [image] Data Extraction.At the command prompt, enter dataextraction.
  2. In the Data Extraction wizard, on the Begin page, click Create a New Data Extraction. If you want to use a template (DXE or BLK) file, click Use Previous Extraction as a Template. Click Next.
  3. In the Save Data Extraction As dialog box, specify a file name for the data extraction file. Click Save.
  4. On the Define Data Source page, specify the drawings or folders from which to extract data. Click Next.
  5. On the Select Objects page, select the objects from which to extract data. Click Next.
  6. On the Select Properties page, select the properties from which to extract data. Click Next.
  7. On the Refine Data page, organize the columns if necessary. Click Next.
  8. On the Choose Output page, click Insert Data Extraction Table into Drawing to create a data extraction table. Click Next.
  9. On the Table Styles page, choose a table style if one is defined in the current drawing, or table if defined in a table style. Enter a title for the table if necessary. Click Next.
  10. In the Finish page, click Finish.
  11. Click an insertion point in the drawing to create the table.
Toolbar: Modify II
Command entry: DATAEXTRACTION


To create a tool from a table in the current drawing (Procedure)

Create and Modify Tables
Create and Modify Tables
Create and Modify Tables
Annotate Drawings > Tables > Create and Modify Tables >
Create and Modify Tables
Concept Procedure Quick Reference

To create a tool from a table in the current drawing

  1. In the current drawing, select the table.
  2. Using the right mouse button, drag the table to a tool palette and, without releasing the mouse button, move the cursor to the place on the tool palette where you want the tool.

    You can switch to a different tab by hovering over the tab for a few seconds. The black line indicates where the tool will be located.

  3. Release the mouse button.
    NoteAll formatting, table properties, and cell properties are saved in the tool palette tool, as well as text and block content.
Toolbar: Standard
Command entry: TOOLPALETTES


To lock and unlock cells (Procedure)

Create and Modify Tables
Create and Modify Tables
Create and Modify Tables
Annotate Drawings > Tables > Create and Modify Tables >
Create and Modify Tables
Concept Procedure Quick Reference

To lock and unlock cells

  1. Select one or more cells in a table that you want to lock or unlock using one of the following methods:
    • Click inside a cell.
    • Hold down SHIFT and click inside another cell to select those two cells and all the cells between them.
    • Click inside the selected cell, drag to the cells you want to select, and release.
  2. Use one of the following options:
    • To unlock a cell or cells. On the Table ribbon contextual tab or Table toolbar, click Locking [image] Unlocked
    • To lock a cell or cells. On the Table ribbon contextual tab or Table toolbar, click Locking [image] Data and Format Locked
Command entry: TABLEDIT
Shortcut menu: Select and right-click a cell or range of cells. Click Locking.


To use grips to modify a table (Procedure)

Create and Modify Tables
Create and Modify Tables
Create and Modify Tables
Annotate Drawings > Tables > Create and Modify Tables >
Create and Modify Tables
Concept Procedure Quick Reference

To use grips to modify a table

  1. Click a gridline to select the table.
  2. Use one of the following grips:
    • Upper-left grip. Moves the table.
    • Upper-right grip. Changes the width of the table and all columns proportionally.
    • Lower-left grip. Changes the height of the table and all rows proportionally.
    • Lower-right grip. Changes both the height and the width of the table and changes the columns and rows proportionally.
    • Column grip (at the top of the column head row). Widens or narrows adjacent columns without changing the width of the table.
    • CTRL+ a column grip. Changes the width of the column to the left of the grip and widens or narrows the table to accommodate the change.

    The minimum column width is the width of a single character. The minimum row height for an empty table is the height of a line of text plus the cell margins.

  3. Press ESC to remove selection.


To use grips to modify cells in a table (Procedure)

Create and Modify Tables
Create and Modify Tables
Create and Modify Tables
Annotate Drawings > Tables > Create and Modify Tables >
Create and Modify Tables
Concept Procedure Quick Reference

To use grips to modify cells in a table

  1. Select one or more cells in a table that you want to change using one of the following methods:
    • Click inside a cell.
    • Hold down SHIFT and click inside another cell to select those two cells and all the cells between them.
    • Click inside the selected cell, drag to the cells you want to select, and release.
  2. To change the row height of the selected cell, drag the top or bottom grip.

    If more than one cell is selected, the row height changes equally for each row.

  3. To change the column width of the selected cell, drag the left or right grip.

    If more than one cell is selected, the column width changes equally for each column.

  4. To merge selected cells, click Merge Cells on either the Table ribbon contextual tab or Table toolbar.

    If cells in more than one row or column are selected, you can merge by row or by column.

  5. Press ESC to remove selection.


To use the Properties palette to modify a table (Procedure)

Create and Modify Tables
Create and Modify Tables
Create and Modify Tables
Annotate Drawings > Tables > Create and Modify Tables >
Create and Modify Tables
Concept Procedure Quick Reference

To use the Properties palette to modify a table

  1. Click a gridline to select the table.
  2. Click Modify menu [image] Properties.At the command prompt, enter properties.
  3. In the Properties palette, click the value you want to change and enter or select a new value.

    The property is changed in the selected table.

  4. Move the cursor outside the Properties palette, and press ESC to remove selection.
Toolbar: Properties
Command entry: PROPERTIES
Shortcut menu: Select and right-click a cell or range of cells. Click Properties.


To break a table into multiple parts using grips (Procedure)

Create and Modify Tables
Create and Modify Tables
Create and Modify Tables
Annotate Drawings > Tables > Create and Modify Tables >
Create and Modify Tables
Concept Procedure Quick Reference

To break a table into multiple parts using grips

  1. Click a gridline to select the table.
  2. Click the triangular grip at the bottom center gridline of the table.
    • When the triangle is pointed down, then table breaking is inactive. New rows will be added to the bottom of the table.
    • When the triangle is pointed up, then table breaking is active. The current position of the bottom of the table is the maximum height of the table. Any new rows will be added to a second table part to the right of the master table part.


To change column width or row height in a table (Procedure)

Create and Modify Tables
Create and Modify Tables
Create and Modify Tables
Annotate Drawings > Tables > Create and Modify Tables >
Create and Modify Tables
Concept Procedure Quick Reference

To change column width or row height in a table

  1. Click inside a table cell in the column or row you want to change.

    Hold down SHIFT and click inside another cell to select those two cells and all the cells between them.

  2. Right-click. Click Properties.
  3. In the Properties palette, under Cell, click the cell width or the cell height value and enter a new value.
  4. Press ESC to remove selection.


To add columns or rows to a table (Procedure)

Create and Modify Tables
Create and Modify Tables
Create and Modify Tables
Annotate Drawings > Tables > Create and Modify Tables >
Create and Modify Tables
Concept Procedure Quick Reference

To add columns or rows to a table

  1. Click inside a table cell where you want to add a column or a row.

    You can select more than one cell to add more than one column or row.

  2. On either the Table ribbon contextual tab or Table toolbar, select one of the following options:
    • Insert Row Above. Inserts a row above the selected cell.
    • Insert Row Below. Inserts a row below the selected cell.
    • Insert Column Left. Inserts a column to the left of the selected cell.
    • Insert Column Right. Inserts a column to the right of the selected cell.
    NoteThe cell style of the new column or row will be the same as that of the originally selected column or row. To change the cell style, right-click the cell or cells and click Cell Style.
  3. Press ESC to remove selection.
Shortcut menu: Select and right-click a cell or range of cells. Click Rows or Columns and select an insertion method.


To merge cells in a table (Procedure)

Create and Modify Tables
Create and Modify Tables
Create and Modify Tables
Annotate Drawings > Tables > Create and Modify Tables >
Create and Modify Tables
Concept Procedure Quick Reference

To merge cells in a table

  1. Select the cells in a table that you want to merge using one of the following methods:
    • Select a cell, and hold down SHIFT and click inside another cell to select those two cells and all the cells between them.
    • Click inside a selected cell, drag to the cells you want to select, and release.

    The resulting merged cell must be rectangular.

  2. Click Merge Cells on either the Table ribbon contextual tab or Table toolbar. If you want to create more than one merged cell, use one of the following options:
    • All: Merges all cells in a rectangular selected range.
    • By Row: Merges the cells horizontally by removing the vertical gridlines and leaving the horizontal gridlines intact.
    • By Column: Merges the cells vertically by removing the horizontal gridlines and leaving the vertical gridlines intact.
  3. Start typing to enter text in the new merged cell, or press ESC to remove selection.
Shortcut menu: Select and right-click a cell or range of cells. Click Merge and select a merging method.


To delete columns or rows in a table (Procedure)

Create and Modify Tables
Create and Modify Tables
Link a Table to External Data
Annotate Drawings > Tables > Create and Modify Tables >
Create and Modify Tables
Concept Procedure Quick Reference

To delete columns or rows in a table

  1. Click inside a table cell in the column or row that you want to delete.

    Hold down SHIFT and click inside another cell to select those two cells and all the cells between them.

  2. To delete rows, select Delete Rows on either the Table ribbon contextual tab or the Table toolbar. To delete columns, select Delete Columns on either the Table ribbon contextual tab or the Table toolbar.
    NoteRows and columns that contain a portion of a data link cannot be deleted.
  3. Press ESC to remove selection.
Shortcut menu: Select and right-click a cell or range of cells. Click Columns [image] Delete, or Rows [image] Delete.


Create and Modify Tables (Quick Reference)

Format Multiline Text in an Alternate Text Editor
Create and Modify Tables
Link a Table to External Data
Annotate Drawings > Tables > Create and Modify Tables >
Create and Modify Tables
Concept Procedure Quick Reference

Commands

FIELD

Creates a multiline text object with a field that can be updated automatically as the field value changes

FIND

Finds, replaces, selects, or zooms to specified text

INSERT

Inserts a block or drawing into the current drawing

LIST

Displays property data for selected objects

MTEXT

Creates a multiline text object

SPELL

Checks spelling in a drawing

TABLE

Creates an empty table object

TABLEDIT

Edits text in a table cell

TABLEEXPORT

Exports data from a table object in CSV file format

TABLESTYLE

Creates, modifies, or specifies table styles

UPDATEFIELD

Manually updates fields in selected objects in the drawing

System Variables

CTABLESTYLE

Sets the name of the current table style

FIELDDISPLAY

Controls whether fields are displayed with a gray background

FIELDEVAL

Controls how fields are updated

TABLETOOLBAR

Controls the display of the Table Toolbar

Utilities

No entries

Command Modifiers

No entries


Link a Table to External Data (Concept)

Create and Modify Tables
Tables
Work with Table Styles
Annotate Drawings > Tables >
Link a Table to External Data
Concept Procedure Quick Reference

A table can be linked to data in a Microsoft Excel (XLS, .XLSX, or CSV) file. You can link to an entire spreadsheet, individual row, column, cell, or cell range in Excel.

NoteMicrosoft Excel must be installed to use Microsoft Excel data links. To link to the XLSX filetype, Microsoft Excel 2007 must be installed.

You can bring data from Microsoft Excel into a table in the following three ways:

  • As formulas with supported data formats attached.
  • As calculated data from formulas calculated in Excel (supported data formats not attached).
  • As calculated data from formulas calculated in Excel (with data formats attached).

A table that contains data links displays indicators around linked cells. If you hover your mouse cursor over the data link, information about the data link is displayed.

If a linked spreadsheet has been changed, such as adding a row or column, the table in your drawing can be updated accordingly using the DATALINKUPDATEcommand. Likewise, if a change is made to a table in your drawing, then you can update the linked spreadsheet using the same command.

By default, a data link is locked from editing to prevent undesired changes to the linked spreadsheet. You can lock cells from data changes, format changes, or both. To unlock a data link, click Locking on either the Table ribbon contextual tab or the Table toolbar.

See Also
    • Extract Data from Drawings and Spreadsheets


Link a Table to External Data (Procedure)

Create and Modify Tables
Link a Table to External Data
Link a Table to External Data
Annotate Drawings > Tables > Link a Table to External Data >
Link a Table to External Data
Concept Procedure Quick Reference

To link to a table in an external spreadsheet

To remove a link to an external spreadsheet

To set up a named range in Microsoft Excel

To link a table to a named range in Microsoft Excel

To link a table to cells in Microsoft Excel

To update changed data between a drawing and Microsoft Excel

To open an external spreadsheet from a data link


To link to a table in an external spreadsheet (Procedure)

Link a Table to External Data
Link a Table to External Data
Link a Table to External Data
Annotate Drawings > Tables > Link a Table to External Data >
Link a Table to External Data
Concept Procedure Quick Reference

To link to a table in an external spreadsheet

  1. Click Annotate tab [image] Tables panel [image] Data Link. Enter datalink at the command prompt.
  2. In the Data Link Manager tree view, click Create a New Excel Data Link.
  3. In the Enter Data Link Name dialog box, enter a name for the data link. Click OK.
  4. Click the [...] button to browse for the XLS or CSV file to be linked to.
    NoteTo link to the XLSX filetype, Microsoft Excel 2007 must be installed.
  5. In the New Excel Data Link dialog box, select a link option (whole sheet, range, or Excel named range). Click OK.
  6. Select the new data link in the Data Link Manager tree view. Click OK.
Command entry: DATALINK


To remove a link to an external spreadsheet (Procedure)

Link a Table to External Data
Link a Table to External Data
Link a Table to External Data
Annotate Drawings > Tables > Link a Table to External Data >
Link a Table to External Data
Concept Procedure Quick Reference

To remove a link to an external spreadsheet

  1. Click inside a cell within the data linked table to select the cell.
  2. Right-click and click Data Links [image] Detach Data Link.
Command entry: DATALINK


To set up a named range in Microsoft Excel (Procedure)

Link a Table to External Data
Link a Table to External Data
Link a Table to External Data
Annotate Drawings > Tables > Link a Table to External Data >
Link a Table to External Data
Concept Procedure Quick Reference

To set up a named range in Microsoft Excel

  1. In Microsoft Excel, open the workbook or spreadsheet that you want to access.
  2. Select a range of cells to function as a linked range.
  3. In the Name Box, enter a name for the range of cells, then press ENTER.
  4. Repeat steps 2 and 3, if desired, to specify additional linked ranges.
  5. On the File menu (Microsoft Excel), choose Save.


To link a table to a named range in Microsoft Excel (Procedure)

Link a Table to External Data
Link a Table to External Data
Link a Table to External Data
Annotate Drawings > Tables > Link a Table to External Data >
Link a Table to External Data
Concept Procedure Quick Reference

To link a table to a named range in Microsoft Excel

  1. In your table, select the table cells to link.
  2. On either the Table ribbon contextual tab or Table toolbar, click Link Cell.
  3. In the Data Link Manager tree view, select Click to Create a New Excel Data Link.
  4. In the Enter Data Link Name dialog box, enter a name for the data link. Click OK.
  5. Click the [...] button to browse for the XLS or CSV file to link.
  6. In the New Excel Data Link dialog box, select Link to a Named Range. Click OK.
  7. Select the new data link in the Data Link Manager tree view. Click OK.
Command entry: DATALINK


To link a table to cells in Microsoft Excel (Procedure)

Link a Table to External Data
Link a Table to External Data
Link a Table to External Data
Annotate Drawings > Tables > Link a Table to External Data >
Link a Table to External Data
Concept Procedure Quick Reference

To link a table to cells in Microsoft Excel

  1. In your table, select the table cells to link.
  2. On the Table toolbar, click Link Cell.
  3. In the Data Link Manager tree view, select Click to Create a New Excel Data Link.
  4. In the Enter Data Link Name dialog box, enter a name for the data link. Click OK.
  5. Click the [...] button to browse for the .xls or .csv file to be linked to.
  6. In the New Excel Data Link dialog box, select Link to Range. Enter a valid range from the Excel spreadsheet (for example, A1:D17). Click OK.
  7. Select the new data link in the Data Link Manager tree view. Click OK.
Command entry: DATALINK


To update changed data between a drawing and Microsoft Excel (Procedure)

Link a Table to External Data
Link a Table to External Data
Link a Table to External Data
Annotate Drawings > Tables > Link a Table to External Data >
Link a Table to External Data
Concept Procedure Quick Reference

To update changed data between a drawing and Microsoft Excel

  1. Click Annotate tab [image] Tables panel [image] Data Link. Enter datalink at the command prompt.
  2. On the Data Link flyout, click Update Data Links.
Command entry: DATALINK


To open an external spreadsheet from a data link (Procedure)

Link a Table to External Data
Link a Table to External Data
Work with Table Styles
Annotate Drawings > Tables > Link a Table to External Data >
Link a Table to External Data
Concept Procedure Quick Reference

To open an external spreadsheet from a data link

  1. Select any cell in the linked table or range of linked cells.
  2. Right-click and click Data Links [image] Open Data Link File.


Link a Table to External Data (Quick Reference)

Create and Modify Tables
Link a Table to External Data
Work with Table Styles
Annotate Drawings > Tables > Link a Table to External Data >
Link a Table to External Data
Concept Procedure Quick Reference

Commands

DATALINK

The Data Link dialog box is displayed

DATALINKUPDATE

Updates data to or from an established external data link

System Variables

DATALINKNOTIFY

Controls the notification for updated or missing data links

Utilities

No entries

Command Modifiers

No entries


Work with Table Styles (Concept)

Link a Table to External Data
Tables
Add Text and Blocks to Tables
Annotate Drawings > Tables >
Work with Table Styles
Concept Procedure Quick Reference

The appearance of the table is controlled by its table style. You can use the default table style, STANDARD, or create your own table styles.

When you create a new table style, you can specify a starting table. A starting table is a table in your drawing that is used as an example for formatting the new table style. Once a table is selected, you can specify the structure and contents to copy from that table to the table style.

Cell styles can be created and applied to a table style upon insertion of a new table. A table style can specify different cell styles in each type of row to display a different justification and appearance for the text and gridlines. These cell styles are specified upon insertion of a table. The STANDARD table style, for example, contains a cell style consisting of merged cells with text that is centered. This cell style, named Title, can be specified as the first row cell of the table. This creates a title row at the top of the new table.

The table can read from top to bottom or from the bottom up. The number of columns and rows is almost unlimited.

The border properties in a table’s cell style control the display of the gridlines that divide the table into cells. The borders of the title row, the column heads row, and the data rows can have different lineweight and color and can be displayed or not displayed. The Cell Style preview image in the bottom right corner of the Table Style dialog box updates as you select border options.

The appearance of text in the cells of the table is controlled by the text style that is specified in the current cell style. You can use any text style in the drawing or create a new one. You can also use DesignCenter to copy table styles from other drawings.

You can define the data and formatting for any cell style within a table style. You can also overwrite the data and formatting for specific cells. For example, you could set the formatting for all column heading rows to display text in uppercase, and then select a single table cell to display text in lowercase. The type of data you display in a row and the formatting for that data type is controlled by the formatting options you select in the Table Cell Format dialog box.

See Also

    • Work with Text Styles


Work with Table Styles (Procedure)

Link a Table to External Data
Work with Table Styles
Work with Table Styles
Annotate Drawings > Tables > Work with Table Styles >
Work with Table Styles
Concept Procedure Quick Reference

To define or modify a table style

To define or modify a cell style

To create a table style from an existing table

To create a cell style from an existing cell

To apply a new table style to a table

To change the table style that is applied to new tables


To define or modify a table style (Procedure)

Work with Table Styles
Work with Table Styles
Work with Table Styles
Annotate Drawings > Tables > Work with Table Styles >
Work with Table Styles
Concept Procedure Quick Reference

To define or modify a table style

  1. Click Home tab [image] Annotation panel [image] Table Style. At the command prompt, enter tablestyle.
  2. In the Table Style dialog box, click New.
  3. In the Create New Table Style dialog box, enter a name for the new table style.
  4. In the Start With drop-down list, select a table style to provide default settings for the new table style. Click Continue
  5. In the New Table Style dialog box, click the Select Table button to select a table in your drawing to which to apply the new table style settings.
  6. In the Table Direction drop-down list, select Down or Up. Up creates a table that reads from the bottom up; the title row and the column heads are at the bottom of the table.
  7. In the Cell Styles drop-down list, select a cell style to apply to the table, or create a new cell style by clicking the button to the right of the drop-down list.
  8. On the General tab, select or clear the following options for the current cell style:
    • Fill Color. Specifies the fill color. Select None or a background color, or click Select Color to display the Select Color dialog box.
    • Alignment. Specifies an alignment for cell contents. Center refers to horizontal alignment; Middle refers to vertical alignment.
    • Format. Sets the data type and formatting for rows in a table. Click the [...] button to display the Table Cell Format dialog box, where you can further define formatting options.
    • Type. Specifies the cell style as either a label or data, which is used when inserting default text in a table style containing a starting table. Also used when creating a table tool on the tool palette.
    • Margins - Horizontal. Sets the distance between the text or block in the cell and the left and right cell borders.
    • Margins - Vertical. Sets the distance between the text or block in the cell and the top and bottom cell borders.
    • Merge Cells on Row/Column Creation. Merges any new row or column created with the current cell style into one cell.
  9. On the Text tab, select or clear the following options for the current cell style:
    • Text Style. Specifies the text style. Select a text style, or click the [...] button to open the Text Style dialog box and create a new text style.
    • Text Height. Specifies the text height. Enter a height for the text. This option is available only when the selected text style has a text height of 0. (The default text style, STANDARD, has a 0 text height.) If the selected text style specifies a fixed text height, this option is unavailable.
    • Text Color. Specifies the text color. Select a color, or click Select Color to display the Select Color dialog box.
    • Text Angle. Sets the text angle. The default text angle is 0 degrees. You can enter any angle between -359 and +359 degrees.
  10. Use the Borders tab to control the appearance of the table gridlines for the current cell style. Specify the following options:
    • Lineweight. Sets the lineweight to use for borders that are displayed. If you use a heavy lineweight, you may have to change the cell margins so that the text can be seen.
    • Linetype. Sets the linetype to apply to the borders you specify by clicking a border button. Standard linetypes of ByBlock, ByLayer, and Continuous are displayed, or you can choose Other to load a custom linetype.
    • Color. Specifies a color to use for borders that are displayed. Click Select Color to display the Select Color dialog box.
    • Double Line. Specifies that the selected borders have a double linetype. Change the spacing between the lines by entering a value in the Spacing box.
    • Border display buttons. Applies the selected border options. Click a button to apply the selected border options to all borders of the cell, the outside border, the inside borders, the bottom border, the left border, the top border, the right border, or no borders. The preview in the dialog box updates to show the effect.
  11. Click OK.
Toolbar: Styles
Command entry: TABLESTYLE


To define or modify a cell style (Procedure)

Work with Table Styles
Work with Table Styles
Work with Table Styles
Annotate Drawings > Tables > Work with Table Styles >
Work with Table Styles
Concept Procedure Quick Reference

To define or modify a cell style

  1. Click Home tab [image] Annotation panel [image] Table Style. At the command prompt, enter tablestyle.
  2. Select the table style that contains the cell style you want to modify, or click New to create a new table style.
  3. In the Table Style dialog box, in the Cell Styles drop-down list, select a cell style to modify, or create a new cell style by clicking the button to the right of the drop-down list.
  4. On the General tab, select or clear the following options for the current cell style:
    • Fill Color. Specifies the fill color. Select None or a background color, or click Select Color to display the Select Color dialog box.
    • Alignment. Specifies an alignment for cell contents. Center refers to horizontal alignment; Middle refers to vertical alignment.
    • Format. Set the data type and formatting for rows in a table. Click the [...] button to display the Table Cell Format dialog box, where you can further define formatting options.
    • Type. Specifies the cell style as either a label or data, which is used when inserting default text in a table style containing a starting table. Also used when creating a table tool on the tool palette.
    • Margins - Horizontal. Sets the distance between the text or block in the cell and the left and right cell borders.
    • Margins - Vertical. Sets the distance between the text or block in the cell and the top and bottom cell borders.
    • Merge Cells on Row/Column Creation. Merges any new row or column created with the current cell style into one cell.
  5. On the Text tab, select or clear the following options for the current cell style:
    • Text Style. Specifies the text style. Select a text style, or click the [...] button to open the Text Style dialog box and create a new text style.
    • Text Height. Specifies the text height. Enter a height for the text. This option is available only when the selected text style has a text height of 0. (The default text style, STANDARD, has a 0 text height.) If the selected text style specifies a fixed text height, this option is unavailable.
    • Text Color. Specifies the text color. Select a color, or click Select Color to display the Select Color dialog box.
    • Text Angle. Sets the text angle. The default text angle is 0 degrees. You can enter any angle between -359 and +359 degrees.
  6. Use the Borders tab to control the appearance of the table gridlines for the current cell style. Specify the following options:
    • Lineweight. Sets the lineweight to use for borders that are displayed. If you use a heavy lineweight, you may have to change the cell margins so that the text can be seen.
    • Linetype. Sets the linetype to apply to the borders you specify by clicking a border button. Standard linetypes of ByBlock, ByLayer, and Continuous are displayed, or you can choose Other to load a custom linetype.
    • Color. Specifies a color to use for borders that are displayed. Click Select Color to display the Select Color dialog box.
    • Double Line. Specifies that the selected borders will have a double linetype. Change the spacing between the lines by entering a value in the Spacing box.
    • Border display buttons. Applies the selected border options. Click a button to apply the selected border options to all borders of the cell, the outside border, the inside borders, the bottom border, the left border, the top border, the right border, or no borders. The preview in the dialog box updates to show the effect.
  7. Click OK.
Toolbar: Styles
Command entry: TABLESTYLE


To create a table style from an existing table (Procedure)

Work with Table Styles
Work with Table Styles
Work with Table Styles
Annotate Drawings > Tables > Work with Table Styles >
Work with Table Styles
Concept Procedure Quick Reference

To create a table style from an existing table

  1. Click a gridline to select the table.
  2. Right-click and click Table Style [image] Save as New Table Style.
Toolbar: Styles
Command entry: TABLESTYLE


To create a cell style from an existing cell (Procedure)

Work with Table Styles
Work with Table Styles
Work with Table Styles
Annotate Drawings > Tables > Work with Table Styles >
Work with Table Styles
Concept Procedure Quick Reference

To create a cell style from an existing cell

  1. Click inside the cell to create a cell style from.
  2. Right-click and click Cell Style [image] Save as New Cell Style.
Toolbar: Styles
Command entry: TABLESTYLE


To apply a new table style to a table (Procedure)

Work with Table Styles
Work with Table Styles
Work with Table Styles
Annotate Drawings > Tables > Work with Table Styles >
Work with Table Styles
Concept Procedure Quick Reference

To apply a new table style to a table

  1. Click a gridline to select the table.
  2. Right-click and select Table Style.
  3. On the Table Style flyout, select a table style from the list.

    The new table style is applied to the table.

    NoteIf the previous table style had a title row and the new one does not, the title text is placed in the first cell of the table, and the other cells in the first row are left blank.
  4. Press ESC twice to remove selection.
Toolbar: Styles
Command entry: TABLESTYLE


To change the table style that is applied to new tables (Procedure)

Work with Table Styles
Work with Table Styles
Add Text and Blocks to Tables
Annotate Drawings > Tables > Work with Table Styles >
Work with Table Styles
Concept Procedure Quick Reference

To change the table style that is applied to new tables

  1. Click Home tab [image] Annotation panel [image] Table Style. At the command prompt, enter tablestyle.
  2. In the Table Style dialog box, select a table style. Click Set Current.
  3. Click Close.

    The current table style is applied to new tables that you create.

Toolbar: Styles
Command entry: TABLESTYLE


Work with Table Styles (Quick Reference)

Link a Table to External Data
Work with Table Styles
Add Text and Blocks to Tables
Annotate Drawings > Tables > Work with Table Styles >
Work with Table Styles
Concept Procedure Quick Reference

Commands

FIND

Finds, replaces, selects, or zooms to specified text

INSERT

Inserts a block or drawing into the current drawing

LIST

Displays property data for selected objects

MTEXT

Creates a multiline text object

SPELL

Checks spelling in a drawing

TABLE

Creates an empty table object

TABLEDIT

Edits text in a table cell

TABLEEXPORT

Exports data from a table object in CSV file format

TABLESTYLE

Creates, modifies, or specifies table styles

UPDATEFIELD

Manually updates fields in selected objects in the drawing

System Variables

CTABLESTYLE

Sets the name of the current table style

FIELDDISPLAY

Controls whether fields are displayed with a gray background

FIELDEVAL

Controls how fields are updated

Utilities

No entries

Command Modifiers

No entries


Add Text and Blocks to Tables (Concept)

Work with Table Styles
Tables
Use Formulas in Table Cells
Annotate Drawings > Tables >
Add Text and Blocks to Tables
Concept Procedure Quick Reference

Table cell data can include text and multiple blocks.

When a table is created, the first cell is highlighted, the Text Formatting toolbar is displayed, and you can begin entering text. The row height of the cell increases to accommodate the number of lines of text. To move to the next cell, press TAB, or use the arrow keys to move left, right, up, and down. You can quickly edit cell text by pressing F2 in a selected cell.

When you insert a block into a table cell, either the block can be automatically fit to the size of the cell, or the cell can adjust to accommodate the size of the block. Blocks can be inserted from the Table toolbar, or from the shortcut menu. Multiple blocks can be inserted in a table cell. If there is more than one block in a table cell, use the Manage Cell Content dialog box to customize the way the cell content is displayed.

Inside the cell, the arrow keys move the cursor. Use the Table toolbar and the shortcut menu to format text, import text, or make other changes to the text in the cell.

See Also

    • Use Fields in Text

    • Create Multiline Text


Add Text and Blocks to Tables (Procedure)

Work with Table Styles
Add Text and Blocks to Tables
Add Text and Blocks to Tables
Annotate Drawings > Tables > Add Text and Blocks to Tables >
Add Text and Blocks to Tables
Concept Procedure Quick Reference

To enter text in a table

To define or modify data formats

To change the properties of cells in a table

To copy the properties of a cell to other cells

To change the lineweight, linetype, or color of the borders of table cells

To edit text in a table cell

To insert a block in a table cell

To insert a field in a table cell


To enter text in a table (Procedure)

Add Text and Blocks to Tables
Add Text and Blocks to Tables
Add Text and Blocks to Tables
Annotate Drawings > Tables > Add Text and Blocks to Tables >
Add Text and Blocks to Tables
Concept Procedure Quick Reference

To enter text in a table

  1. Click inside a table cell, and start to enter text.

    The Text Formatting toolbar is displayed.

  2. Use the arrow keys to move the cursor in text inside a cell.
  3. To create a line break within a cell, press ALT+ENTER .
  4. To override the text style specified in the table style, click the arrow next to the Text Style control on the toolbar and select a new text style.

    The text style you select is applied to the text in the cell and any new text that you enter in the cell.

  5. To override the formatting in the current text style, first select text as follows:
    • To select one or more characters, click and drag the pointing device over the characters.
    • To select a word, double-click the word.
    • To select all the text in the cell, triple-click in the cell. (You can also right-click. Click Select All.)
  6. On the toolbar, make format changes as follows:
    • To change the font of the selected text, select a font from the list.
    • To change the height of the selected text, enter a new value in the Height box.
    • To format text in a TrueType font with boldface or italics, or to create underlined text for any font, click the corresponding button on the toolbar. SHX fonts do not support boldface or italics.
    • To apply color to selected text, choose a color from the Color list. Click Other to display the Select Color dialog box.
  7. Use the keyboard to move from cell to cell:
    • Press TAB to move to the next cell. In the last cell of the table, press TAB to add a new row.
    • Press SHIFT+TAB to move to the previous cell.
    • When the cursor is at the beginning or end of text in a cell, use the arrow keys to move the cursor to adjacent cells. You can also use CTRL+ an arrow key.
    • When text is highlighted in a cell, press an arrow key to remove selection and move the cursor to the beginning or end of the text in the cell.
    • Press ENTER to move down one cell.
  8. To save your changes and exit, click OK on the toolbar or press CTRL+ENTER .
Command entry: DDEDIT
Shortcut menu: Select and right-click a cell. Click Edit Text.


To define or modify data formats (Procedure)

Add Text and Blocks to Tables
Add Text and Blocks to Tables
Add Text and Blocks to Tables
Annotate Drawings > Tables > Add Text and Blocks to Tables >
Add Text and Blocks to Tables
Concept Procedure Quick Reference

To define or modify data formats

  1. In a table, click the table cells where you want to redefine data and formatting.
  2. On the Table toolbar, click Data Format.
  3. Choose a data type, format, and other options for the selected table cells.
  4. Enter data in the selected table cells. The data type and format you chose determines how the data is displayed.
  5. Click OK.
Shortcut menu: Select and right-click a cell or range of cells. Click Data Format.


To change the properties of cells in a table (Procedure)

Add Text and Blocks to Tables
Add Text and Blocks to Tables
Add Text and Blocks to Tables
Annotate Drawings > Tables > Add Text and Blocks to Tables >
Add Text and Blocks to Tables
Concept Procedure Quick Reference

To change the properties of cells in a table

  1. Click inside the table cell you want to change.

    Hold down SHIFT and click inside another cell to select those two cells and all the cells between them.

  2. Use one of the following methods:
    • To change one or more properties, in the Properties palette, click the value you want to change and enter or select a new value.
    • To restore the default properties, right-click. Click Remove Property Overrides.
Toolbar: Properties
Shortcut menu: Select and right-click a cell or range of cells. Click Properties.


To copy the properties of a cell to other cells (Procedure)

Add Text and Blocks to Tables
Add Text and Blocks to Tables
Add Text and Blocks to Tables
Annotate Drawings > Tables > Add Text and Blocks to Tables >
Add Text and Blocks to Tables
Concept Procedure Quick Reference

To copy the properties of a cell to other cells

  1. Click inside the table cell whose properties you want to copy.
  2. (Optional) To view the current properties of the selected table cell, press CTRL+1 to open the Properties palette.

    All the properties of the cell are copied except the cell type: text or block.

  3. On the Table toolbar, click Match Cell.

    The cursor changes to a paintbrush.

  4. To copy the properties to another table cell in the drawing, click inside the cell.
  5. Right-click or press ESC to stop copying properties.
Command entry: MATCHCELL
Shortcut menu: Select and right-click a cell or range of cells. Click Match Cell.


To change the lineweight, linetype, or color of the borders of table cells (Procedure)

Add Text and Blocks to Tables
Add Text and Blocks to Tables
Add Text and Blocks to Tables
Annotate Drawings > Tables > Add Text and Blocks to Tables >
Add Text and Blocks to Tables
Concept Procedure Quick Reference

To change the lineweight, linetype, or color of the borders of table cells

  1. Click inside the table cell you want to change.

    Hold down SHIFT and click inside another cell to select those two cells and all the cells between them.

  2. On the Table toolbar, click Cell Borders.
  3. In the Cell Border Properties dialog box, select a lineweight, linetype and color. To specify a double line border, select Double Line.

    Use BYBLOCK to set the border properties to match the settings in the table style that has been applied to the table.

  4. Click one of the border type buttons to specify which borders of the cell to modify, or select a border in the preview image.
  5. Click OK.
  6. Move the cursor outside the Properties palette, and press ESC to remove selection, or select another cell.
Shortcut menu: Select and right-click a cell or range of cells. Click Borders.


To edit text in a table cell (Procedure)

Add Text and Blocks to Tables
Add Text and Blocks to Tables
Add Text and Blocks to Tables
Annotate Drawings > Tables > Add Text and Blocks to Tables >
Add Text and Blocks to Tables
Concept Procedure Quick Reference

To edit text in a table cell

  1. Double-click inside the cell whose text you want to edit, or select the cell, right-click, and click Edit Cell.
    NoteWhen a cell is selected, you can press F2 to edit the cell text.
  2. Use the Text Formatting toolbar or the shortcut menu to make changes.
  3. To save the changes and exit, click OK on the toolbar, press CTRL+ENTER, or click outside the cell.
  4. To remove selection from the table, press ESC.
Command entry: DDEDIT
Shortcut menu: Select and right-click a cell. Click Edit Cell.


To insert a block in a table cell (Procedure)

Add Text and Blocks to Tables
Add Text and Blocks to Tables
Add Text and Blocks to Tables
Annotate Drawings > Tables > Add Text and Blocks to Tables >
Add Text and Blocks to Tables
Concept Procedure Quick Reference

To insert a block in a table cell

  1. On the Table toolbar, click Insert Block.
  2. In the Insert dialog box, select a block from the list of blocks in the drawing, or click Browse to find a block in another drawing.
  3. Specify the following properties for the block:
    • Cell Alignment. Specifies alignment for the block in the table cell. The block is middle-, top-, or bottom-aligned with respect to the top and bottom borders of the cell. The block is center-, left-, or right-aligned with respect to the left and right borders of the cell.
    • Scale. Specifies the scale for the block reference. Enter a value or select AutoFit to scale the block to fit in the selected cell.
    • Rotation Angle. Specifies a rotation angle for the block.
  4. Click OK.

    If the block has attributes attached, the Edit Attributes dialog box is displayed.

Shortcut menu: Select and right-click a cell. Click Insert [image] Block.


To insert a field in a table cell (Procedure)

Add Text and Blocks to Tables
Add Text and Blocks to Tables
Use Formulas in Table Cells
Annotate Drawings > Tables > Add Text and Blocks to Tables >
Add Text and Blocks to Tables
Concept Procedure Quick Reference

To insert a field in a table cell

  1. Double-click inside the table cell.
  2. On the Table toolbar, click Insert Field, or press CTRL+F.
  3. In the Field dialog box, select a category in the Field Category list to display the field names in that category.
  4. Select a field.
  5. Select the format or other options available for that field.
  6. Click OK.
Command entry: FIELD
Shortcut menu: Select and right-click a cell. Click Insert [image] Field.


Add Text and Blocks to Tables (Quick Reference)

Work with Table Styles
Add Text and Blocks to Tables
Use Formulas in Table Cells
Annotate Drawings > Tables > Add Text and Blocks to Tables >
Add Text and Blocks to Tables
Concept Procedure Quick Reference

Commands

FIELD

Creates a multiline text object with a field that can be updated automatically as the field value changes

FIND

Finds, replaces, selects, or zooms to specified text

INSERT

Inserts a block or drawing into the current drawing

LIST

Displays property data for selected objects

MATCHCELL

Applies the properties of a selected table cell to other table cells

MTEXT

Creates a multiline text object

SPELL

Checks spelling in a drawing

TABLE

Creates an empty table object

TABLEDIT

Edits text in a table cell

TABLEEXPORT

Exports data from a table object in CSV file format

TABLESTYLE

Creates, modifies, or specifies table styles

UPDATEFIELD

Manually updates fields in selected objects in the drawing

System Variables

CTABLESTYLE

Sets the name of the current table style

FIELDDISPLAY

Controls whether fields are displayed with a gray background

FIELDEVAL

Controls how fields are updated

Utilities

No entries

Command Modifiers

No entries


Use Formulas in Table Cells (Concept)

Add Text and Blocks to Tables
Tables
Dimensions and Tolerances
Annotate Drawings > Tables >
Use Formulas in Table Cells
Concept Procedure Quick Reference

Table cells can contain formulas that do calculations using the values in other table cells.

With a table cell selected, you can insert formulas from the Table toolbar as well as the shortcut menu. You can also open the In-Place Text Editor and enter a formula in a table cell manually.

Insert a Formula

In formulas, cells are referred to by their column letter and row number. For example, the cell at top left in the table is A1. Merged cells use the number of what would be the top-left cell. A range of cells is defined by the first and last cells, with a colon between them. For example, the range A5:C10 includes cells in rows 5 through 10 in columns A, B, and C.

A formula must start with an equal sign (=). The formulas for sum, average, and count ignore empty cells and cells that do not resolve to a numeric value. Other formulas display an error (#) if any cell in the arithmetic expression is empty or contains nonnumeric data.

Use the Cell option on the shortcut menu to select a cell in another table in the same drawing. When you have selected the cell, the In-Place Text Editor opens so you can enter the rest of the formula. You can also insert a formula using the Table toolbar.

Copy a Formula

When you copy a formula to another cell in the table, the range changes to reflect the new location. For example, if the formula in A10 sums A1 through A9, when you copy it to B10, the range of cells changes so that it sums B1 through B9.

If you don't want a cell address to change when you copy and paste the formula, add a dollar sign ($) to the column or row part of the address. For example, if you enter $A10, the column stays the same and the row changes. If you enter $A$10, both column and row stay the same.

Insert Data Automatically

You can automatically increment data in adjacent cells within a table by using the AutoFill grip. For example, a table with a date column can have the dates automatically entered by entering the first necessary date and dragging the AutoFill grip.

Numbers will fill automatically by increments of 1 if one cell is selected and dragged. Similarly, dates will resolve by increments of one day if only one cell is selected. If two cells are manually filled with dates one week apart, the remaining cells are incremented by one week.

Show Me: Insert Data Automatically

Click the Play arrow to start the animation.

See Also

    • Use Fields in Text


Use Formulas in Table Cells (Procedure)

Add Text and Blocks to Tables
Use Formulas in Table Cells
Use Formulas in Table Cells
Annotate Drawings > Tables > Use Formulas in Table Cells >
Use Formulas in Table Cells
Concept Procedure Quick Reference

To sum the values in a range of table cells

To average the values in a range of table cells

To count the cells in a table column or a table row

To use a cell from a different table in a formula

To manually enter a formula in a table cell

To turn off the display of column letters and row numbers for tables

To change the background color of column letters and row numbers for tables

To insert a Formula field in a table cell

To automatically fill cells with incremented data


To sum the values in a range of table cells (Procedure)

Use Formulas in Table Cells
Use Formulas in Table Cells
Use Formulas in Table Cells
Annotate Drawings > Tables > Use Formulas in Table Cells >
Use Formulas in Table Cells
Concept Procedure Quick Reference

To sum the values in a range of table cells

  1. Select the table cell where you want to place the formula by clicking inside it. The Table toolbar is displayed.
  2. On the Table toolbar, click Insert Formula [image] Sum.

    The following prompt is displayed:

    Select first corner of table cell range:

  3. Click inside the first cell in the range.

    The following prompt is displayed:

    Select second corner of table cell range:

  4. Click inside the last cell in the range.

    The In-Place Text Editor opens and displays the formula in the cell.

  5. Edit the formula, if necessary.
  6. To save your changes and exit the editor, use one of the following methods:
    • Click OK on the toolbar.
    • Click in the drawing outside the editor.
    • Press CTRL+ENTER.

    The cell displays the sum of the values in the range of cells. Empty cells and cells that do not resolve to a numeric value are ignored.

Shortcut menu: Select and right-click a cell or range of cells. Click Insert [image] Formula [image] Sum.


To average the values in a range of table cells (Procedure)

Use Formulas in Table Cells
Use Formulas in Table Cells
Use Formulas in Table Cells
Annotate Drawings > Tables > Use Formulas in Table Cells >
Use Formulas in Table Cells
Concept Procedure Quick Reference

To average the values in a range of table cells

  1. Select the table cell where you want to place the formula by clicking inside it. The Table toolbar is displayed.
  2. On the Table toolbar, click Insert Formula [image] Average.

    The following prompt is displayed:

    Select first corner of table cell range:

  3. Click inside the first cell in the range.

    The following prompt is displayed:

    Select second corner of table cell range:

  4. Click inside the last cell in the range.

    The In-Place Text Editor opens and displays the formula in the cell.

  5. Edit the formula, if necessary.
  6. To save your changes and exit the editor, use one of the following methods:
    • Click OK on the toolbar.
    • Click in the drawing outside the editor.
    • Press CTRL+ENTER.

    The cell displays the average of the values in the range of cells. Empty cells and cells that do not resolve to a numeric value are ignored.

Shortcut menu: Select and right-click a cell or range of cells. Click Insert [image] Formula [image] Average.


To count the cells in a table column or a table row (Procedure)

Use Formulas in Table Cells
Use Formulas in Table Cells
Use Formulas in Table Cells
Annotate Drawings > Tables > Use Formulas in Table Cells >
Use Formulas in Table Cells
Concept Procedure Quick Reference

To count the cells in a table column or a table row

  1. Select the table cell where you want to place the formula by clicking inside it. The Table toolbar is displayed.
  2. On the Table toolbar, click Insert Formula [image] Count

    The following prompt is displayed:

    Select first corner of table cell range:

  3. Click inside the first cell in the range.

    The following prompt is displayed:

    Select second corner of table cell range:

  4. Click inside the last cell in the range.

    The In-Place Text Editor opens and displays the formula in the cell.

  5. Edit the formula, if necessary.
  6. To save your changes and exit the editor, use one of the following methods:
    • Click OK on the toolbar.
    • Click in the drawing outside the editor.
    • Press CTRL+ENTER.

    The cell displays the total number of cells in the range.

Shortcut menu: Select and right-click a cell or range of cells. Click Insert [image] Formula [image] Count.


To use a cell from a different table in a formula (Procedure)

Use Formulas in Table Cells
Use Formulas in Table Cells
Use Formulas in Table Cells
Annotate Drawings > Tables > Use Formulas in Table Cells >
Use Formulas in Table Cells
Concept Procedure Quick Reference

To use a cell from a different table in a formula

  1. Select the table cell where you want to place the formula by clicking inside it. The Table toolbar is displayed.
  2. On the Table toolbar, click Insert Formula [image] Cell.

    The following prompt is displayed:

    Select table cell:

  3. Click inside the cell in the other table.

    The In-Place Text Editor opens and displays the cell address.

  4. Enter the rest of the formula.
  5. To save your changes and exit the editor, use one of the following methods:
    • Click OK on the toolbar.
    • Click in the drawing outside the editor.
    • Press CTRL+ENTER.

    The cell displays the result of the calculation.

Shortcut menu: Select and right-click a cell or range of cells. Click Insert [image] Formula [image] Cell.


To manually enter a formula in a table cell (Procedure)

Use Formulas in Table Cells
Use Formulas in Table Cells
Use Formulas in Table Cells
Annotate Drawings > Tables > Use Formulas in Table Cells >
Use Formulas in Table Cells
Concept Procedure Quick Reference

To manually enter a formula in a table cell

  1. Double-click inside a table cell.

    The In-place Text Editor opens.

  2. Enter a formula (a function or an arithmetic expression), as in the following examples:
    • =sum(a1:a25,b1). Sums the values in the first 25 rows of column A and the first row in column B.
    • =average(a100:d100). Calculates the average of the values in the first 4 columns in row 100.
    • =count(a1:m500). Displays the total number of cells in column A through column M in rows 1 through 100.
    • =(a6+d6)/e1. Adds the values in A6 and D6 and divides the total by the value in E1.

      Use a colon to define a range of cells and a comma for individual cells. A formula must start with an equal sign (=) and can contain any of the following signs: plus (+), minus (-), times (*), divided by (/), exponent (^), and parentheses ().

  3. To save your changes and exit the editor, use one of the following methods:
    • Click OK on the toolbar.
    • Click in the drawing outside the editor.
    • Press CTRL+ENTER.

    The cell displays the result of the calculation.

Shortcut menu: Select and right-click a cell or range of cells. Click Insert [image] Formula [image] Equation.


To turn off the display of column letters and row numbers for tables (Procedure)

Use Formulas in Table Cells
Use Formulas in Table Cells
Use Formulas in Table Cells
Annotate Drawings > Tables > Use Formulas in Table Cells >
Use Formulas in Table Cells
Concept Procedure Quick Reference

To turn off the display of column letters and row numbers for tables

  1. At the command prompt, enter tableindicator.
  2. At the Enter New Value prompt, enter 0.

When TABLEINDICATOR is set to 1, the In-Place Text Editor displays column letters and row numbers when a table cell is selected.

Command entry: TABLEINDICATOR


To change the background color of column letters and row numbers for tables (Procedure)

Use Formulas in Table Cells
Use Formulas in Table Cells
Use Formulas in Table Cells
Annotate Drawings > Tables > Use Formulas in Table Cells >
Use Formulas in Table Cells
Concept Procedure Quick Reference

To change the background color of column letters and row numbers for tables

  1. Click a grid line to select a table.
  2. Right-click. Click Table Indicator Color.
  3. In the Select Color dialog box, select a color.
  4. Click OK.

    The text color, size, and style and the line color are controlled by the settings for column heads in the current table style.


To insert a Formula field in a table cell (Procedure)

Use Formulas in Table Cells
Use Formulas in Table Cells
Use Formulas in Table Cells
Annotate Drawings > Tables > Use Formulas in Table Cells >
Use Formulas in Table Cells
Concept Procedure Quick Reference

To insert a Formula field in a table cell

  1. Click inside the table cell.
  2. On the Table toolbar, click Insert Field.
  3. In the Field dialog box, Field Category list, select Objects.
  4. In Field Names, select Formula.
  5. To enter a formula, use any of the following methods one or more times:
    • Click Average, Sum, or Count. The Field dialog box closes temporarily. To specify a range, click inside the first and the last cell. The result is appended to the formula.
    • Click Cell. The Field dialog box closes temporarily. Select a cell in a table in the drawing. The cell address is appended to the formula.
  6. (Optional) Select a format and a decimal separator.
  7. Click OK.
  8. To save your changes and exit the editor, use one of the following methods:
    • Click OK on the toolbar.
    • Click in the drawing outside the editor.
    • Press CTRL+ENTER.

    The cell displays the result of the calculation.

Shortcut menu: Select and right-click a cell or range of cells. Click Insert [image] Formula.


To automatically fill cells with incremented data (Procedure)

Use Formulas in Table Cells
Use Formulas in Table Cells
Understand Basic Concepts of Dimensioning
Annotate Drawings > Tables > Use Formulas in Table Cells >
Use Formulas in Table Cells
Concept Procedure Quick Reference

To automatically fill cells with incremented data

  1. Double-click inside a table cell.
  2. Enter a numeric value; for example, 1 or 01/01/2000.
  3. Press the down arrow and enter the next desired numeric value.
  4. On the Text Formatting toolbar, click OK.

    To change the format of the cell data, right-click the cell. Select Data Format.

  5. Select the cell or cells from which you want to increment data from.
  6. Click the grip in the lower right corner of the cell or cells.

    To change AutoFill options, right-click the AutoFill grip in the bottom right-hand corner of the selected cell range and select one of the following options:

    • Fill Series. Finds a pattern in the range of selected cells and fills the selected cells with the subsequent cell format and value. If only 1 cell is selected from which to increment data, then the data will increment at a rate of 1 unit.
    • Fill Series Without Formatting. Follows the above guidelines without cell formatting.
    • Copy Cells. Copies the format and values for the selected cells.
    • Copy Cells Without Formatting. Follows the above guidelines without cell formatting.
    • Fill Formatting Only. Fills only cell formatting for the selected cells. Cell values are ignored.
  7. Drag the grip through the cells you would like to automatically increment. A preview of the value for each cell will display to the right of the selected grip.


Use Formulas in Table Cells (Quick Reference)

Add Text and Blocks to Tables
Use Formulas in Table Cells
Overview of Dimensioning
Annotate Drawings > Tables > Use Formulas in Table Cells >
Use Formulas in Table Cells
Concept Procedure Quick Reference

Commands

FIELD

Creates a multiline text object with a field that can be updated automatically as the field value changes

MTEXT

Creates a multiline text object

TABLE

Creates an empty table object

TABLEEXPORT

Exports data from a table object in CSV file format

TABLESTYLE

Creates, modifies, or specifies table styles

UPDATEFIELD

Manually updates fields in selected objects in the drawing

System Variables

CTABLESTYLE

Sets the name of the current table style

FIELDDISPLAY

Controls whether fields are displayed with a gray background

FIELDEVAL

Controls how fields are updated

TABLEINDICATOR

Controls the display of row numbers and column letters when the In-Place Text Editor is open for editing a table cell

Utilities

No entries

Command Modifiers

No entries


Dimensions and Tolerances

Use Formulas in Table Cells
Annotate Drawings
Understand Basic Concepts of Dimensioning
Annotate Drawings >
Dimensions and Tolerances

You can add measurements to your drawing with several dimensioning commands. Use dimension styles to format dimensions quickly and maintain industry or project dimensioning standards.

Topics in this section

  • Understand Basic Concepts of Dimensioning

    You can create several types of dimensions, and you can control their appearance by setting up dimension styles or by editing individual dimensions.

  • Use Dimension Styles

    You can control the appearance of dimensions by changing settings. For convenience and to help maintain dimensioning standards, you can store these settings in dimension styles.

  • Set the Scale for Dimensions

    You can specify the size of dimensions in your drawing. How you set dimension size depends on the method you use to lay out and plot drawings.

  • Create Dimensions

    You can create all of the standard types of dimensions.

  • Modify Existing Dimensions

    You can modify all components of the existing dimension objects in a drawing either individually or by using dimension styles.

  • Add Geometric Tolerances

    You can add geometric tolerances that show acceptable deviations of form, profile, orientation, location, and runout of a feature.


Understand Basic Concepts of Dimensioning

Dimensions and Tolerances
Dimensions and Tolerances
Overview of Dimensioning
Annotate Drawings > Dimensions and Tolerances >
Understand Basic Concepts of Dimensioning
Concept Procedure

You can create several types of dimensions, and you can control their appearance by setting up dimension styles or by editing individual dimensions.

Topics in this section

  • Overview of Dimensioning
  • Parts of a Dimension

    Here is a list of the parts of a dimension along with their descriptions.

  • Associative Dimensions

    Dimensions can be associative, nonassociative, or exploded. Associative dimensions adjust to changes in the geometric objects that they measure.


Understand Basic Concepts of Dimensioning (Procedure)

Use Formulas in Table Cells
Understand Basic Concepts of Dimensioning
Overview of Dimensioning
Annotate Drawings > Dimensions and Tolerances > Understand Basic Concepts of Dimensioning >
Understand Basic Concepts of Dimensioning
Concept Procedure

To create a dimension

To change the dimension associativity default


Overview of Dimensioning (Concept)

Understand Basic Concepts of Dimensioning
Understand Basic Concepts of Dimensioning
Parts of a Dimension
Annotate Drawings > Dimensions and Tolerances > Understand Basic Concepts of Dimensioning >
Overview of Dimensioning
Concept Procedure Quick Reference

Dimensioning is the process of adding measurement annotation to a drawing.

You can create dimensions for a variety of object types in many orientations. The basic types of dimensioning are

  • Linear
  • Radial (radius, diameter and jogged)
  • Angular
  • Ordinate
  • Arc Length

Linear dimensions can be horizontal, vertical, aligned, rotated, baseline, or continued (chained). Some examples are shown in the illustration.

NoteTo simplify drawing organization and dimension scaling, it is recommended that you create dimensions on layouts rather than in model space.


To create a dimension (Procedure)

Understand Basic Concepts of Dimensioning
Up a level to ..
Associative Dimensions
Annotate Drawings > Dimensions and Tolerances > Understand Basic Concepts of Dimensioning > Overview of Dimensioning >
Overview of Dimensioning
Concept Procedure Quick Reference

To create a dimension

  1. Create a layer designated for dimensions and make it the current layer.
  2. Near the bottom-left corner of the application window, click a layout tab.
  3. Click Dimension menu. Click a dimension option.
  4. Follow the command prompts.
Command entry: DIMLINEAR, DIMRADIUS, DIMANGULAR


Overview of Dimensioning (Quick Reference)

Use Formulas in Table Cells
Overview of Dimensioning
Parts of a Dimension
Annotate Drawings > Dimensions and Tolerances > Understand Basic Concepts of Dimensioning > Overview of Dimensioning >
Overview of Dimensioning
Concept Procedure Quick Reference

Commands

DIMANGULAR

Creates an angular dimension

DIMARC

Creates an arc length dimension

DIMBREAK

Breaks or restores dimension and extension lines where they cross other objects

DIMDIAMETER

Creates a diameter dimension for a circle or an arc

DIMEDIT

Edits dimension text and extension lines

DIMINSPECT

Adds or removes inspection information for a selected dimension

DIMJOGGED

Creates jogged dimensions for circles and arcs

DIMJOGLINE

Adds or removes a jog line on a linear or aligned dimension

DIMLINEAR

Creates a linear dimension

DIMORDINATE

Creates ordinate dimensions

DIMRADIUS

Creates a radius dimension for a circle or an arc

DIMREASSOCIATE

Associates selected dimensions to geometric objects

DIMSPACE

Adjusts the spacing between linear dimensions or angular dimensions

DIMSTYLE

Creates and modifies dimension styles

DIMTEDIT

Moves and rotates dimension text and relocates the dimension line

PROPERTIES

Controls properties of existing objects

QDIM

Quickly creates a series of dimensions from selected objects

System Variables

DIMASSOC

Controls the associativity of dimension objects and whether dimensions are exploded

Utilities

No entries

Command Modifiers

No entries


Parts of a Dimension (Concept)

Overview of Dimensioning
Understand Basic Concepts of Dimensioning
Associative Dimensions
Annotate Drawings > Dimensions and Tolerances > Understand Basic Concepts of Dimensioning >
Parts of a Dimension
Concept Quick Reference

Here is a list of the parts of a dimension along with their descriptions.

Dimensions have several distinct elements: dimension text, dimension lines, arrowheads, and extension lines.

Dimension text is a text string that usually indicates the measurement value. The text can also include prefixes, suffixes, and tolerances.

A dimension line indicates the direction and extent of a dimension. For angular dimensions, the dimension line is an arc.

Arrowheads, also called symbols of termination, are displayed at each end of the dimension line. You can specify different sizes and shapes for arrowheads or tick marks.

Extension lines, also called projection lines or witness lines, extend from the feature to the dimension line.

A center mark is a small cross that marks the center of a circle or arc.

Centerlines are broken lines that mark the center of a circle or arc.


Parts of a Dimension (Quick Reference)

Overview of Dimensioning
Parts of a Dimension
Associative Dimensions
Annotate Drawings > Dimensions and Tolerances > Understand Basic Concepts of Dimensioning > Parts of a Dimension >
Parts of a Dimension
Concept Quick Reference

Commands

DIMSTYLE

Creates and modifies dimension styles

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Associative Dimensions (Concept)

Parts of a Dimension
Understand Basic Concepts of Dimensioning
Use Dimension Styles
Annotate Drawings > Dimensions and Tolerances > Understand Basic Concepts of Dimensioning >
Associative Dimensions
Concept Procedure Quick Reference

Dimensions can be associative, nonassociative, or exploded. Associative dimensions adjust to changes in the geometric objects that they measure.

Dimension associativity defines the relationship between geometric objects and the dimensions that give their distance and angles. There are three types of associativity between geometric objects and dimensions.

  • Associative dimensions. Automatically adjust their locations, orientations, and measurement values when the geometric objects associated with them are modified. Dimensions in a layout may be associated to objects in model space. The DIMASSOC system variable is set to 2.
  • Nonassociative dimensions. Selected and modified with the geometry they measure. Nonassociative dimensions do not change when the geometric objects they measure are modified. The dimension variable DIMASSOC is set to 1.
  • Exploded dimensions. Contain a collection of separate objects rather than a single dimension object. The DIMASSOC system variable is set to 0.

You can determine whether a dimension is associative or nonassociative by selecting the dimension and doing one of the following:

  • Use the Properties palette to display the properties of the dimension.
  • Use the LIST command to display the properties of the dimension.

You can also use the Quick Select dialog box to filter the selection of associative or nonassociative dimensions. A dimension is considered associative even if only one end of the dimension is associated with a geometric object. The DIMREASSOCIATE command displays the associative and nonassociative elements of a dimension.

Special Situations and Limitations

You may need to use DIMREGEN to update associative dimensions after panning or zooming with a wheel mouse, after opening a drawing that was modified with an earlier release, or after opening a drawing with external references that have been modified.

Although associative dimensions support most object types that you would expect to dimension, they do not support the following:

  • Hatches
  • Multiline objects
  • 2D solids
  • Objects with nonzero thickness
  • Images
  • DWF underlays

When selecting objects to dimension, make sure that the objects that you select don't include a directly overlapping object that does not support associative dimensioning such as a 2D solid.

Associativity is not maintained between a dimension and a block reference if the block is redefined.

Associativity is not maintained between a dimension and a 3D solid if the shape of the 3D solid is modified.

Dimensions created with QDIM are not associative but may be associated individually with DIMREASSOCIATE.

NoteIn releases prior to AutoCAD 2002, the definitions of associative and nonassociative dimensions were different and were controlled by the DIMASO system variable. The behavior of dimensions is now controlled by the DIMASSOC system variable.

For information about working with associative dimensions in combination with previous releases, see Save Drawings to Previous Drawing File Formats.

See Also

    • Change Dimension Associativity


To change the dimension associativity default (Procedure)

Overview of Dimensioning
Up a level to ..
Use Dimension Styles
Annotate Drawings > Dimensions and Tolerances > Understand Basic Concepts of Dimensioning > Associative Dimensions >
Associative Dimensions
Concept Procedure Quick Reference

To change the dimension associativity default

  1. Click Tools menu [image] Options.At the command prompt, enter options.
  2. In the Options dialog box, User Preferences tab, under Associative Dimensioning, select or clear Make New Dimensions Associative.
  3. Do either or both of the following:
    • Click Apply to record the current Options settings in the system registry.
    • Click OK to record the current Options settings in the system registry and close the Options dialog box.

All subsequently created dimensions in the drawing use the new setting. Unlike most other option settings, dimension associativity is saved in the drawing file rather than in the system registry.

Command entry: OPTIONS


Associative Dimensions (Quick Reference)

Parts of a Dimension
Associative Dimensions
Overview of Dimension Styles
Annotate Drawings > Dimensions and Tolerances > Understand Basic Concepts of Dimensioning > Associative Dimensions >
Associative Dimensions
Concept Procedure Quick Reference

Commands

DIMDISASSOCIATE

Removes associativity from selected dimensions

DIMREASSOCIATE

Associates selected dimensions to geometric objects

DIMREGEN

Updates the locations of all associative dimensions

EXPLODE

Breaks a compound object into its component objects

LIST

Displays property data for selected objects

OPTIONS

Customizes the program settings

System Variables

DIMASSOC

Controls the associativity of dimension objects and whether dimensions are exploded

Utilities

No entries

Command Modifiers

No entries


Use Dimension Styles

Associative Dimensions
Dimensions and Tolerances
Overview of Dimension Styles
Annotate Drawings > Dimensions and Tolerances >
Use Dimension Styles
Concept Procedure

You can control the appearance of dimensions by changing settings. For convenience and to help maintain dimensioning standards, you can store these settings in dimension styles.

Topics in this section

  • Overview of Dimension Styles
  • Compare Dimension Styles and Variables

    You can view all the settings in a dimension style. Dimension styles used in externally referenced drawings are differentiated from those defined in your current drawing.

  • Control Dimension Geometry

    You can control the appearance of dimension lines, extension lines, arrowheads, and center marks.

  • Control Dimension Text

    You can control the placement of dimension text, arrowheads, and leader lines relative to the dimension and extension lines.

  • Control Dimension Values

    The numeric values displayed in dimensions can appear in several formats. You can also control how numeric distances are represented.


Use Dimension Styles (Procedure)

Associative Dimensions
Use Dimension Styles
Overview of Dimension Styles
Annotate Drawings > Dimensions and Tolerances > Use Dimension Styles >
Use Dimension Styles
Concept Procedure

To set the current dimension style

To create a dimension substyle

To list all dimension settings for the current dimension style

To list settings for an existing dimension style

To list dimension styles in the current drawing

To compare dimension styles


Overview of Dimension Styles (Concept)

Use Dimension Styles
Use Dimension Styles
Compare Dimension Styles and Variables
Annotate Drawings > Dimensions and Tolerances > Use Dimension Styles >
Overview of Dimension Styles
Concept Procedure Quick Reference

A dimension style is a named collection of dimension settings that controls the appearance of dimensions, such as arrowhead style, text location, and lateral tolerances. You create dimension styles to specify the format of dimensions quickly, and to ensure that dimensions conform to industry or project standards.

  • When you create a dimension, it uses the settings of the current dimension style
  • If you change a setting in a dimension style, all dimensions in a drawing that use the style update automatically
  • You can create dimension substyles that, for specified types of dimensions, deviate from the current dimension style
  • If necessary, you can override a dimension style temporarily


Overview of Dimension Styles (Procedure)

Use Dimension Styles
Up a level to ..
Overview of Dimension Styles
Annotate Drawings > Dimensions and Tolerances > Use Dimension Styles > Overview of Dimension Styles >
Overview of Dimension Styles
Concept Procedure Quick Reference

To set the current dimension style

To create a dimension substyle


To set the current dimension style (Procedure)

Overview of Dimension Styles
Up a level to ..
Overview of Dimension Styles
Annotate Drawings > Dimensions and Tolerances > Use Dimension Styles > Overview of Dimension Styles >
Overview of Dimension Styles
Concept Procedure Quick Reference

To set the current dimension style

  • On the Styles toolbar, in the Dimension Styles control, click the arrow and select a dimension style from the list.
Command entry: DIMSTYLE


To create a dimension substyle (Procedure)

Overview of Dimension Styles
Up a level to ..
Compare Dimension Styles and Variables
Annotate Drawings > Dimensions and Tolerances > Use Dimension Styles > Overview of Dimension Styles >
Overview of Dimension Styles
Concept Procedure Quick Reference

To create a dimension substyle

  1. Click Home tab [image] Annotation panel [image] Dimension Style. Enter dimstyle at the command prompt.
  2. In the Dimension Style Manager, select the style from which you want to create a substyle. Click New.
  3. In the Create New Dimension Style dialog box, select the type of dimension that will apply to the substyle from the Use For list. Click Continue.
  4. In the New Dimension Style dialog box, select the appropriate tab and make changes to define the dimension substyle.
  5. Click OK.
  6. Click Close to exit the Dimension Style Manager.
Command entry: DIMSTYLE


Overview of Dimension Styles (Quick Reference)

Associative Dimensions
Overview of Dimension Styles
Compare Dimension Styles and Variables
Annotate Drawings > Dimensions and Tolerances > Use Dimension Styles > Overview of Dimension Styles >
Overview of Dimension Styles
Concept Procedure Quick Reference

Commands

DIMSTYLE

Creates and modifies dimension styles

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Compare Dimension Styles and Variables (Concept)

Overview of Dimension Styles
Use Dimension Styles
Control Dimension Geometry
Annotate Drawings > Dimensions and Tolerances > Use Dimension Styles >
Compare Dimension Styles and Variables
Concept Procedure Quick Reference

You can view all the settings in a dimension style. Dimension styles used in externally referenced drawings are differentiated from those defined in your current drawing.

You can list the dimension styles in the current drawing. You can also list all dimensioning system variables and their current status or only the variables affected by a dimension style.

When you list the current status of all dimensioning system variables, any running overrides that apply to the current dimension style are listed. You can also list the differences between a named dimension style and the current dimension style.

Use Externally Referenced Dimension Styles

The program displays externally referenced dimension style names using the same syntax as for other externally dependent named objects. When you view externally referenced dimension styles using the Dimension Style Manager, the name of the xref displays in the Styles list as Xref:drawing name with each xref style appearing below the drawing name. For example, if the drawing file baseplat.dwg has a dimension style called FRACTIONAL-1, and you attach baseplat.dwg as an xref to a new drawing, then the xref dimension style is displayed in the Styles list of the Dimension Style Manager as Xref:baseplat.dwg, and FRACTIONAL-1 appears under the drawing name.

Externally referenced dimension styles can be examined, but they cannot be modified or made current. You can use an externally referenced dimension style as a template for creating a new dimension style in your current drawing.


Compare Dimension Styles and Variables (Procedure)

Overview of Dimension Styles
Up a level to ..
Compare Dimension Styles and Variables
Annotate Drawings > Dimensions and Tolerances > Use Dimension Styles > Compare Dimension Styles and Variables >
Compare Dimension Styles and Variables
Concept Procedure Quick Reference

To list all dimension settings for the current dimension style

To list settings for an existing dimension style

To list dimension styles in the current drawing

To compare dimension styles


To list all dimension settings for the current dimension style (Procedure)

Compare Dimension Styles and Variables
Up a level to ..
Compare Dimension Styles and Variables
Annotate Drawings > Dimensions and Tolerances > Use Dimension Styles > Compare Dimension Styles and Variables >
Compare Dimension Styles and Variables
Concept Procedure Quick Reference

To list all dimension settings for the current dimension style

  1. Click Home tab [image] Annotation panel [image] Dimension Style. Enter dimstyle at the command prompt.
  2. In the Dimension Style Manager, select the style from the Styles list.
  3. Click Compare.

    The dimensioning system variables, their current settings, and a brief description are listed. Overrides are included.

Toolbar: Dimension or Styles
Command entry: DIMSTYLE


To list settings for an existing dimension style (Procedure)

Compare Dimension Styles and Variables
Up a level to ..
Compare Dimension Styles and Variables
Annotate Drawings > Dimensions and Tolerances > Use Dimension Styles > Compare Dimension Styles and Variables >
Compare Dimension Styles and Variables
Concept Procedure Quick Reference

To list settings for an existing dimension style

  1. Click Home tab [image] Annotation panel [image] Dimension Style. Enter dimstyle at the command prompt.
  2. In the Dimension Style Manager, enter a dimension style name, or select a dimension whose dimension style you want to examine.
  3. Click Compare.

    Affected variables, their settings, and a brief description of each are listed. Overrides are not included.

Toolbar: Dimension or Styles
Command entry: DIMSTYLE


To list dimension styles in the current drawing (Procedure)

Compare Dimension Styles and Variables
Up a level to ..
Compare Dimension Styles and Variables
Annotate Drawings > Dimensions and Tolerances > Use Dimension Styles > Compare Dimension Styles and Variables >
Compare Dimension Styles and Variables
Concept Procedure Quick Reference

To list dimension styles in the current drawing

  1. Click Home tab [image] Annotation panel [image] Dimension Style. Enter dimstyle at the command prompt.
  2. In the Dimension Style Manager, under List, select All Styles or Style in Use.
Toolbar: Dimension or Styles
Command entry: DIMSTYLE


To compare dimension styles (Procedure)

Compare Dimension Styles and Variables
Up a level to ..
Control Dimension Geometry
Annotate Drawings > Dimensions and Tolerances > Use Dimension Styles > Compare Dimension Styles and Variables >
Compare Dimension Styles and Variables
Concept Procedure Quick Reference

To compare dimension styles

  1. Click Home tab [image] Annotation panel [image] Dimension Style. Enter dimstyle at the command prompt.
  2. In the Dimension Style Manager, select the style to compare from the Styles list.
  3. Click Compare.

    The dimension style is compared to the current dimension style.

Toolbar: Dimension or Styles
Command entry: DIMSTYLE


Compare Dimension Styles and Variables (Quick Reference)

Overview of Dimension Styles
Compare Dimension Styles and Variables
Control Dimension Lines
Annotate Drawings > Dimensions and Tolerances > Use Dimension Styles > Compare Dimension Styles and Variables >
Compare Dimension Styles and Variables
Concept Procedure Quick Reference

Commands

DIMSTYLE

Creates and modifies dimension styles

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Control Dimension Geometry

Compare Dimension Styles and Variables
Use Dimension Styles
Control Dimension Lines
Annotate Drawings > Dimensions and Tolerances > Use Dimension Styles >
Control Dimension Geometry
Concept Procedure

You can control the appearance of dimension lines, extension lines, arrowheads, and center marks.

Topics in this section

  • Control Dimension Lines

    You can control dimension line properties including color, lineweight, and spacing.

  • Control Extension Lines

    You can control extension line properties including color, lineweight, overshoot, and offset length.

  • Control Dimension Arrowheads

    You can control the arrowhead symbols in dimensions and leaders including their type, size, and visibility.

  • Customize Arrowheads

    You can create your own custom arrowheads.


Control Dimension Geometry (Procedure)

Compare Dimension Styles and Variables
Up a level to ..
Control Dimension Lines
Annotate Drawings > Dimensions and Tolerances > Use Dimension Styles > Control Dimension Geometry >
Control Dimension Geometry
Concept Procedure

To modify the display of dimension lines

To modify the display of extension lines

To choose an arrowhead

To flip the direction of an arrowhead

To use your own arrowhead symbol


Control Dimension Lines (Concept)

Control Dimension Geometry
Control Dimension Geometry
Control Extension Lines
Annotate Drawings > Dimensions and Tolerances > Use Dimension Styles > Control Dimension Geometry >
Control Dimension Lines
Concept Procedure Quick Reference

You can control dimension line properties including color, lineweight, and spacing.

You can control several aspects of a dimension line. You can

  • Specify color and lineweight for visual effect and plotting
  • Suppress the dimension line or, if the dimension line is broken by text, one or both halves

  • Control the spacing between successive dimension lines in baseline dimensions

  • Control the distance by which the dimension line extends beyond the extension lines for architectural tick (oblique stroke) arrowheads


To modify the display of dimension lines (Procedure)

Control Dimension Geometry
Up a level to ..
Control Extension Lines
Annotate Drawings > Dimensions and Tolerances > Use Dimension Styles > Control Dimension Geometry > Control Dimension Lines >
Control Dimension Lines
Concept Procedure Quick Reference

To modify the display of dimension lines

  1. Click Home tab [image] Annotation panel [image] Dimension Style. Enter dimstyle at the command prompt.
  2. In the Dimension Style Manager, select the style you want to change. Click Modify.
  3. In the Modify Dimension Style dialog box, Lines tab, change the settings under Dimension Lines as needed.
  4. Click OK.
  5. Click Close to exit the Dimension Style Manager.
Toolbar: Dimension or Styles
Command entry: DIMSTYLE


Control Dimension Lines (Quick Reference)

Compare Dimension Styles and Variables
Control Dimension Lines
Control Extension Lines
Annotate Drawings > Dimensions and Tolerances > Use Dimension Styles > Control Dimension Geometry > Control Dimension Lines >
Control Dimension Lines
Concept Procedure Quick Reference

Commands

DIMSTYLE

Creates and modifies dimension styles

System Variables

DIMCLRD

Assigns colors to dimension lines, arrowheads, and dimension leader lines

DIMDLE

Sets the distance the dimension line extends beyond the extension line when oblique strokes are drawn instead of arrowheads

DIMDLI

Controls the spacing of the dimension lines in baseline dimensions

DIMGAP

Sets the distance around the dimension text when the dimension line breaks to accommodate dimension text

DIMLTYPE

Sets the linetype of the dimension line

DIMLWD

Assigns lineweight to dimension lines

DIMSD1

Controls suppression of the first dimension line and arrowhead

DIMSD2

Controls suppression of the second dimension line and arrowhead

DIMSOXD

Suppresses arrowheads if not enough space is available inside the extension lines

DIMTOFL

Controls whether a dimension line is drawn between the extension lines even when the text is placed outside

Utilities

No entries

Command Modifiers

No entries


Control Extension Lines (Concept)

Control Dimension Lines
Control Dimension Geometry
Control Dimension Arrowheads
Annotate Drawings > Dimensions and Tolerances > Use Dimension Styles > Control Dimension Geometry >
Control Extension Lines
Concept Procedure Quick Reference

You can control extension line properties including color, lineweight, overshoot, and offset length.

You can control several aspects of the extension lines. You can

  • Specify color and lineweight for visual effect and plotting
  • Suppress one or both extension lines if they are unnecessary, or if there is not enough space

  • Specify how far beyond the dimension line that the extension line extends (overshoot)

  • Control the extension origin offset, the distance between the extension line origin, and the start of the extension line

  • Specify a fixed length for extension lines, as measured from the dimension line toward the extension line origin

  • Specify a noncontinuous linetype, typically used for centerlines

  • Modify the angle of the extension lines of a selected dimension to make them oblique

Fixed-Length Extension Lines

With the Dimension Style Manager, on the Lines tab, you can specify a dimension style that sets the total length of extension lines starting from the dimension line toward the dimension origin point.

The extension-line offset distance from the origin will never be less than the value specified by the DIMEXO system variable.

See Also

    • Create Dimensions with Oblique Extension Lines


To modify the display of extension lines (Procedure)

Control Dimension Lines
Up a level to ..
Control Dimension Arrowheads
Annotate Drawings > Dimensions and Tolerances > Use Dimension Styles > Control Dimension Geometry > Control Extension Lines >
Control Extension Lines
Concept Procedure Quick Reference

To modify the display of extension lines

  1. Click Home tab [image] Annotation panel [image] Dimension Style. Enter dimstyle at the command prompt.
  2. In the Dimension Style Manager, select the style you want to change. Click Modify.
  3. In the Modify Dimension Style dialog box, Lines tab, under Extension Lines, change the settings as needed.
  4. Click OK.
  5. Click Close to exit the Dimension Style Manager.
Toolbar: Dimension or Styles
Command entry: DIMSTYLE


Control Extension Lines (Quick Reference)

Control Dimension Lines
Control Extension Lines
Control Dimension Arrowheads
Annotate Drawings > Dimensions and Tolerances > Use Dimension Styles > Control Dimension Geometry > Control Extension Lines >
Control Extension Lines
Concept Procedure Quick Reference

Commands

DIMSTYLE

Creates and modifies dimension styles

System Variables

DIMCLRE

Assigns colors to dimension extension lines

DIMDLE

Sets the distance the dimension line extends beyond the extension line when oblique strokes are drawn instead of arrowheads

DIMEXE

Specifies how far to extend the extension line beyond the dimension line

DIMEXO

Specifies how far extension lines are offset from origin points

DIMFXL

Sets the total length of the extension lines starting from the dimension line toward the dimension origin

DIMFXLON

Controls whether extension lines are set to a fixed length

DIMLTEX1

Sets the linetype of the first extension line

DIMLTEX2

Sets the linetype of the second extension line

DIMLWE

Assigns lineweight to extension lines

DIMSE1

Suppresses display of the first extension line

DIMSE2

Suppresses display of the second extension line

Utilities

No entries

Command Modifiers

No entries


Control Dimension Arrowheads (Concept)

Control Extension Lines
Control Dimension Geometry
Customize Arrowheads
Annotate Drawings > Dimensions and Tolerances > Use Dimension Styles > Control Dimension Geometry >
Control Dimension Arrowheads
Concept Procedure Quick Reference

You can control the arrowhead symbols in dimensions and leaders including their type, size, and visibility.

You can choose from many standard types of arrowheads, or you can create your own arrowheads. Additionally, you can

  • Suppress the display of arrowheads, or use one arrowhead only
  • Apply a different type of arrowhead to each end of a dimension line
  • Control the size of arrowheads
  • Flip the direction of an arrowhead using the dimension shortcut menu
NoteFlipped arrowheads maintain their appearance in versions later than AutoCAD 2002. However, if you edit a drawing with flipped arrowheads in a release earlier than AutoCAD 2006, the arrowhead directions will revert to their original orientations.
See Also

    • Customize Arrowheads


Control Dimension Arrowheads (Procedure)

Control Extension Lines
Up a level to ..
Control Dimension Arrowheads
Annotate Drawings > Dimensions and Tolerances > Use Dimension Styles > Control Dimension Geometry > Control Dimension Arrowheads >
Control Dimension Arrowheads
Concept Procedure Quick Reference

To choose an arrowhead

To flip the direction of an arrowhead


To choose an arrowhead (Procedure)

Control Dimension Arrowheads
Up a level to ..
Control Dimension Arrowheads
Annotate Drawings > Dimensions and Tolerances > Use Dimension Styles > Control Dimension Geometry > Control Dimension Arrowheads >
Control Dimension Arrowheads
Concept Procedure Quick Reference

To choose an arrowhead

  1. Click Home tab [image] Annotation panel [image] Dimension Style. Enter dimstyle at the command prompt.
  2. In the Dimension Style Manager, select the style you want to change. Click Modify.
  3. In the Modify Dimension Style dialog box, Symbols and Arrows tab, under Arrowheads, select the arrowhead type for the first end of the dimension line.

    The second arrowhead is automatically set to the same type.

  4. To set the second end of the dimension line to a different arrowhead type, select an arrowhead type from the Second list.
  5. In the Size box, enter a size for the arrowhead.
  6. Click OK.
  7. Click Close to exit the Dimension Style Manager.
Toolbar: Dimension or Styles
Command entry: DIMSTYLE


To flip the direction of an arrowhead (Procedure)

Control Dimension Arrowheads
Up a level to ..
Customize Arrowheads
Annotate Drawings > Dimensions and Tolerances > Use Dimension Styles > Control Dimension Geometry > Control Dimension Arrowheads >
Control Dimension Arrowheads
Concept Procedure Quick Reference

To flip the direction of an arrowhead

  1. At the command prompt, select a single dimension object near the arrowhead that you want to flip.
  2. Right-click. Click Flip Arrow.


Control Dimension Arrowheads (Quick Reference)

Control Extension Lines
Control Dimension Arrowheads
Customize Arrowheads
Annotate Drawings > Dimensions and Tolerances > Use Dimension Styles > Control Dimension Geometry > Control Dimension Arrowheads >
Control Dimension Arrowheads
Concept Procedure Quick Reference

Commands

DIMSTYLE

Creates and modifies dimension styles

System Variables

DIMCLRD

Assigns colors to dimension lines, arrowheads, and dimension leader lines

DIMDLE

Sets the distance the dimension line extends beyond the extension line when oblique strokes are drawn instead of arrowheads

DIMSD1

Controls suppression of the first dimension line and arrowhead

DIMSD2

Controls suppression of the second dimension line and arrowhead

Utilities

No entries

Command Modifiers

No entries


Customize Arrowheads (Concept)

Control Dimension Arrowheads
Control Dimension Geometry
Control Dimension Text
Annotate Drawings > Dimensions and Tolerances > Use Dimension Styles > Control Dimension Geometry >
Customize Arrowheads
Concept Procedure Quick Reference

You can create your own custom arrowheads.

Arrowheads are stored as block definitions. To use your own arrowhead, provide the name of an existing block definition. For information about creating blocks, see Create Blocks Within a Drawing.

NoteAnnotative blocks cannot be used as custom arrowheads for dimensions or leaders.

Arrowhead sizing relies on the overall dimension scale factor. When you create a dimension, the block is inserted where the arrowheads would normally go. The object's X and Y scale factors are set to arrowhead size overall scale. The dimension line is trimmed by text gap x overall scale units at each end. To trim the dimension line, the rightmost block is inserted with a zero rotation angle for horizontal dimensioning. The leftmost block is rotated 180 degrees about its insertion point.

If you use paper-space scaling, the scale factor is computed before applying it to the arrowhead size value.


To use your own arrowhead symbol (Procedure)

Control Dimension Arrowheads
Up a level to ..
Control Dimension Text
Annotate Drawings > Dimensions and Tolerances > Use Dimension Styles > Control Dimension Geometry > Customize Arrowheads >
Customize Arrowheads
Concept Procedure Quick Reference

To use your own arrowhead symbol

  1. Click Home tab [image] Annotation panel [image] Dimension Style. Enter dimstyle at the command prompt.
  2. In the Dimension Style Manager, select the style you want to change. Click Modify.
  3. In the Dimension Style Manager, Symbols and Arrows tab, under Arrowheads, select User Arrow from the First arrowhead list.
  4. In the Select Custom Arrow Block dialog box, enter the name of your block. Click OK.
  5. To choose a different custom arrowhead for the second arrowhead, repeat steps 3 and 4, choosing User Arrow from the Second arrowhead list (optional).
  6. Click OK.
  7. Click Close to exit the Dimension Style Manager.
Toolbar: Dimension or Styles
Command entry: DIMSTYLE


Customize Arrowheads (Quick Reference)

Control Dimension Arrowheads
Customize Arrowheads
Fit Dimension Text Within Extension Lines
Annotate Drawings > Dimensions and Tolerances > Use Dimension Styles > Control Dimension Geometry > Customize Arrowheads >
Customize Arrowheads
Concept Procedure Quick Reference

Commands

BLOCK

Creates a block definition from selected objects

DIMSTYLE

Creates and modifies dimension styles

WBLOCK

Writes objects or a block to a new drawing file

System Variables

DIMASZ

Controls the size of dimension line and leader line arrowheads

DIMBLK

Sets the arrowhead block displayed at the ends of dimension lines or leader lines

DIMBLK1

Sets the arrowhead for the first end of the dimension line when DIMSAH is on

DIMBLK2

Sets the arrowhead for the second end of the dimension line when DIMSAH is on

DIMCLRD

Assigns colors to dimension lines, arrowheads, and dimension leader lines

DIMDLE

Sets the distance the dimension line extends beyond the extension line when oblique strokes are drawn instead of arrowheads

DIMSAH

Controls the display of dimension line arrowhead blocks

DIMTSZ

Specifies the size of oblique strokes drawn instead of arrowheads for linear, radius, and diameter dimensioning

Utilities

No entries

Command Modifiers

No entries


Control Dimension Text

Customize Arrowheads
Use Dimension Styles
Fit Dimension Text Within Extension Lines
Annotate Drawings > Dimensions and Tolerances > Use Dimension Styles >
Control Dimension Text
Concept Procedure

You can control the placement of dimension text, arrowheads, and leader lines relative to the dimension and extension lines.

Topics in this section

  • Fit Dimension Text Within Extension Lines

    Dimension text and arrowheads usually appear between the extension lines when there is enough space. You can specify how these elements are placed when space is limited.

  • Control the Location of Dimension Text

    You can locate dimension text manually and specify its alignment and orientation.

  • Control the Appearance of Dimension Text

    You can include prefixes, suffixes, and user-supplied text in dimensions. You can also control the text style and formatting used in dimension text.


Control Dimension Text (Procedure)

Customize Arrowheads
Up a level to ..
Fit Dimension Text Within Extension Lines
Annotate Drawings > Dimensions and Tolerances > Use Dimension Styles > Control Dimension Text >
Control Dimension Text
Concept Procedure

To place text within extension lines

To force an internal line and choose a fit option

To align text with the dimension line

To place text at the second extension line

To place dimension text manually

To place text above the dimension line

To control the text style in dimensions


Fit Dimension Text Within Extension Lines (Concept)

Control Dimension Text
Control Dimension Text
Control the Location of Dimension Text
Annotate Drawings > Dimensions and Tolerances > Use Dimension Styles > Control Dimension Text >
Fit Dimension Text Within Extension Lines
Concept Procedure Quick Reference

Dimension text and arrowheads usually appear between the extension lines when there is enough space. You can specify how these elements are placed when space is limited.

Many factors, such as the size of extension line spacing and arrowhead size, influence how dimension text and arrowheads fit within the extension lines. In general, the best fit, given the available space, is applied. If possible, both text and arrowheads are accommodated between the extension lines, no matter what fit option you choose.

When creating new dimensions, you can choose to place text by entering a coordinate or using the pointing device; this is known as user-defined text placement. Alternatively, the program can compute the text position for you. The options for automatic fitting of text and arrowheads are listed in the Dimension Style Manager, Fit tab. For example, you can specify that text and arrowheads be kept together. In this case, if there is not room for both between the extension lines, they are both placed outside. You can specify that if there is room for only text or arrowheads, then either text only or arrowheads only are placed between the extension lines.

The following illustrations show how the program applies a "best fit" for arrowheads and text.

If there is no room for text between the extension lines, you can have a leader line created automatically. This is useful in cases where text outside the extension lines would interfere with other geometry, for example, in continued dimensions. Whether text is drawn to the right or the left of the leader is controlled by the horizontal justification setting on the Text tab of the Modify/New Dimension Style dialog box. Also, you can fit text and arrowheads by changing their size.

Even if the arrowheads are outside the extension lines, you can have a line drawn between the extension lines. This is called forcing an internal line and is illustrated as follows.

Fit Diameter Dimension Text

You can draw several different diameter dimensions depending on text placement, horizontal settings on the Text tab, and whether you select the Draw Dim Line Between Ext Lines option on the Fit tab.


Fit Dimension Text Within Extension Lines (Procedure)

Control Dimension Text
Up a level to ..
Fit Dimension Text Within Extension Lines
Annotate Drawings > Dimensions and Tolerances > Use Dimension Styles > Control Dimension Text > Fit Dimension Text Within Extension Lines >
Fit Dimension Text Within Extension Lines
Concept Procedure Quick Reference

To place text within extension lines

To force an internal line and choose a fit option


To place text within extension lines (Procedure)

Fit Dimension Text Within Extension Lines
Up a level to ..
Fit Dimension Text Within Extension Lines
Annotate Drawings > Dimensions and Tolerances > Use Dimension Styles > Control Dimension Text > Fit Dimension Text Within Extension Lines >
Fit Dimension Text Within Extension Lines
Concept Procedure Quick Reference

To place text within extension lines

  1. Click Home tab [image] Annotation panel [image] Dimension Style. Enter dimstyle at the command prompt.
  2. In the Dimension Style Manager, select the style you want to change. Click Modify.
  3. In the Modify Dimension Style dialog box, Fit tab, under Fit Options, select an option.
  4. Click OK.
  5. Click Close to exit the Dimension Style Manager.

    If there is enough room, text is fit between extension lines.

Toolbar: Dimension or Styles
Command entry: DIMSTYLE


To force an internal line and choose a fit option (Procedure)

Fit Dimension Text Within Extension Lines
Up a level to ..
Control the Location of Dimension Text
Annotate Drawings > Dimensions and Tolerances > Use Dimension Styles > Control Dimension Text > Fit Dimension Text Within Extension Lines >
Fit Dimension Text Within Extension Lines
Concept Procedure Quick Reference

To force an internal line and choose a fit option

  1. Click Home tab [image] Annotation panel [image] Dimension Style. Enter dimstyle at the command prompt.
  2. In the Dimension Style Manager, select the style you want to change. Click Modify.
  3. In the Modify Dimension Style dialog box, Fit tab, Under Fine Tuning, select Always Draw Dim Line Between Ext Lines.
  4. Under Fit Options, select an option.
  5. Click OK.
  6. Click Close to exit the Dimension Style Manager.
Toolbar: Dimension or Styles
Command entry: DIMSTYLE


Fit Dimension Text Within Extension Lines (Quick Reference)

Customize Arrowheads
Fit Dimension Text Within Extension Lines
Control the Location of Dimension Text
Annotate Drawings > Dimensions and Tolerances > Use Dimension Styles > Control Dimension Text > Fit Dimension Text Within Extension Lines >
Fit Dimension Text Within Extension Lines
Concept Procedure Quick Reference

Commands

DIMSTYLE

Creates and modifies dimension styles

System Variables

DIMATFIT

Determines how dimension text and arrows are arranged when space is not sufficient to place both within the extension lines

DIMJUST

Controls the horizontal positioning of dimension text

DIMLWD

Assigns lineweight to dimension lines

DIMTAD

Controls the vertical position of text in relation to the dimension line

DIMTIH

Controls the position of dimension text inside the extension lines for all dimension types except Ordinate

DIMTIX

Draws text between extension lines

DIMTOFL

Controls whether a dimension line is drawn between the extension lines even when the text is placed outside

DIMTOH

Controls the position of dimension text outside the extension lines

DIMTVP

Controls the vertical position of dimension text above or below the dimension line

DIMUPT

Controls options for user-positioned text

Utilities

No entries

Command Modifiers

No entries


Control the Location of Dimension Text (Concept)

Fit Dimension Text Within Extension Lines
Control Dimension Text
Control the Appearance of Dimension Text
Annotate Drawings > Dimensions and Tolerances > Use Dimension Styles > Control Dimension Text >
Control the Location of Dimension Text
Concept Procedure Quick Reference

You can locate dimension text manually and specify its alignment and orientation.

The program comes with several justification settings that facilitate compliance with international standards, or you can choose your own location for the text.

Many of the settings are interdependent. Example images in the Dimension Style Manager are updated dynamically to illustrate how text appears as you change the settings.

Align Dimension Text

Whether text is inside or outside the extension lines, you can choose whether it is aligned with the dimension line or remains horizontal. The following examples show two combinations of these options.

The default alignment is horizontal dimension text, even for vertical dimensions.

Position Dimension Text Horizontally

The position of the text along the dimension line in relation to the extension lines is referred to as text placement. To place text yourself when you create a dimension, use the Place Text Manually When Dimensioning option on the Fit tab of the Modify/New Dimension Style dialog box. Use the text placement options to automatically place text at the center of the dimension line, at either extension line, or over either extension line.

First and second extension lines are defined by the order in which you specified the extension line origins when you created the dimension. For angular dimensions, the second extension line is counterclockwise from the first. In the following illustrations, 1 is the first extension line origin and 2 the second.

If you place text manually, you can place the dimension text anywhere along the dimension line, inside or outside the extension lines, as you create the dimension. This option provides flexibility and is especially useful when space is limited. However, the horizontal alignment options provide better accuracy and consistency between dimensions.

Position Dimension Text Vertically

The position of the text relative to the dimension line is referred to as vertical text placement. Text can be placed above or below or centered within the dimension line. In the ANSI standards, centered text usually splits the dimension line. In the ISO standards, it is usually above or outside the dimension line. For example, ISO standards permit angular dimension text to appear in any of the ways shown.

Other settings, such as Text Alignment, affect the vertical alignment of text. For example, if Horizontal Alignment is selected, text inside the extension lines and centered within the dimension line is horizontal, as shown in the leftmost illustration above. The text is horizontal even if the dimension line is not itself horizontal.


Control the Location of Dimension Text (Procedure)

Fit Dimension Text Within Extension Lines
Up a level to ..
Control the Location of Dimension Text
Annotate Drawings > Dimensions and Tolerances > Use Dimension Styles > Control Dimension Text > Control the Location of Dimension Text >
Control the Location of Dimension Text
Concept Procedure Quick Reference

To align text with the dimension line

To place text at the second extension line

To place dimension text manually

To place text above the dimension line


To align text with the dimension line (Procedure)

Control the Location of Dimension Text
Up a level to ..
Control the Location of Dimension Text
Annotate Drawings > Dimensions and Tolerances > Use Dimension Styles > Control Dimension Text > Control the Location of Dimension Text >
Control the Location of Dimension Text
Concept Procedure Quick Reference

To align text with the dimension line

  1. Click Home tab [image] Annotation panel [image] Dimension Style. Enter dimstyle at the command prompt.
  2. In the Dimension Style Manager, select the style you want to change. Click Modify.
  3. In the Modify Dimension Style dialog box, Text tab, under Text Alignment, select Aligned with Dimension Line.
  4. Click OK.
  5. Click Close to exit the Dimension Style Manager.
Toolbar: Dimension or Styles
Command entry: DIMSTYLE


To place text at the second extension line (Procedure)

Control the Location of Dimension Text
Up a level to ..
Control the Location of Dimension Text
Annotate Drawings > Dimensions and Tolerances > Use Dimension Styles > Control Dimension Text > Control the Location of Dimension Text >
Control the Location of Dimension Text
Concept Procedure Quick Reference

To place text at the second extension line

  1. Click Home tab [image] Annotation panel [image] Dimension Style. Enter dimstyle at the command prompt.
  2. In the Dimension Style Manager, select the style you want to change. Click Modify.
  3. In the Modify Dimension Style dialog box, Text tab, under Text Placement, select Over Ext Line 2 from the Horizontal list box.

    The example area reflects your selection.

  4. Click OK.
  5. Click Close to exit the Dimension Style Manager.
Toolbar: Dimension or Styles
Command entry: DIMSTYLE


To place dimension text manually (Procedure)

Control the Location of Dimension Text
Up a level to ..
Control the Location of Dimension Text
Annotate Drawings > Dimensions and Tolerances > Use Dimension Styles > Control Dimension Text > Control the Location of Dimension Text >
Control the Location of Dimension Text
Concept Procedure Quick Reference

To place dimension text manually

  1. Click Home tab [image] Annotation panel [image] Dimension Style. Enter dimstyle at the command prompt.
  2. In the Dimension Style Manager, select the style you want to change. Click Modify.
  3. In the Modify Dimension Style dialog box, Fit tab, under Fine Tuning, select Place Text Manually When Dimensioning.
  4. Click OK.
  5. Click Close to exit the Dimension Style Manager.

    As you create dimensions, you can move the text along the dimension line. Use the pointing device or enter coordinates to specify the dimension line and text locations.

Toolbar: Dimension or Styles
Command entry: DIMSTYLE


To place text above the dimension line (Procedure)

Control the Location of Dimension Text
Up a level to ..
Control the Appearance of Dimension Text
Annotate Drawings > Dimensions and Tolerances > Use Dimension Styles > Control Dimension Text > Control the Location of Dimension Text >
Control the Location of Dimension Text
Concept Procedure Quick Reference

To place text above the dimension line

  1. Click Home tab [image] Annotation panel [image] Dimension Style. Enter dimstyle at the command prompt.
  2. In the Dimension Style Manager, select the style you want to change. Click Modify.
  3. In the Modify Dimension Style dialog box, Text tab, under Text Placement, select Above from the Vertical list box.

    The example area reflects your selection.

  4. Click OK.
  5. Click Close to exit the Dimension Style Manager.
Toolbar: Dimension or Styles
Command entry: DIMSTYLE


Control the Location of Dimension Text (Quick Reference)

Fit Dimension Text Within Extension Lines
Control the Location of Dimension Text
Control the Appearance of Dimension Text
Annotate Drawings > Dimensions and Tolerances > Use Dimension Styles > Control Dimension Text > Control the Location of Dimension Text >
Control the Location of Dimension Text
Concept Procedure Quick Reference

Commands

DIMSTYLE

Creates and modifies dimension styles

DIMTEDIT

Moves and rotates dimension text and relocates the dimension line

System Variables

DIMJUST

Controls the horizontal positioning of dimension text

DIMTAD

Controls the vertical position of text in relation to the dimension line

DIMTIH

Controls the position of dimension text inside the extension lines for all dimension types except Ordinate

DIMTOH

Controls the position of dimension text outside the extension lines

DIMTVP

Controls the vertical position of dimension text above or below the dimension line

DIMUPT

Controls options for user-positioned text

Utilities

No entries

Command Modifiers

No entries


Control the Appearance of Dimension Text (Concept)

Control the Location of Dimension Text
Control Dimension Text
Control Dimension Values
Annotate Drawings > Dimensions and Tolerances > Use Dimension Styles > Control Dimension Text >
Control the Appearance of Dimension Text
Concept Procedure Quick Reference

You can include prefixes, suffixes, and user-supplied text in dimensions. You can also control the text style and formatting used in dimension text.

The program supports a mixture of user-supplied text, prefixes and suffixes supplied by the dimension style, and generated measurements. For example, you could add a diameter symbol as a prefix to a measurement or add the abbreviation for a unit, such as mm, as a suffix. Text in this context refers to all dimension text, prefixes and suffixes, primary and alternate units, and lateral tolerances. Geometric tolerances are controlled independently.

Dimension text is treated as a single string of text, which you create and format using your text editor.

Control the Text Style in Dimensions

The appearance of dimension text is governed by the text style selected in the Dimension Style Manager, Text tab. You can choose a text style while creating a dimension style and specify a text color and a height independent of the current text style's height setting. You can also specify the gap between base dimension text and the box that surrounds it.

The text styles used for dimensions are the same text styles used by all text created in your drawing.

For more information, see Work with Text Styles.

Supply User Text to Dimensions

In addition to the prefixes and suffixes specified for primary and alternate units, you can supply your own text as you create a dimension. Because the prefix, suffix, and user-supplied text form a single text string, you can represent tolerance stacks and apply changes to font, text size, and other characteristics using the text editor.

To add user text above and below the dimension line, use the separator symbol \X. Text that precedes this symbol is aligned with and above the dimension line. Text that follows the \X symbol is aligned with and below the dimension line. The space between the dimension line and the text is determined by the value you enter under Gap in the Annotation dialog box.

Example: User Text in Dimensions

In this example, the primary dimension measurement is 5.08, and the alternate dimension measurement is 2.00. The primary units have the suffix H7/h6, and the alternate units have the suffix inches.

At the text prompt, while creating the dimension, you enter the following format string:

<> H7/h6\XSee Note 26\P[ ]

The angle brackets represent the primary units, and the square brackets represent the alternate units. The \X separates text above the dimension line from text below the dimension line. The \P is a paragraph break.

The resulting text appears as follows:


To control the text style in dimensions (Procedure)

Control the Location of Dimension Text
Up a level to ..
Control Dimension Values
Annotate Drawings > Dimensions and Tolerances > Use Dimension Styles > Control Dimension Text > Control the Appearance of Dimension Text >
Control the Appearance of Dimension Text
Concept Procedure Quick Reference

To control the text style in dimensions

  1. Click Home tab [image] Annotation panel [image] Dimension Style. Enter dimstyle at the command prompt.
  2. In the Dimension Style Manager, select the style you want to change. Click Modify.
  3. In the Modify Dimension Style dialog box, Text tab, under Text Appearance, select a text style.
  4. If the current text style does not have a fixed height, enter the height of dimension text in the Text Height box.
  5. Under Tolerances, enter a height for tolerance values in the Scaling for Height box.
  6. In the Offset from Dim Line box, enter a value for the gap around base dimension text.
  7. Select a color from the Text Color box.
  8. Click OK
  9. Click Close to exit the Dimension Style Manager.
Toolbar: Dimension or Styles
Command entry: DIMSTYLE


Control the Appearance of Dimension Text (Quick Reference)

Control the Location of Dimension Text
Control the Appearance of Dimension Text
Control the Display of Dimension Units
Annotate Drawings > Dimensions and Tolerances > Use Dimension Styles > Control Dimension Text > Control the Appearance of Dimension Text >
Control the Appearance of Dimension Text
Concept Procedure Quick Reference

Commands

DIMSTYLE

Creates and modifies dimension styles

System Variables

DIMCLRT

Assigns colors to dimension text. The color can be any valid color number

DIMFRAC

Sets the fraction format when DIMLUNIT is set to 4 (Architectural) or 5 (Fractional)

DIMGAP

Sets the distance around the dimension text when the dimension line breaks to accommodate dimension text

DIMTFAC

Specifies a scale factor for the text height of fractions and tolerance values relative to the dimension text height, as set by DIMTXT

DIMTFILL

Controls the background of dimension text

DIMTFILLCLR

Sets the color for the text background in dimensions

DIMTXSTY

Specifies the text style of the dimension

DIMTXT

Specifies the height of dimension text, unless the current text style has a fixed height

Utilities

No entries

Command Modifiers

No entries


Control Dimension Values

Control the Appearance of Dimension Text
Use Dimension Styles
Control the Display of Dimension Units
Annotate Drawings > Dimensions and Tolerances > Use Dimension Styles >
Control Dimension Values
Concept Procedure

The numeric values displayed in dimensions can appear in several formats. You can also control how numeric distances are represented.

Topics in this section

  • Control the Display of Dimension Units

    The numeric values of dimensions can be displayed as a single measurement or in two measurement systems. In either case, you can control details of how the numeric values are presented.

  • Round Off Dimension Values

    You can round off the numeric values in dimensions and lateral tolerances.

  • Suppress Zeros in Dimensions

    You can suppress leading and trailing zeros in the numeric portion of dimension text.

  • Display Lateral Tolerances

    Lateral tolerances are values indicating the amount a measured distance can vary. You can control whether lateral tolerances are displayed and you can choose from several styles of lateral tolerances.


Control Dimension Values (Procedure)

Control the Appearance of Dimension Text
Up a level to ..
Control the Display of Dimension Units
Annotate Drawings > Dimensions and Tolerances > Use Dimension Styles > Control Dimension Values >
Control Dimension Values
Concept Procedure

To add and format primary units

To add and format alternate units

To round off dimension values

To suppress zeros in dimension values

To specify methods for lateral tolerances

To align and suppress zeros in tolerance values


Control the Display of Dimension Units (Concept)

Control Dimension Values
Control Dimension Values
Round Off Dimension Values
Annotate Drawings > Dimensions and Tolerances > Use Dimension Styles > Control Dimension Values >
Control the Display of Dimension Units
Concept Procedure Quick Reference

The numeric values of dimensions can be displayed as a single measurement or in two measurement systems. In either case, you can control details of how the numeric values are presented.

The settings for primary units control the display of the dimension values, including the unit format, the numeric precision, and the decimal separator style. For example, you can enter the diameter symbol as a prefix, as shown in the illustration. Any prefix you specify replaces the prefixes normally used for diameter and radius dimensions (Diameter (unicode 2205 and R, respectively).

These settings are available on the Primary Units tab of the Dimension Style Manager.

Control the Display of Alternate Units

You can create dimensions in two systems of measurement simultaneously. A common use of this feature is to add feet and inches dimensions to drawings created using metric units. The alternate units appear in square brackets ([ ]) in the dimension text. Alternate units cannot be applied to angular dimensions.

If alternate-units dimensioning is on when you edit a linear dimension, the measurement is multiplied by an alternate scale value that you specify. This value represents the number of alternate units per current unit of measurement. The default value for imperial units is 25.4, which is the number of millimeters per inch. The default value for metric units is about 0.0394, which is the number of inches per millimeter. The number of decimal places is specified by the precision value for alternate units.

For example, for imperial units, if the alternate scale setting is the default value, 25.4, and the alternate precision is 0.00, the dimension might look like the following figure.


Control the Display of Dimension Units (Procedure)

Control Dimension Values
Up a level to ..
Control the Display of Dimension Units
Annotate Drawings > Dimensions and Tolerances > Use Dimension Styles > Control Dimension Values > Control the Display of Dimension Units >
Control the Display of Dimension Units
Concept Procedure Quick Reference

To add and format primary units

To add and format alternate units


To add and format primary units (Procedure)

Control the Display of Dimension Units
Up a level to ..
Control the Display of Dimension Units
Annotate Drawings > Dimensions and Tolerances > Use Dimension Styles > Control Dimension Values > Control the Display of Dimension Units >
Control the Display of Dimension Units
Concept Procedure Quick Reference

To add and format primary units

  1. Click Home tab [image] Annotation panel [image] Dimension Style. Enter dimstyle at the command prompt.
  2. In the Dimension Style Manager, select the style you want to change. Click Modify.
  3. In the Modify Dimension Style dialog box, Primary Units tab, under Linear or Angular Dimensions, select a unit format and precision value for the primary units.
  4. Under Linear Dimensions, enter any prefix and suffix for the displayed dimension.
  5. Click OK.
  6. Click Close to exit the Dimension Style Manager.
Toolbar: Dimension or Styles
Command entry: DIMSTYLE


To add and format alternate units (Procedure)

Control the Display of Dimension Units
Up a level to ..
Round Off Dimension Values
Annotate Drawings > Dimensions and Tolerances > Use Dimension Styles > Control Dimension Values > Control the Display of Dimension Units >
Control the Display of Dimension Units
Concept Procedure Quick Reference

To add and format alternate units

  1. Click Home tab [image] Annotation panel [image] Dimension Style. Enter dimstyle at the command prompt.
  2. In the Dimension Style Manager, select the style you want to change. Click Modify.
  3. In the Modify Dimension Style dialog box, Alternate Units tab, select Display Alternate Units.
  4. Under Alternate Units
    • Select a unit format from the list.
    • Select a precision value for the alternate units.
    • Enter any prefix and suffix for the displayed dimension, including a space character if you want a gap between the dimension and the prefix or suffix.
  5. Click OK.
  6. Click Close to exit the Dimension Style Manager.
Toolbar: Dimension or Styles
Command entry: DIMSTYLE


Control the Display of Dimension Units (Quick Reference)

Control the Appearance of Dimension Text
Control the Display of Dimension Units
Round Off Dimension Values
Annotate Drawings > Dimensions and Tolerances > Use Dimension Styles > Control Dimension Values > Control the Display of Dimension Units >
Control the Display of Dimension Units
Concept Procedure Quick Reference

Commands

DIMSTYLE

Creates and modifies dimension styles

System Variables

DIMALT

Controls the display of alternate units in dimensions

DIMALTD

Controls the number of decimal places in alternate units

DIMALTF

Controls the multiplier for alternate units

DIMALTTD

Sets the number of decimal places for the tolerance values in the alternate units of a dimension

DIMALTU

Sets the units format for alternate units of all dimension substyles except Angular

DIMALTZ

Controls the suppression of zeros for alternate unit dimension values

DIMAPOST

Specifies a text prefix or suffix (or both) to the alternate dimension measurement for all types of dimensions except angular

DIMAUNIT

Sets the units format for angular dimensions

DIMDEC

Sets the number of decimal places displayed for the primary units of a dimension

DIMDSEP

Specifies a single-character decimal separator to use when creating dimensions whose unit format is decimal

DIMLFAC

Sets a scale factor for linear dimension measurements

DIMLUNIT

Sets units for all dimension types except Angular

DIMPOST

Specifies a text prefix or suffix (or both) to the dimension measurement

DIMTDEC

Sets the number of decimal places to display in tolerance values for the primary units in a dimension

Utilities

No entries

Command Modifiers

No entries


Round Off Dimension Values (Concept)

Control the Display of Dimension Units
Control Dimension Values
Suppress Zeros in Dimensions
Annotate Drawings > Dimensions and Tolerances > Use Dimension Styles > Control Dimension Values >
Round Off Dimension Values
Concept Procedure Quick Reference

You can round off the numeric values in dimensions and lateral tolerances.

You can round off all dimension values except those for angular dimensions. For example, if you specify a round-off value of 0.25, all distances are rounded to the nearest 0.25 unit. The number of digits displayed after the decimal point depends on the precision set for primary and alternate units and lateral tolerance values.


To round off dimension values (Procedure)

Control the Display of Dimension Units
Up a level to ..
Suppress Zeros in Dimensions
Annotate Drawings > Dimensions and Tolerances > Use Dimension Styles > Control Dimension Values > Round Off Dimension Values >
Round Off Dimension Values
Concept Procedure Quick Reference

To round off dimension values

  1. Click Home tab [image] Annotation panel [image] Dimension Style. Enter dimstyle at the command prompt.
  2. In the Dimension Style Manager, select the style you want to change. Click Modify.
  3. In Modify Dimension Style dialog box, Primary Units tab, under Linear Dimensions, enter the round-off value.
  4. Click OK.
  5. Click Close to exit the Dimension Style Manager.
Toolbar: Dimension or Styles
Command entry: DIMSTYLE


Round Off Dimension Values (Quick Reference)

Control the Display of Dimension Units
Round Off Dimension Values
Suppress Zeros in Dimensions
Annotate Drawings > Dimensions and Tolerances > Use Dimension Styles > Control Dimension Values > Round Off Dimension Values >
Round Off Dimension Values
Concept Procedure Quick Reference

Commands

DIMSTYLE

Creates and modifies dimension styles

System Variables

DIMRND

Rounds all dimensioning distances to the specified value

Utilities

No entries

Command Modifiers

No entries


Suppress Zeros in Dimensions (Concept)

Round Off Dimension Values
Control Dimension Values
Display Lateral Tolerances
Annotate Drawings > Dimensions and Tolerances > Use Dimension Styles > Control Dimension Values >
Suppress Zeros in Dimensions
Concept Procedure Quick Reference

You can suppress leading and trailing zeros in the numeric portion of dimension text.

If you suppress leading zeros in decimal dimensions, 0.500 becomes .500. If you suppress trailing zeros, 0.500 becomes 0.5. You can suppress both leading and trailing zeros so that 0.5000 becomes .5 and 0.0000 becomes 0.

The table shows the effect of selecting each option and provides examples of the architectural units style. If feet are included with a fractional inch, the number of inches is indicated as zero, no matter which option you select. Thus, the dimension 4'-3/4" becomes 4'-0 3/4".

Zero suppression for feet and inches
Option | Effect | Examples
No options selected | Includes zero feet and zero inches | 0'-0 1/2" | 0'-6" | 1'-0" | 1'-0 3/4"
0 Inches selected | Suppresses zero inches (includes zero feet) | 0'-0 1/2" | 0'-6" | 1' | 1'-0 3/4"
0 Feet selected | Suppresses zero feet (includes zero inches) | 1/2" | 6" | 1'-0" | 1'-0 3/4"
0 Feet and 0 Inches selected | Suppresses zero feet and zero inches | 1/2" | 6" | 1' | 1'-0 3/4"


To suppress zeros in dimension values (Procedure)

Round Off Dimension Values
Up a level to ..
Display Lateral Tolerances
Annotate Drawings > Dimensions and Tolerances > Use Dimension Styles > Control Dimension Values > Suppress Zeros in Dimensions >
Suppress Zeros in Dimensions
Concept Procedure Quick Reference

To suppress zeros in dimension values

  1. Click Home tab [image] Annotation panel [image] Dimension Style. Enter dimstyle at the command prompt.
  2. In the Dimension Style Manager, select the style you want to change. Click Modify.
  3. In the Modify Dimension Style dialog box, Primary Units tab or Alternate Units tab, under Zero Suppression, select from the following:
    • Leading. Suppresses leading zeros in decimal values.
    • Trailing. Suppresses trailing zeros in decimal values.
    • 0 Feet. Suppresses display of 0 feet in feet and inches values.
    • 0 Inches. Suppresses display of 0 inches in feet and inches values.
  4. Click OK.
  5. Click Close to exit the Dimension Style Manager.
Toolbar: Dimension or Styles
Command entry: DIMSTYLE


Suppress Zeros in Dimensions (Quick Reference)

Round Off Dimension Values
Suppress Zeros in Dimensions
Display Lateral Tolerances
Annotate Drawings > Dimensions and Tolerances > Use Dimension Styles > Control Dimension Values > Suppress Zeros in Dimensions >
Suppress Zeros in Dimensions
Concept Procedure Quick Reference

Commands

DIMSTYLE

Creates and modifies dimension styles

System Variables

DIMALTTZ

Controls suppression of zeros in tolerance values

DIMALTZ

Controls the suppression of zeros for alternate unit dimension values

DIMAZIN

Suppresses zeros for angular dimensions

DIMTZIN

Controls the suppression of zeros in tolerance values

DIMZIN

Controls the suppression of zeros in the primary unit value

Utilities

No entries

Command Modifiers

No entries


Display Lateral Tolerances (Concept)

Suppress Zeros in Dimensions
Control Dimension Values
Set the Scale for Dimensions
Annotate Drawings > Dimensions and Tolerances > Use Dimension Styles > Control Dimension Values >
Display Lateral Tolerances
Concept Procedure Quick Reference

Lateral tolerances are values indicating the amount a measured distance can vary. You can control whether lateral tolerances are displayed and you can choose from several styles of lateral tolerances.

A lateral tolerance specifies the amount by which a dimension can vary. By specifying tolerances in manufacturing, you can control the degree of accuracy needed for a feature. A feature is some aspect of a part, such as a point, line, axis, or surface.

You can apply tolerances directly to a dimension by appending the tolerances to the dimension text. These dimension tolerances indicate the largest and smallest permissible size of the dimension. You can also apply geometric tolerances, which indicate deviations of form, profile, orientation, location, and runout.

Lateral tolerances can be specified from theoretically exact measurements. These are called basic dimensions and have a box drawn around them.

If the dimension value can vary in both directions, the plus and minus values you supply are appended to the dimension value as deviation tolerances. If the deviation tolerance values are equal, they are displayed with a ± sign and they are known as symmetrical. Otherwise, the plus value goes above the minus value.

If the tolerances are applied as limits, the program uses the plus and minus values you supply to calculate a maximum and minimum value. These values replace the dimension value. If you specify limits, the upper limit goes above the lower.

Format Lateral Tolerances

You can control the vertical placement of tolerance values relative to the main dimension text. Tolerances can align with the top, middle, or bottom of the dimension text.

Along with vertical placement of tolerance values, you can also control the horizontal alignment of the upper and lower tolerance values.The upper and lower tolerance values can be aligned using either the operational symbols or decimal separators.

You can also control zero suppression as you can with the primary and alternate units. Suppressing zeros in lateral tolerances has the same effect as suppressing them in the primary and alternate units. If you suppress leading zeros, 0.5 becomes .5, and if you suppress trailing zeros, 0.5000 becomes 0.5.

See Also

    • Add Geometric Tolerances


Display Lateral Tolerances (Procedure)

Suppress Zeros in Dimensions
Up a level to ..
Display Lateral Tolerances
Annotate Drawings > Dimensions and Tolerances > Use Dimension Styles > Control Dimension Values > Display Lateral Tolerances >
Display Lateral Tolerances
Concept Procedure Quick Reference

To specify methods for lateral tolerances

To align and suppress zeros in tolerance values


To specify methods for lateral tolerances (Procedure)

Display Lateral Tolerances
Up a level to ..
Display Lateral Tolerances
Annotate Drawings > Dimensions and Tolerances > Use Dimension Styles > Control Dimension Values > Display Lateral Tolerances >
Display Lateral Tolerances
Concept Procedure Quick Reference

To specify methods for lateral tolerances

  1. Click Home tab [image] Annotation panel [image] Dimension Style. Enter dimstyle at the command prompt.
  2. In the Dimension Style Manager, select the style you want to change. Click Modify.
  3. In the Modify Dimension Style dialog box, Tolerances tab, under Tolerance Format, select a method from the Method list, and then do one of the following:
    • If you select Limits, enter upper and lower tolerance deviation in the Upper Value and Lower Value boxes.
    • If you select Symmetrical tolerances, Lower Value is not available, because you need only one tolerance value.
    • If you select Basic, enter a value in Offset from Dim Line (on the Text tab) to represent the gap between the text and its enclosing box.
  4. Click OK.
  5. Click Close to exit the Dimension Style Manager.
Toolbar: Dimension or Styles
Command entry: DIMSTYLE


To align and suppress zeros in tolerance values (Procedure)

Display Lateral Tolerances
Up a level to ..
Set the Scale for Dimensions
Annotate Drawings > Dimensions and Tolerances > Use Dimension Styles > Control Dimension Values > Display Lateral Tolerances >
Display Lateral Tolerances
Concept Procedure Quick Reference

To align and suppress zeros in tolerance values

  1. Click Home tab [image] Annotation panel [image] Dimension Style. Enter dimstyle at the command prompt.
  2. In the Dimension Style Manager, select the style you want to change. Click Modify.
  3. In the Modify Dimension Style dialog box, Tolerances tab, under Tolerance Format, select the alignment from the Vertical Position list.
  4. To suppress zeros in primary or alternate units, under Zero Suppression, select Leading to suppress leading zeros. Select Trailing to suppress trailing zeros.
  5. Click OK.
  6. Click Close to exit the Dimension Style Manager.
Toolbar: Dimension or Styles
Command entry: DIMSTYLE


Display Lateral Tolerances (Quick Reference)

Suppress Zeros in Dimensions
Display Lateral Tolerances
Set the Scale for Dimensions
Annotate Drawings > Dimensions and Tolerances > Use Dimension Styles > Control Dimension Values > Display Lateral Tolerances >
Display Lateral Tolerances
Concept Procedure Quick Reference

Commands

DIMSTYLE

Creates and modifies dimension styles

System Variables

DIMALTTD

Sets the number of decimal places for the tolerance values in the alternate units of a dimension

DIMALTTZ

Controls suppression of zeros in tolerance values

DIMGAP

Sets the distance around the dimension text when the dimension line breaks to accommodate dimension text

DIMLIM

Generates dimension limits as the default text

DIMTDEC

Sets the number of decimal places to display in tolerance values for the primary units in a dimension

DIMTFAC

Specifies a scale factor for the text height of fractions and tolerance values relative to the dimension text height, as set by DIMTXT

DIMTM

Sets the minimum (or lower) tolerance limit for dimension text when DIMTOL or DIMLIM is on

DIMTOL

Appends tolerances to dimension text

DIMTP

Sets the maximum (or upper) tolerance limit for dimension text when DIMTOL or DIMLIM is on

DIMTZIN

Controls the suppression of zeros in tolerance values

Utilities

No entries

Command Modifiers

No entries


Set the Scale for Dimensions (Concept)

Display Lateral Tolerances
Dimensions and Tolerances
Create Dimensions
Annotate Drawings > Dimensions and Tolerances >
Set the Scale for Dimensions
Concept Procedure Quick Reference

You can specify the size of dimensions in your drawing. How you set dimension size depends on the method you use to lay out and plot drawings.

Dimension scale affects the size of the dimension geometry relative to the objects in the drawing. Dimension scale affects sizes, such as text height and arrowhead size, and offsets, such as the extension line origin offset. You should set these sizes and offsets to values that represent their actual plotted size. Dimension scale does not apply the overall scale factor to tolerances or measured lengths, coordinates, or angles.

NoteYou can use annotative scaling to control the overall scale of dimensions displayed in layout viewports. When you create annotative dimensions, they are scaled based on the current annotation scale setting and automatically displayed at the correct size.

Setting dimension scale depends on how you lay out your drawing. There are three methods used to create dimensions in a drawing layout:

  • Dimension in model space for plotting in model space. This is the traditional method used with single-view drawings. To create dimensions that are scaled correctly for plotting, set the DIMSCALE system variable to the inverse of the intended plot scale. For example, if the plot scale is 1/4, set DIMSCALE to 4.
  • Dimension in model space for plotting in paper space. This was the preferred method for complex, multiple-view drawings prior to AutoCAD 2002. Use this method when the dimensions in a drawing need to be referenced by other drawings (xrefs) or when creating isometric dimensions in 3D isometric views. To prevent the dimensions in one layout viewport from being displayed in other layout viewports, create a dimensioning layer for each layout viewport that is frozen in all other layout viewports. To create dimensions that are scaled automatically for display in a paper space layout, set the DIMSCALE system variable to 0.
  • Dimension in layouts. This is the simplest dimensioning method. Dimensions are created in paper space by selecting model space objects or by specifying object snap locations on model space objects. By default, associativity between paper space dimensions and model space objects is maintained. No additional scaling is required for dimensions created in a paper space layout: DIMLFAC and DIMSCALE do not need to be changed from their default value of 1.0000.
NoteWhen you dimension model space objects in paper space using associative dimensions, dimension values for the display scale of each viewport are automatically adjusted. This adjustment is combined with the current setting for DIMLFAC and is reported by the LIST command as a dimension style override. For nonassociative dimensions, you must set DIMLFAC manually.
See Also

    • Draw, Scale, and Annotate in Model Space

    • Scale Views in Layout Viewports

    • Scale Annotations


Set the Scale for Dimensions (Procedure)

Display Lateral Tolerances
Set the Scale for Dimensions
Set the Scale for Dimensions
Annotate Drawings > Dimensions and Tolerances > Set the Scale for Dimensions >
Set the Scale for Dimensions
Concept Procedure Quick Reference

To set the overall dimension scale

To set the dimension scale for model space dimensions in layouts

To set dimension scale for creating dimensions in a layout


To set the overall dimension scale (Procedure)

Set the Scale for Dimensions
Set the Scale for Dimensions
Set the Scale for Dimensions
Annotate Drawings > Dimensions and Tolerances > Set the Scale for Dimensions >
Set the Scale for Dimensions
Concept Procedure Quick Reference

To set the overall dimension scale

  1. Click Home tab [image] Annotation panel [image] Dimension Style. Enter dimstyle at the command prompt.
  2. In the Dimension Style Manager, select the style you want to change. Click Modify.
  3. In Modify Dimension Style dialog box, Fit tab, under Scale for Dimension Features, enter a value for the overall scale.
  4. Click OK.
  5. Click Close to exit the Dimension Style Manager.
Toolbar: Dimension or Styles
Command entry: DIMSTYLE


To set the dimension scale for model space dimensions in layouts (Procedure)

Set the Scale for Dimensions
Set the Scale for Dimensions
Set the Scale for Dimensions
Annotate Drawings > Dimensions and Tolerances > Set the Scale for Dimensions >
Set the Scale for Dimensions
Concept Procedure Quick Reference

To set the dimension scale for model space dimensions in layouts

  1. Click Home tab [image] Annotation panel [image] Dimension Style. Enter dimstyle at the command prompt.
  2. In the Dimension Style Manager, select the style you want to change. Click Modify.
  3. In Modify Dimension Style dialog box, Fit tab, under Scale for Dimension Features, select Scale Dimension to Layout (Paper space).
  4. Click OK.
  5. Click Close to exit the Dimension Style Manager.
Toolbar: Dimension or Styles
Command entry: DIMSTYLE


To set dimension scale for creating dimensions in a layout (Procedure)

Set the Scale for Dimensions
Set the Scale for Dimensions
Create Dimensions
Annotate Drawings > Dimensions and Tolerances > Set the Scale for Dimensions >
Set the Scale for Dimensions
Concept Procedure Quick Reference

To set dimension scale for creating dimensions in a layout

  1. Click a layout tab to switch to paper space.
  2. To create dimensions in paper space with the correct model space dimension values, use object snap modes to snap to points in model space from paper space or select the objects directly.

    The DIMLFAC system variable can be changed if you need to convert the linear dimension values between the imperial and metric measurement systems.


Set the Scale for Dimensions (Quick Reference)

Display Lateral Tolerances
Set the Scale for Dimensions
Overview of Creating Linear Dimensions
Annotate Drawings > Dimensions and Tolerances > Set the Scale for Dimensions >
Set the Scale for Dimensions
Concept Procedure Quick Reference

Commands

DIMREGEN

Updates the locations of all associative dimensions

DIMSTYLE

Creates and modifies dimension styles

System Variables

DIMASSOC

Controls the associativity of dimension objects and whether dimensions are exploded

DIMLFAC

Sets a scale factor for linear dimension measurements

DIMSCALE

Sets the overall scale factor applied to dimensioning variables that specify sizes, distances, or offsets

Utilities

No entries

Command Modifiers

No entries


Create Dimensions

Set the Scale for Dimensions
Dimensions and Tolerances
Create Linear Dimensions
Annotate Drawings > Dimensions and Tolerances >
Create Dimensions
Concept Procedure

You can create all of the standard types of dimensions.

Topics in this section

  • Create Linear Dimensions

    You can create linear dimensions with horizontal, vertical, and aligned dimension lines. These linear dimensions can also be stacked, or they can be created end to end.

  • Create Radial Dimensions

    Radial dimensions measure the radii and diameters of arcs and circles with optional centerlines or a center mark.

  • Create Angular Dimensions
  • Create Ordinate Dimensions
  • Create Arc Length Dimensions

    Arc length dimensions measure the distance along an arc or polyline arc segment.


Create Dimensions (Procedure)

Set the Scale for Dimensions
Create Dimensions
Create Linear Dimensions
Annotate Drawings > Dimensions and Tolerances > Create Dimensions >
Create Dimensions
Concept Procedure

To create a diameter dimension

To create a radius dimension

To create a jogged radius dimension

To create centerlines automatically with radial dimensions

To create centerlines or center marks on an arc or circle

To change the display arc extension line for radial or diametric dimensions

To create an angular dimension

To create ordinate dimensions

To create an arc length dimension


Create Linear Dimensions

Create Dimensions
Create Dimensions
Overview of Creating Linear Dimensions
Annotate Drawings > Dimensions and Tolerances > Create Dimensions >
Create Linear Dimensions
Concept Procedure

You can create linear dimensions with horizontal, vertical, and aligned dimension lines. These linear dimensions can also be stacked, or they can be created end to end.

Topics in this section

  • Overview of Creating Linear Dimensions
  • Create Horizontal and Vertical Dimensions

    You can create dimensions using only the horizontal or vertical components of the locations or objects that you specify.

  • Create Aligned Dimensions

    You can create dimensions that are parallel to the locations or objects that you specify.

  • Create Baseline and Continued Dimensions

    Baseline dimensions are multiple dimensions measured from the same baseline. Continued dimensions are multiple dimensions placed end to end.

  • Create Rotated Dimensions
  • Create Dimensions with Oblique Extension Lines

    You can create dimensions with extension lines that are not perpendicular to their dimension lines.


Create Linear Dimensions (Procedure)

Create Dimensions
Up a level to ..
Create Horizontal and Vertical Dimensions
Annotate Drawings > Dimensions and Tolerances > Create Dimensions > Create Linear Dimensions >
Create Linear Dimensions
Concept Procedure

To create a horizontal or vertical dimension

To create an aligned dimension

To create a baseline linear dimension

To create a continued linear dimension

To create a rotated dimension

To make extension lines oblique


Overview of Creating Linear Dimensions (Concept)

Create Linear Dimensions
Create Linear Dimensions
Create Horizontal and Vertical Dimensions
Annotate Drawings > Dimensions and Tolerances > Create Dimensions > Create Linear Dimensions >
Overview of Creating Linear Dimensions
Concept Quick Reference

Linear dimensions can be horizontal, vertical, or aligned. With aligned dimensions, the dimension line is parallel to the line (imaginary or real) between the extension line origins. Baseline (or parallel) and continued (or chain) dimensions are series of consecutive dimensions that are based on a linear dimension.

In all four illustrations, the extension line origins are designated explicitly at 1 and 2, respectively. The dimension line location is specified at 3.

As you create linear dimensions, you can modify the content of the text, the angle of the text, or the angle of the dimension line.


Overview of Creating Linear Dimensions (Quick Reference)

Set the Scale for Dimensions
Overview of Creating Linear Dimensions
Create Horizontal and Vertical Dimensions
Annotate Drawings > Dimensions and Tolerances > Create Dimensions > Create Linear Dimensions > Overview of Creating Linear Dimensions >
Overview of Creating Linear Dimensions
Concept Quick Reference

Commands

DIMALIGNED

Creates an aligned linear dimension

DIMBASELINE

Creates a linear, angular, or ordinate dimension from the baseline of the previous or selected dimension

DIMCONTINUE

Creates a linear, angular, or ordinate dimension that starts from the second extension line of the previous or selected dimension

DIMEDIT

Edits dimension text and extension lines

DIMLINEAR

Creates a linear dimension

DIMSTYLE

Creates and modifies dimension styles

QDIM

Quickly creates a series of dimensions from selected objects

System Variables

DIMDLI

Controls the spacing of the dimension lines in baseline dimensions

Utilities

No entries

Command Modifiers

No entries


Create Horizontal and Vertical Dimensions (Concept)

Overview of Creating Linear Dimensions
Create Linear Dimensions
Create Aligned Dimensions
Annotate Drawings > Dimensions and Tolerances > Create Dimensions > Create Linear Dimensions >
Create Horizontal and Vertical Dimensions
Concept Procedure Quick Reference

You can create dimensions using only the horizontal or vertical components of the locations or objects that you specify.

The program automatically applies a horizontal or vertical dimension according to the extension line origins that you specify or the location where you select an object; however, you can override this as you create the dimension by specifying that a dimension be horizontal or vertical. For example, in the following illustration, a horizontal dimension is drawn by default unless you specify a vertical one.


To create a horizontal or vertical dimension (Procedure)

Create Linear Dimensions
Up a level to ..
Create Aligned Dimensions
Annotate Drawings > Dimensions and Tolerances > Create Dimensions > Create Linear Dimensions > Create Horizontal and Vertical Dimensions >
Create Horizontal and Vertical Dimensions
Concept Procedure Quick Reference

To create a horizontal or vertical dimension

  1. Click Home tab [image] Annotation panel [image] Linear. At the command prompt, enter dimlinear.
  2. Press ENTER to select the object to dimension, or specify the first and second extension line origins.
  3. Before specifying the dimension line location, you can override the dimension direction and edit the text, the text angle, or the dimension line angle:
    • To rotate the extension lines, enter r (Rotated). Then enter the dimension line angle.
    • To edit the text, enter m (multiline text). In the In-place Text Editor, revise the text. Click OK.

      Editing within or overwriting the brackets (<>) changes or removes the dimension value calculated by the program. Adding text before or after the brackets appends text before or after the dimension value.

    • To rotate the text, enter a (Angle). Then enter the text angle.
  4. Specify the dimension line location.
Toolbar: Dimension
Command entry: DIMLINEAR


Create Horizontal and Vertical Dimensions (Quick Reference)

Overview of Creating Linear Dimensions
Create Horizontal and Vertical Dimensions
Create Aligned Dimensions
Annotate Drawings > Dimensions and Tolerances > Create Dimensions > Create Linear Dimensions > Create Horizontal and Vertical Dimensions >
Create Horizontal and Vertical Dimensions
Concept Procedure Quick Reference

Commands

DIMLINEAR

Creates a linear dimension

System Variables

DIMEXO

Specifies how far extension lines are offset from origin points

Utilities

No entries

Command Modifiers

No entries


Create Aligned Dimensions (Concept)

Create Horizontal and Vertical Dimensions
Create Linear Dimensions
Create Baseline and Continued Dimensions
Annotate Drawings > Dimensions and Tolerances > Create Dimensions > Create Linear Dimensions >
Create Aligned Dimensions
Concept Procedure Quick Reference

You can create dimensions that are parallel to the locations or objects that you specify.

In aligned dimensions, the dimension line is parallel to the extension line origins. The illustration shows two examples of aligned dimensioning. The object is selected (1), and the location of the aligned dimension is specified (2). The extension lines are drawn automatically.


To create an aligned dimension (Procedure)

Create Horizontal and Vertical Dimensions
Up a level to ..
Create Baseline and Continued Dimensions
Annotate Drawings > Dimensions and Tolerances > Create Dimensions > Create Linear Dimensions > Create Aligned Dimensions >
Create Aligned Dimensions
Concept Procedure Quick Reference

To create an aligned dimension

  1. Click Home tab [image] Annotation panel [image] Aligned. At the command prompt, enter dimaligned.
  2. Press ENTER to select the object to dimension, or specify the first and second extension line origins.
  3. Before specifying the dimension line location, you can edit the text or change the text angle. Editing within or overwriting the brackets (<>) changes or removes the dimension value calculated by the program. Adding text before or after the brackets appends text before or after the dimension value.
    • To edit the text using multiline text, enter m (multiline text). In the In-place Text Editor, revise the text. Click OK.
    • To edit the text using single-line text, enter t (Text). Revise the text at the command prompt and press ENTER.
    • To rotate the text, enter a (Angle). Then enter the text angle.
  4. Specify the dimension line location.
Toolbar: Dimension
Command entry: DIMALIGNED


Create Aligned Dimensions (Quick Reference)

Create Horizontal and Vertical Dimensions
Create Aligned Dimensions
Create Baseline and Continued Dimensions
Annotate Drawings > Dimensions and Tolerances > Create Dimensions > Create Linear Dimensions > Create Aligned Dimensions >
Create Aligned Dimensions
Concept Procedure Quick Reference

Commands

DIMALIGNED

Creates an aligned linear dimension

DIMSTYLE

Creates and modifies dimension styles

System Variables

DIMEXO

Specifies how far extension lines are offset from origin points

Utilities

No entries

Command Modifiers

No entries


Create Baseline and Continued Dimensions (Concept)

Create Aligned Dimensions
Create Linear Dimensions
Create Rotated Dimensions
Annotate Drawings > Dimensions and Tolerances > Create Dimensions > Create Linear Dimensions >
Create Baseline and Continued Dimensions
Concept Procedure Quick Reference

Baseline dimensions are multiple dimensions measured from the same baseline. Continued dimensions are multiple dimensions placed end to end.

You must create a linear, aligned, or angular dimension before you create baseline or continued dimensions. You create baseline dimensions incrementally from the most recently created dimension in the current session.

Both baseline and continued dimensions are measured from the previous extension line unless you specify another point as the point of origin.


Create Baseline and Continued Dimensions (Procedure)

Create Aligned Dimensions
Up a level to ..
Create Baseline and Continued Dimensions
Annotate Drawings > Dimensions and Tolerances > Create Dimensions > Create Linear Dimensions > Create Baseline and Continued Dimensions >
Create Baseline and Continued Dimensions
Concept Procedure Quick Reference

To create a baseline linear dimension

To create a continued linear dimension


To create a baseline linear dimension (Procedure)

Create Baseline and Continued Dimensions
Up a level to ..
Create Baseline and Continued Dimensions
Annotate Drawings > Dimensions and Tolerances > Create Dimensions > Create Linear Dimensions > Create Baseline and Continued Dimensions >
Create Baseline and Continued Dimensions
Concept Procedure Quick Reference

To create a baseline linear dimension

  1. Click Annotate tab [image] Dimensions panel [image] Baseline. At the command prompt, enter dimbaseline.

    By default, the origin of the last linear dimension created is used as the first extension line for the new baseline dimension. You are prompted for the second dimension line.

  2. Use an object snap to select the second extension line origin, or press ENTER to select any dimension as the base dimension.

    The program automatically places the second dimension line at the distance specified by the Baseline Spacing option in the Dimension Style Manager, Lines tab.

  3. Use an object snap to specify the next extension line origin.
  4. Continue to select extension line origins as required.
  5. Press ENTER twice to end the command.
Toolbar: Dimension
Command entry: DIMBASELINE


To create a continued linear dimension (Procedure)

Create Baseline and Continued Dimensions
Up a level to ..
Create Rotated Dimensions
Annotate Drawings > Dimensions and Tolerances > Create Dimensions > Create Linear Dimensions > Create Baseline and Continued Dimensions >
Create Baseline and Continued Dimensions
Concept Procedure Quick Reference

To create a continued linear dimension

  1. Click Annotate tab [image] Dimensions panel [image] Continue. At the command prompt, enter dimcontinue.

    The program uses the origin of the second extension line of the existing dimension as the first extension line origin.

  2. Use object snaps to specify additional extension line origins.
  3. Press ENTER twice to end the command.
Toolbar: Dimension
Command entry: DIMCONTINUE


Create Baseline and Continued Dimensions (Quick Reference)

Create Aligned Dimensions
Create Baseline and Continued Dimensions
Create Rotated Dimensions
Annotate Drawings > Dimensions and Tolerances > Create Dimensions > Create Linear Dimensions > Create Baseline and Continued Dimensions >
Create Baseline and Continued Dimensions
Concept Procedure Quick Reference

Commands

DIMBASELINE

Creates a linear, angular, or ordinate dimension from the baseline of the previous or selected dimension

DIMCONTINUE

Creates a linear, angular, or ordinate dimension that starts from the second extension line of the previous or selected dimension

DIMSTYLE

Creates and modifies dimension styles

System Variables

DIMDLI

Controls the spacing of the dimension lines in baseline dimensions

Utilities

No entries

Command Modifiers

No entries


Create Rotated Dimensions (Concept)

Create Baseline and Continued Dimensions
Create Linear Dimensions
Create Dimensions with Oblique Extension Lines
Annotate Drawings > Dimensions and Tolerances > Create Dimensions > Create Linear Dimensions >
Create Rotated Dimensions
Concept Procedure Quick Reference

In rotated dimensions, the dimension line is placed at an angle to the extension line origins. The illustration shows an example of a rotated dimension. In the example, the angle specified for dimension rotation is equal to the angle of the slot.


To create a rotated dimension (Procedure)

Create Baseline and Continued Dimensions
Up a level to ..
Create Dimensions with Oblique Extension Lines
Annotate Drawings > Dimensions and Tolerances > Create Dimensions > Create Linear Dimensions > Create Rotated Dimensions >
Create Rotated Dimensions
Concept Procedure Quick Reference

To create a rotated dimension

  1. Click Home tab [image] Annotation panel [image] Linear. At the command prompt, enter dimlinear.
  2. Press ENTER to select the object to dimension or specify the first and second extension line origins.
  3. To rotate the dimension line, enter r (Rotated). Then enter the dimension line angle.
  4. Specify the dimension line location.
Toolbar: Dimension
Command entry: DIMLINEAR


Create Rotated Dimensions (Quick Reference)

Create Baseline and Continued Dimensions
Create Rotated Dimensions
Create Dimensions with Oblique Extension Lines
Annotate Drawings > Dimensions and Tolerances > Create Dimensions > Create Linear Dimensions > Create Rotated Dimensions >
Create Rotated Dimensions
Concept Procedure Quick Reference

Commands

DIMALIGNED

Creates an aligned linear dimension

DIMLINEAR

Creates a linear dimension

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Create Dimensions with Oblique Extension Lines (Concept)

Create Rotated Dimensions
Create Linear Dimensions
Create Radial Dimensions
Annotate Drawings > Dimensions and Tolerances > Create Dimensions > Create Linear Dimensions >
Create Dimensions with Oblique Extension Lines
Concept Procedure Quick Reference

You can create dimensions with extension lines that are not perpendicular to their dimension lines.

Extension lines are created perpendicular to the dimension line. However, if the extension lines conflict with other objects in a drawing, you can change their angle after the dimension has been drawn.

New dimensions are not affected when you make an existing dimension oblique.


To make extension lines oblique (Procedure)

Create Rotated Dimensions
Up a level to ..
Create Radial Dimensions
Annotate Drawings > Dimensions and Tolerances > Create Dimensions > Create Linear Dimensions > Create Dimensions with Oblique Extension Lines >
Create Dimensions with Oblique Extension Lines
Concept Procedure Quick Reference

To make extension lines oblique

  1. Click Dimension menu [image] Oblique.At the command prompt, enter dimedit.
  2. Select the dimension.
  3. Enter a value for the angle of obliqueness, or specify two points.
Toolbar: Dimension
Command entry: DIMEDIT


Create Dimensions with Oblique Extension Lines (Quick Reference)

Create Rotated Dimensions
Create Dimensions with Oblique Extension Lines
Create Radial Dimensions
Annotate Drawings > Dimensions and Tolerances > Create Dimensions > Create Linear Dimensions > Create Dimensions with Oblique Extension Lines >
Create Dimensions with Oblique Extension Lines
Concept Procedure Quick Reference

Commands

DIMEDIT

Edits dimension text and extension lines

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Create Radial Dimensions (Concept)

Create Dimensions with Oblique Extension Lines
Create Dimensions
Create Angular Dimensions
Annotate Drawings > Dimensions and Tolerances > Create Dimensions >
Create Radial Dimensions
Concept Procedure Quick Reference

Radial dimensions measure the radii and diameters of arcs and circles with optional centerlines or a center mark.

There are two types of radial dimensions:

  • DIMRADIUS measures the radius of an arc or circle, and displays the dimension text with the letter R in front of it.

  • DIMDIAMETER measures the diameter of an arc or circle, and displays the dimension text with the diameter symbol in front of it.

For horizontal dimension text, if the angle of the radial dimension line is greater than 15 degrees from horizontal, a hook line, also called a dogleg or landing, one arrowhead long, is created next to the dimension text.

Control Extension Lines

When an arc is dimensioned, the radial or diametric dimension does not have to be positioned along the arc directly. If a dimension is positioned past the end of an arc, either an extension line will be drawn that follows the path of the arc being dimensioned or no extension line will be drawn. When the extension line is suppressed (off), the dimension line of the radial or diametric dimension is drawn through the center point of the arc instead of to the extension line.

The DIMSE1 system variable controls whether or not a radial or diametric dimension will be drawn with an extension line when it is positioned off the end of an arc. When the display of the arc extension line is not suppressed, a gap between the arc and arc extension line is made. The size of the gap drawn is controlled with the DIMEXO system variable.

Control Centerlines and Center Marks

Depending on your dimension style settings, center marks and lines generate automatically for diameter and radius dimensions. They are created only if the dimension line is placed outside the circle or arc. You can create centerlines and center marks directly with the DIMCENTER command.

You can control the size and visibility of centerlines and center marks on the Modify Dimension Style dialog box, Symbols and Arrows tab, under Center Marks. You can also access this setting with the DIMCEN system variable.

The size of the centerline is the length of the centerline segment that extends outside the circle or arc. It is also the size of the gap between the center mark and the start of the centerline. The size of the center mark is the distance from the center of the circle or arc to the end of the center mark.

Create Jogged Radius Dimensions

With the DIMJOGGED command, you can create jogged radius dimensions, also called “foreshortened radius dimensions,” when the center of an arc or circle is located off the layout and cannot be displayed in its true location. The origin point of the dimension can be specified at a more convenient location called the center location override.

You can control the default angle of the jog in the Modify Dimension Style dialog box, Symbols and Arrows tab, under Radius Dimension Jog.

Once a jogged radius dimension is created, you can modify the jog and the center location override by

  • Using grips to move the features
  • Changing the locations of the features with the Properties palette
  • Using STRETCH
NoteJogged radius dimensions can be viewed but not edited in versions previous to AutoCAD 2006. Also, if you make dramatic changes to the associated geometry, you may get unpredictable results for the jogged radius dimension.
See Also

    • Fit Dimension Text Within Extension Lines


Create Radial Dimensions (Procedure)

Create Dimensions with Oblique Extension Lines
Up a level to ..
Create Radial Dimensions
Annotate Drawings > Dimensions and Tolerances > Create Dimensions > Create Radial Dimensions >
Create Radial Dimensions
Concept Procedure Quick Reference

To create a diameter dimension

To create a radius dimension

To create a jogged radius dimension

To create centerlines automatically with radial dimensions

To create centerlines or center marks on an arc or circle

To change the display arc extension line for radial or diametric dimensions


To create a diameter dimension (Procedure)

Create Radial Dimensions
Up a level to ..
Create Radial Dimensions
Annotate Drawings > Dimensions and Tolerances > Create Dimensions > Create Radial Dimensions >
Create Radial Dimensions
Concept Procedure Quick Reference

To create a diameter dimension

  1. Click Home tab [image] Annotation panel [image] Diameter. At the command prompt, enter dimdiameter.
  2. Select the arc or circle to dimension.
  3. Enter options as needed:
    • To edit the dimension text content, enter t (Text) or m (multiline text). Editing within or overwriting the brackets (<>) changes or removes the dimension value. Adding text before or after the brackets appends text before or after the dimension value.
    • To change the dimension text angle, enter a (Angle).
  4. Specify the leader line location.
Toolbar: Dimension
Command entry: DIMDIAMETER


To create a radius dimension (Procedure)

Create Radial Dimensions
Up a level to ..
Create Radial Dimensions
Annotate Drawings > Dimensions and Tolerances > Create Dimensions > Create Radial Dimensions >
Create Radial Dimensions
Concept Procedure Quick Reference

To create a radius dimension

  1. Click Home tab [image] Annotation panel [image] Radius. At the command prompt, enter dimradius.
  2. Select an arc, circle, or polyline arc segment.
  3. Enter options as needed:
    • To edit the dimension text content, enter t (Text) or m (multiline text). Editing within or overwriting the brackets (<>) changes or removes the dimension value. Adding text before or after the brackets appends text before or after the dimension value.
    • To edit the dimension text angle, enter a (Angle).
  4. Specify the leader line location.
Toolbar: Dimension
Command entry: DIMRADIUS


To create a jogged radius dimension (Procedure)

Create Radial Dimensions
Up a level to ..
Create Radial Dimensions
Annotate Drawings > Dimensions and Tolerances > Create Dimensions > Create Radial Dimensions >
Create Radial Dimensions
Concept Procedure Quick Reference

To create a jogged radius dimension

  1. Click Dimension menu [image] Jogged. At the command prompt, enter dimjogged.
  2. Select an arc, circle, or polyline arc segment.
  3. Specify a point for the dimension origin (the center location override).
  4. Specify a point for the dimension line angle and the dimension text location.
  5. Specify another point for the location of the dimension jog.
Toolbar: Dimension
Command entry: DIMJOGGED


To create centerlines automatically with radial dimensions (Procedure)

Create Radial Dimensions
Up a level to ..
Create Radial Dimensions
Annotate Drawings > Dimensions and Tolerances > Create Dimensions > Create Radial Dimensions >
Create Radial Dimensions
Concept Procedure Quick Reference

To create centerlines automatically with radial dimensions

  1. Click Home tab [image] Annotation panel [image] Dimension Style. Enter dimstyle at the command prompt.
  2. In the Dimension Style Manager, select the style you want to change. Click Modify.
  3. In the Modify Dimension Style dialog box, Symbols and Arrows tab, under Center Marks, click Line.
  4. In the Size box, enter the length of the centerline overshoot. Click OK.
  5. Click Close to exit the Dimension Style Manager.

The example area in the dialog box displays the results of your changes.

Toolbar: Dimension or Styles
Command entry: DIMSTYLE


To create centerlines or center marks on an arc or circle (Procedure)

Create Radial Dimensions
Up a level to ..
Create Radial Dimensions
Annotate Drawings > Dimensions and Tolerances > Create Dimensions > Create Radial Dimensions >
Create Radial Dimensions
Concept Procedure Quick Reference

To create centerlines or center marks on an arc or circle

  1. Click Home tab [image] Annotation panel [image] Dimension Style. Enter dimstyle at the command prompt.
  2. In the Dimension Style Manager, select the style you want to change. Click Modify.
  3. In the Modify Dimension Style dialog box, Symbols and Arrows tab, under Center Marks, click Line.
  4. In the Size box, enter the length of the centerline overshoot. Click OK.
  5. Click Close to exit the Dimension Style Manager.
  6. Click Annotate tab [image] Dimensions panel [image] Center Mark. At the command prompt, enter dimcenter.
  7. Select an arc or a circle.
Toolbar: Dimension
Command entry: DIMCENTER


To change the display arc extension line for radial or diametric dimensions (Procedure)

Create Radial Dimensions
Up a level to ..
Create Angular Dimensions
Annotate Drawings > Dimensions and Tolerances > Create Dimensions > Create Radial Dimensions >
Create Radial Dimensions
Concept Procedure Quick Reference

To change the display arc extension line for radial or diametric dimensions

  1. Select the radial or diametric dimension for which you want to suppress the arc extension line.
  2. Right-click in the drawing. Click Properties.
  3. In the Properties palette, Lines & Arrows category, click Ext Line.
  4. Click the arrow next to Ext Line, and select On or Off from the list.
    • Select On to display the arc extension line.
    • Select Off to suppress the display of the arc extension line.
  5. Press ESC to deselect the selected dimension.
Toolbar: Standard and Standard Annotation
Command entry: PROPERTIES


Create Radial Dimensions (Quick Reference)

Create Dimensions with Oblique Extension Lines
Create Radial Dimensions
Create Angular Dimensions
Annotate Drawings > Dimensions and Tolerances > Create Dimensions > Create Radial Dimensions >
Create Radial Dimensions
Concept Procedure Quick Reference

Commands

DIMCENTER

Creates the center mark or the centerlines of circles and arcs

DIMDIAMETER

Creates a diameter dimension for a circle or an arc

DIMJOGGED

Creates jogged dimensions for circles and arcs

DIMRADIUS

Creates a radius dimension for a circle or an arc

DIMSTYLE

Stores the name of the current dimension style

QDIM

Quickly creates a series of dimensions from selected objects

System Variables

DIMATFIT

Determines how dimension text and arrows are arranged when space is not sufficient to place both within the extension lines

DIMCEN

Controls drawing of circle or arc center marks and centerlines by the DIMCENTER, DIMDIAMETER, and DIMRADIUS commands

DIMEXO

Specifies how far extension lines are offset from origin points

DIMJOGANG

Determines the angle of the transverse segment of the dimension line in a jogged radius dimension

DIMJUST

Controls the horizontal positioning of dimension text

DIMSE1

Suppresses display of the first extension line

DIMTAD

Controls the vertical position of text in relation to the dimension line

DIMTIH

Controls the position of dimension text inside the extension lines for all dimension types except Ordinate

DIMTMOVE

Sets dimension text movement rules

DIMTOFL

Controls whether a dimension line is drawn between the extension lines even when the text is placed outside

DIMTOH

Controls the position of dimension text outside the extension lines

DIMUPT

Controls options for user-positioned text

Utilities

No entries

Command Modifiers

No entries


Create Angular Dimensions (Concept)

Create Radial Dimensions
Create Dimensions
Create Ordinate Dimensions
Annotate Drawings > Dimensions and Tolerances > Create Dimensions >
Create Angular Dimensions
Concept Procedure Quick Reference

Angular dimensions measure the angle between two lines or three points. To measure the angle between two radii of a circle, you select the circle and specify the angle endpoints. With other objects, you select the objects and then specify the dimension location. You can also dimension an angle by specifying the angle vertex and endpoints. As you create the dimension, you can modify the text content and alignment before specifying the dimension line location.

NoteYou can create baseline and continued angular dimensions relative to existing angular dimensions. Baseline and continued angular dimensions are limited to 180 degrees or less. To obtain baseline and continued angular dimensions larger than 180 degrees, use grip editing to stretch the location of the extension line of an existing baseline or continued dimension.

Dimension Lines

If you use two straight, nonparallel lines to specify an angle, the dimension line arc spans the angle between the two lines. If the dimension line arc does not meet one or both of the lines being dimensioned, The program draws one or two extension lines to intersect the dimension line arc. The arc is always less than 180 degrees.

Dimension Circles and Arcs

If you use an arc or a circle or three points to specify an angle, the program draws the dimension line arc between the extension lines. The extension lines are drawn from the angle endpoints to the intersection of the dimension line arc.

The location that you specify for the dimension line arc determines the quadrant of the dimensioned angle.

Dimension to a Quadrant

Angular dimensions can measure a specific quadrant that is formed when dimensioning the angle between of the endpoints of a line or arc, center point of a circle, or two vertices. As an angular dimension is being created, there are four possible angles that can be measured. By specifying a quadrant it allows you to ensure that the correct angle is dimensioned. When placing an angular dimension after a quadrant has been specified, you can place the dimension text outside of the extension lines of the dimension. The dimension line is automatically extended.


To create an angular dimension (Procedure)

Create Radial Dimensions
Up a level to ..
Create Ordinate Dimensions
Annotate Drawings > Dimensions and Tolerances > Create Dimensions > Create Angular Dimensions >
Create Angular Dimensions
Concept Procedure Quick Reference

To create an angular dimension

  1. Click Home tab [image] Annotation panel [image] Angular. At the command prompt, enter dimangular.
  2. Use one of the following methods:
    • To dimension a circle, select the circle at the first endpoint of the angle and then specify the second endpoint of the angle.
    • To dimension any other object, select the first line, and then select the second line.
  3. Enter options as needed:
    • To edit the dimension text content, enter t (Text) or m (multiline text). Editing within or overwriting the brackets (<>) changes or removes the calculated dimension value. Adding text before or after the brackets appends text before or after the dimension value.
    • To edit the dimension text angle, enter a (Angle).
    • To confine the dimension to a quadrant, enter q (Quadrant) and specify the quadrant to measure.
  4. Specify the dimension line arc location.
Toolbar: Dimension
Command entry: DIMANGULAR


Create Angular Dimensions (Quick Reference)

Create Radial Dimensions
Create Angular Dimensions
Create Ordinate Dimensions
Annotate Drawings > Dimensions and Tolerances > Create Dimensions > Create Angular Dimensions >
Create Angular Dimensions
Concept Procedure Quick Reference

Commands

DIMANGULAR

Creates an angular dimension

DIMBASELINE

Creates a linear, angular, or ordinate dimension from the baseline of the previous or selected dimension

DIMCONTINUE

Creates a linear, angular, or ordinate dimension that starts from the second extension line of the previous or selected dimension

System Variables

DIMADEC

Controls the number of precision places displayed in angular dimensions

DIMAUNIT

Sets the units format for angular dimensions

DIMDEC

Sets the number of decimal places displayed for the primary units of a dimension

Utilities

No entries

Command Modifiers

No entries


Create Ordinate Dimensions (Concept)

Create Angular Dimensions
Create Dimensions
Create Arc Length Dimensions
Annotate Drawings > Dimensions and Tolerances > Create Dimensions >
Create Ordinate Dimensions
Concept Procedure Quick Reference

Ordinate dimensions measure the perpendicular distance from an origin point called the datum to a feature, such as a hole in a part. These dimensions prevent escalating errors by maintaining accurate offsets of the features from the datum.

Ordinate dimensions consist of an X or Y value with a leader line. X-datum ordinate dimensions measure the distance of a feature from the datum along the X axis. Y-datum ordinate dimensions measure the distance along the Y axis.

Locate the Datum

The location and orientation of the current UCS determines the ordinate values. Before creating ordinate dimensions, you typically set the UCS origin to coincide with the datum.

Locate the Leader

After you specify the feature location, you are prompted for the leader endpoint. By default, the leader endpoint that you specify automatically determines whether an X- or a Y-datum ordinate dimension is created. For example, you can create an X-datum ordinate dimension by specifying a location for the leader endpoint that is closer to vertical than horizontal.

After creating an ordinate dimension, you can easily relocate the dimension leader and text using grip editing. The dimension text is always aligned with the ordinate leader line.


To create ordinate dimensions (Procedure)

Create Angular Dimensions
Up a level to ..
Create Arc Length Dimensions
Annotate Drawings > Dimensions and Tolerances > Create Dimensions > Create Ordinate Dimensions >
Create Ordinate Dimensions
Concept Procedure Quick Reference

To create ordinate dimensions

  1. Click Home tab [image] Annotation panel [image] Ordinate. At the command prompt, enter dimordinate.
  2. If straight ordinate leaders are required, turn Ortho mode on.
  3. At the Select Feature Location prompt, specify a point location.
  4. Enter x (X Datum) or y (Y Datum).

    You can skip this step by making sure that the ordinate leader endpoint is close to vertical for an X datum or close to horizontal for a Y datum.

  5. Specify the ordinate leader endpoint.
Toolbar: Dimension
Command entry: DIMORDINATE


Create Ordinate Dimensions (Quick Reference)

Create Angular Dimensions
Create Ordinate Dimensions
Create Arc Length Dimensions
Annotate Drawings > Dimensions and Tolerances > Create Dimensions > Create Ordinate Dimensions >
Create Ordinate Dimensions
Concept Procedure Quick Reference

Commands

DIMORDINATE

Creates ordinate dimensions

QDIM

Quickly creates a series of dimensions from selected objects

UCS

Manages user coordinate systems

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Create Arc Length Dimensions (Concept)

Create Ordinate Dimensions
Create Dimensions
Modify Existing Dimensions
Annotate Drawings > Dimensions and Tolerances > Create Dimensions >
Create Arc Length Dimensions
Concept Procedure Quick Reference

Arc length dimensions measure the distance along an arc or polyline arc segment.

Typical uses of arc length dimensions include measuring the travel distance around a cam or indicating the length of a cable. To differentiate them from linear or angular dimensions, arc length dimensions display an arc symbol by default.

The arc symbol, also called a hat or cap, is displayed either above the dimension text or preceding the dimension text. You can specify the placement style using the Dimension Style Manager. The placement style can be changed on the Symbols and Arrows tab of either the New Dimension Style dialog box or the Modify Dimension Style dialog box.

The extension lines of an arc length dimension can be orthogonal or radial.

NoteOrthogonal extension lines are displayed only when the included angle of the arc is less than 90 degrees.


To create an arc length dimension (Procedure)

Create Ordinate Dimensions
Up a level to ..
Modify Existing Dimensions
Annotate Drawings > Dimensions and Tolerances > Create Dimensions > Create Arc Length Dimensions >
Create Arc Length Dimensions
Concept Procedure Quick Reference

To create an arc length dimension

  1. Click Home tab [image] Annotation panel [image] Arc Length. At the command prompt, enter dimarc.
  2. Select an arc or polyline arc segment.
  3. Specify the dimension line location.
Toolbar: Dimension
Command entry: DIMARC


Create Arc Length Dimensions (Quick Reference)

Create Ordinate Dimensions
Create Arc Length Dimensions
Apply a New Dimension Style to Existing Dimensions
Annotate Drawings > Dimensions and Tolerances > Create Dimensions > Create Arc Length Dimensions >
Create Arc Length Dimensions
Concept Procedure Quick Reference

Commands

DIMARC

Creates an arc length dimension

DIMSTYLE

Creates and modifies dimension styles

PROPERTIES

Controls properties of existing objects

System Variables

DIMARCSYM

Controls display of the arc symbol in an arc length dimension

Utilities

No entries

Command Modifiers

No entries


Modify Existing Dimensions

Create Arc Length Dimensions
Dimensions and Tolerances
Apply a New Dimension Style to Existing Dimensions
Annotate Drawings > Dimensions and Tolerances >
Modify Existing Dimensions
Concept Procedure

You can modify all components of the existing dimension objects in a drawing either individually or by using dimension styles.

Topics in this section

  • Apply a New Dimension Style to Existing Dimensions

    You can modify existing dimensions by applying a different dimension style. If you make changes to a dimension style, you can choose whether to update the dimensions associated with that dimension style.

  • Override a Dimension Style

    With dimension style overrides, you can temporarily change a dimensioning system variable without changing the current dimension style.

  • Modify A Dimension

    Dimensions can be modified to include more information than just the values of the dimension. Dimensions can also be modified visually by using breaks and by adjusting the spacing between them.

  • Modify Dimension Text

    Once you've created a dimension, you can change the location and orientation of the existing dimension text or replace it with new text.

  • Modify Dimension Geometry

    Grip editing is the quickest and easiest way to modify the location of dimension elements. How you edit dimensions depends whether the dimension is associative.

  • Change Dimension Associativity

    You may need to change the associativity of dimensions in several circumstances including adding associativity to dimensions created in previous releases.


Modify Existing Dimensions (Procedure)

Create Arc Length Dimensions
Modify Existing Dimensions
Apply a New Dimension Style to Existing Dimensions
Annotate Drawings > Dimensions and Tolerances > Modify Existing Dimensions >
Modify Existing Dimensions
Concept Procedure

To apply the current dimension style to existing dimensions

To restore a dimension style

To set up dimension style overrides

To apply dimension style overrides

To rotate dimension text

To return dimension text to its home position

To replace existing dimension text with new text

To move text to the left side of the dimension line

To set dimension line spacing for baseline and continued dimensions

To change the extension origin offset

To associate or reassociate a dimension

To disassociate a dimension


Apply a New Dimension Style to Existing Dimensions (Concept)

Modify Existing Dimensions
Modify Existing Dimensions
Override a Dimension Style
Annotate Drawings > Dimensions and Tolerances > Modify Existing Dimensions >
Apply a New Dimension Style to Existing Dimensions
Concept Procedure Quick Reference

You can modify existing dimensions by applying a different dimension style. If you make changes to a dimension style, you can choose whether to update the dimensions associated with that dimension style.

When you create a dimension, the current dimension style is associated with that dimension. The dimension retains this dimension style unless you apply a new dimension style to it or set up dimension style overrides.

You can modify existing dimensions by applying a different dimension style. If you make changes to a dimension style, you can choose whether to update the dimensions associated with that dimension style.

You can restore an existing dimension style or apply the current dimension style, including any dimension style overrides, to selected dimensions.


Apply a New Dimension Style to Existing Dimensions (Procedure)

Modify Existing Dimensions
Up a level to ..
Apply a New Dimension Style to Existing Dimensions
Annotate Drawings > Dimensions and Tolerances > Modify Existing Dimensions > Apply a New Dimension Style to Existing Dimensions >
Apply a New Dimension Style to Existing Dimensions
Concept Procedure Quick Reference

To apply the current dimension style to existing dimensions

To restore a dimension style


To apply the current dimension style to existing dimensions (Procedure)

Apply a New Dimension Style to Existing Dimensions
Up a level to ..
Apply a New Dimension Style to Existing Dimensions
Annotate Drawings > Dimensions and Tolerances > Modify Existing Dimensions > Apply a New Dimension Style to Existing Dimensions >
Apply a New Dimension Style to Existing Dimensions
Concept Procedure Quick Reference

To apply the current dimension style to existing dimensions

  1. Click Dimension menu [image] Update.At the command prompt, enter dimstyle.
  2. Select the dimensions to update to the current dimension style.
  3. Press ENTER.
Toolbar: Dimension
Command entry: DIMSTYLE


To restore a dimension style (Procedure)

Apply a New Dimension Style to Existing Dimensions
Up a level to ..
Override a Dimension Style
Annotate Drawings > Dimensions and Tolerances > Modify Existing Dimensions > Apply a New Dimension Style to Existing Dimensions >
Apply a New Dimension Style to Existing Dimensions
Concept Procedure Quick Reference

To restore a dimension style

  1. Click Home tab [image] Annotation panel [image] Dimension Style. Enter dimstyle at the command prompt.
  2. In the Dimension Style Manager, select the dimension style to restore. Click Set Current.
  3. Click Close.
Toolbar: Dimension
Command entry: DIMSTYLE

Alternate

  • On the Styles toolbar, click the arrow in the Dimension Styles control and select a dimension style.


Apply a New Dimension Style to Existing Dimensions (Quick Reference)

Create Arc Length Dimensions
Apply a New Dimension Style to Existing Dimensions
Override a Dimension Style
Annotate Drawings > Dimensions and Tolerances > Modify Existing Dimensions > Apply a New Dimension Style to Existing Dimensions >
Apply a New Dimension Style to Existing Dimensions
Concept Procedure Quick Reference

Commands

DIMOVERRIDE

Overrides dimensioning system variables

DIMSTYLE

Creates and modifies dimension styles

PROPERTIES

Controls properties of existing objects

System Variables

DIMCLRD

Assigns colors to dimension lines, arrowheads, and dimension leader lines

Utilities

No entries

Command Modifiers

No entries


Override a Dimension Style (Concept)

Apply a New Dimension Style to Existing Dimensions
Modify Existing Dimensions
Modify A Dimension
Annotate Drawings > Dimensions and Tolerances > Modify Existing Dimensions >
Override a Dimension Style
Concept Procedure Quick Reference

With dimension style overrides, you can temporarily change a dimensioning system variable without changing the current dimension style.

A dimension style override is a change made to specific settings in the current dimension style. It is equivalent to changing a dimensioning system variable without changing the current dimension style.

You can define dimension style overrides for individual dimensions, or for the current dimension style.

  • For individual dimensions, you may want to create overrides to suppress a dimension's extension lines or modify text and arrowhead placement so that they do not overlap drawing geometry without creating a different dimension style.
  • You can also set up overrides to the current dimension style. All dimensions you create in the style include the overrides until you delete the overrides, save the overrides to a new style, or set another style current. For example, if you choose Override in the Dimension Style Manager, and change the color of extension lines on the Lines tab, the current dimension style remains unchanged. However, the new value for color is stored in the DIMCLRE system variable. The next dimension you create will have extension lines in the new color. You can save the dimension style overrides as a new dimension style.

Some dimension characteristics are common to a drawing or to a style of dimensioning and are therefore suited to be permanent dimension style settings. Others generally apply on an individual basis and can be applied more effectively as overrides. For example, a drawing usually uses a single type of arrowhead, so it makes sense to define the arrowhead type as part of the dimension style. Suppression of extension lines, however, usually applies in individual cases only and is more suited to a dimension style override.

There are several ways to set up dimension style overrides. You can change options in the dialog boxes or change system variable settings at the command prompt. You reverse the override by returning the changed settings to their original values. The overrides apply to the dimension you are creating and all subsequent dimensions created with that dimension style until you reverse the override or make another dimension style current.

Example: Change a Dimension Style Override at the Command Prompt

You can override the current dimension style while creating a dimension by entering the name of any dimensioning system variable at any prompt. In this example, the dimension line color is changed. The change affects subsequent dimensions you create until you reverse the override or make another dimension style current.

Command: dimoverride

Enter dimension variable name to override or [Clear overrides]: dimclrd

Enter new value for dimension variable <BYBLOCK>: 5

Enter dimension variable name to override: Enter another dimension variable name or press ENTER

Select objects: Use an object selection method and press ENTER when you finish


Override a Dimension Style (Procedure)

Apply a New Dimension Style to Existing Dimensions
Up a level to ..
Override a Dimension Style
Annotate Drawings > Dimensions and Tolerances > Modify Existing Dimensions > Override a Dimension Style >
Override a Dimension Style
Concept Procedure Quick Reference

To set up dimension style overrides

To apply dimension style overrides


To set up dimension style overrides (Procedure)

Override a Dimension Style
Up a level to ..
Override a Dimension Style
Annotate Drawings > Dimensions and Tolerances > Modify Existing Dimensions > Override a Dimension Style >
Override a Dimension Style
Concept Procedure Quick Reference

To set up dimension style overrides

  1. Click Home tab [image] Annotation panel [image] Dimension Style. Enter dimstyle at the command prompt.
  2. In the Dimension Style Manager, under Styles, select the dimension style for which you want to create an override. Click Override.
  3. In the Override Current Style dialog box, make changes to the dimension style by clicking the appropriate tab.
  4. Click OK to return to the Dimension Style Manager.

    The dimension style overrides are listed below the style they modify in the dimension style name list.

  5. Click Close.
Toolbar: Dimension or Styles
Command entry: DIMSTYLE


To apply dimension style overrides (Procedure)

Override a Dimension Style
Up a level to ..
Modify A Dimension
Annotate Drawings > Dimensions and Tolerances > Modify Existing Dimensions > Override a Dimension Style >
Override a Dimension Style
Concept Procedure Quick Reference

To apply dimension style overrides

  1. Click Home tab [image] Annotation panel [image] Dimension Style. Enter dimstyle at the command prompt.
  2. In the Dimension Style Manager, click Override.
  3. In the Override Current Style dialog box, enter the style overrides. Click OK.

    The program displays <style overrides> below the dimension style name in the Dimension Style Manager dialog box. After you create dimension style overrides, you can continue to modify dimension styles, compare them with other dimension styles, or delete or rename the overrides.

Toolbar: Dimension or Styles
Command entry: DIMSTYLE


Override a Dimension Style (Quick Reference)

Apply a New Dimension Style to Existing Dimensions
Override a Dimension Style
Dimension Jog
Annotate Drawings > Dimensions and Tolerances > Modify Existing Dimensions > Override a Dimension Style >
Override a Dimension Style
Concept Procedure Quick Reference

Commands

DIMOVERRIDE

Overrides dimensioning system variables

DIMSTYLE

Creates and modifies dimension styles

PROPERTIES

Controls properties of existing objects

System Variables

DIMCLRD

Assigns colors to dimension lines, arrowheads, and dimension leader lines

Utilities

No entries

Command Modifiers

No entries


Modify A Dimension

Override a Dimension Style
Modify Existing Dimensions
Dimension Jog
Annotate Drawings > Dimensions and Tolerances > Modify Existing Dimensions >
Modify A Dimension
Concept Procedure

Dimensions can be modified to include more information than just the values of the dimension. Dimensions can also be modified visually by using breaks and by adjusting the spacing between them.

After you place a dimension, there are times when you need to modify the information that the dimension represents. You can add a jog line to a linear dimension to indicate that the dimension value does not represent the actual dimensioned value or add an inspection dimension to represent how often a dimension value of a manufactured part should be checked.

At times you might want to modify a dimension to simply improve readability. You can make sure that the extension or dimension lines do not obscure any objects; you can adjust the placement of linear dimensions so they are evenly spaced.

Topics in this section

  • Dimension Jog

    Jog lines can be added to linear dimensions. Jog lines are used to represent a dimension value that does not display the actual measurement. Typically, the actual measurement value of the dimension is smaller than the displayed value.

  • Inspection Dimension

    Inspection dimensions allow you to effectively communicate how frequently manufactured parts should be checked to ensure that the dimension value and tolerances of the parts are within the specified range.

  • Dimension Breaks

    With dimension breaks, you can keep the dimension, extension, or leader lines from appearing as if they are a part of the design.

  • Adjust Dimension Spacing

    You can automatically adjust existing parallel linear and angular dimensions in a drawing so they are equally spaced or aligned at the dimension line with each other.


Modify A Dimension (Procedure)

Override a Dimension Style
Up a level to ..
Dimension Jog
Annotate Drawings > Dimensions and Tolerances > Modify Existing Dimensions > Modify A Dimension >
Modify A Dimension
Concept Procedure

To add a jog to a linear dimension

To add a jog to a linear dimension based on the midpoint of the selected dimension line

To reposition a jog using grips

To remove a jog

To modify the height of a jog using the Properties palette

To create an inspection dimension

To modify an inspection dimension from the Inspection dialog box

To remove an inspection dimension

To modify an inspection dimension using the Properties palette

To automatically create dimension breaks for each intersecting object

To create a single dimension break based on an intersecting object

To create a manual dimension break

To create dimension breaks for multiple dimensions or multileaders at one time

To remove all dimension breaks from a dimension or multileader

To remove all dimension breaks from multiple dimensions or multileaders

To equally space parallel linear and angular dimensions automatically

To equally space parallel linear and angular dimensions based on a distance

To align parallel linear and angular dimensions


Dimension Jog (Concept)

Modify A Dimension
Modify A Dimension
Inspection Dimension
Annotate Drawings > Dimensions and Tolerances > Modify Existing Dimensions > Modify A Dimension >
Dimension Jog
Concept Procedure Quick Reference

Jog lines can be added to linear dimensions. Jog lines are used to represent a dimension value that does not display the actual measurement. Typically, the actual measurement value of the dimension is smaller than the displayed value.

Show Me: Add a Jog to a Linear Dimension

Click the Play arrow to start the animation.

The jog is made up of two parallel lines and a cross line that forms two 40-degree angles. The height of the jog is determined by the linear jog size value of the dimension style.

Once you add a jog to a linear dimension, you can position it by using grips. To reposition the jog, select the dimension and then select the grip. Move the grip to another point along the dimension line. You can also adjust the height of the jog symbol on a linear dimension on the Properties palette under Lines & Arrows.


Dimension Jog (Procedure)

Modify A Dimension
Up a level to ..
Dimension Jog
Annotate Drawings > Dimensions and Tolerances > Modify Existing Dimensions > Modify A Dimension > Dimension Jog >
Dimension Jog
Concept Procedure Quick Reference

To add a jog to a linear dimension

To add a jog to a linear dimension based on the midpoint of the selected dimension line

To reposition a jog using grips

To remove a jog

To modify the height of a jog using the Properties palette


To add a jog to a linear dimension (Procedure)

Dimension Jog
Up a level to ..
Dimension Jog
Annotate Drawings > Dimensions and Tolerances > Modify Existing Dimensions > Modify A Dimension > Dimension Jog >
Dimension Jog
Concept Procedure Quick Reference

To add a jog to a linear dimension

  1. Click Home tab [image] Annotation panel [image] Jog Line. Enter at the command prompt.
  2. Select a linear dimension.
  3. Specify a point on the dimension line to place the jog.
Toolbar: Dimension
Command entry: DIMJOGLINE


To add a jog to a linear dimension based on the midpoint of the selected dimension line (Procedure)

Dimension Jog
Up a level to ..
Dimension Jog
Annotate Drawings > Dimensions and Tolerances > Modify Existing Dimensions > Modify A Dimension > Dimension Jog >
Dimension Jog
Concept Procedure Quick Reference

To add a jog to a linear dimension based on the midpoint of the selected dimension line

  1. Click Home tab [image] Annotation panel [image] Jog Line. Enter at the command prompt.
  2. Select a linear dimension.
  3. Press ENTER to position the jog at the midpoint of the selected dimension line.
Toolbar: Dimension
Command entry: DIMJOGLINE


To reposition a jog using grips (Procedure)

Dimension Jog
Up a level to ..
Dimension Jog
Annotate Drawings > Dimensions and Tolerances > Modify Existing Dimensions > Modify A Dimension > Dimension Jog >
Dimension Jog
Concept Procedure Quick Reference

To reposition a jog using grips

  1. With no command active, select the linear dimension that has the jog you want to reposition.
  2. Select the grip in the middle of the jog.

    The selected grip is highlighted, and the default grip mode, Stretch, is active.

  3. Drag the crosshairs along the dimension line and click to reposition the jog.
    TipIf you want to place the jog along the dimension line without changing the position of the dimension line, turn Ortho mode on.
Toolbar: Dimension
Command entry: DIMJOGLINE


To remove a jog (Procedure)

Dimension Jog
Up a level to ..
Dimension Jog
Annotate Drawings > Dimensions and Tolerances > Modify Existing Dimensions > Modify A Dimension > Dimension Jog >
Dimension Jog
Concept Procedure Quick Reference

To remove a jog

  1. Click Home tab [image] Annotation panel [image] Jog Line. Enter at the command prompt.
  2. Enter r (Remove) and press ENTER.
  3. Select the linear dimension to remove the jog from.
Toolbar: Dimension
Command entry: DIMJOGLINE


To modify the height of a jog using the Properties palette (Procedure)

Dimension Jog
Up a level to ..
Inspection Dimension
Annotate Drawings > Dimensions and Tolerances > Modify Existing Dimensions > Modify A Dimension > Dimension Jog >
Dimension Jog
Concept Procedure Quick Reference

To modify the height of a jog using the Properties palette

  1. With no command active, select the linear dimension with the jog whose height you want to change.
  2. Right-click over the drawing window. Click Properties.
  3. On the Properties palette, expand Lines & Arrows.
  4. Select Jog Height Factor, and enter a new height for the jog.
  5. Click outside the Properties palette. Press ESC.
Toolbar: Dimension
Command entry: DIMJOGLINE


Dimension Jog (Quick Reference)

Override a Dimension Style
Dimension Jog
Inspection Dimension
Annotate Drawings > Dimensions and Tolerances > Modify Existing Dimensions > Modify A Dimension > Dimension Jog >
Dimension Jog
Concept Procedure Quick Reference

Commands

DIMALIGNED

Creates an aligned linear dimension

DIMBASELINE

Creates a linear, angular, or ordinate dimension from the baseline of the previous or selected dimension

DIMCONTINUE

Creates a linear, angular, or ordinate dimension that starts from the second extension line of the previous or selected dimension

DIMJOGLINE

Adds or removes a jog line on a linear or aligned dimension

DIMLINEAR

Creates a linear dimension

DIMSTYLE

Creates and modifies dimension styles

QDIM

Quickly creates a series of dimensions from selected objects

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Inspection Dimension (Concept)

Dimension Jog
Modify A Dimension
Dimension Breaks
Annotate Drawings > Dimensions and Tolerances > Modify Existing Dimensions > Modify A Dimension >
Inspection Dimension
Concept Procedure Quick Reference

Inspection dimensions allow you to effectively communicate how frequently manufactured parts should be checked to ensure that the dimension value and tolerances of the parts are within the specified range.

When working with parts that need to met a specific tolerance or dimension value before installing them into the final assembled product, you can use an inspection dimension to specify how often the part should be tested.

You can add an inspection dimension to any type of dimension object; it is composed of a frame and text values. The frame for an inspection dimension is made up of two parallel lines and the end is round or square. The text values are separated by vertical lines. An inspection dimension can contain up to three different fields of information: inspection label, dimension value, and inspection rate.

Inspection Dimension Fields

Inspection Label

Text used to identify individual inspection dimensions. The label is located in the leftmost section of the inspection dimension.

Dimension Value

Dimension value that is displayed is the same value before the inspection dimension is added. The dimension value can contain tolerances, text (both prefix and suffix), and the measured value. The dimension value is located in the center section of the inspection dimension.

Inspection Rate

Text used to communicate the frequency that the dimension value should be inspected, expressed as a percentage. The rate is located in the rightmost section of the inspection dimension.

You can add inspection dimensions to any type of dimension. The current values of an inspection dimension are displayed on the Properties palette, under Misc. The values include the properties that are used to control the look of the frame, and the text for both the label and rate values.


Inspection Dimension (Procedure)

Dimension Jog
Up a level to ..
Inspection Dimension
Annotate Drawings > Dimensions and Tolerances > Modify Existing Dimensions > Modify A Dimension > Inspection Dimension >
Inspection Dimension
Concept Procedure Quick Reference

To create an inspection dimension

To modify an inspection dimension from the Inspection dialog box

To remove an inspection dimension

To modify an inspection dimension using the Properties palette


To create an inspection dimension (Procedure)

Inspection Dimension
Up a level to ..
Inspection Dimension
Annotate Drawings > Dimensions and Tolerances > Modify Existing Dimensions > Modify A Dimension > Inspection Dimension >
Inspection Dimension
Concept Procedure Quick Reference

To create an inspection dimension

  1. Click Annotate tab [image] Dimensions panel [image] Inspect. At the command prompt, enter DIMINSPECT.
  2. In the Inspection Dimension dialog box, click Select Dimensions.

    The Inspection Dimension dialog box closes. You are prompted to select dimensions.

  3. Select the dimension you want to make an inspection dimension. Press ENTER to return to the dialog box.
  4. Under the Shape section, specify the frame type.
  5. Under the Label/Inspection rate section, specify the desired options.
    • Select the Label check box, and enter the desired label in the text box.
    • Select the Inspection Rate check box, and enter the desired rate in the text box.
  6. Click OK.
Toolbar: Dimension
Command entry: DIMINSPECT


To modify an inspection dimension from the Inspection dialog box (Procedure)

Inspection Dimension
Up a level to ..
Inspection Dimension
Annotate Drawings > Dimensions and Tolerances > Modify Existing Dimensions > Modify A Dimension > Inspection Dimension >
Inspection Dimension
Concept Procedure Quick Reference

To modify an inspection dimension from the Inspection dialog box

  1. Click Annotate tab [image] Dimensions panel [image] Inspect. At the command prompt, enter DIMINSPECT.
  2. In the Inspection Dimension dialog box, click Select Dimensions.

    The Inspection Dimension dialog box closes. You are prompted to select dimensions.

  3. Select the inspection dimension you want to modify. Press ENTER to return to the dialog box.
  4. Under the Shape section, make the desired changes to the frame type.
  5. Under the Label/Inspection rate section, make the desired changes to the label and inspection rate.
  6. Click OK.
Toolbar: Dimension
Command entry: DIMINSPECT


To remove an inspection dimension (Procedure)

Inspection Dimension
Up a level to ..
Inspection Dimension
Annotate Drawings > Dimensions and Tolerances > Modify Existing Dimensions > Modify A Dimension > Inspection Dimension >
Inspection Dimension
Concept Procedure Quick Reference

To remove an inspection dimension

  1. Click Annotate tab [image] Dimensions panel [image] Inspect. At the command prompt, enter DIMINSPECT.
  2. In the Inspection Dimension dialog box, click Select Dimensions.

    The Inspection Dimension dialog box closes. You are prompted to select dimensions.

  3. Select the dimension you want to remove the inspection dimension from. Press ENTER to return to the dialog box.
  4. Click Remove Inspection.
  5. Click OK.
Toolbar: Dimension
Command entry: DIMINSPECT


To modify an inspection dimension using the Properties palette (Procedure)

Inspection Dimension
Up a level to ..
Dimension Breaks
Annotate Drawings > Dimensions and Tolerances > Modify Existing Dimensions > Modify A Dimension > Inspection Dimension >
Inspection Dimension
Concept Procedure Quick Reference

To modify an inspection dimension using the Properties palette

  1. With no command active, select the inspection dimension you want to modify.
  2. Right-click over the drawing window. Click Properties.
  3. On the Properties palette, double-click the Misc caption of the pane to expand it.
  4. Specify the new values for the Inspection shape, label, and rate.
  5. Click outside the Properties palette. Press ESC.
Toolbar: Dimension
Command entry: DIMINSPECT


Inspection Dimension (Quick Reference)

Dimension Jog
Inspection Dimension
Dimension Breaks
Annotate Drawings > Dimensions and Tolerances > Modify Existing Dimensions > Modify A Dimension > Inspection Dimension >
Inspection Dimension
Concept Procedure Quick Reference

Commands

DIMINSPECT

Adds or removes inspection information for a selected dimension

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Dimension Breaks (Concept)

Inspection Dimension
Modify A Dimension
Adjust Dimension Spacing
Annotate Drawings > Dimensions and Tolerances > Modify Existing Dimensions > Modify A Dimension >
Dimension Breaks
Concept Procedure Quick Reference

With dimension breaks, you can keep the dimension, extension, or leader lines from appearing as if they are a part of the design.

Show Me: Add a Break to a Dimension

Click the Play arrow to start the animation.

Dimension breaks can be added to a dimension or a multileader automatically or manually. The method that you choose to place dimension breaks depends on the number of objects that intersect a dimension or multileader.

You can add dimension breaks to the following dimension and leader objects:

  • Linear dimensions (aligned and rotated)
  • Angular dimensions (2- and 3-point)
  • Radial dimensions (radius, diameter, and jogged)
  • Arc length dimensions
  • Ordinate dimensions
  • Multileaders (straight only)

The following dimension and leader objects do not support dimension breaks:

  • Multileaders (spline only)
  • “Legacy” leaders (straight or spline)

The following table explains the conditions where dimension breaks do not work or are not supported.

Dimension Break Exceptions
Condition | Description
No break in xrefs or blocks | Dimension breaks on dimensions or multileaders in xrefs and blocks are not supported. However, the objects in an xref or block can be used as the cutting edges for dimension breaks on dimensions or multileaders that are not in an xref or block.
No break on arrowhead and dimension text | Dimension breaks cannot be placed on an arrowhead or the dimension text. If you want a break to appear at the dimension text, it is recommended to use the background mask option. If the intersecting point of an object and the dimension are at the arrowhead or dimension text, the break will not be displayed until the intersecting object, or dimension or multileader are moved.
No break on trans-spatial dimensions | Automatic breaks are not supported for objects and dimensions or multileaders that are in different spaces. In order to break a dimension or multileader that is in a different space, you need to use the Manual option of the DIMBREAK command.

You can move dimension breaks from dimensions or multileaders. When removing dimension breaks from a dimension or multileader, all dimension breaks are removed. If there are some dimension breaks that you don’t want to remove, you need to add them again.

The following objects can be used as cutting edges when adding a dimension break:

  • Dimension
  • Leader
  • Line
  • Circle
  • Arc
  • Spline
  • Ellipse
  • Polyline
  • Text
  • Multiline text
  • Blocks but limited to the previously mentioned objects in this list
  • Xrefs but limited to the previously mentioned objects in this list

Automatic Dimension Breaks

To create an automatically placed dimension break, you select a dimension or multileader, and then use the Auto option of the DIMBREAK command. Automatic dimension breaks are updated any time the dimension or multileader, or intersecting objects are modified.

You control the size of automatically placed dimension breaks on the Symbols and Arrows tab of the Dimension Style dialog box. The specified size is affected by the dimension break size, dimension scale, and current annotation scale for the current viewport. For more information about annotation scaling, see Scale Annotations.

Dimension Break Created by Selecting an Object

Instead of placing a dimension break for each object that intersects a dimension or multileader, you can specify which of the intersecting objects to use. Dimension breaks that are added by selecting individual intersecting objects are updated any time the dimension or multileader, or intersecting objects are modified.

Dimension Break Created by Picking Two Points

You can place a dimension break by picking two points on the dimension, extension, or leader line to determine the size and placement of the break. Dimension breaks that are added manually by picking two points are not automatically updated if the dimension or multileader, or intersecting object is modified.

So if a dimension or multileader with a manually added dimension break is moved or the intersecting object is modified, you might have to restore the dimension or multileader, and then add the dimension break again. The size of a dimension break that is created by picking two points is not affected by the current dimension scale or annotation scale value for the current viewport.


Dimension Breaks (Procedure)

Inspection Dimension
Up a level to ..
Dimension Breaks
Annotate Drawings > Dimensions and Tolerances > Modify Existing Dimensions > Modify A Dimension > Dimension Breaks >
Dimension Breaks
Concept Procedure Quick Reference

To automatically create dimension breaks for each intersecting object

To create a single dimension break based on an intersecting object

To create a manual dimension break

To create dimension breaks for multiple dimensions or multileaders at one time

To remove all dimension breaks from a dimension or multileader

To remove all dimension breaks from multiple dimensions or multileaders


To automatically create dimension breaks for each intersecting object (Procedure)

Dimension Breaks
Up a level to ..
Dimension Breaks
Annotate Drawings > Dimensions and Tolerances > Modify Existing Dimensions > Modify A Dimension > Dimension Breaks >
Dimension Breaks
Concept Procedure Quick Reference

To automatically create dimension breaks for each intersecting object

  1. Click Annotate tab [image] Dimensions panel [image] Break. At the command prompt, enter DIMBREAK.
  2. Select a dimension or multileader.
  3. Enter a (Auto) and press ENTER.
Toolbar: Dimension
Command entry: DIMBREAK


To create a single dimension break based on an intersecting object (Procedure)

Dimension Breaks
Up a level to ..
Dimension Breaks
Annotate Drawings > Dimensions and Tolerances > Modify Existing Dimensions > Modify A Dimension > Dimension Breaks >
Dimension Breaks
Concept Procedure Quick Reference

To create a single dimension break based on an intersecting object

  1. Click Annotate tab [image] Dimensions panel [image] Break. At the command prompt, enter DIMBREAK.
  2. Select a dimension or multileader.
  3. Select an object that intersects the dimension or multileader. Press ENTER.
Toolbar: Dimension
Command entry: DIMBREAK


To create a manual dimension break (Procedure)

Dimension Breaks
Up a level to ..
Dimension Breaks
Annotate Drawings > Dimensions and Tolerances > Modify Existing Dimensions > Modify A Dimension > Dimension Breaks >
Dimension Breaks
Concept Procedure Quick Reference

To create a manual dimension break

  1. Click Annotate tab [image] Dimensions panel [image] Break. At the command prompt, enter DIMBREAK.
  2. Select a dimension or multileader.
  3. Enter m (Manual) and press ENTER.
  4. Specify the first point on the dimension, extension, or leader line for the dimension break.
  5. Specify the second point along the dimension, extension, or leader line for the dimension break.
Toolbar: Dimension
Command entry: DIMBREAK


To create dimension breaks for multiple dimensions or multileaders at one time (Procedure)

Dimension Breaks
Up a level to ..
Dimension Breaks
Annotate Drawings > Dimensions and Tolerances > Modify Existing Dimensions > Modify A Dimension > Dimension Breaks >
Dimension Breaks
Concept Procedure Quick Reference

To create dimension breaks for multiple dimensions or multileaders at one time

  1. Click Annotate tab [image] Dimensions panel [image] Break. At the command prompt, enter DIMBREAK.
  2. Enter m (Multiple) and press ENTER.
  3. Select the dimensions or multileaders to which to add the dimension breaks.
  4. Enter a (Auto) and press ENTER.
Toolbar: Dimension
Command entry: DIMBREAK


To remove all dimension breaks from a dimension or multileader (Procedure)

Dimension Breaks
Up a level to ..
Dimension Breaks
Annotate Drawings > Dimensions and Tolerances > Modify Existing Dimensions > Modify A Dimension > Dimension Breaks >
Dimension Breaks
Concept Procedure Quick Reference

To remove all dimension breaks from a dimension or multileader

  1. Click Annotate tab [image] Dimensions panel [image] Break. At the command prompt, enter DIMBREAK.
  2. Select a dimension or multileader.
  3. Enter r (Remove) and press ENTER.
Toolbar: Dimension
Command entry: DIMBREAK


To remove all dimension breaks from multiple dimensions or multileaders (Procedure)

Dimension Breaks
Up a level to ..
Adjust Dimension Spacing
Annotate Drawings > Dimensions and Tolerances > Modify Existing Dimensions > Modify A Dimension > Dimension Breaks >
Dimension Breaks
Concept Procedure Quick Reference

To remove all dimension breaks from multiple dimensions or multileaders

  1. Click Annotate tab [image] Dimensions panel [image] Break. At the command prompt, enter DIMBREAK.
  2. Enter m (Multiple), and press ENTER.
  3. Select the dimensions or multileaders from which to remove the dimension breaks, and press ENTER.
  4. Enter r (Remove), and press ENTER.
Toolbar: Dimension
Command entry: DIMBREAK


Dimension Breaks (Quick Reference)

Inspection Dimension
Dimension Breaks
Adjust Dimension Spacing
Annotate Drawings > Dimensions and Tolerances > Modify Existing Dimensions > Modify A Dimension > Dimension Breaks >
Dimension Breaks
Concept Procedure Quick Reference

Commands

DIMBREAK

Breaks or restores dimension and extension lines where they cross other objects

DIMSTYLE

Creates and modifies dimension styles

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Adjust Dimension Spacing (Concept)

Dimension Breaks
Modify A Dimension
Modify Dimension Text
Annotate Drawings > Dimensions and Tolerances > Modify Existing Dimensions > Modify A Dimension >
Adjust Dimension Spacing
Concept Procedure Quick Reference

You can automatically adjust existing parallel linear and angular dimensions in a drawing so they are equally spaced or aligned at the dimension line with each other.

Show Me: Adjust the Distance Between Dimensions

Click the Play arrow to start the animation.

Parallel linear and angular dimensions can be created in a number of different ways in a drawing. With the DIMLINEAR and DIMANGULAR commands you can place one dimension at a time; you can use the DIMBASELINE and DIMCONTINUE commands to help place additional linear dimensions based on the previous linear dimension placed.

The DIMBASELINE command uses the DIMDLI system variable to create equally spaced dimensions, but once the dimensions are placed, changing the value of the system variable has no affect on the spacing of dimensions. If you change the text size or adjust the scale for the dimensions, they remain in the original position which can cause problems with overlapping dimension lines and text.

You can space linear and angular dimensions that overlap or are not equally spaced with the DIMSPACE command. The dimensions that are selected must be linear or angular, of the same type (rotated or aligned), parallel or concentric to one another, and on the extension lines of each other. You can also align linear and angular dimensions by using a spacing value of 0.

The following illustration shows parallel linear dimensions that are not equally spaced and then those that are equally spaced after using the DIMSPACE command.


Adjust Dimension Spacing (Procedure)

Dimension Breaks
Up a level to ..
Adjust Dimension Spacing
Annotate Drawings > Dimensions and Tolerances > Modify Existing Dimensions > Modify A Dimension > Adjust Dimension Spacing >
Adjust Dimension Spacing
Concept Procedure Quick Reference

To equally space parallel linear and angular dimensions automatically

To equally space parallel linear and angular dimensions based on a distance

To align parallel linear and angular dimensions


To equally space parallel linear and angular dimensions automatically (Procedure)

Adjust Dimension Spacing
Up a level to ..
Adjust Dimension Spacing
Annotate Drawings > Dimensions and Tolerances > Modify Existing Dimensions > Modify A Dimension > Adjust Dimension Spacing >
Adjust Dimension Spacing
Concept Procedure Quick Reference

To equally space parallel linear and angular dimensions automatically

  1. Click Annotate tab [image] Dimensions panel [image] Adjust Space. At the command prompt, enter DIMSPACE.
  2. Select the dimension that you want to use as the base dimension when equally spacing dimensions.
  3. Select the next dimension to equally space.
  4. Continue to select dimensions and then press ENTER.
  5. Enter a (Auto) and press ENTER.
Toolbar: Dimension
Command entry: DIMSPACE


To equally space parallel linear and angular dimensions based on a distance (Procedure)

Adjust Dimension Spacing
Up a level to ..
Adjust Dimension Spacing
Annotate Drawings > Dimensions and Tolerances > Modify Existing Dimensions > Modify A Dimension > Adjust Dimension Spacing >
Adjust Dimension Spacing
Concept Procedure Quick Reference

To equally space parallel linear and angular dimensions based on a distance

  1. Click Annotate tab [image] Dimensions panel [image] Adjust Space. At the command prompt, enter DIMSPACE.
  2. Select the dimension that you want to use as the base dimension when equally spacing dimensions.
  3. Select the next dimension to equally space.
  4. Continue to select dimensions and then press ENTER.
  5. Enter a spacing value and press ENTER.
Toolbar: Dimension
Command entry: DIMSPACE


To align parallel linear and angular dimensions (Procedure)

Adjust Dimension Spacing
Up a level to ..
Modify Dimension Text
Annotate Drawings > Dimensions and Tolerances > Modify Existing Dimensions > Modify A Dimension > Adjust Dimension Spacing >
Adjust Dimension Spacing
Concept Procedure Quick Reference

To align parallel linear and angular dimensions

  1. Click Annotate tab [image] Dimensions panel [image] Adjust Space. At the command prompt, enter DIMSPACE.
  2. Select the dimension that you want to use as the base dimension when equally spacing dimensions.
  3. Select the next dimension to align.
  4. Continue to select dimensions and then press ENTER.
  5. Enter 0 and press ENTER.
Toolbar: Dimension
Command entry: DIMSPACE


Adjust Dimension Spacing (Quick Reference)

Dimension Breaks
Adjust Dimension Spacing
Modify Dimension Text
Annotate Drawings > Dimensions and Tolerances > Modify Existing Dimensions > Modify A Dimension > Adjust Dimension Spacing >
Adjust Dimension Spacing
Concept Procedure Quick Reference

Commands

DIMALIGNED

Creates an aligned linear dimension

DIMANGULAR

Creates an angular dimension

DIMBASELINE

Creates a linear, angular, or ordinate dimension from the baseline of the previous or selected dimension

DIMCONTINUE

Creates a linear, angular, or ordinate dimension that starts from the second extension line of the previous or selected dimension

DIMLINEAR

Creates a linear dimension

DIMSPACE

Adjusts the spacing between linear dimensions or angular dimensions

DIMSTYLE

Creates and modifies dimension styles

QDIM

Quickly creates a series of dimensions from selected objects

System Variables

DIMDLI

Controls the spacing of the dimension lines in baseline dimensions

Utilities

No entries

Command Modifiers

No entries


Modify Dimension Text (Concept)

Adjust Dimension Spacing
Modify Existing Dimensions
Modify Dimension Geometry
Annotate Drawings > Dimensions and Tolerances > Modify Existing Dimensions >
Modify Dimension Text
Concept Procedure Quick Reference

Once you've created a dimension, you can change the location and orientation of the existing dimension text or replace it with new text.

Once you've created a dimension, you can rotate the existing text or replace it with new text. You can move the text to a new location or back to its home position, which is the position defined by the current dimension style. In the following illustration, the home position is above and centered on the dimension line.

When you rotate or replace dimension text, you specify the change first, for example, rotating the text to be at an angle. When you move dimension text, you select a single dimension to move.

You can move dimension text to the left, right, or center along the dimension line or to any position inside or outside the extension lines. A quick and simple way to do this is by using grips. If you move text up or down, the current vertical alignment of the text relative to the dimension line is not changed, so the dimension and extension lines are modified accordingly. The following illustration shows the result of moving text down and to the right. The text remains centered vertically in relation to the dimension line.

See Also

    • Control Dimension Text


Modify Dimension Text (Procedure)

Adjust Dimension Spacing
Up a level to ..
Modify Dimension Text
Annotate Drawings > Dimensions and Tolerances > Modify Existing Dimensions > Modify Dimension Text >
Modify Dimension Text
Concept Procedure Quick Reference

To rotate dimension text

To return dimension text to its home position

To replace existing dimension text with new text

To move text to the left side of the dimension line

To set dimension line spacing for baseline and continued dimensions

To change the extension origin offset


To rotate dimension text (Procedure)

Modify Dimension Text
Up a level to ..
Modify Dimension Text
Annotate Drawings > Dimensions and Tolerances > Modify Existing Dimensions > Modify Dimension Text >
Modify Dimension Text
Concept Procedure Quick Reference

To rotate dimension text

  1. Click Annotate tab [image] Dimensions panel [image] Align Text. At the command prompt, enter dimtedit.
  2. Select the dimension to edit.
  3. Enter the new angle for the text.
Toolbar: Dimension
Command entry: DIMTEDIT


To return dimension text to its home position (Procedure)

Modify Dimension Text
Up a level to ..
Modify Dimension Text
Annotate Drawings > Dimensions and Tolerances > Modify Existing Dimensions > Modify Dimension Text >
Modify Dimension Text
Concept Procedure Quick Reference

To return dimension text to its home position

  1. Click Dimension menu [image] Align Text [image] Home.At the command prompt, enter dimedit.
  2. Select the dimension text you want to return to its home position.
Toolbar: Dimension
Command entry: DIMTEDIT


To replace existing dimension text with new text (Procedure)

Modify Dimension Text
Up a level to ..
Modify Dimension Text
Annotate Drawings > Dimensions and Tolerances > Modify Existing Dimensions > Modify Dimension Text >
Modify Dimension Text
Concept Procedure Quick Reference

To replace existing dimension text with new text

  1. Click Modify menu [image] Object [image] Text [image] Edit.At the command prompt, enter ddedit.
  2. Select the dimension text you want to edit.
  3. In the In-Place Text Editor, enter the new dimension text. Click OK.
Toolbar: Text
Command entry: DDEDIT


To move text to the left side of the dimension line (Procedure)

Modify Dimension Text
Up a level to ..
Modify Dimension Text
Annotate Drawings > Dimensions and Tolerances > Modify Existing Dimensions > Modify Dimension Text >
Modify Dimension Text
Concept Procedure Quick Reference

To move text to the left side of the dimension line

  1. Click Dimension menu [image] Align Text [image] Left.At the command prompt, enter dimtedit.
  2. Select the dimension.

    The dimension text is left-justified along the dimension line inside the extension lines. You can choose the Center or Right options to move the text to the center or right of the dimension line.

Toolbar: Dimension
Command entry: DIMTEDIT


To set dimension line spacing for baseline and continued dimensions (Procedure)

Modify Dimension Text
Up a level to ..
Modify Dimension Text
Annotate Drawings > Dimensions and Tolerances > Modify Existing Dimensions > Modify Dimension Text >
Modify Dimension Text
Concept Procedure Quick Reference

To set dimension line spacing for baseline and continued dimensions

  1. Click Home tab [image] Annotation panel [image] Dimension Style. Enter dimstyle at the command prompt.
  2. In the Dimension Style Manager, select the style you want to change. Click Modify.
  3. In the Modify Dimension Style dialog box, Lines tab, under Dimension Lines, enter in the Baseline Spacing box the offset distance between dimension lines for baseline and continued dimensions.
  4. Click OK.
  5. Click Close to exit the Dimension Style Manager.
Toolbar: Dimension or Styles
Command entry: DIMSTYLE


To change the extension origin offset (Procedure)

Modify Dimension Text
Up a level to ..
Change Dimension Associativity
Annotate Drawings > Dimensions and Tolerances > Modify Existing Dimensions > Modify Dimension Text >
Modify Dimension Text
Concept Procedure Quick Reference

To change the extension origin offset

  1. Click Home tab [image] Annotation panel [image] Dimension Style. Enter dimstyle at the command prompt.
  2. In the Dimension Style Manager, select the style you want to change. Click Modify.
  3. In the Modify Dimension Style dialog box, Lines tab, under Extension Lines, enter the new value for Offset from Origin.
  4. Click OK.
  5. Click Close to exit the Dimension Style Manager.
Toolbar: Dimension or Styles
Command entry: DIMSTYLE


Modify Dimension Text (Quick Reference)

Adjust Dimension Spacing
Modify Dimension Text
Modify Dimension Geometry
Annotate Drawings > Dimensions and Tolerances > Modify Existing Dimensions > Modify Dimension Text >
Modify Dimension Text
Concept Procedure Quick Reference

Commands

DDEDIT

Edits single-line text, dimension text, attribute definitions, and feature control frames

DIMEDIT

Edits dimension text and extension lines

DIMTEDIT

Moves and rotates dimension text and relocates the dimension line

PROPERTIES

Controls properties of existing objects

System Variables

DIMCLRT

Assigns colors to dimension text. The color can be any valid color number

DIMDSEP

Specifies a single-character decimal separator to use when creating dimensions whose unit format is decimal

DIMJUST

Controls the horizontal positioning of dimension text

DIMTAD

Controls the vertical position of text in relation to the dimension line

DIMTIH

Controls the position of dimension text inside the extension lines for all dimension types except Ordinate

DIMTMOVE

Sets dimension text movement rules

DIMTOH

Controls the position of dimension text outside the extension lines

DIMTVP

Controls the vertical position of dimension text above or below the dimension line

DIMUPT

Controls options for user-positioned text

MTEXTED

Sets the application for editing multiline text objects

Utilities

No entries

Command Modifiers

No entries


Modify Dimension Geometry (Concept)

Modify Dimension Text
Modify Existing Dimensions
Change Dimension Associativity
Annotate Drawings > Dimensions and Tolerances > Modify Existing Dimensions >
Modify Dimension Geometry
Concept Quick Reference

Grip editing is the quickest and easiest way to modify the location of dimension elements. How you edit dimensions depends whether the dimension is associative.

You can modify dimensions with the editing commands and with grip editing. Grip editing is the quickest and easiest way to modify dimensions. How you edit dimensions depends on whether the dimension is associative.

Modify Associative Dimensions

Associative dimensions retain their associativity to dimensioned objects through many editing commands if both the dimension and the associated geometry are selected and operated on with a single command. For example, if a dimension and its associated geometry are moved, copied, or arrayed in the same command, each dimension retains associativity with its respective geometry.

In some circumstances, dimensions are automatically disassociated, including

  • If the associated geometric object is erased
  • If the associated geometric object undergoes a Boolean operation such as UNION or SUBTRACT
  • If grip editing is used to stretch a dimension parallel to its dimension line
  • If the association to a geometric object is specified using the Apparent Intersection object snap, and the geometric object is moved so that the apparent intersection no longer exists

In other circumstances, a dimension may become partially associated. For example, if a linear dimension is associated with the endpoints of two geometric objects and one of the objects is erased, the remaining association is preserved. The disassociated end of the linear dimension may then be associated with another geometric object using DIMREASSOCIATE.

NoteThe command prompt displays a warning message if a dimension is disassociated.

Modify Nonassociative Dimensions

For nonassociative dimensions, when you edit dimensioned objects, you must include the relevant dimension definition points in the selection set, or the dimension is not updated. Definition points determine the dimension location. For example, to stretch a dimension, you must include the appropriate definition points in the selection set. You can easily include them by turning on grips and selecting the object so that the grips are highlighted.

The definition points for each type of dimension are indicated in the following illustrations. The middle point of the dimension text is a definition point for all dimension types.

If no angle vertex is shown, definition points are placed at the ends of the lines that form the angle. In the two-line angular example, a definition point is placed at the center point of the dimensioned arc.

NoteDefinition points are drawn on a special layer named DEFPOINTS, which is not plotted.

Modify Exploded Dimensions

You can edit exploded dimensions as you would any other objects because an exploded dimension is a collection of separate objects: lines, 2D solids, and text. Occasionally you may need to explode a dimension to make changes such as creating a break in a dimension line or extension line. Once a dimension is exploded, you cannot reassociate the dimension into a dimension object.

See Also

    • Control Dimension Geometry


Modify Dimension Geometry (Quick Reference)

Modify Dimension Text
Modify Dimension Geometry
Change Dimension Associativity
Annotate Drawings > Dimensions and Tolerances > Modify Existing Dimensions > Modify Dimension Geometry >
Modify Dimension Geometry
Concept Quick Reference

Commands

DIMEDIT

Edits dimension text and extension lines

DIMDISASSOCIATE

Removes associativity from selected dimensions

DIMREASSOCIATE

Associates selected dimensions to geometric objects

EXPLODE

Breaks a compound object into its component objects

STRETCH

Stretches objects crossed by a selection window or polygon

System Variables

DIMASSOC

Controls the associativity of dimension objects and whether dimensions are exploded

Utilities

No entries

Command Modifiers

No entries


Change Dimension Associativity (Concept)

Modify Dimension Geometry
Modify Existing Dimensions
Add Geometric Tolerances
Annotate Drawings > Dimensions and Tolerances > Modify Existing Dimensions >
Change Dimension Associativity
Concept Procedure Quick Reference

You may need to change the associativity of dimensions in several circumstances including adding associativity to dimensions created in previous releases.

You may need to change the associativity of dimensions in several circumstances such as the following:

  • Redefine the associativity of dimensions in drawings that have been edited significantly.
  • Add associativity to dimensions that have been partially disassociated.
  • Add associativity to dimensions in legacy drawings.
  • Remove associativity from dimensions in drawings that will be used by people working in releases prior to AutoCAD 2002, but who do not want any proxy objects in the drawings.

Reassociate Dimensions to Different Objects

With DIMREASSOCIATE, you can select one or more dimensions and step through the extension-line origin points of each dimension. For each extension-line origin point, you can specify a new association point on a geometric object. Association points determine the attachment of extension lines to locations on geometric objects.

NoteWhen you create or modify associative dimensions, it is important to locate their association points carefully so that if you make a future design change, the geometric objects that you change will also change the dimensions associated with them.

When you use the DIMREASSOCIATE command, a marker is displayed that indicates whether each successive extension line origin point of the dimension is associative or nonassociative. A square with an X in it means that the point is associated with a location on an object, while an X without the square means that the point is not associated with an object. Use an object snap to specify the new association for the extension-line origin point or press ENTER to skip to the next extension-line origin point.

NoteThe marker disappears if you pan or zoom with a wheel mouse.

Change Nonassociative Dimensions to Associative

You can change all the nonassociative dimensions in a drawing to associative. Use QSELECT to select all nonassociative dimensions, and then use DIMREASSOCIATE to step through the dimensions, associating each one with locations on geometric objects.

Change Associative Dimensions to Nonassociative

You can change all associative dimensions in a drawing to nonassociative dimensions. Use QSELECT to select all associative dimensions, and then use DIMDISASSOCIATE to convert them into nonassociative dimensions.

See Also

    • Associative Dimensions

    • Save Drawings to Previous Drawing File Formats


Change Dimension Associativity (Procedure)

Modify Dimension Text
Up a level to ..
Change Dimension Associativity
Annotate Drawings > Dimensions and Tolerances > Modify Existing Dimensions > Change Dimension Associativity >
Change Dimension Associativity
Concept Procedure Quick Reference

To associate or reassociate a dimension

To disassociate a dimension


To associate or reassociate a dimension (Procedure)

Change Dimension Associativity
Up a level to ..
Change Dimension Associativity
Annotate Drawings > Dimensions and Tolerances > Modify Existing Dimensions > Change Dimension Associativity >
Change Dimension Associativity
Concept Procedure Quick Reference

To associate or reassociate a dimension

  1. Click Annotate tab [image] Dimensions panel [image] Reassociate. At the command prompt, enter dimreassociate.
  2. Select one or more dimensions to associate or reassociate.
  3. Do one of the following:
    • Specify the new location of the extension-line origin point.
    • Enter s and select a geometric object to associate with the dimension.
    • Press ENTER to skip to the next extension-line origin point.
    • Press ESC to end the command but keep any associations you made up to that point.
  4. Repeat the previous step as needed.
Command entry: DIMREASSOCIATE


To disassociate a dimension (Procedure)

Change Dimension Associativity
Up a level to ..
Add Geometric Tolerances
Annotate Drawings > Dimensions and Tolerances > Modify Existing Dimensions > Change Dimension Associativity >
Change Dimension Associativity
Concept Procedure Quick Reference

To disassociate a dimension

  1. At the command prompt, enter DIMDISASSOCIATE.
  2. Select one or more dimensions to disassociate and press ENTER when you finish.


Change Dimension Associativity (Quick Reference)

Modify Dimension Geometry
Change Dimension Associativity
Overview of Geometric Tolerances
Annotate Drawings > Dimensions and Tolerances > Modify Existing Dimensions > Change Dimension Associativity >
Change Dimension Associativity
Concept Procedure Quick Reference

Commands

DIMDISASSOCIATE

Removes associativity from selected dimensions

DIMREASSOCIATE

Associates selected dimensions to geometric objects

DIMREGEN

Updates the locations of all associative dimensions

EXPLODE

Breaks a compound object into its component objects

System Variables

DIMASSOC

Controls the associativity of dimension objects and whether dimensions are exploded

Utilities

No entries

Command Modifiers

No entries


Add Geometric Tolerances

Change Dimension Associativity
Dimensions and Tolerances
Overview of Geometric Tolerances
Annotate Drawings > Dimensions and Tolerances >
Add Geometric Tolerances
Concept Procedure

You can add geometric tolerances that show acceptable deviations of form, profile, orientation, location, and runout of a feature.

Topics in this section

  • Overview of Geometric Tolerances
  • Material Conditions

    Material conditions apply to features that can vary in size.

  • Datum Reference Frames
  • Projected Tolerance Zones

    Projected tolerances are used to make the tolerance more specific.

  • Composite Tolerances


Add Geometric Tolerances (Procedure)

Change Dimension Associativity
Add Geometric Tolerances
Overview of Geometric Tolerances
Annotate Drawings > Dimensions and Tolerances > Add Geometric Tolerances >
Add Geometric Tolerances
Concept Procedure

To create geometric tolerances

To create a geometric tolerance with a leader


Overview of Geometric Tolerances (Concept)

Add Geometric Tolerances
Add Geometric Tolerances
Material Conditions
Annotate Drawings > Dimensions and Tolerances > Add Geometric Tolerances >
Overview of Geometric Tolerances
Concept Procedure Quick Reference

Geometric tolerances show acceptable deviations of form, profile, orientation, location, and runout of a feature. You add geometric tolerances in feature control frames. These frames contain all the tolerance information for a single dimension. Geometric tolerances can be created with or without leader lines, depending on whether you create them with TOLERANCE or LEADER.

A feature control frame consists of two or more components. The first feature control frame contains a symbol that represents the geometric characteristic to which a tolerance is being applied, for example, location, profile, form, orientation, or runout. Form tolerances control straightness, flatness, circularity and cylindricity; profiles control line and surface. In the illustration, the characteristic is position.

You can use most editing commands to change feature control frames, and you can snap to them using the object snap modes. You can also edit them with grips.

NoteUnlike dimensions and leaders, geometric tolerances cannot be associated with geometric objects.

You can also create annotative tolerances. For more information about creating and working with an annotative tolerances, see Create Annotative Dimensions and Tolerances.

See Also

    • Scale Annotations


Overview of Geometric Tolerances (Procedure)

Add Geometric Tolerances
Up a level to ..
Overview of Geometric Tolerances
Annotate Drawings > Dimensions and Tolerances > Add Geometric Tolerances > Overview of Geometric Tolerances >
Overview of Geometric Tolerances
Concept Procedure Quick Reference

To create geometric tolerances

To create a geometric tolerance with a leader


To create geometric tolerances (Procedure)

Overview of Geometric Tolerances
Up a level to ..
Overview of Geometric Tolerances
Annotate Drawings > Dimensions and Tolerances > Add Geometric Tolerances > Overview of Geometric Tolerances >
Overview of Geometric Tolerances
Concept Procedure Quick Reference

To create geometric tolerances

  1. Click Annotate tab [image] Dimensions panel [image] Tolerance. At the command prompt, enter tolerance.
  2. In the Geometric Tolerance dialog box, click the first square under Sym and select a symbol to insert.
  3. Under Tolerance 1, click the first black box to insert a diameter symbol.
  4. In the Text box, enter the first tolerance value.
  5. To add a material condition (optional), click the second black box and click a symbol in the Material Conditions dialog box to insert it.
  6. In the Geometric Tolerance dialog box, add a second tolerance value (optional) in the same way as the first tolerance value.
  7. Under Datum 1, Datum 2, Datum 3, enter the datum reference letter.
  8. Click the black box to insert a material condition symbol for each datum reference.
  9. In the Height box, enter a height.
  10. Click the Projected Tolerance Zone box to insert the symbol.
  11. In the Datum Identifier box, add a datum value.
  12. Click OK.
  13. In the drawing, specify a location for the feature control frame.
Toolbar: Dimension
Command entry: TOLERANCE


To create a geometric tolerance with a leader (Procedure)

Overview of Geometric Tolerances
Up a level to ..
Specify Page Setup Settings
Annotate Drawings > Dimensions and Tolerances > Add Geometric Tolerances > Overview of Geometric Tolerances >
Overview of Geometric Tolerances
Concept Procedure Quick Reference

To create a geometric tolerance with a leader

  1. At the command prompt, enter leader.
  2. Specify the start point of the leader.
  3. Specify the second point of the leader.
  4. Press ENTER twice to display the Annotation options.
  5. Enter t (Tolerance), and create a feature control frame.

    The feature control frame is attached to the endpoint of the leader.

Command entry: LEADER


Overview of Geometric Tolerances (Quick Reference)

Change Dimension Associativity
Overview of Geometric Tolerances
Material Conditions
Annotate Drawings > Dimensions and Tolerances > Add Geometric Tolerances > Overview of Geometric Tolerances >
Overview of Geometric Tolerances
Concept Procedure Quick Reference

Commands

LEADER

Creates a line that connects annotation to a feature

TOLERANCE

Creates geometric tolerances contained in a feature control frame

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Material Conditions (Concept)

Overview of Geometric Tolerances
Add Geometric Tolerances
Datum Reference Frames
Annotate Drawings > Dimensions and Tolerances > Add Geometric Tolerances >
Material Conditions
Concept Quick Reference

Material conditions apply to features that can vary in size.

The second compartment contains the tolerance value. Depending on the control type, the tolerance value is preceded by a diameter symbol and followed by a material condition symbol.

Material conditions apply to features that can vary in size:

  • At maximum material condition (symbol M, also known as MMC), a feature contains the maximum amount of material stated in the limits.
  • At MMC, a hole has minimum diameter, whereas a shaft has maximum diameter.
  • At least material condition (symbol L, also known as LMC), a feature contains the minimum amount of material stated in the limits.
  • At LMC, a hole has maximum diameter, whereas a shaft has minimum diameter.
  • Regardless of feature size (symbol S, also known as RFS) means a feature can be any size within the stated limits.


Material Conditions (Quick Reference)

Overview of Geometric Tolerances
Material Conditions
Datum Reference Frames
Annotate Drawings > Dimensions and Tolerances > Add Geometric Tolerances > Material Conditions >
Material Conditions
Concept Quick Reference

Commands

LEADER

Creates a line that connects annotation to a feature

TOLERANCE

Creates geometric tolerances contained in a feature control frame

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Datum Reference Frames (Concept)

Material Conditions
Add Geometric Tolerances
Projected Tolerance Zones
Annotate Drawings > Dimensions and Tolerances > Add Geometric Tolerances >
Datum Reference Frames
Concept Quick Reference

The tolerance values in the feature control frame are followed by up to three optional datum reference letters and their modifying symbols. A datum is a theoretically exact point, axis, or plane from which you make measurements and verify dimensions. Usually, two or three mutually perpendicular planes perform this task best. These are jointly called the datum reference frame.

The following illustration shows a datum reference frame verifying the dimensions of the part.


Datum Reference Frames (Quick Reference)

Material Conditions
Datum Reference Frames
Projected Tolerance Zones
Annotate Drawings > Dimensions and Tolerances > Add Geometric Tolerances > Datum Reference Frames >
Datum Reference Frames
Concept Quick Reference

Commands

LEADER

Creates a line that connects annotation to a feature

TOLERANCE

Creates geometric tolerances contained in a feature control frame

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Projected Tolerance Zones (Concept)

Datum Reference Frames
Add Geometric Tolerances
Composite Tolerances
Annotate Drawings > Dimensions and Tolerances > Add Geometric Tolerances >
Projected Tolerance Zones
Concept Quick Reference

Projected tolerances are used to make the tolerance more specific.

Projected tolerances are specified in addition to positional tolerances to make the tolerance more specific. For example, projected tolerances control the perpendicularity tolerance zone of an embedded part.

The symbol for projected tolerance ( [image]) is preceded by a height value, which specifies the minimum projected tolerance zone. The projected tolerance zone height and symbol appear in a frame below the feature control frame, as shown in the following illustration.


Projected Tolerance Zones (Quick Reference)

Datum Reference Frames
Projected Tolerance Zones
Composite Tolerances
Annotate Drawings > Dimensions and Tolerances > Add Geometric Tolerances > Projected Tolerance Zones >
Projected Tolerance Zones
Concept Quick Reference

Commands

LEADER

Creates a line that connects annotation to a feature

TOLERANCE

Creates geometric tolerances contained in a feature control frame

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Composite Tolerances (Concept)

Projected Tolerance Zones
Add Geometric Tolerances
Plot and Publish Drawings
Annotate Drawings > Dimensions and Tolerances > Add Geometric Tolerances >
Composite Tolerances
Concept Quick Reference

A composite tolerance specifies two tolerances for the same geometric characteristic of a feature or for features that have different datum requirements. One tolerance relates to a pattern of features and the other tolerance to each feature within the pattern. The individual feature tolerance is more restrictive than the pattern tolerance.

In the following illustration, the point where datums A and B intersect is called the datum axis, the point from which the position of the pattern is calculated.

A composite tolerance could specify both the diameter of the pattern of holes and the diameter of each individual hole, as in the following illustration.

When you add composite tolerances to a drawing, you specify the first line of a feature control frame and then choose the same geometric characteristic symbol for the second line of the feature control frame. The geometric symbol compartment is extended over both lines. You can then create a second line of tolerance symbols.


Composite Tolerances (Quick Reference)

Projected Tolerance Zones
Composite Tolerances
Quick Start to Saving Settings for Plotting and Publishing
Annotate Drawings > Dimensions and Tolerances > Add Geometric Tolerances > Composite Tolerances >
Composite Tolerances
Concept Quick Reference

Commands

LEADER

Creates a line that connects annotation to a feature

TOLERANCE

Creates geometric tolerances contained in a feature control frame

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Plot and Publish Drawings

Composite Tolerances
Prepare Drawings for Plotting and Publishing
Plot and Publish Drawings

Topics in this section

  • Prepare Drawings for Plotting and Publishing

    You prepare your drawing for plotting or publishing by specifying page setup settings. These settings are stored in the drawing file with the layout. Once a layout is established, you can modify the settings of its page setup or apply a different page setup.

  • Plot Drawings

    Once you have completed a drawing, you can use a number of methods to output the drawing. You can plot the drawing on paper or create a file for use with another application. In either case, you select the plot settings.

  • Publish Drawings

    You can easily publish an entire sheet set from the Sheet Set Manager as a set of paper drawings or as a single, electronic, multi-sheet DWF or DWFx file.


Prepare Drawings for Plotting and Publishing

Plot and Publish Drawings
Plot and Publish Drawings
Quick Start to Saving Settings for Plotting and Publishing
Plot and Publish Drawings >
Prepare Drawings for Plotting and Publishing

You prepare your drawing for plotting or publishing by specifying page setup settings. These settings are stored in the drawing file with the layout. Once a layout is established, you can modify the settings of its page setup or apply a different page setup.

Topics in this section

  • Quick Start to Saving Settings for Plotting and Publishing

    Preparing a drawing for plotting or publishing requires specifying many settings and options that define the output of your drawing. To save time, you can save these settings as a named page setup.

  • Specify Page Setup Settings

    Page setups are associated with layouts and stored in the drawing file. The settings specified in a page setup determine the appearance and format of your final output.

  • Use the Layout Wizard to Specify Layout Settings

    You can create a new layout using the Create Layout wizard.

  • Import PCP or PC2 Settings into a Layout

    You can import layout and plot settings contained in PCP or PC2 files into the current layout.

  • Create and Use Named Page Setups

    You can save plot device and other page setup settings as named page setups that can be modified and imported into other drawings.

  • Use Named Page Setups with Sheet Sets

    You can use named page setups to specify the same output options for all the sheets in a sheet set.


Quick Start to Saving Settings for Plotting and Publishing (Concept)

Prepare Drawings for Plotting and Publishing
Prepare Drawings for Plotting and Publishing
Specify Page Setup Settings
Plot and Publish Drawings > Prepare Drawings for Plotting and Publishing >
Quick Start to Saving Settings for Plotting and Publishing
Concept Quick Reference

Preparing a drawing for plotting or publishing requires specifying many settings and options that define the output of your drawing. To save time, you can save these settings as a named page setup.

You can apply a named page setup to paper space layouts using the Page Setup Manager. You can also import a named page setup from another drawing and apply it to layouts in the current drawing.


Quick Start to Saving Settings for Plotting and Publishing (Quick Reference)

Composite Tolerances
Quick Start to Saving Settings for Plotting and Publishing
Overview of Page Setup Settings
Plot and Publish Drawings > Prepare Drawings for Plotting and Publishing > Quick Start to Saving Settings for Plotting and Publishing >
Quick Start to Saving Settings for Plotting and Publishing
Concept Quick Reference

Commands

PAGESETUP

Controls the page layout, plotting device, paper size, and other settings for each new layout

PSETUPIN

Imports a user-defined page setup into a new drawing layout

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Specify Page Setup Settings

Quick Start to Saving Settings for Plotting and Publishing
Prepare Drawings for Plotting and Publishing
Overview of Page Setup Settings
Plot and Publish Drawings > Prepare Drawings for Plotting and Publishing >
Specify Page Setup Settings
Concept Procedure

Page setups are associated with layouts and stored in the drawing file. The settings specified in a page setup determine the appearance and format of your final output.

Topics in this section

  • Overview of Page Setup Settings

    A page setup is a collection of plot device and other settings that affect the appearance and format of your final output. These settings can be modified and applied to other layouts.

  • Select a Printer or Plotter for a Layout
  • Select a Paper Size for a Layout

    You can select a paper size from a standard list, or you can add custom paper sizes using the Plotter Configuration Editor.

  • Set the Plot Area of a Layout

    You can specify the plot area to determine what will be included in the plot.

  • Adjust the Plot Offset of a Layout

    The printable area of a drawing sheet is defined by the selected output device and is represented by the dashed line in a layout. When you change the output device, the printable area may change.

  • Set the Plot Scale for a Layout

    When you plot a drawing layout, you can either specify a precise scale for the layout or fit the image to the paper.

  • Set the Lineweight Scale for a Layout

    You can scale lineweights proportionately in a layout with the plot scale.

  • Select a Plot Style Table for a Layout
  • Set Shaded Viewport and Plot Options for a Layout

    Shaded viewport and plot options settings affect how objects are plotted and are saved in the page setup.

  • Determine the Drawing Orientation of a Layout


Specify Page Setup Settings (Procedure)

Overview of Geometric Tolerances
Specify Page Setup Settings
Overview of Page Setup Settings
Plot and Publish Drawings > Prepare Drawings for Plotting and Publishing > Specify Page Setup Settings >
Specify Page Setup Settings
Concept Procedure

To modify the settings of a layout's page setup

To apply a layout's named page setup to another layout

To select a printer or plotter for a layout

To change the configuration of a printer or plotter specified in a page setup

To set the paper size for a layout

To start the Plotter Configuration Editor

To add a custom paper size from scratch

To add a new custom paper size starting from an existing paper size

To edit a custom paper size

To delete a custom paper size

To modify a standard paper size

To set the plot area and adjust the display

To adjust the plot offset of a layout

To set the plot scale in a layout

To set the Fit to Paper option when plotting

To scale lineweights in a layout

To select a plot style table for a layout

To create a new plot style table for a layout

To edit a plot style table for a layout

To display plot styles in a layout

To set shaded viewport options for a layout

To set plot options for a layout

To set the orientation of the plotted drawing


Overview of Page Setup Settings (Concept)

Specify Page Setup Settings
Specify Page Setup Settings
Select a Printer or Plotter for a Layout
Plot and Publish Drawings > Prepare Drawings for Plotting and Publishing > Specify Page Setup Settings >
Overview of Page Setup Settings
Concept Procedure Quick Reference

A page setup is a collection of plot device and other settings that affect the appearance and format of your final output. These settings can be modified and applied to other layouts.

After you complete a drawing on the Model tab, you can begin creating a layout to plot by clicking a layout tab. When you click a layout tab for the first time, a single viewport is displayed on the page. A dashed line indicates the printable area of the paper for the currently configured paper size and plotter.

Once you have your layout set up, you specify the settings for the layout's page setup, which includes the plot device settings and other settings that affect the appearance and format of the output. The settings you specify in the page setup are stored in the drawing file with the layout. You can modify the settings of a page setup at any time.

By default, every initialized layout has a page setup associated with it. You can initialize a layout by clicking on its tab to activate the previously unused layout. A layout does not contain any plot settings before initialization. A layout must be initialized (its paper size can be defined in the page setup to any size other than 0 x 0) before it can be published. Once initialized, layouts can be drawn upon, published, and added to sheet sets as sheets (after the drawing has been saved). You can apply a named page setup saved with one layout to another layout. This creates a new page setup with the same settings as the first one.

If you want the Page Setup Manager to be displayed each time you begin a new drawing layout, select the Show Page Setup Manager for New Layouts option on the Display tab in the Options dialog box. If you don't want a viewport to be automatically created for each new layout, clear the Create Viewport in New Layouts option on the Display tab in the Options dialog box.


Overview of Page Setup Settings (Procedure)

Specify Page Setup Settings
Up a level to ..
Overview of Page Setup Settings
Plot and Publish Drawings > Prepare Drawings for Plotting and Publishing > Specify Page Setup Settings > Overview of Page Setup Settings >
Overview of Page Setup Settings
Concept Procedure Quick Reference

To modify the settings of a layout's page setup

To apply a layout's named page setup to another layout


To modify the settings of a layout's page setup (Procedure)

Overview of Page Setup Settings
Up a level to ..
Overview of Page Setup Settings
Plot and Publish Drawings > Prepare Drawings for Plotting and Publishing > Specify Page Setup Settings > Overview of Page Setup Settings >
Overview of Page Setup Settings
Concept Procedure Quick Reference

To modify the settings of a layout's page setup

  1. Click the layout tab for which you want to modify the page setup settings.
  2. Click Output tab [image] Plot panel [image] Page Setup Manager. At the command prompt, enter pagesetup.
  3. In the Page Setup Manager, Page Setups area, select the page setup that you want to modify.
  4. Click Modify.
  5. In the Page Setup dialog box, modify the required settings. Click OK.
  6. In the Page Setup Manager, click Close.
Toolbar: Layouts
Command entry: PAGESETUP
Shortcut menu: Right-click a layout tab. Click Page Setup Manager.


To apply a layout's named page setup to another layout (Procedure)

Overview of Page Setup Settings
Up a level to ..
Select a Printer or Plotter for a Layout
Plot and Publish Drawings > Prepare Drawings for Plotting and Publishing > Specify Page Setup Settings > Overview of Page Setup Settings >
Overview of Page Setup Settings
Concept Procedure Quick Reference

To apply a layout's named page setup to another layout

  1. Click the layout tab to which you want to apply another layout's page setup settings.
  2. Click Output tab [image] Plot panel [image] Page Setup Manager. At the command prompt, enter pagesetup.
  3. In the Page Setup Manager, Page Setups area, select a named page setup that you want to apply to the layout selected in the drawing area.
  4. Click Set Current.
  5. Click Close.
Toolbar: Layouts
Command entry: PAGESETUP
Shortcut menu: Right-click a layout tab. Click Page Setup Manager.


Overview of Page Setup Settings (Quick Reference)

Quick Start to Saving Settings for Plotting and Publishing
Overview of Page Setup Settings
Select a Printer or Plotter for a Layout
Plot and Publish Drawings > Prepare Drawings for Plotting and Publishing > Specify Page Setup Settings > Overview of Page Setup Settings >
Overview of Page Setup Settings
Concept Procedure Quick Reference

Commands

PAGESETUP

Controls the page layout, plotting device, paper size, and other settings for each new layout

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Select a Printer or Plotter for a Layout (Concept)

Overview of Page Setup Settings
Specify Page Setup Settings
Select a Paper Size for a Layout
Plot and Publish Drawings > Prepare Drawings for Plotting and Publishing > Specify Page Setup Settings >
Select a Printer or Plotter for a Layout
Concept Procedure Quick Reference

When you create a layout, you must select a printing or plotting device in the Page Setup dialog box in order for the layout to be printed or plotted. Once you've selected a device, you can view details about the name and location of the device, and you can change the device's configuration.

The printer or plotter you select in the Page Setup dialog box determines the printable area of the layout. This printable area is indicated by the dashed line in the layout. If you change the paper size or the printing or plotting device, it may change the printable area of your drawing page.

See Also

    • Select a Printer or Plotter

    • Control PC3 File Device and Document Settings in the Driver and Peripheral Guide


Select a Printer or Plotter for a Layout (Procedure)

Overview of Page Setup Settings
Up a level to ..
Select a Printer or Plotter for a Layout
Plot and Publish Drawings > Prepare Drawings for Plotting and Publishing > Specify Page Setup Settings > Select a Printer or Plotter for a Layout >
Select a Printer or Plotter for a Layout
Concept Procedure Quick Reference

To select a printer or plotter for a layout

To change the configuration of a printer or plotter specified in a page setup


To select a printer or plotter for a layout (Procedure)

Select a Printer or Plotter for a Layout
Up a level to ..
Select a Printer or Plotter for a Layout
Plot and Publish Drawings > Prepare Drawings for Plotting and Publishing > Specify Page Setup Settings > Select a Printer or Plotter for a Layout >
Select a Printer or Plotter for a Layout
Concept Procedure Quick Reference

To select a printer or plotter for a layout

  1. Click the layout tab for which you want to specify a printer or plotter.
  2. Click Output tab [image] Plot panel [image] Page Setup Manager. At the command prompt, enter pagesetup.
  3. In the Page Setup Manager, Page Setups area, select the page setup that you want to modify.
  4. Click Modify.
  5. In the Page Setup dialog box, under Printer/Plotter, select a printer or plotter from the list. Click OK.
  6. In the Page Setup Manager, click Close.
Toolbar: Layouts
Command entry: PAGESETUP
Shortcut menu: Right-click a layout tab and select Page Setup Manager.


To change the configuration of a printer or plotter specified in a page setup (Procedure)

Select a Printer or Plotter for a Layout
Up a level to ..
Select a Paper Size for a Layout
Plot and Publish Drawings > Prepare Drawings for Plotting and Publishing > Specify Page Setup Settings > Select a Printer or Plotter for a Layout >
Select a Printer or Plotter for a Layout
Concept Procedure Quick Reference

To change the configuration of a printer or plotter specified in a page setup

  1. Click the layout tab for which you want to specify a printer or plotter.
  2. Click Output tab [image] Plot panel [image] Page Setup Manager. At the command prompt, enter pagesetup.
  3. In the Page Setup Manager, Page Setups area, select the page setup that you want to modify.
  4. Click Modify.
  5. In the Page Setup dialog box, under Printer/Plotter, click Properties.
  6. In the Plotter Configuration Editor, change the required settings. Click OK.
  7. In the Page Setup dialog box, click OK.
  8. In the Page Setup Manager, click Close.
Toolbar: Layouts
Command entry: PAGESETUP
Shortcut menu: Right-click a layout tab. Click Page Setup Manager.


Select a Printer or Plotter for a Layout (Quick Reference)

Overview of Page Setup Settings
Select a Printer or Plotter for a Layout
Select a Paper Size for a Layout
Plot and Publish Drawings > Prepare Drawings for Plotting and Publishing > Specify Page Setup Settings > Select a Printer or Plotter for a Layout >
Select a Printer or Plotter for a Layout
Concept Procedure Quick Reference

Commands

PAGESETUP

Controls the page layout, plotting device, paper size, and other settings for each new layout

PLOT

Plots a drawing to a plotter, printer, or file

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Select a Paper Size for a Layout (Concept)

Select a Printer or Plotter for a Layout
Specify Page Setup Settings
Set the Plot Area of a Layout
Plot and Publish Drawings > Prepare Drawings for Plotting and Publishing > Specify Page Setup Settings >
Select a Paper Size for a Layout
Concept Procedure Quick Reference

You can select a paper size from a standard list, or you can add custom paper sizes using the Plotter Configuration Editor.

You can select a paper size from a standard list. The paper sizes available in the list are determined by the plot device that is currently selected for the layout. If your plotter is configured for raster output, you must specify the output size in pixels. You can add custom paper sizes, which are stored in the plotter configuration (PC3) file, using the Plotter Configuration Editor.

If you are using a system printer, the paper size is determined by the document defaults that are set in the Windows Control Panel. The default paper size is displayed in the Page Setup dialog box when you create a new layout for that configured device. If you change the paper size in the Page Setup dialog box, the new paper size is saved with the layout and overrides the size saved in the plotter configuration (PC3) file.

See Also

    • Control PC3 File Device and Document Settings in the Driver and Peripheral Guide


Select a Paper Size for a Layout (Procedure)

Select a Printer or Plotter for a Layout
Up a level to ..
Select a Paper Size for a Layout
Plot and Publish Drawings > Prepare Drawings for Plotting and Publishing > Specify Page Setup Settings > Select a Paper Size for a Layout >
Select a Paper Size for a Layout
Concept Procedure Quick Reference

To set the paper size for a layout

To start the Plotter Configuration Editor

To add a custom paper size from scratch

To add a new custom paper size starting from an existing paper size

To edit a custom paper size

To delete a custom paper size

To modify a standard paper size


To set the paper size for a layout (Procedure)

Select a Paper Size for a Layout
Up a level to ..
Select a Paper Size for a Layout
Plot and Publish Drawings > Prepare Drawings for Plotting and Publishing > Specify Page Setup Settings > Select a Paper Size for a Layout >
Select a Paper Size for a Layout
Concept Procedure Quick Reference

To set the paper size for a layout

  1. Click the layout tab for which you want to set the paper size.
  2. Click Output tab [image] Plot panel [image] Page Setup Manager. At the command prompt, enter pagesetup.
  3. In the Page Setup Manager, Page Setups area, select the page setup that you want to modify.
  4. Click Modify.
  5. In the Page Setup dialog box, under Paper Size, select a paper size from the list. Click OK.
  6. In the Page Setup Manager, click Close.
Toolbar: Layouts
Command entry: PAGESETUP
Shortcut menu: Right-click a layout tab. Click Page Setup Manager.


To start the Plotter Configuration Editor (Procedure)

Select a Paper Size for a Layout
Up a level to ..
Select a Paper Size for a Layout
Plot and Publish Drawings > Prepare Drawings for Plotting and Publishing > Specify Page Setup Settings > Select a Paper Size for a Layout >
Select a Paper Size for a Layout
Concept Procedure Quick Reference

To start the Plotter Configuration Editor

  1. Click Output tab [image] Plot panel [image] Plotter Manager. At the command prompt, enter plottermanager.
  2. In the Plotter Manager, double-click the plotter configuration (PC3) file you want to edit.

    The Plotter Configuration Editor is displayed.

Command entry: PLOTTERMANAGER


To add a custom paper size from scratch (Procedure)

Select a Paper Size for a Layout
Up a level to ..
Select a Paper Size for a Layout
Plot and Publish Drawings > Prepare Drawings for Plotting and Publishing > Specify Page Setup Settings > Select a Paper Size for a Layout >
Select a Paper Size for a Layout
Concept Procedure Quick Reference

To add a custom paper size from scratch

  1. Click Output tab [image] Plot panel [image] Plotter Manager. At the command prompt, enter plottermanager.
  2. In the Plotter Manager, double-click the plotter configuration (PC3) file you want to edit.
  3. In the Plotter Configuration Editor, Device and Document Settings tab, double-click User-Defined Paper Sizes & Calibration to display the calibration and paper size options.
  4. Select Custom Paper Sizes.
  5. Under Custom Paper Sizes, click Add.
  6. In the Custom Paper Size wizard, Begin page, select Start from Scratch. Click Next.
  7. On the Media Bounds page, in the Units list, select either Inches or Millimeters for paper size.

    When a nondimensional raster image, such as BMP or TIFF, is plotted, the size of the plot is specified in pixels, not inches or millimeters.

  8. In the Width and Length lists, specify the paper width and length. Click Next.
    NoteEach plotter has a maximum printable area determined by where it grips the paper and how far the pen shuttle reaches. If you are creating a paper size that is larger than the paper sizes offered in the Custom Paper Size wizard, verify that the plotter is capable of plotting the new dimensions.
  9. On the Printable Area page, use Top, Bottom, Left, and Right to specify the printable area. Click Next.
  10. On the Paper Size Name page, enter a name for the paper size. Click Next.
  11. On the File Name page, enter a name for the PMP file.
  12. On the Finish page, specify whether the paper source is Sheet-Fed or Roll-Fed.
  13. Click Print Test Page to verify the custom size.

    A cross is printed that defines the paper size and a rectangle that defines the printable area. If all four sides of the rectangle are not printed, increase the printable area.

  14. Click Finish to exit the Custom Paper Size wizard.
Command entry: PLOTTERMANAGER


To add a new custom paper size starting from an existing paper size (Procedure)

Select a Paper Size for a Layout
Up a level to ..
Select a Paper Size for a Layout
Plot and Publish Drawings > Prepare Drawings for Plotting and Publishing > Specify Page Setup Settings > Select a Paper Size for a Layout >
Select a Paper Size for a Layout
Concept Procedure Quick Reference

To add a new custom paper size starting from an existing paper size

  1. Click Output tab [image] Plot panel [image] Plotter Manager. At the command prompt, enter plottermanager.
  2. In the Plotter Manager, double-click the plotter configuration (PC3) file you want to edit.
  3. In the Plotter Configuration Editor, Device and Document Settings tab, double-click User-Defined Paper Sizes & Calibration to display the calibration and paper size settings.
  4. Select Custom Paper Sizes.
  5. Under Custom Paper Sizes, click Add.
  6. In the Custom Paper Size wizard, Begin page, select Use Existing.
  7. In the list of existing standard paper sizes, select a paper size on which to base the custom paper size you are creating.
  8. Follow the instructions in To add a custom paper size from scratch to continue through the Custom Paper Size wizard.

    The new paper size is a user-defined size, not a standard size.

  9. Click Finish to exit the Custom Paper Size wizard.
Command entry: PLOTTERMANAGER


To edit a custom paper size (Procedure)

Select a Paper Size for a Layout
Up a level to ..
Select a Paper Size for a Layout
Plot and Publish Drawings > Prepare Drawings for Plotting and Publishing > Specify Page Setup Settings > Select a Paper Size for a Layout >
Select a Paper Size for a Layout
Concept Procedure Quick Reference

To edit a custom paper size

  1. Click Output tab [image] Plot panel [image] Plotter Manager. At the command prompt, enter plottermanager.
  2. In the Plotter Manager, double-click the plotter configuration (PC3) file you want to edit.
  3. In the Plotter Configuration Editor, Device and Document Settings tab, double-click User-Defined Paper Sizes & Calibration to display the calibration and paper size settings.
  4. Select Custom Paper Sizes.
  5. Under Custom Paper Sizes, select a paper size from the list. Click Edit.
  6. In the Custom Paper Size wizard, make changes to the paper size, printable area, custom paper size name, and source.
  7. Click Finish to exit the Custom Paper Size wizard.
Command entry: PLOTTERMANAGER


To delete a custom paper size (Procedure)

Select a Paper Size for a Layout
Up a level to ..
Select a Paper Size for a Layout
Plot and Publish Drawings > Prepare Drawings for Plotting and Publishing > Specify Page Setup Settings > Select a Paper Size for a Layout >
Select a Paper Size for a Layout
Concept Procedure Quick Reference

To delete a custom paper size

  1. Click Output tab [image] Plot panel [image] Plotter Manager. At the command prompt, enter plottermanager.
  2. In the Plotter Manager, double-click the plotter configuration (PC3) file you want to edit.
  3. In the Plotter Configuration Editor, Device and Document Settings tab, double-click User-Defined Paper Sizes & Calibration to display the calibration and paper size settings.
  4. Click Custom Paper Sizes.
  5. Under Custom Paper Sizes, select a paper size from the list.
  6. Click Delete.
Command entry: PLOTTERMANAGER


To modify a standard paper size (Procedure)

Select a Paper Size for a Layout
Up a level to ..
Set the Plot Area of a Layout
Plot and Publish Drawings > Prepare Drawings for Plotting and Publishing > Specify Page Setup Settings > Select a Paper Size for a Layout >
Select a Paper Size for a Layout
Concept Procedure Quick Reference

To modify a standard paper size

  1. Click Output tab [image] Plot panel [image] Plotter Manager. At the command prompt, enter plottermanager.
  2. In the Plotter Manager, double-click the Plotter Configuration (PC3) file you want to edit.
  3. In the Plotter Configuration Editor, Device and Document Settings tab, double-click User-Defined Paper Sizes & Calibration to display the calibration and paper size settings.
  4. Select Modify Standard Paper Sizes.
  5. Under Modify Standard Paper Sizes, select the paper size you want to adjust. Click Modify.
  6. In the Custom Paper Size wizard, adjust the printable area as necessary. Click Finish to exit the Custom Paper Size wizard.
Command entry: PLOTTERMANAGER


Select a Paper Size for a Layout (Quick Reference)

Select a Printer or Plotter for a Layout
Select a Paper Size for a Layout
Set the Plot Area of a Layout
Plot and Publish Drawings > Prepare Drawings for Plotting and Publishing > Specify Page Setup Settings > Select a Paper Size for a Layout >
Select a Paper Size for a Layout
Concept Procedure Quick Reference

Commands

PAGESETUP

Controls the page layout, plotting device, paper size, and other settings for each new layout

PLOTTERMANAGER

Displays the Plotter Manager, where you can add or edit a plotter configuration

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Set the Plot Area of a Layout (Concept)

Select a Paper Size for a Layout
Specify Page Setup Settings
Adjust the Plot Offset of a Layout
Plot and Publish Drawings > Prepare Drawings for Plotting and Publishing > Specify Page Setup Settings >
Set the Plot Area of a Layout
Concept Procedure Quick Reference

You can specify the plot area to determine what will be included in the plot.

When you prepare to plot from the Model tab or a layout tab, you can specify the plot area to determine what will be included in the plot. When you create a new layout, the default Plot Area option is Layout. Layout plots all objects within the printable area of the specified paper size.

The Display Plot Area option plots all the objects displayed in the drawing. The Extents Plot Area option plots all the visible objects in the drawing. The View Plot Area option plots a saved view. You can use the Window Plot Area option to define an area to be plotted.

See Also

    • Specify the Area to Plot


To set the plot area and adjust the display (Procedure)

Select a Paper Size for a Layout
Up a level to ..
Adjust the Plot Offset of a Layout
Plot and Publish Drawings > Prepare Drawings for Plotting and Publishing > Specify Page Setup Settings > Set the Plot Area of a Layout >
Set the Plot Area of a Layout
Concept Procedure Quick Reference

To set the plot area and adjust the display

  1. Click the layout tab for which you want to set the plot area and adjust the display.
  2. Click Output tab [image] Plot panel [image] Page Setup Manager. At the command prompt, enter pagesetup.
  3. In the Page Setup Manager, Page Setups area, select the page setup that you want to modify.
  4. Click Modify.
  5. In the Page Setup dialog box, under Plot Area, select one of the following options:
    • Layout. Prints all objects within the printable area of the paper. This option is only available from a layout tab.
    • Limits. Prints or plots the current grid limits. This option is only available from the Model tab.
    • Extents. Plots all objects in the drawing.
    • Display. Plots all objects displayed in the drawing area.
    • View. Prints or plots a saved view. Select a named view from the list provided.
    • Window. Plots objects in the area you define. Select the Window option, and then respond to the prompts to define the area. Click the Window button to edit the defined area.
  6. Click OK.
  7. In the Page Setup Manager, click Close.
Toolbar: Layouts
Command entry: PAGESETUP
Shortcut menu: Right-click a layout tab. Click Page Setup Manager.


Set the Plot Area of a Layout (Quick Reference)

Select a Paper Size for a Layout
Set the Plot Area of a Layout
Adjust the Plot Offset of a Layout
Plot and Publish Drawings > Prepare Drawings for Plotting and Publishing > Specify Page Setup Settings > Set the Plot Area of a Layout >
Set the Plot Area of a Layout
Concept Procedure Quick Reference

Commands

PAGESETUP

Controls the page layout, plotting device, paper size, and other settings for each new layout

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Adjust the Plot Offset of a Layout (Concept)

Set the Plot Area of a Layout
Specify Page Setup Settings
Set the Plot Scale for a Layout
Plot and Publish Drawings > Prepare Drawings for Plotting and Publishing > Specify Page Setup Settings >
Adjust the Plot Offset of a Layout
Concept Procedure Quick Reference

The printable area of a drawing sheet is defined by the selected output device and is represented by the dashed line in a layout. When you change the output device, the printable area may change.

The plot offset specifies an offset of the plot area relative to the lower-left corner (the origin) of the printable area or the edge of the paper, depending on the Specify Plot Offset Relative To option specified in the Options dialog box, Plot and Publish tab. The Plot Offset area of the Plot dialog box displays the specified plot offset option in parentheses.

You can offset the geometry on the paper by entering a positive or negative value in the X and Y Offset boxes. However, this may result in the plot area being clipped.

If you choose to plot an area other than the entire layout, you can also center the plot on the sheet of paper.


To adjust the plot offset of a layout (Procedure)

Set the Plot Area of a Layout
Up a level to ..
Set the Plot Scale for a Layout
Plot and Publish Drawings > Prepare Drawings for Plotting and Publishing > Specify Page Setup Settings > Adjust the Plot Offset of a Layout >
Adjust the Plot Offset of a Layout
Concept Procedure Quick Reference

To adjust the plot offset of a layout

  1. Click the layout tab for which you want to adjust the plot offset.
  2. Click Output tab [image] Plot panel [image] Page Setup Manager. At the command prompt, enter pagesetup.
  3. In the Page Setup Manager, Page Setups area, select the page setup that you want to modify.
  4. Click Modify.
  5. In the Page Setup dialog box, under Plot Offset, enter a value in units for X or Y or both. Click OK.
  6. In the Page Setup Manager, click Close.
Toolbar: Layouts
Command entry: PAGESETUP
Shortcut menu: Right-click a layout tab. Click Page Setup Manager.


Adjust the Plot Offset of a Layout (Quick Reference)

Set the Plot Area of a Layout
Adjust the Plot Offset of a Layout
Set the Plot Scale for a Layout
Plot and Publish Drawings > Prepare Drawings for Plotting and Publishing > Specify Page Setup Settings > Adjust the Plot Offset of a Layout >
Adjust the Plot Offset of a Layout
Concept Procedure Quick Reference

Commands

PAGESETUP

Controls the page layout, plotting device, paper size, and other settings for each new layout

System Variables

PLOTOFFSET

Controls whether the plot offset is relative to the printable area or to the edge of the paper

Utilities

No entries

Command Modifiers

No entries


Set the Plot Scale for a Layout (Concept)

Adjust the Plot Offset of a Layout
Specify Page Setup Settings
Set the Lineweight Scale for a Layout
Plot and Publish Drawings > Prepare Drawings for Plotting and Publishing > Specify Page Setup Settings >
Set the Plot Scale for a Layout
Concept Procedure Quick Reference

When you plot a drawing layout, you can either specify a precise scale for the layout or fit the image to the paper.

Normally, you plot a layout at a 1:1 scale. To specify a different scale for the layout, set the plot scale for the layout in the Page Setup or the Plot dialog box. In those dialog boxes, you can select a scale from a list or enter a scale.

NoteYou can modify the list of scales with SCALELISTEDIT.

When you are reviewing an early draft view, a precise scale is not always important. You can use the Fit to Paper setting to plot the layout at the largest possible size that fits the paper.

See Also

    • Scale Views in Layout Viewports

    • Draw, Scale, and Annotate in Model Space


Set the Plot Scale for a Layout (Procedure)

Adjust the Plot Offset of a Layout
Up a level to ..
Set the Plot Scale for a Layout
Plot and Publish Drawings > Prepare Drawings for Plotting and Publishing > Specify Page Setup Settings > Set the Plot Scale for a Layout >
Set the Plot Scale for a Layout
Concept Procedure Quick Reference

To set the plot scale in a layout

To set the Fit to Paper option when plotting


To set the plot scale in a layout (Procedure)

Set the Plot Scale for a Layout
Up a level to ..
Set the Plot Scale for a Layout
Plot and Publish Drawings > Prepare Drawings for Plotting and Publishing > Specify Page Setup Settings > Set the Plot Scale for a Layout >
Set the Plot Scale for a Layout
Concept Procedure Quick Reference

To set the plot scale in a layout

  1. Click the layout tab for which you want to set the plot scale.
  2. Click Output tab [image] Plot panel [image] Page Setup Manager. At the command prompt, enter pagesetup.
  3. In the Page Setup Manager, Page Setups area, select the page setup that you want to modify.
  4. Click Modify.
  5. In the Page Setup dialog box, under Plot Scale, select a scale from the Scale list.

    The default scale when plotting a layout is 1:1. To set a custom plot scale, enter values in the Inches or Millimeters box and the Units box. The type of unit is determined by the paper size, but you can change it in the list box.

  6. Click OK.
  7. In the Page Setup Manager, click Close.
Toolbar: Layouts
Command entry: PAGESETUP
Shortcut menu: Right-click a layout tab. Click Page Setup.


To set the Fit to Paper option when plotting (Procedure)

Set the Plot Scale for a Layout
Up a level to ..
Set the Lineweight Scale for a Layout
Plot and Publish Drawings > Prepare Drawings for Plotting and Publishing > Specify Page Setup Settings > Set the Plot Scale for a Layout >
Set the Plot Scale for a Layout
Concept Procedure Quick Reference

To set the Fit to Paper option when plotting

  1. Click the layout tab for which you want to set the plot scale to Fit to Paper.
  2. Click Output tab [image] Plot panel [image] Page Setup Manager. At the command prompt, enter pagesetup.
  3. In the Page Setup Manager, Page Setups area, select the page setup that you want to modify.
  4. Click Modify.
  5. In the Page Setup dialog box, Under Plot Scale, select Fit to Paper.
    NoteIf the Plot Area is set to Layout, you cannot select the Fit to Paper option.
  6. Click OK.
  7. In the Page Setup Manager, click Close.
Toolbar: Layouts
Command entry: PAGESETUP
Shortcut menu: Right-click a layout tab. Click Page Setup Manager.


Set the Plot Scale for a Layout (Quick Reference)

Adjust the Plot Offset of a Layout
Set the Plot Scale for a Layout
Set the Lineweight Scale for a Layout
Plot and Publish Drawings > Prepare Drawings for Plotting and Publishing > Specify Page Setup Settings > Set the Plot Scale for a Layout >
Set the Plot Scale for a Layout
Concept Procedure Quick Reference

Commands

SCALELISTEDIT

Controls the list of scales available for layout viewports, page layouts, and plotting

PAGESETUP

Controls the page layout, plotting device, paper size, and other settings for each new layout

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Set the Lineweight Scale for a Layout (Concept)

Set the Plot Scale for a Layout
Specify Page Setup Settings
Select a Plot Style Table for a Layout
Plot and Publish Drawings > Prepare Drawings for Plotting and Publishing > Specify Page Setup Settings >
Set the Lineweight Scale for a Layout
Concept Procedure Quick Reference

You can scale lineweights proportionately in a layout with the plot scale.

Typically, lineweights specify the line width of plotted objects and are plotted with the line width size regardless of the plot scale. Most often, you use the default plot scale of 1:1 when plotting a layout. However, if you want to plot an E-size layout that is scaled to fit on an A-size sheet of paper, for example, you can specify lineweights to be scaled in proportion to the new plot scale.

See Also

    • Control Lineweights


To scale lineweights in a layout (Procedure)

Set the Plot Scale for a Layout
Up a level to ..
Select a Plot Style Table for a Layout
Plot and Publish Drawings > Prepare Drawings for Plotting and Publishing > Specify Page Setup Settings > Set the Lineweight Scale for a Layout >
Set the Lineweight Scale for a Layout
Concept Procedure Quick Reference

To scale lineweights in a layout

  1. Click the layout tab for which you want to scale lineweights.
  2. Click Output tab [image] Plot panel [image] Page Setup Manager. At the command prompt, enter pagesetup.
  3. In the Page Setup Manager, Page Setups area, select the page setup that you want to modify.
  4. Click Modify.
  5. In the Page Setup dialog box, under Plot Scale, select Scale Lineweights.

    The lineweights in the current layout are scaled in proportion to the designated plot scale. When you are working in the Model tab, this option is not available.

  6. Click OK.
  7. In the Page Setup Manager, click Close.
Toolbar: Layouts
Command entry: PAGESETUP
Shortcut menu: Right-click a layout tab. Click Page Setup Manager.


Set the Lineweight Scale for a Layout (Quick Reference)

Set the Plot Scale for a Layout
Set the Lineweight Scale for a Layout
Select a Plot Style Table for a Layout
Plot and Publish Drawings > Prepare Drawings for Plotting and Publishing > Specify Page Setup Settings > Set the Lineweight Scale for a Layout >
Set the Lineweight Scale for a Layout
Concept Procedure Quick Reference

Commands

PAGESETUP

Controls the page layout, plotting device, paper size, and other settings for each new layout

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Select a Plot Style Table for a Layout (Concept)

Set the Lineweight Scale for a Layout
Specify Page Setup Settings
Set Shaded Viewport and Plot Options for a Layout
Plot and Publish Drawings > Prepare Drawings for Plotting and Publishing > Specify Page Setup Settings >
Select a Plot Style Table for a Layout
Concept Procedure Quick Reference

A plot style table is a collection of plot styles assigned to a layout or the Model tab. A plot style is an object property, similar to linetype and color. A plot style can be assigned to an object or assigned to a layer. A plot style controls an object's plotted properties.

You can also create a new plot style table to save in the page setup for the layout or edit an existing plot style table.

If you select the Display Plot Styles option under Plot Style Table (Pen Assignments), the properties of the plot styles assigned to objects are displayed in the selected layout.

See Also

    • Control How Objects Are Plotted


Select a Plot Style Table for a Layout (Procedure)

Set the Lineweight Scale for a Layout
Up a level to ..
Select a Plot Style Table for a Layout
Plot and Publish Drawings > Prepare Drawings for Plotting and Publishing > Specify Page Setup Settings > Select a Plot Style Table for a Layout >
Select a Plot Style Table for a Layout
Concept Procedure Quick Reference

To select a plot style table for a layout

To create a new plot style table for a layout

To edit a plot style table for a layout

To display plot styles in a layout


To select a plot style table for a layout (Procedure)

Select a Plot Style Table for a Layout
Up a level to ..
Select a Plot Style Table for a Layout
Plot and Publish Drawings > Prepare Drawings for Plotting and Publishing > Specify Page Setup Settings > Select a Plot Style Table for a Layout >
Select a Plot Style Table for a Layout
Concept Procedure Quick Reference

To select a plot style table for a layout

  1. Click the layout tab for which you want to select a plot style table.
  2. Click Output tab [image] Plot panel [image] Page Setup Manager. At the command prompt, enter pagesetup.
  3. In the Page Setup Manager, Page Setups area, select the page setup that you want to modify.
  4. Click Modify.
  5. In the Page Setup dialog box, Under Plot Style Table, select a Plot Style Table from the list.
  6. Click OK.
  7. In the Page Setup Manager, click Close.
Toolbar: Layouts
Command entry: PAGESETUP
Shortcut menu: Right-click a layout tab. Click Page Setup Manager.


To create a new plot style table for a layout (Procedure)

Select a Plot Style Table for a Layout
Up a level to ..
Select a Plot Style Table for a Layout
Plot and Publish Drawings > Prepare Drawings for Plotting and Publishing > Specify Page Setup Settings > Select a Plot Style Table for a Layout >
Select a Plot Style Table for a Layout
Concept Procedure Quick Reference

To create a new plot style table for a layout

  1. Click the layout tab for which you want to create a new plot style table.
  2. Click Output tab [image] Plot panel [image] Page Setup Manager. At the command prompt, enter pagesetup.
  3. In the Page Setup Manager, Page Setups area, select the page setup that you want to modify.
  4. Click Modify.
  5. In the Page Setup dialog box, Under Plot Style Table, select New from the list.
  6. Follow the instructions in the wizard that is shown (the Add Color-Dependent Plot Style Table wizard or the Add Named Plot Style Table wizard).
  7. In the Page Setup dialog box, click OK.
  8. In the Page Setup Manager, click Close.
Toolbar: Layouts
Command entry: PAGESETUP
Shortcut menu: Right-click a layout tab. Click Page Setup Manager.


To edit a plot style table for a layout (Procedure)

Select a Plot Style Table for a Layout
Up a level to ..
Select a Plot Style Table for a Layout
Plot and Publish Drawings > Prepare Drawings for Plotting and Publishing > Specify Page Setup Settings > Select a Plot Style Table for a Layout >
Select a Plot Style Table for a Layout
Concept Procedure Quick Reference

To edit a plot style table for a layout

  1. Click the layout tab for which you want to edit a plot style table.
  2. Click Output tab [image] Plot panel [image] Page Setup Manager. At the command prompt, enter pagesetup.
  3. In the Page Setup Manager, Page Setups area, select the page setup that you want to modify.
  4. Click Modify.
  5. In the Page Setup dialog box, under Plot Style Table, select the plot style table you want to edit from the list.
  6. Click the Edit button.
  7. In the Plot Style Table Editor, make the required changes. Click Save & Close.
  8. In the Page Setup dialog box, click OK.
  9. In the Page Setup Manager, click Close.
Toolbar: Layouts
Command entry: PAGESETUP
Shortcut menu: Right-click a layout tab. Click Page Setup Manager.


To display plot styles in a layout (Procedure)

Select a Plot Style Table for a Layout
Up a level to ..
Set Shaded Viewport and Plot Options for a Layout
Plot and Publish Drawings > Prepare Drawings for Plotting and Publishing > Specify Page Setup Settings > Select a Plot Style Table for a Layout >
Select a Plot Style Table for a Layout
Concept Procedure Quick Reference

To display plot styles in a layout

  1. Click the layout tab for which you want to display plot styles.
  2. Click Output tab [image] Plot panel [image] Page Setup Manager. At the command prompt, enter pagesetup.
  3. In the Page Setup Manager, Page Setups area, select the page setup that you want to modify.
  4. Click Modify.
  5. In the Page Setup dialog box, under Plot Style Table, select the Display Plot Styles option.
  6. Click OK.
  7. In the Page Setup Manager, click Close.
Toolbar: Layouts
Command entry: PAGESETUP
Shortcut menu: Right-click a layout tab. Click Page Setup Manager.


Select a Plot Style Table for a Layout (Quick Reference)

Set the Lineweight Scale for a Layout
Select a Plot Style Table for a Layout
Set Shaded Viewport and Plot Options for a Layout
Plot and Publish Drawings > Prepare Drawings for Plotting and Publishing > Specify Page Setup Settings > Select a Plot Style Table for a Layout >
Select a Plot Style Table for a Layout
Concept Procedure Quick Reference

Commands

PAGESETUP

Controls the page layout, plotting device, paper size, and other settings for each new layout

STYLESMANAGER

Displays the Plot Style Manager

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Set Shaded Viewport and Plot Options for a Layout (Concept)

Select a Plot Style Table for a Layout
Specify Page Setup Settings
Determine the Drawing Orientation of a Layout
Plot and Publish Drawings > Prepare Drawings for Plotting and Publishing > Specify Page Setup Settings >
Set Shaded Viewport and Plot Options for a Layout
Concept Procedure Quick Reference

Shaded viewport and plot options settings affect how objects are plotted and are saved in the page setup.

Shaded viewport and plot options affect how objects are plotted. The options for shaded viewport plotting give you a large degree of flexibility in conveying your three-dimensional designs to others. You can convey your design intent by choosing how viewports are plotted and by specifying resolution levels.

Shaded Viewport Plotting Options

With shaded plotting options, you can choose whether to plot a set of shaded objects using the As Displayed, Wireframe, Hidden, or Rendered option.

Shaded viewport plotting options apply to all objects in viewports and model space. If you use the Shaded or Rendered options, plot style tables included in the page setup do not affect plots. If you use the Render option, two-dimensional wireframe objects, such as lines, arcs, and text, are not plotted.

NoteShaded viewport plotting requires a raster-capable device. Most modern plotters and printers are raster-capable devices.

Plot Options

The following options that can be specified for layouts affect how objects are plotted.

  • Plot Object Lineweights. Specifies that lineweights assigned to objects and layers are plotted.
  • Plot with Plot Styles. Specifies that the drawing is plotted using plot styles. Selecting this option automatically plots lineweights. If you do not select this option, objects are plotted with their assigned properties and not with the plot style overrides.
  • Plot Paper Space Last. Specifies that objects in model space are plotted before those in paper space.
  • Hide Paperspace Objects. Specifies whether the Hide operation applies to objects in the paper space viewport. This option is available only from a layout tab. The effect of this setting is reflected in the plot preview, but not in the layout.
See Also

    • Set Shaded Viewport Options

    • Set Options for Plotted Objects


Set Shaded Viewport and Plot Options for a Layout (Procedure)

Select a Plot Style Table for a Layout
Up a level to ..
Set Shaded Viewport and Plot Options for a Layout
Plot and Publish Drawings > Prepare Drawings for Plotting and Publishing > Specify Page Setup Settings > Set Shaded Viewport and Plot Options for a Layout >
Set Shaded Viewport and Plot Options for a Layout
Concept Procedure Quick Reference

To set shaded viewport options for a layout

To set plot options for a layout


To set shaded viewport options for a layout (Procedure)

Set Shaded Viewport and Plot Options for a Layout
Up a level to ..
Set Shaded Viewport and Plot Options for a Layout
Plot and Publish Drawings > Prepare Drawings for Plotting and Publishing > Specify Page Setup Settings > Set Shaded Viewport and Plot Options for a Layout >
Set Shaded Viewport and Plot Options for a Layout
Concept Procedure Quick Reference

To set shaded viewport options for a layout

  1. Click the layout tab for which you want to set shaded viewport options.
  2. Click Output tab [image] Plot panel [image] Page Setup Manager. At the command prompt, enter pagesetup.
  3. In the Page Setup Manager, Page Setups area, select the page setup that you want to modify.
  4. Click Modify.
  5. In the Page Setup dialog box, under Shaded Viewport Options, select the required settings.
  6. Click OK.
  7. In the Page Setup Manager, click Close.
Toolbar: Layouts
Command entry: PAGESETUP
Shortcut menu: Right-click a layout tab. Click Page Setup Manager.


To set plot options for a layout (Procedure)

Set Shaded Viewport and Plot Options for a Layout
Up a level to ..
Determine the Drawing Orientation of a Layout
Plot and Publish Drawings > Prepare Drawings for Plotting and Publishing > Specify Page Setup Settings > Set Shaded Viewport and Plot Options for a Layout >
Set Shaded Viewport and Plot Options for a Layout
Concept Procedure Quick Reference

To set plot options for a layout

  1. Click the layout tab for which you want to set plot options.
  2. Click Output tab [image] Plot panel [image] Page Setup Manager. At the command prompt, enter pagesetup.
  3. In the Page Setup Manager, Page Setups area, select the page setup that you want to modify.
  4. Click Modify.
  5. In the Page Setup dialog box, under Plot Options, select the required settings.
  6. Click OK.
  7. In the Page Setup Manager, click Close.
Toolbar: Layouts
Command entry: PAGESETUP
Shortcut menu: Right-click a layout tab. Click Page Setup Manager.


Set Shaded Viewport and Plot Options for a Layout (Quick Reference)

Select a Plot Style Table for a Layout
Set Shaded Viewport and Plot Options for a Layout
Determine the Drawing Orientation of a Layout
Plot and Publish Drawings > Prepare Drawings for Plotting and Publishing > Specify Page Setup Settings > Set Shaded Viewport and Plot Options for a Layout >
Set Shaded Viewport and Plot Options for a Layout
Concept Procedure Quick Reference

Commands

PAGESETUP

Controls the page layout, plotting device, paper size, and other settings for each new layout

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Determine the Drawing Orientation of a Layout (Concept)

Set Shaded Viewport and Plot Options for a Layout
Specify Page Setup Settings
Use the Layout Wizard to Specify Layout Settings
Plot and Publish Drawings > Prepare Drawings for Plotting and Publishing > Specify Page Setup Settings >
Determine the Drawing Orientation of a Layout
Concept Procedure Quick Reference

You can specify the orientation of the drawing on the paper using the Landscape and Portrait settings. Landscape orients the drawing on the paper so that the long edge of the paper is horizontal, and Portrait orients the paper so that the short edge is horizontal. Changing the orientation creates the effect of rotating the paper underneath the drawing.

In either landscape or portrait orientation, you can select Plot Upside-Down to control whether the top or bottom of the drawing is plotted first.

Although you can specify the drawing orientation in both the Page Setup dialog box and the Plot dialog box, the Page Setup settings are always saved and reflected in the layout. In the Plot dialog box, you can override the page setup settings for a single plot; however, the settings you apply are not saved in the layout. To save the settings you apply using the Plot dialog box, click the Apply to Layout button in the Plot dialog box.

If you change the drawing orientation, the layout origin remains in the lower-left corner of the rotated page.


To set the orientation of the plotted drawing (Procedure)

Set Shaded Viewport and Plot Options for a Layout
Up a level to ..
Use the Layout Wizard to Specify Layout Settings
Plot and Publish Drawings > Prepare Drawings for Plotting and Publishing > Specify Page Setup Settings > Determine the Drawing Orientation of a Layout >
Determine the Drawing Orientation of a Layout
Concept Procedure Quick Reference

To set the orientation of the plotted drawing

  1. Click the layout tab for which you want to set the drawing orientation.
  2. Click Output tab [image] Plot panel [image] Page Setup Manager. At the command prompt, enter pagesetup.
  3. In the Page Setup Manager, Page Setups area, select the page setup that you want to modify.
  4. Click Modify.
  5. In the Page Setup dialog box, under Drawing Orientation, do one of the following:
    • If your drawing is horizontal, select Landscape.
    • If your drawing is vertical, select Portrait.
    • To rotate 180 degrees, select either Portrait or Landscape, and then select Plot Upside-Down.
  6. Click OK.
  7. In the Page Setup Manager, click Close.
Toolbar: Layouts
Command entry: PAGESETUP
Shortcut menu: Right-click a layout tab. Click Page Setup Manager.


Determine the Drawing Orientation of a Layout (Quick Reference)

Set Shaded Viewport and Plot Options for a Layout
Determine the Drawing Orientation of a Layout
Use the Layout Wizard to Specify Layout Settings
Plot and Publish Drawings > Prepare Drawings for Plotting and Publishing > Specify Page Setup Settings > Determine the Drawing Orientation of a Layout >
Determine the Drawing Orientation of a Layout
Concept Procedure Quick Reference

Commands

PAGESETUP

Controls the page layout, plotting device, paper size, and other settings for each new layout

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Use the Layout Wizard to Specify Layout Settings (Concept)

Determine the Drawing Orientation of a Layout
Prepare Drawings for Plotting and Publishing
Import PCP or PC2 Settings into a Layout
Plot and Publish Drawings > Prepare Drawings for Plotting and Publishing >
Use the Layout Wizard to Specify Layout Settings
Concept Procedure Quick Reference

You can create a new layout using the Create Layout wizard.

The wizard prompts you for information about the layout settings, including

  • A name for the new layout
  • The printer associated with the layout
  • A paper size to use for the layout
  • The orientation of the drawing on the paper
  • A title block
  • Viewport setup information
  • A location for the viewport configuration in the layout

You can edit the information entered in the wizard later. Click Output tab [image] Plot panel [image] Page Setup Manger. After selecting the layout, at the command prompt, enter pagesetup. In the Page Setup Manager, click Modify.


To create a layout using the wizard (Procedure)

Determine the Drawing Orientation of a Layout
Use the Layout Wizard to Specify Layout Settings
Import PCP or PC2 Settings into a Layout
Plot and Publish Drawings > Prepare Drawings for Plotting and Publishing > Use the Layout Wizard to Specify Layout Settings >
Use the Layout Wizard to Specify Layout Settings
Concept Procedure Quick Reference

To create a layout using the wizard

  1. Click Insert menu [image] Layout [image] Layout Wizard.
  2. On each page of the Create Layout wizard, select the appropriate settings for the new layout.

    When finished, the new layout will be the current layout tab.

Command entry: LAYOUTWIZARD


Use the Layout Wizard to Specify Layout Settings (Quick Reference)

Determine the Drawing Orientation of a Layout
Use the Layout Wizard to Specify Layout Settings
Import PCP or PC2 Settings into a Layout
Plot and Publish Drawings > Prepare Drawings for Plotting and Publishing > Use the Layout Wizard to Specify Layout Settings >
Use the Layout Wizard to Specify Layout Settings
Concept Procedure Quick Reference

Commands

LAYOUTWIZARD

Creates a new layout tab and specifies page and plot settings

PAGESETUP

Controls the page layout, plotting device, paper size, and other settings for each new layout

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Import PCP or PC2 Settings into a Layout (Concept)

Use the Layout Wizard to Specify Layout Settings
Prepare Drawings for Plotting and Publishing
Create and Use Named Page Setups
Plot and Publish Drawings > Prepare Drawings for Plotting and Publishing >
Import PCP or PC2 Settings into a Layout
Concept Procedure Quick Reference

You can import layout and plot settings contained in PCP or PC2 files into the current layout.

If you work with drawings created in AutoCAD Release 14 or earlier, you can choose to import layout and plot settings contained in a PCP or PC2 file and apply them to the current layout. Settings that are saved in a PCP or PC2 file include

  • Plot Area
  • Rotation
  • Paper Size
  • Plot Scale
  • Plot Origin
  • Plot Offset

In addition, a PC2 file contains any resolution information that has been modified by a plotter calibration. Pen assignment information can also be imported and saved in a plot style table using the Add Plot Style Table wizard.

To import plotting device and pen settings information, you can use the Import PCP or PC2 Plot Settings wizard to choose a PCP or PC2 file whose settings you want to import. You can also choose to modify any of the imported settings using the Page Setup dialog box.


To import PCP or PC2 settings into the current layout (Procedure)

Use the Layout Wizard to Specify Layout Settings
Import PCP or PC2 Settings into a Layout
Create and Use Named Page Setups
Plot and Publish Drawings > Prepare Drawings for Plotting and Publishing > Import PCP or PC2 Settings into a Layout >
Import PCP or PC2 Settings into a Layout
Concept Procedure Quick Reference

To import PCP or PC2 settings into the current layout

  1. At the command prompt, enter pcinwizard.
  2. In the Import PCP or PC2 Plot Settings wizard, select the PCP or PC2 file whose settings you want to import into the current layout.


Import PCP or PC2 Settings into a Layout (Quick Reference)

Use the Layout Wizard to Specify Layout Settings
Import PCP or PC2 Settings into a Layout
Create and Use Named Page Setups
Plot and Publish Drawings > Prepare Drawings for Plotting and Publishing > Import PCP or PC2 Settings into a Layout >
Import PCP or PC2 Settings into a Layout
Concept Procedure Quick Reference

Commands

PCINWIZARD

Displays a wizard to import PCP and PC2 configuration file plot settings into the Model tab or current layout

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Create and Use Named Page Setups (Concept)

Import PCP or PC2 Settings into a Layout
Prepare Drawings for Plotting and Publishing
Use Named Page Setups with Sheet Sets
Plot and Publish Drawings > Prepare Drawings for Plotting and Publishing >
Create and Use Named Page Setups
Concept Procedure Quick Reference

You can save plot device and other page setup settings as named page setups that can be modified and imported into other drawings.

You can create named page setups and apply them to other layouts in your drawing. Named page setups are saved in the drawing file and can be imported into other drawing files and applied to other layouts. You can also modify the settings of named page setups. If you modify a named page setup, you can choose whether the modifications apply to the current layout or to all the layouts in the current drawing that use the named page setup.

If you want to plot the same layout more than one way, or if you want to specify the same output options for several layouts, use named page setups.

You can apply different named page setups to the same layout to achieve specific results when plotting. For example, you might create the named page setups in the following table to control scaling and paper size.

Page setup name | Description
NoScaling | Plot at scale 1:1, E-size sheet
Scale 1 to 2 | Plot at scale 1:2, C-size sheet
Draft | Plot to the draft-quality plotter
Final | Plot to the high-quality plotter
Fit-to-Paper | Fit to Paper, A-size sheet

Once you specify a named page setup for a layout, whenever you plot or publish the layout, it is plotted or published with the settings specified in the named page setup set for the layout.


Create and Use Named Page Setups (Procedure)

Import PCP or PC2 Settings into a Layout
Create and Use Named Page Setups
Create and Use Named Page Setups
Plot and Publish Drawings > Prepare Drawings for Plotting and Publishing > Create and Use Named Page Setups >
Create and Use Named Page Setups
Concept Procedure Quick Reference

To create a new named page setup

To apply a named page setup to a layout

To modify a named page setup

To import named page setups from another drawing

To delete a named page setup

To rename a page setup


To create a new named page setup (Procedure)

Create and Use Named Page Setups
Create and Use Named Page Setups
Create and Use Named Page Setups
Plot and Publish Drawings > Prepare Drawings for Plotting and Publishing > Create and Use Named Page Setups >
Create and Use Named Page Setups
Concept Procedure Quick Reference

To create a new named page setup

  1. Click Output tab [image] Plot panel [image] Page Setup Manager. At the command prompt, enter pagesetup.
  2. In the Page Setup Manager, Page Setups area, click New.
  3. In the New Page Setup dialog box, enter a name for the new page setup.
  4. Under Start With, select a page setup in the list. The settings specified in the selected page setup will be displayed in the Page Setup dialog box after you click OK.
  5. Click OK.
  6. In the Page Setup dialog box, change any required settings. Click OK.

    The new page setup is displayed in the Page Setups list in the Page Setup Manager.

  7. To apply the new page setup to the current layout, in the Page Setup Manager, click Set Current.
  8. In the Page Setup Manager, click Close.
Toolbar: Layouts
Command entry: PAGESETUP
Shortcut menu: Right-click a layout tab. Click Page Setup Manager.


To apply a named page setup to a layout (Procedure)

Create and Use Named Page Setups
Create and Use Named Page Setups
Create and Use Named Page Setups
Plot and Publish Drawings > Prepare Drawings for Plotting and Publishing > Create and Use Named Page Setups >
Create and Use Named Page Setups
Concept Procedure Quick Reference

To apply a named page setup to a layout

  1. Click the layout tab for which you want to apply a named page setup.
  2. Click Output tab [image] Plot panel [image] Page Setup Manager. At the command prompt, enter pagesetup.
  3. In the Page Setup Manager, under Page Setups, select a named page setup from the list.
    NoteA page setup that is not named is shown in the Page Setup Manager with an asterisk on either side of its layout name. An unnamed page setup does not have the same functionality as a named page setup. For example, if you set an unnamed page setup as the current page setup for another layout, the values are applied to the layout. If you make changes to the original unnamed page setup, those changes do not carry over to the layout to which the unnamed page setup was applied.
  4. Click Set Current.
  5. Click Close.
Toolbar: Layouts
Command entry: PAGESETUP
Shortcut menu: Right-click a layout tab. Click Page Setup Manager.


To modify a named page setup (Procedure)

Create and Use Named Page Setups
Create and Use Named Page Setups
Create and Use Named Page Setups
Plot and Publish Drawings > Prepare Drawings for Plotting and Publishing > Create and Use Named Page Setups >
Create and Use Named Page Setups
Concept Procedure Quick Reference

To modify a named page setup

  1. Click Output tab [image] Plot panel [image] Page Setup Manager. At the command prompt, enter pagesetup.
  2. In the Page Setup Manager, under Page Setups, select a named page setup from the list.
    NoteA page setup that is not named is shown in the Page Setup Manager with an asterisk on either side of its layout name. An unnamed page setup does not have the same functionality as a named page setup. For example, if you set an unnamed page setup as the current page setup for another layout, the values are applied to the layout. If you make changes to the original unnamed page setup, those changes do not carry over to the layout to which the unnamed page setup was applied.
  3. Click Modify.
  4. In the Page Setup dialog box, make the required changes. Click OK.
  5. In the Page Setup Manager, click Close.
Toolbar: Layouts
Command entry: PAGESETUP
Shortcut menu: Right-click a layout tab. Click Page Setup Manager.


To import named page setups from another drawing (Procedure)

Create and Use Named Page Setups
Create and Use Named Page Setups
Create and Use Named Page Setups
Plot and Publish Drawings > Prepare Drawings for Plotting and Publishing > Create and Use Named Page Setups >
Create and Use Named Page Setups
Concept Procedure Quick Reference

To import named page setups from another drawing

  1. Click Output tab [image] Plot panel [image] Page Setup Manager. At the command prompt, enter pagesetup.
  2. In the Page Setup Manager, click Import.
  3. In the Select Page Setup From File dialog box, select a drawing file from which you want to import one or more named page setups. Click Import.
  4. In the Import Page Setups dialog box, select one or more page setups to import. Click OK.

    If a page setup with the same name already exists in the drawing, you can redefine the settings of the existing one with the settings of the imported page setup, or you can cancel the operation.

    The imported page setups are displayed in the Page Setup Manager in the list of page setups.

    NoteYou can import both model space and layout page setups at the same time. However, an imported model space page setup is shown in the Page Setup Manager only if the model tab was current when you opened the Page Setup Manager. Similarly, an imported layout page setup is shown in the Page Setup Manager only if a layout tab was current when you opened the Page Setup Manager.
  5. In the Page Setup Manager, click Close.
Toolbar: Layouts
Command entry: PAGESETUP
Shortcut menu: Right-click a layout tab. Click Page Setup Manager.


To delete a named page setup (Procedure)

Create and Use Named Page Setups
Create and Use Named Page Setups
Create and Use Named Page Setups
Plot and Publish Drawings > Prepare Drawings for Plotting and Publishing > Create and Use Named Page Setups >
Create and Use Named Page Setups
Concept Procedure Quick Reference

To delete a named page setup

  1. Click Output tab [image] Plot panel [image] Page Setup Manager. At the command prompt, enter pagesetup.
  2. In the Page Setup Manager, under Page Setups, right-click the named page setup you want to delete. Click Delete.
    NoteA page setup that is not named is shown in the Page Setup Manager with an asterisk on either side of its layout name. An unnamed page setup does not have the same functionality as a named page setup. For example, if you set an unnamed page setup as the current page setup for another layout, the values are applied to the layout. If you make changes to the original unnamed page setup, those changes do not carry over to the layout to which the unnamed page setup was applied.
  3. Click Close.
Toolbar: Layouts
Command entry: PAGESETUP
Shortcut menu: Right-click a layout tab. Click Page Setup Manager.


To rename a page setup (Procedure)

Create and Use Named Page Setups
Create and Use Named Page Setups
Use Named Page Setups with Sheet Sets
Plot and Publish Drawings > Prepare Drawings for Plotting and Publishing > Create and Use Named Page Setups >
Create and Use Named Page Setups
Concept Procedure Quick Reference

To rename a page setup

  1. Click Output tab [image] Plot panel [image] Page Setup Manager. At the command prompt, enter pagesetup.
  2. In the Page Setup Manager, under Page Setups, right-click the named page setup you want to rename. Click Rename.
    NoteA page setup that is not named is shown in the Page Setup Manager with an asterisk on either side of its layout name. An unnamed page setup does not have the same functionality as a named page setup. For example, if you set an unnamed page setup as the current page setup for another layout, the values are applied to the layout. If you make changes to the original unnamed page setup, those changes do not carry over to the layout to which the unnamed page setup was applied.
  3. Enter a new name for the page setup.
  4. Click Close.
Toolbar: Layouts
Command entry: PAGESETUP
Shortcut menu: Right-click a layout tab. Click Page Setup Manager.


Create and Use Named Page Setups (Quick Reference)

Import PCP or PC2 Settings into a Layout
Create and Use Named Page Setups
Use Named Page Setups with Sheet Sets
Plot and Publish Drawings > Prepare Drawings for Plotting and Publishing > Create and Use Named Page Setups >
Create and Use Named Page Setups
Concept Procedure Quick Reference

Commands

PAGESETUP

Controls the page layout, plotting device, paper size, and other settings for each new layout

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Use Named Page Setups with Sheet Sets (Concept)

Create and Use Named Page Setups
Prepare Drawings for Plotting and Publishing
Plot Drawings
Plot and Publish Drawings > Prepare Drawings for Plotting and Publishing >
Use Named Page Setups with Sheet Sets
Concept Procedure Quick Reference

You can use named page setups to specify the same output options for all the sheets in a sheet set.

You can create a sheet from scratch using the Sheet Set Manager, and then apply a named page setup to the layout.

You can also apply named page setups that are stored in the sheet set's page setup overrides DWT file to a single sheet or to an entire sheet set for a one-time publish operation.

See Also

    • Create and Use Named Page Setups


Use Named Page Setups with Sheet Sets (Procedure)

Create and Use Named Page Setups
Use Named Page Setups with Sheet Sets
Use Named Page Setups with Sheet Sets
Plot and Publish Drawings > Prepare Drawings for Plotting and Publishing > Use Named Page Setups with Sheet Sets >
Use Named Page Setups with Sheet Sets
Concept Procedure Quick Reference

To apply a named page setup to a sheet created from scratch

To apply a named page setup as an override when publishing sheets


To apply a named page setup to a sheet created from scratch (Procedure)

Use Named Page Setups with Sheet Sets
Use Named Page Setups with Sheet Sets
Use Named Page Setups with Sheet Sets
Plot and Publish Drawings > Prepare Drawings for Plotting and Publishing > Use Named Page Setups with Sheet Sets >
Use Named Page Setups with Sheet Sets
Concept Procedure Quick Reference

To apply a named page setup to a sheet created from scratch

  1. Click File menu [image] Open Sheet Set.At the command prompt, enter opensheetset.
  2. In the Open Sheet Set dialog box, select a sheet set. Click Open.
  3. In the Sheet Set Manager, right click in the Sheets area. Click New Sheet.
  4. In the New Sheet dialog box, enter a number and sheet title. Click OK.
  5. In the Sheet Set Manager, under Sheets, double-click the new sheet.
  6. Click Output tab [image] Plot panel [image] Page Setup Manager. At the command prompt, enter pagesetup.
  7. In the Page Setup Manager, under Page Setups, select a named page setup. Click Set Current.

    Named page setups are not enclosed in asterisks.

  8. Click Close.
Toolbar: Standard
Command entry: SHEETSET


To apply a named page setup as an override when publishing sheets (Procedure)

Use Named Page Setups with Sheet Sets
Use Named Page Setups with Sheet Sets
Overview of Plotting
Plot and Publish Drawings > Prepare Drawings for Plotting and Publishing > Use Named Page Setups with Sheet Sets >
Use Named Page Setups with Sheet Sets
Concept Procedure Quick Reference

To apply a named page setup as an override when publishing sheets

  1. Click File menu [image] Open Sheet Set.At the command prompt, enter opensheetset.
  2. In the Open Sheet Set dialog box, select a sheet set. Click Open.
  3. In the Sheet Set Manager, in the Sheets area, select a sheet set, a subset, or a sheet to publish.
  4. At the top of the Sheet Set Manager, click the Publish button.
  5. On the shortcut menu, place your cursor over Publish Using Page Setup Override.
  6. On the submenu, click the named page setup you want to use.
Toolbar: Standard
Command entry: SHEETSET


Use Named Page Setups with Sheet Sets (Quick Reference)

Create and Use Named Page Setups
Use Named Page Setups with Sheet Sets
Quick Start to Plotting
Plot and Publish Drawings > Prepare Drawings for Plotting and Publishing > Use Named Page Setups with Sheet Sets >
Use Named Page Setups with Sheet Sets
Concept Procedure Quick Reference

Commands

PAGESETUP

Controls the page layout, plotting device, paper size, and other settings for each new layout

PUBLISH
SHEETSET

Opens the Sheet Set Manager

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Plot Drawings

Use Named Page Setups with Sheet Sets
Plot and Publish Drawings
Quick Start to Plotting
Plot and Publish Drawings >
Plot Drawings

Once you have completed a drawing, you can use a number of methods to output the drawing. You can plot the drawing on paper or create a file for use with another application. In either case, you select the plot settings.

Topics in this section

  • Quick Start to Plotting

    To print a single layout or part of a drawing, use the Plot dialog box.

  • Overview of Plotting

    Understanding terms and concepts that relate to plotting makes your first plotting experience in the program easier.

  • Use a Page Setup to Specify Plot Settings
  • Select a Printer or Plotter

    Before plotting a drawing, you must select a printer or plotter. The device you select affects the printable area of the drawing.

  • Specify the Area to Plot

    When plotting a drawing, you must specify the area of the drawing to plot. The Plot dialog box provides the following options under Plot Area.

  • Set Paper Size

    In the Plot dialog box, select the paper size that you want to use.

  • Position the Drawing on the Paper

    There are several ways to position a drawing on the paper. You can specify the printable area, set the position of the plot, and set the drawing orientation.

  • Control How Objects Are Plotted

    You can control how objects are plotted by setting the plot scale, by using plot styles and plot style tables, and by setting an object's layer properties.

  • Preview a Plot

    It is good practice to generate a preview of the plotted drawing before sending the drawing to the printer or plotter. Generating a preview saves time and material.

  • Plot Files to Other Formats

    You can export or plot your drawings in a number of formats, including DWF, DWFx, DXF, PDF, and Windows metafile (WMF). You can also output your drawings in image formats using specially designed plotter drivers.


Quick Start to Plotting (Concept)

Plot Drawings
Plot Drawings
Overview of Plotting
Plot and Publish Drawings > Plot Drawings >
Quick Start to Plotting
Concept Quick Reference

To print a single layout or part of a drawing, use the Plot dialog box.

Use a named page setup or change the settings in the Plot dialog box to define the output of your drawing.

To output more than one drawing, use the Publish dialog box.

See Also

    • Quick Start to Publishing


Quick Start to Plotting (Quick Reference)

Use Named Page Setups with Sheet Sets
Quick Start to Plotting
Overview of Plotting
Plot and Publish Drawings > Plot Drawings > Quick Start to Plotting >
Quick Start to Plotting
Concept Quick Reference

Commands

PLOT

Plots a drawing to a plotter, printer, or file

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Overview of Plotting (Concept)

Quick Start to Plotting
Plot Drawings
Use a Page Setup to Specify Plot Settings
Plot and Publish Drawings > Plot Drawings >
Overview of Plotting
Concept Procedure Quick Reference

Understanding terms and concepts that relate to plotting makes your first plotting experience in the program easier.

Plotter Manager

The Plotter Manager is a window that lists plotter configuration (PC3) files for every non-system printer that you install. Plotter configuration files can also be created for Windows® system printers if you want to use default properties different from those used by Windows. Plotter configuration settings specify port information, raster and vector graphics quality, paper sizes, and custom properties that depend on the plotter type.

The Plotter Manager contains the Add-a-Plotter wizard, which is the primary tool for creating plotter configurations. The Add-a-Plotter wizard prompts you for information about the plotter you want to set up.

Layouts

A layout represents a plotted page. You can create as many layouts as you need. Each layout is saved on its own layout tab and can be associated with a different page setup.

Elements that appear only on a plotted page, such as title blocks and notes, are drawn in paper space in a layout. The objects in the drawing are created in model space on the Model tab. To view these objects in the layout, you create layout viewports.

Layout Initialization

Layout initialization is a process in which a previously unused layout is made active, by clicking on its tab.

A layout does not contain any plot settings before initialization. Once initialized, layouts can be drawn upon, published, and added to sheet sets as sheets (after the drawing has been saved).

Page Setups

When you create a layout, you specify a plotter and settings such as page size and plot orientation. These settings are saved in a page setup. You can control these settings for layouts and for the Model tab using the Page Setup Manager. You can name and save page setups for use with other layouts.

If you don't specify all the settings in the Page Setup dialog box when you create a layout, you can set up the page just before you plot. Or you can override a page setup at plot time. You can use the new page setup temporarily for the current plot, or you can save the new page setup.

Plot Styles

A plot style controls how an object or layer is plotted by determining plotted properties such as lineweight, color, and fill style. Plot style tables collect groups of plot styles. The Plot Style Manager is a window that shows all the plot style tables available.

There are two plot style types: color-dependent and named. A drawing can use only one type of plot style table. You can convert a plot style table from one type to the other. You can also change the type of plot style table a drawing uses once it has been set.

For color-dependent plot style tables, an object's color determines how it is plotted. These plot style table files have .ctb extensions. You cannot assign color-dependent plot styles directly to objects. Instead, to control how an object is plotted, you change its color. For example, all objects assigned the color red in a drawing are plotted the same way.

Named plot style tables use plot styles that are assigned directly to objects and layers. These plot style table files have .stb extensions. Using them enables each object in a drawing to be plotted differently, independent of its color.

Plot Stamps

A plot stamp is a line of text that is added to your plot. You can specify where this text is located on the plot in the Plot Stamp dialog box. Turn this option on to add specified plot stamp information—including drawing name, layout name, date and time, and so on—to a drawing that is plotted to any device. You can choose to record the plot stamp information to a log file instead of plotting it, or in addition to plotting it.

NoteA drawing file or drawing template file that was created with an educational version will always be plotted with the following plot stamp: PRODUCED BY AN AUTODESK EDUCATIONAL PRODUCT. Blocks and xrefs created with an educational version and used in a commercial version will also result in the educational plot stamp being plotted.
See Also

    • Create Multiple-View Drawing Layouts (Paper Space)

    • To view the custom properties Help in the Driver and Peripheral Guide


Overview of Plotting (Procedure)

Use Named Page Setups with Sheet Sets
Overview of Plotting
Overview of Plotting
Plot and Publish Drawings > Plot Drawings > Overview of Plotting >
Overview of Plotting
Concept Procedure Quick Reference

To plot a drawing

To turn background plotting on or off

To check the status of a plot job currently processing in the background

To cancel part or all of a plot job that is processing in the background

To view details about jobs you have plotted


To plot a drawing (Procedure)

Overview of Plotting
Overview of Plotting
Overview of Plotting
Plot and Publish Drawings > Plot Drawings > Overview of Plotting >
Overview of Plotting
Concept Procedure Quick Reference

To plot a drawing

  1. Click Output tab [image] Plot panel [image] Plot. At the command prompt, enter plot.
  2. In the Plot dialog box, under Printer/Plotter, select a plotter from the Name list.
  3. Under Paper Size, select a paper size from the Paper Size box.
  4. (Optional) Under Number of Copies, enter the number of copies to plot.
  5. Under Plot Area, specify the portion of your drawing to plot.
  6. Under Plot Scale, select a scale from the Scale box.
  7. For more options, click the More Options button.

  8. (Optional) Under Plot Style Table (Pen Assignments), select a plot style table from the Name box.
  9. (Optional) Under Shaded Viewport Options and Plot Options, select any appropriate settings.
    NotePlot stamping happens at plot time and is not saved with the drawing.
  10. Under Drawing Orientation, select an orientation.
  11. Click OK.
Toolbar: Standard
Command entry: PLOT
Shortcut menu: Right-click the Model tab or a layout tab and click Plot.

To plot at the command prompt instead of in a dialog box, use -PLOT.


To turn background plotting on or off (Procedure)

Overview of Plotting
Overview of Plotting
Overview of Plotting
Plot and Publish Drawings > Plot Drawings > Overview of Plotting >
Overview of Plotting
Concept Procedure Quick Reference

To turn background plotting on or off

  1. Click Tools menu [image] Options.At the command prompt, enter options.
  2. In the Options dialog box, Plot and Publish tab, under Background Processing Options, select or clear the Enable Background Plot When Plotting option.
  3. Click OK.
    NoteWhen you plot in the background, you can return immediately to your drawing. While a plot job is being processed in the background, you can check the status of your job by placing your cursor over the plotter icon in the status tray. You can also view details about all completed jobs from the current program session.
Command entry: OPTIONS


To check the status of a plot job currently processing in the background (Procedure)

Overview of Plotting
Overview of Plotting
Overview of Plotting
Plot and Publish Drawings > Plot Drawings > Overview of Plotting >
Overview of Plotting
Concept Procedure Quick Reference

To check the status of a plot job currently processing in the background

  • In the status tray, place your mouse over the plotter icon. The tooltip displays the status of the plot job.


To cancel part or all of a plot job that is processing in the background (Procedure)

Overview of Plotting
Overview of Plotting
Overview of Plotting
Plot and Publish Drawings > Plot Drawings > Overview of Plotting >
Overview of Plotting
Concept Procedure Quick Reference

To cancel part or all of a plot job that is processing in the background

  • In the status tray, right-click the plotter icon. Click Cancel Sheet <sheetname> or Cancel Entire Job.


To view details about jobs you have plotted (Procedure)

Overview of Plotting
Overview of Plotting
Use a Page Setup to Specify Plot Settings
Plot and Publish Drawings > Plot Drawings > Overview of Plotting >
Overview of Plotting
Concept Procedure Quick Reference

To view details about jobs you have plotted

  1. Do one of the following:
    • Click Output tab [image] Plot panel [image] View Details. At the command prompt, enter viewplotdetails.
    • In the status tray, click the plotter icon.
  2. In the Plot and Publish Details dialog box, view details about plotted jobs.
Command entry: VIEWPLOTDETAILS
Shortcut menu: In the status tray, right-click the plotter icon. Click View Plot And Publish Details.


Overview of Plotting (Quick Reference)

Quick Start to Plotting
Overview of Plotting
Use a Page Setup to Specify Plot Settings
Plot and Publish Drawings > Plot Drawings > Overview of Plotting >
Overview of Plotting
Concept Procedure Quick Reference

Commands

OPTIONS

Customizes the program settings

PAGESETUP

Controls the page layout, plotting device, paper size, and other settings for each new layout

PCINWIZARD

Displays a wizard to import PCP and PC2 configuration file plot settings into the Model tab or current layout

PLOT

Plots a drawing to a plotter, printer, or file

PLOTSTAMP

Places a plot stamp on a specified corner of each drawing and logs it to a file

PLOTTERMANAGER

Displays the Plotter Manager, where you can add or edit a plotter configuration

STYLESMANAGER

Displays the Plot Style Manager

VIEWPLOTDETAILS

Displays information about completed plot and publish jobs

System Variables

BACKGROUNDPLOT

Controls whether background plotting is turned on or off for plotting and publishing

Utilities

No entries

Command Modifiers

No entries


Use a Page Setup to Specify Plot Settings (Concept)

Overview of Plotting
Plot Drawings
Select a Printer or Plotter
Plot and Publish Drawings > Plot Drawings >
Use a Page Setup to Specify Plot Settings
Concept Procedure Quick Reference

You can use a page setup to specify the settings for your plot job. When you select a page setup in the Plot dialog box, the settings from the page setup are added to the Plot dialog box. You can choose to plot with those settings, or change any of the settings individually and then plot.

Any settings you specify in the Plot dialog box can be saved as a new named page setup by clicking the Add button in the Page Setup area.

Any settings specified in the Plot dialog box, whether you've applied a page setup from the Page Setup list, or changed the settings individually, can be saved to the layout for use the next time you plot.


Use a Page Setup to Specify Plot Settings (Procedure)

Overview of Plotting
Use a Page Setup to Specify Plot Settings
Use a Page Setup to Specify Plot Settings
Plot and Publish Drawings > Plot Drawings > Use a Page Setup to Specify Plot Settings >
Use a Page Setup to Specify Plot Settings
Concept Procedure Quick Reference

To plot a drawing using the settings specified in a page setup

To save plot settings as a new named page setup

To save plot settings to the layout


To plot a drawing using the settings specified in a page setup (Procedure)

Use a Page Setup to Specify Plot Settings
Use a Page Setup to Specify Plot Settings
Use a Page Setup to Specify Plot Settings
Plot and Publish Drawings > Plot Drawings > Use a Page Setup to Specify Plot Settings >
Use a Page Setup to Specify Plot Settings
Concept Procedure Quick Reference

To plot a drawing using the settings specified in a page setup

  1. Click Output tab [image] Plot panel [image] Plot. At the command prompt, enter plot.
  2. In the Plot dialog box, under Page Setups, select a page setup from the list.
  3. (Optional) Change any of the individual settings in the Plot dialog box.
  4. To save these settings to the layout, click Apply to Layout.
  5. Click Plot.
Toolbar: Standard
Command entry: PLOT


To save plot settings as a new named page setup (Procedure)

Use a Page Setup to Specify Plot Settings
Use a Page Setup to Specify Plot Settings
Use a Page Setup to Specify Plot Settings
Plot and Publish Drawings > Plot Drawings > Use a Page Setup to Specify Plot Settings >
Use a Page Setup to Specify Plot Settings
Concept Procedure Quick Reference

To save plot settings as a new named page setup

  1. Click Output tab [image] Plot panel [image] Plot. At the command prompt, enter plot.
  2. In the Plot dialog box, change the required settings.
  3. Under Page Setups, click Add.
  4. In the Add Page Setup dialog box, enter a name for the new named page setup. Click OK.
Toolbar: Standard
Command entry: PLOT


To save plot settings to the layout (Procedure)

Use a Page Setup to Specify Plot Settings
Use a Page Setup to Specify Plot Settings
Select a Printer or Plotter
Plot and Publish Drawings > Plot Drawings > Use a Page Setup to Specify Plot Settings >
Use a Page Setup to Specify Plot Settings
Concept Procedure Quick Reference

To save plot settings to the layout

  1. Select a layout tab.
  2. Click Output tab [image] Plot panel [image] Plot. At the command prompt, enter plot.
  3. In the Plot dialog box, under Page Setups, select a page setup or specify settings individually.
  4. Click Apply to Layout.
Toolbar: Standard
Command entry: PLOT


Use a Page Setup to Specify Plot Settings (Quick Reference)

Overview of Plotting
Use a Page Setup to Specify Plot Settings
Select a Printer or Plotter
Plot and Publish Drawings > Plot Drawings > Use a Page Setup to Specify Plot Settings >
Use a Page Setup to Specify Plot Settings
Concept Procedure Quick Reference

Commands

PAGESETUP

Controls the page layout, plotting device, paper size, and other settings for each new layout

PLOT

Plots a drawing to a plotter, printer, or file

PLOTTERMANAGER

Displays the Plotter Manager, where you can add or edit a plotter configuration

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Select a Printer or Plotter (Concept)

Use a Page Setup to Specify Plot Settings
Plot Drawings
Specify the Area to Plot
Plot and Publish Drawings > Plot Drawings >
Select a Printer or Plotter
Concept Procedure Quick Reference

Before plotting a drawing, you must select a printer or plotter. The device you select affects the printable area of the drawing.

After selecting a printing or plotting device, you also can easily plot a drawing using the default settings in the Plot dialog box.


To select a printer or plotter (Procedure)

Use a Page Setup to Specify Plot Settings
Select a Printer or Plotter
Specify the Area to Plot
Plot and Publish Drawings > Plot Drawings > Select a Printer or Plotter >
Select a Printer or Plotter
Concept Procedure Quick Reference

To select a printer or plotter

  1. Click Output tab [image] Plot panel [image] Plot. At the command prompt, enter plot.
  2. In the Plot dialog box, under Printer/Plotter, select a plotter from the Name list.

    If you have already selected a paper size and it is not supported by the plotter you have chosen, you are warned that a paper size supported by the plotter will be used. Click OK if the warning is displayed.

  3. Once you have selected a plotter, you can continue to select a paper size, or if the paper size is correct, click OK to plot the drawing.
Toolbar: Standard
Command entry: PLOT


Select a Printer or Plotter (Quick Reference)

Use a Page Setup to Specify Plot Settings
Select a Printer or Plotter
Specify the Area to Plot
Plot and Publish Drawings > Plot Drawings > Select a Printer or Plotter >
Select a Printer or Plotter
Concept Procedure Quick Reference

Commands

PAGESETUP

Controls the page layout, plotting device, paper size, and other settings for each new layout

PLOT

Plots a drawing to a plotter, printer, or file

PLOTTERMANAGER

Displays the Plotter Manager, where you can add or edit a plotter configuration

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Specify the Area to Plot (Concept)

Select a Printer or Plotter
Plot Drawings
Set Paper Size
Plot and Publish Drawings > Plot Drawings >
Specify the Area to Plot
Concept Procedure Quick Reference

When plotting a drawing, you must specify the area of the drawing to plot. The Plot dialog box provides the following options under Plot Area.

  • Layout or Limits. When plotting a layout, plots everything within the printable area of the specified paper size, with the origin calculated from 0,0 in the layout. When plotting the Model tab, plots the entire drawing area defined by the grid limits. If the current viewport does not display a plan view, this option has the same effect as the Extents option.
  • Extents. Plots the portion of the current space of the drawing that contains objects. All geometry in the current space is plotted. The drawing might be regenerated to recalculate the extents before plotting.
  • Display. Plots the view in the current viewport in the Model tab or the current paper space view in a layout tab.
  • View. Plots a view saved previously with the VIEW command. You can select a named view from the list provided. If there are no saved views in the drawing, this option is unavailable.
  • Window. Plots any portion of the drawing you specify. Click the Window button to use a pointing device to specify opposite corners of the area to be plotted, or enter coordinate values.


To set the drawing area as you plot (Procedure)

Select a Printer or Plotter
Specify the Area to Plot
Set Paper Size
Plot and Publish Drawings > Plot Drawings > Specify the Area to Plot >
Specify the Area to Plot
Concept Procedure Quick Reference

To set the drawing area as you plot

  1. Click Output tab [image] Plot panel [image] Plot. At the command prompt, enter plot.
  2. In the Plot dialog box, under Plot Area, specify the portion of your drawing that you want to plot.
  3. Change other settings as needed. Click OK to plot the drawing.
Toolbar: Standard
Command entry: PLOT


Specify the Area to Plot (Quick Reference)

Select a Printer or Plotter
Specify the Area to Plot
Set Paper Size
Plot and Publish Drawings > Plot Drawings > Specify the Area to Plot >
Specify the Area to Plot
Concept Procedure Quick Reference

Commands

PAGESETUP

Controls the page layout, plotting device, paper size, and other settings for each new layout

PLOT

Plots a drawing to a plotter, printer, or file

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Set Paper Size (Concept)

Specify the Area to Plot
Plot Drawings
Position the Drawing on the Paper
Plot and Publish Drawings > Plot Drawings >
Set Paper Size
Concept Procedure Quick Reference

In the Plot dialog box, select the paper size that you want to use.

If you plot from a layout, you may have already specified a paper size in the Page Setup dialog box. However, if you plot from the Model tab, you need to specify a paper size when you plot. In the Plot dialog box, select the paper size that you want to use. The list of paper sizes depends on the printer or plotter that you have selected in either the Plot or Page Setup dialog box. The list of available plotters includes all those that are currently configured for use with Windows and those for which you have installed non-system drivers.

You can also set the default page size used to create new layouts for most plotters by editing the PC3 file associated with that plotter. For Windows system printers, you can use this technique to specify different default page sizes for Windows and for this program.

NoteIf the PAPERUPDATE system variable is set to 0, you are prompted if the layout's existing paper size is not supported by the plotter you have selected. If the PAPERUPDATE system variable is set to 1, the paper size is automatically updated to reflect the default paper size of the selected plotter.

Use a Custom Paper Size

If you need to specify a paper size that is not listed in either the Plot dialog box or the Page Setup dialog box, you can add a custom paper size for a non-system plotter using the Plotter Configuration Editor. Typically, you cannot add a custom paper size to Windows system printers because the allowable page sizes and printable areas are determined by the manufacturer. However, you can modify the printable area for paper sizes associated with a Windows system printer.


Set Paper Size (Procedure)

Specify the Area to Plot
Set Paper Size
Set Paper Size
Plot and Publish Drawings > Plot Drawings > Set Paper Size >
Set Paper Size
Concept Procedure Quick Reference

To select a paper size for the current plot

To set the default paper size for a layout

To set the default paper size for a plotter

To create or edit a custom paper size for a non-system printer


To select a paper size for the current plot (Procedure)

Set Paper Size
Set Paper Size
Set Paper Size
Plot and Publish Drawings > Plot Drawings > Set Paper Size >
Set Paper Size
Concept Procedure Quick Reference

To select a paper size for the current plot

  1. Click Output tab [image] Plot panel [image] Plot. At the command prompt, enter plot.
  2. In the Plot dialog box, under Printer/Plotter, select a plotter in the Name box.
  3. Under Paper Size, select a paper size from the list.

    The paper sizes that are listed depend on the plotter you selected.

Toolbar: Standard
Command entry: PLOT


To set the default paper size for a layout (Procedure)

Set Paper Size
Set Paper Size
Set Paper Size
Plot and Publish Drawings > Plot Drawings > Set Paper Size >
Set Paper Size
Concept Procedure Quick Reference

To set the default paper size for a layout

  1. Click Output tab [image] Plot panel [image] Page Setup. At the command prompt, enter pagesetup.
  2. In Page Setup Manager, Page Setups area, the layout for which you want to set the paper size should be selected. If not, select the layout. Click Modify.
  3. In the Page Setup dialog box, under Paper Size, select a paper size from the list. Click OK.

    The paper sizes that are listed depend on the plotter specified in the page setup.

  4. In Page Setup Manager, click Close.

    The layout reflects the changes.

Toolbar: Layouts
Command entry: PAGESETUP


To set the default paper size for a plotter (Procedure)

Set Paper Size
Set Paper Size
Set Paper Size
Plot and Publish Drawings > Plot Drawings > Set Paper Size >
Set Paper Size
Concept Procedure Quick Reference

To set the default paper size for a plotter

  1. Click Output tab [image] Plot panel [image] Plot. At the command prompt, enter plot.
  2. In the Plot dialog box, under Printer/Plotter, select a plotter from the Name list.
  3. Click Properties.

    The Plotter Configuration Editor is displayed.

  4. To specify a default paper size, use one of the following methods:
    • For a non-system plotter, under Media, select Source and Size.
    • For a system printer, in the tree view, select Custom Properties. Then under Access Custom Dialog, select Custom Properties.
  5. Select the appropriate paper size.
  6. Click OK to close each dialog box.
    NoteThe available paper sizes depend on the printer or plotter. Some plotter manufacturers may control paper size differently in the Plotter Configuration Editor.
Toolbar: Layouts
Command entry: PAGESETUP


To create or edit a custom paper size for a non-system printer (Procedure)

Set Paper Size
Set Paper Size
Control How Objects Are Plotted
Plot and Publish Drawings > Plot Drawings > Set Paper Size >
Set Paper Size
Concept Procedure Quick Reference

To create or edit a custom paper size for a non-system printer

  1. Click Output tab [image] Plot panel [image] Manage Plotters. At the command prompt, enter plottermanager.
  2. In the Plotter Manager, double-click the PC3 file whose configuration you want to change.
  3. In the Plotter Configuration Editor, Device and Document Settings tab, under the User Defined Paper Sizes & Calibration, select Custom Paper Sizes.
  4. Set a new paper size using one of the following methods:
    • To add a custom paper size, click Add and follow the steps in the Custom Paper Size wizard. You specify the size of the paper, the printable area, and a name for the new paper size.
    • To edit an existing paper size, under Custom Paper Sizes, select the paper size and click Edit. The Custom Paper Size wizard opens. Change any of the paper size settings.
  5. Click OK.

    The new or edited paper size is available in both the Plot and Page Setup dialog boxes when that PC3 file is selected.

    NoteCreating a custom paper size for a non-system driver attaches a plot model parameter (PMP) file to the plotter configuration (PC3) file. The PMP file contains custom plotter calibration and custom paper size information. By default, PMP files are stored in the Drv folder.
Command entry: PLOTTERMANAGER


Set Paper Size (Quick Reference)

Specify the Area to Plot
Set Paper Size
Specify the Printable Area
Plot and Publish Drawings > Plot Drawings > Set Paper Size >
Set Paper Size
Concept Procedure Quick Reference

Commands

PAGESETUP

Controls the page layout, plotting device, paper size, and other settings for each new layout

PLOT

Plots a drawing to a plotter, printer, or file

PLOTTERMANAGER

Displays the Plotter Manager, where you can add or edit a plotter configuration

System Variables

PAPERUPDATE

Controls the display of a warning dialog when attempting to print a layout with a paper size different from the paper size specified by the default for the plotter configuration file

Utilities

No entries

Command Modifiers

No entries


Position the Drawing on the Paper

Set Paper Size
Plot Drawings
Specify the Printable Area
Plot and Publish Drawings > Plot Drawings >
Position the Drawing on the Paper

There are several ways to position a drawing on the paper. You can specify the printable area, set the position of the plot, and set the drawing orientation.

Topics in this section

  • Specify the Printable Area

    The printable area is displayed by a dashed border in a layout. The plotter and paper size you select determine the printable area.

  • Set the Position of the Plot

    The printable area of a drawing sheet is defined by the selected output device and is represented by the dashed line in a layout. You can change the position of plot relative to the printable area or to the edge of the paper.

  • Set Drawing Orientation


Specify the Printable Area (Concept)

Position the Drawing on the Paper
Position the Drawing on the Paper
Set the Position of the Plot
Plot and Publish Drawings > Plot Drawings > Position the Drawing on the Paper >
Specify the Printable Area
Concept Quick Reference

The printable area is displayed by a dashed border in a layout. The plotter and paper size you select determine the printable area.

WarningIf you set your plotter to use paper-saving features such as plotting inked area or nesting, your plotter will probably not use the printable area and plot offset specifications.

If your plotter reports an incorrect printable area for your paper size, you can adjust the printable area in the Modify Standard Paper Sizes area under the Modify Standard Paper Sizes (Printable Area) option on the Device and Document Settings tab in the Plotter Configuration Editor.

NoteThe Modify Standard Paper Sizes option is not a margins feature. Specify where your drawing is plotted on the page in the Plot Offset area in the Plot dialog box.


Specify the Printable Area (Quick Reference)

Set Paper Size
Specify the Printable Area
Set the Position of the Plot
Plot and Publish Drawings > Plot Drawings > Position the Drawing on the Paper > Specify the Printable Area >
Specify the Printable Area
Concept Quick Reference

Commands

PAGESETUP

Controls the page layout, plotting device, paper size, and other settings for each new layout

PLOT

Plots a drawing to a plotter, printer, or file

PLOTTERMANAGER

Displays the Plotter Manager, where you can add or edit a plotter configuration

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Set the Position of the Plot (Concept)

Specify the Printable Area
Position the Drawing on the Paper
Set Drawing Orientation
Plot and Publish Drawings > Plot Drawings > Position the Drawing on the Paper >
Set the Position of the Plot
Concept Quick Reference

The printable area of a drawing sheet is defined by the selected output device and is represented by the dashed line in a layout. You can change the position of plot relative to the printable area or to the edge of the paper.

The printable area of a drawing sheet is defined by the selected output device and is represented by the dashed line in a layout. When you change to another output device, the printable area may change.

The settings in the Plot Offset area of the Plot dialog box specify an offset of the plot area relative to the lower-left corner (the origin) of the printable area or the edge of the paper, depending on the setting made in the Specify Plot Offset Relative To option (Options dialog box, Plot and Publish tab). The Plot Offset area of the Plot dialog box displays the specified plot offset option in parentheses.

You can offset the drawing on the paper by entering positive or negative values in the X and Y offset boxes. However, this may result in the plot area being clipped. If the Plot Area is not set to Layout (Extents, Display, View, or Window), you can also select the Center the Plot option.


Set the Position of the Plot (Quick Reference)

Specify the Printable Area
Set the Position of the Plot
Set Drawing Orientation
Plot and Publish Drawings > Plot Drawings > Position the Drawing on the Paper > Set the Position of the Plot >
Set the Position of the Plot
Concept Quick Reference

Commands

PAGESETUP

Controls the page layout, plotting device, paper size, and other settings for each new layout

PLOT

Plots a drawing to a plotter, printer, or file

PLOTTERMANAGER

Displays the Plotter Manager, where you can add or edit a plotter configuration

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Set Drawing Orientation (Concept)

Set the Position of the Plot
Position the Drawing on the Paper
Control How Objects Are Plotted
Plot and Publish Drawings > Plot Drawings > Position the Drawing on the Paper >
Set Drawing Orientation
Concept Quick Reference

The drawing orientation determines whether the position of the plotted drawing is landscape (the longer edge of the drawing is horizontal) or portrait (the longer edge of the drawing is vertical). This is based on the size of paper selected. You can also choose to plot upside down.


Set Drawing Orientation (Quick Reference)

Set the Position of the Plot
Set Drawing Orientation
Set Plot Scale
Plot and Publish Drawings > Plot Drawings > Position the Drawing on the Paper > Set Drawing Orientation >
Set Drawing Orientation
Concept Quick Reference

Commands

PAGESETUP

Controls the page layout, plotting device, paper size, and other settings for each new layout

PLOT

Plots a drawing to a plotter, printer, or file

PLOTTERMANAGER

Displays the Plotter Manager, where you can add or edit a plotter configuration

System Variables

PLOTROTMODE

Controls the orientation of plots

Utilities

No entries

Command Modifiers

No entries


Control How Objects Are Plotted

Set Drawing Orientation
Plot Drawings
Set Plot Scale
Plot and Publish Drawings > Plot Drawings >
Control How Objects Are Plotted
Concept Procedure

You can control how objects are plotted by setting the plot scale, by using plot styles and plot style tables, and by setting an object's layer properties.

Topics in this section

  • Set Plot Scale

    When you specify a scale to output your drawing, you can choose from a list of real-world scales, enter your own scale, or select Fit to Paper to scale the drawing to fit onto the selected paper size.

  • Set Shaded Viewport Options

    You can choose among several options for plotting shaded and rendered viewports. You can plot a viewport as it is displayed, in wireframe, with hidden lines removed, or as rendered.

  • Set Options for Plotted Objects

    In the Plot and the Page Setup dialog boxes, you can choose from options that affect how objects are plotted.

  • Use Plot Styles to Control Plotted Objects

    You can control many aspects of how an object is plotted by using plot styles.

  • Use Color-Dependent Plot Style Tables

    By using color-dependent plot styles to control how objects are plotted, you ensure that all objects that share the same color are plotted the same way.

  • Use Named Plot Style Tables

    You can only create, delete, and apply plot styles in a named plot style table. You can define as many or as few plot styles as you need in a drawing.

  • Change Plot Style Settings

    You can modify plot styles using the Plot Style Table Editor. Changes you make to a plot style affect the objects to which that plot style is assigned.


Control How Objects Are Plotted (Procedure)

Set Paper Size
Control How Objects Are Plotted
Set Plot Scale
Plot and Publish Drawings > Plot Drawings > Control How Objects Are Plotted >
Control How Objects Are Plotted
Concept Procedure

To plot using a real-world scale

To plot using a custom scale

To scale a drawing to fit the page

To set shaded plotting options from the Model tab

To set shaded plotting options from a layout tab

To remove hidden lines when plotting from the Model tab

To remove hidden lines when plotting from a layout tab

To plot lineweights

To turn off plot styles

To change the order in which objects are plotted

To hide paper space objects when plotting from a layout tab


Set Plot Scale (Concept)

Control How Objects Are Plotted
Control How Objects Are Plotted
Set Shaded Viewport Options
Plot and Publish Drawings > Plot Drawings > Control How Objects Are Plotted >
Set Plot Scale
Concept Procedure Quick Reference

When you specify a scale to output your drawing, you can choose from a list of real-world scales, enter your own scale, or select Fit to Paper to scale the drawing to fit onto the selected paper size.

Usually, you draw objects at their actual size. That is, you decide how to interpret the size of a unit (an inch, a millimeter, a meter) and draw on a 1:1 scale. For example, if your unit of measurement is millimeters, then every unit in your drawing represents a millimeter. When you plot the drawing, you either specify a precise scale or fit the image to the paper.

Most final drawings are plotted at a precise scale. The method used to set the plot scale depends on whether you plot the Model tab or a layout:

  • On the Model tab, you can establish the scale in the Plot dialog box. This scale represents a ratio of plotted units to the world-size units you used to draw the model.
  • In a layout, you work with two scales. The first affects the overall layout of the drawing, which usually is scaled 1:1, based on the paper size. The second is the scale of the model itself, which is displayed in layout viewports. The scale in each of these viewports represents a ratio of the paper size to the size of the model in the viewport.
NoteYou can modify the list of scales that are displayed in all view and plot scale lists with SCALELISTEDIT.

Set a Specific Scale

When you plot, the paper size you select determines the unit type, inches or millimeters. For example, if the paper size is in mm, entering 1 under mm and 10 under Units produces a plotted drawing in which each plotted millimeter represents 10 actual millimeters.

The illustrations show a light bulb plotted at three different scales.

Scale the Drawing to Fit the Page

When you review drafts, a precise scale is not always important. You can use the Fit to Paper option to plot the view at the largest possible size that fits the paper. The height or width of the drawing is fit to the corresponding height or width of the paper.

When you plot a perspective view from model space, the view is scaled to fit the paper even when you enter a scale.

When you select the Fit to Paper option, the text boxes change to reflect the ratio of plotted units to drawing units. This scale is updated whenever you change the paper size, plotter, plot origin, orientation, or size of the plotted area in the Plot dialog box.

NoteThis option is not available when the Plot Area is set to Layout.


Set Plot Scale (Procedure)

Control How Objects Are Plotted
Up a level to ..
Set Plot Scale
Plot and Publish Drawings > Plot Drawings > Control How Objects Are Plotted > Set Plot Scale >
Set Plot Scale
Concept Procedure Quick Reference

To plot using a real-world scale

To plot using a custom scale

To scale a drawing to fit the page


To plot using a real-world scale (Procedure)

Set Plot Scale
Up a level to ..
Set Plot Scale
Plot and Publish Drawings > Plot Drawings > Control How Objects Are Plotted > Set Plot Scale >
Set Plot Scale
Concept Procedure Quick Reference

To plot using a real-world scale

  1. Click Output tab [image] Plot panel [image] Plot. At the command prompt, enter plot.
  2. In the Plot dialog box, under Plot Scale, select a scale from the Scale box.
  3. Click OK to plot the drawing.
Toolbar: Standard
Command entry: PLOT


To plot using a custom scale (Procedure)

Set Plot Scale
Up a level to ..
Set Plot Scale
Plot and Publish Drawings > Plot Drawings > Control How Objects Are Plotted > Set Plot Scale >
Set Plot Scale
Concept Procedure Quick Reference

To plot using a custom scale

  1. Click Output tab [image] Plot panel [image] Plot. At the command prompt, enter plot.
  2. In the Plot dialog box, under Plot Scale, enter a custom scale. The scale requires two values, the number of plotted units (inches or mm) per the number of drawing units. The type of unit is determined by the paper size, but you can change it in the list box.

    If you enter a custom scale, Custom is automatically selected in the Scale box, even if the scale you enter is the same as a standard scale in the list. A custom scale is the ratio between the plotted units and drawing units. For example, 1:12 and 2:24 are plotted at the same scale.

  3. Click OK to plot the drawing.
Toolbar: Standard
Command entry: PLOT


To scale a drawing to fit the page (Procedure)

Set Plot Scale
Up a level to ..
Set Shaded Viewport Options
Plot and Publish Drawings > Plot Drawings > Control How Objects Are Plotted > Set Plot Scale >
Set Plot Scale
Concept Procedure Quick Reference

To scale a drawing to fit the page

  1. Click Output tab [image] Plot panel [image] Plot. At the command prompt, enter plot.
  2. In the Plot dialog box, under Plot Scale, select the Fit to Paper option.

    The resulting scale is automatically calculated. The ratio of plotted units to drawing units in the custom scale boxes is displayed.

  3. Click OK to plot the drawing.
NoteThis option is not available when the Plot Area is set to Layout.
Toolbar: Standard
Command entry: PLOT


Set Plot Scale (Quick Reference)

Set Drawing Orientation
Set Plot Scale
Overview of Shaded Viewport Plotting
Plot and Publish Drawings > Plot Drawings > Control How Objects Are Plotted > Set Plot Scale >
Set Plot Scale
Concept Procedure Quick Reference

Commands

PAGESETUP

Controls the page layout, plotting device, paper size, and other settings for each new layout

PLOT

Plots a drawing to a plotter, printer, or file

SCALELISTEDIT

Controls the list of scales available for layout viewports, page layouts, and plotting

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Set Shaded Viewport Options

Set Plot Scale
Control How Objects Are Plotted
Overview of Shaded Viewport Plotting
Plot and Publish Drawings > Plot Drawings > Control How Objects Are Plotted >
Set Shaded Viewport Options
Concept Procedure

You can choose among several options for plotting shaded and rendered viewports. You can plot a viewport as it is displayed, in wireframe, with hidden lines removed, or as rendered.

You can specify how each viewport should be plotted, and save the plot settings with a drawing. You also can choose from a wide variety of resolutions, up to the resolution of your plotter, and save the resolution settings with a drawing.

NoteIf hardware acceleration is disabled or is enabled, but does not support all of the available hardware effects, it is possible to plot a drawing that contains shaded viewports with unsupported hardware effects by the graphics card through software emulation. To enable software emulation of hardware effects that are not supported by your graphics card, enter 3dconfig, and click Manual Tune. In the Manual Performance Tuning dialog box, click Emulate unsupported hardware effects in software when plotting. The effects will not appear in the viewport in real-time, but will appear in the hardcopy or electronic file that is created during the plot process.

Topics in this section

  • Overview of Shaded Viewport Plotting

    The options for shaded viewport plotting give you a large degree of flexibility in conveying your three-dimensional designs to others. You can convey your design intent by choosing how viewports are plotted and by specifying resolution levels.

  • Specify Shaded Plotting Settings

    If you are plotting a drawing that contains 3D solids that are shaded, you can control how the drawing is plotted.

  • Specify a Resolution Level for Shaded Plotting

    You can set the resolution of shaded plots for either greater speed or higher fidelity.


Set Shaded Viewport Options (Procedure)

Set Plot Scale
Up a level to ..
Specify Shaded Plotting Settings
Plot and Publish Drawings > Plot Drawings > Control How Objects Are Plotted > Set Shaded Viewport Options >
Set Shaded Viewport Options
Concept Procedure

To modify the shade plot setting of a viewport

To modify the shade plot setting in model space

To specify a resolution level for shaded plotting


Overview of Shaded Viewport Plotting (Concept)

Set Shaded Viewport Options
Set Shaded Viewport Options
Specify Shaded Plotting Settings
Plot and Publish Drawings > Plot Drawings > Control How Objects Are Plotted > Set Shaded Viewport Options >
Overview of Shaded Viewport Plotting
Concept Quick Reference

The options for shaded viewport plotting give you a large degree of flexibility in conveying your three-dimensional designs to others. You can convey your design intent by choosing how viewports are plotted and by specifying resolution levels.

With shaded plotting options, you can choose whether to plot a set of shaded objects as displayed or in wireframe, hidden mode, a visual style, or rendered. Shaded and rendered viewports are plot-previewed, plotted, plotted to file, and published with full shading and rendering.

You can use realistic plots in your presentations by plotting viewports as they are displayed on the screen or otherwise.

Shaded viewport plotting options apply to all objects in viewports and model space. If you use the Shaded or Rendered options plot style tables included in the page setup do not affect plots. If you use the Render option, two-dimensional wireframe objects, such as lines, arcs, and text, are not plotted.

NoteShaded viewport plotting requires a raster-capable device. Most modern plotters and printers are raster-capable devices.


Overview of Shaded Viewport Plotting (Quick Reference)

Set Plot Scale
Overview of Shaded Viewport Plotting
Specify Shaded Plotting Settings
Plot and Publish Drawings > Plot Drawings > Control How Objects Are Plotted > Set Shaded Viewport Options > Overview of Shaded Viewport Plotting >
Overview of Shaded Viewport Plotting
Concept Quick Reference

Commands

3DCONFIG

Provides 3D graphics system configuration settings

PLOT

Plots a drawing to a plotter, printer, or file

SHADEMODE

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Specify Shaded Plotting Settings (Concept)

Overview of Shaded Viewport Plotting
Set Shaded Viewport Options
Specify a Resolution Level for Shaded Plotting
Plot and Publish Drawings > Plot Drawings > Control How Objects Are Plotted > Set Shaded Viewport Options >
Specify Shaded Plotting Settings
Concept Procedure Quick Reference

If you are plotting a drawing that contains 3D solids that are shaded, you can control how the drawing is plotted.

Specifically, you can choose from the following options:

  • As Displayed. Plots the design as it is displayed; all the shading is preserved.
  • Wireframe. Displays lines and curves to represent object boundaries.
  • Hidden. Suppresses the plotting of objects that are located behind other objects.
  • Visual Styles. Plots the design as it appears in the visual style you select.
  • Rendered. Renders objects before they are plotted, based on Render options you set before you plot or based on the render preset you select.

You can select an option for your drawing either from model space or from a layout. From model space, the options are available in the Properties palette and the Plot dialog box. From a layout, after you select a viewport, the options are available from the shortcut menu and from the Properties palette.

Either way, you can save your settings with the drawing.

NoteIf you select the Rendered option, specify Render settings before plotting. If the Rendered option is used for a highly complex set of objects, the hardcopy output might contain only the viewport border.


Specify Shaded Plotting Settings (Procedure)

Set Shaded Viewport Options
Up a level to ..
Specify Shaded Plotting Settings
Plot and Publish Drawings > Plot Drawings > Control How Objects Are Plotted > Set Shaded Viewport Options > Specify Shaded Plotting Settings >
Specify Shaded Plotting Settings
Concept Procedure Quick Reference

To modify the shade plot setting of a viewport

To modify the shade plot setting in model space


To modify the shade plot setting of a viewport (Procedure)

Specify Shaded Plotting Settings
Up a level to ..
Specify Shaded Plotting Settings
Plot and Publish Drawings > Plot Drawings > Control How Objects Are Plotted > Set Shaded Viewport Options > Specify Shaded Plotting Settings >
Specify Shaded Plotting Settings
Concept Procedure Quick Reference

To modify the shade plot setting of a viewport

  1. Make sure you are on a layout tab.
  2. Double-click the border of the viewport you want to modify.
  3. In the Properties palette, under Misc., select Shade Plot, and then select an option for plotting.
Shortcut menu: Select the viewport and right-click in the drawing area. Click a setting from the Shade Plot options.


To modify the shade plot setting in model space (Procedure)

Specify Shaded Plotting Settings
Up a level to ..
Specify a Resolution Level for Shaded Plotting
Plot and Publish Drawings > Plot Drawings > Control How Objects Are Plotted > Set Shaded Viewport Options > Specify Shaded Plotting Settings >
Specify Shaded Plotting Settings
Concept Procedure Quick Reference

To modify the shade plot setting in model space

  1. Make sure you are on the Model tab and no objects are selected.
  2. Click Output tab [image] Plot panel [image] Plot. At the command prompt, enter plot.
  3. In the Plot dialog box, under Shaded Viewport Options, Shade Plot drop-down list, select an option.
Command entry: PLOT


Specify Shaded Plotting Settings (Quick Reference)

Overview of Shaded Viewport Plotting
Specify Shaded Plotting Settings
Specify a Resolution Level for Shaded Plotting
Plot and Publish Drawings > Plot Drawings > Control How Objects Are Plotted > Set Shaded Viewport Options > Specify Shaded Plotting Settings >
Specify Shaded Plotting Settings
Concept Procedure Quick Reference

Commands

PLOT

Plots a drawing to a plotter, printer, or file

3DCONFIG

Provides 3D graphics system configuration settings

SHADEMODE

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Specify a Resolution Level for Shaded Plotting (Concept)

Specify Shaded Plotting Settings
Set Shaded Viewport Options
Set Options for Plotted Objects
Plot and Publish Drawings > Plot Drawings > Control How Objects Are Plotted > Set Shaded Viewport Options >
Specify a Resolution Level for Shaded Plotting
Concept Procedure Quick Reference

You can set the resolution of shaded plots for either greater speed or higher fidelity.

After you select an appropriate plotter, you can specify the level of quality for plotted output. The quality level determines the dots per inch (dpi). The dpi that corresponds to a quality level is based on the plotter you select.

The maximum dpi available is also based on the plotter you select. You can specify a custom quality level and directly change the dpi to a setting between 100 and the maximum dpi of the plotter.

The higher the fidelity, the more computer memory is used, so the longer it takes to plot. High fidelity is not necessary for all plots, and a setting between 300 and 600 dpi is generally sufficient for most plots.


To specify a resolution level for shaded plotting (Procedure)

Specify Shaded Plotting Settings
Up a level to ..
Set Options for Plotted Objects
Plot and Publish Drawings > Plot Drawings > Control How Objects Are Plotted > Set Shaded Viewport Options > Specify a Resolution Level for Shaded Plotting >
Specify a Resolution Level for Shaded Plotting
Concept Procedure Quick Reference

To specify a resolution level for shaded plotting

  1. Click Output tab [image] Plot panel [image] Plot. At the command prompt, enter plot.
  2. In the Plot dialog box, under Shaded Viewport Options, Quality drop-down list, select an option.

    If you want to enter a custom dpi, select Custom and specify a dpi in the DPI box.

  3. Click OK.
Command entry: PLOT


Specify a Resolution Level for Shaded Plotting (Quick Reference)

Specify Shaded Plotting Settings
Specify a Resolution Level for Shaded Plotting
Set Options for Plotted Objects
Plot and Publish Drawings > Plot Drawings > Control How Objects Are Plotted > Set Shaded Viewport Options > Specify a Resolution Level for Shaded Plotting >
Specify a Resolution Level for Shaded Plotting
Concept Procedure Quick Reference

Commands

PLOT

Plots a drawing to a plotter, printer, or file

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Set Options for Plotted Objects (Concept)

Specify a Resolution Level for Shaded Plotting
Control How Objects Are Plotted
Use Plot Styles to Control Plotted Objects
Plot and Publish Drawings > Plot Drawings > Control How Objects Are Plotted >
Set Options for Plotted Objects
Concept Procedure Quick Reference

In the Plot and the Page Setup dialog boxes, you can choose from options that affect how objects are plotted.

  • Shaded Viewport Plotting. Specifies shaded plotting options: As Displayed, Wireframe, or Hidden. The effect of this setting is reflected in the plot preview, but not in the layout.
  • Plot Object Lineweights. Specifies that lineweights assigned to objects and layers are plotted.
  • Plot with Plot Styles. Specifies that the drawing is plotted using plot styles. Selecting this option automatically plots lineweights. If you do not select this option, objects are plotted with their assigned properties and not with the plot style overrides.
    NotePlot styles are not available for objects with the Jitter edge modifier applied (VISUALSTYLES).
  • Plot Paper Space Last. Specifies that objects in model space are plotted before those in paper space.
  • Hide Paperspace Objects. Specifies whether the Hide operation applies to objects in the paper space viewport. This option is available only from a layout tab. The effect of this setting is reflected in the plot preview, but not in the layout.
  • Plot Stamp On. Turns on plot stamping and places a plot stamp on a specified corner of each drawing and/or logs it to a file. Plot stamp settings are specified in the Plot Stamp dialog box, where you can specify the information you want applied to the plot stamp, such as drawing name, date and time, plot scale, and so on. To open the Plot Stamp dialog box, select Plot Stamp On in the Plot dialog box, and then click the Plot Stamp Settings button.
  • Save Changes to Layout. Saves changes you make in the Plot dialog box to the layout if you click OK.


Set Options for Plotted Objects (Procedure)

Specify a Resolution Level for Shaded Plotting
Up a level to ..
Set Options for Plotted Objects
Plot and Publish Drawings > Plot Drawings > Control How Objects Are Plotted > Set Options for Plotted Objects >
Set Options for Plotted Objects
Concept Procedure Quick Reference

To set shaded plotting options from the Model tab

To set shaded plotting options from a layout tab

To remove hidden lines when plotting from the Model tab

To remove hidden lines when plotting from a layout tab

To plot lineweights

To turn off plot styles

To change the order in which objects are plotted

To hide paper space objects when plotting from a layout tab


To set shaded plotting options from the Model tab (Procedure)

Set Options for Plotted Objects
Up a level to ..
Set Options for Plotted Objects
Plot and Publish Drawings > Plot Drawings > Control How Objects Are Plotted > Set Options for Plotted Objects >
Set Options for Plotted Objects
Concept Procedure Quick Reference

To set shaded plotting options from the Model tab

  1. Click Output tab [image] Plot panel [image] Plot. At the command prompt, enter plot.
  2. In the Plot dialog box, Shaded Viewport Options area, Shade Plot drop-down list, select an option.
Toolbar: Standard
Command entry: PLOT


To set shaded plotting options from a layout tab (Procedure)

Set Options for Plotted Objects
Up a level to ..
Set Options for Plotted Objects
Plot and Publish Drawings > Plot Drawings > Control How Objects Are Plotted > Set Options for Plotted Objects >
Set Options for Plotted Objects
Concept Procedure Quick Reference

To set shaded plotting options from a layout tab

  1. Select a layout viewport.
  2. Double-click the viewport border to display the Properties palette.
  3. On the Properties palette, click Shade Plot.
  4. In the Shade Plot drop-down list, select an option.
Toolbar: Standard
Command entry: PROPERTIES
Shortcut menu: Select the viewport, right-click in the drawing area, and then click Shade Plot.


To remove hidden lines when plotting from the Model tab (Procedure)

Set Options for Plotted Objects
Up a level to ..
Set Options for Plotted Objects
Plot and Publish Drawings > Plot Drawings > Control How Objects Are Plotted > Set Options for Plotted Objects >
Set Options for Plotted Objects
Concept Procedure Quick Reference

To remove hidden lines when plotting from the Model tab

  1. Click Output tab [image] Plot panel [image] Plot. At the command prompt, enter plot.
  2. In the Plot dialog box, under Shaded Viewport Options area, Shade Plot drop-down list, select Hidden.
  3. Click OK to plot the drawing.

Toolbar: Standard
Command entry: PLOT


To remove hidden lines when plotting from a layout tab (Procedure)

Set Options for Plotted Objects
Up a level to ..
Set Options for Plotted Objects
Plot and Publish Drawings > Plot Drawings > Control How Objects Are Plotted > Set Options for Plotted Objects >
Set Options for Plotted Objects
Concept Procedure Quick Reference

To remove hidden lines when plotting from a layout tab

  1. Select a layout viewport.
  2. Double-click the viewport border to display the Properties palette.
  3. On the Properties palette, click Shade Plot.
  4. In the Shade Plot drop-down list, select Hidden.
  5. Click OK to plot the drawing.

Toolbar: Standard
Command entry: PROPERTIES
Shortcut menu: Select the viewport and right-click in the drawing area. Click Shade Plot.


To plot lineweights (Procedure)

Set Options for Plotted Objects
Up a level to ..
Set Options for Plotted Objects
Plot and Publish Drawings > Plot Drawings > Control How Objects Are Plotted > Set Options for Plotted Objects >
Set Options for Plotted Objects
Concept Procedure Quick Reference

To plot lineweights

  1. Click Output tab [image] Plot panel [image] Plot. At the command prompt, enter plot.
  2. In the Plot dialog box, under Plot Options, select Plot Object Lineweights.

    You can change this option only if the Plot with Plot Styles option is cleared.

  3. Click OK to plot the drawing.
Toolbar: Standard
Command entry: PLOT


To turn off plot styles (Procedure)

Set Options for Plotted Objects
Up a level to ..
Set Options for Plotted Objects
Plot and Publish Drawings > Plot Drawings > Control How Objects Are Plotted > Set Options for Plotted Objects >
Set Options for Plotted Objects
Concept Procedure Quick Reference

To turn off plot styles

  1. Click Output tab [image] Plot panel [image] Plot. At the command prompt, enter plot.
  2. In the Plot dialog box, under Plot Options, clear the Plot with Plot Styles option.
  3. Click OK to plot the drawing.
Toolbar: Standard
Command entry: PLOT


To change the order in which objects are plotted (Procedure)

Set Options for Plotted Objects
Up a level to ..
Set Options for Plotted Objects
Plot and Publish Drawings > Plot Drawings > Control How Objects Are Plotted > Set Options for Plotted Objects >
Set Options for Plotted Objects
Concept Procedure Quick Reference

To change the order in which objects are plotted

  1. Click Output tab [image] Plot panel [image] Plot. At the command prompt, enter plot.
  2. In the Plot dialog box, under Plot Options, select Plot Paperspace Last. Clear the Plot Paperspace Last option to plot paper space first.
  3. Click OK to plot the drawing.
Toolbar: Standard
Command entry: PLOT


To hide paper space objects when plotting from a layout tab (Procedure)

Set Options for Plotted Objects
Up a level to ..
Use Plot Styles to Control Plotted Objects
Plot and Publish Drawings > Plot Drawings > Control How Objects Are Plotted > Set Options for Plotted Objects >
Set Options for Plotted Objects
Concept Procedure Quick Reference

To hide paper space objects when plotting from a layout tab

  1. Click Output tab [image] Plot panel [image] Plot. At the command prompt, enter plot.
  2. In the Plot dialog box, under Plot Options, select Hide Paperspace Objects.
  3. Click OK to plot the drawing.
Toolbar: Standard
Command entry: PLOT


Set Options for Plotted Objects (Quick Reference)

Specify a Resolution Level for Shaded Plotting
Set Options for Plotted Objects
Overview of Plot Styles
Plot and Publish Drawings > Plot Drawings > Control How Objects Are Plotted > Set Options for Plotted Objects >
Set Options for Plotted Objects
Concept Procedure Quick Reference

Commands

LWEIGHT

Sets the current lineweight, lineweight display options, and lineweight units

OPTIONS

Customizes the program settings

PAGESETUP

Controls the page layout, plotting device, paper size, and other settings for each new layout

PLOT

Plots a drawing to a plotter, printer, or file

PLOTSTAMP

Places a plot stamp on a specified corner of each drawing and logs it to a file

PROPERTIES

Controls properties of existing objects

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Use Plot Styles to Control Plotted Objects

Set Options for Plotted Objects
Control How Objects Are Plotted
Overview of Plot Styles
Plot and Publish Drawings > Plot Drawings > Control How Objects Are Plotted >
Use Plot Styles to Control Plotted Objects
Concept Procedure

You can control many aspects of how an object is plotted by using plot styles.

Topics in this section

  • Overview of Plot Styles

    A plot style controls an object's plotted properties.

  • Choose a Type of Plot Style Table

    A plot style table is a collection of plot styles assigned to a layout or the Model tab. There are two types of plot style tables: color-dependent plot style tables and named plot style tables.

  • Switch the Type of Plot Style Table

    You can change which type of plot style table, color-dependent or named, is used in a drawing.

  • Assign Plot Style Tables to Layouts
  • Manage Plot Style Tables

    You can use the Plot Style Manager to add, delete, rename, copy, and edit plot style tables.


Use Plot Styles to Control Plotted Objects (Procedure)

Set Options for Plotted Objects
Up a level to ..
Choose a Type of Plot Style Table
Plot and Publish Drawings > Plot Drawings > Control How Objects Are Plotted > Use Plot Styles to Control Plotted Objects >
Use Plot Styles to Control Plotted Objects
Concept Procedure

To set a plot style table type for new drawings

To convert a drawing to use named plot styles

To convert a drawing to use color-dependent plot styles

To convert a color-dependent plot style table into a named plot style table

To assign a plot style table to a layout

To preview the effects of a plot style table in a layout

To create a plot style table

To rename a plot style table

To change a plot style table description

To edit plot styles in a plot style table


Overview of Plot Styles (Concept)

Use Plot Styles to Control Plotted Objects
Use Plot Styles to Control Plotted Objects
Choose a Type of Plot Style Table
Plot and Publish Drawings > Plot Drawings > Control How Objects Are Plotted > Use Plot Styles to Control Plotted Objects >
Overview of Plot Styles
Concept Quick Reference

A plot style controls an object's plotted properties.

A plot style is an object property, similar to linetype and color. A plot style can be assigned to an object or assigned to a layer. A plot style controls an object's plotted properties, including

  • Color
  • Dither
  • Grayscale
  • Pen number
  • Virtual pen
  • Screening
  • Linetype
  • Lineweight
  • Line end style
  • Line join style
  • Fill style

Using plot styles gives you great flexibility because you can set them to override other object properties or turn off the override as needed.

Groups of plot styles are saved in either of two types of plot style tables: color-dependent (CTB) or named (STB). Color-dependent plot style tables set style based on the color of the object. Named plot styles can be assigned to an object independent of color.

NotePlot styles are not available for objects with the Jitter edge modifier applied (VISUALSTYLES).


Overview of Plot Styles (Quick Reference)

Set Options for Plotted Objects
Overview of Plot Styles
Choose a Type of Plot Style Table
Plot and Publish Drawings > Plot Drawings > Control How Objects Are Plotted > Use Plot Styles to Control Plotted Objects > Overview of Plot Styles >
Overview of Plot Styles
Concept Quick Reference

Commands

CONVERTCTB

Converts a color-dependent plot style table (CTB) to a named plot style table (STB)

CONVERTPSTYLES

Converts the current drawing to either named or color-dependent plot styles

OPTIONS

Customizes the program settings

PAGESETUP

Controls the page layout, plotting device, paper size, and other settings for each new layout

System Variables

CPLOTSTYLE

Controls the current plot style for new objects

DEFLPLSTYLE

Specifies the default plot style for all layers in a drawing when opening a drawing that was created in a release prior to AutoCAD 2000, or for Layer 0 when creating a new drawing from scratch without using a drawing template

DEFPLSTYLE

Specifies the default plot style for new objects in a drawing when opening a drawing that was created in a release prior to AutoCAD 2000, or when creating a new drawing from scratch without using a drawing template

PSTYLEMODE

Indicates whether the current drawing is in a Color-Dependent or Named Plot Style mode

PSTYLEPOLICY

Controls the plot style mode, Color-Dependent or Named, that is used when opening a drawing that was created in a release prior to AutoCAD 2000 or when creating a new drawing from scratch without using a drawing template

Utilities

No entries

Command Modifiers

No entries


Choose a Type of Plot Style Table (Concept)

Overview of Plot Styles
Use Plot Styles to Control Plotted Objects
Switch the Type of Plot Style Table
Plot and Publish Drawings > Plot Drawings > Control How Objects Are Plotted > Use Plot Styles to Control Plotted Objects >
Choose a Type of Plot Style Table
Concept Procedure Quick Reference

A plot style table is a collection of plot styles assigned to a layout or the Model tab. There are two types of plot style tables: color-dependent plot style tables and named plot style tables.

Color-dependent plot style tables (CTB) use an object's color to determine characteristics such as lineweight. Every red object in a drawing is plotted the same way. While you can edit plot styles in a color-dependent plot style table, you cannot add or delete plot styles. There are 256 plot styles in a color-dependent plot style table, one for each color.

Named plot style tables (STB) contain user-defined plot styles. When you use a named plot style table, objects that have the same color may be plotted differently, based on the plot style assigned to the object. A named plot style table can contain as many or as few plot styles as required. Named plot styles can be assigned to objects or layers, just like any other property.


To set a plot style table type for new drawings (Procedure)

Use Plot Styles to Control Plotted Objects
Up a level to ..
Switch the Type of Plot Style Table
Plot and Publish Drawings > Plot Drawings > Control How Objects Are Plotted > Use Plot Styles to Control Plotted Objects > Choose a Type of Plot Style Table >
Choose a Type of Plot Style Table
Concept Procedure Quick Reference

To set a plot style table type for new drawings

  1. Click Tools menu [image] Options.At the command prompt, enter options.
  2. In the Options dialog box, Plot and Publish tab, click the Plot Style Table Settings button.
  3. In the Plot Style Table Settings dialog box, select Use Color-dependent Plot Styles or Use Named Plot Styles.
  4. (Optional) In the Default Style Table box, select a default plot style table.
  5. (Optional) If Use Named Plot Styles is selected, select plot styles to assign to Layer 0 and to new objects.
  6. Click OK.
    NoteSetting plot style table types for new drawings does not affect existing drawings.
Command entry: OPTIONS


Choose a Type of Plot Style Table (Quick Reference)

Overview of Plot Styles
Choose a Type of Plot Style Table
Switch the Type of Plot Style Table
Plot and Publish Drawings > Plot Drawings > Control How Objects Are Plotted > Use Plot Styles to Control Plotted Objects > Choose a Type of Plot Style Table >
Choose a Type of Plot Style Table
Concept Procedure Quick Reference

Commands

OPTIONS

Customizes the program settings

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Switch the Type of Plot Style Table (Concept)

Choose a Type of Plot Style Table
Use Plot Styles to Control Plotted Objects
Assign Plot Style Tables to Layouts
Plot and Publish Drawings > Plot Drawings > Control How Objects Are Plotted > Use Plot Styles to Control Plotted Objects >
Switch the Type of Plot Style Table
Concept Procedure Quick Reference

You can change which type of plot style table, color-dependent or named, is used in a drawing.

You can use CONVERTPSTYLES to change which type of plot style table, color-dependent or named, is used in a drawing.

When you convert a drawing from using color-dependent plot style tables to using named plot style tables, any color-dependent plot style tables attached to layouts in the drawing are removed, and named plot styles are attached in their place. If you want to use the styles defined in the color-dependent plot style tables after you convert to using named plot styles tables, you should first convert any color-dependent plot style tables to named plot style tables.

When you convert a drawing from using named plot style tables to using color-dependent plot style tables, the plot style names assigned to the objects in the drawing are lost.

In addition to changing which type of plot style table a drawing uses, you can use CONVERTCTB to convert color-dependent plot style tables to named plot style tables. You cannot, however, convert a named plot style table to a color-dependent plot style table.


Switch the Type of Plot Style Table (Procedure)

Choose a Type of Plot Style Table
Up a level to ..
Switch the Type of Plot Style Table
Plot and Publish Drawings > Plot Drawings > Control How Objects Are Plotted > Use Plot Styles to Control Plotted Objects > Switch the Type of Plot Style Table >
Switch the Type of Plot Style Table
Concept Procedure Quick Reference

To convert a drawing to use named plot styles

To convert a drawing to use color-dependent plot styles

To convert a color-dependent plot style table into a named plot style table


To convert a drawing to use named plot styles (Procedure)

Switch the Type of Plot Style Table
Up a level to ..
Switch the Type of Plot Style Table
Plot and Publish Drawings > Plot Drawings > Control How Objects Are Plotted > Use Plot Styles to Control Plotted Objects > Switch the Type of Plot Style Table >
Switch the Type of Plot Style Table
Concept Procedure Quick Reference

To convert a drawing to use named plot styles

  1. At the command prompt, enter convertpstyles.
  2. Click OK when the alert box appears.
  3. In the Select File dialog box, select a named plot style table to use for the Model tab and any layouts that use plot style tables of the same name.
  4. Click Open.

    A message is displayed to confirm that the drawing was converted.

    NoteIf the Display Plot Styles option was already selected in the dialog box, you must enter regen at the command prompt to display the plot style settings.


To convert a drawing to use color-dependent plot styles (Procedure)

Switch the Type of Plot Style Table
Up a level to ..
Switch the Type of Plot Style Table
Plot and Publish Drawings > Plot Drawings > Control How Objects Are Plotted > Use Plot Styles to Control Plotted Objects > Switch the Type of Plot Style Table >
Switch the Type of Plot Style Table
Concept Procedure Quick Reference

To convert a drawing to use color-dependent plot styles

  1. At the command prompt, enter convertpstyles.
  2. Click OK.

    A message is displayed to confirm that the drawing was converted.


To convert a color-dependent plot style table into a named plot style table (Procedure)

Switch the Type of Plot Style Table
Up a level to ..
Assign Plot Style Tables to Layouts
Plot and Publish Drawings > Plot Drawings > Control How Objects Are Plotted > Use Plot Styles to Control Plotted Objects > Switch the Type of Plot Style Table >
Switch the Type of Plot Style Table
Concept Procedure Quick Reference

To convert a color-dependent plot style table into a named plot style table

  1. At the command prompt, enter convertctb.
  2. In the Select File dialog box, select the name of the plot style table to convert, and then click Open. By default, plot style tables are saved in the Plot Styles folder.
  3. Enter the new plot style table name. Click Save.
  4. Click OK when the alert box appears.
NoteBe sure to use the Plot Style Table Editor to change the names of the plot styles in their new plot style table to be more meaningful before using the plot style table with any drawings.
Command entry: CONVERTCTB


Switch the Type of Plot Style Table (Quick Reference)

Choose a Type of Plot Style Table
Switch the Type of Plot Style Table
Assign Plot Style Tables to Layouts
Plot and Publish Drawings > Plot Drawings > Control How Objects Are Plotted > Use Plot Styles to Control Plotted Objects > Switch the Type of Plot Style Table >
Switch the Type of Plot Style Table
Concept Procedure Quick Reference

Commands

CONVERTCTB

Converts a color-dependent plot style table (CTB) to a named plot style table (STB)

CONVERTPSTYLES

Converts the current drawing to either named or color-dependent plot styles

OPTIONS

Customizes the program settings

OPTIONS

Customizes the program settings

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Assign Plot Style Tables to Layouts (Concept)

Switch the Type of Plot Style Table
Use Plot Styles to Control Plotted Objects
Manage Plot Style Tables
Plot and Publish Drawings > Plot Drawings > Control How Objects Are Plotted > Use Plot Styles to Control Plotted Objects >
Assign Plot Style Tables to Layouts
Concept Procedure Quick Reference

By assigning different plot style tables to each layout in your drawing, you can control how objects in the layout are plotted. The plot style table affects both model space and paper space objects. To plot the drawing without applying plot style properties, select None from the list of plot style tables.

If you use named plot style tables, each object in the drawing either is assigned a plot style directly or inherits a plot style from its layer.

To display the effects of a plot style table in a layout, select Display Plot Styles under Plot Style Table in the Page Setup dialog box.

NoteIf you insert an xref into your current drawing, all defined plot style tables are also inserted. You can modify the appearance of your objects by editing the attached plot style tables with the Plot Style Table Editor.


Assign Plot Style Tables to Layouts (Procedure)

Switch the Type of Plot Style Table
Up a level to ..
Assign Plot Style Tables to Layouts
Plot and Publish Drawings > Plot Drawings > Control How Objects Are Plotted > Use Plot Styles to Control Plotted Objects > Assign Plot Style Tables to Layouts >
Assign Plot Style Tables to Layouts
Concept Procedure Quick Reference

To assign a plot style table to a layout

To preview the effects of a plot style table in a layout


To assign a plot style table to a layout (Procedure)

Assign Plot Style Tables to Layouts
Up a level to ..
Assign Plot Style Tables to Layouts
Plot and Publish Drawings > Plot Drawings > Control How Objects Are Plotted > Use Plot Styles to Control Plotted Objects > Assign Plot Style Tables to Layouts >
Assign Plot Style Tables to Layouts
Concept Procedure Quick Reference

To assign a plot style table to a layout

  1. Click the Model tab or the layout tab to which you want to assign the plot style table.
  2. Click Output tab [image] Plot panel [image] Page Setup. At the command prompt, enter pagesetup.
  3. In Page Setup Manager, click Modify.
  4. Under Plot Style Table (Pen Assignments), select a plot style table from the list.
  5. In the Question dialog box, click Yes or No to indicate whether the selection should be applied to the current tab only or to all layouts.

    This option is available only for the Model tab.

  6. To preview the effects of the plot style table in the layout, select Display Plot Styles.

    This option is available only for layouts.

  7. Click OK.
  8. In Page Setup Manager, click Close.
NoteIf the Display Plot Styles option was already selected in the dialog box, you must enter regen at the command prompt to display the plot style settings.
Toolbar: Layouts
Command entry: PAGESETUP


To preview the effects of a plot style table in a layout (Procedure)

Assign Plot Style Tables to Layouts
Up a level to ..
Manage Plot Style Tables
Plot and Publish Drawings > Plot Drawings > Control How Objects Are Plotted > Use Plot Styles to Control Plotted Objects > Assign Plot Style Tables to Layouts >
Assign Plot Style Tables to Layouts
Concept Procedure Quick Reference

To preview the effects of a plot style table in a layout

  1. Click the layout tab in which you want to preview the effects of the plot style table.
  2. Click Output tab [image] Plot panel [image] Page Setup. At the command prompt, enter pagesetup.
  3. In Page Setup Manager, click Modify.
  4. In the Page Setup dialog box, under Plot Style Table (Pen Assignments), select the Display Plot Styles option.
  5. Click OK.
  6. In Page Setup Manager, click Close.

    The effects of the plot style table are previewed in the layout.

Toolbar: Layouts
Command entry: PAGESETUP


Assign Plot Style Tables to Layouts (Quick Reference)

Switch the Type of Plot Style Table
Assign Plot Style Tables to Layouts
Manage Plot Style Tables
Plot and Publish Drawings > Plot Drawings > Control How Objects Are Plotted > Use Plot Styles to Control Plotted Objects > Assign Plot Style Tables to Layouts >
Assign Plot Style Tables to Layouts
Concept Procedure Quick Reference

Commands

PAGESETUP

Controls the page layout, plotting device, paper size, and other settings for each new layout

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Manage Plot Style Tables (Concept)

Assign Plot Style Tables to Layouts
Use Plot Styles to Control Plotted Objects
Use Color-Dependent Plot Style Tables
Plot and Publish Drawings > Plot Drawings > Control How Objects Are Plotted > Use Plot Styles to Control Plotted Objects >
Manage Plot Style Tables
Concept Procedure Quick Reference

You can use the Plot Style Manager to add, delete, rename, copy, and edit plot style tables.

Color-dependent (CTB) and named (STB) plot style tables are stored in the Plot Styles folder by default. This folder is also known as the Plot Style Manager.

You can use the Plot Style Manager to add, delete, rename, copy, and edit plot style tables. The Plot Style Manager lists all of the available plot style tables.


Manage Plot Style Tables (Procedure)

Assign Plot Style Tables to Layouts
Up a level to ..
Manage Plot Style Tables
Plot and Publish Drawings > Plot Drawings > Control How Objects Are Plotted > Use Plot Styles to Control Plotted Objects > Manage Plot Style Tables >
Manage Plot Style Tables
Concept Procedure Quick Reference

To create a plot style table

To rename a plot style table

To change a plot style table description

To edit plot styles in a plot style table


To create a plot style table (Procedure)

Manage Plot Style Tables
Up a level to ..
Manage Plot Style Tables
Plot and Publish Drawings > Plot Drawings > Control How Objects Are Plotted > Use Plot Styles to Control Plotted Objects > Manage Plot Style Tables >
Manage Plot Style Tables
Concept Procedure Quick Reference

To create a plot style table

  1. Click Tools menu [image] Wizards [image] Add Plot Style Table.
  2. Read the first page. Click Next.
  3. On the Begin page, you can choose to use an configuration file (CFG) or plotter configuration file (PCP or PC2) to import pen settings, base the new plot style table on an existing plot style table, or start from scratch. If you use an existing plot style table, the new plot style table uses the same type of table as the original. Click Next.
  4. On the Pick Plot Style Table page, select Color-Dependent Plot Style Table or Named Plot Style Table.
  5. If you are importing pen settings from a PCP, PC2, or CFG file, or if you are basing the new plot style table on an existing plot style table, specify the file on the Browse File Name page. If you use a CFG file, you may need to select which plotter's configuration to import. Click Next.
  6. On the File Name page, enter a name for the new plot style table. Click Next.
  7. On the Finish page, you can edit the new plot style table by choosing Plot Style Table Editor. You can assign the new plot style table so that it can be used in all drawings.
  8. Click Finish.

    The new plot style table is available in both the Plot and the Page Setup dialog boxes for all drawings using color-dependent plot style tables.


To rename a plot style table (Procedure)

Manage Plot Style Tables
Up a level to ..
Manage Plot Style Tables
Plot and Publish Drawings > Plot Drawings > Control How Objects Are Plotted > Use Plot Styles to Control Plotted Objects > Manage Plot Style Tables >
Manage Plot Style Tables
Concept Procedure Quick Reference

To rename a plot style table

  1. Click Output tab [image] Plot panel [image] Plot Style Manager. At the command prompt, enter stylesmanager.
  2. Right-click the plot style whose name you want to change. Click Rename.
  3. Enter the new file name. Be sure to add the same file extension (.ctb or .stb). When finished, press ENTER.

    The renamed plot style table is available in the Plot and Page Setup dialog boxes for all drawings using that type of plot style table.

Command entry: STYLESMANAGER


To change a plot style table description (Procedure)

Manage Plot Style Tables
Up a level to ..
Manage Plot Style Tables
Plot and Publish Drawings > Plot Drawings > Control How Objects Are Plotted > Use Plot Styles to Control Plotted Objects > Manage Plot Style Tables >
Manage Plot Style Tables
Concept Procedure Quick Reference

To change a plot style table description

  1. Click Output tab [image] Plot panel [image] Plot Style Manager. At the command prompt, enter stylesmanager.
  2. Double-click the plot style table file whose description you want to change.
  3. In the Plot Style Table Editor, General tab, enter the new description for the plot style table.
  4. Click Save & Close.
Command entry: STYLESMANAGER


To edit plot styles in a plot style table (Procedure)

Manage Plot Style Tables
Up a level to ..
Use Named Plot Style Tables
Plot and Publish Drawings > Plot Drawings > Control How Objects Are Plotted > Use Plot Styles to Control Plotted Objects > Manage Plot Style Tables >
Manage Plot Style Tables
Concept Procedure Quick Reference

To edit plot styles in a plot style table

  1. Click Output tab [image] Plot panel [image] Plot Style Manager. At the command prompt, enter stylesmanager.
  2. Double-click the plot style table you want to change.
  3. In the Plot Style Table Editor, Form View tab, under Plot Styles, select a plot style and edit the settings.
  4. Click Save & Close.
Command entry: STYLESMANAGER


Manage Plot Style Tables (Quick Reference)

Assign Plot Style Tables to Layouts
Manage Plot Style Tables
Use Color-Dependent Plot Style Tables
Plot and Publish Drawings > Plot Drawings > Control How Objects Are Plotted > Use Plot Styles to Control Plotted Objects > Manage Plot Style Tables >
Manage Plot Style Tables
Concept Procedure Quick Reference

Commands

STYLESMANAGER

Displays the Plot Style Manager

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Use Color-Dependent Plot Style Tables (Concept)

Manage Plot Style Tables
Control How Objects Are Plotted
Use Named Plot Style Tables
Plot and Publish Drawings > Plot Drawings > Control How Objects Are Plotted >
Use Color-Dependent Plot Style Tables
Concept Quick Reference

By using color-dependent plot styles to control how objects are plotted, you ensure that all objects that share the same color are plotted the same way.

When a drawing uses color-dependent plot style tables, you cannot assign a plot style to individual objects or layers. Instead, to assign plot style properties to an object, you change the color of the object or layer.

You can assign color-dependent plot style tables to layouts. You can use several predefined color-dependent plot style tables, edit existing plot style tables, or create your own.

Color-dependent plot style tables are stored in the Plot Styles folder and have a .ctb extension.

Use Predefined Color-Dependent Plot Style Tables

Several color-dependent plot style tables are installed in the Plot Styles folder, also known as the Plot Style Manager.

Table | Description
acad.ctb | Default plot style table
fillPatterns.ctb | Sets first 9 colors to use first 9 fill patterns, all others to use object's fill
grayscale.ctb | Converts all colors to grayscale when plotted
monochrome.ctb | Plots all colors as black
None | Applies no plot style table
screening 100%.ctb | Uses 100% ink for all colors
screening 75%.ctb | Uses 75% ink for all colors
screening 50%.ctb | Uses 50% ink for all colors
screening 25%.ctb | Uses 25% ink for all colors
NoteYou can assign a color-dependent plot style table to a layout only if the drawing has been set to use color-dependent plot style tables.
See Also

    • Assign Plot Style Tables to Layouts


Use Color-Dependent Plot Style Tables (Quick Reference)

Manage Plot Style Tables
Use Color-Dependent Plot Style Tables
Use Named Plot Styles
Plot and Publish Drawings > Plot Drawings > Control How Objects Are Plotted > Use Color-Dependent Plot Style Tables >
Use Color-Dependent Plot Style Tables
Concept Quick Reference

Commands

STYLESMANAGER

Displays the Plot Style Manager

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Use Named Plot Style Tables

Use Color-Dependent Plot Style Tables
Control How Objects Are Plotted
Use Named Plot Styles
Plot and Publish Drawings > Plot Drawings > Control How Objects Are Plotted >
Use Named Plot Style Tables
Concept Procedure

You can only create, delete, and apply plot styles in a named plot style table. You can define as many or as few plot styles as you need in a drawing.

Topics in this section

  • Use Named Plot Styles

    Named plot styles are assigned to objects and layers in the same way that linetype and color are assigned to objects.

  • Manage Named Plot Styles

    You can add, delete, rename, and copy plot styles in a named plot style table using the Plot Style Table Editor.

  • Use Predefined Named Plot Style Tables

    One additional named plot style table is installed for you to use beyond the default plot style table. All named plot style tables have an .stb extension.

  • Delete Color Mapping Tables

    If you delete the mapping table, the plot style table becomes an ordinary plot style table and is no longer useful for applying plot styles to old drawings.


Use Named Plot Style Tables (Procedure)

Manage Plot Style Tables
Up a level to ..
Use Named Plot Styles
Plot and Publish Drawings > Plot Drawings > Control How Objects Are Plotted > Use Named Plot Style Tables >
Use Named Plot Style Tables
Concept Procedure

To change an object's plot style

To change a layer's plot style

To set the current plot style

To create a named plot style

To copy a named plot style

To change a plot style's description

To rename a named plot style

To delete a named plot style

To delete a color mapping table


Use Named Plot Styles (Concept)

Use Named Plot Style Tables
Use Named Plot Style Tables
Manage Named Plot Styles
Plot and Publish Drawings > Plot Drawings > Control How Objects Are Plotted > Use Named Plot Style Tables >
Use Named Plot Styles
Concept Procedure Quick Reference

Named plot styles are assigned to objects and layers in the same way that linetype and color are assigned to objects.

An object whose plot style is set to BYLAYER inherits the plot style assigned to its layer.

Use the Properties palette to change an object's plot style and the Layer Properties Manager to change the plot style for a layer.

Because different plot style tables can be assigned to each layout and a named plot style table can contain any number of plot styles, an object or layer may have a plot style assigned to it that is not in every plot style table. In this case, the plot style as missing in the Select Plot Style dialog box; the object's default plotting properties are used. For example, named plot style table Style1 contains plot styles A and B. Named plot style table Style2 contains plot styles B and C. In a layout that uses Style1, any objects that use plot style C are listed as having a missing plot style. Objects that are assigned plot style C in this layout are plotted using their default settings.


Use Named Plot Styles (Procedure)

Use Named Plot Style Tables
Up a level to ..
Use Named Plot Styles
Plot and Publish Drawings > Plot Drawings > Control How Objects Are Plotted > Use Named Plot Style Tables > Use Named Plot Styles >
Use Named Plot Styles
Concept Procedure Quick Reference

To change an object's plot style

To change a layer's plot style

To set the current plot style


To change an object's plot style (Procedure)

Use Named Plot Styles
Up a level to ..
Use Named Plot Styles
Plot and Publish Drawings > Plot Drawings > Control How Objects Are Plotted > Use Named Plot Style Tables > Use Named Plot Styles >
Use Named Plot Styles
Concept Procedure Quick Reference

To change an object's plot style

You can change an object's plot style only if the drawing uses named plot style tables. If the drawing uses color-dependent plot style tables, change the object's color to alter its plotted appearance.

  1. Select one or more objects whose plot style you want to change.
  2. Right-click in the drawing area. Click Properties.
  3. In the Properties palette, select a plot style from the list of available plot styles. Click the column next to Plot Style.

    The plot styles listed are those already in use by objects and in the plot style table attached to the current layout.

  4. To select a plot style from a different plot style table, select Other. In the Select Plot Style dialog box, you can attach a different plot style table to the current layout and select a plot style from that plot style table.
  5. To edit the current plot style table, click Editor.
  6. Click OK when finished.

    Any changes made in the Properties palette are immediate. If you change the plot style table attached to the current layout, both model space and paper space objects are affected.

Toolbar: Standard
Command entry: PROPERTIES


To change a layer's plot style (Procedure)

Use Named Plot Styles
Up a level to ..
Use Named Plot Styles
Plot and Publish Drawings > Plot Drawings > Control How Objects Are Plotted > Use Named Plot Style Tables > Use Named Plot Styles >
Use Named Plot Styles
Concept Procedure Quick Reference

To change a layer's plot style

  1. Click Format menu [image] Layer.At the command prompt, enter layer.
  2. In the Layer Properties Manager, select the layer whose plot style you want to change.
  3. Click the current plot style in the Plot Style column. Select the plot style you want to use.
  4. To select a plot style from a different plot style table, select an active plot style table from the Active Plot Style Tables list.

    The list of plot styles changes to those in the selected plot style table.

  5. To edit the selected plot style table, click Editor. Change settings as necessary and click Save & Close.
  6. Click OK.

    You can change a layer's plot style only if the drawing uses named plot style tables. If the drawing uses color-dependent plot style tables, change the layer's color to alter the plotted appearance of objects on the layer.

    NoteAn object's plot style property can be set to BYLAYER to inherit the plot style of its layer.
Toolbar: Layers
Command entry: LAYER


To set the current plot style (Procedure)

Use Named Plot Styles
Up a level to ..
Manage Named Plot Styles
Plot and Publish Drawings > Plot Drawings > Control How Objects Are Plotted > Use Named Plot Style Tables > Use Named Plot Styles >
Use Named Plot Styles
Concept Procedure Quick Reference

To set the current plot style

  1. Click Format menu [image] Plot Style.
  2. In the Current Plot Style dialog box, select a plot style from the list.

    The plot styles displayed are those available in the current plot style table.

  3. To select a plot style from a different plot style table, under Active Plot Style Table, select a plot style table.

    The list of plot styles changes to those in the selected plot style table.

  4. To edit the selected plot style table, click Editor. Change settings as necessary. Click Save & Close.
  5. Click OK.

    The plot style that you made current is used for any new objects created in the drawing.

    You can change the current plot style only if the drawing uses named plot style tables. If the drawing uses color-dependent plot style tables, change the color to alter the plotted appearance of objects and layers.

    NoteThe current plot style property can be set to BYLAYER to inherit the plot style of the current layer.
Command entry: PLOTSTYLE


Use Named Plot Styles (Quick Reference)

Use Color-Dependent Plot Style Tables
Use Named Plot Styles
Manage Named Plot Styles
Plot and Publish Drawings > Plot Drawings > Control How Objects Are Plotted > Use Named Plot Style Tables > Use Named Plot Styles >
Use Named Plot Styles
Concept Procedure Quick Reference

Commands

LAYER

Manages layers and layer properties

PLOTSTYLE

Sets the current plot style for new objects or assigns a plot style to selected objects

PROPERTIES

Controls properties of existing objects

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Manage Named Plot Styles (Concept)

Use Named Plot Styles
Use Named Plot Style Tables
Use Predefined Named Plot Style Tables
Plot and Publish Drawings > Plot Drawings > Control How Objects Are Plotted > Use Named Plot Style Tables >
Manage Named Plot Styles
Concept Procedure Quick Reference

You can add, delete, rename, and copy plot styles in a named plot style table using the Plot Style Table Editor.

The Plot Style Table Editor is also used to change plot style settings for both named and color-dependent plot style tables.

NoteYou cannot delete or edit the NORMAL plot style. Also, you cannot add, delete, copy, or rename plot styles in a named plot style table if a color mapping table has been attached to the plot style table. A color mapping table associates every plot style with an ACI color.
See Also

    • Change Plot Style Settings


Manage Named Plot Styles (Procedure)

Use Named Plot Styles
Up a level to ..
Manage Named Plot Styles
Plot and Publish Drawings > Plot Drawings > Control How Objects Are Plotted > Use Named Plot Style Tables > Manage Named Plot Styles >
Manage Named Plot Styles
Concept Procedure Quick Reference

To create a named plot style

To copy a named plot style

To change a plot style's description

To rename a named plot style

To delete a named plot style


To create a named plot style (Procedure)

Manage Named Plot Styles
Up a level to ..
Manage Named Plot Styles
Plot and Publish Drawings > Plot Drawings > Control How Objects Are Plotted > Use Named Plot Style Tables > Manage Named Plot Styles >
Manage Named Plot Styles
Concept Procedure Quick Reference

To create a named plot style

  1. Click Output tab [image] Plot panel [image] Plot Style Manager. At the command prompt, enter stylesmanager.
  2. Double-click the STB file to which you want to add a plot style.
  3. (Optional) If you want to position the plot style in the list, on the Form View tab, select the plot style that should precede the new plot style.
  4. On the Form View or Table View tab, click Add Style.
  5. In the Add Plot Style dialog box, enter the name of the plot style.
  6. Click Save & Close.
    NoteYou cannot edit the NORMAL plot style.
Command entry: STYLESMANAGER


To copy a named plot style (Procedure)

Manage Named Plot Styles
Up a level to ..
Manage Named Plot Styles
Plot and Publish Drawings > Plot Drawings > Control How Objects Are Plotted > Use Named Plot Style Tables > Manage Named Plot Styles >
Manage Named Plot Styles
Concept Procedure Quick Reference

To copy a named plot style

  1. Click Output tab [image] Plot panel [image] Plot Style Manager. At the command prompt, enter stylesmanager.
  2. Double-click the STB file you want to edit.
  3. In the Plot Style Table Editor, Form View tab, right-click the plot style that you want to copy. Click Copy.
  4. Right-click a plot style. Click Paste. If you want to position the new plot style in the list, right-click the plot style that should precede the new plot style.
  5. In the Add Plot Style dialog box, enter the name of the plot style.
  6. Click Save & Close.
NoteYou cannot copy plot styles if the plot style table uses a color mapping table. You cannot copy plot styles in a color-dependent plot style table.
Command entry: STYLESMANAGER


To change a plot style's description (Procedure)

Manage Named Plot Styles
Up a level to ..
Manage Named Plot Styles
Plot and Publish Drawings > Plot Drawings > Control How Objects Are Plotted > Use Named Plot Style Tables > Manage Named Plot Styles >
Manage Named Plot Styles
Concept Procedure Quick Reference

To change a plot style's description

  1. Click Output tab [image] Plot panel [image] Plot Style Manager. At the command prompt, enter stylesmanager.
  2. Double-click the plot style table that contains the plot style whose description you want to change.
  3. In the Plot Style Table Editor, Form View tab, select the plot style whose description you want to change.
  4. Under Description, change the plot style's description.

    You can select additional plot styles and modify their descriptions or settings.

  5. Click Save & Close.
NoteYou cannot delete or edit the NORMAL plot style.
Command entry: STYLESMANAGER


To rename a named plot style (Procedure)

Manage Named Plot Styles
Up a level to ..
Manage Named Plot Styles
Plot and Publish Drawings > Plot Drawings > Control How Objects Are Plotted > Use Named Plot Style Tables > Manage Named Plot Styles >
Manage Named Plot Styles
Concept Procedure Quick Reference

To rename a named plot style

  1. Click Output tab [image] Plot panel [image] Plot Style Manager. At the command prompt, enter stylesmanager.
  2. Double-click the STB file that contains the plot style you want to rename.
  3. In the Plot Style Table Editor, Form View tab, right-click the plot style whose name you want to change. Click Rename.
  4. Enter the new name for the plot style.
  5. Click Save & Close.
NoteYou cannot rename the NORMAL style. You cannot rename plot styles in a color-dependent plot style table.
Command entry: STYLESMANAGER


To delete a named plot style (Procedure)

Manage Named Plot Styles
Up a level to ..
Delete Color Mapping Tables
Plot and Publish Drawings > Plot Drawings > Control How Objects Are Plotted > Use Named Plot Style Tables > Manage Named Plot Styles >
Manage Named Plot Styles
Concept Procedure Quick Reference

To delete a named plot style

  1. Click Output tab [image] Plot panel [image] Plot Style Manager. At the command prompt, enter stylesmanager.
  2. Double-click the STB file you want to edit.
  3. In the Plot Style Table Editor, Form View tab, select the plot style that you want to delete from the list of plot styles.
  4. Click Delete Style.
  5. Click Save & Close.
NoteYou cannot delete or edit the NORMAL plot style. You cannot delete plot styles if the plot style table uses a color mapping table. You cannot delete plot styles from a color-dependent plot style table.
Command entry: STYLESMANAGER


Manage Named Plot Styles (Quick Reference)

Use Named Plot Styles
Manage Named Plot Styles
Use Predefined Named Plot Style Tables
Plot and Publish Drawings > Plot Drawings > Control How Objects Are Plotted > Use Named Plot Style Tables > Manage Named Plot Styles >
Manage Named Plot Styles
Concept Procedure Quick Reference

Commands

PLOTSTYLE

Sets the current plot style for new objects or assigns a plot style to selected objects

STYLESMANAGER

Displays the Plot Style Manager

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Use Predefined Named Plot Style Tables (Concept)

Manage Named Plot Styles
Use Named Plot Style Tables
Delete Color Mapping Tables
Plot and Publish Drawings > Plot Drawings > Control How Objects Are Plotted > Use Named Plot Style Tables >
Use Predefined Named Plot Style Tables
Concept Quick Reference

One additional named plot style table is installed for you to use beyond the default plot style table. All named plot style tables have an .stb extension.

  • acad.stb: Default plot style table
  • Monochrome.stb: All colors plot as black
  • None: No plot style table applied
NoteNamed plot style tables are available only if the drawing has been set to use named plot style tables.
See Also

    • Assign Plot Style Tables to Layouts


Use Predefined Named Plot Style Tables (Quick Reference)

Manage Named Plot Styles
Use Predefined Named Plot Style Tables
Delete Color Mapping Tables
Plot and Publish Drawings > Plot Drawings > Control How Objects Are Plotted > Use Named Plot Style Tables > Use Predefined Named Plot Style Tables >
Use Predefined Named Plot Style Tables
Concept Quick Reference

Commands

PLOTSTYLE

Sets the current plot style for new objects or assigns a plot style to selected objects

STYLESMANAGER

Displays the Plot Style Manager

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Delete Color Mapping Tables (Concept)

Use Predefined Named Plot Style Tables
Use Named Plot Style Tables
Change Plot Style Settings
Plot and Publish Drawings > Plot Drawings > Control How Objects Are Plotted > Use Named Plot Style Tables >
Delete Color Mapping Tables
Concept Procedure Quick Reference

If you delete the mapping table, the plot style table becomes an ordinary plot style table and is no longer useful for applying plot styles to old drawings.

Named plot style tables that you create using CFG, PCP, or PC2 files have color mapping tables that are created from your previous pen mappings. Color-dependent plot style tables also have color mapping tables. Color mapping tables are used to map plot styles to colors and thus to objects of each color when opening pre- AutoCAD 2000 drawings. This enables you to simulate the way drawings were plotted in previous versions.

While the color mapping table exists, you cannot add, delete, or rename plot styles in that plot style table.

If you delete the mapping table, the plot style table becomes an ordinary plot style table and is no longer useful for applying plot styles to old drawings. It continues to be useful for new drawings.

WarningIf you delete a color mapping table, plot styles cannot automatically be assigned to objects when older drawings are opened for the first time.


To delete a color mapping table (Procedure)

Manage Named Plot Styles
Up a level to ..
Change Plot Style Settings
Plot and Publish Drawings > Plot Drawings > Control How Objects Are Plotted > Use Named Plot Style Tables > Delete Color Mapping Tables >
Delete Color Mapping Tables
Concept Procedure Quick Reference

To delete a color mapping table

  1. Click Output tab [image] Plot panel [image] Plot Style Manager. At the command prompt, enter stylesmanager.
  2. Double-click the plot style table that you want to modify.
  3. In the Plot Style Table Editor, General tab, click Delete AutoCAD Release 14 Color Mapping Table.
  4. Read the warning. Click Yes to delete the color mapping table, or click No to keep it.
  5. Click Save & Close.
Command entry: STYLESMANAGER


Delete Color Mapping Tables (Quick Reference)

Use Predefined Named Plot Style Tables
Delete Color Mapping Tables
Overview of Plot Style Settings
Plot and Publish Drawings > Plot Drawings > Control How Objects Are Plotted > Use Named Plot Style Tables > Delete Color Mapping Tables >
Delete Color Mapping Tables
Concept Procedure Quick Reference

Commands

STYLESMANAGER

Displays the Plot Style Manager

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Change Plot Style Settings

Delete Color Mapping Tables
Control How Objects Are Plotted
Overview of Plot Style Settings
Plot and Publish Drawings > Plot Drawings > Control How Objects Are Plotted >
Change Plot Style Settings
Concept Procedure

You can modify plot styles using the Plot Style Table Editor. Changes you make to a plot style affect the objects to which that plot style is assigned.

Topics in this section

  • Overview of Plot Style Settings

    You can open the Plot Style Table Editor by double-clicking a CTB or STB file in the Plotter Manager. The Plot Style Table Editor displays the plot styles contained in the specified plot style table.

  • Set Color, Screening, Grayscale, and Dither in Plot Style Tables

    You can use a plot style to assign color, screening, grayscale, and dither properties.

  • Assign Pen Numbers and Virtual Pens in Plot Style Tables

    The pen assignments used by the plotter differ depending on whether you use a pen plotter or another kind of printer, such as a laser printer.

  • Control Plotted Lineweight and Linetype

    Both lineweight and linetype can be set as an object property or controlled when plotted by using a plot style. Lineweight or linetype settings in the plot style override the object's lineweight or linetype at plot time.

  • Assign Plotted Line End and Join Styles

    You can set the line end and join styles for objects that have lineweight assigned, either as an object property or as a plot style override.

  • Assign Plotted Fill Styles

    You can assign a variety of fill style options when plotting wide polylines, donuts, objects hatched with a solid fill, and solids.


Change Plot Style Settings (Procedure)

Delete Color Mapping Tables
Up a level to ..
Overview of Plot Style Settings
Plot and Publish Drawings > Plot Drawings > Control How Objects Are Plotted > Change Plot Style Settings >
Change Plot Style Settings
Concept Procedure

To edit plot style settings

To assign a plot style color

To use screening

To enable or disable dithering

To enable or disable conversion to grayscale

To specify a virtual pen number

To set the plotted lineweight

To set the plotted linetype

To apply scaling to non-ISO linetypes and fill patterns

To assign a line end or line join style

To assign a fill style


Overview of Plot Style Settings (Concept)

Change Plot Style Settings
Change Plot Style Settings
Set Color, Screening, Grayscale, and Dither in Plot Style Tables
Plot and Publish Drawings > Plot Drawings > Control How Objects Are Plotted > Change Plot Style Settings >
Overview of Plot Style Settings
Concept Procedure Quick Reference

You can open the Plot Style Table Editor by double-clicking a CTB or STB file in the Plotter Manager. The Plot Style Table Editor displays the plot styles contained in the specified plot style table.

The General tab lists general information about the table. The Table View and Form View tabs provide two ways to modify plot style settings. In general, the Table View tab is convenient if you have a small number of plot styles. If you have a large number of plot styles, the Form View tab might be more convenient.

In a named plot style table, the NORMAL plot style represents an object's default properties (no plot style applied). You cannot modify or delete the NORMAL style.


To edit plot style settings (Procedure)

Change Plot Style Settings
Up a level to ..
Set Color, Screening, Grayscale, and Dither in Plot Style Tables
Plot and Publish Drawings > Plot Drawings > Control How Objects Are Plotted > Change Plot Style Settings > Overview of Plot Style Settings >
Overview of Plot Style Settings
Concept Procedure Quick Reference

To edit plot style settings

  1. Click Output tab [image] Plot panel [image] Plot Style Manager. At the command prompt, enter stylesmanager.
  2. Double-click the plot style table you want to modify.
  3. In the Plot Style Table Editor, Form View tab, under Plot Styles, select the plot style you want to modify.
  4. Under Properties, click the arrow next to the property you want to change. Select an option from the list.
  5. Edit other properties or plot styles as needed.
  6. Click Save & Close.
Command entry: STYLESMANAGER


Overview of Plot Style Settings (Quick Reference)

Delete Color Mapping Tables
Overview of Plot Style Settings
Set Color, Screening, Grayscale, and Dither in Plot Style Tables
Plot and Publish Drawings > Plot Drawings > Control How Objects Are Plotted > Change Plot Style Settings > Overview of Plot Style Settings >
Overview of Plot Style Settings
Concept Procedure Quick Reference

Commands

STYLESMANAGER

Displays the Plot Style Manager

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Set Color, Screening, Grayscale, and Dither in Plot Style Tables (Concept)

Overview of Plot Style Settings
Change Plot Style Settings
Assign Pen Numbers and Virtual Pens in Plot Style Tables
Plot and Publish Drawings > Plot Drawings > Control How Objects Are Plotted > Change Plot Style Settings >
Set Color, Screening, Grayscale, and Dither in Plot Style Tables
Concept Procedure Quick Reference

You can use a plot style to assign color, screening, grayscale, and dither properties.

Assign Plot Style Colors

The default setting for plot style color is Use Object Color. With this setting, the object retains its layer or individually set color. If you assign a plot style color, the color overrides the object's color at plot time. You can specify one of 255 ACI colors, a true color, or a color book color. The plotter must be configured for True Color if you want to plot True Color plot styles.

NoteIf you use a plot style table saved in AutoCAD 2000 or later, the True Color values change to the nearest match in the current version's palette.

Use Screening

You can select a color intensity setting that determines the amount of ink placed on the paper while plotting. The valid range is 0 through 100. Selecting 0 reduces the color to white. Selecting 100 displays the color at its full intensity. Screening is effective only if your plotter is configured to plot colors or grayscale. Also, dithering must be enabled.

Use Dithering

A plotter uses dithering to approximate colors with dot patterns, giving the impression of plotting with more colors than the ink colors available in the plotter. If the plotter does not support dithering, the dithering setting is ignored.

The most common reason for turning off dithering is to avoid false line typing from dithering of thin vectors and to make dim colors more visible. When you turn off dithering, colors are mapped to the nearest color, which limits the range of colors used for plotting. Dithering is available whether you use the object's color or assign a plot style color.

NoteDithering disables merge control.

Convert to Grayscale

When you select Convert to Grayscale, the object's colors are converted to grayscale if the plotter supports grayscale. Light colors, such as yellow, are plotted with light gray values. Dark colors are plotted with dark gray values. If you clear Convert to Grayscale, the RGB values are used for the object's colors. Conversion to grayscale is available whether you use the object's color or assign a plot style color.


Set Color, Screening, Grayscale, and Dither in Plot Style Tables (Procedure)

Overview of Plot Style Settings
Up a level to ..
Set Color, Screening, Grayscale, and Dither in Plot Style Tables
Plot and Publish Drawings > Plot Drawings > Control How Objects Are Plotted > Change Plot Style Settings > Set Color, Screening, Grayscale, and Dither in Plot Style Tables >
Set Color, Screening, Grayscale, and Dither in Plot Style Tables
Concept Procedure Quick Reference

To assign a plot style color

To use screening

To enable or disable dithering

To enable or disable conversion to grayscale


To assign a plot style color (Procedure)

Set Color, Screening, Grayscale, and Dither in Plot Style Tables
Up a level to ..
Set Color, Screening, Grayscale, and Dither in Plot Style Tables
Plot and Publish Drawings > Plot Drawings > Control How Objects Are Plotted > Change Plot Style Settings > Set Color, Screening, Grayscale, and Dither in Plot Style Tables >
Set Color, Screening, Grayscale, and Dither in Plot Style Tables
Concept Procedure Quick Reference

To assign a plot style color

  1. Click Output tab [image] Plot panel [image] Plot Style Manager. At the command prompt, enter stylesmanager.
  2. Right-click a CTB or STB file. Click Open.
  3. In the Plot Style Table Editor, Table View tab, click the Color field for the plot style you want to change.
  4. On the Color drop-down list, click the color you want to use or click Select Color to display the Select Color dialog box and do one of the following:
    • On the Index tab, click a color or enter the ACI color number (1-255) or name in the Color box. Click OK.
    • On the True Color tab, in the Color Model box, specify a color. (Enter a color value in the Color box or specify values in the Hue, Saturation, and Luminance boxes.) Click OK.
    • On the Color Books tab, in the Color Book box, select a color (use the up and down arrow and click on a color chip.) Click OK.
Command entry: STYLESMANAGER


To use screening (Procedure)

Set Color, Screening, Grayscale, and Dither in Plot Style Tables
Up a level to ..
Set Color, Screening, Grayscale, and Dither in Plot Style Tables
Plot and Publish Drawings > Plot Drawings > Control How Objects Are Plotted > Change Plot Style Settings > Set Color, Screening, Grayscale, and Dither in Plot Style Tables >
Set Color, Screening, Grayscale, and Dither in Plot Style Tables
Concept Procedure Quick Reference

To use screening

  1. Click Output tab [image] Plot panel [image] Plot Style Manager. At the command prompt, enter stylesmanager.
  2. Double-click the plot style table that you want to modify.
  3. In the Plot Style Table Editor, Form View tab, select the plot style you want to change.
  4. In the Screening box, enter an intensity value between 1 and 100.
  5. When finished, click Save & Close.

    You can edit properties for multiple plot styles while in the Plot Style Table Editor.

    NoteA common practice when using screening is to set the plotted color to black for each style so that the screening will be a percentage of black.
Command entry: STYLESMANAGER


To enable or disable dithering (Procedure)

Set Color, Screening, Grayscale, and Dither in Plot Style Tables
Up a level to ..
Set Color, Screening, Grayscale, and Dither in Plot Style Tables
Plot and Publish Drawings > Plot Drawings > Control How Objects Are Plotted > Change Plot Style Settings > Set Color, Screening, Grayscale, and Dither in Plot Style Tables >
Set Color, Screening, Grayscale, and Dither in Plot Style Tables
Concept Procedure Quick Reference

To enable or disable dithering

  1. Click Output tab [image] Plot panel [image] Plot Style Manager. At the command prompt, enter stylesmanager.
  2. Double-click the plot style table that you want to modify.
  3. In the Plot Style Table Editor, Form View tab, select the plot style you want to change and select Dither.
  4. Select On or Off.
  5. When finished, click Save & Close.

    You can edit properties for multiple plot styles while in the Plot Style Table Editor.

Command entry: STYLESMANAGER


To enable or disable conversion to grayscale (Procedure)

Set Color, Screening, Grayscale, and Dither in Plot Style Tables
Up a level to ..
Assign Pen Numbers and Virtual Pens in Plot Style Tables
Plot and Publish Drawings > Plot Drawings > Control How Objects Are Plotted > Change Plot Style Settings > Set Color, Screening, Grayscale, and Dither in Plot Style Tables >
Set Color, Screening, Grayscale, and Dither in Plot Style Tables
Concept Procedure Quick Reference

To enable or disable conversion to grayscale

  1. Click Output tab [image] Plot panel [image] Plot Style Manager. At the command prompt, enter stylesmanager.
  2. Double-click the plot style table that you want to modify.
  3. In the Plot Style Table Editor, Form View tab, select the plot style you want to change and select Grayscale.
  4. Select On or Off.
  5. When finished, click Save & Close.

    You can edit properties for multiple plot styles while in the Plot Style Table Editor.

Command entry: STYLESMANAGER


Set Color, Screening, Grayscale, and Dither in Plot Style Tables (Quick Reference)

Overview of Plot Style Settings
Set Color, Screening, Grayscale, and Dither in Plot Style Tables
Assign Pen Numbers and Virtual Pens in Plot Style Tables
Plot and Publish Drawings > Plot Drawings > Control How Objects Are Plotted > Change Plot Style Settings > Set Color, Screening, Grayscale, and Dither in Plot Style Tables >
Set Color, Screening, Grayscale, and Dither in Plot Style Tables
Concept Procedure Quick Reference

Commands

STYLESMANAGER

Displays the Plot Style Manager

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Assign Pen Numbers and Virtual Pens in Plot Style Tables (Concept)

Set Color, Screening, Grayscale, and Dither in Plot Style Tables
Change Plot Style Settings
Control Plotted Lineweight and Linetype
Plot and Publish Drawings > Plot Drawings > Control How Objects Are Plotted > Change Plot Style Settings >
Assign Pen Numbers and Virtual Pens in Plot Style Tables
Concept Procedure Quick Reference

The pen assignments used by the plotter differ depending on whether you use a pen plotter or another kind of printer, such as a laser printer.

Assign Pens to Plot Styles

The Use Assigned Pen Number setting in the Plot Style Table Editor specifies which physical pen to use for each plot style. The physical pens in the plotter are described in the plotter's configuration (PC3) file. If you use a pen plotter, you must provide information about the color, speed, and width of each pen in the Physical Pen Configuration section of the Plotter Configuration Editor.

For example, when you specify pen information in the Plotter Configuration Editor, you might specify that pen #1 is black and 0.010 inches and pen #2 is red and 0.020 inches. In the Plot Style Table Editor you can assign pen #1 to the plot style called WATER PIPES and pen #2 to the plot style called SEWER PIPES.

You can assign a pen to a plot style by selecting from a range of 32 pen numbers in the Use Assigned Pen Number field. The default value is 1. If plot style color is set to Use Object Color, or if you are editing a plot style in a color-dependent plot style table, you cannot change the assigned pen number.

If you specify 0, the field is updated to read Automatic. The information you provided under Physical Pen Characteristics in the Plotter Configuration Editor is used to select the pen closest in color to the color of the object you are plotting.

Assign Pen Settings to Plotters Without Pens

Many plotters that do not use pens can simulate the performance of a pen plotter by using virtual pens. For many devices, you can control the virtual pens in the device with software or, by configuring them from the plotter's control panel, with hardware.

If you allow software to control the pens, the Plot Style Table values for the Lineweight, Linetype, Screening, Line End Style, Line Join Style, and Fill Style settings are effective and override the settings on the plotter's control panel.

If you turn off software control of the pen attributes (typically done on the plotter), then the software can select virtual pens but can't control lineweight, linetype, end style, join style, fill style, or color. In the program, you select hardware (virtual pen) control over software (normal) control by selecting 255 Virtual Pens in the Color Depth area of the Vector Graphics option on the Device and Document Settings tab in the Plotter Configuration Editor. Selecting any other color depth specifies software control.

In the Plot Style Table Editor under Virtual Pen #, you can specify a virtual pen number between 1 and 255. Enter 0 or Automatic to specify that the virtual pen assignment should be made from the ACI.

When you create a plot style table, it is important to remember that it can be used with many different plotters and that the plotter and mode determine what parts of the plot style table are enabled.

  • When using a pen plotter with user assigned pens, the virtual pen number and any color assignments are ignored.
  • When using a pen plotter with automatically assigned pens, pens are selected based on entity color and entity lineweight. Virtual pen numbers are ignored.
  • When using a raster plotter in raster mode, the physical pen number and the virtual pen number are ignored.
  • When using a raster plotter in virtual pen mode, everything except the virtual pen number is ignored.
NoteIf you use another application to process your plot files after creating them, and you modify the pen attributes, plotting without using virtual pens results in pen numbers in the plot file having no simple relationship to object colors in the program. This makes it difficult to apply additional pen attributes.


To specify a virtual pen number (Procedure)

Set Color, Screening, Grayscale, and Dither in Plot Style Tables
Up a level to ..
Control Plotted Lineweight and Linetype
Plot and Publish Drawings > Plot Drawings > Control How Objects Are Plotted > Change Plot Style Settings > Assign Pen Numbers and Virtual Pens in Plot Style Tables >
Assign Pen Numbers and Virtual Pens in Plot Style Tables
Concept Procedure Quick Reference

To specify a virtual pen number

  1. Click Output tab [image] Plot panel [image] Plot Style Manager. At the command prompt, enter stylesmanager.
  2. Double-click the plot style table that you want to modify.
  3. In the Plot Style Table Editor, Form View tab, select the plot style you want to change and click Virtual Pen.
  4. Under Virtual Pen #, enter a number between 1 and 255 or enter 0 or Automatic to have the program assign the ACI color of the object you are plotting to the virtual pen.
  5. When finished, click Save & Close.

    You can edit properties for multiple plot styles while in the Plot Style Table Editor.

Command entry: STYLESMANAGER


Assign Pen Numbers and Virtual Pens in Plot Style Tables (Quick Reference)

Set Color, Screening, Grayscale, and Dither in Plot Style Tables
Assign Pen Numbers and Virtual Pens in Plot Style Tables
Control Plotted Lineweight and Linetype
Plot and Publish Drawings > Plot Drawings > Control How Objects Are Plotted > Change Plot Style Settings > Assign Pen Numbers and Virtual Pens in Plot Style Tables >
Assign Pen Numbers and Virtual Pens in Plot Style Tables
Concept Procedure Quick Reference

Commands

STYLESMANAGER

Displays the Plot Style Manager

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Control Plotted Lineweight and Linetype (Concept)

Assign Pen Numbers and Virtual Pens in Plot Style Tables
Change Plot Style Settings
Assign Plotted Line End and Join Styles
Plot and Publish Drawings > Plot Drawings > Control How Objects Are Plotted > Change Plot Style Settings >
Control Plotted Lineweight and Linetype
Concept Procedure Quick Reference

Both lineweight and linetype can be set as an object property or controlled when plotted by using a plot style. Lineweight or linetype settings in the plot style override the object's lineweight or linetype at plot time.

Assign and Display Lineweights

When you select the Lineweight field in the Plot Style Table Editor, a sample of the lineweight as well as its numeric value are displayed. The default setting for plot style lineweight is Use Object Lineweight. You can modify an existing lineweight if the one you need is not available.

To view plot style lineweights in a layout, select Display Plot Styles under Plot Style Table in the Page Setup dialog box.

Assign Linetypes

When you select the Linetype field in the Plot Style Table Editor, a list with a sample and a description of each linetype are displayed. The default setting for plot style linetype is Use Object Linetype.

Whether you choose to assign a linetype as a property of the object or as a plot style, you can set the Adaptive Adjustment option. This option adjusts the scale of the linetype to complete the linetype pattern. If you don't select Adaptive Adjustment, the line might end in the middle of a pattern. Turn off Adaptive Adjustment if linetype scale is important. Turn on Adaptive Adjustment if complete linetype patterns are more important than correct linetype scaling.

You can apply a global scale factor to non-ISO linetypes and fill patterns in plot styles.

See Also

    • Work with Linetypes

    • Control Lineweights


Control Plotted Lineweight and Linetype (Procedure)

Assign Pen Numbers and Virtual Pens in Plot Style Tables
Up a level to ..
Control Plotted Lineweight and Linetype
Plot and Publish Drawings > Plot Drawings > Control How Objects Are Plotted > Change Plot Style Settings > Control Plotted Lineweight and Linetype >
Control Plotted Lineweight and Linetype
Concept Procedure Quick Reference

To set the plotted lineweight

To set the plotted linetype

To apply scaling to non-ISO linetypes and fill patterns


To set the plotted lineweight (Procedure)

Control Plotted Lineweight and Linetype
Up a level to ..
Control Plotted Lineweight and Linetype
Plot and Publish Drawings > Plot Drawings > Control How Objects Are Plotted > Change Plot Style Settings > Control Plotted Lineweight and Linetype >
Control Plotted Lineweight and Linetype
Concept Procedure Quick Reference

To set the plotted lineweight

  1. Click Output tab [image] Plot panel [image] Plot Style Manager. At the command prompt, enter stylesmanager.
  2. Double-click the plot style table that you want to modify.
  3. In the Plot Style Table Editor, Form View tab, select the plot style you want to change.
  4. Click the Lineweight arrow and select a lineweight from the list. To specify that the object's lineweight should be used select Use Object Lineweight.
  5. Click Save & Close.

    You can edit properties for multiple plot styles while in the Plot Style Table Editor.

Command entry: STYLESMANAGER


To set the plotted linetype (Procedure)

Control Plotted Lineweight and Linetype
Up a level to ..
Control Plotted Lineweight and Linetype
Plot and Publish Drawings > Plot Drawings > Control How Objects Are Plotted > Change Plot Style Settings > Control Plotted Lineweight and Linetype >
Control Plotted Lineweight and Linetype
Concept Procedure Quick Reference

To set the plotted linetype

  1. Click Output tab [image] Plot panel [image] Plot Style Manager. At the command prompt, enter stylesmanager.
  2. Double-click the plot style table that you want to modify.
  3. In the Plot Style Table Editor, Form View tab, select the plot style you want to change.
  4. Click the Linetype arrow and select a linetype from the list. To specify that the object's linetype should be used, select Use Object Linetype.
  5. To adjust the linetype scale to show the complete pattern, on the Form View tab, select On in the Adaptive box.
  6. Click Save & Close.

    You can edit properties for multiple plot styles while in the Plot Style Table Editor.

Command entry: STYLESMANAGER


To apply scaling to non-ISO linetypes and fill patterns (Procedure)

Control Plotted Lineweight and Linetype
Up a level to ..
Assign Plotted Line End and Join Styles
Plot and Publish Drawings > Plot Drawings > Control How Objects Are Plotted > Change Plot Style Settings > Control Plotted Lineweight and Linetype >
Control Plotted Lineweight and Linetype
Concept Procedure Quick Reference

To apply scaling to non-ISO linetypes and fill patterns

  1. Click Output tab [image] Plot panel [image] Plot Style Manager. At the command prompt, enter stylesmanager.
  2. Double-click the plot style table that you want to modify.
  3. In the Plot Style Table Editor, General tab, select Apply Global Scale Factor to Non-ISO Linetypes.

    This option scales linetypes and fill patterns according to a value that you specify.

  4. In the Scale Factor box, enter a scale factor to apply.
  5. Click Save & Close.
Command entry: STYLESMANAGER


Control Plotted Lineweight and Linetype (Quick Reference)

Assign Pen Numbers and Virtual Pens in Plot Style Tables
Control Plotted Lineweight and Linetype
Assign Plotted Line End and Join Styles
Plot and Publish Drawings > Plot Drawings > Control How Objects Are Plotted > Change Plot Style Settings > Control Plotted Lineweight and Linetype >
Control Plotted Lineweight and Linetype
Concept Procedure Quick Reference

Commands

STYLESMANAGER

Displays the Plot Style Manager

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Assign Plotted Line End and Join Styles (Concept)

Control Plotted Lineweight and Linetype
Change Plot Style Settings
Assign Plotted Fill Styles
Plot and Publish Drawings > Plot Drawings > Control How Objects Are Plotted > Change Plot Style Settings >
Assign Plotted Line End and Join Styles
Concept Procedure Quick Reference

You can set the line end and join styles for objects that have lineweight assigned, either as an object property or as a plot style override.

Assign Line End Style

The program includes the following line end style options:

  • Butt
  • Square
  • Round
  • Diamond

The default setting for Line End Style is Use Object End Style, which is rounded. Assign a line end style in a plot style to override the object's default line end style at plot time.

NoteSHX text plots best with the Round End and Round Join styles.

Assign Line Join Style

The program includes the following line join style options:

  • Miter
  • Bevel
  • Round
  • Diamond

The default setting for Line Join Style is Use Object Join Style, which is rounded. Assign a line join style in a plot style to override the object's default line join style at plot time.


To assign a line end or line join style (Procedure)

Control Plotted Lineweight and Linetype
Up a level to ..
Assign Plotted Fill Styles
Plot and Publish Drawings > Plot Drawings > Control How Objects Are Plotted > Change Plot Style Settings > Assign Plotted Line End and Join Styles >
Assign Plotted Line End and Join Styles
Concept Procedure Quick Reference

To assign a line end or line join style

  1. Click Output tab [image] Plot panel [image] Plot Style Manager. At the command prompt, enter stylesmanager.
  2. Right-click a CTB or STB file. Click Open.
  3. In the Plot Style Table Editor, Table View tab, click the Line End Style or Line Join Style field for the plot style you want to change.
  4. Select an option from the drop-down list.
Command entry: STYLESMANAGER


Assign Plotted Line End and Join Styles (Quick Reference)

Control Plotted Lineweight and Linetype
Assign Plotted Line End and Join Styles
Assign Plotted Fill Styles
Plot and Publish Drawings > Plot Drawings > Control How Objects Are Plotted > Change Plot Style Settings > Assign Plotted Line End and Join Styles >
Assign Plotted Line End and Join Styles
Concept Procedure Quick Reference

Commands

STYLESMANAGER

Displays the Plot Style Manager

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Assign Plotted Fill Styles (Concept)

Assign Plotted Line End and Join Styles
Change Plot Style Settings
Preview a Plot
Plot and Publish Drawings > Plot Drawings > Control How Objects Are Plotted > Change Plot Style Settings >
Assign Plotted Fill Styles
Concept Procedure Quick Reference

You can assign a variety of fill style options when plotting wide polylines, donuts, objects hatched with a solid fill, and solids.

The program includes the following fill style options when plotting wide polylines, donuts, objects hatched with a solid fill, and solids:

  • Solid
  • Checkerboard
  • Crosshatch
  • Diamonds
  • Horizontal Bars
  • Slant Left
  • Slant Right
  • Square
  • Dots
  • Vertical Bar

The default setting for Fill Style is Use Object Fill Style. Assign a fill style in a plot style to override the object's fill style at plot time.

You can apply a global scale factor to non-ISO linetypes and fill patterns in plot styles.

See Also

    • Choose Hatch Patterns and Solid Fills


To assign a fill style (Procedure)

Assign Plotted Line End and Join Styles
Up a level to ..
Preview a Plot
Plot and Publish Drawings > Plot Drawings > Control How Objects Are Plotted > Change Plot Style Settings > Assign Plotted Fill Styles >
Assign Plotted Fill Styles
Concept Procedure Quick Reference

To assign a fill style

  1. Click Output tab [image] Plot panel [image] Plot Style Manager. At the command prompt, enter stylesmanager.
  2. Right-click a CTB or STB file. Click Open.
  3. In the Plot Style Table Editor, Table View tab, click the Fill Style field for the plot style you want to change.
  4. Select a fill style from the drop-down list.
Command entry: STYLESMANAGER


Assign Plotted Fill Styles (Quick Reference)

Assign Plotted Line End and Join Styles
Assign Plotted Fill Styles
Preview a Plot
Plot and Publish Drawings > Plot Drawings > Control How Objects Are Plotted > Change Plot Style Settings > Assign Plotted Fill Styles >
Assign Plotted Fill Styles
Concept Procedure Quick Reference

Commands

STYLESMANAGER

Displays the Plot Style Manager

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Preview a Plot (Concept)

Assign Plotted Fill Styles
Plot Drawings
Plot Files to Other Formats
Plot and Publish Drawings > Plot Drawings >
Preview a Plot
Concept Procedure Quick Reference

It is good practice to generate a preview of the plotted drawing before sending the drawing to the printer or plotter. Generating a preview saves time and material.

You can preview the drawing from the Plot dialog box. The preview shows exactly how the drawing will look when plotted, including lineweights, fill patterns, and other plot style options.

When you preview your drawing, the active toolbars and tool palettes are hidden and a temporary Preview toolbar is displayed that provides buttons to plot, pan, and zoom the drawing.

In the Plot and Page Setup dialog boxes, a thumbnail preview is also displayed, which shows the printable area and the position of the drawing on the page.


To preview a plot (Procedure)

Assign Plotted Fill Styles
Preview a Plot
Plot Files to Other Formats
Plot and Publish Drawings > Plot Drawings > Preview a Plot >
Preview a Plot
Concept Procedure Quick Reference

To preview a plot

  1. Click Output tab [image] Plot panel [image] Plot. At the command prompt, enter plot.
  2. In the Plot dialog box, click Preview.

    A preview window opens, and the cursor changes to the real-time zoom cursor.

  3. Right-click to display a shortcut menu with the following options: Plot, Pan, Zoom, Zoom Window, or Zoom Original (to zoom to the original preview magnification).
  4. Press ESC to exit the preview and return to the Plot dialog box.
  5. If necessary, make additional adjustments to the plot settings and preview the plotted drawing again.
  6. Once the settings are correct, click OK to plot the drawing.
Toolbar: Standard
Command entry: PLOT


Preview a Plot (Quick Reference)

Assign Plotted Fill Styles
Preview a Plot
Plot DWF Files
Plot and Publish Drawings > Plot Drawings > Preview a Plot >
Preview a Plot
Concept Procedure Quick Reference

Commands

PAN

Moves the view in the current viewport

PLOT

Plots a drawing to a plotter, printer, or file

PREVIEW

Shows how the drawing will look when it is plotted

ZOOM

Increases or decreases the apparent size of objects in the current viewport

System Variables

RASTERPREVIEW

Controls whether BMP preview images are saved with the drawing

Utilities

No entries

Command Modifiers

No entries


Plot Files to Other Formats

Preview a Plot
Plot Drawings
Plot DWF Files
Plot and Publish Drawings > Plot Drawings >
Plot Files to Other Formats
Concept Procedure

You can export or plot your drawings in a number of formats, including DWF, DWFx, DXF, PDF, and Windows metafile (WMF). You can also output your drawings in image formats using specially designed plotter drivers.

In each case, a nonsystem plotter driver is configured to output file information. You can control the custom properties of each nonsystem driver in the Plotter Configuration Editor. Specific help for each driver is also available by choosing Help while in the custom Properties dialog box for the individual driver (accessed through the Plotter Configuration Editor).

Topics in this section

  • Plot DWF Files

    You can create DWF files (a 2D vector file) to publish your drawings on the web or across an intranet.

  • Plot DWFx Files

    You can create DWFx files (DWF and XPS) to publish your drawings on the web or across an intranet.

  • Plot to DXB File Formats

    DXB (drawing interchange binary) file formats are supported using the DXB non-system file driver. This is commonly used to “flatten” 3D drawings to 2D.

  • Plot to Raster File Formats

    The nonsystem raster driver supports several raster file formats, including Windows BMP, CALS, TIFF, PNG, TGA, PCX, and JPEG. The raster driver is most commonly used to plot to files for desktop publishing.

  • Plot Adobe PDF Files

    Using the DWG to PDF driver, you can create Adobe® Portable Document Format (PDF) files from drawings.

  • Plot Adobe PostScript Files

    Using the Adobe PostScript driver, you can use DWGs with an array of page layout programs and archive tools such as the Adobe Acrobat Portable Document Format (PDF).

  • Create Plot Files

    You can use any plotter configuration to create plot files that can be used with spooling software or given to service bureaus for output.


Plot Files to Other Formats (Procedure)

Preview a Plot
Plot Files to Other Formats
Plot DWF Files
Plot and Publish Drawings > Plot Drawings > Plot Files to Other Formats >
Plot Files to Other Formats
Concept Procedure

To plot a DWF file

To plot a DWFx file

To create a DXB file

To create a raster file

To plot a PDF file

To plot a PDF file in landscape orientation

To plot a PostScript file

To create a plot (PLT) file

To create a batch file for plot spooling

To plot a plot (PLT) file from a batch file


Plot DWF Files (Concept)

Plot Files to Other Formats
Plot Files to Other Formats
Plot DWFx Files
Plot and Publish Drawings > Plot Drawings > Plot Files to Other Formats >
Plot DWF Files
Concept Procedure Quick Reference

You can create DWF files (a 2D vector file) to publish your drawings on the web or across an intranet.

You can use the program to create DWF files. A DWF file is a 2D vector file that you can use to publish your drawing on the World Wide Web or an intranet network. Each DWF file can contain one or more drawing sheets.

DWF files can be opened, viewed, and plotted by anyone using Autodesk® Design Review. With the DWF file viewer, you can also view DWF files in Microsoft® Internet Explorer 5.01 or later. DWF files support real-time panning and zooming as well as control over the display of layers and named views.

See Also

    • Publish Drawings


To plot a DWF file (Procedure)

Plot Files to Other Formats
Up a level to ..
Plot DWFx Files
Plot and Publish Drawings > Plot Drawings > Plot Files to Other Formats > Plot DWF Files >
Plot DWF Files
Concept Procedure Quick Reference

To plot a DWF file

  1. Click Output tab [image] Plot panel [image] Plot. At the command prompt, enter plot.
  2. In the Plot dialog box, under Printer/Plotter, in the Name box, select the DWF6 ePlot.pc3 configuration from the Name list.
  3. Select plot settings for the DWF file as needed.
  4. Click OK
  5. In the Browse for Plot File dialog box, select a location and enter a file name for the DWF file.
  6. Click Save.
Toolbar: Standard
Command entry: PLOT


Plot DWF Files (Quick Reference)

Preview a Plot
Plot DWF Files
Plot DWFx Files
Plot and Publish Drawings > Plot Drawings > Plot Files to Other Formats > Plot DWF Files >
Plot DWF Files
Concept Procedure Quick Reference

Commands

PLOT

Plots a drawing to a plotter, printer, or file

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Plot DWFx Files (Concept)

Plot DWF Files
Plot Files to Other Formats
Plot to DXB File Formats
Plot and Publish Drawings > Plot Drawings > Plot Files to Other Formats >
Plot DWFx Files
Concept Procedure Quick Reference

You can create DWFx files (DWF and XPS) to publish your drawings on the web or across an intranet.

You can use the DWFx ePlot (XPS Compatible) plot configuration file to plot to a DWFx file. Each DWFx file can contain one or more drawing sheets.

DWFx files can be opened, viewed, and plotted by anyone using the following applications:

  • With Internet Explorer, you can view and print the 2D geometry of DWFx files.
  • With Autodesk Design Review, you can view the complete DWFx file; zoom and pan within the DWF file; turn layers on and off; and mark up the drawings.


To plot a DWFx file (Procedure)

Plot DWF Files
Up a level to ..
Plot to DXB File Formats
Plot and Publish Drawings > Plot Drawings > Plot Files to Other Formats > Plot DWFx Files >
Plot DWFx Files
Concept Procedure Quick Reference

To plot a DWFx file

  1. Click Output tab [image] Plot panel [image] Plot. At the command prompt, enter plot.
  2. In the Printer/plotter group, click the Name drop-down list, and select the DWFx ePlot (XPS Compatible).pc3 configuration from the Name list.
  3. Select plot settings for the DWFx file as needed.
  4. Click OK.
  5. In the Browse for Plot File dialog box, select a location and enter a file name for the DWFx file.
  6. Click Save.
Toolbar: Standard
Command entry: PLOT


Plot DWFx Files (Quick Reference)

Plot DWF Files
Plot DWFx Files
Plot to DXB File Formats
Plot and Publish Drawings > Plot Drawings > Plot Files to Other Formats > Plot DWFx Files >
Plot DWFx Files
Concept Procedure Quick Reference

Commands

PLOT

Plots a drawing to a plotter, printer, or file


Plot to DXB File Formats (Concept)

Plot DWFx Files
Plot Files to Other Formats
Plot to Raster File Formats
Plot and Publish Drawings > Plot Drawings > Plot Files to Other Formats >
Plot to DXB File Formats
Concept Procedure Quick Reference

DXB (drawing interchange binary) file formats are supported using the DXB non-system file driver. This is commonly used to “flatten” 3D drawings to 2D.

The output is compatible with the DXBIN command and with the ADI DXB driver delivered with earlier releases. The DXB driver shares these limitations of the ADI driver:

  • The driver produces 16-bit integer DXB files containing only vectors.
  • DXB output is monochrome; all vectors are color 7.
  • Raster images and embedded OLE objects are not supported.
  • The driver ignores object and plot style lineweights.
See Also

    • Configure for File Output in the Driver and Peripheral Guide


To create a DXB file (Procedure)

Plot DWFx Files
Up a level to ..
Plot to Raster File Formats
Plot and Publish Drawings > Plot Drawings > Plot Files to Other Formats > Plot to DXB File Formats >
Plot to DXB File Formats
Concept Procedure Quick Reference

To create a DXB file

  1. Make sure you have configured a plotter driver for DXB file output. (See Configure for File Output in the Driver and Peripheral Guide.)
  2. Click Output tab [image] Plot panel [image] Plot. At the command prompt, enter plot.
  3. In the Plot dialog box, under Printer/Plotter, in the Name box, select a DXB format configuration from the list.
  4. Select plot settings for the DXB file as needed.
  5. Click OK.
  6. In the Browse for Plot File dialog box, select a location and enter a file name for the DXB file.
  7. Click Save.
Toolbar: Standard
Command entry: PLOT


Plot to DXB File Formats (Quick Reference)

Plot DWFx Files
Plot to DXB File Formats
Plot to Raster File Formats
Plot and Publish Drawings > Plot Drawings > Plot Files to Other Formats > Plot to DXB File Formats >
Plot to DXB File Formats
Concept Procedure Quick Reference

Commands

PLOT

Plots a drawing to a plotter, printer, or file

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Plot to Raster File Formats (Concept)

Plot to DXB File Formats
Plot Files to Other Formats
Plot Adobe PDF Files
Plot and Publish Drawings > Plot Drawings > Plot Files to Other Formats >
Plot to Raster File Formats
Concept Procedure Quick Reference

The nonsystem raster driver supports several raster file formats, including Windows BMP, CALS, TIFF, PNG, TGA, PCX, and JPEG. The raster driver is most commonly used to plot to files for desktop publishing.

All but one of the formats supported by this driver produce “dimensionless” raster files that have size in pixels but do not have size in inches or millimeters. The Dimensional CALS format is for plotters that can accept CALS files. If your plotter accepts CALS files, you must specify a real paper size and resolution. Specify the resolution in dots per inch in the Vector Graphics pane of the Plotter Configuration Editor.

By default, the raster driver plots only to files. However, you can select Show All Ports on the Ports page of the Add-a-Plotter wizard or the Ports tab in the Plotter Configuration Editor; all of the ports on your computer are then available for configuration. When configured for plotting to a port, this driver plots to a file and then copies that file to the specified port. To plot successfully, make sure that the device connected to the configured port can accept and process the file. For more information, refer to the documentation provided by the device manufacturer.

The type, size, and color depth of the raster file determine the final file size. Raster files can grow very large. Use only the pixel dimensions and color depth that you need.

You can configure the background color for raster plots in the custom Properties dialog box in the Plotter Configuration Editor. If you change the background color, any objects plotted in that color are invisible.

See Also

    • Configure for File Output in the Driver and Peripheral Guide


To create a raster file (Procedure)

Plot to DXB File Formats
Up a level to ..
Plot Adobe PDF Files
Plot and Publish Drawings > Plot Drawings > Plot Files to Other Formats > Plot to Raster File Formats >
Plot to Raster File Formats
Concept Procedure Quick Reference

To create a raster file

  1. Make sure you have configured a plotter driver for raster file output. (See Configure for File Output in the Driver and Peripheral Guide.)
  2. Click Output tab [image] Plot panel [image] Plot. At the command prompt, enter plot.
  3. In the Plot dialog box, under Printer/Plotter, in the Name box, select a raster format configuration from the list.
  4. Select plot settings for the raster file as needed.
  5. Click OK.
  6. In the Browse for Plot File dialog box, select a location and enter a file name for the raster file.
  7. Click Save.
Toolbar: Standard
Command entry: PLOT


Plot to Raster File Formats (Quick Reference)

Plot to DXB File Formats
Plot to Raster File Formats
Plot Adobe PDF Files
Plot and Publish Drawings > Plot Drawings > Plot Files to Other Formats > Plot to Raster File Formats >
Plot to Raster File Formats
Concept Procedure Quick Reference

Commands

BMPOUT

Saves selected objects to a file in device-independent bitmap format

JPGOUT

Saves selected objects to a file in JPEG file format

PLOT

Plots a drawing to a plotter, printer, or file

PNGOUT

Saves selected objects to a file in a Portable Network Graphics format

TIFOUT

Saves selected objects to a file in TIFF file format

System Variables

RASTERDPI

Controls paper size and plot scaling when changing from dimensional to dimensionless output devices, or vice versa

Utilities

No entries

Command Modifiers

No entries


Plot Adobe PDF Files (Concept)

Plot to Raster File Formats
Plot Files to Other Formats
Plot Adobe PostScript Files
Plot and Publish Drawings > Plot Drawings > Plot Files to Other Formats >
Plot Adobe PDF Files
Concept Procedure Quick Reference

Using the DWG to PDF driver, you can create Adobe® Portable Document Format (PDF) files from drawings.

The Adobe® Portable Document Format (PDF) is a standard for electronic information exchange. PDF files can be easily distributed for viewing and printing in the Adobe Reader available from the Adobe web site without cost. Using PDF files, you can share drawings with virtually anyone.

Like DWF6 files, PDF files are generated in a vector-based format, for maintaining precision. Drawings that are converted to PDF can be easily distributed for viewing and printing in Adobe Reader, versions 6 or later.

Use the custom Properties dialog box in the Plotter Configuration Editor to customize the output. To display this dialog box, on the Device and Document Settings tab, in the tree view, select Custom Properties. Then under Access Custom Dialog, click the Custom Properties button.

You can customize the PDF output by specifying resolution. In the Custom Properties dialog box in the Plotter Configuration Editor, you can specify the resolution for vector and raster images ranging from 150 dpi to a maximum of 4800 dpi. You can also specify custom resolutions for vector, gradient, color, and black and white output.

NoteAlthough transparent objects and wipeouts are displayed correctly in the PDF viewer, they may not print with the same visual fidelity when default print settings are used. If your drawing contains transparent objects, you may need to adjust some settings in Adobe Acrobat. Set Transparency Flattening to "Print as Image" or reduce the Raster/Vector Balance in Adobe Acrobat. Refer to the Adobe documentation for more information.
See Also

    • Configure for File Output in the Driver and Peripheral Guide


Plot Adobe PDF Files (Procedure)

Plot to Raster File Formats
Up a level to ..
Plot Adobe PDF Files
Plot and Publish Drawings > Plot Drawings > Plot Files to Other Formats > Plot Adobe PDF Files >
Plot Adobe PDF Files
Concept Procedure Quick Reference

To plot a PDF file

To plot a PDF file in landscape orientation


To plot a PDF file (Procedure)

Plot Adobe PDF Files
Up a level to ..
Plot Adobe PDF Files
Plot and Publish Drawings > Plot Drawings > Plot Files to Other Formats > Plot Adobe PDF Files >
Plot Adobe PDF Files
Concept Procedure Quick Reference

To plot a PDF file

  1. Click Output tab [image] Plot panel [image] Plot. At the command prompt, enter plot.
  2. In the Plot dialog box, under Printer/Plotter, in the Name box, select the DWG to PDF.pc3 configuration from the Name list.
  3. Select plot settings for the PDF file as needed.
  4. Click OK.
  5. In the Browse for Plot File dialog box, select a location and enter a file name for the PDF file.
  6. Click Save.
Toolbar: Standard
Command entry: PLOT


To plot a PDF file in landscape orientation (Procedure)

Plot Adobe PDF Files
Up a level to ..
Plot Adobe PostScript Files
Plot and Publish Drawings > Plot Drawings > Plot Files to Other Formats > Plot Adobe PDF Files >
Plot Adobe PDF Files
Concept Procedure Quick Reference

To plot a PDF file in landscape orientation

  1. Click Output tab [image] Plot panel [image] Plot. At the command prompt, enter plot.
  2. In the Plot dialog box, under Printer/Plotter, in the Name box, select the DWG to PDF.pc3 configuration from the Name list.
  3. Under Paper Size, select a paper size that has the longer dimension listed first. For example, ANSI A (11.00 x 8.50 Inches).
  4. Click OK.
  5. In the Browse for Plot File dialog box, select a location and enter a file name for the PDF file.
  6. Click Save.
Toolbar: Standard
Command entry: PLOT


Plot Adobe PDF Files (Quick Reference)

Plot to Raster File Formats
Plot Adobe PDF Files
Plot Adobe PostScript Files
Plot and Publish Drawings > Plot Drawings > Plot Files to Other Formats > Plot Adobe PDF Files >
Plot Adobe PDF Files
Concept Procedure Quick Reference

Commands

PLOT

Plots a drawing to a plotter, printer, or file

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Plot Adobe PostScript Files (Concept)

Plot Adobe PDF Files
Plot Files to Other Formats
Create Plot Files
Plot and Publish Drawings > Plot Drawings > Plot Files to Other Formats >
Plot Adobe PostScript Files
Concept Procedure Quick Reference

Using the Adobe PostScript driver, you can use DWGs with an array of page layout programs and archive tools such as the Adobe Acrobat Portable Document Format (PDF).

You can use the non-system PostScript driver to plot drawings to PostScript printers and PostScript files. Use the PS file format for printers and the EPS file format for files. If you plot to a hardware port, PS output is automatic. If you plot to a file and plan to copy the file to a printer, configure for PS output.

Use the custom Properties dialog box in the Plotter Configuration Editor to customize the output. To display this dialog box, on the Device and Document Settings tab, in the tree view, select Custom Properties. Then under Access Custom Dialog, click the Custom Properties button.

The PostScript driver supports three types of PostScript.

  • Level 1: Use for most plotters.
  • Level 1.5: Use for plotters that support color images.
  • Level 2: If your plotter supports Level 2 PostScript, use to produce smaller files that print more rapidly.

The Tokenize PostScript Code and Compression options in the PostScript Custom Properties dialog box reduce output file size and improve printing speed on devices that support these options. If you have problems printing, try clearing all the options. If you successfully print with no optimizations, you can try turning the options on one at a time to determine the options your printer supports.

Some desktop publishing applications only support Level 1 PostScript. If you have problems using your EPS files, try a lower PostScript level and turn off the optimizations just described.

Including a preview thumbnail in your EPS file makes the file substantially larger but allows quick preview by many applications. The WMF preview is for Windows; the EPSF preview is for Macintosh and other platforms.

NoteIncluding both preview images can triple your file size.
See Also

    • Export PostScript Files

    • Configure for File Output in the Driver and Peripheral Guide


To plot a PostScript file (Procedure)

Plot Adobe PDF Files
Up a level to ..
Create Plot Files
Plot and Publish Drawings > Plot Drawings > Plot Files to Other Formats > Plot Adobe PostScript Files >
Plot Adobe PostScript Files
Concept Procedure Quick Reference

To plot a PostScript file

  1. Make sure you have configured a plotter driver for PostScript file output. (See Configure for File Output in the Driver and Peripheral Guide.)
  2. Click Output tab [image] Plot panel [image] Plot. At the command prompt, enter plot.
  3. In the Plot dialog box, under Printer/Plotter, in the Name box, select a PostScript format configuration.
  4. Select plot settings for the PostScript file as needed.
  5. Click OK.
  6. In the Browse for Plot File dialog box, select a location and enter a file name for the PostScript file.
  7. Click Save.
Toolbar: Standard
Command entry: PLOT


Plot Adobe PostScript Files (Quick Reference)

Plot Adobe PDF Files
Plot Adobe PostScript Files
Create Plot Files
Plot and Publish Drawings > Plot Drawings > Plot Files to Other Formats > Plot Adobe PostScript Files >
Plot Adobe PostScript Files
Concept Procedure Quick Reference

Commands

PLOT

Plots a drawing to a plotter, printer, or file

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Create Plot Files (Concept)

Plot Adobe PostScript Files
Plot Files to Other Formats
Publish Drawings
Plot and Publish Drawings > Plot Drawings > Plot Files to Other Formats >
Create Plot Files
Concept Procedure Quick Reference

You can use any plotter configuration to create plot files that can be used with spooling software or given to service bureaus for output.

For example, HP-GL and HP-GL/2 formats are used as an intermediate format for illustration and manufacturing applications, for archive purposes, and for use with a wide range of output devices.

The HP-GL non-system driver supports HP-GL (Hewlett-Packard Graphics Language), a widely used pen plotter language that has vector-only capabilities. Raster objects are not supported by the HP-GL device driver.

The non-system HP-GL/2 driver supports a variety of HP-GL/2 pen plotters and ink-jet plotters. It is a generic HP-GL/2 driver that is not optimized for any particular manufacturer's devices. For example, it does not send PJL commands to devices, as a true Hewlett-Packard driver would. The HP-GL/2 driver supports obsolete pen plotters and newer devices made by manufacturers other than Hewlett-Packard.

See Also

    • Set Device-Specific Configurations in the Driver and Peripheral Guide


Create Plot Files (Procedure)

Plot Adobe PostScript Files
Up a level to ..
Create Plot Files
Plot and Publish Drawings > Plot Drawings > Plot Files to Other Formats > Create Plot Files >
Create Plot Files
Concept Procedure Quick Reference

To create a plot (PLT) file

To create a batch file for plot spooling

To plot a plot (PLT) file from a batch file


To create a plot (PLT) file (Procedure)

Create Plot Files
Up a level to ..
Create Plot Files
Plot and Publish Drawings > Plot Drawings > Plot Files to Other Formats > Create Plot Files >
Create Plot Files
Concept Procedure Quick Reference

To create a plot (PLT) file

  1. Click Output tab [image] Plot panel [image] Plot. At the command prompt, enter plot.
  2. In the Plot dialog box, under Printer/Plotter, in the Name box, select a plotter configuration.
    NoteYou must use the correct plotter configuration for the output device in order to produce a valid PLT file.
  3. If the Plot to File option is available and is not selected, select it.
  4. Select plot settings for the plot file as needed.
  5. Click OK.
  6. In the Browse for Plot File dialog box, select a location and enter a file name for the plot file.
  7. Click Save.
Toolbar: Standard
Command entry: PLOT


To create a batch file for plot spooling (Procedure)

Create Plot Files
Up a level to ..
Create Plot Files
Plot and Publish Drawings > Plot Drawings > Plot Files to Other Formats > Create Plot Files >
Create Plot Files
Concept Procedure Quick Reference

To create a batch file for plot spooling

Plot files are meant to be used with spooling software or to be given to a service bureau for output. A simple batch file can be used to output PLT files.

  1. Open a text editor and save a batch file to a folder where you save your PLT files.
  2. Name the batch file something like MySpooler.bat.
  3. Add a single line to the batch file that reads:

    copy%1 \\server\printer

    The%1 is a parameter that the batch file will replace with the name of the .plt file being sent to the output device.

    TipIf the output device is connected directly to the computer, you can substitute the print server path with the printer port, such as LPT1.
  4. Save the batch file and close the text editor.


To plot a plot (PLT) file from a batch file (Procedure)

Create Plot Files
Up a level to ..
Overview of Publishing
Plot and Publish Drawings > Plot Drawings > Plot Files to Other Formats > Create Plot Files >
Create Plot Files
Concept Procedure Quick Reference

To plot a plot (PLT) file from a batch file

This procedure uses the batch file created in To create a batch file for plot spooling.

  1. Open a Command Prompt window and change directories to the folder containing your PLT file and spooling batch file.
  2. At the command prompt, enter the following:

    MySpooler.bat MyDrawing.plt

    where MySpooler.bat is the name of the batch file you created and MyDrawing.plt is the name of the plot file.

The PLT file is copied to the output device and the drawing is created.


Create Plot Files (Quick Reference)

Plot Adobe PostScript Files
Create Plot Files
Quick Start to Publishing
Plot and Publish Drawings > Plot Drawings > Plot Files to Other Formats > Create Plot Files >
Create Plot Files
Concept Procedure Quick Reference

Commands

PLOT

Plots a drawing to a plotter, printer, or file

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Publish Drawings

Create Plot Files
Plot and Publish Drawings
Quick Start to Publishing
Plot and Publish Drawings >
Publish Drawings

You can easily publish an entire sheet set from the Sheet Set Manager as a set of paper drawings or as a single, electronic, multi-sheet DWF or DWFx file.

Topics in this section

  • Quick Start to Publishing

    Using the Publish dialog box, you can easily assemble a collection of drawings and, with one click, create a paper drawing set or an electronic drawing set.

  • Overview of Publishing

    Publishing provides an easy way to create a paper drawing set or an electronic drawing set.

  • Create and Modify a Drawing Set for Publishing

    You can assemble a collection of drawing sheets to publish to a plotter, plot files, DWF, or DWFx file. You can save the drawing set and modify it.

  • Create a Paper or Plot File Drawing Set

    You can publish a drawing set to a plotter or plot file.

  • Publish an Electronic Drawing Set

    You can publish an electronic drawing set as a DWF or DWFx file.

  • Publish a Sheet Set

    From the Sheet Set Manager, you can easily publish an entire sheet set, a subset of a sheet set, or a single sheet. It is quicker to publish sheet set in Sheet Set Manager rather than using the Publish dialog box.

  • Republish a Drawing Set

    You can easily republish lists of drawing sheets that you previously saved in the Drawing Set Descriptions (DSD) file format.

  • View a Published Electronic Drawing Set

    A published electronic drawing set can be viewed and plotted with Autodesk Design Review.

  • Set Publish Options

    You can set options for publishing, such as output file location, DWF type, multi-sheet DWF name options, DWF security (password protection), and whether or not to include layer information. You can also decide what types of information to reveal in your published DWF or DWFx files and whether to publish drawings automatically.

  • 3D DWF Publishing

    You can create and publish DWF or DWFx files of your three-dimensional models and view them with the Autodesk Design Review.

  • Configure a DWF6 Driver (Advanced)

    You are not likely to change the settings in the DWF6 ePlot Properties dialog box often. However, when you need to make some subtle changes to your DWF6 ePlot configuration, you can do so through the DWF6 ePlot Properties dialog box. You can specify settings for color depth, display resolution, file compression, handling of fonts, pen settings, and other options. When you create DWF6 files, you use a plotter configuration file that uses a DWF6 driver model. You must use the DWF6 ePlot.pc3 file to plot DWF6 files.

  • Configure a DWFx Driver (Advanced)

    Use the DWFx ePlot (XPS Compatible) Properties dialog box to make changes to your DWFx ePlot plotter configuration file. For example, you can specify settings for color depth, display resolution, and other options.


Quick Start to Publishing (Concept)

Publish Drawings
Publish Drawings
Overview of Publishing
Plot and Publish Drawings > Publish Drawings >
Quick Start to Publishing
Concept Quick Reference

Using the Publish dialog box, you can easily assemble a collection of drawings and, with one click, create a paper drawing set or an electronic drawing set.

Sets of drawings are the primary deliverable for most design groups. Creating a drawing set to distribute for review can be complicated and time consuming.

Using the Publish dialog box, you can easily assemble a collection of drawings and, with one click, create a paper drawing set or an electronic drawing set.

Electronic drawing sets are saved as DWF or DWFx files. You can view or plot DWF or DWFx files using Autodesk Design Review.

To output a single drawing, use the Plot dialog box.

See Also

    • Quick Start to Plotting


Quick Start to Publishing (Quick Reference)

Create Plot Files
Quick Start to Publishing
Overview of Publishing
Plot and Publish Drawings > Publish Drawings > Quick Start to Publishing >
Quick Start to Publishing
Concept Quick Reference

Commands

PUBLISH

Publishes drawings to DWF files, DWFx files, or plotters

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Overview of Publishing (Concept)

Quick Start to Publishing
Publish Drawings
Create and Modify a Drawing Set for Publishing
Plot and Publish Drawings > Publish Drawings >
Overview of Publishing
Concept Procedure Quick Reference

Publishing provides an easy way to create a paper drawing set or an electronic drawing set.

An electronic drawing set is the digital equivalent of a set of plotted drawings. You create an electronic drawing set by publishing drawings to a DWF or DWFx file.

You can publish an entire sheet set from the Sheet Set Manager. With one click, you can create an electronic drawing set by publishing the sheet set to a single, multi-sheet DWF or DWFx file.

You can create a paper drawing set by publishing the sheet set to the plotter named in each sheet's page setup.

Using the Publish dialog box, you can assemble a collection of drawings to publish and save the list as a Drawing Set Descriptions (DSD) file. You can customize this collection of drawings for a specific user, and you can add and remove sheets as a project evolves. Once you've created a list of drawing sheets in the Publish dialog box, you can publish the drawings to any of the following:

  • The plotter named in each sheet's page setup (including drawings that you want to plot to file)
  • A single, multi-sheet DWF or DWFx file containing both 2D and 3D content
  • Multiple single-sheet DWF or DWFx files containing both 2D and 3D content

Using 3D DWF publishing, you can create and publish DWF files of your three-dimensional models and view them with Autodesk Design Review.

For more on publishing 3D DWF files, refer to 3D DWF Publishing.

Publishing an electronic drawing set as a DWF or DWFx file saves time and increases productivity by providing accurate, compressed representations of drawings in a file that's easy to distribute and view. This also maintains the integrity of your original drawings.

DWF files - when published - are created in a vector based format (except for inserted raster image content), ensuring that precision is maintained.

DWFx files are created using Microsoft’s XPS format. DWFx files are zip files and contain metadata. This metadata can be viewed only by Autodesk Design Review.

You can view and print general graphics in Autodesk Design Review or in Internet Explorer 7. Rich DWFx metadata can only be viewed in Autodesk Design Review.

You can view or plot DWF or DWFx files using Autodesk Design Review. DWF or DWFx files can be distributed using E-mail, FTP sites, project web sites, or CDs.

You can specify which block-related properties and attributes you want to make available to Autodesk Design Review users. For example, you can publish a DWF file or DWFx file for a plumbing contractor that contains block attribute information about the plumbing fixtures specified in your drawing data. And, from the same set of sheets, you can include only the block attribute data about light fixtures for an electrical contractor.

By default, jobs that are published are processed in the background, so that you can return immediately to your drawing. Only one job that you have published can be processed in the background at a time. While a job is being processed in the background, you can check its status by placing the cursor over the plotter icon on the right side of the status bar. You can also view details about all completed jobs that you have plotted or published from the current session.

See Also

    • Publish, Transmit, and Archive Sheet Sets

    • Specify Page Setup Settings

    • 3D DWF Publishing


Overview of Publishing (Procedure)

Create Plot Files
Overview of Publishing
Overview of Publishing
Plot and Publish Drawings > Publish Drawings > Overview of Publishing >
Overview of Publishing
Concept Procedure Quick Reference

To check the status of a published job that is being processed in the background

To cancel part or all of a published job that is processing in the background

To view details about jobs you have published

To turn background publishing on or off using the options dialog box

To turn background publishing on or off using the publish dialog box


To check the status of a published job that is being processed in the background (Procedure)

Overview of Publishing
Overview of Publishing
Overview of Publishing
Plot and Publish Drawings > Publish Drawings > Overview of Publishing >
Overview of Publishing
Concept Procedure Quick Reference

To check the status of a published job that is being processed in the background

  • Place the cursor over the plotter icon in the status tray. A tooltip displays the status of the job.


To cancel part or all of a published job that is processing in the background (Procedure)

Overview of Publishing
Overview of Publishing
Overview of Publishing
Plot and Publish Drawings > Publish Drawings > Overview of Publishing >
Overview of Publishing
Concept Procedure Quick Reference

To cancel part or all of a published job that is processing in the background

  • Right-click the plotter icon in the status tray. Click Cancel Sheet <sheetname> or Cancel Entire Job.


To view details about jobs you have published (Procedure)

Overview of Publishing
Overview of Publishing
Overview of Publishing
Plot and Publish Drawings > Publish Drawings > Overview of Publishing >
Overview of Publishing
Concept Procedure Quick Reference

To view details about jobs you have published

  1. Do one of the following:
    • Click Output tab [image] Plot panel [image] View Details. At the command prompt, enter viewplotdetails.
    • In the status tray, click the plotter icon.
  2. In the Plot and Publish Details dialog box, view details about published jobs.
Command entry: VIEWPLOTDETAILS
Shortcut menu: In the status tray, right-click the plotter icon. Click View Plot and Publish Details.


To turn background publishing on or off using the options dialog box (Procedure)

Overview of Publishing
Overview of Publishing
Overview of Publishing
Plot and Publish Drawings > Publish Drawings > Overview of Publishing >
Overview of Publishing
Concept Procedure Quick Reference

To turn background publishing on or off using the options dialog box

  1. Click Tools menu [image] Options.At the command prompt, enter options.
  2. In the Options dialog box, Plot and Publish tab, under Background Processing Options, select or clear the Enable Background Plot When Publishing option.
  3. Click OK.
Command entry: OPTIONS


To turn background publishing on or off using the publish dialog box (Procedure)

Overview of Publishing
Overview of Publishing
Create and Modify a Drawing Set for Publishing
Plot and Publish Drawings > Publish Drawings > Overview of Publishing >
Overview of Publishing
Concept Procedure Quick Reference

To turn background publishing on or off using the publish dialog box

  1. Click Output tab [image] Publish panel [image] Publish. At the command prompt, enter publish.
  2. In the Publish Controls group, select or clear Publish in background.
Command entry: PUBLISH


Overview of Publishing (Quick Reference)

Quick Start to Publishing
Overview of Publishing
Create and Modify a Drawing Set for Publishing
Plot and Publish Drawings > Publish Drawings > Overview of Publishing >
Overview of Publishing
Concept Procedure Quick Reference

Commands

PAGESETUP

Controls the page layout, plotting device, paper size, and other settings for each new layout

PUBLISH

Publishes drawings to DWF files, DWFx files, or plotters

System Variables

BACKGROUNDPLOT

Controls whether background plotting is turned on or off for plotting and publishing

PUBLISHCOLLATE

Controls whether plotting a sheet set, multi-sheet plot file, or plot spool file can be interrupted by other plot jobs

Utilities

No entries

Command Modifiers

No entries


Create and Modify a Drawing Set for Publishing (Concept)

Overview of Publishing
Publish Drawings
Create a Paper or Plot File Drawing Set
Plot and Publish Drawings > Publish Drawings >
Create and Modify a Drawing Set for Publishing
Concept Procedure Quick Reference

You can assemble a collection of drawing sheets to publish to a plotter, plot files, DWF, or DWFx file. You can save the drawing set and modify it.

You can assemble a collection of drawing sheets to publish to a plotter, plot files, DWF, or DWFx file. You can customize your drawing set for a specific user, and you can add, remove, reorder, copy, and rename sheets in a drawing set as a project evolves.

You can publish the drawing set directly to paper; single or multiple DWF files; or single or multiple DWFx files. DWF or DWFx files can be distributed using E-mail, FTP sites, project web sites, or CD. You can save a description of a drawing set that's been assembled to publish in a Drawing Set Descriptions (DSD) file.


Create and Modify a Drawing Set for Publishing (Procedure)

Overview of Publishing
Create and Modify a Drawing Set for Publishing
Create and Modify a Drawing Set for Publishing
Plot and Publish Drawings > Publish Drawings > Create and Modify a Drawing Set for Publishing >
Create and Modify a Drawing Set for Publishing
Concept Procedure Quick Reference

To create a drawing set for publishing

To add sheets from a drawing to a drawing set for publishing

To add sheets from a DSD file to a drawing set for publishing

To remove a sheet from a drawing set for publishing

To remove all sheets from a drawing set for publishing

To reorder sheets in a drawing set for publishing

To copy sheets in a drawing set for publishing

To rename sheets in a drawing set for publishing

To change the page setup of one sheet in a drawing set for publishing

To change the page setup of one or more sheets in a drawing set for publishing

To import a page setup from another drawing to apply to a drawing sheet for publishing

To publish multiple layouts in a drawing


To create a drawing set for publishing (Procedure)

Create and Modify a Drawing Set for Publishing
Create and Modify a Drawing Set for Publishing
Create and Modify a Drawing Set for Publishing
Plot and Publish Drawings > Publish Drawings > Create and Modify a Drawing Set for Publishing >
Create and Modify a Drawing Set for Publishing
Concept Procedure Quick Reference

To create a drawing set for publishing

  1. Open a drawing. Click Output tab [image] Publish panel [image] Publish. At the command prompt, enter publish.

    The Publish dialog box is displayed. If the Include Layouts When Adding Sheets option is selected, either in the shortcut menu or in the Publish dialog box, all the layouts in the current drawing are listed in the sheetlist.

  2. In the Publish dialog box, you can modify the list of sheets by doing any of the following as needed:
    • Add sheets. To add sheets from other drawings, click the Add Sheets button (or drag drawings from the desktop). In the Select Drawings dialog box, select drawings. Click Select to add them to the list of sheets in the Publish dialog box. All of the layouts in a drawing become individual sheets in the list of drawing sheets. You can remove the individual sheets if you do not want them to become part of the drawing set. A layout must be initialized (its paper size must be defined in the page setup to any size other than 0 x 0) before it can be published.
    NoteTo include all layouts when you add sheets to a drawing set, ensure the Include Layouts When Adding Sheets option is selected either in the shortcut menu or in the Publish dialog box.
    • Include model layouts. If you include an uninitialized (the paper size is not defined in the page setup or is set to 0 x 0) model layout, it will be marked as Uninitialized in the Status column on the sheet list. It can be plotted if you select an override page setup for it in the Publish dialog box from the page setup drop-down list under Page Setups in the sheet list.
    NoteTo include the model when you add sheets to a drawing set, ensure the Include Model When Adding Sheets option is selected either in the shortcut menu or in the Publish dialog box.
    • Remove sheets. To remove sheets from the list, select one or more sheets in the list. Click the Remove Sheets button. To remove all sheets, right-click the selection. Click Remove All.
    • Reorder sheets. To reorder the sheets up or down one position in the list, select a sheet. Click either the Move Sheet Up or Move Sheet Down button. Sheets in the drawing set are viewed or plotted in the order shown in the list.
    • Rename sheets. To rename a sheet, select it in the list and right-click. Click Rename Sheet. Enter the new sheet name.
    • Change page setups. To change the page setup for a layout, select the sheet, and in the Page Setup list select a named page setup from the list; or select one or more sheets and right-click. Click Change Page Setup. In the Page Setup list, select a page setup, or select Import to import page setups from another drawing or template. In the Import Page Setups dialog box, select a drawing with one or more page setups. Click Import. In the Page Setup list, select a named page setup.
    NoteChange the page setup for each layout depending on your desired output. Model space page setups can only be applied to model space sheets; paper space page setups can only be applied to paper space sheets.
    • Copy sheets. To copy one or more drawing sheets, select the sheets in the list and right-click. Click Copy Selected Sheets. The copied drawing sheets are added and highlighted at the end of the sheet list. When a sheet is copied, its name is created by the addition of -Copy(n) at the end of the original sheet name. For example, if you create one copy of a sheet called Plumbing, the copied sheet is called Plumbing-Copy(1). Each time you copy the same sheet, the n is incremented by 1. By creating copies of a sheet, you can have different page setups and other settings for the same sheet.
  3. When your list of drawing sheets is assembled and configured the way you want for your drawing set, click the Save List button.
  4. In the Save List As dialog box, in the File Name box, enter a name for the list. Click Save.

    The drawing set list is saved as a DSD (Drawing Set Descriptions) file.

Toolbar: Standard
Command entry: PUBLISH


To add sheets from a drawing to a drawing set for publishing (Procedure)

Create and Modify a Drawing Set for Publishing
Create and Modify a Drawing Set for Publishing
Create and Modify a Drawing Set for Publishing
Plot and Publish Drawings > Publish Drawings > Create and Modify a Drawing Set for Publishing >
Create and Modify a Drawing Set for Publishing
Concept Procedure Quick Reference

To add sheets from a drawing to a drawing set for publishing

  1. Click Output tab [image] Publish panel [image] Publish. At the command prompt, enter publish.
  2. In the Publish dialog box, click the Add Sheets button.
  3. In the Select Drawings dialog box, select drawings. Click Select to add them to the list of sheets in the Publish dialog box.
    NoteYou can also drag drawings from the desktop into the Publish dialog box to add sheets to the list.

    All of the layouts in a drawing become individual sheets in the list of drawing sheets.

    You must remove the drawing sheets that you don't want to become a part of the drawing set. Layouts must be initialized before they can be published. (A layout is initialized if its paper size is defined in the page setup to any size other than 0 x 0.)

Toolbar: Standard
Command entry: PUBLISH


To add sheets from a DSD file to a drawing set for publishing (Procedure)

Create and Modify a Drawing Set for Publishing
Create and Modify a Drawing Set for Publishing
Create and Modify a Drawing Set for Publishing
Plot and Publish Drawings > Publish Drawings > Create and Modify a Drawing Set for Publishing >
Create and Modify a Drawing Set for Publishing
Concept Procedure Quick Reference

To add sheets from a DSD file to a drawing set for publishing

  1. Click Output tab [image] Publish panel [image] Publish. At the command prompt, enter publish.
  2. In the Publish dialog box, click the Load Sheet List button.
  3. In the Load List of Sheets dialog box, select a DSD file. Click Load.
  4. In the Replace or Append dialog box, click Replace to replace the current sheets with the sheets in the DSD file, or click Append to add the sheets in the DSD file to the list of sheets in the Publish dialog box.
Toolbar: Standard
Command entry: PUBLISH


To remove a sheet from a drawing set for publishing (Procedure)

Create and Modify a Drawing Set for Publishing
Create and Modify a Drawing Set for Publishing
Create and Modify a Drawing Set for Publishing
Plot and Publish Drawings > Publish Drawings > Create and Modify a Drawing Set for Publishing >
Create and Modify a Drawing Set for Publishing
Concept Procedure Quick Reference

To remove a sheet from a drawing set for publishing

  1. Click Output tab [image] Publish panel [image] Publish. At the command prompt, enter publish.
  2. In the Publish dialog box, ensure the sheets that you want to remove are listed.
  3. Under Sheets, select one or more sheets to remove. Click the Remove Sheets button.
Toolbar: Standard
Command entry: PUBLISH


To remove all sheets from a drawing set for publishing (Procedure)

Create and Modify a Drawing Set for Publishing
Create and Modify a Drawing Set for Publishing
Create and Modify a Drawing Set for Publishing
Plot and Publish Drawings > Publish Drawings > Create and Modify a Drawing Set for Publishing >
Create and Modify a Drawing Set for Publishing
Concept Procedure Quick Reference

To remove all sheets from a drawing set for publishing

  1. Click Output tab [image] Publish panel [image] Publish. At the command prompt, enter publish.
  2. In the Publish dialog box, ensure the sheets that you want to remove are listed.
  3. Right-click the selection. Click Remove All.
    NoteRemoving all sheets cannot be undone.
Toolbar: Standard
Command entry: PUBLISH


To reorder sheets in a drawing set for publishing (Procedure)

Create and Modify a Drawing Set for Publishing
Create and Modify a Drawing Set for Publishing
Create and Modify a Drawing Set for Publishing
Plot and Publish Drawings > Publish Drawings > Create and Modify a Drawing Set for Publishing >
Create and Modify a Drawing Set for Publishing
Concept Procedure Quick Reference

To reorder sheets in a drawing set for publishing

  1. Click Output tab [image] Publish panel [image] Publish. At the command prompt, enter publish.
  2. In the Publish dialog box, ensure the sheets that you want to reorder are listed.
  3. Select a sheet. Click the Move Sheet Up or Move Sheet Down button.
    NoteSheets in the drawing set are viewed or plotted in the order shown in the Publish dialog box.
Toolbar: Standard
Command entry: PUBLISH


To copy sheets in a drawing set for publishing (Procedure)

Create and Modify a Drawing Set for Publishing
Create and Modify a Drawing Set for Publishing
Create and Modify a Drawing Set for Publishing
Plot and Publish Drawings > Publish Drawings > Create and Modify a Drawing Set for Publishing >
Create and Modify a Drawing Set for Publishing
Concept Procedure Quick Reference

To copy sheets in a drawing set for publishing

  1. Click Output tab [image] Publish panel [image] Publish. At the command prompt, enter publish.
  2. In the Publish dialog box, ensure the sheets that you want to copy are listed.
  3. Right-click the selection. Click Copy Selected Sheets.

    The copied drawing sheets are added and highlighted at the end of the sheet list. When a sheet is copied, its name is created by the addition of -copy(n) at the end of the original sheet name.

    For example, if you create one copy of a sheet called Plumbing, the copied sheet is called Plumbing-Copy(1).

    Each time you copy the same sheet, the n is incremented by 1. By creating copies of a sheet, you can have different page setups and other settings for the same sheet.

Toolbar: Standard
Command entry: PUBLISH


To rename sheets in a drawing set for publishing (Procedure)

Create and Modify a Drawing Set for Publishing
Create and Modify a Drawing Set for Publishing
Create and Modify a Drawing Set for Publishing
Plot and Publish Drawings > Publish Drawings > Create and Modify a Drawing Set for Publishing >
Create and Modify a Drawing Set for Publishing
Concept Procedure Quick Reference

To rename sheets in a drawing set for publishing

  1. Click Output tab [image] Publish panel [image] Publish. At the command prompt, enter publish.
  2. In the Publish dialog box, ensure the sheets that you want to rename are listed.
  3. Select a sheet in the Sheet list, and then do one of the following:
    • Right-click the selection. Click Rename Sheet.
    • Press F2.
  4. Enter the new sheet name.
Toolbar: Standard
Command entry: PUBLISH


To change the page setup of one sheet in a drawing set for publishing (Procedure)

Create and Modify a Drawing Set for Publishing
Create and Modify a Drawing Set for Publishing
Create and Modify a Drawing Set for Publishing
Plot and Publish Drawings > Publish Drawings > Create and Modify a Drawing Set for Publishing >
Create and Modify a Drawing Set for Publishing
Concept Procedure Quick Reference

To change the page setup of one sheet in a drawing set for publishing

  1. Click Output tab [image] Publish panel [image] Publish. At the command prompt, enter publish.
  2. In the Publish dialog box, ensure the sheet for which you want to change the page setup is listed.
  3. Select a sheet in the Sheet list.
  4. Under Page Setup, select a page setup to apply to the drawing sheet.
Toolbar: Standard
Command entry: PUBLISH


To change the page setup of one or more sheets in a drawing set for publishing (Procedure)

Create and Modify a Drawing Set for Publishing
Create and Modify a Drawing Set for Publishing
Create and Modify a Drawing Set for Publishing
Plot and Publish Drawings > Publish Drawings > Create and Modify a Drawing Set for Publishing >
Create and Modify a Drawing Set for Publishing
Concept Procedure Quick Reference

To change the page setup of one or more sheets in a drawing set for publishing

  1. Click Output tab [image] Publish panel [image] Publish. At the command prompt, enter publish.
  2. In the Publish dialog box, ensure the sheets for which you want to change the page setups are listed.
  3. Select one or more sheets in the list.
  4. Right-click the selection. Click Change Page Setup.
  5. In the Page Setup list, select a page setup to apply to the drawing sheets.
    NoteChange the page setup for each layout depending on your desired output. Model space page setups can only be applied to model space sheets; paper space page setups can only be applied to paper space sheets.
Toolbar: Standard
Command entry: PUBLISH


To import a page setup from another drawing to apply to a drawing sheet for publishing (Procedure)

Create and Modify a Drawing Set for Publishing
Create and Modify a Drawing Set for Publishing
Create and Modify a Drawing Set for Publishing
Plot and Publish Drawings > Publish Drawings > Create and Modify a Drawing Set for Publishing >
Create and Modify a Drawing Set for Publishing
Concept Procedure Quick Reference

To import a page setup from another drawing to apply to a drawing sheet for publishing

  1. Click Output tab [image] Publish panel [image] Publish. At the command prompt, enter publish.
  2. In the Publish dialog box, ensure the sheet for which you want to change the page setup is listed.
  3. Select a sheet in the Sheet list.
  4. Under Page Setup, select Import from the list.
  5. In the Import Page Setups dialog box, select the drawing whose page setups you want to import. Click Import.
Toolbar: Standard
Command entry: PUBLISH


To publish multiple layouts in a drawing (Procedure)

Create and Modify a Drawing Set for Publishing
Create and Modify a Drawing Set for Publishing
Create a Paper or Plot File Drawing Set
Plot and Publish Drawings > Publish Drawings > Create and Modify a Drawing Set for Publishing >
Create and Modify a Drawing Set for Publishing
Concept Procedure Quick Reference

To publish multiple layouts in a drawing

  1. In the drawing area, click a layout tab that you want to publish.
  2. Press and hold the CTRL key, and then click the other layout tabs that you want to publish.
  3. Right-click one of the selected layout tabs. Click Publish Selected Layouts.
  4. In the Publish dialog box, change any settings for the selected layouts.
  5. Click Publish.
Command entry: PUBLISH


Create and Modify a Drawing Set for Publishing (Quick Reference)

Overview of Publishing
Create and Modify a Drawing Set for Publishing
Create a Paper or Plot File Drawing Set
Plot and Publish Drawings > Publish Drawings > Create and Modify a Drawing Set for Publishing >
Create and Modify a Drawing Set for Publishing
Concept Procedure Quick Reference

Commands

PUBLISH

Publishes drawings to DWF files, DWFx files, or plotters

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Create a Paper or Plot File Drawing Set (Concept)

Create and Modify a Drawing Set for Publishing
Publish Drawings
Publish an Electronic Drawing Set
Plot and Publish Drawings > Publish Drawings >
Create a Paper or Plot File Drawing Set
Concept Procedure Quick Reference

You can publish a drawing set to a plotter or plot file.

You can assemble drawing sheets into a customized drawing set and publish the sheets to the plotter named in the page setup specified for each sheet. If the plot device named in the page setup is a paper plotter, then your output will be a paper drawing set.

If the plotter is configured to plot to a file, the sheets are saved to files in the plot file location specified in the Publish Options dialog box. Each drawing sheet's plot file is saved with the same name as the sheet, with the appropriate file extension for the file (for example, .plt, .jpg, or .bmp). The default location can be changed in the Options dialog box, Plot and Publish tab, under Plot to File.

See Also

    • Set Publish Options


To create and publish a paper or plot file drawing set (Procedure)

Create and Modify a Drawing Set for Publishing
Create a Paper or Plot File Drawing Set
Publish an Electronic Drawing Set
Plot and Publish Drawings > Publish Drawings > Create a Paper or Plot File Drawing Set >
Create a Paper or Plot File Drawing Set
Concept Procedure Quick Reference

To create and publish a paper or plot file drawing set

  1. Open a drawing. Click Output tab [image] Publish panel [image] Publish. At the command prompt, enter publish.
  2. In the Publish dialog box, the drawing layouts are shown in the Sheets List. To create the drawing set, modify the list of drawing sheets by doing any of the following as needed:
    • Add sheets. To add sheets from other drawings, click the Add Sheets button (or drag drawings from the desktop). In the Select Drawings dialog box, select drawings. Click Select to add them to the list of sheets in the Publish dialog box. All of the layouts in a drawing become individual sheets in the list of drawing sheets. You can remove the individual sheets if you do not want them to become part of the drawing set. A layout must be initialized (its paper size must be defined in the page setup to any size other than 0 x 0) before it can be published.
    NoteTo include all layouts when you add sheets to a drawing set, ensure the Include Layouts When Adding Sheets option is selected on the shortcut menu or in the Publish dialog box.
    • Include model layouts. If an uninitialized (the paper size is not defined in the page setup or is set to 0 x 0) model layout is included, it will be marked as Uninitialized in the Status column on the sheet list. It can be plotted if a page setup override is applied.
    NoteTo include the Model when you add sheets to a drawing set, ensure the Include Model When Adding Sheets option on the shortcut menu is selected.
    • Remove sheets. To remove sheets from the list, select one or more sheets in the list. Click the Remove Sheets button. To remove all sheets, right-click. Click Remove All.
    • Reorder sheets. To reorder the sheets up or down one position in the list, select a sheet. Click either the Move Sheet Up or Move Sheet Down button. Sheets in the drawing set are viewed or plotted in the order shown in the list.
    • Rename sheets. To rename a sheet, select it in the list and right-click, Click Rename Sheet. Enter the new sheet name.
    • Change page setups. To change the page setup for a layout, select the sheet. In the Page Setup list, select a named page setup from the list, or select one or more sheets in the list and right-click. Click Change Page Setup. In the Page Setup list, select a page setup or select Import to import page setups from another drawing or template. In the Import Page Setups dialog box, select a drawing with one or more page setups. Click Import. In the Page Setup list, select a named page setup.
    NoteChange the page setup for each layout depending on your desired output. Model space page setups can only be applied to model space sheets; paper space page setups can only be applied to paper space sheets.
    • Copy sheets. To copy one or more drawing sheets, select the sheets in the list and right-click. Click Copy Selected Sheets. The copied drawing sheets are added and highlighted at the end of the sheet list. When a sheet is copied, its name is created by the addition of -Copy(n) at the end of the original sheet name. For example, if you create one copy of a sheet called Plumbing, the copied sheet is called Plumbing-Copy(1). Each time you copy the same sheet, the n is incremented by 1. By creating copies of a sheet, you can have different page setups and other settings for the same sheet.
  3. When your list of drawing sheets is assembled and configured the way you want for your paper or plot file drawing set, click the Save Sheet List button.
  4. In the Save List As dialog box, in the File Name box, enter a name for the drawing set list. Click Save.

    The drawing set list is saved as a DSD (Drawing Set Descriptions) file.

  5. In the Publish dialog box, under Publish To, select Plotter Named in Page Setup.
  6. Click Publish to start the process.

    If you have background publishing enabled, the animated plotter icon on the right side of the status bar indicates that the publish job is in progress: paper drawings are being plotted or plot files are being created.

  7. To view information about the processed publish job, right-click the plotter icon on the right side of the status bar. Click View Plot and Publish Details.
Toolbar: Standard
Command entry: PUBLISH


Create a Paper or Plot File Drawing Set (Quick Reference)

Create and Modify a Drawing Set for Publishing
Create a Paper or Plot File Drawing Set
Publish an Electronic Drawing Set
Plot and Publish Drawings > Publish Drawings > Create a Paper or Plot File Drawing Set >
Create a Paper or Plot File Drawing Set
Concept Procedure Quick Reference

Commands

PAGESETUP

Controls the page layout, plotting device, paper size, and other settings for each new layout

PLOT

Plots a drawing to a plotter, printer, or file

PLOTTERMANAGER

Displays the Plotter Manager, where you can add or edit a plotter configuration

PUBLISH

Publishes drawings to DWF files, DWFx files, or plotters

System Variables

PUBLISHCOLLATE

Controls whether plotting a sheet set, multi-sheet plot file, or plot spool file can be interrupted by other plot jobs

Utilities

No entries

Command Modifiers

No entries


Publish an Electronic Drawing Set (Concept)

Create a Paper or Plot File Drawing Set
Publish Drawings
Publish a Sheet Set
Plot and Publish Drawings > Publish Drawings >
Publish an Electronic Drawing Set
Concept Procedure Quick Reference

You can publish an electronic drawing set as a DWF or DWFx file.

You can assemble drawing sheets into a customized electronic drawing set. An electronic drawing set is the digital equivalent of a set of plotted drawings.

An electronic drawing set is saved as a single, multi-sheet DWF or DWFx file; and can be shared with customers, suppliers, or people within your own company who may need the drawings for examination or for their records.

You can also send the published electronic drawing set as an E-mail attachment, share it using a project collaboration site such as Autodesk Buzzsaw, or post it to a web site. Using Autodesk Design Review, you can view or plot only the layouts you need.

You can also publish the drawing set as individual, single-sheet DWF or DWFx files for each sheet.

  • When you publish to a DWF file, use the DWF6 ePlot.pc3 plotter configuration file.
  • When you publish to a DWFx file, use the DWFx ePlot (XPS Compatible).pc3 file.

You can use the default plotter driver as installed, or you can modify configuration settings such as color depth, display resolution, file compression, font handling, and other options. Once you modify the original plotter configuration file, all future plotting and publishing of DWF or DWFx files will be affected.

ImportantCreate a copy of the original plotter configuration file before you make any changes.
See Also

    • Set Publish Options


Publish an Electronic Drawing Set (Procedure)

Create a Paper or Plot File Drawing Set
Publish an Electronic Drawing Set
Publish an Electronic Drawing Set
Plot and Publish Drawings > Publish Drawings > Publish an Electronic Drawing Set >
Publish an Electronic Drawing Set
Concept Procedure Quick Reference

To create a dwf or dwfx file using publish

To create a dwf or dwfx file using windows explorer

To create and email a dwf or dwfx file using windows explorer


To create a dwf or dwfx file using publish (Procedure)

Publish an Electronic Drawing Set
Publish an Electronic Drawing Set
Publish an Electronic Drawing Set
Plot and Publish Drawings > Publish Drawings > Publish an Electronic Drawing Set >
Publish an Electronic Drawing Set
Concept Procedure Quick Reference

To create a dwf or dwfx file using publish

  1. Open a drawing. Click Output tab [image] Publish panel [image] Publish. At the command prompt, enter publish.

    The Publish dialog box is displayed. If the Include Layouts When Adding Sheets option is selected either in the shortcut menu or in the Publish dialog box, all the layouts in the current drawing are listed in the sheet list.

  2. In the Publish dialog box, you can modify the list of sheets by doing any of the following as needed:
    • Add sheets. To add sheets from other drawings, click the Add Sheets button (or drag drawings from the desktop). In the Select Drawings dialog box, select drawings. Click Select to add them to the list of sheets in the Publish dialog box. All of the layouts in a drawing become individual sheets in the list of drawing sheets. You must remove those sheets that you don't want to become a part of the drawing set.
    NoteTo include all layouts when you add sheets to a drawing set, select — Include Layouts When Adding Sheets option in the shortcut menu or Layout Tab in the Include when adding sheets group.
    • Include model layouts. If you include an uninitialized (the paper size is not defined in the page setup or is set to 0 x 0) model layout, it will be marked as Uninitialized in the Status column on the sheet list. It can be plotted if you select an override page setup for it in the Publish dialog box from the page setup drop-down list under Page Setups in the sheet list.
    NoteTo include the model space when you add sheets to a drawing set, select — Include Model When Adding Sheets option in the shortcut menu or Model Tab in the Include when adding sheets group.
    • Remove sheets. To remove sheets from the list, select one or more sheets, and then click the Remove Sheets button. To remove all sheets, right-click. Click Remove All.
    • Reorder sheets. To reorder the sheets up or down one position in the list, select a sheet. Click either the Move Sheet Up or Move Sheet Down button. Sheets in the drawing set are viewed or plotted in the order shown in the list.
    • Rename sheets. To rename a sheet, select it in the list and right-click. Click Rename Sheet. Enter the new sheet name.
    • Change page setups. To change the page setup for a layout, select the sheet, and in the Page Setup list select a named page setup from the list; or select one or more sheets and right-click. Click Change Page Setup. In the Page Setup list, select a page setup, or select Import to import page setups from another drawing or template. In the Import Page Setups dialog box, select a drawing with one or more page setups. Click Import. In the Page Setup list, select a named page setup.
    NoteChange the page setup for each layout depending on your desired output. Model space page setups can only be applied to model space sheets; paper space page setups can only be applied to paper space sheets.
    • Copy sheets. To copy one or more drawing sheets, select the sheets in the list and right-click. Click Copy Selected Sheets. The copied drawing sheets are added and highlighted at the end of the sheet list. When a sheet is copied, its name is created by the addition of -Copy(n) at the end of the original sheet name. For example, if you create one copy of a sheet called Plumbing, the copied sheet is called Plumbing-Copy(1). Each time you copy the same sheet, the n is incremented by 1. By creating copies of a sheet, you can have different page setups and other settings for the same sheet.
  3. When your list of drawing sheets is assembled and configured the way you want for your drawing set, click the Save Sheet List button.
    NoteEnsure that you have saved your drawing before you click the Save Sheet List button.
  4. In the Save List As dialog box, in the File Name box, enter a name for the list. Click Save.

    The drawing set list is saved as a drawing set descriptions (DSD) file.

  5. In the Publish dialog box, under Publish To, click DWF Format, and select DWF File or DWFx File. Click Publish.
  6. In the Specify DWF File dialog box, enter a file name.

    The Files of Type is DWF or DWFx based on the selected DWF format.

  7. Click Select to provide the name and destination for the DWF or DWFx file.
    NoteYou can also enter a URL so that the DWF or DWFx file is uploaded to an FTP or HTTP site.
  8. Click Save to start the electronic drawing set creation.

    If you have background publishing enabled, the animated plotter icon on the right side of the status bar indicates that the publish job is in progress.

  9. To view information about the processed publish job, right-click the plotter icon on the right side of the status bar. Click View Plot and Publish Details.

    The information in the Plot and Publish Details dialog box is also saved to the plot and Publish log file.

  10. If you have the appropriate viewer installed, you can view the DWF or DWFx file. Right-click the plotter icon on the right side of the status. Click View DWF File.
Toolbar: Standard
Command entry: PUBLISH


To create a dwf or dwfx file using windows explorer (Procedure)

Publish an Electronic Drawing Set
Publish an Electronic Drawing Set
Publish an Electronic Drawing Set
Plot and Publish Drawings > Publish Drawings > Publish an Electronic Drawing Set >
Publish an Electronic Drawing Set
Concept Procedure Quick Reference

To create a dwf or dwfx file using windows explorer

  1. Launch Windows Explorer.
  2. Select the drawings to publish to DWF or DWFx.

    Use Shift or Ctrl + Click to select contiguous or non-contiguous files.

    NoteYou can publish only 2D DWF or 2D DWFx files using the shortcut menu in Windows Explorer.
  3. Right-click the selection. Click Publish DWF.

    The Specify DWF File dialog box appears in a temporary AutoCAD session.

  4. Specify Files of type as either *.dwfx or *.dwf.
  5. Type a file name, or select a file.

    AutoCAD publishes the drawing file with the following options:

    DWF type = Multi-sheet

    Password = Disabled

    Layer information = Don’t include

    Block information = Don’t include

    By default, the DWFx / DWF file will be saved to the same location as the selected drawing file/s.


To create and email a dwf or dwfx file using windows explorer (Procedure)

Publish an Electronic Drawing Set
Publish an Electronic Drawing Set
Publish a Sheet Set
Plot and Publish Drawings > Publish Drawings > Publish an Electronic Drawing Set >
Publish an Electronic Drawing Set
Concept Procedure Quick Reference

To create and email a dwf or dwfx file using windows explorer

  1. Launch Windows Explorer.
  2. Select the drawings to publish to DWF / DWFx.

    Use Shift or Ctrl + Click to select contiguous or non-contiguous files.

    NoteYou can publish only 2D DWF or 2D DWFx using the shortcut menu in Windows Explorer.
  3. Right-click the selection. Click Publish DWF and Email.

    The Specify DWF File dialog box is displayed in a temporary AutoCAD session.

  4. Specify Files of type as either *.dwfx or *.dwf.
  5. Type a file name, or select a file.

    The DWF or DWFx file contains the following settings:

    DWF type = Multi-sheet

    Password = Disabled

    Layer information = Don’t include

    Block information = Don’t include

  6. AutoCAD launches your default mail application with the newly created DWF or DWFx as an attachment.


Publish an Electronic Drawing Set (Quick Reference)

Create a Paper or Plot File Drawing Set
Publish an Electronic Drawing Set
Publish a Sheet Set
Plot and Publish Drawings > Publish Drawings > Publish an Electronic Drawing Set >
Publish an Electronic Drawing Set
Concept Procedure Quick Reference

Commands

PAGESETUP

Controls the page layout, plotting device, paper size, and other settings for each new layout

PUBLISH

Publishes drawings to DWF files, DWFx files, or plotters

System Variables

PUBLISHCOLLATE

Controls whether plotting a sheet set, multi-sheet plot file, or plot spool file can be interrupted by other plot jobs

PUBLISHHATCH

Controls whether hatch patterns published to DWF or DWFx format are treated as a single object when they are opened in Autodesk Impression

Utilities

No entries

Command Modifiers

No entries


Publish a Sheet Set (Concept)

Publish an Electronic Drawing Set
Publish Drawings
Republish a Drawing Set
Plot and Publish Drawings > Publish Drawings >
Publish a Sheet Set
Concept Procedure Quick Reference

From the Sheet Set Manager, you can easily publish an entire sheet set, a subset of a sheet set, or a single sheet. It is quicker to publish sheet set in Sheet Set Manager rather than using the Publish dialog box.

When you publish from the Sheet Set Manager, you can publish an electronic sheet set by publishing to a DWF or DWFx file, or you can publish a paper set by publishin g to the plotter named in the page setup that is associated with each drawing sheet. You can also publish your sheets using a page setup that is saved in the page setup overrides DWT file associated with the sheet set. This page setup overrides the current page setup settings for the individual publish job.

When you open the Publish dialog box from the Sheet Set Manager, the Publish dialog box automatically lists the sheets you selected in the sheet set. You can then modify the sheet set for publishing.

NoteYou can specify that sheets are sent to the plotter in reverse order. This option is available from the Publish dialog box and from the Sheet Set Manager.
See Also

    • Use Named Page Setups with Sheet Sets

    • Work with Sheets in a Sheet Set

    • Set Publish Options


Publish a Sheet Set (Procedure)

Publish an Electronic Drawing Set
Publish a Sheet Set
Publish a Sheet Set
Plot and Publish Drawings > Publish Drawings > Publish a Sheet Set >
Publish a Sheet Set
Concept Procedure Quick Reference

To publish a sheet set to a DWF file

To publish a sheet set to a DWFx file

To plot a sheetset to a PDF file

To publish a subset of a sheet set or an individual sheet to a DWF file

To publish a subset of a sheet set or an individual sheet to a DWFx file

To publish sheets in a sheet set to the plotter named in the sheet's page setup

To publish sheets in a sheet set using a page setup from the page setup overrides file

To include a plot stamp on published sheets from a sheet set

To publish sheets in a sheet set in reverse order

To set options for publishing sheet sets

To modify the sheet set for publishing using the publish dialog box


To publish a sheet set to a DWF file (Procedure)

Publish a Sheet Set
Publish a Sheet Set
Publish a Sheet Set
Plot and Publish Drawings > Publish Drawings > Publish a Sheet Set >
Publish a Sheet Set
Concept Procedure Quick Reference

To publish a sheet set to a DWF file

  1. In the Sheet Set Manager, under Sheets, select a sheet set, subset, or sheet.
  2. In the upper-right corner of the Sheet Set Manager, click the Publish button.

    NoteSheet sets cannot contain 3D DWF (or 3D DWFx) entries.
  3. Click Publish to DWF from the flyout menu.

    If you have background publishing enabled, the animated plotter icon on the right side of the status bar indicates that the publish job is in progress. Right-click this icon for options to view the DWF file or to view information about the publish job.

    TipPublishing performance can be improved by disabling background publishing. Ensure that background publishing is not selected in the Plot and Publish tab (Tools [image] Options), and in the Publish Controls group.
Toolbar: Standard
Command entry: SHEETSET
Shortcut menu: Right-click a sheet set, subset, or sheet. Click Publish menu [image] Publish To DWF.


To publish a sheet set to a DWFx file (Procedure)

Publish a Sheet Set
Publish a Sheet Set
Publish a Sheet Set
Plot and Publish Drawings > Publish Drawings > Publish a Sheet Set >
Publish a Sheet Set
Concept Procedure Quick Reference

To publish a sheet set to a DWFx file

  1. In the Sheet Set Manager, under Sheets, select a sheet set, subset, or sheet.
  2. In the upper-right corner of the Sheet Set Manager, click the Publish button.

    NoteSheet sets cannot contain 3D DWF (or 3D DWFx) entries.
  3. Click Publish to DWFx from the flyout menu.

    If you have background publishing enabled, the animated plotter icon on the right side of the status bar indicates that the publish job is in progress. Right-click this icon for options to view the DWF file or to view information about the publish job.

    TipPublishing performance can be improved by disabling background publishing. Ensure that background publishing is not selected in the Plot and Publish tab (Tools [image] Options), and in the Publish Controls group.
Command entry: SHEETSET
Shortcut menu: Right-click a sheet set, subset, or sheet. Click Publish menu [image] Publish To DWFx.


To plot a sheetset to a PDF file (Procedure)

Publish a Sheet Set
Publish a Sheet Set
Publish a Sheet Set
Plot and Publish Drawings > Publish Drawings > Publish a Sheet Set >
Publish a Sheet Set
Concept Procedure Quick Reference

To plot a sheetset to a PDF file

  1. In the Sheet Set Manager, right-click a sheet set, subset, or sheet. Click Publish [image] Manage Page Setups.
  2. In the Page Setup Manager dialog box, click New.
  3. In the New Page Setup dialog box, under New Page Setup Name, enter a name for the PDF page setup. Click OK.
  4. In the Page Setup dialog box, under Printer/Plotter, select the DWG to PDF.pc3 configuration file.

    If the Paper Size Not Found dialog box displays, choose the paper size option for the sheet set.

  5. In the Page Setup dialog box, set the desired page setup options. Click OK.
  6. In the Page Setup Manager, click Close.
  7. In the Sheet Set Manager, right-click the sheet set to publish. Click Publish [image] Publish Using Page Setup Override. Click the page setup you created.

    The PDF file is plotted to the directory listed in the Plot and Publish Details ( VIEWPLOTDETAILS) dialog box.

    TipPublishing performance can be improved by disabling background publishing. Background publishing can be disabled by clearing the Publish in background check box (Publish Controls group) in the Publish dialog box.
Toolbar: Sheet Set Manager window
Command entry: SHEETSET


To publish a subset of a sheet set or an individual sheet to a DWF file (Procedure)

Publish a Sheet Set
Publish a Sheet Set
Publish a Sheet Set
Plot and Publish Drawings > Publish Drawings > Publish a Sheet Set >
Publish a Sheet Set
Concept Procedure Quick Reference

To publish a subset of a sheet set or an individual sheet to a DWF file

  1. In the Sheet Set Manager, under Sheets, select a sheet set, subset, or sheet.
  2. In the upper-right corner of the Sheet Set Manager, click the Publish button.

  3. Click Publish to DWF from the flyout menu.
    NoteIf you have background publishing enabled, the animated plotter icon on the right side of the status bar indicates that the publish job is in progress. Right-click this icon for options to view the DWF file or to view information about the publish job.
Toolbar: Standard
Command entry: SHEETSET
Shortcut menu: Right-click the sheet set, subset, or sheet. Click Publish [image] Publish To DWF.


To publish a subset of a sheet set or an individual sheet to a DWFx file (Procedure)

Publish a Sheet Set
Publish a Sheet Set
Publish a Sheet Set
Plot and Publish Drawings > Publish Drawings > Publish a Sheet Set >
Publish a Sheet Set
Concept Procedure Quick Reference

To publish a subset of a sheet set or an individual sheet to a DWFx file

  1. In the Sheet Set Manager, under Sheets, select a sheet set, subset, or sheet.
  2. In the upper-right corner of the Sheet Set Manager, click the Publish button.

  3. Click Publish to DWFx from the flyout menu.
    NoteIf you have background publishing enabled, the animated plotter icon on the right side of the status bar indicates that the publish job is in progress. Right-click this icon for options to view the DWFx file or to view information about the publish job.
Toolbar: Standard
Command entry: SHEETSET
Shortcut menu: Right-click the sheet set, subset, or sheet. Click Publish [image] Publish To DWFx.


To publish sheets in a sheet set to the plotter named in the sheet's page setup (Procedure)

Publish a Sheet Set
Publish a Sheet Set
Publish a Sheet Set
Plot and Publish Drawings > Publish Drawings > Publish a Sheet Set >
Publish a Sheet Set
Concept Procedure Quick Reference

To publish sheets in a sheet set to the plotter named in the sheet's page setup

  1. In the Sheet Set Manager, under Sheets, select a sheet set, subset, or sheet.
  2. In the upper-right corner of the Sheet Set Manager, click the Publish button. Click Publish To Plotter.

    NoteIf you have background publishing enabled, the animated plotter icon on the right side of the status bar indicates that the publish job is in progress. Right-click this icon for options to view the DWF file or to view information about the publish job.
Toolbar: Standard
Command entry: SHEETSET
Shortcut menu: Right-click the sheet set, subset, or sheet.Click Publish [image] Publish To Plotter.


To publish sheets in a sheet set using a page setup from the page setup overrides file (Procedure)

Publish a Sheet Set
Publish a Sheet Set
Publish a Sheet Set
Plot and Publish Drawings > Publish Drawings > Publish a Sheet Set >
Publish a Sheet Set
Concept Procedure Quick Reference

To publish sheets in a sheet set using a page setup from the page setup overrides file

  1. In the Sheet Set Manager, under Sheets, select the sheet set, subset, or sheet.
  2. In the upper-right corner of the Sheet Set Manager, click the Publish button. Click Publish Using Page Setup Override [image] <filename.dwt>. (All the named page setups that are saved in the page setup override DWT file are listed.)

    The settings in the selected page setup override file take precedence over (override) the page setup settings currently set for the selected sheets. The page setup override settings apply only for this individual publish job.

    NoteIf you have background publishing enabled, the animated plotter icon on the right side of the status bar indicates that the publish job is in progress. Right-click this icon for options to view the DWF file or to view information about the publish job.
Toolbar: Standard
Command entry: SHEETSET
Shortcut menu: Right-click the sheet set, subset, or sheet. Click Publish [image] Publish Using Page Setup Override [image] <filename.dwt>.


To include a plot stamp on published sheets from a sheet set (Procedure)

Publish a Sheet Set
Publish a Sheet Set
Publish a Sheet Set
Plot and Publish Drawings > Publish Drawings > Publish a Sheet Set >
Publish a Sheet Set
Concept Procedure Quick Reference

To include a plot stamp on published sheets from a sheet set

  • In the upper-right corner of the Sheet Set Manager, click the Publish button. Click Include Plot Stamp.

    A plot stamp will be included on all published sheets.

NoteTo change the plot stamp settings, click the Publish button. Click Plot Stamp Settings.
Toolbar: Standard
Command entry: SHEETSET
Shortcut menu: Right-click the node or name of a sheet set, subset, or an individual sheet.Click Publish [image] Include Plot Stamp.


To publish sheets in a sheet set in reverse order (Procedure)

Publish a Sheet Set
Publish a Sheet Set
Publish a Sheet Set
Plot and Publish Drawings > Publish Drawings > Publish a Sheet Set >
Publish a Sheet Set
Concept Procedure Quick Reference

To publish sheets in a sheet set in reverse order

  1. In the Sheet Set Manager, under Sheets, select the name of a sheet set or a subset.
  2. In the upper-right corner of the Sheet Set Manager, click the Publish button. Click Publish In Reverse Order.

    A tick mark against the menu item indicates that when you click Publish, the sheets will be published in reverse order.

    NoteThis option is not available for DWF files.
Toolbar: Standard
Command entry: SHEETSET
Shortcut menu: Right-click the node or name of a sheet set, or subset. Click Publish [image] Publish In Reverse Order.


To set options for publishing sheet sets (Procedure)

Publish a Sheet Set
Publish a Sheet Set
Publish a Sheet Set
Plot and Publish Drawings > Publish Drawings > Publish a Sheet Set >
Publish a Sheet Set
Concept Procedure Quick Reference

To set options for publishing sheet sets

  1. In the upper-right corner of the Sheet Set Manager, click the Publish button. Click Sheet Set Publish Options.

  2. In the Sheet Set Publish Options dialog box, modify the settings as required.
  3. Click OK.
Toolbar: Standard
Command entry: SHEETSET
Shortcut menu: Right-click the node or name of a sheet set, subset, or an individual sheet.Click Publish [image] Sheet ions.


To modify the sheet set for publishing using the publish dialog box (Procedure)

Publish a Sheet Set
Publish a Sheet Set
Republish a Drawing Set
Plot and Publish Drawings > Publish Drawings > Publish a Sheet Set >
Publish a Sheet Set
Concept Procedure Quick Reference

To modify the sheet set for publishing using the publish dialog box

  1. In the Sheet Set Manager, under Sheets, select the node or name of a sheet set, subset, or an individual sheet.
  2. In the upper-right corner of the Sheet Set Manager, click the Publish button. Click Publish Dialog Box.

    The Publish dialog box is displayed and lists the sheets you selected in the Sheet Set Manager.

  3. In the Publish dialog box, modify the sheet list and settings as required.
  4. Click Publish to publish the modified sheet set.
    NoteIf you have background publishing enabled, the animated plotter icon on the right side of the status bar indicates that the publish job is in progress. Right-click this icon for options to view the DWF or DWFx file or to view information about the publish job.
Toolbar: Standard
Command entry: SHEETSET
Shortcut menu: Right-click the node or name of a sheet set, subset, or an individual sheet.Click Publish [image] Publish Dialog Box.


Publish a Sheet Set (Quick Reference)

Publish an Electronic Drawing Set
Publish a Sheet Set
Republish a Drawing Set
Plot and Publish Drawings > Publish Drawings > Publish a Sheet Set >
Publish a Sheet Set
Concept Procedure Quick Reference

Commands

PAGESETUP

Controls the page layout, plotting device, paper size, and other settings for each new layout

PLOT

Plots a drawing to a plotter, printer, or file

PUBLISH

Publishes drawings to DWF files, DWFx files, or plotters

SHEETSET

Opens the Sheet Set Manager

System Variables

PUBLISHCOLLATE

Controls whether plotting a sheet set, multi-sheet plot file, or plot spool file can be interrupted by other plot jobs

Utilities

No entries

Command Modifiers

No entries


Republish a Drawing Set (Concept)

Publish a Sheet Set
Publish Drawings
View a Published Electronic Drawing Set
Plot and Publish Drawings > Publish Drawings >
Republish a Drawing Set
Concept Procedure Quick Reference

You can easily republish lists of drawing sheets that you previously saved in the Drawing Set Descriptions (DSD) file format.

After drawings have been updated, you may want to republish a drawing set for viewing or plotting. You can easily republish a sheet set (DST file) or a collection of drawing sheets that you've saved a description of as a DSD (Drawing Set Descriptions) file. You can also load and republish BP3 (Batch Plot) files.


To republish a drawing set (Procedure)

Publish a Sheet Set
Republish a Drawing Set
View a Published Electronic Drawing Set
Plot and Publish Drawings > Publish Drawings > Republish a Drawing Set >
Republish a Drawing Set
Concept Procedure Quick Reference

To republish a drawing set

  1. Click Output tab [image] Publish panel [image] Publish. At the command prompt, enter publish.

    If you have a drawing open, all the layouts in your drawing are shown in the sheet list in the Publish dialog box. Right-click in the sheet list. Click Remove All to delete the layouts from the list of drawing sheets.

  2. In the Publish dialog box, click the Load Sheet List button.
  3. In the Load List of Sheets dialog box, select the location of the DSD file or the BP3 file. Click Load.

    The drawing sheets in the saved drawing set are displayed in the sheet list in the Publish dialog box.

  4. In the Publish to group, do one of the following:
    • To publish to a DWF file —click DWF format, and select DWF File.
    • To publish to a DWFx file — click DWF format, and select DWFx File.
    • To publish to a plotter or printer — click Plotter Named in Page Setup.
  5. Click Publish.

    If you have background publishing enabled, the animated plotter icon on the right side of the status bar indicates that the publish job is in progress.

  6. If you have background publishing enabled, you can view information about the processed publish job. Right-click the plotter icon on the right side of the status bar. Click View Plot and Publish Details. The information in the Plot and Publish Details dialog box is also saved to the plot and publish log file.
Toolbar: Standard
Command entry: PUBLISH


Republish a Drawing Set (Quick Reference)

Publish a Sheet Set
Republish a Drawing Set
View a Published Electronic Drawing Set
Plot and Publish Drawings > Publish Drawings > Republish a Drawing Set >
Republish a Drawing Set
Concept Procedure Quick Reference

Commands

PUBLISH

Publishes drawings to DWF files, DWFx files, or plotters

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


View a Published Electronic Drawing Set (Concept)

Republish a Drawing Set
Publish Drawings
Set Publish Options
Plot and Publish Drawings > Publish Drawings >
View a Published Electronic Drawing Set
Concept Procedure Quick Reference

A published electronic drawing set can be viewed and plotted with Autodesk Design Review.

A published drawing set is the digital equivalent of paper plots created from your original drawings. The drawing set, which can be saved as a DWF or DWFx file, can be viewed or plotted by anyone using Autodesk Design Review.

NoteFor DWFx files, you can view the 2D geometry of a DWFx file using Internet Explorer 7.

With Autodesk Design Review, you can open, view, and print all DWF or DWFx file formats and other raster format images. You can pan, zoom, and view individual drawing sheets and viewports. You can also view layer information, sheet and sheet set properties, block information and attributes, and custom properties, if they are included in the DWF or DWFx file. As you move your cursor across DWF or DWFx geometry in the viewer, objects with associated data are displayed with a red highlighting effect.

Recipients of drawing sets in DWF or DWFx format do not have to own or know the program. From anywhere in the world, they can view and print high-quality layouts using Autodesk Design Review.

Autodesk Design Review runs as a stand-alone application or embedded in any application that supports ActiveX controls, such as Microsoft® Internet Explorer.

For product information and a download link for the Autodesk Design Review, refer to the Products page on the Autodesk web site.


View a Published Electronic Drawing Set (Procedure)

Republish a Drawing Set
View a Published Electronic Drawing Set
View a Published Electronic Drawing Set
Plot and Publish Drawings > Publish Drawings > View a Published Electronic Drawing Set >
View a Published Electronic Drawing Set
Concept Procedure Quick Reference

To view a 2D DWFx in Internet Explorer 7

To view the most recently published DWF file

To view the most recently published DWFx file


To view a 2D DWFx in Internet Explorer 7 (Procedure)

View a Published Electronic Drawing Set
View a Published Electronic Drawing Set
View a Published Electronic Drawing Set
Plot and Publish Drawings > Publish Drawings > View a Published Electronic Drawing Set >
View a Published Electronic Drawing Set
Concept Procedure Quick Reference

To view a 2D DWFx in Internet Explorer 7

  • Click and drag the DWFx file to the Internet Explorer 7 window.
  • Click OK at the Internet Explorer dialog box.

    A new window displays the contents of the DWFx file.

    NoteIf you have a pop-up blocker, select “Allow Blocked Content”, and click Yes when prompted.


To view the most recently published DWF file (Procedure)

View a Published Electronic Drawing Set
View a Published Electronic Drawing Set
View a Published Electronic Drawing Set
Plot and Publish Drawings > Publish Drawings > View a Published Electronic Drawing Set >
View a Published Electronic Drawing Set
Concept Procedure Quick Reference

To view the most recently published DWF file

  • In the program, right-click the plotter icon on the right side of the status bar. Click View DWF file.
NoteThis option is available if you have the appropriate viewer installed on your machine.

The DWF File is displayed in Autodesk Design Review (if installed), or in the installed DWF Viewer (if you do not have Autodesk Design Review).


To view the most recently published DWFx file (Procedure)

View a Published Electronic Drawing Set
View a Published Electronic Drawing Set
Set Publish Options
Plot and Publish Drawings > Publish Drawings > View a Published Electronic Drawing Set >
View a Published Electronic Drawing Set
Concept Procedure Quick Reference

To view the most recently published DWFx file

  • In the program, right-click the plotter icon on the right side of the status bar. Click View DWF file.

    This option is available if you have the appropriate viewer installed on your machine.

    The DWFx file is displayed in either of the following applications (if installed): Autodesk Design Review (by default), or in Internet Explorer 7 (2D DWFx files only).


View a Published Electronic Drawing Set (Quick Reference)

Republish a Drawing Set
View a Published Electronic Drawing Set
Set Publish Options
Plot and Publish Drawings > Publish Drawings > View a Published Electronic Drawing Set >
View a Published Electronic Drawing Set
Concept Procedure Quick Reference

Commands

PUBLISH

Publishes drawings to DWF files, DWFx files, or plotters

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Set Publish Options (Concept)

View a Published Electronic Drawing Set
Publish Drawings
3D DWF Publishing
Plot and Publish Drawings > Publish Drawings >
Set Publish Options
Concept Procedure Quick Reference

You can set options for publishing, such as output file location, DWF type, multi-sheet DWF name options, DWF security (password protection), and whether or not to include layer information. You can also decide what types of information to reveal in your published DWF or DWFx files and whether to publish drawings automatically.

You can include the following types of metadata:

  • Sheet set properties (must publish using the Sheet Set Manager)
  • Sheet properties (must publish using the Sheet Set Manager)
  • Block standard properties and block custom properties and attributes
  • Properties contained in custom objects

You use a block template (BLK) file to determine which blocks and properties to include in your published DWF or DWFx file. You use the Block Template dialog box to create or modify the settings of a block template (BLK) file. You can also use BLK files created with the Attribute Extraction wizard.

When you change settings in the Publish Options dialog box, you can save the settings to the Drawing Set Descriptions (DSD) file to reuse the next time you publish drawings. You can also save them to just the DSD file.

You can also specify whether a DWF or DWFx file is created automatically when a drawing is saved or closed in the Auto Publish Options Dialog Box.


Set Publish Options (Procedure)

View a Published Electronic Drawing Set
Set Publish Options
Set Publish Options
Plot and Publish Drawings > Publish Drawings > Set Publish Options >
Set Publish Options
Concept Procedure Quick Reference

To change the default output location for published DWF, DWFx, and plot files

To specify the DWF file output type to single-sheet or a single multi-sheet DWF or DWFx file

To specify a name for multi-sheet DWF or DWFx files

To specify to be prompted for a name for a multi-sheet DWF or DWFx file

To specify that DWF or DWFx files are published with password security

To include layer information in a published DWF or DWFx file

To include block information in a published DWF or DWFx file

To include block template information in a published DWF or DWFx file

To create a block template (BLK) file

To edit a block template (BLK) file


To change the default output location for published DWF, DWFx, and plot files (Procedure)

Set Publish Options
Set Publish Options
Set Publish Options
Plot and Publish Drawings > Publish Drawings > Set Publish Options >
Set Publish Options
Concept Procedure Quick Reference

To change the default output location for published DWF, DWFx, and plot files

  1. Click Output tab [image] Publish panel [image] Publish. At the command prompt, enter publish.

    The Publish dialog box appears.

  2. In the Publish To group, do one of the following:

    - Click to select DWF Format; and select DWF File or DWFx File.

    - Click to select Plotter Named in Page Setup.

  3. Click Publish Options.

    The Publish Options dialog box appears.

  4. In the Default Output Location (DWF, DWFx, or Plot-to-File), do either of the following:
    • Click Location and make a selection from the drop-down list.
    • Click the [...] button, and in the Select a Folder for Generated Files dialog box, select a folder. Click Select.
  5. In the Publish Options dialog box, click OK.
Toolbar: Standard
Command entry: PUBLISH


To specify the DWF file output type to single-sheet or a single multi-sheet DWF or DWFx file (Procedure)

Set Publish Options
Set Publish Options
Set Publish Options
Plot and Publish Drawings > Publish Drawings > Set Publish Options >
Set Publish Options
Concept Procedure Quick Reference

To specify the DWF file output type to single-sheet or a single multi-sheet DWF or DWFx file

  1. Click Output tab [image] Publish panel [image] Publish. At the command prompt, enter publish.

    The Publish dialog box appears.

  2. Click Publish Options.

    The Publish Options dialog box appears.

  3. In the General DWF Options pane, under DWF Type, make one of the following selections:
    • Single-sheet DWF. Specifies that an individual single-sheet DWF or DWFx file is created for each sheet.
    • Multi-sheet DWF. Specifies that one multi-sheet DWF or DWFx file is created.
  4. Click OK.
  5. In the Publish dialog box, contine with publishing tasks, and then close the dialog box.
Toolbar: Standard
Command entry: PUBLISH


To specify a name for multi-sheet DWF or DWFx files (Procedure)

Set Publish Options
Set Publish Options
Set Publish Options
Plot and Publish Drawings > Publish Drawings > Set Publish Options >
Set Publish Options
Concept Procedure Quick Reference

To specify a name for multi-sheet DWF or DWFx files

  1. Click Output tab [image] Publish panel [image] Publish. At the command prompt, enter publish.

    The Publish dialog box appears.

  2. Click Publish Options.

    The Publish Options dialog box appears.

  3. In the General DWF Options pane, under DWF Type, select Multi-sheet DWF from the drop-down list.
  4. In the Multi-sheet DWF Options pane, under DWF Naming, select Specify Name from the drop-down list.
  5. Click OK.
  6. In the Publish dialog box, contine with publishing tasks, and then close the dialog box.
Toolbar: Standard
Command entry: PUBLISH


To specify to be prompted for a name for a multi-sheet DWF or DWFx file (Procedure)

Set Publish Options
Set Publish Options
Set Publish Options
Plot and Publish Drawings > Publish Drawings > Set Publish Options >
Set Publish Options
Concept Procedure Quick Reference

To specify to be prompted for a name for a multi-sheet DWF or DWFx file

  1. Click Output tab [image] Publish panel [image] Publish. At the command prompt, enter publish.

    The Publish dialog box Appears.

  2. Click Publish Options.

    The Publish Options dialog box appears.

  3. In the General DWF Options pane, under DWF Type, select Multi-sheet DWF from the drop-down list.
  4. In the Multi-sheet DWF Options, select Prompt for Name to be prompted for a file name every time you publish a DWF file.
  5. Click OK.
  6. In the Publish dialog box, contine with publishing tasks, and then close the dialog box.
Toolbar: Standard
Command entry: PUBLISH


To specify that DWF or DWFx files are published with password security (Procedure)

Set Publish Options
Set Publish Options
Set Publish Options
Plot and Publish Drawings > Publish Drawings > Set Publish Options >
Set Publish Options
Concept Procedure Quick Reference

To specify that DWF or DWFx files are published with password security

  1. Click Output tab [image] Publish panel [image] Publish. At the command prompt, enter publish.

    The Publish dialog box appears.

  2. Click Publish Options.

    The Publish Options dialog box appears.

  3. In the General DWF Options pane, under Password Protection, select one of the following from the drop-down list:
    • Select Specify Password, and under Password, enter a password to use for the DWF or DWFx file.
    • Select Prompt for Password. You will be prompted for a password or phrase to open the published DWF or DWFx file.

    DWF or DWFx passwords are case-sensitive. The password or phrase can consist of letters, numbers, punctuation marks, or non-ASCII characters.

    ImportantKeep a list of passwords and their corresponding DWF or DWFx file names in a safe place. If you lose or forget the password, it cannot be recovered.
  4. Click OK.
  5. In the Publish dialog box, contine with publishing tasks, and then close the dialog box.
Toolbar: Standard
Command entry: PUBLISH


To include layer information in a published DWF or DWFx file (Procedure)

Set Publish Options
Set Publish Options
Set Publish Options
Plot and Publish Drawings > Publish Drawings > Set Publish Options >
Set Publish Options
Concept Procedure Quick Reference

To include layer information in a published DWF or DWFx file

  1. Click Output tab [image] Publish panel [image] Publish. At the command prompt, enter publish.

    The Publish dialog box appears.

  2. Click Publish Options.

    The Publish Options dialog box appears.

  3. In the DWF Data Options, under Layer Information, click to display the drop-down list, and select Include.
    NoteBy default, Layer Information is set to Don't Include, to reduce publishing time. If you change the setting to include layer information, you can turn individual layers on and off when you view or print the DWF file.
  4. Click OK.
  5. In the Publish dialog box, contine with publishing tasks, and then close the dialog box.
Toolbar: Standard
Command entry: PUBLISH


To include block information in a published DWF or DWFx file (Procedure)

Set Publish Options
Set Publish Options
Set Publish Options
Plot and Publish Drawings > Publish Drawings > Set Publish Options >
Set Publish Options
Concept Procedure Quick Reference

To include block information in a published DWF or DWFx file

  1. Click Output tab [image] Publish panel [image] Publish. At the command prompt, enter publish.

    The Publish dialog box appears.

  2. Click Publish Options.

    The Publish Options dialog box appears.

  3. In the DWF Data Options pane, under Block Information, click to display the drop-down list, and select Include.
    NoteBy default, Block Information is set to Don't Include. If you change the setting to include block information, you can use the viewer to view or print block property and attribute information in the DWF or DWFx file.
  4. Click OK.
  5. In the Publish dialog box, contine with publishing tasks, and then close the dialog box.
Toolbar: Standard
Command entry: PUBLISH


To include block template information in a published DWF or DWFx file (Procedure)

Set Publish Options
Set Publish Options
Set Publish Options
Plot and Publish Drawings > Publish Drawings > Set Publish Options >
Set Publish Options
Concept Procedure Quick Reference

To include block template information in a published DWF or DWFx file

NoteYou can use block template (BLK) files created with the Publish Options dialog box or BLK files created using the Attribute Extraction wizard.
  1. Click Output tab [image] Publish panel [image] Publish. At the command prompt, enter publish.

    The Publish dialog box appears.

  2. Click Publish Options.

    The Publish Options dialog box appears.

  3. In the DWF Data Options pane, under Block Information, click to display the drop-down list. Select Include.
  4. In the Publish Options dialog box, under DWF Data Options, Block Template File, click to display the drop-down list. Select the block template (BLK) file that contains the properties and attribute definitions you want to make available in your published DWF or DWFx file. Click OK.
    NoteThe list also contains the Create and Edit options. Create opens the Publish Block Template dialog box where you can create a new block template file. Edit opens the Edit Publish Template dialog box where you can select an existing block template file to modify.
  5. Click OK.
  6. In the Publish dialog box, contine with publishing tasks, and then close the dialog box.
Toolbar: Standard
Command entry: PUBLISH


To create a block template (BLK) file (Procedure)

Set Publish Options
Set Publish Options
Set Publish Options
Plot and Publish Drawings > Publish Drawings > Set Publish Options >
Set Publish Options
Concept Procedure Quick Reference

To create a block template (BLK) file

  1. Click Output tab [image] Publish panel [image] Publish. At the command prompt, enter publish.

    The Publish dialog box appears.

  2. Click Publish Options.

    The Publish Options dialog box appears.

  3. In the DWF Data Options pane, under Block Information, click to display the drop-down list, and select Include.
  4. Under DWF Data Options, Block Template File, click to display the drop-down list, and select Create.

    The Publish Block Template dialog box opens with the Block Source Drawing area displaying the current drawing.

    NoteThe working set of drawings for this list is completely independent of the drawings to include in the Publish operation.
  5. Do one of the following:
    • If this drawing contains the block properties you want to include in the published DWF or DWFx file, click Scan for Blocks.

      The program scans the DWG file for all unique block definitions and their associated properties and attributes.

    • If this drawing does not contain the block properties you want to include in the published DWF or DWFx file, click Add.

      The Select Drawings dialog box is displayed. Select drawings to add to the block source drawings list. You can also add and remove drawings that contain target blocks whose properties you want to include in the published DWF or DWFx file. Click Scan for Blocks.

      The DWG file is scanned for all unique block definitions and their associated properties and attributes.

      NoteBy default, block settings for nested blocks and blocks in xrefs are included. If you don't want to include these block settings, click Options in the Publish Block Template dialog box and clear the related options.
  6. In the Publish Block Template dialog box, under Block Data to Publish, Unique Blocks From Source Drawings, Check Blocks to Publish, select the block names you want to include in the published DWF or DWFx files. You can right-click to select or clear all boxes.
  7. Under Block Data to Publish, Properties of Selected Blocks, Check Properties to Publish, select the properties you would like to include in your published DWF or DWFx files. You can right-click to select or clear all boxes.

    The list displays the union of the properties of all selected blocks.

    NoteIf you select a block on the block list and clear the check marks of all its properties, only the name of the block is published to the resultant DWF or DWFx file; no property information is included.
  8. Click Save to name and save the block template file. Click OK.

    The new block template file is now available under DWF Data Options in the Publish Block Template dialog box.

  9. In the Publish dialog box, contine with publishing tasks, and then close the dialog box.
Toolbar: Standard
Command entry: PUBLISH


To edit a block template (BLK) file (Procedure)

Set Publish Options
Set Publish Options
3D DWF Publishing
Plot and Publish Drawings > Publish Drawings > Set Publish Options >
Set Publish Options
Concept Procedure Quick Reference

To edit a block template (BLK) file

  1. Click Output tab [image] Publish panel [image] Publish. At the command prompt, enter publish.

    The Publish dialog box appears.

  2. Click Publish Options.

    The Publish Options dialog box appears.

  3. In the DWF Data Options pane, under Block Information, click to display the drop-down list, and select Include.
  4. Under DWF Data Options, Block Template File, click to display the drop-down list, and select Edit.
  5. In the Select Block Template dialog box, click the Block Template (BLK) file you want to edit, and then click Select.
    NoteThe working set of drawings for this list is completely independent of the drawings to include in the Publish operation.
  6. In the Publish Block Template dialog box, click Scan for Blocks.

    The program scans the DWG files for all unique block definitions and their associated properties and attributes.

    NoteBy default, block settings for nested blocks and blocks in xrefs are included. If you don't want to include these block settings, click Options in the Publish Block Template dialog box and clear the related options.
  7. Under Block Data to Publish, Unique Blocks From Source Drawings, Check Blocks to Publish, select or clear the block names you want to include in the published DWF files.
  8. Under Block Data to Publish, Properties of Selected Blocks, Check Properties to Publish, select or clear the properties you want to include in your published DWF or DWFx files.

    This list displays the union of the properties of all selected blocks.

    NoteIf you select a block from the block list and clear the check marks of all its properties, only the name of the block is published to the resultant DWF or DWFx file; no property information is included.
  9. Click Save. Click OK.

    The modified block template file is now available under DWF Data Options in the Publish Block Template dialog box.

  10. In the Publish dialog box, contine with publishing tasks, and then close the dialog box.
Toolbar: Standard
Command entry: PUBLISH


Set Publish Options (Quick Reference)

View a Published Electronic Drawing Set
Set Publish Options
3D DWF Publishing
Plot and Publish Drawings > Publish Drawings > Set Publish Options >
Set Publish Options
Concept Procedure Quick Reference

Commands

AUTOPUBLISH

Publishes drawings to DWF or DWFx files automatically to the location specified

PUBLISH

Publishes drawings to DWF files, DWFx files, or plotters

System Variables

AUTODWFPUBLISH

Controls whether DWF (Design Web Format) files are created automatically when you save or close drawing (DWG) files.

PUBLISHCOLLATE

Controls whether plotting a sheet set, multi-sheet plot file, or plot spool file can be interrupted by other plot jobs

PUBLISHHATCH

Controls whether hatch patterns published to DWF or DWFx format are treated as a single object when they are opened in Autodesk Impression

Utilities

No entries

Command Modifiers

No entries


3D DWF Publishing (Concept)

Set Publish Options
Publish Drawings
Configure a DWF6 Driver (Advanced)
Plot and Publish Drawings > Publish Drawings >
3D DWF Publishing
Concept Procedure Quick Reference

You can create and publish DWF or DWFx files of your three-dimensional models and view them with the Autodesk Design Review.

You can generate DWF or DWFx files of your three-dimensional models with nearly the same visual fidelity as your original DWG files. You can create a single or multi-sheet DWF or DWFx file with 2D and 3D model space objects. To access single sheet 3D DWF publishing, use the 3DDWF, EXPORT. To access multi-sheet publishing with 2D and 3D model space objects use the PUBLISH command.

Recipients of 3D DWF or 3D DWFx files can view and print them using Autodesk Design Review.

For product information and a download link for the Autodesk Design Review, refer to the Products page on the Autodesk web site.

For more information about using the Autodesk Design Review, see the Autodesk Design Review Help system.

Publish Single and Multiple 3D DWF or 3D DWFx Files

To publish a single 3D DWF or 3D DWFx file, use the EXPORT or 3DDWF commands. With either of those commands running, the model you’re currently working on is saved as a 3D DWF or 3D DWFx file.

To publish multiple 3D DWF or 3D DWFx files at one time, you use the PUBLISH command. The Publish dialog box displays a list of all the sheet names of the drawing files that are currently open. You can determine which sheets are published to a 3D DWF or 3D DWFx file by adding or removing sheets on the Sheet Name list.

NoteThe list of sheets displayed in the Sheet Name list of the Publish dialog box is controlled by the PUBLISHALLSHEETS system variable. By default, all sheets are displayed for all open drawings.

Publishing Materials

If you’ve assigned texture mapped materials to your models, those materials can be published with the 3D DWF or 3D DWFx file. Texture map orientation and scaling that is set in the drawing editor is retained in the published 3D DWF or 3D DWFx file.

There are some limitations to materials publishing.

  • The Diffuse Map channel is the only mapping that gets published. If you use Opacity, Reflection, or Bump maps in your material, they do not get published.
  • Procedural materials such as Wood or Marble do not get published.
NoteBecause the DWF Viewer and the rendering engine are different, you may encounter some deviation in how the texture maps appear in the DWF Viewer.

Increase the Smoothness of 3D DWF or 3D DWFx Models

The smoothness of 3D DWF or 3D DWFx models is improved by changing the value of the 3DDWFPREC system variable. The setting for 3DDWFPREC ranges from 1 to 6. Higher settings greatly improve the appearance of objects in the DWF Viewer.

Note3DDWFPREC is a global setting that affects all objects in the 3D model. Therefore, higher values can result in very large file sizes.

Improve Performance with Large Models

Every object in your model gets processed when a DWF or DWFx file is published. When working with large models, you can greatly improve publishing performance by using blocks. For instance, your office model contains a basic cubicle arrangement of eight partition walls, a desk, and a chair. Those ten objects don’t take much time to process by themselves. However, if that basic cubicle arrangement is used 100 times, it means that 1000 objects must be processed and the publishing time increases accordingly. If the basic cubicle arrangement is inserted into the model as a single block, those ten objects are processed once for each insertion.

You can improve publishing performance even more by grouping miscellaneous objects into temporary blocks. Once the publishing is complete, you can explode those blocks and continue working on those objects.

As a design gets closer to completion, you can create blocks comprised of portions of the model that are less likely to need further editing. If the first floor of the office model is not going to change much, create a block containing all of its components. During publishing, that block is processed as one object instead of each individual object on that floor.

3D DWF or 3D DWFx Unsupported Content

When publishing a 3D DWF or 3D DWFx file, some drawing content may not appear in the DWF Viewer. The content listed in the following table are not supported when you output a 3D DWF or 3D DWFx file.

Unsupported Content

Details

Animations and Walkthroughs

Block attributes

Font types (Various)

See the “Supported Text Fonts” table

Gradient fills (Hatches)

Hidden edges

Hyperlinks

Images

Layer information

Lights and Shadows

Material components

  • Bump, Opacity, and Specular texture maps
  • Procedural materials (Wood & Marble)
  • Reflection and refraction
  • Self-Illumination
  • Shininess
  • Translucency

Mtext (partial)

Bold and Italic text is not supported

Named views and cameras

OLE objects

Rays and X-lines

Section clipping and XClipping

Text thickness

Visual styles

Supported Text Fonts

Many text fonts are not supported when you publish a 3D DWF or 3D DWFx file. The following table lists the fonts that will get published.

Supported Text Fonts

Arial

Arial Black

Comic Sans MS

Courier New

Impact

Lucinda Console

Lucinda Sans Unicode

Martlett

Tahoma

Times New Roman

Verdana

Verdana Italic

Webdings

Wingdings


3D DWF Publishing (Procedure)

Set Publish Options
3D DWF Publishing
3D DWF Publishing
Plot and Publish Drawings > Publish Drawings > 3D DWF Publishing >
3D DWF Publishing
Concept Procedure Quick Reference

To publish a single 3D DWF file

To publish a single 3D DWFx file

To export a 3D DWF file

To export a 3D DWFx file

To publish multiple 3D or combined 2D and 3D DWF files

To publish multiple 3D or combined 2D and 3D DWFx files

To publish selected objects in your model to a 3D DWF or 3D DWFx file

To view and print a published 3D DWF file or 3D DWFx file


To publish a single 3D DWF file (Procedure)

3D DWF Publishing
3D DWF Publishing
3D DWF Publishing
Plot and Publish Drawings > Publish Drawings > 3D DWF Publishing >
3D DWF Publishing
Concept Procedure Quick Reference

To publish a single 3D DWF file

  1. Enter 3ddwf at the command prompt.
  2. In the Export Data dialog box, specify a name and location of the DWF file. Click Save.

    By default, all model space objects are published to the 3D DWF file and, if your drawing contains xrefs, the Group By Xref Hierarchy option is active.

  3. (Optional) Click Yes to open the Autodesk Design Review and view the published 3D DWF file.
Toolbar: Standard
Command entry: 3DDWF


To publish a single 3D DWFx file (Procedure)

3D DWF Publishing
3D DWF Publishing
3D DWF Publishing
Plot and Publish Drawings > Publish Drawings > 3D DWF Publishing >
3D DWF Publishing
Concept Procedure Quick Reference

To publish a single 3D DWFx file

  1. Enter 3ddwf at the command prompt.
  2. In the Export Data dialog box, specify a name and location of the DWFx file.
  3. In the Files of type drop-down list box, click 3D DWFx.
  4. Click Save.

    By default, all model space objects are published to the 3D DWFx file, and if your drawing contains xrefs, the Group By Xref Hierarchy option is active.

  5. (Optional) Click Yes to open the Autodesk Design Review and view the published 3D DWFx file.


To export a 3D DWF file (Procedure)

3D DWF Publishing
3D DWF Publishing
3D DWF Publishing
Plot and Publish Drawings > Publish Drawings > 3D DWF Publishing >
3D DWF Publishing
Concept Procedure Quick Reference

To export a 3D DWF file

  1. Click Output tab [image] Send panel [image] Export . At the command prompt, enter export.
  2. In the Export Data dialog box, specify the name and location of the DWF file.
  3. If necessary, select 3D DWF (*.dwf) from the Files Of Type list. Click Save.

    By default, all model space objects are exported to the 3D DWF file and if your drawing contains xrefs, the Group By Xref Hierarchy option is active.

  4. (Optional) Click Yes to open the Autodesk Design Review and view the published 3D DWF file.
Command entry: EXPORT


To export a 3D DWFx file (Procedure)

3D DWF Publishing
3D DWF Publishing
3D DWF Publishing
Plot and Publish Drawings > Publish Drawings > 3D DWF Publishing >
3D DWF Publishing
Concept Procedure Quick Reference

To export a 3D DWFx file

  1. Click Output tab [image] Send panel [image] Export . At the command prompt, enter export.
  2. In the Export Data dialog box, specify the name and location of the DWFx file.
  3. Select 3D DWFx (*.dwfx) from the Files Of Type list. Click Save.

    By default, all model space objects are exported to the 3D DWFx file, and if your drawing contains xrefs, the Group By Xref Hierarchy option is active.

  4. (Optional) Click Yes to open the Autodesk Design Review and view the published 3D DWFx file.
Command entry: EXPORT


To publish multiple 3D or combined 2D and 3D DWF files (Procedure)

3D DWF Publishing
3D DWF Publishing
3D DWF Publishing
Plot and Publish Drawings > Publish Drawings > 3D DWF Publishing >
3D DWF Publishing
Concept Procedure Quick Reference

To publish multiple 3D or combined 2D and 3D DWF files

  1. Click Output tab [image] Publish panel [image] Publish. At the command prompt, enter publish.
  2. In the Publish dialog box, under Sheets to Publish, select the sheets you want to publish and set their Page Setup / 3D DWF setting to 3D DWF.

    The sheets that are displayed in the Sheets to Publish group are controlled by the PUBLISHALLSHEETS system variable.

  3. In Publish To group, click to select DWF Format.
  4. Select DWF File from the drop-down list.
    NoteThe Status of the selected sheet will show, “3D DWF cannot be published to a “Plotter Named in Paget Setup”, until you change the Publish to option to DWF Format.
  5. Click Publish Options. In General DWF Options, set the DWF Type to Multi-sheet DWF.
  6. In 3D DWF options group, click Yes to publish materials. Click OK.
  7. Click Publish.
Toolbar: Standard
Command entry: PUBLISH


To publish multiple 3D or combined 2D and 3D DWFx files (Procedure)

3D DWF Publishing
3D DWF Publishing
3D DWF Publishing
Plot and Publish Drawings > Publish Drawings > 3D DWF Publishing >
3D DWF Publishing
Concept Procedure Quick Reference

To publish multiple 3D or combined 2D and 3D DWFx files

  1. Click Output tab [image] Publish panel [image] Publish. At the command prompt, enter publish.
  2. In the Publish dialog box, under Sheets to Publish, select the sheets you want to publish and set their Page Setup / 3D DWF setting to 3D DWF.

    The sheets that are displayed in the Sheets to Publish group are controlled by the PUBLISHALLSHEETS system variable.

    NoteThe Status of the selected sheet will show, “3D DWF cannot be published to a “Plotter Named in Paget Setup”, until you change the Publish to option to DWF Format.
  3. In Publish To group, click to select DWF Format.
  4. Select DWFx File from the drop-down list.
  5. Click Publish Options. In General DWF Options, set the DWF Type to Multi-sheet DWF.
  6. In 3D DWF options group, click Yes to publish materials. Click OK.
  7. Click Publish.
Toolbar: Standard
Command entry: PUBLISH


To publish selected objects in your model to a 3D DWF or 3D DWFx file (Procedure)

3D DWF Publishing
3D DWF Publishing
3D DWF Publishing
Plot and Publish Drawings > Publish Drawings > 3D DWF Publishing >
3D DWF Publishing
Concept Procedure Quick Reference

To publish selected objects in your model to a 3D DWF or 3D DWFx file

  1. Click Output tab [image] Send panel [image] Export . At the command prompt, enter export.
  2. In the Export Data dialog box, specify a name and location for the DWF or DWFx file.
  3. Click the Tools button at the upper right.
  4. Click Tools menu [image] Options.At the command prompt, enter options.
  5. In the 3D DWF Publish dialog box, Objects To Publish, click Selected Model Space Objects and then click the Select Objects button.
  6. In the model, select the objects that you want to publish.
  7. Press ENTER or the SPACEBAR when you’re done selecting objects.
  8. Click OK.
  9. In the Export Data dialog box, click Save.
  10. (Optional) Click Yes to open the Autodesk Design Review and view the published 3D DWF or 3D DWFx file.
Command entry: EXPORT


To view and print a published 3D DWF file or 3D DWFx file (Procedure)

3D DWF Publishing
3D DWF Publishing
Configure a DWF6 Driver (Advanced)
Plot and Publish Drawings > Publish Drawings > 3D DWF Publishing >
3D DWF Publishing
Concept Procedure Quick Reference

To view and print a published 3D DWF file or 3D DWFx file

  1. If you want to view a 3D DWF or 3D DWFx file, do either of the following:
    • Immediately after the 3D DWF or 3D DWFx file has been published, click Yes to the question "Would you like to view it now?"

      Autodesk Design Review opens the 3D DWF or 3D DWFx file.

    • In Windows Explorer, double-click the 3D DWF or 3D DWFx file to open Autodesk Design Review and view the file.
    • Open Autodesk Design Review. Click File menu [image] Open.At the command prompt, enter open. Select the 3D DWF or 3D DWFx file you want to view.
  2. If you want to print a 3D DWF or 3D DWFx file, in Autodesk Design Review, click File menu [image] Print.

    For more information, see the Autodesk Design Review Help system.


3D DWF Publishing (Quick Reference)

Set Publish Options
3D DWF Publishing
Overview of Creating or Modifying a DWF6 Configuration File
Plot and Publish Drawings > Publish Drawings > 3D DWF Publishing >
3D DWF Publishing
Concept Procedure Quick Reference

Commands

3DDWF

Creates a 3D DWF or 3D DWFx file of your 3D model and displays it in the DWF Viewer

EXPORT

Saves objects to other file formats

PUBLISH

Publishes drawings to DWF files, DWFx files, or plotters

System Variables

3DDWFPREC

Controls the precision of 3D DWF or 3D DWFx publishing

PUBLISHALLSHEETS

Controls how the Publish dialog box list is populated when the PUBLISH command is issued

Utilities

No entries

Command Modifiers

No entries


Configure a DWF6 Driver (Advanced)

3D DWF Publishing
Publish Drawings
Overview of Creating or Modifying a DWF6 Configuration File
Plot and Publish Drawings > Publish Drawings >
Configure a DWF6 Driver (Advanced)
Concept Procedure

You are not likely to change the settings in the DWF6 ePlot Properties dialog box often. However, when you need to make some subtle changes to your DWF6 ePlot configuration, you can do so through the DWF6 ePlot Properties dialog box. You can specify settings for color depth, display resolution, file compression, handling of fonts, pen settings, and other options. When you create DWF6 files, you use a plotter configuration file that uses a DWF6 driver model. You must use the DWF6 ePlot.pc3 file to plot DWF6 files.

Topics in this section

  • Overview of Creating or Modifying a DWF6 Configuration File
  • Set the DWF File Resolution
  • Set the DWF File Compression

    By default, the DWF files that you create are in a compressed binary format. This is the recommended output for most DWF files.

  • Set Font Handling for the DWF File
  • Edit Pen Patterns for the DWF File


Configure a DWF6 Driver (Advanced) (Procedure)

3D DWF Publishing
Configure a DWF6 Driver (Advanced)
Overview of Creating or Modifying a DWF6 Configuration File
Plot and Publish Drawings > Publish Drawings > Configure a DWF6 Driver (Advanced) >
Configure a DWF6 Driver (Advanced)
Concept Procedure

To create a plotter configuration file for DWF file output

To specify or modify settings for plotted DWF files

To set color depth for plotted DWF files

To specify the DWF file resolution

To specify the DWF file compression

To specify font handling for the DWF file

To edit the list of fonts eligible for capture in the DWF file

To edit the Edit Pen Set dialog box for the DWF file


Overview of Creating or Modifying a DWF6 Configuration File (Concept)

Configure a DWF6 Driver (Advanced)
Configure a DWF6 Driver (Advanced)
Set the DWF File Resolution
Plot and Publish Drawings > Publish Drawings > Configure a DWF6 Driver (Advanced) >
Overview of Creating or Modifying a DWF6 Configuration File
Concept Procedure Quick Reference

Publish uses only the DWF6 ePlot.pc3 plotter configuration file. You can use the default DWF6 ePlot.pc3 plotter configuration file as installed, or you can make changes to it using the Properties button in the Plot dialog box. This invokes the pc3 editor, which allows you to make changes directly to the DWF6 ePlot.pc3 file. Although you can save DWF6 ePlot.pc3 files under other names for use with the Plot command, no other name will work with the Publish command. Any changes you make to the DWF6 ePlot.pc3 file are used whenever you plot or publish DWF6 files until you change the settings of your DWF6 ePlot.pc3 file again.

NoteIf you are going to make changes to the DWF6 ePlot.pc3 file, make a backup copy of the file first in case you want to use the default settings later. If necessary, the default DWF6 ePlot.pc3 file can be re-created with the Add-A-Plotter wizard.

These settings may change file size and plot quality, depending on the content of the source drawing for the Design Web Format™ (DWF™) file. You can specify the following settings when you edit the DWF6 ePlot.pc3 configuration file:

  • Color depth
  • Display resolution
  • Compression options
  • Inclusion and handling of fonts
  • Background color
  • Virtual pen settings and patterns
  • Inclusion of layer information
  • Inclusion of a paper boundary
  • Inclusion of a saved preview
NoteDWF files intended for plotting should be configured with a white background color. If the background color is set to black, color 7 objects will be plotted as white. For all other background colors, color 7 objects will be plotted as black.


Overview of Creating or Modifying a DWF6 Configuration File (Procedure)

Configure a DWF6 Driver (Advanced)
Up a level to ..
Overview of Creating or Modifying a DWF6 Configuration File
Plot and Publish Drawings > Publish Drawings > Configure a DWF6 Driver (Advanced) > Overview of Creating or Modifying a DWF6 Configuration File >
Overview of Creating or Modifying a DWF6 Configuration File
Concept Procedure Quick Reference

To create a plotter configuration file for DWF file output

To specify or modify settings for plotted DWF files

To set color depth for plotted DWF files


To create a plotter configuration file for DWF file output (Procedure)

Overview of Creating or Modifying a DWF6 Configuration File
Up a level to ..
Overview of Creating or Modifying a DWF6 Configuration File
Plot and Publish Drawings > Publish Drawings > Configure a DWF6 Driver (Advanced) > Overview of Creating or Modifying a DWF6 Configuration File >
Overview of Creating or Modifying a DWF6 Configuration File
Concept Procedure Quick Reference

To create a plotter configuration file for DWF file output

  1. Click Output tab [image] Plot panel [image] Plotter Manager. At the command prompt, enter plottermanager.
  2. Double-click the Add-A-Plotter wizard.
  3. On the Add Plotter-Introduction page, click Next.
  4. On the Add Plotter-Begin page, select My Computer. Click Next.
  5. On the Plotter Model page, under Manufacturers, select Autodesk ePlot (DWF). Under Models, select the DWF6 ePlot file that you want to create. Click Next.
  6. (Optional) If you want to import a pre-existing plotter configuration, on the Import PCP or PC2 page, click Import File. Select a PCP or PC2 file to import. Click Import.
  7. Click Next.
  8. On the Ports page, select Plot to File. Click Next.
  9. On the Plotter Name page, enter a name for the plotter configuration file. Click Next.
  10. On the Finish page, click Finish.

    A new plotter configuration file (PC3) is created.

Command entry: PLOTTERMANAGER


To specify or modify settings for plotted DWF files (Procedure)

Overview of Creating or Modifying a DWF6 Configuration File
Up a level to ..
Overview of Creating or Modifying a DWF6 Configuration File
Plot and Publish Drawings > Publish Drawings > Configure a DWF6 Driver (Advanced) > Overview of Creating or Modifying a DWF6 Configuration File >
Overview of Creating or Modifying a DWF6 Configuration File
Concept Procedure Quick Reference

To specify or modify settings for plotted DWF files

  1. Click Output tab [image] Plot panel [image] Plot. At the command prompt, enter plot.
  2. In the Plot dialog box, under Printer/Plotter, in the Name list, select a DWF plotting device. Click Properties.
  3. In the Plotter Configuration Editor, Device and Document Settings tab, select Custom Properties in the tree window.
  4. Click Custom Properties.
  5. In the DWF6 ePlot Properties dialog box, select the options you want. Click OK.
  6. In the Plotter Configuration Editor, click OK.
  7. In the Changes to a Printer Configuration dialog box, do one of the following. Then click OK.
    • Select Apply Changes for the Current Plot Only to specify a one-time override of the configuration settings that isn't saved to the ePlot configuration file.
    • Select Save Changes to the Following File to save the configuration changes to the DWF configuration file.
  8. In the Browse for Plot File dialog box, in the Save In location list, select a plotting location for the DWF file, and click Save. Click OK.
Toolbar: Standard
Command entry: PLOT


To set color depth for plotted DWF files (Procedure)

Overview of Creating or Modifying a DWF6 Configuration File
Up a level to ..
Set the DWF File Resolution
Plot and Publish Drawings > Publish Drawings > Configure a DWF6 Driver (Advanced) > Overview of Creating or Modifying a DWF6 Configuration File >
Overview of Creating or Modifying a DWF6 Configuration File
Concept Procedure Quick Reference

To set color depth for plotted DWF files

  1. Click Output tab [image] Plot panel [image] Plot. At the command prompt, enter plot.
  2. In the Printer/Plotter area, in the Name list, select a DWF plotting device. Click Properties.
  3. In the Plotter Configuration Editor, Device and Document Settings tab, expand the Graphics node in the tree window.
  4. Click Vector Graphics.
  5. In the Color Depth area, select a color depth. Click OK.
  6. In the Changes to a Printer Configuration dialog box, do one of the following. Then click OK.
    • Select Apply Changes for the Current Plot Only to specify a one-time override of the configuration settings that isn't saved to the DWF configuration file.
    • Select Save Changes to the Following File to save the configuration changes to the DWF configuration file.
  7. In the Browse for Plot File dialog box, in the Save In location list, select a plotting location for the DWF file, and click Save. Click OK.
Toolbar: Standard
Command entry: PLOT


Overview of Creating or Modifying a DWF6 Configuration File (Quick Reference)

3D DWF Publishing
Overview of Creating or Modifying a DWF6 Configuration File
Set the DWF File Resolution
Plot and Publish Drawings > Publish Drawings > Configure a DWF6 Driver (Advanced) > Overview of Creating or Modifying a DWF6 Configuration File >
Overview of Creating or Modifying a DWF6 Configuration File
Concept Procedure Quick Reference

Commands

PAGESETUP

Controls the page layout, plotting device, paper size, and other settings for each new layout

PLOT

Plots a drawing to a plotter, printer, or file

PLOTTERMANAGER

Displays the Plotter Manager, where you can add or edit a plotter configuration

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Set the DWF File Resolution (Concept)

Overview of Creating or Modifying a DWF6 Configuration File
Configure a DWF6 Driver (Advanced)
Set the DWF File Compression
Plot and Publish Drawings > Publish Drawings > Configure a DWF6 Driver (Advanced) >
Set the DWF File Resolution
Concept Procedure Quick Reference

You can specify the pixel resolution for vector and raster graphics of the DWF6 files that you create. The higher the resolution, the greater the precision but the larger the file size.

WarningRaster and gradient resolution settings can never exceed the vector setting.

The following list shows the default values for vector and raster resolutions:

  • Vector resolution: 1200 dpi
  • Custom vector resolution: 40000 dpi
  • Gradient resolution: 200 dpi
  • Custom gradient resolution: 200 dpi
  • Color and grayscale resolution: 200 dpi
  • Custom color and grayscale resolution: 200 dpi
  • Black and white resolution: 400 dpi
  • Custom black and white resolution: 400 dpi

When you create DWF files intended for plotting, select a resolution to match the output of your plotter or printer. High resolutions (over 2400 dpi) are for viewing. For example, when you create DWF files of drawings that contain a lot of detail, such as a topographical map of a large region, use a higher resolution setting for greater detail in the DWF file. Use extreme resolutions (over 40,000 dpi) only when necessary; they may produce very large files. As you increase the resolution setting, raster image quality increases, the speed of printing decreases, and memory requirements increase.

As an example of the difference between DWF resolution settings, consider a map of the world that you want to output as a DWF file for viewing. With a medium resolution setting, you might be able to zoom to a level of detail approximately the size of the state of California on the world map. With a high resolution setting, you might be able to zoom to a level of detail the size of a city. With an extreme resolution setting, you might be able to zoom to a level of detail the size of a building.


To specify the DWF file resolution (Procedure)

Overview of Creating or Modifying a DWF6 Configuration File
Up a level to ..
Set the DWF File Compression
Plot and Publish Drawings > Publish Drawings > Configure a DWF6 Driver (Advanced) > Set the DWF File Resolution >
Set the DWF File Resolution
Concept Procedure Quick Reference

To specify the DWF file resolution

  1. Click Output tab [image] Plot panel [image] Plot. At the command prompt, enter plot.
  2. In the Printer/Plotter area, in the Name list, select a DWF plotting device. Click Properties.
  3. In the Plotter Configuration Editor, Device and Document Settings tab, select Custom Properties from the tree window.
  4. In the Access Custom Dialog area, click Custom Properties.
    NoteYou can enter any whole number between 150 and 100,000,000 for color and grayscale resolution settings as long as the number does not exceed the current vector resolution setting.
  5. In the DWF6 ePlot Properties dialog box, in the Vector and Gradient Resolution (Dots Per Inch) area, select Vector and Gradient Resolution settings from the list, or select Custom and enter custom settings. Click OK.
  6. In the DWF6 ePlot Properties dialog box, in the Raster Image Resolution (Dots Per Inch) area, select Color and Grayscale Resolution settings or Black and White Resolution settings from the list, or enter Custom settings. Click OK.
  7. In the Plotter Configuration Editor, click OK.
  8. In the Changes to a Printer Configuration dialog box, do one of the following. Then click OK.
    • Select Apply Changes for the Current Plot Only to specify a one-time override of the configuration settings that isn't saved to the DWF configuration file.
    • Select Save Changes to the Following File to save the configuration changes to the DWF configuration file.
  9. In the Browse for Plot File dialog box, in the Save In location list, select a plotting location for the DWF file, and click Save. Click OK.
Toolbar: Standard
Command entry: PLOT


Set the DWF File Resolution (Quick Reference)

Overview of Creating or Modifying a DWF6 Configuration File
Set the DWF File Resolution
Set the DWF File Compression
Plot and Publish Drawings > Publish Drawings > Configure a DWF6 Driver (Advanced) > Set the DWF File Resolution >
Set the DWF File Resolution
Concept Procedure Quick Reference

Commands

PAGESETUP

Controls the page layout, plotting device, paper size, and other settings for each new layout

PLOT

Plots a drawing to a plotter, printer, or file

PLOTTERMANAGER

Displays the Plotter Manager, where you can add or edit a plotter configuration

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Set the DWF File Compression (Concept)

Set the DWF File Resolution
Configure a DWF6 Driver (Advanced)
Set Font Handling for the DWF File
Plot and Publish Drawings > Publish Drawings > Configure a DWF6 Driver (Advanced) >
Set the DWF File Compression
Concept Procedure Quick Reference

By default, the DWF files that you create are in a compressed binary format. This is the recommended output for most DWF files.

The compression does not result in any loss of data; this is the recommended output for most DWF files. You can also create zipped ASCII encoded 2D stream (plain text) files. You specify these settings when you create or edit a DWF configuration file.


To specify the DWF file compression (Procedure)

Set the DWF File Resolution
Up a level to ..
Set Font Handling for the DWF File
Plot and Publish Drawings > Publish Drawings > Configure a DWF6 Driver (Advanced) > Set the DWF File Compression >
Set the DWF File Compression
Concept Procedure Quick Reference

To specify the DWF file compression

  1. Click Output tab [image] Plot panel [image] Plot. At the command prompt, enter plot.
  2. In the Printer/Plotter area, in the Name list, select a DWF plotting device. Click Properties.
  3. In the Plotter Configuration Editor, Device and Document Settings tab, select Custom Properties from the tree window.
  4. In the Access Custom Dialog area, click Custom Properties.
  5. In the DWF6 ePlot Properties dialog box, in the Additional Output Settings and in the DWF Format area, specify a file compression option. Click OK.
  6. In the Plotter Configuration Editor, click OK.
  7. In the Changes to a Printer Configuration dialog box, do one of the following. Then click OK.
    • Select Apply Changes for the Current Plot Only to specify a one-time override of the configuration settings that isn't saved to the DWF6 configuration file.
    • Select Save Changes to the Following File to save the configuration changes to the DWF configuration file.
  8. In the Browse for Plot File dialog box, in the Save In location list, select a plotting location for the DWF file, and click Save. Click OK.
Toolbar: Standard
Command entry: PLOT


Set the DWF File Compression (Quick Reference)

Set the DWF File Resolution
Set the DWF File Compression
Set Font Handling for the DWF File
Plot and Publish Drawings > Publish Drawings > Configure a DWF6 Driver (Advanced) > Set the DWF File Compression >
Set the DWF File Compression
Concept Procedure Quick Reference

Commands

PAGESETUP

Controls the page layout, plotting device, paper size, and other settings for each new layout

PLOT

Plots a drawing to a plotter, printer, or file

PLOTTERMANAGER

Displays the Plotter Manager, where you can add or edit a plotter configuration

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Set Font Handling for the DWF File (Concept)

Set the DWF File Compression
Configure a DWF6 Driver (Advanced)
Edit Pen Patterns for the DWF File
Plot and Publish Drawings > Publish Drawings > Configure a DWF6 Driver (Advanced) >
Set Font Handling for the DWF File
Concept Procedure Quick Reference

When you create DWF files, you can specify how fonts are handled and included in the DWF6 file. By default, font handling is set to Capture Some in the DWF6 ePlot Properties dialog box; you can specify which fonts are eligible for capture in your DWF file. This is the recommended option.

NoteDWF file size can be affected by the font-handling settings as well as by the amount of text and the number and type of fonts used in the DWF file. If the size of your DWF file seems too large, try changing the font-handling settings.


Set Font Handling for the DWF File (Procedure)

Set the DWF File Compression
Up a level to ..
Set Font Handling for the DWF File
Plot and Publish Drawings > Publish Drawings > Configure a DWF6 Driver (Advanced) > Set Font Handling for the DWF File >
Set Font Handling for the DWF File
Concept Procedure Quick Reference

To specify font handling for the DWF file

To edit the list of fonts eligible for capture in the DWF file


To specify font handling for the DWF file (Procedure)

Set Font Handling for the DWF File
Up a level to ..
Set Font Handling for the DWF File
Plot and Publish Drawings > Publish Drawings > Configure a DWF6 Driver (Advanced) > Set Font Handling for the DWF File >
Set Font Handling for the DWF File
Concept Procedure Quick Reference

To specify font handling for the DWF file

  1. Click Output tab [image] Plot panel [image] Plot. At the command prompt, enter plot.
  2. In the Printer/Plotter area, in the Name list, select a DWF plotting device. Click Properties.
  3. In the Plotter Configuration Editor, Device and Document Settings tab, select Custom Properties from the tree window.
  4. In the Access Custom Dialog area, click Custom Properties.
  5. In the DWF6 ePlot Properties dialog box, in the Font Handling area, select a font capture option. Click OK.
  6. In the Plotter Configuration Editor, click OK.
  7. In the Changes to a Printer Configuration dialog box, do one of the following. Then click OK.
    • Select Apply Changes for the Current Plot Only to specify a one-time override of the configuration settings that isn't saved to the DWF6 configuration file.
    • Select Save Changes to the Following File to save the configuration changes to the DWF configuration file.
  8. In the Browse for Plot File dialog box, in the Save In location list, select a plotting location for the DWF file, and click Save. Click OK.
Toolbar: Standard
Command entry: PLOT


To edit the list of fonts eligible for capture in the DWF file (Procedure)

Set Font Handling for the DWF File
Up a level to ..
Edit Pen Patterns for the DWF File
Plot and Publish Drawings > Publish Drawings > Configure a DWF6 Driver (Advanced) > Set Font Handling for the DWF File >
Set Font Handling for the DWF File
Concept Procedure Quick Reference

To edit the list of fonts eligible for capture in the DWF file

  1. Click File menu [image] Plot.At the command prompt, enter plot.
  2. In the Printer/Plotter area, in the Name list, select a DWF plotting device. Click Properties.
  3. In the Plotter Configuration Editor, Device and Document Settings tab, select Custom Properties from the tree window.
  4. In the Access Custom Dialog area, click Custom Properties.
  5. In the DWF6 ePlot Properties dialog box, in the Font Handling area, select Capture Some.
  6. Select Edit Font List.
    NoteCapturing fonts in the DWF file causes the file size to increase. To minimize file size, the TrueType fonts that are common to all Microsoft® Windows® platforms are by default not selected in the list. Even though these fonts have no check marks beside them, they are shown in the DWF6 file if you are using a Windows operating system. You should select all other TrueType fonts that you have installed to ensure that they are captured for embedding in the DWF6 file. Only the fonts that are needed are embedded in the file.
  7. In the Available TrueType Fonts dialog box, select the fonts that you want to be eligible for capture in the DWF file. Click OK.
  8. In the DWF6 ePlot Properties dialog box, click OK.
  9. In the Plotter Configuration Editor dialog box, click OK.
  10. In the Browse for Plot File dialog box, in the Save In location list, select a plotting location for the DWF file, and click Save. Click OK.
Toolbar: Standard
Command entry: PLOT


Set Font Handling for the DWF File (Quick Reference)

Set the DWF File Compression
Set Font Handling for the DWF File
Edit Pen Patterns for the DWF File
Plot and Publish Drawings > Publish Drawings > Configure a DWF6 Driver (Advanced) > Set Font Handling for the DWF File >
Set Font Handling for the DWF File
Concept Procedure Quick Reference

Commands

PAGESETUP

Controls the page layout, plotting device, paper size, and other settings for each new layout

PLOT

Plots a drawing to a plotter, printer, or file

PLOTTERMANAGER

Displays the Plotter Manager, where you can add or edit a plotter configuration

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Edit Pen Patterns for the DWF File (Concept)

Set Font Handling for the DWF File
Configure a DWF6 Driver (Advanced)
Configure a DWFx Driver (Advanced)
Plot and Publish Drawings > Publish Drawings > Configure a DWF6 Driver (Advanced) >
Edit Pen Patterns for the DWF File
Concept Procedure Quick Reference

In the Edit Pen Set dialog box, you can specify pen pattern, width, shape, effect, and other settings such as scaling and global pen widths. The changes you make in the Edit Pen Set dialog box are saved in the plotter configuration file.

NoteTo edit pen patterns when using DWF6 ePlot, you must select 255 Virtual Pens as your color depth.


To edit the Edit Pen Set dialog box for the DWF file (Procedure)

Set Font Handling for the DWF File
Up a level to ..
Configure a DWFx Driver (Advanced)
Plot and Publish Drawings > Publish Drawings > Configure a DWF6 Driver (Advanced) > Edit Pen Patterns for the DWF File >
Edit Pen Patterns for the DWF File
Concept Procedure Quick Reference

To edit the Edit Pen Set dialog box for the DWF file

  1. Click File menu [image] Plot.At the command prompt, enter plot.
  2. In the Printer/Plotter area, in the Name list, select a DWF plotting device. Click Properties.
  3. In the Plotter Configuration Editor, Device and Document Settings tab, expand the Graphics node in the tree window. Select Vector Graphics. In the Color Depth Area, select 255 Virtual Pens as your color depth, and then select Custom Properties from the tree window.
  4. In the Access Custom Dialog area, click Custom Properties.
  5. In the DWF6 ePlot Properties dialog box, click Virtual Pen Set.
  6. In the Edit Pen Set dialog box, right-click a field.
  7. Select from the menu of common settings, or click Properties to display the Pen Properties dialog box where you can modify the attributes for each individual pen set.
  8. In the Pen Properties dialog box, click OK.
  9. In the Edit Pen dialog box, click OK.
  10. In the DWF6 ePlot Properties dialog box, click OK.
  11. In the Plotter Configuration Editor dialog box, click OK.
  12. In the Changes to a Printer Configuration File dialog box, click one of the following:
    • Apply Changes for the Current Plot Only.
    • Save Changes to the Following File. (Enter the file name.)
  13. In the Browse for Plot File dialog box, in the Save In location list, select a plotting location for the DWF file, and click Save. Click OK.
Toolbar: Standard
Command entry: PLOT


Edit Pen Patterns for the DWF File (Quick Reference)

Set Font Handling for the DWF File
Edit Pen Patterns for the DWF File
Overview of Creating or Modifying a DWFx Configuration File
Plot and Publish Drawings > Publish Drawings > Configure a DWF6 Driver (Advanced) > Edit Pen Patterns for the DWF File >
Edit Pen Patterns for the DWF File
Concept Procedure Quick Reference

Commands

PAGESETUP

Controls the page layout, plotting device, paper size, and other settings for each new layout

PLOT

Plots a drawing to a plotter, printer, or file

PLOTTERMANAGER

Displays the Plotter Manager, where you can add or edit a plotter configuration

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Configure a DWFx Driver (Advanced)

Edit Pen Patterns for the DWF File
Publish Drawings
Overview of Creating or Modifying a DWFx Configuration File
Plot and Publish Drawings > Publish Drawings >
Configure a DWFx Driver (Advanced)
Concept Procedure

Use the DWFx ePlot (XPS Compatible) Properties dialog box to make changes to your DWFx ePlot plotter configuration file. For example, you can specify settings for color depth, display resolution, and other options.

When you create DWFx files, you must use the DWFx ePlot (XPS Compatible).pc3 file as it uses the DWFx driver model.

Topics in this section

  • Overview of Creating or Modifying a DWFx Configuration File
  • Set the DWFx File Resolution


Configure a DWFx Driver (Advanced) (Procedure)

Edit Pen Patterns for the DWF File
Configure a DWFx Driver (Advanced)
Overview of Creating or Modifying a DWFx Configuration File
Plot and Publish Drawings > Publish Drawings > Configure a DWFx Driver (Advanced) >
Configure a DWFx Driver (Advanced)
Concept Procedure

To create a plotter configuration file for DWFx file output

To specify or modify settings for plotted DWFx files

To set color depth for plotted DWFx files

To specify the DWFx file resolution


Overview of Creating or Modifying a DWFx Configuration File (Concept)

Configure a DWFx Driver (Advanced)
Configure a DWFx Driver (Advanced)
Set the DWFx File Resolution
Plot and Publish Drawings > Publish Drawings > Configure a DWFx Driver (Advanced) >
Overview of Creating or Modifying a DWFx Configuration File
Concept Procedure Quick Reference

Publish uses the DWFx ePlot (XPS Compatible).pc3 plotter configuration file to create DWFx files.

Although you can save DWFx ePlot (XPS Compatible).pc3 files under other names for use with the Plot command, no other name will work with the Publish command.

To make changes directly to the DWFx ePlot (XPS Compatible).pc3 file, use the Properties button in the Plot dialog box. This action invokes the pc3 editor.

Any changes you make to the DWFx ePlot (XPS Compatible).pc3 file are used whenever you plot or publish DWFx files until you change the settings of your DWFx ePlot (XPS Compatible).pc3 file again.

NoteCreate a backup before you make any changes to the DWFx ePlot (XPS Compatible).pc3 file. Alternately, you can re-create the default DWFx ePlot (XPS Compatible).pc3 file with the Add-A-Plotter wizard.

You can specify the following settings when you edit the DWFx ePlot (XPS Compatible).pc3 configuration file:

  • Color depth
  • Display resolution
  • Background color
  • Inclusion of layer information
NoteDWFx files intended for plotting should be configured with a white background color. If the background color is set to black, color 7 objects will be plotted as white. For all other background colors, color 7 objects will be plotted as black.


Overview of Creating or Modifying a DWFx Configuration File (Procedure)

Configure a DWFx Driver (Advanced)
Up a level to ..
Overview of Creating or Modifying a DWFx Configuration File
Plot and Publish Drawings > Publish Drawings > Configure a DWFx Driver (Advanced) > Overview of Creating or Modifying a DWFx Configuration File >
Overview of Creating or Modifying a DWFx Configuration File
Concept Procedure Quick Reference

To create a plotter configuration file for DWFx file output

To specify or modify settings for plotted DWFx files

To set color depth for plotted DWFx files


To create a plotter configuration file for DWFx file output (Procedure)

Overview of Creating or Modifying a DWFx Configuration File
Up a level to ..
Overview of Creating or Modifying a DWFx Configuration File
Plot and Publish Drawings > Publish Drawings > Configure a DWFx Driver (Advanced) > Overview of Creating or Modifying a DWFx Configuration File >
Overview of Creating or Modifying a DWFx Configuration File
Concept Procedure Quick Reference

To create a plotter configuration file for DWFx file output

  1. Click File menu [image] Plotter Manager.At the command prompt, enter plotter manager.
  2. In the Autodesk Plotter Manager, double-click the Add-a-Plotter Wizard shortcut icon.
  3. In the Add-a-Plotter wizard, click Next.
  4. On the Add Plotter - Begin page, click My Computer. Click Next.
  5. On the Add Plotter - Plotter Model page, select the following values, and click Next:

    Manufacturers: Autodesk ePlot (DWFx)

    Models: DWFx ePlot (XPS Compatible)

    The list includes all installed plotters.

  6. On the Import PCP or PC2 screen, click Next.
  7. On the Add Plotter - Ports page, select the port to use when plotting. Click Next.

    By default, the Plot to File option is selected.

  8. On the Add Plotter - Plotter Name page, enter a name to identify the currently configured plotter. Click Next.
  9. On the Add Plotter - Finish page, click the Edit Plotter Configuration button to change the default settings for the plotter.

    For more information on the graphics and custom properties of the DWFx driver (Device and Document Settings tab), see DWFx Driver Properties.

  10. After you finish configuring the plotter, click Finish.
  11. On the Finish page, click Finish.

    A new plotter configuration file (PC3) is created.

Command entry: PLOTTERMANAGER


To specify or modify settings for plotted DWFx files (Procedure)

Overview of Creating or Modifying a DWFx Configuration File
Up a level to ..
Overview of Creating or Modifying a DWFx Configuration File
Plot and Publish Drawings > Publish Drawings > Configure a DWFx Driver (Advanced) > Overview of Creating or Modifying a DWFx Configuration File >
Overview of Creating or Modifying a DWFx Configuration File
Concept Procedure Quick Reference

To specify or modify settings for plotted DWFx files

  1. Click Output tab [image] Plot panel [image] Plot. At the command prompt, enter plot.
  2. In the Plot dialog box, under Printer/Plotter, in the Name list, select the DWFx plotter configuration file you want to edit. Click Properties.
  3. In the Plotter Configuration Editor, Device and Document Settings tab, select Custom Properties in the tree window.
  4. In the Access Custom Dialog group, click the Custom Properties button.
  5. In the DWFx ePlot Properties dialog box, select the options you want. Click OK.
  6. In the Plotter Configuration Editor, click OK.
  7. In the Changes to a Printer Configuration dialog box, do one of the following:
    • Select Apply Changes for the Current Plot Only — to specify a one-time override of the configuration settings that is not saved to the ePlot configuration file.
    • Select Save Changes to the Following File — to save the configuration changes to the current DWFx configuration file.
  8. Click OK twice.
  9. In the Browse for Plot File dialog box, navigate to the folder location you want to save. Click Save.
  10. Click OK.
Toolbar: Standard
Command entry: PLOT


To set color depth for plotted DWFx files (Procedure)

Overview of Creating or Modifying a DWFx Configuration File
Up a level to ..
Set the DWFx File Resolution
Plot and Publish Drawings > Publish Drawings > Configure a DWFx Driver (Advanced) > Overview of Creating or Modifying a DWFx Configuration File >
Overview of Creating or Modifying a DWFx Configuration File
Concept Procedure Quick Reference

To set color depth for plotted DWFx files

  1. Click Output tab [image] Plot panel [image] Plot. At the command prompt, enter plot.
  2. In the Printer/Plotter area, in the Name list, select a DWFx plotter configuration file. Click Properties.
  3. In the Plotter Configuration Editor, click the Device and Document Settings tab
  4. Click the (+) sign to expand the Graphics node in the tree window.
  5. Click Vector Graphics.
  6. In the Color Depth area, select a color depth. Click OK.
  7. In the Changes to a Printer Configuration dialog box, do one of the following:
    • Select Apply Changes for the Current Plot Only — to specify a one-time override of the configuration settings that isn't saved to the DWF configuration file.
    • Select Save Changes to the Following File — to save the configuration changes to the DWF configuration file.
  8. Click OK.
  9. In the Browse for Plot File dialog box, navigate to the folder location you want to save. Click Save.
Toolbar: Standard
Command entry: PLOT


Overview of Creating or Modifying a DWFx Configuration File (Quick Reference)

Edit Pen Patterns for the DWF File
Overview of Creating or Modifying a DWFx Configuration File
Set the DWFx File Resolution
Plot and Publish Drawings > Publish Drawings > Configure a DWFx Driver (Advanced) > Overview of Creating or Modifying a DWFx Configuration File >
Overview of Creating or Modifying a DWFx Configuration File
Concept Procedure Quick Reference

Commands

PAGESETUP

Controls the page layout, plotting device, paper size, and other settings for each new layout

PLOT

Plots a drawing to a plotter, printer, or file

PLOTTERMANAGER

Displays the Plotter Manager, where you can add or edit a plotter configuration

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Set the DWFx File Resolution (Concept)

Overview of Creating or Modifying a DWFx Configuration File
Configure a DWFx Driver (Advanced)
Share Data Between Drawings and Applications
Plot and Publish Drawings > Publish Drawings > Configure a DWFx Driver (Advanced) >
Set the DWFx File Resolution
Concept Procedure Quick Reference

You can specify the pixel resolution for vector and raster graphics of the DWFx files that you create. The higher the resolution, the greater the precision but the larger the file size.

ImportantRaster and gradient resolution settings can never exceed the vector setting.

The following list shows the default values for vector and raster resolutions:

  • Vector resolution: 1200 dpi
  • Custom vector resolution: 40000 dpi
  • Gradient resolution: 200 dpi
  • Custom gradient resolution: 200 dpi
  • Color and grayscale resolution: 200 dpi
  • Custom color and grayscale resolution: 200 dpi
  • Black and white resolution: 400 dpi
  • Custom black and white resolution: 400 dpi

When you create DWFx files intended for plotting, select a resolution to match the output of your plotter or printer. High resolutions (over 2400 dpi) are for viewing. For example, when you create DWFx files of drawings that contain a lot of detail, such as a topographical map of a large region, use a higher resolution setting for greater detail in the DWFx file.

Use extreme resolutions (over 40,000 dpi) only when necessary; they may produce very large files. As you increase the resolution setting, raster image quality increases, the speed of printing decreases, and memory requirements increase.

As an example of the difference between DWFx resolution settings, consider a map of the world that you want to output as a DWFx file for viewing. With a medium resolution setting, you might be able to zoom to a level of detail approximately the size of the state of California on the world map. With a high resolution setting, you might be able to zoom to a level of detail the size of a city. With an extreme resolution setting, you might be able to zoom to a level of detail the size of a building.


To specify the DWFx file resolution (Procedure)

Overview of Creating or Modifying a DWFx Configuration File
Up a level to ..
Attach and Detach Referenced Drawings
Plot and Publish Drawings > Publish Drawings > Configure a DWFx Driver (Advanced) > Set the DWFx File Resolution >
Set the DWFx File Resolution
Concept Procedure Quick Reference

To specify the DWFx file resolution

  1. Click Output tab [image] Plot panel [image] Plot. At the command prompt, enter plot.
  2. In the Printer/Plotter area, in the Name list, select a DWFx plotter configuration file. Click Properties.
  3. In the Plotter Configuration Editor, click the Device and Document Settings tab.
  4. Click to select Custom Properties from the tree window.
  5. In the Access Custom Dialog group, click the Custom Properties button.
    NoteYou can enter any whole number between 150 and 100,000,000 for color and grayscale resolution settings as long as the number does not exceed the current vector resolution setting.

    The DWFx ePlot Properties dialog box appears.

  6. In the Vector and Gradient Resolution (Dots Per Inch) group, do one of the following:

    - Select Vector and Gradient Resolution settings from the list.

    - Select Custom from the list, and enter custom values.

  7. Click OK.
  8. In the Raster Image Resolution (Dots Per Inch) area, do one of the following:

    - Select Color and Grayscale Resolution settings.

    - Select Black and White Resolution settings from the list.

    - Select Custom from the list, and enter custom values.

  9. Click OK.
  10. In the Plotter Configuration Editor, click OK.
  11. In the Changes to a Printer Configuration dialog box, do either of the following.
    • Select Apply Changes for the Current Plot Only — to specify a one-time override of the configuration settings that isn't saved to the DWF configuration file.
    • Select Save Changes to the Following File — to save the configuration changes to the DWF configuration file.
  12. Click OK.
  13. In the Browse for Plot File dialog box, navigate to the folder location you want to save. Click Save.
Toolbar: Standard
Command entry: PLOT


Set the DWFx File Resolution (Quick Reference)

Overview of Creating or Modifying a DWFx Configuration File
Set the DWFx File Resolution
Overview of Referenced Drawings (Xrefs)
Plot and Publish Drawings > Publish Drawings > Configure a DWFx Driver (Advanced) > Set the DWFx File Resolution >
Set the DWFx File Resolution
Concept Procedure Quick Reference

Commands

PAGESETUP

Controls the page layout, plotting device, paper size, and other settings for each new layout

PLOT

Plots a drawing to a plotter, printer, or file

PLOTTERMANAGER

Displays the Plotter Manager, where you can add or edit a plotter configuration

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Share Data Between Drawings and Applications

Set the DWFx File Resolution
Reference Other Drawing Files
Share Data Between Drawings and Applications

Topics in this section

  • Reference Other Drawing Files

    You can attach an entire drawing to the current drawing as a referenced drawing (xref). With xrefs, changes made in the referenced drawing are reflected in the current drawing.

  • Link and Embed Data (OLE)

    With the Microsoft Windows OLE feature, you can copy or move information from one application to another while retaining the ability to edit the information in the original application.

  • Work with Data in Other Formats

    You can work with many different types of files, including files created with other applications and files created in earlier releases of the program. You can also specify search paths for drawing and support files.

  • Extract Data from Drawings and Spreadsheets

    You can extract property data from objects in drawings and export the output to a table or to an external file.

  • Access External Databases

    You can associate, or link, data stored in external databases with graphical objects in a drawing.


Reference Other Drawing Files

Share Data Between Drawings and Applications
Share Data Between Drawings and Applications
Overview of Referenced Drawings (Xrefs)
Share Data Between Drawings and Applications >
Reference Other Drawing Files

You can attach an entire drawing to the current drawing as a referenced drawing (xref). With xrefs, changes made in the referenced drawing are reflected in the current drawing.

You can attach an entire drawing to the current drawing as a referenced drawing (xref). With xrefs, changes in the referenced drawing are reflected in the current drawing. Attached xrefs are linked to, but not actually inserted in, another drawing. Therefore, with xrefs you can build drawings without significantly increasing the drawing file size.

Topics in this section

  • Overview of Referenced Drawings (Xrefs)
  • Attach and Detach Referenced Drawings

    You can perform several operations on referenced drawing (xref) files. Start with attaching, setting paths, and detaching.

  • Update and Bind Referenced Drawings

    Beyond attaching and detaching referenced drawings (xrefs), you can also update and bind drawing references.

  • Clip Referenced Drawings and Blocks

    You can specify clipping boundaries to display a limited portion of an xref or block insertion.

  • Edit Referenced Drawings

    Referenced drawings can be edited by opening them directly, or you can edit the xref in place from within the current drawing. You can edit a block definition directly from any selected block reference.

  • Resolve Referenced Drawing Errors

    If a referenced drawing cannot be loaded when you open a drawing, an error message is displayed.

  • Increase Performance with Large Referenced Drawings

    There are several features that can improve performance when dealing with large referenced drawings.


Overview of Referenced Drawings (Xrefs) (Concept)

Reference Other Drawing Files
Reference Other Drawing Files
Attach and Detach Referenced Drawings
Share Data Between Drawings and Applications > Reference Other Drawing Files >
Overview of Referenced Drawings (Xrefs)
Concept Quick Reference

You can attach an entire drawing to the current drawing as a referenced drawing (xref). With xrefs, changes made in the referenced drawing are reflected in the current drawing. Attached xrefs are linked to, but not actually inserted in, another drawing. Therefore, with xrefs you can build drawings without significantly increasing the drawing file size.

By using referenced drawings, you can

  • Coordinate your work with the work of others by referencing other drawings in your drawing to keep up with the changes being made by other designers. You can also assemble a master drawing from component drawings that may undergo changes as a project develops.
  • Ensure that the most recent version of the referenced drawing is displayed. When you open your drawing, each referenced drawing is automatically reloaded, so it reflects the latest state of the referenced drawing file.
  • Keep the names of layers, dimensioning styles, text styles, and other named elements in your drawing separate from those in referenced drawings.
  • Merge (bind) attached referenced drawings permanently with your current drawing when the project is complete and ready to be archived.
NoteLike a block reference, an xref appears in the current drawing as a single object. However, you cannot explode an xref without binding it first.
See Also

    • DesignCenter


Overview of Referenced Drawings (Xrefs) (Quick Reference)

Set the DWFx File Resolution
Overview of Referenced Drawings (Xrefs)
Attach Drawing References (Xrefs)
Share Data Between Drawings and Applications > Reference Other Drawing Files > Overview of Referenced Drawings (Xrefs) >
Overview of Referenced Drawings (Xrefs)
Concept Quick Reference

Commands

ADCENTER

Manages and inserts content such as blocks, xrefs, and hatch patterns

BASE

Sets the insertion base point for the current drawing

EXTERNALREFERENCES

Displays the External References palette

EXTERNALREFERENCESCLOSE

Closes the External References palette

REFCLOSE

Saves back or discards changes made during in-place editing of a reference (an xref or a block)

REFEDIT

Selects an external reference or block reference for editing

REFSET

Adds or removes objects from a working set during in-place editing of a reference (an xref or a block)

RENAME

Changes the names of named objects

XATTACH

Attaches an external reference to the current drawing

XBIND

Binds one or more definitions of named objects in an xref to the current drawing

XCLIP

Defines an xref or block clipping boundary and sets the front and back clipping planes

XREF

Starts the EXTERNALREFERENCES command

System Variables

BINDTYPE

Controls how xref names are handled when binding xrefs or editing xrefs in place

ERSTATE

Indicates whether the External References palette is open or closed

INDEXCTL

Controls whether layer and spatial indexes are created and saved in drawing files

INSBASE

Stores the insertion base point set by BASE, which gets expressed as a UCS coordinate for the current space

PROJECTNAME

Assigns a project name to the current drawing

VISRETAIN

Controls the properties of xref-dependent layers

XCLIPFRAME

Controls the visibility of xref clipping boundaries

XEDIT

Controls whether the current drawing can be edited in-place when being referenced by another drawing

XLOADCTL

Turns xref demand-loading on and off, and controls whether it opens the referenced drawing or a copy

XLOADPATH

Creates a path for storing temporary copies of demand-loaded xref files

XREFNOTIFY

Controls the notification for updated or missing xrefs

Utilities

No entries

Command Modifiers

No entries


Attach and Detach Referenced Drawings

Overview of Referenced Drawings (Xrefs)
Reference Other Drawing Files
Attach Drawing References (Xrefs)
Share Data Between Drawings and Applications > Reference Other Drawing Files >
Attach and Detach Referenced Drawings
Concept Procedure

You can perform several operations on referenced drawing (xref) files. Start with attaching, setting paths, and detaching.

Topics in this section

  • Attach Drawing References (Xrefs)

    When you attach a drawing as an xref, you link that referenced drawing to the current drawing; any changes to the referenced drawing are displayed in the current drawing when it is opened or reloaded.

  • Set Paths to Referenced Drawings

    You can view and edit the file name and path used when locating a particular drawing reference (xref). Use this option if the referenced file has been moved to a different folder or renamed since it was first attached.

  • Detach Referenced Drawings

    To completely remove DWG references (xrefs) from your drawing, you need to detach them rather than erase them.


Attach and Detach Referenced Drawings (Procedure)

Set the DWFx File Resolution
Attach and Detach Referenced Drawings
Attach Drawing References (Xrefs)
Share Data Between Drawings and Applications > Reference Other Drawing Files > Attach and Detach Referenced Drawings >
Attach and Detach Referenced Drawings
Concept Procedure

To attach an xref

To attach or overlay an xref using DesignCenter

To view referenced files by type in the External References palette

To change the path of a DWG reference

To display the currently defined project names

To add a project name

To remove a project name

To modify a project name

To add a search path

To delete a search path

To change a search path

To make a project current

To clear the current project

To detach an xref


Attach Drawing References (Xrefs) (Concept)

Attach and Detach Referenced Drawings
Attach and Detach Referenced Drawings
Set Paths to Referenced Drawings
Share Data Between Drawings and Applications > Reference Other Drawing Files > Attach and Detach Referenced Drawings >
Attach Drawing References (Xrefs)
Concept Procedure Quick Reference

When you attach a drawing as an xref, you link that referenced drawing to the current drawing; any changes to the referenced drawing are displayed in the current drawing when it is opened or reloaded.

A drawing can be attached as an xref to multiple drawings at the same time. Conversely, multiple drawings can be attached as referenced drawings to a single drawing.

Tools for Attaching Xrefs

You can use several methods to attach an xref:

  • Click Insert menu [image] External References.At the command prompt, enter externalreferences.
  • Use the EXTERNALREFERENCES command.
  • Click Blocks & References tab [image] Reference panel [image] DWG. At the command prompt, enter xattach.
  • Use the XATTACH command.

You can also use DesignCenter™ to attach xrefs to a drawing. Use DesignCenter for simple attachments, previewing drawing references and their descriptions, and quick placement by dragging.

You can attach an xref by dragging it from DesignCenter or by clicking Attach as Xref on the shortcut menu.

The saved path used to locate the xref can be a full path, a relative (partially specified) path, or no path.

If an xref contains any variable block attributes, they are ignored.

NoteWhen using the External References palette, it is recommended that you turn on the Auto-hide feature or anchor the palette. The palette will then hide automatically when you specify the insertion point of the external reference.

Notification of Attached Xrefs

An xref icon is displayed in the lower-right corner of the application window (the status bar tray) when xrefs are attached to the drawing.

When one or more xrefs are not found or if any of the xrefs need reloading, an exclamation point is added to the Xref icon. If you click the Xref icon, the External References palette is displayed.

Visibility, Color, and Linetype

You can control the visibility, color, linetype, and other properties of an xref's layers and make these changes temporary or permanent. If the VISRETAIN system variable is set to 0, these changes apply only to the current drawing session. They are discarded when you end the drawing session, or when you reload or detach the xref.

Xref Clipping Boundaries

Drawings can include xrefs that are clipped. If you want to see the clipping boundary, you can turn on the XCLIPFRAME system variable.

Attachments from Educational Products

If you open, insert, or attach an xref from an Autodesk Educational Product, the drawings you plot contain the following banner: “PRODUCED BY AN AUTODESK EDUCATIONAL PRODUCT.”

See Also

    • Nest and Overlay Referenced Drawings

    • Clip Referenced Drawings and Blocks

    • Set Paths to Referenced Drawings

    • DesignCenter

    • Set Interface Options


Attach Drawing References (Xrefs) (Procedure)

Attach and Detach Referenced Drawings
Up a level to ..
Attach Drawing References (Xrefs)
Share Data Between Drawings and Applications > Reference Other Drawing Files > Attach and Detach Referenced Drawings > Attach Drawing References (Xrefs) >
Attach Drawing References (Xrefs)
Concept Procedure Quick Reference

To attach an xref

To attach or overlay an xref using DesignCenter

To view referenced files by type in the External References palette


To attach an xref (Procedure)

Attach Drawing References (Xrefs)
Up a level to ..
Attach Drawing References (Xrefs)
Share Data Between Drawings and Applications > Reference Other Drawing Files > Attach and Detach Referenced Drawings > Attach Drawing References (Xrefs) >
Attach Drawing References (Xrefs)
Concept Procedure Quick Reference

To attach an xref

  1. Click Blocks & References tab [image] Reference panel [image] DWG. At the command prompt, enter xattach.
  2. In the Select Reference File dialog box, select the file you want to attach and then click Open.
  3. In the External Reference dialog box, under Reference Type, select Attachment.
  4. Specify the insertion point, scale, and rotation angle. Click Specify On-Screen to use the pointing device.

    Attachment includes all nested xrefs.

  5. Click OK.
Toolbar: Reference
Command entry: XATTACH


To attach or overlay an xref using DesignCenter (Procedure)

Attach Drawing References (Xrefs)
Up a level to ..
Attach Drawing References (Xrefs)
Share Data Between Drawings and Applications > Reference Other Drawing Files > Attach and Detach Referenced Drawings > Attach Drawing References (Xrefs) >
Attach Drawing References (Xrefs)
Concept Procedure Quick Reference

To attach or overlay an xref using DesignCenter

  1. Click Tools menu [image] Palettes [image] DesignCenter.At the command prompt, enter adcclose.
  2. In the content area or in the Search dialog box, locate the DWG reference you want to attach or overlay.
  3. Right-click. Drag the DWG reference into the open drawing.
  4. Release the right-pointing device button. Click Attach as Xref.
  5. In the External Reference dialog box, under Reference Type, select Attachment or Overlay.
  6. Enter values for Insertion Point, Scale, and Rotation, or select Specify On-Screen to use the pointing device.
  7. Click OK.

    You can also attach an xref by dragging or by clicking Attach as Xref on the shortcut menu.

  8. Click OK.
Toolbar: Standard
Command entry: ADCENTER


To view referenced files by type in the External References palette (Procedure)

Attach Drawing References (Xrefs)
Up a level to ..
Set Paths to Referenced Drawings
Share Data Between Drawings and Applications > Reference Other Drawing Files > Attach and Detach Referenced Drawings > Attach Drawing References (Xrefs) >
Attach Drawing References (Xrefs)
Concept Procedure Quick Reference

To view referenced files by type in the External References palette

  1. Click Insert menu [image] External References.At the command prompt, enter externalreferences.
  2. In the External References palette, in the File References pane, click the List View button.
  3. Click the Icon column.

    The attached referenced files are sorted by type in the list view.

Toolbar: Reference
Command entry: EXTERNALREFERENCES


Attach Drawing References (Xrefs) (Quick Reference)

Overview of Referenced Drawings (Xrefs)
Attach Drawing References (Xrefs)
Set Paths to Referenced Drawings
Share Data Between Drawings and Applications > Reference Other Drawing Files > Attach and Detach Referenced Drawings > Attach Drawing References (Xrefs) >
Attach Drawing References (Xrefs)
Concept Procedure Quick Reference

Commands

ADCENTER

Manages and inserts content such as blocks, xrefs, and hatch patterns

EXTERNALREFERENCES

Displays the External References palette

EXTERNALREFERENCESCLOSE

Closes the External References palette

TRAYSETTINGS

Controls the display of icons and notifications in the status bar tray

XATTACH

Attaches an external reference to the current drawing

XREF

Starts the EXTERNALREFERENCES command

System Variables

ERSTATE

Indicates whether the External References palette is open or closed

INDEXCTL

Controls whether layer and spatial indexes are created and saved in drawing files

TRAYICONS

Controls whether a tray is displayed on the status bar

TRAYNOTIFY

Controls whether service notifications are displayed in the status bar tray

TRAYTIMEOUT

Controls the length of time (in seconds) that service notifications are displayed

VISRETAIN

Controls the properties of xref-dependent layers

XLOADCTL

Turns xref demand-loading on and off, and controls whether it opens the referenced drawing or a copy

XLOADPATH

Creates a path for storing temporary copies of demand-loaded xref files

XREFNOTIFY

Controls the notification for updated or missing xrefs

Utilities

No entries

Command Modifiers

No entries


Set Paths to Referenced Drawings (Concept)

Attach Drawing References (Xrefs)
Attach and Detach Referenced Drawings
Detach Referenced Drawings
Share Data Between Drawings and Applications > Reference Other Drawing Files > Attach and Detach Referenced Drawings >
Set Paths to Referenced Drawings
Concept Procedure Quick Reference

You can view and edit the file name and path used when locating a particular drawing reference (xref). Use this option if the referenced file has been moved to a different folder or renamed since it was first attached.

You can view and edit the file name and path that the program uses when locating a drawing reference. Use this option if the referenced file has been moved to a different folder or renamed since it was first attached.

You can choose from three types of folder path information to save with an attached reference: a full path, a relative path, and no path.

Specify a Full (Absolute) Path

A full path is a fully specified hierarchy of folders that locates the file reference. A full path includes a local hard drive letter, a URL to a website, or a network server drive letter. This is the most specific but least flexible option.

Specify a Relative Path

Relative paths are partially specified folder paths that assume the current drive letter or the folder of the host drawing. This is the most flexible option, and enables you to move a set of drawings from your current drive to a different drive that uses the same folder structure.

If the file that is being referenced is located on a different local hard drive or on a network server, the relative path option is not available.

The conventions for specifying a relative folder path are as follows:

\

Look in the root folder of the host drawing's drive

path

From the folder of the host drawing, follow the specified path

\path

From the root folder, follow the specified path

.\path

From the folder of the host drawing, follow the specified path

..\path

From the folder of the host drawing, move up one folder level and follow the specified path

..\..\path

From the folder of the host drawing, move up two folder levels and follow the specified path

NoteIf a drawing that contains referenced files is moved or saved to a different path, to a different local hard drive, or to a different network server, you must edit any relative paths to accommodate the host drawing's new location or you must relocate the referenced files.

Specify No Path

When no path information is saved with the attached external reference, the following search is initiated in the order shown:

  • Current folder of the host drawing
  • Project search paths defined on the Files tab in the Options dialog box and in the PROJECTNAME system variable
  • Support search paths defined on the Files tab in the Options dialog box
  • Start In folder specified in the Microsoft® Windows® application shortcut

Specifying the No Path option is useful when moving a set of drawings to a different folder hierarchy or to an unknown folder hierarchy.

Know when a Referenced Drawing has been Relocated

If the drawing you are working on contains an xref that has been moved to a different folder, a message is displayed at the site of the xref when you load the drawing. The message indicates that the xref cannot be loaded using the old path. When you specify the new path, the xref is reloaded into your drawing.

Use Project Names to Define Referenced Drawing Paths

Project names make it easier for you to manage xrefs when drawings are exchanged between customers or if you have different drive mappings to the same location on a server. The project name points to a section in the registry that can contain one or more search paths for each project name defined.

If the program cannot find an xref at the location specified by the search path, the prefix (if any) is stripped from the path. If the drawing has a PROJECTNAME value set and a corresponding entry exists in the registry, the program searches for the file along the project search paths. If the xref still is not located, the program search path is searched again.

You can add, remove, or modify the project names that exist in the registry. The folder search paths beneath the project name can also be added, removed, or modified.

The search paths beneath the project name can be added, removed, or modified in the same manner as the project name. The order in which the folders are searched can also be modified. Projects and their search paths can only be edited through the Files tab in the Options dialog box. You cannot edit project names at the command prompt.

Once you have established a project name and the search paths you want associated with that project name, you can make that project name the currently active project. The program searches the paths associated with that currently active project for xrefs that were not found in the current folder of the host drawing, the full search path, the current drawing folder, or the program support paths.

Change Reference Paths in Multiple Drawings (Advanced)

When you relocate drawing files or the external files that they reference, including other drawing files, text fonts, images, and plot configurations, the reference paths that are saved in the drawing need to be updated. The Autodesk Reference Manager lists referenced files in selected drawings and provides tools to modify the saved reference paths without having to open each drawing file. You can also use Reference Manager to identify and fix unresolved references.

Reference Manager is a stand-alone application with its own Help system. To access it, click Start menu (Windows) [image] (All) Programs [image] Autodesk [image] AutoCAD [image] Reference Manager. If you are working on a network, it may not have been installed on your computer.

WarningReference Manager is intended primarily for CAD managers who thoroughly understand paths. It changes multiple paths at once, and you cannot undo your actions. Use extreme caution, especially if you are working on a network.


Set Paths to Referenced Drawings (Procedure)

Attach Drawing References (Xrefs)
Up a level to ..
Set Paths to Referenced Drawings
Share Data Between Drawings and Applications > Reference Other Drawing Files > Attach and Detach Referenced Drawings > Set Paths to Referenced Drawings >
Set Paths to Referenced Drawings
Concept Procedure Quick Reference

To change the path of a DWG reference

To display the currently defined project names

To add a project name

To remove a project name

To modify a project name

To add a search path

To delete a search path

To change a search path

To make a project current

To clear the current project


To change the path of a DWG reference (Procedure)

Set Paths to Referenced Drawings
Up a level to ..
Set Paths to Referenced Drawings
Share Data Between Drawings and Applications > Reference Other Drawing Files > Attach and Detach Referenced Drawings > Set Paths to Referenced Drawings >
Set Paths to Referenced Drawings
Concept Procedure Quick Reference

To change the path of a DWG reference

  1. Click Insert menu [image] External References.At the command prompt, enter externalreferences.
  2. In the External References palette, select a DWG reference name.
  3. Under Found At, do one of the following:
    • Edit the xref path directly.
    • Click Browse. Select the xref in its new path.
  4. Click OK.

    The program reloads the xref and then regenerates the drawing with the xref in place.

Toolbar: Reference
Command entry: EXTERNALREFERENCES


To display the currently defined project names (Procedure)

Set Paths to Referenced Drawings
Up a level to ..
Set Paths to Referenced Drawings
Share Data Between Drawings and Applications > Reference Other Drawing Files > Attach and Detach Referenced Drawings > Set Paths to Referenced Drawings >
Set Paths to Referenced Drawings
Concept Procedure Quick Reference

To display the currently defined project names

  1. Click Tools menu [image] Options.At the command prompt, enter options.
  2. In the Options dialog box, Files tab, double-click Project Files Search Path.
  3. Click each project name folder to display the search paths associated with it.
  4. Click OK (or Apply).


To add a project name (Procedure)

Set Paths to Referenced Drawings
Up a level to ..
Set Paths to Referenced Drawings
Share Data Between Drawings and Applications > Reference Other Drawing Files > Attach and Detach Referenced Drawings > Set Paths to Referenced Drawings >
Set Paths to Referenced Drawings
Concept Procedure Quick Reference

To add a project name

  1. Click Tools menu [image] Options.At the command prompt, enter options.
  2. In the Options dialog box, Files tab, double-click Project Files Search Path. Click Add.

    A folder named projectx (where x indicates the next available number) is created and indented beneath the project folder.

  3. Either enter a new name, or press ENTER to accept projectx.

    The project name must be 31 characters or fewer, and it cannot contain leading spaces or terminating spaces.

  4. Click OK (or Apply).


To remove a project name (Procedure)

Set Paths to Referenced Drawings
Up a level to ..
Set Paths to Referenced Drawings
Share Data Between Drawings and Applications > Reference Other Drawing Files > Attach and Detach Referenced Drawings > Set Paths to Referenced Drawings >
Set Paths to Referenced Drawings
Concept Procedure Quick Reference

To remove a project name

  1. Click Tools menu [image] Options.At the command prompt, enter options.
  2. In the Options dialog box, Files tab, double-click Project Files Search Path.
  3. Select a project name. Click Remove.
  4. Click OK (or Apply).


To modify a project name (Procedure)

Set Paths to Referenced Drawings
Up a level to ..
Set Paths to Referenced Drawings
Share Data Between Drawings and Applications > Reference Other Drawing Files > Attach and Detach Referenced Drawings > Set Paths to Referenced Drawings >
Set Paths to Referenced Drawings
Concept Procedure Quick Reference

To modify a project name

  1. Click Tools menu [image] Options.At the command prompt, enter options.
  2. In the Options dialog box, Files tab, select a project name. Enter a new name.
  3. Click OK (or Apply).

    You can also modify a project name by selecting the name in the project folder and pressing F2.


To add a search path (Procedure)

Set Paths to Referenced Drawings
Up a level to ..
Set Paths to Referenced Drawings
Share Data Between Drawings and Applications > Reference Other Drawing Files > Attach and Detach Referenced Drawings > Set Paths to Referenced Drawings >
Set Paths to Referenced Drawings
Concept Procedure Quick Reference

To add a search path

  1. Click Tools menu [image] Options.At the command prompt, enter options.
  2. In the Options dialog box, Files tab, select a project name. Click Add.
  3. Add a new search path beneath the project name by entering a new path, or click Browse and select a new path.
  4. Click OK (or Apply).

    The new path is indented and placed beneath the project name.


To delete a search path (Procedure)

Set Paths to Referenced Drawings
Up a level to ..
Set Paths to Referenced Drawings
Share Data Between Drawings and Applications > Reference Other Drawing Files > Attach and Detach Referenced Drawings > Set Paths to Referenced Drawings >
Set Paths to Referenced Drawings
Concept Procedure Quick Reference

To delete a search path

  1. Click Tools menu [image] Options.At the command prompt, enter options.
  2. In the Options dialog box, Files tab, select a project name. Click Remove.
  3. Click OK.


To change a search path (Procedure)

Set Paths to Referenced Drawings
Up a level to ..
Set Paths to Referenced Drawings
Share Data Between Drawings and Applications > Reference Other Drawing Files > Attach and Detach Referenced Drawings > Set Paths to Referenced Drawings >
Set Paths to Referenced Drawings
Concept Procedure Quick Reference

To change a search path

  1. Click Tools menu [image] Options.At the command prompt, enter options.
  2. In the Options dialog box, Files tab, select a project name. Click Browse.
  3. In the Browse for Folder dialog box, select a new path.
  4. Click OK to close each dialog box.

    You can also change a search path by selecting the project path and pressing F2.


To make a project current (Procedure)

Set Paths to Referenced Drawings
Up a level to ..
Set Paths to Referenced Drawings
Share Data Between Drawings and Applications > Reference Other Drawing Files > Attach and Detach Referenced Drawings > Set Paths to Referenced Drawings >
Set Paths to Referenced Drawings
Concept Procedure Quick Reference

To make a project current

  1. Click Tools menu [image] Options.At the command prompt, enter options.
  2. In the Options dialog box, Files tab, double-click Project Files Search Path.
  3. Select a Project name. Click Set Current.
  4. Click OK (or Apply).

    You can also set a project current by entering projectname at the command prompt and then entering the name of the project.


To clear the current project (Procedure)

Set Paths to Referenced Drawings
Up a level to ..
Detach Referenced Drawings
Share Data Between Drawings and Applications > Reference Other Drawing Files > Attach and Detach Referenced Drawings > Set Paths to Referenced Drawings >
Set Paths to Referenced Drawings
Concept Procedure Quick Reference

To clear the current project

  1. Click Tools menu [image] Options.At the command prompt, enter options.
  2. In the Options dialog box, Files tab, click Project Files Search Path.
  3. Click Clear Current.

    This clears the setting for the current drawing.

  4. Click OK (or Apply).

    You can also clear the current project at the command prompt by entering projectname and then entering a period (.).


Set Paths to Referenced Drawings (Quick Reference)

Attach Drawing References (Xrefs)
Set Paths to Referenced Drawings
Detach Referenced Drawings
Share Data Between Drawings and Applications > Reference Other Drawing Files > Attach and Detach Referenced Drawings > Set Paths to Referenced Drawings >
Set Paths to Referenced Drawings
Concept Procedure Quick Reference

Commands

XREF

Starts the EXTERNALREFERENCES command

System Variables

PROJECTNAME

Assigns a project name to the current drawing

Utilities

No entries

Command Modifiers

No entries


Detach Referenced Drawings (Concept)

Set Paths to Referenced Drawings
Attach and Detach Referenced Drawings
Update and Bind Referenced Drawings
Share Data Between Drawings and Applications > Reference Other Drawing Files > Attach and Detach Referenced Drawings >
Detach Referenced Drawings
Concept Procedure Quick Reference

To completely remove DWG references (xrefs) from your drawing, you need to detach them rather than erase them.

To completely remove xrefs from your drawing, you need to detach them. Erasing xrefs does not remove, for example, layer definitions associated with those xrefs. Using the Detach option removes the xrefs and all associated information.


To detach an xref (Procedure)

Set Paths to Referenced Drawings
Up a level to ..
Update and Bind Referenced Drawings
Share Data Between Drawings and Applications > Reference Other Drawing Files > Attach and Detach Referenced Drawings > Detach Referenced Drawings >
Detach Referenced Drawings
Concept Procedure Quick Reference

To detach an xref

  1. Click Insert menu [image] External References.At the command prompt, enter externalreferences.
  2. In the External Reference palette, select a DWG reference.
  3. Right-click the selected DWG reference and select Detach from the shortcut menu.
Toolbar: Reference
Command entry: EXTERNALREFERENCES


Detach Referenced Drawings (Quick Reference)

Set Paths to Referenced Drawings
Detach Referenced Drawings
Nest and Overlay Referenced Drawings
Share Data Between Drawings and Applications > Reference Other Drawing Files > Attach and Detach Referenced Drawings > Detach Referenced Drawings >
Detach Referenced Drawings
Concept Procedure Quick Reference

Commands

EXTERNALREFERENCES

Displays the External References palette

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Update and Bind Referenced Drawings

Detach Referenced Drawings
Reference Other Drawing Files
Nest and Overlay Referenced Drawings
Share Data Between Drawings and Applications > Reference Other Drawing Files >
Update and Bind Referenced Drawings
Concept Procedure

Beyond attaching and detaching referenced drawings (xrefs), you can also update and bind drawing references.

Topics in this section

  • Nest and Overlay Referenced Drawings

    Attached DWG references (xrefs) can be nested: that is, you can attach an xref that contains another xref.

  • Update Referenced Drawing Attachments

    When you open a drawing, all DWG references (xrefs) update automatically. You can also update xrefs whenever you want to ensure that the most current versions are displayed in your drawing.

  • Archive Drawings That Contain Referenced Drawings (Bind)

    When you archive final drawings that contain xrefs, you can choose how you store the xrefs in the drawings.


Update and Bind Referenced Drawings (Procedure)

Detach Referenced Drawings
Update and Bind Referenced Drawings
Nest and Overlay Referenced Drawings
Share Data Between Drawings and Applications > Reference Other Drawing Files > Update and Bind Referenced Drawings >
Update and Bind Referenced Drawings
Concept Procedure

To overlay an xref

To update an attached xref

To bind an xref to the current drawing


Nest and Overlay Referenced Drawings (Concept)

Update and Bind Referenced Drawings
Update and Bind Referenced Drawings
Update Referenced Drawing Attachments
Share Data Between Drawings and Applications > Reference Other Drawing Files > Update and Bind Referenced Drawings >
Nest and Overlay Referenced Drawings
Concept Procedure Quick Reference

Attached DWG references (xrefs) can be nested: that is, you can attach an xref that contains another xref.

Xrefs can be nested within other xrefs: that is, you can attach an xref that contains another xref. You can attach as many copies of an xref as you want, and each copy can have a different position, scale, and rotation.

In the following illustration, master.dwg references a.dwg and b.dwg. Drawing a.dwg references c.dwg. In master.dwg, c.dwg is a nested xref.

You can also overlay an xref on your drawing. Unlike an attached xref, an overlaid xref is not included when the drawing is itself attached or overlaid as an xref to another drawing. Overlaid xrefs are designed for data sharing in a network environment. By overlaying an xref, you can see how your drawing relates to the drawings of other groups without changing your drawing by attaching an xref.

In the following illustration, several people are working on drawings referenced by master.dwg. The person working on a.dwg needs to see the work being completed by the person working on b.dwg, but does not want to xref b.dwg because it would then appear twice in master.dwg. Instead, the person overlays b.dwg, which is not included when a.dwg is referenced by master.dwg.

Relative Saved Paths and Nested Xrefs

The saved path for an xref can be a full path, a relative (partially specified) path, or no path. For a nested xref, a relative path always references the location of its immediate host and not necessarily the currently open drawing.


To overlay an xref (Procedure)

Update and Bind Referenced Drawings
Up a level to ..
Update Referenced Drawing Attachments
Share Data Between Drawings and Applications > Reference Other Drawing Files > Update and Bind Referenced Drawings > Nest and Overlay Referenced Drawings >
Nest and Overlay Referenced Drawings
Concept Procedure Quick Reference

To overlay an xref

  1. Click Blocks & References tab [image] Reference panel [image] DWG. At the command prompt, enter xattach.
  2. In the Select Reference File dialog box, select the file you want to attach and then click Open.
  3. In the External Reference dialog box, under Reference Type, select Overlay.
  4. Specify the insertion point, scale, and rotation angle. Click Specify On-Screen to use the pointing device.

    Using the Overlay option excludes any nested xrefs.

  5. Click OK.
Toolbar: Reference
Command entry: XATTACH


Nest and Overlay Referenced Drawings (Quick Reference)

Detach Referenced Drawings
Nest and Overlay Referenced Drawings
Update Referenced Drawing Attachments
Share Data Between Drawings and Applications > Reference Other Drawing Files > Update and Bind Referenced Drawings > Nest and Overlay Referenced Drawings >
Nest and Overlay Referenced Drawings
Concept Procedure Quick Reference

Commands

EXTERNALREFERENCES

Displays the External References palette

System Variables

XREFTYPE

Controls the default reference type when attaching or overlaying an external reference

Utilities

No entries

Command Modifiers

No entries


Update Referenced Drawing Attachments (Concept)

Nest and Overlay Referenced Drawings
Update and Bind Referenced Drawings
Archive Drawings That Contain Referenced Drawings (Bind)
Share Data Between Drawings and Applications > Reference Other Drawing Files > Update and Bind Referenced Drawings >
Update Referenced Drawing Attachments
Concept Procedure Quick Reference

When you open a drawing, all DWG references (xrefs) update automatically. You can also update xrefs whenever you want to ensure that the most current versions are displayed in your drawing.

When you open a drawing, all xrefs update automatically. Use the Reload option from the External References palette to update xrefs whenever you want to ensure that the most current versions are displayed in your drawing.

Whenever you modify and save an externally referenced drawing in a network environment, other people can access your changes immediately by reloading the xrefs in their open drawings.

Notification of Changed Xrefs

When you attach xrefs to a drawing, the program periodically checks whether the referenced files have changed since the last time the xrefs were loaded or reloaded. The XREFNOTIFY system variable controls xref notification.

By default, if a referenced file has changed, a balloon message is displayed near the Xref icon in the lower-right corner of the application window (the status bar tray). Click the link in the balloon to reload all changed xrefs.

If you close the balloon message without reloading, an exclamation point is added to the Xref icon. If you click the Xref icon, the External References palette is displayed.

By default, the program checks for changed xrefs every five minutes. You can change the number of minutes between checks by setting the XNOTIFYTIME system registry variable using (setenv "XNOTIFYTIME" "n") where n is a number of minutes between 1 and 10080 (seven days).

NoteWhen changing the value of XNOTIFYTIME, you must enter XNOTIFYTIME with the capitalization as shown.

Update Xrefs with Demand Loading Turned On

If demand loading is turned on when you load or reload an xref

  • With the XLOADCTL system variable set to 1, the referenced drawing is kept open and locked. No one else can modify the referenced drawing.
  • With XLOADCTL set to 2, a temporary copy of the most recently saved version of the referenced file is opened and locked. Others can open and modify the referenced drawing.

For information about demand loading, see Increase Performance with Large Referenced Drawings.


To update an attached xref (Procedure)

Nest and Overlay Referenced Drawings
Up a level to ..
Archive Drawings That Contain Referenced Drawings (Bind)
Share Data Between Drawings and Applications > Reference Other Drawing Files > Update and Bind Referenced Drawings > Update Referenced Drawing Attachments >
Update Referenced Drawing Attachments
Concept Procedure Quick Reference

To update an attached xref

  1. Click Insert menu [image] External References.At the command prompt, enter externalreferences.
  2. In the External References palette, select the reference name that you want to reload.
  3. Right-click, and click Reload.
NoteIf the drawing you selected has been changed since you opened your drawing, the xref is reloaded.
Toolbar: Reference
Command entry: EXTERNALREFERENCES


Update Referenced Drawing Attachments (Quick Reference)

Nest and Overlay Referenced Drawings
Update Referenced Drawing Attachments
Archive Drawings That Contain Referenced Drawings (Bind)
Share Data Between Drawings and Applications > Reference Other Drawing Files > Update and Bind Referenced Drawings > Update Referenced Drawing Attachments >
Update Referenced Drawing Attachments
Concept Procedure Quick Reference

Commands

EXTERNALREFERENCES

Displays the External References palette

EXTERNALREFERENCESCLOSE

Closes the External References palette

TRAYSETTINGS

Controls the display of icons and notifications in the status bar tray

System Variables

INDEXCTL

Controls whether layer and spatial indexes are created and saved in drawing files

TRAYICONS

Controls whether a tray is displayed on the status bar

TRAYNOTIFY

Controls whether service notifications are displayed in the status bar tray

TRAYTIMEOUT

Controls the length of time (in seconds) that service notifications are displayed

XEDIT

Controls whether the current drawing can be edited in-place when being referenced by another drawing

XLOADCTL

Turns xref demand-loading on and off, and controls whether it opens the referenced drawing or a copy

XLOADPATH

Creates a path for storing temporary copies of demand-loaded xref files

XREFNOTIFY

Controls the notification for updated or missing xrefs

Utilities

No entries

Command Modifiers

No entries


Archive Drawings That Contain Referenced Drawings (Bind) (Concept)

Update Referenced Drawing Attachments
Update and Bind Referenced Drawings
Clip Referenced Drawings and Blocks
Share Data Between Drawings and Applications > Reference Other Drawing Files > Update and Bind Referenced Drawings >
Archive Drawings That Contain Referenced Drawings (Bind)
Concept Procedure Quick Reference

When you archive final drawings that contain xrefs, you can choose how you store the xrefs in the drawings.

When you archive final drawings that contain xrefs, you have two choices:

  • Store the xref drawings along with the final drawing
  • Bind the xref drawings to the final drawing

Storing an xref drawing along with the final drawing requires that the drawings always remain together. Any change to the referenced drawing will continue to be reflected in the final drawing.

To prevent unintentional updating of archived drawings by later changes to referenced drawings, bind the xrefs to the final drawing.

Binding an xref to a drawing makes the xref a permanent part of the drawing and no longer an externally referenced file. You can bind the entire database of the xref drawing, including all its xref-dependent named objects (blocks, dimension styles, layers, linetypes, and text styles), by using the XREF Bind option. For more information, see Resolve Name Conflicts in External References.

Binding xrefs to a drawing is also an easy way to send a drawing to reviewers. Rather than sending a master drawing plus each of the drawings it references, you can use the Bind option to merge the xrefs into the master drawing.

NoteYou cannot bind xrefs that contain proxy objects. For more information, see Work with Custom and Proxy Objects.


To bind an xref to the current drawing (Procedure)

Update Referenced Drawing Attachments
Up a level to ..
Clip Referenced Drawings and Blocks
Share Data Between Drawings and Applications > Reference Other Drawing Files > Update and Bind Referenced Drawings > Archive Drawings That Contain Referenced Drawings (Bind) >
Archive Drawings That Contain Referenced Drawings (Bind)
Concept Procedure Quick Reference

To bind an xref to the current drawing

  1. Click Insert menu [image] External References.At the command prompt, enter externalreferences.
  2. In the External References palette, select the reference name that you want to bind.
  3. Right-click, and click Bind.
  4. In the Bind Xrefs dialog box, select one of the following options:
    • Bind converts the objects in the xref into a block reference. Named object definitions are added to the current drawing with a prefix of blockname$n$.
    • Insert also converts the objects in the xref into a block reference. Named object definitions are merged into the current drawing without adding prefixes.
  5. Click OK to close each dialog box.
Toolbar: Reference
Command entry: EXTERNALREFERENCES


Archive Drawings That Contain Referenced Drawings (Bind) (Quick Reference)

Update Referenced Drawing Attachments
Archive Drawings That Contain Referenced Drawings (Bind)
Clip Referenced Drawings and Blocks
Share Data Between Drawings and Applications > Reference Other Drawing Files > Update and Bind Referenced Drawings > Archive Drawings That Contain Referenced Drawings (Bind) >
Archive Drawings That Contain Referenced Drawings (Bind)
Concept Procedure Quick Reference

Commands

EXTERNALREFERENCES

Displays the External References palette

XBIND

Binds one or more definitions of named objects in an xref to the current drawing

System Variables

BINDTYPE

Controls how xref names are handled when binding xrefs or editing xrefs in place

XEDIT

Controls whether the current drawing can be edited in-place when being referenced by another drawing

Utilities

No entries

Command Modifiers

No entries


Clip Referenced Drawings and Blocks (Concept)

Archive Drawings That Contain Referenced Drawings (Bind)
Reference Other Drawing Files
Edit Referenced Drawings
Share Data Between Drawings and Applications > Reference Other Drawing Files >
Clip Referenced Drawings and Blocks
Concept Procedure Quick Reference

You can specify clipping boundaries to display a limited portion of an xref or block insertion.

You can use XCLIP to define a clipping boundary. The clipping boundary determines the portion of a block or xref that is suppressed, either outside or inside the boundary.

Clipping applies only to an individual instance of an xref or block, not to the definition itself. The objects in the xref or block are not altered; only their display is changed.

With XCLIP, you can control the following viewing options:

  • The visibility of the clipping boundary
  • The visibility of the clipped area of the xref or block

Control the Visibility of Clipping Boundaries

If you want to display the clipping boundary, also called the clipping frame, you can turn on the XCLIPFRAME system variable. When the clipping frame is on (set to 1), it can be selected and plotted.

Control the Visibility of Clipped Areas

Clipping results can be turned on or off using the XCLIP command. This controls whether the clipped area is hidden or displayed.

When clipping is turned off, the boundary is not displayed and the entire xref is visible, provided that the objects are on layers that are turned on and thawed.

Editing Options

After an xref or block has been clipped, it can be moved, copied, or rotated just like an unclipped xref or block. The clipping boundary moves with the reference. If an xref contains nested clipped xrefs, they appear clipped in the drawing. If the parent xref is clipped, the nested xrefs are also clipped.

Choose Clipping Boundary Options

You can use XCLIP for the following types of operations:

  • Create a new clipping boundary
  • Delete an existing clipping boundary
  • Generate a polyline coincident with the clipping boundary
  • Invert the area to be hidden, inside or outside the clipping boundary

Resize Clipping Boundaries

If you want to change the shape or size of a non-rectangular clipping boundary for xrefs and blocks, you can use grips to edit the vertices just as you edit any object with grips

NoteXCLIP does not support self-intersecting polygonal boundaries. It will display an error message and revert to the last “good” boundary.

In case of rectangular grip editing, the perpendicular relationship between the two segments being dragged is always maintained.

Limitations for Clipping Xrefs

When clipping an xref or block the following considerations apply:

  • A clipping boundary can be specified anywhere in 3D space, but it is always applied planar to the current UCS.
  • If a polyline is selected, the clipping boundary is applied in the plane of that polyline.
  • Images in xrefs or blocks are always clipped to rectangular boundaries. When you apply polygonal clipping to images in externally referenced drawings, the clipping boundary is applied to the rectangular extents of the polygonal boundary, rather than to the polygon itself.


Clip Referenced Drawings and Blocks (Procedure)

Archive Drawings That Contain Referenced Drawings (Bind)
Clip Referenced Drawings and Blocks
Clip Referenced Drawings and Blocks
Share Data Between Drawings and Applications > Reference Other Drawing Files > Clip Referenced Drawings and Blocks >
Clip Referenced Drawings and Blocks
Concept Procedure Quick Reference

To clip an xref

To invert the clip region


To clip an xref (Procedure)

Clip Referenced Drawings and Blocks
Clip Referenced Drawings and Blocks
Clip Referenced Drawings and Blocks
Share Data Between Drawings and Applications > Reference Other Drawing Files > Clip Referenced Drawings and Blocks >
Clip Referenced Drawings and Blocks
Concept Procedure Quick Reference

To clip an xref

  1. Click Blocks and References tab [image] Reference panel [image] Clip Xref. Enter xclip at the command prompt.
  2. Select an xref.
  3. At the prompt, specify New Boundary by pressing ENTER.
  4. Specify a rectangular or polygonal clipping boundary. Specify the corners or vertices of the boundary.
  5. (Optional) Use the Invert Clip option to change the area to be hidden from outside to inside the clipping boundary.

    The xref is clipped based on the area that you specified and hides the portion of the xref either inside or outside the clipping boundary.

Toolbar: Reference
Command entry: XCLIP


To invert the clip region (Procedure)

Clip Referenced Drawings and Blocks
Clip Referenced Drawings and Blocks
Edit Referenced Drawings
Share Data Between Drawings and Applications > Reference Other Drawing Files > Clip Referenced Drawings and Blocks >
Clip Referenced Drawings and Blocks
Concept Procedure Quick Reference

To invert the clip region

  1. Set XCLIPFRAME to 1. This displays the xref clipping boundaries.
  2. Click Blocks and References tab [image] Reference panel [image] Clip Xref. Enter xclip at the command prompt.
  3. Select an xref.
  4. At the prompt, specify New Boundary by pressing ENTER.
  5. Specify a rectangular or polygonal clipping boundary. Specify the corners or vertices of the boundary.
  6. Select the clipping boundary. You should see the [image] grip at the midpoint on the first edge of the clip boundary.
  7. Click the grip to invert the current x-clip region. The grip now points theother way.
Toolbar: Reference
Command entry: XCLIP


Clip Referenced Drawings and Blocks (Quick Reference)

Archive Drawings That Contain Referenced Drawings (Bind)
Clip Referenced Drawings and Blocks
Edit a Referenced Drawing in a Separate Window
Share Data Between Drawings and Applications > Reference Other Drawing Files > Clip Referenced Drawings and Blocks >
Clip Referenced Drawings and Blocks
Concept Procedure Quick Reference

Commands

XCLIP

Defines an xref or block clipping boundary and sets the front and back clipping planes

System Variables

XCLIPFRAME

Controls the visibility of xref clipping boundaries

Utilities

No entries

Command Modifiers

No entries


Edit Referenced Drawings

Clip Referenced Drawings and Blocks
Reference Other Drawing Files
Edit a Referenced Drawing in a Separate Window
Share Data Between Drawings and Applications > Reference Other Drawing Files >
Edit Referenced Drawings
Concept Procedure

Referenced drawings can be edited by opening them directly, or you can edit the xref in place from within the current drawing. You can edit a block definition directly from any selected block reference.

Topics in this section

  • Edit a Referenced Drawing in a Separate Window

    The simplest and most direct method for editing xrefs is to open the referenced drawing file in a separate window. This method gives you access to all objects in the referenced drawing.

  • Edit Selected Objects in Referenced Drawings and Blocks

    You can modify external references and redefine block definitions from within the current drawing by using in-place reference editing. Both blocks and xrefs are considered references.

  • Use the Working Set to Edit Referenced Drawings and Blocks

    To edit a referenced drawing from within the current drawing, you use the working set to identify objects that belong to the xref or block definition rather than the current drawing.

  • Save Back Edited Referenced Drawings and Blocks

    While editing a referenced drawing or a block definition in place, you can save back or discard changes.

  • Edit Referenced Drawings and Blocks with Nesting, OLE, or Attributes

    There are limitations with editing referenced drawings and blocks from your current drawing if they contain nested objects.


Edit Referenced Drawings (Procedure)

Clip Referenced Drawings and Blocks
Edit Referenced Drawings
Edit a Referenced Drawing in a Separate Window
Share Data Between Drawings and Applications > Reference Other Drawing Files > Edit Referenced Drawings >
Edit Referenced Drawings
Concept Procedure

To edit an xref in a separate window

To edit an xref or block reference in place

To add objects to the working set

To remove objects from the working set

To save back changes from edited xrefs and blocks

To discard all changes from edited xrefs and blocks


Edit a Referenced Drawing in a Separate Window (Concept)

Edit Referenced Drawings
Edit Referenced Drawings
Edit Selected Objects in Referenced Drawings and Blocks
Share Data Between Drawings and Applications > Reference Other Drawing Files > Edit Referenced Drawings >
Edit a Referenced Drawing in a Separate Window
Concept Procedure Quick Reference

The simplest and most direct method for editing xrefs is to open the referenced drawing file in a separate window. This method gives you access to all objects in the referenced drawing.

Instead of browsing for the xref using the Select File dialog box, you can select the xref and open the referenced drawing. To use this method to edit xrefs, use the External References palette or the XOPEN command.


To edit an xref in a separate window (Procedure)

Edit Referenced Drawings
Up a level to ..
Edit Selected Objects in Referenced Drawings and Blocks
Share Data Between Drawings and Applications > Reference Other Drawing Files > Edit Referenced Drawings > Edit a Referenced Drawing in a Separate Window >
Edit a Referenced Drawing in a Separate Window
Concept Procedure Quick Reference

To edit an xref in a separate window

  1. Click Insert menu [image] External References.At the command prompt, enter externalreferences.
  2. In the External References palette, select the reference name that you want to edit.
  3. Right-click, and click Open.
  4. The selected drawing reference is opened in a new window where you can edit the drawing, save it, and then close the drawing.
Toolbar: Reference
Command entry: EXTERNALREFERENCES


Edit a Referenced Drawing in a Separate Window (Quick Reference)

Clip Referenced Drawings and Blocks
Edit a Referenced Drawing in a Separate Window
Edit Selected Objects in Referenced Drawings and Blocks
Share Data Between Drawings and Applications > Reference Other Drawing Files > Edit Referenced Drawings > Edit a Referenced Drawing in a Separate Window >
Edit a Referenced Drawing in a Separate Window
Concept Procedure Quick Reference

Commands

EXTERNALREFERENCES

Displays the External References palette

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Edit Selected Objects in Referenced Drawings and Blocks (Concept)

Edit a Referenced Drawing in a Separate Window
Edit Referenced Drawings
Use the Working Set to Edit Referenced Drawings and Blocks
Share Data Between Drawings and Applications > Reference Other Drawing Files > Edit Referenced Drawings >
Edit Selected Objects in Referenced Drawings and Blocks
Concept Procedure Quick Reference

You can modify external references and redefine block definitions from within the current drawing by using in-place reference editing. Both blocks and xrefs are considered references.

By editing the reference in place, you can modify the reference within the visual context of your current drawing.

Often, a drawing contains one or more xrefs as well as multiple block references. When working with block references, you can select a block, modify it, view and edit its properties, and update the block definition.

When working with xrefs, you can select the reference you want to work with, modify its objects, and save back the changes to the reference drawing. You can make minor changes without having to go back and forth between drawings.

NoteIf you plan to make major changes to a reference, open the reference drawing and edit directly within the file. Using in-place reference editing to make major changes can increase the size of your current drawing file significantly during the in-place reference editing session.

Understand the Working Set

Only the objects that are a part of the selected reference are available for selection in the drawing area. The objects you select from the selected reference are extracted and made available for modification in the current drawing. The set of extracted objects, or the working set, can be modified and then saved back to update the xref or block definition. Objects that make up the working set are visually distinct from other objects in the drawing. All objects in the current drawing, except objects in the working set, are faded.

Control the Fading of Objects

The XFADECTL system variable controls how objects are displayed while a reference is edited in place. The set of objects extracted from the reference are displayed normally. All other objects in the drawing, including objects in the current drawing and in any references not belonging to the working set, are faded. The value indicates the intensity of display for objects not in the working set. The larger the value is for XFADECTL, the more the objects are faded.

NoteObjects outside the working set are not faded during in-place reference editing unless SHADEMODE is set to a value of 2D wireframe.

Use the Refedit Ribbon Contextual Tab

If you select nested objects to edit when the ribbon is active, the Edit Reference ribbon contextual tabis displayed. Using the buttons on the Edit Reference ribbon contextual tab, you can add objects to or remove objects from the working set, and you can discard or save back changes to the reference. The Edit Reference ribbon contextual tab is automatically dismissed after you save back or discard changes made to the working set.

Use the Refedit Toolbar

When the ribbon is not active, The Refedit toolbar is displayed and activated after you select which nested objects to edit. Using the buttons on the Refedit toolbar, you can add objects to or remove objects from the working set, and you can discard or save back changes to the reference. Unless it is docked, the Refedit toolbar is automatically dismissed after you save back or discard changes made to the working set.


To edit an xref or block reference in place (Procedure)

Edit a Referenced Drawing in a Separate Window
Up a level to ..
Use the Working Set to Edit Referenced Drawings and Blocks
Share Data Between Drawings and Applications > Reference Other Drawing Files > Edit Referenced Drawings > Edit Selected Objects in Referenced Drawings and Blocks >
Edit Selected Objects in Referenced Drawings and Blocks
Concept Procedure Quick Reference

To edit an xref or block reference in place

  1. Click Tools menu [image] Xref And Block In-Place Editing [image] Edit Reference In-Place.At the command prompt, enter refedit.
  2. From within the current drawing, select the reference that you would like to edit.

    If the object you select in the reference belongs to any nested references, all the references available for selection are displayed in the Reference Edit dialog box.

  3. In the Reference Edit dialog box, select the specific reference that you want to edit.

    The reference file is locked to prevent multiple users from opening the file at once. You cannot edit a reference in place if the drawing file is being used by another user.

  4. Click OK.
  5. Select the objects you would like to edit in the reference and press ENTER.

    The objects that you select become the working set. By default, all other objects are locked and faded.

  6. Edit the objects in the working set. Click Save Back Changes to Reference.

    The objects in the working set are saved to the reference and the xref or the block is updated.

Command entry: REFEDIT


Edit Selected Objects in Referenced Drawings and Blocks (Quick Reference)

Edit a Referenced Drawing in a Separate Window
Edit Selected Objects in Referenced Drawings and Blocks
Use the Working Set to Edit Referenced Drawings and Blocks
Share Data Between Drawings and Applications > Reference Other Drawing Files > Edit Referenced Drawings > Edit Selected Objects in Referenced Drawings and Blocks >
Edit Selected Objects in Referenced Drawings and Blocks
Concept Procedure Quick Reference

Commands

REFCLOSE

Saves back or discards changes made during in-place editing of a reference (an xref or a block)

REFEDIT

Selects an external reference or block reference for editing

REFSET

Adds or removes objects from a working set during in-place editing of a reference (an xref or a block)

SHADEMODE

System Variables

BINDTYPE

Controls how xref names are handled when binding xrefs or editing xrefs in place

REFEDITNAME

Displays the name of the reference being edited

XEDIT

Controls whether the current drawing can be edited in-place when being referenced by another drawing

XFADECTL

Controls the fading intensity percentage for references being edited in-place

Utilities

No entries

Command Modifiers

No entries


Use the Working Set to Edit Referenced Drawings and Blocks (Concept)

Edit Selected Objects in Referenced Drawings and Blocks
Edit Referenced Drawings
Save Back Edited Referenced Drawings and Blocks
Share Data Between Drawings and Applications > Reference Other Drawing Files > Edit Referenced Drawings >
Use the Working Set to Edit Referenced Drawings and Blocks
Concept Procedure Quick Reference

To edit a referenced drawing from within the current drawing, you use the working set to identify objects that belong to the xref or block definition rather than the current drawing.

While editing a reference in place, you can add or remove objects from the working set. If you create a new object while editing a reference in place, it is almost always added to the working set automatically. Objects that are not added to the working set are displayed as faded in the drawing.

If a new object is created because of changes made to objects outside the working set, the new object is not added to the working set. For example, your drawing contains two lines that are not a part of the working set. If you edit the lines by using FILLET, a new arc is created between the two lines. The arc is not added to the working set.

When a reference object is part of the working set, you can select the object for editing even if it is drawn on a locked layer in the reference file. You can unlock the object's layer and make changes to the object. Changes made to the object can be saved, but the layer state remains the same in the reference file, whether it is locked or unlocked.

An object that is removed from the working set is added to the host drawing and removed from the reference when changes are saved back. An object that is added to the working set is removed from the host drawing and is added to the reference when changes are saved back. If you create or delete objects, they are automatically added to or removed from the working set. For example, if you use ERASE while editing a reference in place, the erased objects are removed from the working set. You can tell whether an object is in the working set or not by the way it is displayed; a faded object is not in the working set.

Use the Refedit Ribbon Contextual Tab

If you select a reference to edit in-place when the ribbon is active, the Edit Reference ribbon contextual tabis displayed. The name of the selected reference is displayed on the contextual tab. The editing buttons on the contextual tab (Add Objects to the Working Set, Remove Objects from the Working Set, Discard Changes to Reference, and Save Back Changes to Reference) are active only during in-place reference editing. The Refedit ribbon contextual tab is dismissed automatically after changes made to the reference are saved back or discarded.

Use the Refedit Toolbar

When the ribbon is not active, the Refedit toolbar is displayed when a reference is being edited in place. The name of the selected reference is displayed in the toolbar. The editing buttons on the toolbar (Add Objects to the Working Set, Remove Objects from the Working Set, Discard Changes to Reference, and Save Back Changes to Reference) are active only during in-place reference editing. The Edit Block or Xref button is active whenever the toolbar is initiated and a reference editing session is not already in progress within the current drawing. The Refedit toolbar is dismissed automatically after changes made to the reference are saved back or discarded.


Use the Working Set to Edit Referenced Drawings and Blocks (Procedure)

Edit Selected Objects in Referenced Drawings and Blocks
Up a level to ..
Use the Working Set to Edit Referenced Drawings and Blocks
Share Data Between Drawings and Applications > Reference Other Drawing Files > Edit Referenced Drawings > Use the Working Set to Edit Referenced Drawings and Blocks >
Use the Working Set to Edit Referenced Drawings and Blocks
Concept Procedure Quick Reference

To add objects to the working set

To remove objects from the working set


To add objects to the working set (Procedure)

Use the Working Set to Edit Referenced Drawings and Blocks
Up a level to ..
Use the Working Set to Edit Referenced Drawings and Blocks
Share Data Between Drawings and Applications > Reference Other Drawing Files > Edit Referenced Drawings > Use the Working Set to Edit Referenced Drawings and Blocks >
Use the Working Set to Edit Referenced Drawings and Blocks
Concept Procedure Quick Reference

To add objects to the working set

  1. Click Tools menu [image] Xref And Block In-Place Editing [image] Add To Working Set.

    Alternatively, at the command prompt, enter refset.

  2. If you entered refset at the command prompt, click the Add Objects to the Working Set button on either the Refedit ribbon contextual tab or the Refedit toolbar.

  3. Select the objects you want to add. You can also set PICKFIRST to 1 and create a selection set before using the Add option.

    REFSET can be used only with objects in the space (paper space or model space) in which REFEDIT is initiated.


To remove objects from the working set (Procedure)

Use the Working Set to Edit Referenced Drawings and Blocks
Up a level to ..
Save Back Edited Referenced Drawings and Blocks
Share Data Between Drawings and Applications > Reference Other Drawing Files > Edit Referenced Drawings > Use the Working Set to Edit Referenced Drawings and Blocks >
Use the Working Set to Edit Referenced Drawings and Blocks
Concept Procedure Quick Reference

To remove objects from the working set

  1. Click Tools menu [image] Xref And Block In-Place Editing [image] Remove From Working Set.

    Alternatively, at the command prompt, enter refset.

  2. If you entered refset at the command prompt, click the Remove Objects from the Working Set button on either the Refedit ribbon contextual tab or the Refedit toolbar.

  3. Select the objects you want to remove. You can also set PICKFIRST to 1 and create a selection set before using the Remove option.

    REFSET can be used only with objects in the space (paper space or model space) in which REFEDIT is initiated.


Use the Working Set to Edit Referenced Drawings and Blocks (Quick Reference)

Edit Selected Objects in Referenced Drawings and Blocks
Use the Working Set to Edit Referenced Drawings and Blocks
Save Back Edited Referenced Drawings and Blocks
Share Data Between Drawings and Applications > Reference Other Drawing Files > Edit Referenced Drawings > Use the Working Set to Edit Referenced Drawings and Blocks >
Use the Working Set to Edit Referenced Drawings and Blocks
Concept Procedure Quick Reference

Commands

REFCLOSE

Saves back or discards changes made during in-place editing of a reference (an xref or a block)

REFEDIT

Selects an external reference or block reference for editing

REFSET

Adds or removes objects from a working set during in-place editing of a reference (an xref or a block)

System Variables

XEDIT

Controls whether the current drawing can be edited in-place when being referenced by another drawing

Utilities

No entries

Command Modifiers

No entries


Save Back Edited Referenced Drawings and Blocks (Concept)

Use the Working Set to Edit Referenced Drawings and Blocks
Edit Referenced Drawings
Edit Referenced Drawings and Blocks with Nesting, OLE, or Attributes
Share Data Between Drawings and Applications > Reference Other Drawing Files > Edit Referenced Drawings >
Save Back Edited Referenced Drawings and Blocks
Concept Procedure Quick Reference

While editing a referenced drawing or a block definition in place, you can save back or discard changes.

While editing a block reference in place, you either can save back or discard changes made to the reference. If you save back changes to a reference, the drawing is regenerated.

When the changes are saved back, the block definition is redefined and all instances of the block are regenerated to reflect the changes. If you choose to discard the changes, the working set is deleted and the block reference returns to its original state.

Similarly, while editing an xref in place, you can save back or discard changes. Objects in the working set that inherit properties not originally defined in the xref retain those new properties. For example, an xref contains layers A, B, and C, and the drawing that references it contains layer D. If new objects are drawn on layer D during in-place reference editing and changes are saved back to the reference, layer D is copied to the xref drawing.

If you remove objects from the working set and save changes, the objects are removed from the reference and added to the current drawing. Any changes you make to objects in the current drawing (not in the xref or block) are not discarded. If you delete any object that is not in the working set, the object is not restored even if you choose to discard changes. You can return the drawing to its original state by using UNDO. If you make unwanted changes to an xref and use REFCLOSE to save back the changes, you must use UNDO to undo any changes made during the reference editing session. After you have undone any unwanted changes, use REFCLOSE to save changes to restore the xref file to its original state.

WarningWhile editing a reference in place, if you delete an object that is not in the working set, the object is not restored if you discard changes at the closing of the reference editing session.

Objects in the current drawing that inherit properties defined by the xref retain those new properties. Properties taken from the xref drawing are bound to the current drawing. The xref layer named SITE, for example, appears in the current drawing as $#$SITE when assigned to an object not in the working set. If BINDTYPE is set to 0, a prefix of $#$ is added to the reference name in the current drawing. If BINDTYPE is set to 1, reference names remain unchanged in the current drawing, similar to names of inserted objects.

NoteWhen you edit and save an xref in place, the original drawing preview is no longer available unless you open and save the referenced drawing.


Save Back Edited Referenced Drawings and Blocks (Procedure)

Use the Working Set to Edit Referenced Drawings and Blocks
Up a level to ..
Save Back Edited Referenced Drawings and Blocks
Share Data Between Drawings and Applications > Reference Other Drawing Files > Edit Referenced Drawings > Save Back Edited Referenced Drawings and Blocks >
Save Back Edited Referenced Drawings and Blocks
Concept Procedure Quick Reference

To save back changes from edited xrefs and blocks

To discard all changes from edited xrefs and blocks


To save back changes from edited xrefs and blocks (Procedure)

Save Back Edited Referenced Drawings and Blocks
Up a level to ..
Save Back Edited Referenced Drawings and Blocks
Share Data Between Drawings and Applications > Reference Other Drawing Files > Edit Referenced Drawings > Save Back Edited Referenced Drawings and Blocks >
Save Back Edited Referenced Drawings and Blocks
Concept Procedure Quick Reference

To save back changes from edited xrefs and blocks

  • Click Tools menu [image] Xref And Block In-Place Editing [image] Save Reference Edits.

    Alternatively, click the Save Back Changes to Reference button on either the Refedit ribbon contextual tab or the Refedit toolbar.

Toolbar: Refedit
Command entry: REFCLOSE


To discard all changes from edited xrefs and blocks (Procedure)

Save Back Edited Referenced Drawings and Blocks
Up a level to ..
Resolve Referenced Drawing Errors
Share Data Between Drawings and Applications > Reference Other Drawing Files > Edit Referenced Drawings > Save Back Edited Referenced Drawings and Blocks >
Save Back Edited Referenced Drawings and Blocks
Concept Procedure Quick Reference

To discard all changes from edited xrefs and blocks

  • On either the Refedit ribbon contextual tab or the Refedit toolbar, click the Discard Changes to Reference button.
Toolbar: Refedit
Command entry: REFCLOSE
Shortcut menu: With no objects selected during in-place reference editing, right-click in the drawing area. Click Close Refedit Session.


Save Back Edited Referenced Drawings and Blocks (Quick Reference)

Use the Working Set to Edit Referenced Drawings and Blocks
Save Back Edited Referenced Drawings and Blocks
Edit Referenced Drawings and Blocks with Nesting, OLE, or Attributes
Share Data Between Drawings and Applications > Reference Other Drawing Files > Edit Referenced Drawings > Save Back Edited Referenced Drawings and Blocks >
Save Back Edited Referenced Drawings and Blocks
Concept Procedure Quick Reference

Commands

REFCLOSE

Saves back or discards changes made during in-place editing of a reference (an xref or a block)

XOPEN

Opens a selected drawing reference (xref) in a new window

System Variables

BINDTYPE

Controls how xref names are handled when binding xrefs or editing xrefs in place

Utilities

No entries

Command Modifiers

No entries


Edit Referenced Drawings and Blocks with Nesting, OLE, or Attributes (Concept)

Save Back Edited Referenced Drawings and Blocks
Edit Referenced Drawings
Resolve Referenced Drawing Errors
Share Data Between Drawings and Applications > Reference Other Drawing Files > Edit Referenced Drawings >
Edit Referenced Drawings and Blocks with Nesting, OLE, or Attributes
Concept Quick Reference

There are limitations with editing referenced drawings and blocks from your current drawing if they contain nested objects.

If the reference you select for editing has attached xrefs or block definitions, the reference and its nested references are displayed and available for selection in the Reference Edit dialog box. Nested references are displayed only if the object chosen for selection is part of a nested reference. Only one reference at a time can be selected for editing. If you are editing a reference that contains OLE objects, the OLE objects are displayed but cannot be selected for editing.

If a block reference with attributes is selected for editing, you can choose to display the attribute definitions in the reference and make them available for editing. The attributes are made invisible and the attribute definitions are available for editing along with the selected reference geometry. When changes are saved back to the block reference, the attributes of the original reference remain unchanged. The new or altered attribute definitions only affect subsequent insertions of the block; the attributes in existing block instances are not affected.


Edit Referenced Drawings and Blocks with Nesting, OLE, or Attributes (Quick Reference)

Save Back Edited Referenced Drawings and Blocks
Edit Referenced Drawings and Blocks with Nesting, OLE, or Attributes
Resolve Missing External References
Share Data Between Drawings and Applications > Reference Other Drawing Files > Edit Referenced Drawings > Edit Referenced Drawings and Blocks with Nesting, OLE, or Attributes >
Edit Referenced Drawings and Blocks with Nesting, OLE, or Attributes
Concept Quick Reference

Commands

EXTERNALREFERENCES

Displays the External References palette

REFEDIT

Selects an external reference or block reference for editing

REFSET

Adds or removes objects from a working set during in-place editing of a reference (an xref or a block)

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Resolve Referenced Drawing Errors

Edit Referenced Drawings and Blocks with Nesting, OLE, or Attributes
Reference Other Drawing Files
Resolve Missing External References
Share Data Between Drawings and Applications > Reference Other Drawing Files >
Resolve Referenced Drawing Errors
Concept Procedure

If a referenced drawing cannot be loaded when you open a drawing, an error message is displayed.

Topics in this section

  • Resolve Missing External References

    If a referenced drawing cannot be located when you open a drawing, an error message is displayed. There are several options available to you if this occurs.

  • Resolve Circular External References

    If a referenced drawing contains a sequence of nested references that refers back to itself, an error message is displayed.

  • Resolve Name Conflicts in External References

    When you attach an xref, the names of its blocks, dimensioning styles, layers, linetypes, and text styles are differentiated from those in the current drawing.

  • Track External Reference Operations (Log File)

    You can maintain a record of actions while attaching, detaching, and reloading xrefs and while loading a drawing containing xrefs.


Resolve Referenced Drawing Errors (Procedure)

Save Back Edited Referenced Drawings and Blocks
Resolve Referenced Drawing Errors
Resolve Missing External References
Share Data Between Drawings and Applications > Reference Other Drawing Files > Resolve Referenced Drawing Errors >
Resolve Referenced Drawing Errors
Concept Procedure

To change an xref path

To bind xref-dependent named objects to the current drawing

To change the names of layers, dimension styles, and other named objects

To use the xref log file


Resolve Missing External References (Concept)

Resolve Referenced Drawing Errors
Resolve Referenced Drawing Errors
Resolve Circular External References
Share Data Between Drawings and Applications > Reference Other Drawing Files > Resolve Referenced Drawing Errors >
Resolve Missing External References
Concept Procedure Quick Reference

If a referenced drawing cannot be located when you open a drawing, an error message is displayed. There are several options available to you if this occurs.

The program stores the path of the drawing that is used to create the referenced drawing. Each time you load or plot the drawing or use the xref Reload option in the External References palette to update the xref, the program checks this path to determine the name and location of the referenced drawing file. If the name or location of the drawing file has changed, the program cannot reload the xref.

If the program cannot load an xref when it is loading your drawing, it displays an error message. In this example, the program can't find the xref HOUSE:

"\acad\dwg\house.dwg": Can't open file

** Error resolving Xref HOUSE.

For each insertion of the referenced drawing, the program displays text (at the location, scale, and rotation angle of the original reference) that contains the path of the missing xref. You can use the XREF Path option to update or correct the path.

One way to avoid these errors is to be sure that when you give other people files that have xrefs attached, you also give them all the referenced files.

Change Nested Xref Paths

When the drawing is reopened and the nested xref is loaded, the program attempts to find the xref in the original xref path first. If the xref is not found, the following search is initiated in the order shown:

  • Current folder of the host drawing
  • Project search paths defined on the Files tab in the Options dialog box and in the PROJECTNAME system variable
  • Support search paths defined on the Files tab in the Options dialog box
  • Start In folder specified in the Microsoft® Windows® application shortcut

This ensures that revisions made to the xref are reflected in the current drawing and also makes it possible for the xref to be found if its path has changed.

For example, suppose that the xref tree of the current drawing A is A>B>C, and the owner of drawing B changes the path of xref C to point to C1.dwg. When drawing A is reopened, it reflects the path change in drawing B and displays C1.dwg. However, if C1.dwg is not found, the program looks for xref C at the last location it was saved in drawing A.

See Also

    • Update Referenced Drawing Attachments


To change an xref path (Procedure)

Resolve Referenced Drawing Errors
Up a level to ..
Resolve Name Conflicts in External References
Share Data Between Drawings and Applications > Reference Other Drawing Files > Resolve Referenced Drawing Errors > Resolve Missing External References >
Resolve Missing External References
Concept Procedure Quick Reference

To change an xref path

  1. Click Insert menu [image] External References.At the command prompt, enter externalreferences.
  2. In the External References palette, select the external reference.
  3. Under Found At, do one of the following:
    • Edit the xref path directly.
    • Click the [...] button and browse to the xref in its new path.
Toolbar: Reference
Command entry: EXTERNALREFERENCES


Resolve Missing External References (Quick Reference)

Edit Referenced Drawings and Blocks with Nesting, OLE, or Attributes
Resolve Missing External References
Resolve Circular External References
Share Data Between Drawings and Applications > Reference Other Drawing Files > Resolve Referenced Drawing Errors > Resolve Missing External References >
Resolve Missing External References
Concept Procedure Quick Reference

Commands

EXTERNALREFERENCES

Displays the External References palette

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Resolve Circular External References (Concept)

Resolve Missing External References
Resolve Referenced Drawing Errors
Resolve Name Conflicts in External References
Share Data Between Drawings and Applications > Reference Other Drawing Files > Resolve Referenced Drawing Errors >
Resolve Circular External References
Concept Quick Reference

If a referenced drawing contains a sequence of nested references that refers back to itself, an error message is displayed.

A reference file that contains a sequence of nested references that refers back to itself is considered a circular reference. For example, if drawing A attaches drawing B, which attaches drawing C, which attaches drawing A, the reference sequence A>B>C>A is a circular reference.

If the program detects a circular reference while attaching an xref, a warning is displayed asking you if you want to continue. If you respond with yes, the program reads in the xref and any nested xrefs to the point where it detects the circularity. If you respond with no, the process is halted and the xref is not attached.

If a circular reference is encountered while loading a drawing, an error message is displayed and the circular reference for the current session is broken. For example, if you have the circular reference A>B>C>A, and you open a.dwg, the program detects and breaks the circularity between c.dwg and a.dwg. The following error message is displayed:

Breaking circular reference from C to current drawing.


Resolve Circular External References (Quick Reference)

Resolve Missing External References
Resolve Circular External References
Resolve Name Conflicts in External References
Share Data Between Drawings and Applications > Reference Other Drawing Files > Resolve Referenced Drawing Errors > Resolve Circular External References >
Resolve Circular External References
Concept Quick Reference

Commands

EXTERNALREFERENCES

Displays the External References palette

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Resolve Name Conflicts in External References (Concept)

Resolve Circular External References
Resolve Referenced Drawing Errors
Track External Reference Operations (Log File)
Share Data Between Drawings and Applications > Reference Other Drawing Files > Resolve Referenced Drawing Errors >
Resolve Name Conflicts in External References
Concept Procedure Quick Reference

When you attach an xref, the names of its blocks, dimensioning styles, layers, linetypes, and text styles are differentiated from those in the current drawing.

A typical xref definition includes objects, such as lines or arcs. It also includes xref-dependent definitions of blocks, dimension styles, layers, linetypes, and text styles. When you attach an xref, the program differentiates the names of these xref-dependent named objects from those in the current drawing by preceding their names with the name of the referenced drawing and a vertical bar character ( | ). For example, in the Layer Properties Manager, the xref-dependent named object that is a layer named STEEL in a referenced drawing called stair.dwg is listed as STAIR|STEEL.

When you attach an xref, the definitions of its dependent named objects are not added to your drawing permanently. Instead, these definitions are loaded from the referenced drawing file each time you reload it.

Bind Xref-Dependent Definitions

An xref-dependent named object's definition can change if the referenced drawing file is modified. For example, a layer name from a referenced drawing can change if the referenced drawing is modified. The layer name can even disappear if it is purged from the referenced drawing. This is why the program does not allow you to use an xref-dependent layer or other named object directly. For example, you cannot insert an xref-dependent block or make an xref-dependent layer the current layer and begin creating new objects on it.

To avoid the restrictions on xref-dependent named objects, you can bind them to your current drawing. Binding makes the xref-dependent named objects that you select become a permanent part of your current drawing.

When xref-dependent named objects are merged into a drawing through binding, you can use them the same way you use the drawing's own named objects. After you bind an xref-dependent named object, the vertical bar character ( | ) is removed from the name and replaced with two dollar signs ($$) separated by a number (usually zero): for example, the referenced layer, STAIR|STEEL, becomes STAIR$0$STEEL. You can then use the RENAME command to change STAIR$0$STEEL to STEEL.

If you specify a layer whose associated linetype is not CONTINUOUS, the referenced linetype is also bound. If you apply XBIND to a block, all named objects that are referenced by the objects in the block are also bound. If the block contains a reference to an xref, that xref and all of its dependent definitions are bound.


Resolve Name Conflicts in External References (Procedure)

Resolve Missing External References
Up a level to ..
Resolve Name Conflicts in External References
Share Data Between Drawings and Applications > Reference Other Drawing Files > Resolve Referenced Drawing Errors > Resolve Name Conflicts in External References >
Resolve Name Conflicts in External References
Concept Procedure Quick Reference

To bind xref-dependent named objects to the current drawing

To change the names of layers, dimension styles, and other named objects


To bind xref-dependent named objects to the current drawing (Procedure)

Resolve Name Conflicts in External References
Up a level to ..
Resolve Name Conflicts in External References
Share Data Between Drawings and Applications > Reference Other Drawing Files > Resolve Referenced Drawing Errors > Resolve Name Conflicts in External References >
Resolve Name Conflicts in External References
Concept Procedure Quick Reference

To bind xref-dependent named objects to the current drawing

  1. Click Modify menu [image] Object [image] External Reference [image] Bind.At the command prompt, enter xbind.
  2. In the Xbind dialog box, click the plus (+) sign next to an external reference.

    The five types of named object definitions (Block, Dimstyle, Layer, Linetype, and Textstyle) are listed.

  3. Click the plus (+) sign of one of the definition types.

    The names of the definition table entries are listed.

  4. Select a named object definition. Click Add.

    The named object definition is listed under Definitions to Bind.

  5. If necessary, repeat steps 3 and 4.
  6. Click OK.
Command entry: XBIND


To change the names of layers, dimension styles, and other named objects (Procedure)

Resolve Name Conflicts in External References
Up a level to ..
Track External Reference Operations (Log File)
Share Data Between Drawings and Applications > Reference Other Drawing Files > Resolve Referenced Drawing Errors > Resolve Name Conflicts in External References >
Resolve Name Conflicts in External References
Concept Procedure Quick Reference

To change the names of layers, dimension styles, and other named objects

  1. Click Tools tab [image] Drawing Utilities panel [image] Rename. At the command prompt, enter rename.
  2. In the Rename dialog box, select the named object type and then the item you want to rename.
  3. Enter the new name in the Rename To box below the old name.
  4. Click Rename To. Click OK.
Command entry: RENAME


Resolve Name Conflicts in External References (Quick Reference)

Resolve Circular External References
Resolve Name Conflicts in External References
Track External Reference Operations (Log File)
Share Data Between Drawings and Applications > Reference Other Drawing Files > Resolve Referenced Drawing Errors > Resolve Name Conflicts in External References >
Resolve Name Conflicts in External References
Concept Procedure Quick Reference

Commands

RENAME

Changes the names of named objects

XBIND

Binds one or more definitions of named objects in an xref to the current drawing

System Variables

BINDTYPE

Controls how xref names are handled when binding xrefs or editing xrefs in place

Utilities

No entries

Command Modifiers

No entries


Track External Reference Operations (Log File) (Concept)

Resolve Name Conflicts in External References
Resolve Referenced Drawing Errors
Increase Performance with Large Referenced Drawings
Share Data Between Drawings and Applications > Reference Other Drawing Files > Resolve Referenced Drawing Errors >
Track External Reference Operations (Log File)
Concept Procedure Quick Reference

You can maintain a record of actions while attaching, detaching, and reloading xrefs and while loading a drawing containing xrefs.

The program can maintain a log of its actions while attaching, detaching, and reloading xrefs and while loading a drawing containing xrefs. This log is maintained only if the XREFCTL system variable is set to 1. The default setting is 0.

The log file is an ordinary ASCII text file with the same name as the current drawing and the file extension .xlg. If you load a drawing with the file name sample.dwg, for example, the program searches for a log file named sample.xlg in the current folder. If the file does not exist, a new file is created with that name.

Once a log file has been created for a drawing, the program continues to append information to it. The program writes a title block to the log file each time the file is opened. If the log file becomes too large, you can delete it.

Example: A Sample Title Block from an Xref Log File

This title block contains the name of the current drawing, the date and time, and the operation being performed.

=============================
Drawing: detail
Date/Time: 09/28/99 10:45:20
Operation: Attach Xref
=============================

During a detaching or reloading operation, the program prints the nesting level of all affected xrefs immediately following the title block. To see a reference tree for a set of xrefs in your current drawing, use Detach or Reload and check the resulting entries in the log file.

Example: A Sample Log File Entry Showing Nested Xrefs

In the following example, the xref ENTRY_DR contains two nested xrefs: HARDWARE and PANELS. The xrefs HARDWARE and PANELS also each contain two xrefs.

==============================
Drawing: detail
Date/Time: 10/05/99 15:47:39
Operation: Reload Xref
=============================
Reference tree for ENTRY_DR:
ENTRY_DR Xref
-HARDWARE Xref
--LOCKSET Xref
--HINGES Xref
-PANELS Xref
--UPPER Xref
--LOWER Xref
The program
writes an entry in the log file for each xref-dependent named object
temporarily added to the current drawing and for any errors that occur.
Most error messages are written both to the screen and to the log
file.
Example: A Sample Log File That Shows the Results
of Attaching an Xref
The following
example shows a partial listing of the log file entries generated when
the external reference STAIR is attached to the working drawing test.dwg.
The log file lists the definition (symbol) table affected and the
name of the definition added, along with a status message.
==============================
Drawing: test
Date/Time: 12/18/99 14:06:34
Operation: Attach Xref
=============================
Attach Xref STAIR: \ACAD\DWGS\STAIR.dwg
 Searching in ACAD search path
 Update block symbol table:
 Appending symbol: STAIR|BOLT
 Appending symbol: STAIR|BOLT-HALF
 ...
 block update complete.
 Update Ltype symbol table:
 Appending symbol: STAIR|DASHED
 Appending symbol: STAIR|CENTER
 Appending symbol: STAIR|PHANTOM
 Ltype update complete.
 Update Layer symbol table:
 Appending symbol: STAIR|STEEL-HIDDEN
 Appending symbol: STAIR|OAK
 ...
 Layer update complete.
STAIR loaded.


To use the xref log file (Procedure)

Resolve Name Conflicts in External References
Up a level to ..
Increase Performance with Large Referenced Drawings
Share Data Between Drawings and Applications > Reference Other Drawing Files > Resolve Referenced Drawing Errors > Track External Reference Operations (Log File) >
Track External Reference Operations (Log File)
Concept Procedure Quick Reference

To use the xref log file

  1. At the command prompt, enter xrefctl.
  2. Enter 1 to turn logging on or 0 to turn logging off.
  3. Press ENTER.

    Logging is off by default.


Track External Reference Operations (Log File) (Quick Reference)

Resolve Name Conflicts in External References
Track External Reference Operations (Log File)
Overview of Demand Loading
Share Data Between Drawings and Applications > Reference Other Drawing Files > Resolve Referenced Drawing Errors > Track External Reference Operations (Log File) >
Track External Reference Operations (Log File)
Concept Procedure Quick Reference

Commands

XREF

Starts the EXTERNALREFERENCES command

System Variables

XREFCTL

Controls whether external reference log (XLG) files are created

Utilities

No entries

Command Modifiers

No entries


Increase Performance with Large Referenced Drawings

Track External Reference Operations (Log File)
Reference Other Drawing Files
Overview of Demand Loading
Share Data Between Drawings and Applications > Reference Other Drawing Files >
Increase Performance with Large Referenced Drawings
Concept Procedure

There are several features that can improve performance when dealing with large referenced drawings.

Topics in this section

  • Overview of Demand Loading

    Provides a high-level description of using demand loading to improve performance when working with large referenced drawings.

  • Unload Xrefs

    When a DWG reference (xref) is unloaded from the current drawing, the drawing opens much faster and uses less memory.

  • Work with Demand Loading

    With demand loading, only the data from the referenced drawing that is necessary to regenerate the current drawing is loaded into memory.

  • Work with Layer and Spatial Indexes
  • Set Paths for Temporary Xref File Copies

    When you turn on demand loading with copy, you can control where copies of externally referenced drawings are to be placed.


Increase Performance with Large Referenced Drawings (Procedure)

Track External Reference Operations (Log File)
Increase Performance with Large Referenced Drawings
Unload Xrefs
Share Data Between Drawings and Applications > Reference Other Drawing Files > Increase Performance with Large Referenced Drawings >
Increase Performance with Large Referenced Drawings
Concept Procedure

To unload an xref

To turn on demand loading

To save a drawing with layer and spatial indexes

To set the file path for xref copies


Overview of Demand Loading (Concept)

Increase Performance with Large Referenced Drawings
Increase Performance with Large Referenced Drawings
Unload Xrefs
Share Data Between Drawings and Applications > Reference Other Drawing Files > Increase Performance with Large Referenced Drawings >
Overview of Demand Loading
Concept Quick Reference

Provides a high-level description of using demand loading to improve performance when working with large referenced drawings.

The program uses demand loading and saving drawings with indexes to increase performance with large referenced drawings that have been clipped using the program or that have many objects on frozen layers. With demand loading, the program loads into memory only the data from the reference drawing that is necessary to regenerate the current drawing. In other words, referenced material is read in “on demand.” Demand loading works in conjunction with the INDEXCTL, XLOADCTL, and XLOADPATH system variables.


Overview of Demand Loading (Quick Reference)

Track External Reference Operations (Log File)
Overview of Demand Loading
Unload Xrefs
Share Data Between Drawings and Applications > Reference Other Drawing Files > Increase Performance with Large Referenced Drawings > Overview of Demand Loading >
Overview of Demand Loading
Concept Quick Reference

Commands

XREF

Starts the EXTERNALREFERENCES command

System Variables

INDEXCTL

Controls whether layer and spatial indexes are created and saved in drawing files

XLOADCTL

Turns xref demand-loading on and off, and controls whether it opens the referenced drawing or a copy

XLOADPATH

Creates a path for storing temporary copies of demand-loaded xref files

Utilities

No entries

Command Modifiers

No entries


Unload Xrefs (Concept)

Overview of Demand Loading
Increase Performance with Large Referenced Drawings
Work with Demand Loading
Share Data Between Drawings and Applications > Reference Other Drawing Files > Increase Performance with Large Referenced Drawings >
Unload Xrefs
Concept Procedure Quick Reference

When a DWG reference (xref) is unloaded from the current drawing, the drawing opens much faster and uses less memory.

When an xref is unloaded from the current drawing, the drawing opens much faster and uses less memory. The xref definition is unloaded from the drawing file, but the pointer to the reference drawing remains. The xref is not displayed, and nongraphical object information does not appear in the drawing. However, you can restore all the information by reloading the xref. If XLOADCTL (demand loading) is set to 1, unloading the drawing unlocks the original file.

You should unload a reference file if it is not needed in the current drawing session but may be used later for plotting. You can maintain a working list of unloaded xrefs in the drawing file that you can load as needed.


To unload an xref (Procedure)

Increase Performance with Large Referenced Drawings
Up a level to ..
Work with Demand Loading
Share Data Between Drawings and Applications > Reference Other Drawing Files > Increase Performance with Large Referenced Drawings > Unload Xrefs >
Unload Xrefs
Concept Procedure Quick Reference

To unload an xref

  1. Click Insert menu [image] External References.At the command prompt, enter externalreferences.
  2. In the External References palette, select the reference name you want to unload.
  3. Right-click, and click Unload.
Toolbar: Reference
Command entry: EXTERNALREFERENCES


Unload Xrefs (Quick Reference)

Overview of Demand Loading
Unload Xrefs
Work with Demand Loading
Share Data Between Drawings and Applications > Reference Other Drawing Files > Increase Performance with Large Referenced Drawings > Unload Xrefs >
Unload Xrefs
Concept Procedure Quick Reference

Commands

EXTERNALREFERENCES

Displays the External References palette

System Variables

XLOADCTL

Turns xref demand-loading on and off, and controls whether it opens the referenced drawing or a copy

Utilities

No entries

Command Modifiers

No entries


Work with Demand Loading (Concept)

Unload Xrefs
Increase Performance with Large Referenced Drawings
Work with Layer and Spatial Indexes
Share Data Between Drawings and Applications > Reference Other Drawing Files > Increase Performance with Large Referenced Drawings >
Work with Demand Loading
Concept Procedure Quick Reference

With demand loading, only the data from the referenced drawing that is necessary to regenerate the current drawing is loaded into memory.

To realize the maximum benefits of demand loading, you need to save the referenced drawings with layer and spatial indexes. The performance benefits of demand loading are most noticeable when you do one of the following:

  • Clip the xref with the program to display a small fraction of it. A spatial index is saved in the externally referenced drawing.
  • Freeze several layers of the xref. The externally referenced drawing is saved with a layer index.

If demand loading is turned on, and you have clipped xrefs that were saved with spatial indexes, objects in the referenced drawing database that are contained within the clip volume comprise the majority of the objects read into the drawing. If the clip volume is modified, more objects are loaded as required from the reference drawing. Similarly, if you have xrefs with many layers frozen that were saved with layer indexes, only the objects on those thawed layers are read into the current drawing. If those xref-dependent layers are thawed, the program reads in that geometry from the reference drawing as required.

When demand loading is turned on, the program places a lock on all reference drawings so that it can read in any geometry it needs to on demand. Other users can open those reference drawings, but they cannot save changes to them. If you want other users to be able to modify an xref that is being demand loaded into another drawing, use demand loading with the Copy option.

If you turn on demand loading with the Enable with Copy option, the program makes a temporary copy of the referenced drawing and demand loads the temporary file. You can then demand load the xref while allowing the original reference drawing to be available for modification. When you turn off demand loading, the program reads in the entire reference drawing regardless of layer visibility or clip instances.

Layer and spatial indexes were added in AutoCAD Release 14 and AutoCAD LT 97. If you externally reference a drawing saved in a release previous to this, you do not see the same performance benefit as drawings saved with the indexes. For maximum performance, use demand loading with referenced drawings saved with layer and spatial indexes turned on in AutoCAD Release 14, AutoCAD LT 97, or more recent versions.


To turn on demand loading (Procedure)

Unload Xrefs
Up a level to ..
Work with Layer and Spatial Indexes
Share Data Between Drawings and Applications > Reference Other Drawing Files > Increase Performance with Large Referenced Drawings > Work with Demand Loading >
Work with Demand Loading
Concept Procedure Quick Reference

To turn on demand loading

  1. Click Tools menu [image] Options.At the command prompt, enter options.
  2. In the Options dialog box, Open and Save tab, under External References, select Disabled, Enabled, or Enabled with Copy.
  3. Click OK.


Work with Demand Loading (Quick Reference)

Unload Xrefs
Work with Demand Loading
Work with Layer and Spatial Indexes
Share Data Between Drawings and Applications > Reference Other Drawing Files > Increase Performance with Large Referenced Drawings > Work with Demand Loading >
Work with Demand Loading
Concept Procedure Quick Reference

Commands

EXTERNALREFERENCES

Displays the External References palette

System Variables

INDEXCTL

Controls whether layer and spatial indexes are created and saved in drawing files

XLOADCTL

Turns xref demand-loading on and off, and controls whether it opens the referenced drawing or a copy

Utilities

No entries

Command Modifiers

No entries


Work with Layer and Spatial Indexes (Concept)

Work with Demand Loading
Increase Performance with Large Referenced Drawings
Set Paths for Temporary Xref File Copies
Share Data Between Drawings and Applications > Reference Other Drawing Files > Increase Performance with Large Referenced Drawings >
Work with Layer and Spatial Indexes
Concept Procedure Quick Reference

To receive the maximum benefit of demand loading, it is recommended that you save any drawings that are used as xrefs with layer and spatial indexes.

A layer index is a list showing which objects are on which layers. This list is used when the program is referencing the drawing in conjunction with demand loading to determine which objects need to be read in and displayed. Objects on frozen layers in a referenced drawing are not read in if the referenced drawing has a layer index and is being demand loaded.

The spatial index organizes objects based on their location in 3D space. This organization is used to efficiently determine which objects need to be read in when the drawing is being demand loaded and clipped as an xref. If demand loading is turned on, and the drawing is attached as an xref and clipped, the program uses the spatial index in the externally referenced drawing to determine which objects lie within the clip boundary. The program then reads only those objects into the current session.

Spatial and layer indexes are best used in drawings that will be used as xrefs in other drawings where demand loading is enabled. Drawings that are not going to be used as xrefs or partially opened will not benefit from layer and spatial indexing or demand loading.


To save a drawing with layer and spatial indexes (Procedure)

Work with Demand Loading
Up a level to ..
Set Paths for Temporary Xref File Copies
Share Data Between Drawings and Applications > Reference Other Drawing Files > Increase Performance with Large Referenced Drawings > Work with Layer and Spatial Indexes >
Work with Layer and Spatial Indexes
Concept Procedure Quick Reference

To save a drawing with layer and spatial indexes

  1. Click File menu [image] Save As.At the command prompt, enter saveas.
  2. In the Save Drawing As dialog box, click Tools menu [image] Options.In the Save Drawing As dialog box, at the command prompt, enter options.

  3. In the Saveas Options dialog box, under Index Type, select Layer, Spatial, or Layer & Spatial. Click OK.
    NoteIf you are saving a partially open drawing that does not already contain layer and spatial indexes, this option is disabled.
  4. Click Save.


Work with Layer and Spatial Indexes (Quick Reference)

Work with Demand Loading
Work with Layer and Spatial Indexes
Set Paths for Temporary Xref File Copies
Share Data Between Drawings and Applications > Reference Other Drawing Files > Increase Performance with Large Referenced Drawings > Work with Layer and Spatial Indexes >
Work with Layer and Spatial Indexes
Concept Procedure Quick Reference

Commands

EXTERNALREFERENCES

Displays the External References palette

System Variables

INDEXCTL

Controls whether layer and spatial indexes are created and saved in drawing files

TREEDEPTH

Specifies the maximum depth, that is, the number of times the tree-structured spatial index can divide into branches

TREEMAX

Limits memory consumption during drawing regeneration by limiting the number of nodes in the spatial index (oct-tree)

XLOADCTL

Turns xref demand-loading on and off, and controls whether it opens the referenced drawing or a copy

Utilities

No entries

Command Modifiers

No entries


Set Paths for Temporary Xref File Copies (Concept)

Work with Layer and Spatial Indexes
Increase Performance with Large Referenced Drawings
Link and Embed Data (OLE)
Share Data Between Drawings and Applications > Reference Other Drawing Files > Increase Performance with Large Referenced Drawings >
Set Paths for Temporary Xref File Copies
Concept Procedure Quick Reference

When you turn on demand loading with copy, you can control where copies of externally referenced drawings are to be placed.

When you turn on demand loading with copy, the XLOADPATH system variable can be used to indicate the path where copies of externally referenced drawings are to be placed. The path you specify remains in effect for all drawing sessions until you indicate a different path. If no value for XLOADPATH is specified, the temporary file copies are placed in the standard folder for temporary files.

If you find that referencing drawings over a network is slow, it is recommended that you set XLOADPATH to reference a local folder, and set XLOADCTL to 2 so that the externally referenced files are demand loaded from your local machine. Conversely, to minimize the number of temporary files created by multiple users referencing the same drawing, those users can set XLOADPATH to point to a common folder. In this manner, multiple sessions of the program can share the same temporary copies of reference drawings.

You can set XLOADPATH in the Options dialog box and indicate the path where copies of externally referenced files are to be placed.


To set the file path for xref copies (Procedure)

Work with Layer and Spatial Indexes
Up a level to ..
Overview of Object Linking and Embedding
Share Data Between Drawings and Applications > Reference Other Drawing Files > Increase Performance with Large Referenced Drawings > Set Paths for Temporary Xref File Copies >
Set Paths for Temporary Xref File Copies
Concept Procedure Quick Reference

To set the file path for xref copies

  1. Click Tools menu [image] Options.At the command prompt, enter options.
  2. In the Options dialog box, Files tab, select the Temporary External Reference File Location folder.

    The expanded tree view displays the path where copies of xref files are placed. If no path is specified, the temporary copies are placed in the location specified by Temporary Drawing File Location.

  3. Edit the path by selecting it and entering a new path.
  4. Click OK (or Apply) to set the path.


Set Paths for Temporary Xref File Copies (Quick Reference)

Work with Layer and Spatial Indexes
Set Paths for Temporary Xref File Copies
Overview of Object Linking and Embedding
Share Data Between Drawings and Applications > Reference Other Drawing Files > Increase Performance with Large Referenced Drawings > Set Paths for Temporary Xref File Copies >
Set Paths for Temporary Xref File Copies
Concept Procedure Quick Reference

Commands

EXTERNALREFERENCES

Displays the External References palette

System Variables

XLOADPATH

Creates a path for storing temporary copies of demand-loaded xref files

Utilities

No entries

Command Modifiers

No entries


Link and Embed Data (OLE)

Set Paths for Temporary Xref File Copies
Share Data Between Drawings and Applications
Overview of Object Linking and Embedding
Share Data Between Drawings and Applications >
Link and Embed Data (OLE)

With the Microsoft Windows OLE feature, you can copy or move information from one application to another while retaining the ability to edit the information in the original application.

Object linking and embedding (OLE) is a Windows feature that combines data from different applications into one document. For example, you can create an Adobe PageMaker layout that contains an AutoCAD drawing, or you can create an AutoCAD drawing that contains all or part of a Microsoft Excel spreadsheet.

Topics in this section

  • Overview of Object Linking and Embedding
  • Import OLE Objects

    You can import information into a drawing from other applications that support OLE.

  • Export OLE Objects from Drawings
  • Edit OLE Objects in Drawings

    You can edit a linked or embedded OLE object in a drawing by double-clicking the object to open the source application.


Overview of Object Linking and Embedding (Concept)

Link and Embed Data (OLE)
Link and Embed Data (OLE)
Import OLE Objects
Share Data Between Drawings and Applications > Link and Embed Data (OLE) >
Overview of Object Linking and Embedding
Concept Procedure Quick Reference

Object linking and embedding is a way to use information from one application in another application. To use OLE, you need both source and destination applications that support OLE.

Both linking and embedding insert information from one document into another document. Also, both linked and embedded OLE objects can be edited from within the destination application. However, linking and embedding store information differently.

The relationship between embedding and linking is similar to that between inserting a block and creating an external reference.

Embed Objects

An embedded OLE object is a copy of information from another document. When you embed objects, there is no link to the source document and any changes made to the source document are not reflected in destination documents. Embed objects if you want to be able to use the application that created them for editing, but you do not want the OLE object to be updated when you edit information in the source document.

Link Objects

A linked object is a reference to information in another document. Link objects when you want to use the same information in more than one document. Then, if you change the original information, you need to update only the links in order to update the document containing the OLE objects. You can also set links to be updated automatically.

When you link a drawing, you need to maintain access to the source application and the linked document. If you rename or move either of them, you may need to reestablish the link.

Control the Plot Quality of OLE Objects

OLE objects are treated as raster objects when a raster plotter is used. Because large, high-resolution, color-rich rasters can be expensive to plot, you can set the OLEQUALITY system variable to control how each OLE object is plotted. The default setting, Automatically Select, assigns a plot-quality level based on the type of object. The higher the plot-quality setting, the more time and memory are used to plot.

You can also adjust OLE plot quality in the Plotter Configuration Editor. The Graphics option displays a Raster Graphics dialog box with a slider that controls OLE plot quality.

NoteNested OLE objects may cause problems. For example, an Excel spreadsheet embedded in a Word document may fail to plot. Also, an OLE object that is not in the current view plane is not plotted, but the frame is plotted based on the setting of the OLEFRAME system variable.
See Also

    • Use Windows Cut, Copy, and Paste


To set the plot quality for OLE objects (Procedure)

Set Paths for Temporary Xref File Copies
Overview of Object Linking and Embedding
Import OLE Objects
Share Data Between Drawings and Applications > Link and Embed Data (OLE) > Overview of Object Linking and Embedding >
Overview of Object Linking and Embedding
Concept Procedure Quick Reference

To set the plot quality for OLE objects

  1. Click Tools menu [image] Options.At the command prompt, enter options.
  2. In the Options dialog box, Plot and Publish tab, in the OLE Plot Quality list, select one of the following settings:
    • Monochrome. For example, spreadsheets
    • Low Graphics. For example, color text and pie charts
    • High Graphics. For example, photographs
    • Automatically Select. Plot-quality setting assigned based on the type of file
  3. Click Apply to continue setting options, or click OK to close the dialog box.


Overview of Object Linking and Embedding (Quick Reference)

Set Paths for Temporary Xref File Copies
Overview of Object Linking and Embedding
Overview of Importing OLE Objects into Drawings
Share Data Between Drawings and Applications > Link and Embed Data (OLE) > Overview of Object Linking and Embedding >
Overview of Object Linking and Embedding
Concept Procedure Quick Reference

Commands

COPYLINK

Copies the current view to the Clipboard for linking to other OLE applications

INSERTOBJ

Inserts a linked or embedded object

OLELINKS

Updates, changes, and cancels existing OLE links

System Variables

OLEHIDE

Controls the display and plotting of OLE objects

Utilities

No entries

Command Modifiers

No entries


Import OLE Objects

Overview of Object Linking and Embedding
Link and Embed Data (OLE)
Overview of Importing OLE Objects into Drawings
Share Data Between Drawings and Applications > Link and Embed Data (OLE) >
Import OLE Objects
Concept Procedure

You can import information into a drawing from other applications that support OLE.

Topics in this section

  • Overview of Importing OLE Objects into Drawings
  • Link OLE Objects in Drawings

    When you link information from another document in a drawing, the information can be updated when it changes in the source document.

  • Embed OLE Objects in Drawings

    When you embed information from another document in a drawing, the information is not updated when it changes in the source document.


Import OLE Objects (Procedure)

Overview of Object Linking and Embedding
Import OLE Objects
Link OLE Objects in Drawings
Share Data Between Drawings and Applications > Link and Embed Data (OLE) > Import OLE Objects >
Import OLE Objects
Concept Procedure

To link objects in a drawing

To link an entire file as an OLE object in a drawing

To update links manually

To reconnect a link to an OLE object

To break a link to an OLE object

To embed an OLE object in a drawing

To create an object in another application and embed it in a drawing

To specify a new height or width for an OLE object

To scale text in an OLE object according to its font


Overview of Importing OLE Objects into Drawings (Concept)

Import OLE Objects
Import OLE Objects
Link OLE Objects in Drawings
Share Data Between Drawings and Applications > Link and Embed Data (OLE) > Import OLE Objects >
Overview of Importing OLE Objects into Drawings
Concept Quick Reference

Use one of the following methods to insert information from another application as an OLE object:

  • Copy or cut information from an existing file and paste it into the drawing.
  • Import an existing file created in another application.
  • Open another application from within the drawing and create the information that you want to use.

When you insert the information, you specify an insertion point.

By default the OLE object is displayed with a frame that is not plotted. OLE objects are opaque and are plotted as opaque; they hide objects in back of them. OLE objects support draw order. You control the display of OLE objects in two ways:

  • Set the OLEHIDE system variable to display or suppress the display of all OLE objects in paper space, model space, or both.
  • Turn off or freeze a layer to suppress the display of OLE objects on that layer.

When OLE objects with text are printed, the text size approximates the text size in the source application.

NoteOLE objects in drawings are not displayed or plotted in external references or block references.


Overview of Importing OLE Objects into Drawings (Quick Reference)

Overview of Object Linking and Embedding
Overview of Importing OLE Objects into Drawings
Link OLE Objects in Drawings
Share Data Between Drawings and Applications > Link and Embed Data (OLE) > Import OLE Objects > Overview of Importing OLE Objects into Drawings >
Overview of Importing OLE Objects into Drawings
Concept Quick Reference

Commands

INSERTOBJ

Inserts a linked or embedded object

OLELINKS

Updates, changes, and cancels existing OLE links

OLESCALE

Controls the size, scale, and other properties of a selected OLE object

OPTIONS

Customizes the program settings

OPTIONS

Customizes the program settings

PASTESPEC

Inserts data from the Clipboard and controls the format of the data

System Variables

MSOLESCALE

Controls the size of an OLE object with text that is pasted into model space

OLEHIDE

Controls the display and plotting of OLE objects

Utilities

No entries

Command Modifiers

No entries


Link OLE Objects in Drawings (Concept)

Overview of Importing OLE Objects into Drawings
Import OLE Objects
Embed OLE Objects in Drawings
Share Data Between Drawings and Applications > Link and Embed Data (OLE) > Import OLE Objects >
Link OLE Objects in Drawings
Concept Procedure Quick Reference

When you link information from another document in a drawing, the information can be updated when it changes in the source document.

You can link information from a document created by another application to a drawing. For example, you might want to insert a schedule that will be automatically updated. You can also install multimedia icons that are activated when double-clicked.

Update Links

Links can be set to be updated either automatically or manually when information in the linked document changes. By default, links are updated automatically. Use OLELINKS to specify automatic or manual updating.

Reconnect Links

Because a link references the location of the linked document, you need to reconnect the link if the document changes location or is renamed.

Break Links

Breaking a link does not remove the inserted information from the drawing. Instead, it removes the connection to the linked document. You can break a link when you no longer need to update the information.


Link OLE Objects in Drawings (Procedure)

Import OLE Objects
Up a level to ..
Link OLE Objects in Drawings
Share Data Between Drawings and Applications > Link and Embed Data (OLE) > Import OLE Objects > Link OLE Objects in Drawings >
Link OLE Objects in Drawings
Concept Procedure Quick Reference

To link objects in a drawing

To link an entire file as an OLE object in a drawing

To update links manually

To reconnect a link to an OLE object

To break a link to an OLE object


To link objects in a drawing (Procedure)

Link OLE Objects in Drawings
Up a level to ..
Link OLE Objects in Drawings
Share Data Between Drawings and Applications > Link and Embed Data (OLE) > Import OLE Objects > Link OLE Objects in Drawings >
Link OLE Objects in Drawings
Concept Procedure Quick Reference

To link objects in a drawing

  1. Start the source application and open a document.
  2. Select the information you want to link and copy it to the Clipboard.
  3. Open the drawing.
  4. Enter pastespec at the command prompt.
  5. In the Paste Special dialog box, click Paste Link.

    Paste Link pastes the contents of the Clipboard into the current drawing and creates a link to the file in the source application. If you click Paste, the Clipboard contents are embedded instead of linked.

  6. In the As box, select the data format you want to use.
  7. Click OK.
Command entry: PASTESPEC


To link an entire file as an OLE object in a drawing (Procedure)

Link OLE Objects in Drawings
Up a level to ..
Link OLE Objects in Drawings
Share Data Between Drawings and Applications > Link and Embed Data (OLE) > Import OLE Objects > Link OLE Objects in Drawings >
Link OLE Objects in Drawings
Concept Procedure Quick Reference

To link an entire file as an OLE object in a drawing

  1. Open the drawing.
  2. Click Blocks & References tab [image] Data panel [image] OLE Object. At the command prompt, enter insertobj.
  3. In the Insert Object dialog box, select Create from File.
  4. Select Link. Click Browse.
  5. In the Browse dialog box, select the file you want to link. Click Open.
  6. In the Insert Object dialog box, click OK.

    The entire file is linked to the drawing.

Command entry: INSERTOBJ


To update links manually (Procedure)

Link OLE Objects in Drawings
Up a level to ..
Link OLE Objects in Drawings
Share Data Between Drawings and Applications > Link and Embed Data (OLE) > Import OLE Objects > Link OLE Objects in Drawings >
Link OLE Objects in Drawings
Concept Procedure Quick Reference

To update links manually

  1. Click Edit menu [image] OLE Links.At the command prompt, enter olelinks.
  2. In the Links dialog box, select the links you want to update.
  3. Click Update Now.
  4. Click Close.
NoteIf you want to select the links from the drawing area rather than from a list in the Links dialog box, select the OLE objects before step 1.
Command entry: OLELINKS


To reconnect a link to an OLE object (Procedure)

Link OLE Objects in Drawings
Up a level to ..
Link OLE Objects in Drawings
Share Data Between Drawings and Applications > Link and Embed Data (OLE) > Import OLE Objects > Link OLE Objects in Drawings >
Link OLE Objects in Drawings
Concept Procedure Quick Reference

To reconnect a link to an OLE object

  1. In the drawing, select the OLE object whose link you want to change.
  2. Click Edit menu [image] OLE Links.At the command prompt, enter olelinks.
  3. In the Links dialog box, click Change Source.
  4. In the Change Source dialog box, search for the source file.
  5. Select the source file. Click Open.
  6. Click OK.
Command entry: OLELINKS


To break a link to an OLE object (Procedure)

Link OLE Objects in Drawings
Up a level to ..
Embed OLE Objects in Drawings
Share Data Between Drawings and Applications > Link and Embed Data (OLE) > Import OLE Objects > Link OLE Objects in Drawings >
Link OLE Objects in Drawings
Concept Procedure Quick Reference

To break a link to an OLE object

  1. Select the linked object whose link you want to break.
  2. Click Edit menu [image] OLE Links.At the command prompt, enter olelinks.
  3. In the OLE Links dialog box, click Break Link.
  4. Click Yes.
  5. Click Close.
Command entry: OLELINKS


Link OLE Objects in Drawings (Quick Reference)

Overview of Importing OLE Objects into Drawings
Link OLE Objects in Drawings
Embed OLE Objects in Drawings
Share Data Between Drawings and Applications > Link and Embed Data (OLE) > Import OLE Objects > Link OLE Objects in Drawings >
Link OLE Objects in Drawings
Concept Procedure Quick Reference

Commands

INSERTOBJ

Inserts a linked or embedded object

OLELINKS

Updates, changes, and cancels existing OLE links

OLESCALE

Controls the size, scale, and other properties of a selected OLE object

OPTIONS

Customizes the program settings

OPTIONS

Customizes the program settings

PASTESPEC

Inserts data from the Clipboard and controls the format of the data

System Variables

OLEHIDE

Controls the display and plotting of OLE objects

Utilities

No entries

Command Modifiers

No entries


Embed OLE Objects in Drawings (Concept)

Link OLE Objects in Drawings
Import OLE Objects
Export OLE Objects from Drawings
Share Data Between Drawings and Applications > Link and Embed Data (OLE) > Import OLE Objects >
Embed OLE Objects in Drawings
Concept Procedure Quick Reference

When you embed information from another document in a drawing, the information is not updated when it changes in the source document.

You can embed an object in a drawing by copying the object to the Clipboard and then pasting it into the drawing file. For example, you can embed a company logo created with another application into a drawing.

Drag Objects into a Drawing

You can drag selected data and graphics into a drawing from another application window. Both applications must be running and visible on your screen. The other application must support ActiveX to drag information between applications. Objects dragged into a drawing are embedded, not linked.

Dragging data is the same as cutting and pasting. The information is removed from one document and pasted into the other document. Holding down CTRL while dragging is the same as copying and pasting in that it creates a copy of the information, leaving the original document intact.


Embed OLE Objects in Drawings (Procedure)

Link OLE Objects in Drawings
Up a level to ..
Embed OLE Objects in Drawings
Share Data Between Drawings and Applications > Link and Embed Data (OLE) > Import OLE Objects > Embed OLE Objects in Drawings >
Embed OLE Objects in Drawings
Concept Procedure Quick Reference

To embed an OLE object in a drawing

To create an object in another application and embed it in a drawing

To specify a new height or width for an OLE object

To scale text in an OLE object according to its font


To embed an OLE object in a drawing (Procedure)

Embed OLE Objects in Drawings
Up a level to ..
Embed OLE Objects in Drawings
Share Data Between Drawings and Applications > Link and Embed Data (OLE) > Import OLE Objects > Embed OLE Objects in Drawings >
Embed OLE Objects in Drawings
Concept Procedure Quick Reference

To embed an OLE object in a drawing

  1. Open the document in the source application.
  2. Copy the information you want to embed to the Clipboard.
  3. Open the drawing.
  4. Click Home tab [image] Utilities panel [image] Paste. At the command prompt, enter pasteclip.
  5. Click OK.
Command entry: PASTECLIP


To create an object in another application and embed it in a drawing (Procedure)

Embed OLE Objects in Drawings
Up a level to ..
Embed OLE Objects in Drawings
Share Data Between Drawings and Applications > Link and Embed Data (OLE) > Import OLE Objects > Embed OLE Objects in Drawings >
Embed OLE Objects in Drawings
Concept Procedure Quick Reference

To create an object in another application and embed it in a drawing

  1. Open the drawing.
  2. Click Blocks & References tab [image] Data panel [image] OLE Object. At the command prompt, enter insertobj.
  3. In the Insert Object dialog box, under Object Type, select Create New.
  4. Under Object Type, select an application. Click OK.

    The source application opens.

  5. Using the server application, create the information you want to insert. Save the document.
  6. On the source application's File menu, click Exit and Return.
  7. Close the source application.

    The OLE object is embedded in the drawing.

Command entry: INSERTOBJ


To specify a new height or width for an OLE object (Procedure)

Embed OLE Objects in Drawings
Up a level to ..
Embed OLE Objects in Drawings
Share Data Between Drawings and Applications > Link and Embed Data (OLE) > Import OLE Objects > Embed OLE Objects in Drawings >
Embed OLE Objects in Drawings
Concept Procedure Quick Reference

To specify a new height or width for an OLE object

  1. Right-click an OLE object. Click Properties.
  2. In the Properties palette, enter new values for Width or Height, or enter a percentage for Scale Width or Scale Height.
    NoteWhen Lock Aspect is set to Yes, if you change either height or width, the other automatically changes to maintain the current ratio between the two. For example, if you change height to 50 percent, width automatically changes to 50 percent. Set Lock Aspect to No if you want to change only height or only width.
  3. Click OK to apply changes.
Command entry: PROPERTIES


To scale text in an OLE object according to its font (Procedure)

Embed OLE Objects in Drawings
Up a level to ..
Export OLE Objects from Drawings
Share Data Between Drawings and Applications > Link and Embed Data (OLE) > Import OLE Objects > Embed OLE Objects in Drawings >
Embed OLE Objects in Drawings
Concept Procedure Quick Reference

To scale text in an OLE object according to its font

  1. Select an OLE object.
  2. Right-click. Click Text Size.
  3. In the OLE Text Size dialog box, select a font.

    The OLE Text Font list contains all of the fonts that appear in the selected OLE object.

  4. Select a point size.

    The OLE Point Size list contains all of the sizes for the selected font.

  5. In Text Height, enter a value in drawing units.

    This value is the height for text in the selected font and point size. For example, if you select Arial and 10 points, and then enter .5 in Text Height, all text in the selected OLE object that is currently 10-point Arial changes to 0.5 drawing units in height. All other text in the object changes size in relation to the selected font. The size of the OLE object adjusts to accommodate the new text sizes.

Command entry: OLESCALE


Embed OLE Objects in Drawings (Quick Reference)

Link OLE Objects in Drawings
Embed OLE Objects in Drawings
Export OLE Objects from Drawings
Share Data Between Drawings and Applications > Link and Embed Data (OLE) > Import OLE Objects > Embed OLE Objects in Drawings >
Embed OLE Objects in Drawings
Concept Procedure Quick Reference

Commands

INSERTOBJ

Inserts a linked or embedded object

OLESCALE

Controls the size, scale, and other properties of a selected OLE object

OPTIONS

Customizes the program settings

OPTIONS

Customizes the program settings

PASTECLIP

Inserts data from the Clipboard

PASTESPEC

Inserts data from the Clipboard and controls the format of the data

System Variables

OLEHIDE

Controls the display and plotting of OLE objects

OLEQUALITY

Sets the default plot quality for OLE objects

OLESTARTUP

Controls whether the source application of an embedded OLE object loads when plotting

Utilities

No entries

Command Modifiers

No entries


Export OLE Objects from Drawings (Concept)

Embed OLE Objects in Drawings
Link and Embed Data (OLE)
Edit OLE Objects in Drawings
Share Data Between Drawings and Applications > Link and Embed Data (OLE) >
Export OLE Objects from Drawings
Concept Procedure Quick Reference

You can link or embed a view of a drawing in another application that supports OLE.

Link Views to Other Documents

A drawing can be a source document linked to one or more documents in other applications. The COPYLINK command copies the view in the current viewport to the Clipboard. You can then paste the view into the destination document.

If you paste an unnamed view into a document, it is assigned a view name such as OLE1. If you then exit the drawing, you are prompted to save your changes to the newly named view. To establish the link and to save the view name, OLE1, you must save the drawing.

Embed Drawing Objects in Other Documents

You can select objects and embed them in documents created by other applications. Embedding places a copy of the selected objects in the destination document. If you use AutoCAD to edit the OLE object from within the destination document, the object is not updated in the original drawing.


Export OLE Objects from Drawings (Procedure)

Embed OLE Objects in Drawings
Export OLE Objects from Drawings
Export OLE Objects from Drawings
Share Data Between Drawings and Applications > Link and Embed Data (OLE) > Export OLE Objects from Drawings >
Export OLE Objects from Drawings
Concept Procedure Quick Reference

To embed objects in another document

To link a view to another document


To embed objects in another document (Procedure)

Export OLE Objects from Drawings
Export OLE Objects from Drawings
Export OLE Objects from Drawings
Share Data Between Drawings and Applications > Link and Embed Data (OLE) > Export OLE Objects from Drawings >
Export OLE Objects from Drawings
Concept Procedure Quick Reference

To embed objects in another document

  1. Click Edit menu [image] Copy. At the command prompt, enter copyclip.
  2. In the drawing area, select the objects that you want to embed and then press ENTER.

    The selected objects are copied to the Clipboard.

  3. Start the destination application, and open a new or existing document.
  4. Paste the Clipboard contents into the document, following the destination application's instructions for embedding the Clipboard contents.
Command entry: COPYCLIP


To link a view to another document (Procedure)

Export OLE Objects from Drawings
Export OLE Objects from Drawings
Edit OLE Objects in Drawings
Share Data Between Drawings and Applications > Link and Embed Data (OLE) > Export OLE Objects from Drawings >
Export OLE Objects from Drawings
Concept Procedure Quick Reference

To link a view to another document

  1. Save the drawing that you want to link, so that it has a drawing name.
  2. If multiple viewports are displayed, select a viewport.
  3. Enter copylink at the command prompt.
  4. Open a new or existing document in the destination application.
  5. Paste the Clipboard contents into the document, following that application's procedures for inserting linked data.

    The inserted OLE object is displayed in the document and can be edited from AutoCAD through the destination application.

Command entry: COPYLINK


Export OLE Objects from Drawings (Quick Reference)

Embed OLE Objects in Drawings
Export OLE Objects from Drawings
Edit OLE Objects in Drawings
Share Data Between Drawings and Applications > Link and Embed Data (OLE) > Export OLE Objects from Drawings >
Export OLE Objects from Drawings
Concept Procedure Quick Reference

Commands

COPYCLIP

Copies selected objects to the Clipboard

COPYLINK

Copies the current view to the Clipboard for linking to other OLE applications

CUTCLIP

Moves the selected objects to the Clipboard and removes them from the drawing

INSERTOBJ

Inserts a linked or embedded object

OLELINKS

Updates, changes, and cancels existing OLE links

System Variables

WMFBKGND

Controls the background display when objects are inserted in Windows metafile (WMF) format

WMFFOREGND

Controls the assignment of the foreground color when objects are inserted in Windows metafile (WMF) format

Utilities

No entries

Command Modifiers

No entries


Edit OLE Objects in Drawings (Concept)

Export OLE Objects from Drawings
Link and Embed Data (OLE)
Work with Data in Other Formats
Share Data Between Drawings and Applications > Link and Embed Data (OLE) >
Edit OLE Objects in Drawings
Concept Procedure Quick Reference

You can edit a linked or embedded OLE object in a drawing by double-clicking the object to open the source application.

You can use any selection method to select OLE objects and then use most editing commands, the Properties palette, or grips to make changes. When you use grips to change the size of an OLE object, the shape of the object does not change if the aspect ratio is locked in the Properties palette. The following editing commands are not available for OLE objects: BREAK, CHAMFER, FILLET, and LENGTHEN.

When an OLE object is rotated or is not in Plan view, the content of the OLE object is temporarily hidden and only the frame is displayed.

In the Properties palette, the general properties listed for an OLE object apply to the frame.

Because grips are displayed on the frame, grip editing is not available if the frame is not displayed. To display the frame, change the setting of the OLEFRAME system variable.

Edit Information in OLE Objects

You can edit the information in linked or embedded OLE objects by double-clicking the object to open the source application.

Edit OLE Objects When AutoCAD Is the Source Application

The document that contains a linked drawing stores the drawing's file location. You can edit a linked drawing either from the destination application or in the source program. The program must be loaded or accessible on the system along with the document you are editing.

An AutoCAD drawing that is embedded in a document can be edited only from within the destination application. Double-click the OLE object to start the program. Editing the original drawing in the program has no effect on documents in which that drawing is embedded.

See Also

    • Copy Objects


Edit OLE Objects in Drawings (Procedure)

Export OLE Objects from Drawings
Edit OLE Objects in Drawings
Edit OLE Objects in Drawings
Share Data Between Drawings and Applications > Link and Embed Data (OLE) > Edit OLE Objects in Drawings >
Edit OLE Objects in Drawings
Concept Procedure Quick Reference

To edit a linked drawing from within the destination application

To edit a linked drawing in the source application

To edit embedded AutoCAD objects

To restore an OLE object to its original size and shape

To control the display of OLE objects

To turn the display of the frames of OLE objects on or off


To edit a linked drawing from within the destination application (Procedure)

Edit OLE Objects in Drawings
Edit OLE Objects in Drawings
Edit OLE Objects in Drawings
Share Data Between Drawings and Applications > Link and Embed Data (OLE) > Edit OLE Objects in Drawings >
Edit OLE Objects in Drawings
Concept Procedure Quick Reference

To edit a linked drawing from within the destination application

  1. Open the document that contains the linked drawing (for example, a Microsoft Word file).
  2. Double-click the linked drawing.

    The drawing opens.

  3. Modify the drawing as necessary.
  4. To save the changes to the drawing, click File menu [image] Save.To save the changes to the drawing, at the command prompt, enter qsave.
  5. To return to the destination application, click File menu [image] Exit.To return to the destination application, at the command prompt, enter quit.

    The drawing is changed in all documents that have links to it.

    How the link is updated depends on the destination application. Some applications support automatic updating of links; others require manual updating of links.


To edit a linked drawing in the source application (Procedure)

Edit OLE Objects in Drawings
Edit OLE Objects in Drawings
Edit OLE Objects in Drawings
Share Data Between Drawings and Applications > Link and Embed Data (OLE) > Edit OLE Objects in Drawings >
Edit OLE Objects in Drawings
Concept Procedure Quick Reference

To edit a linked drawing in the source application

  1. Start the program and open the linked drawing.
  2. Modify the drawing and view as necessary.
  3. To save the changes to the drawing, click File menu [image] Save.To save the changes to the drawing, at the command prompt, enter qsave.
  4. Update the link in the destination document if necessary.

    The drawing is changed in all documents that have links to it.

    How the link is updated depends on the destination application. Some applications support automatic updating of links; others require manual updating of links.


To edit embedded AutoCAD objects (Procedure)

Edit OLE Objects in Drawings
Edit OLE Objects in Drawings
Edit OLE Objects in Drawings
Share Data Between Drawings and Applications > Link and Embed Data (OLE) > Edit OLE Objects in Drawings >
Edit OLE Objects in Drawings
Concept Procedure Quick Reference

To edit embedded AutoCAD objects

  1. Open the document that contains the embedded AutoCAD objects (for example, a Microsoft Word file).
  2. Double-click the embedded objects to start the program and display the objects.
  3. Modify the objects as necessary.
  4. To save changes to the embedded objects, click File menu [image] Update.
  5. To return to the destination application, click File menu [image] Exit.To return to the destination application, at the command prompt, enter quit.


To restore an OLE object to its original size and shape (Procedure)

Edit OLE Objects in Drawings
Edit OLE Objects in Drawings
Edit OLE Objects in Drawings
Share Data Between Drawings and Applications > Link and Embed Data (OLE) > Edit OLE Objects in Drawings >
Edit OLE Objects in Drawings
Concept Procedure Quick Reference

To restore an OLE object to its original size and shape

  1. Select the OLE object.
  2. Right-click.Click OLE [image] Reset.

    The Reset option is also available in the Text Size dialog box.


To control the display of OLE objects (Procedure)

Edit OLE Objects in Drawings
Edit OLE Objects in Drawings
Edit OLE Objects in Drawings
Share Data Between Drawings and Applications > Link and Embed Data (OLE) > Edit OLE Objects in Drawings >
Edit OLE Objects in Drawings
Concept Procedure Quick Reference

To control the display of OLE objects

  1. At the command prompt, enter olehide.
  2. Enter one of the following values:
    • 0 Displays OLE objects in both paper space and model space.
    • 1 Displays OLE objects in paper space only.
    • 2 Displays OLE objects in model space only.
    • 3 Does not display OLE objects.


To turn the display of the frames of OLE objects on or off (Procedure)

Edit OLE Objects in Drawings
Edit OLE Objects in Drawings
Import, Attach, or Open Other File Formats
Share Data Between Drawings and Applications > Link and Embed Data (OLE) > Edit OLE Objects in Drawings >
Edit OLE Objects in Drawings
Concept Procedure Quick Reference

To turn the display of the frames of OLE objects on or off

  1. At the command prompt, enter oleframe.
  2. Enter one of the following values:
    • 0 Frame is not displayed and not plotted.
    • 1 Frame is displayed and is plotted.
    • 2 Frame is displayed but is not plotted.

    The frame must be displayed in order for grips to be visible.


Edit OLE Objects in Drawings (Quick Reference)

Export OLE Objects from Drawings
Edit OLE Objects in Drawings
Import 3DS Files
Share Data Between Drawings and Applications > Link and Embed Data (OLE) > Edit OLE Objects in Drawings >
Edit OLE Objects in Drawings
Concept Procedure Quick Reference

Commands

COPYCLIP

Copies selected objects to the Clipboard

CUTCLIP

Moves the selected objects to the Clipboard and removes them from the drawing

ERASE

Removes objects from a drawing

PASTECLIP

Inserts data from the Clipboard

U

Reverses the most recent operation

System Variables

OLEFRAME

Controls whether a frame is displayed and plotted on all OLE objects in the drawing

OLEHIDE

Controls the display and plotting of OLE objects

Utilities

No entries

Command Modifiers

No entries


Work with Data in Other Formats

Edit OLE Objects in Drawings
Share Data Between Drawings and Applications
Import, Attach, or Open Other File Formats
Share Data Between Drawings and Applications >
Work with Data in Other Formats

You can work with many different types of files, including files created with other applications and files created in earlier releases of the program. You can also specify search paths for drawing and support files.

Topics in this section

  • Import, Attach, or Open Other File Formats

    You can import, attach, or open files, other than DWG files, that were created with other applications into your drawings.

  • Export Drawings to Other File Formats

    If you need to use the information from a drawing file in another application, you can convert it to a specific format by exporting it. You can also use the Clipboard.

  • Use Drawings from Different Versions and Applications

    You can share drawing files from AutoCAD and AutoCAD LT, drawing files from previous versions, and drawing files that contain custom objects. In some cases there are limitations.


Import, Attach, or Open Other File Formats

Work with Data in Other Formats
Work with Data in Other Formats
Import 3DS Files
Share Data Between Drawings and Applications > Work with Data in Other Formats >
Import, Attach, or Open Other File Formats
Concept Procedure

You can import, attach, or open files, other than DWG files, that were created with other applications into your drawings.

Topics in this section

  • Import 3DS Files

    You can import a 3DS file created with 3D Studio®. 3D Studio geometry and rendering data are read, which includes meshes, materials, mappings, lights, and cameras. 3D Studio procedural materials, smoothing groups, and keyframe data cannot be imported.

  • Import ACIS SAT Files

    You can import geometry objects stored in SAT (ASCII) files using the ASCISIN command.

  • Use DWF Files as Underlays in a Drawing

    A DWF (Design Web Format) file is a highly compressed file format that is created from a DWG file. You can attach a DWF file as an underlay to a drawing file. By attaching a DWF file, you can reference it without increasing the drawing file size.

  • Use DWFx Files as Underlays in a Drawing

    DWFx — the future of DWF — is based on the XML Paper Specification (XPS) format from Microsoft.

  • Convert DXF and DXB Files to DWG Format

    DXF and DXB files are two types of drawing interchange files used to transfer data between various applications.

  • Attach DGN Files as Underlays

    You can attach 2D geometry stored in a MicroStation DGN file as an underlay.

  • Import MicroStation DGN Files

    You can import MicroStation® DGN drawing files into DWG files.

  • Manage Translation Mapping Setups

    You can manage translation mapping setups for DGN file import and export operations.

  • Attach Raster Image Files

    You can view and manipulate raster images and associated file paths in drawings.

  • Insert WMF Files

    WMF (Windows metafile format) files are frequently used to produce clip art and other nontechnical images that you need for drawings. You can insert a WMF file into a drawing file as a block. Unlike bitmaps, WMF files contain vector information that can be resized and printed without losing resolution. If the WMF file contains 2D solids or wide lines, you can turn off their display to increase drawing speed.


Import, Attach, or Open Other File Formats (Procedure)

Edit OLE Objects in Drawings
Import, Attach, or Open Other File Formats
Import 3DS Files
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats >
Import, Attach, or Open Other File Formats
Concept Procedure

To import a 3D Studio file

To import an ACIS file

To open a DXF file

To open a DXB file

To import a MicroStation DGN drawing

To create a new DGN mapping setup

To rename a DGN mapping setup

To modify a DGN mapping setup

To delete a DGN mapping setup

To select a linetype from .lin file

To add properties from a DGN file

To add properties from a drawing file

To insert a WMF file

To control the display of solid fills and wide lines in WMF files


Import 3DS Files (Concept)

Import, Attach, or Open Other File Formats
Import, Attach, or Open Other File Formats
Import ACIS SAT Files
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats >
Import 3DS Files
Concept Procedure Quick Reference

You can import a 3DS file created with 3D Studio®. 3D Studio geometry and rendering data are read, which includes meshes, materials, mappings, lights, and cameras. 3D Studio procedural materials, smoothing groups, and keyframe data cannot be imported.

Imported objects are assigned a color as close as possible to the object's 3D Studio color.

For lights and materials, use CONVERTOLDLIGHTS and CONVERTOLDMATERIALS. 3D Studio lights are converted to the nearest equivalent. Ambient light loses its color. Omni lights become point lights. Spotlights become spotlights. 3D Studio cameras become named views.

If the name of any 3D Studio object conflicts with a name already in the AutoCAD drawing, the 3D Studio name is assigned a sequence number to resolve the conflict. The name might be truncated to resolve the conflict.


To import a 3D Studio file (Procedure)

Import, Attach, or Open Other File Formats
Up a level to ..
Import ACIS SAT Files
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Import 3DS Files >
Import 3DS Files
Concept Procedure Quick Reference

To import a 3D Studio file

  1. Click Blocks & References tab [image] Import panel [image] 3DS File. At the Command prompt, enter 3dsin.
  2. In the 3D Studio File Import dialog box, find and select the file you want to import.
  3. Click Open.
Command entry: 3DSIN


Import 3DS Files (Quick Reference)

Edit OLE Objects in Drawings
Import 3DS Files
Import ACIS SAT Files
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Import 3DS Files >
Import 3DS Files
Concept Procedure Quick Reference

Commands

3DSIN

Imports a 3D Studio (3DS) file

IMPORT

Imports files in various formats

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Import ACIS SAT Files (Concept)

Import 3DS Files
Import, Attach, or Open Other File Formats
Use DWF Files as Underlays in a Drawing
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats >
Import ACIS SAT Files
Concept Procedure Quick Reference

You can import geometry objects stored in SAT (ASCII) files using the ASCISIN command.

ACISIN converts the model to a body object or to 3D solids and regions if the body is a true solid or a true region.


To import an ACIS file (Procedure)

Import 3DS Files
Up a level to ..
Use DWF Files as Underlays in a Drawing
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Import ACIS SAT Files >
Import ACIS SAT Files
Concept Procedure Quick Reference

To import an ACIS file

  1. Click Blocks & References tab [image] Import panel [image] ACIS File. At the Command prompt, enter acisin.
  2. In the Select ACIS File dialog box, select the file you want to import.
  3. Click Open.
Command entry: ACISIN


Import ACIS SAT Files (Quick Reference)

Import 3DS Files
Import ACIS SAT Files
Attach DWF Files as Underlays
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Import ACIS SAT Files >
Import ACIS SAT Files
Concept Procedure Quick Reference

Commands

ACISIN

Imports an ACIS file and creates a body object, solid, or region in the drawing

IMPORT

Imports files in various formats

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Use DWF Files as Underlays in a Drawing

Import ACIS SAT Files
Import, Attach, or Open Other File Formats
Attach and Detach DWF Underlays
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats >
Use DWF Files as Underlays in a Drawing
Concept Procedure

A DWF (Design Web Format) file is a highly compressed file format that is created from a DWG file. You can attach a DWF file as an underlay to a drawing file. By attaching a DWF file, you can reference it without increasing the drawing file size.

Topics in this section

  • Attach and Detach DWF Underlays

    You can attach or detach a DWF underlay (a DWF file reference) to drawing files. You can also change the position, scale, and orientation of DWF underlays.

  • Work with Attached DWF Underlay Files

    After a DWF underlay is attached to a drawing, you can modify its position, scale, or rotation, and you can use DWF object snaps to locate objects relative to the objects in the DWF underlay.

  • Change DWF Underlay Display Properties and Clipping

    You can control the layers, adjust the appearance, or specify clipping boundaries in a DWF underlay.

  • Manage and Publish Drawings Containing DWF Underlays

    You can view and manipulate DWF underlays and change paths to underlays in the External References palette.


Use DWF Files as Underlays in a Drawing (Procedure)

Import ACIS SAT Files
Up a level to ..
Attach and Detach DWF Underlays
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Use DWF Files as Underlays in a Drawing >
Use DWF Files as Underlays in a Drawing
Concept Procedure

To edit the position, scale, or rotation of a DWF underlay from the Properties palette

To edit the position of a DWF underlay using its base grip


Attach and Detach DWF Underlays

Use DWF Files as Underlays in a Drawing
Use DWF Files as Underlays in a Drawing
Attach DWF Files as Underlays
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Use DWF Files as Underlays in a Drawing >
Attach and Detach DWF Underlays
Concept Procedure

You can attach or detach a DWF underlay (a DWF file reference) to drawing files. You can also change the position, scale, and orientation of DWF underlays.

Topics in this section

  • Attach DWF Files as Underlays

    You can attach a DWF file as an underlay to a drawing file.

  • Detach DWF Underlay Files

    DWF underlays can be detached from a drawing file.


Attach and Detach DWF Underlays (Procedure)

Use DWF Files as Underlays in a Drawing
Up a level to ..
Attach DWF Files as Underlays
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Use DWF Files as Underlays in a Drawing > Attach and Detach DWF Underlays >
Attach and Detach DWF Underlays
Concept Procedure

To attach a DWF underlay

To detach a DWF underlay


Attach DWF Files as Underlays (Concept)

Attach and Detach DWF Underlays
Attach and Detach DWF Underlays
Detach DWF Underlay Files
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Use DWF Files as Underlays in a Drawing > Attach and Detach DWF Underlays >
Attach DWF Files as Underlays
Concept Procedure Quick Reference

You can attach a DWF file as an underlay to a drawing file.

Show Me: Attach a DWF File as an Underlay

Click the Play arrow to start the animation.

DWF underlay files are referenced and placed in drawing files the same as raster image files; they are not actually part of the drawing file. Like raster files, the DWF underlay is linked to the drawing file through a path name. Linked DWF paths can be changed or removed at any time. By attaching DWF underlays using linked DWF paths, you can use DWF files in your drawing without greatly increasing the drawing file size.

NoteAlthough DWF underlay files are reproductions of their source drawing, they are not as precise as drawing files. DWF underlays may show slight discrepancies in precision.

Drag and Insert DWF Underlay Files

You can also drag DWF underlays directly into the drawing. Once you drag the DWF file into the drawing, you are prompted to enter a sheet name from the DWF file at the Command prompt. You then specify an insertion point, scale factor, and rotation.

Once you've attached a DWF underlay, you can reattach it multiple times, treating it as a block. Each underlay has its own clip boundary and its own settings for contrast, fade, and monochrome. However, you cannot bind the underlay to the drawing and you cannot edit or modify the underlay’s drawing content.

Layers in DWF Underlay Files

The DWF Layers dialog box display depends on the layer information published to the DWF file. The DWF Layers dialog box will not appear if layer information is not available. You will also see the following message on the command line:

The selected DWF Underlay does not contain layer information.

DWF Underlay Files in XRefs

If you work with drawings that have DWG file references (xrefs), there is a chance that one of the DWG references might include an attached DWF underlay. In this situation, objects in the DWF file will be visible in the parent DWG file.

For example, drawing A includes a DWF underlay showing some mechanical details. You need the content of drawing A attached to your current drawing, drawing B. If you attach drawing A as an external reference to drawing B, the DWF underlay that was already attached to drawing A will also be present.

All of the property settings made to the underlay in the DWG file reference, such as clipping boundaries, will appear as they do in the parent drawing.

Password Protected DWF Underlay Files

If a DWF file you want to attach as an underlay is password protected, you will be prompted to enter the password after you have selected the file. You will not be able to complete the attachment until you have correctly entered the password.

Once a DWF underlay is attached to a DWG file, you will be prompted for the DWF file’s password when you open the DWG file in the future. If the DWG file is also password protected, or has several other protected drawing references attached, you may be prompted for multiple passwords.

Should you choose to redirect the path of a DWF underlay to a DWF file that requires a password, you will be prompted for a password.

TipDWF file passwords are case sensitive but DWG file passwords are not. To make synchronization between DWG and DWF file passwords easier, make sure the DWF file password matches the DWG file password and is entirely uppercase.


To attach a DWF underlay (Procedure)

Attach and Detach DWF Underlays
Up a level to ..
Detach DWF Underlay Files
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Use DWF Files as Underlays in a Drawing > Attach and Detach DWF Underlays > Attach DWF Files as Underlays >
Attach DWF Files as Underlays
Concept Procedure Quick Reference

To attach a DWF underlay

  1. Click Blocks & References tab [image] Reference panel [image] DWF. At the Command prompt, enter dwfattach.
  2. In the Select DWF File dialog box, select the file you want to attach.
  3. Click Open.
  4. In the Attach DWF Underlay dialog box, if the DWF file has multiple sheets, select a sheet to attach.
  5. Use one of the following methods to specify the insertion point, scale, or rotation of the underlay file:
    • Select Specify On-Screen to use the pointing device to attach the DWF underlay at the location, scale, or angle you want.
    • Clear Specify On-Screen and enter values under Insertion Point, Scale, or Rotation.
  6. Click OK.
Toolbar: Insert
Command entry: DWFATTACH


Attach DWF Files as Underlays (Quick Reference)

Import ACIS SAT Files
Attach DWF Files as Underlays
Detach DWF Underlay Files
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Use DWF Files as Underlays in a Drawing > Attach and Detach DWF Underlays > Attach DWF Files as Underlays >
Attach DWF Files as Underlays
Concept Procedure Quick Reference

Commands

DWFADJUST

Allows adjustment of a DWF or DWFx underlay from the command line

EXTERNALREFERENCES

Displays the External References palette

PROPERTIES

Controls properties of existing objects

DWFCLIP

Uses clipping boundaries to define a subregion of a DWF or DWFx underlay

System Variables

DWFFRAME

Determines whether the DWF or DWFx underlay frame is visible

DWFOSNAP

Determines whether object snapping is active for geometry in DWF or DWFx underlays that are attached to the drawing

Utilities

No entries

Command Modifiers

No entries


Detach DWF Underlay Files (Concept)

Attach DWF Files as Underlays
Attach and Detach DWF Underlays
Work with Attached DWF Underlay Files
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Use DWF Files as Underlays in a Drawing > Attach and Detach DWF Underlays >
Detach DWF Underlay Files
Concept Procedure Quick Reference

DWF underlays can be detached from a drawing file.

You can detach DWF underlays that are no longer needed in a drawing. When you detach a DWF underlay, all instances of the underlay are removed from the drawing, the underlay definition is purged, and the linking path to the DWF file is removed.

NoteErasing an individual instance of a DWF underlay is not the same as detaching it. A DWF underlay must be detached to remove the link from your drawing to the DWF file.


To detach a DWF underlay (Procedure)

Attach DWF Files as Underlays
Up a level to ..
Work with Attached DWF Underlay Files
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Use DWF Files as Underlays in a Drawing > Attach and Detach DWF Underlays > Detach DWF Underlay Files >
Detach DWF Underlay Files
Concept Procedure Quick Reference

To detach a DWF underlay

  1. Click Insert menu [image] External References.At the Command prompt, enter externalreferences.
  2. In the External References palette, in the File References pane, select the DWF underlay you want to detach.
  3. Right-click on the DWF underlay and click Detach.

    The DWF underlay is no longer linked to the drawing file. All instances of the underlay are removed from the drawing.

Toolbar: Reference
Command entry: EXTERNALREFERENCES
Shortcut menu: Select a DWF underlay and right-click in the drawing area. Click External References palette.


Detach DWF Underlay Files (Quick Reference)

Attach DWF Files as Underlays
Detach DWF Underlay Files
Work with Attached DWF Underlay Files
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Use DWF Files as Underlays in a Drawing > Attach and Detach DWF Underlays > Detach DWF Underlay Files >
Detach DWF Underlay Files
Concept Procedure Quick Reference

Commands

DWFADJUST

Allows adjustment of a DWF or DWFx underlay from the command line

EXTERNALREFERENCES

Displays the External References palette

PROPERTIES

Controls properties of existing objects

DWFCLIP

Uses clipping boundaries to define a subregion of a DWF or DWFx underlay

System Variables

DWFFRAME

Determines whether the DWF or DWFx underlay frame is visible

DWFOSNAP

Determines whether object snapping is active for geometry in DWF or DWFx underlays that are attached to the drawing

Utilities

No entries

Command Modifiers

No entries


Work with Attached DWF Underlay Files (Concept)

Detach DWF Underlay Files
Use DWF Files as Underlays in a Drawing
Change DWF Underlay Display Properties and Clipping
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Use DWF Files as Underlays in a Drawing >
Work with Attached DWF Underlay Files
Concept Procedure Quick Reference

After a DWF underlay is attached to a drawing, you can modify its position, scale, or rotation, and you can use DWF object snaps to locate objects relative to the objects in the DWF underlay.

While you can specify the insertion point, scale factor, and rotation angle at the time you attach a DWF file, you may find the need to alter those settings as your drawing progresses. By default, the insertion point of a DWF file is 0,0,0, its scale factor is 1, and its rotation angle is 0.

Because an attached DWF underlay acts like an attached raster image, general modify commands behave the same allowing you to move, scale, rotate, mirror, array, and so on. You can also affect alterations after you select a DWF underlay by choosing commands from the shortcut menu or from the Properties palette.

TipDouble-clicking a DWF underlay will open the Properties palette for that underlay.

Use Object Snaps with DWF Underlays

DWF object snaps are similar to regular object snaps except that they can be turned on and off separately from regular object snaps, and that they apply only to the objects in an attached DWF file.

Use DWF object snaps if you need to draw or edit objects relative to the objects displayed by one or more attached DWF underlays. Object snapping to DWF underlay geometry is the same as object snapping to geometry in DWG files. Object snapping for DWF underlays is turned on and off with the DWFOSNAP system variable.

DWF object snapping can also be turned on and off from a shortcut menu. Select a DWF underlay file, then right-click. Click DWF Object Snap on the shortcut menu.

DWF Underlay Grips

While DWF underlay behavior generally follows the pattern set by raster images, one exception is the way that grips work. In this case, the behavior more closely follows that for blocks.

DWF underlays normally display only a base grip. The base grip can be used for repositioning the underlay in the drawing. If you’ve set up a clipping boundary, additional grips appear for each corner of the boundary. See Change DWF Underlay Display Properties and Clipping.

The grip for the base point looks like the standard block base point. The base point cannot be reset from within the host DWG file and is established when the DWF file is published from the coordinate origin of the source DWG file. If an existing (legacy) DWF file does not have a base point defined, the lower-left corner is used as the base point (0,0,0).


Work with Attached DWF Underlay Files (Procedure)

Detach DWF Underlay Files
Up a level to ..
Work with Attached DWF Underlay Files
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Use DWF Files as Underlays in a Drawing > Work with Attached DWF Underlay Files >
Work with Attached DWF Underlay Files
Concept Procedure Quick Reference

To edit the position, scale, or rotation of a DWF underlay from the Properties palette

To edit the position of a DWF underlay using its base grip


To edit the position, scale, or rotation of a DWF underlay from the Properties palette (Procedure)

Work with Attached DWF Underlay Files
Up a level to ..
Work with Attached DWF Underlay Files
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Use DWF Files as Underlays in a Drawing > Work with Attached DWF Underlay Files >
Work with Attached DWF Underlay Files
Concept Procedure Quick Reference

To edit the position, scale, or rotation of a DWF underlay from the Properties palette

  1. In the drawing viewport, double-click the DWF underlay that you want to edit.
  2. In the Properties palette, display the Geometry area and do one of the following:
    • To change the DWF underlay position, change the settings for Position X, Y, or Z.
    • To change the DWF underlay scale, width, or height, change the settings for Scale, Width, and Height.
    • To change the DWF underlay rotation, change the setting for Rotation.


To edit the position of a DWF underlay using its base grip (Procedure)

Work with Attached DWF Underlay Files
Up a level to ..
Change DWF Underlay Display Properties and Clipping
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Use DWF Files as Underlays in a Drawing > Work with Attached DWF Underlay Files >
Work with Attached DWF Underlay Files
Concept Procedure Quick Reference

To edit the position of a DWF underlay using its base grip

  1. Click the frame of an attached DWF underlay.
  2. To reposition the DWF underlay, click the base grip.
  3. Drag the cursor to the new location and then click again to place the DWF underlay.


Work with Attached DWF Underlay Files (Quick Reference)

Detach DWF Underlay Files
Work with Attached DWF Underlay Files
Control the Display of Layers in a DWF Underlay
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Use DWF Files as Underlays in a Drawing > Work with Attached DWF Underlay Files >
Work with Attached DWF Underlay Files
Concept Procedure Quick Reference

Commands

DWFATTACH

Attaches a DWF or DWFx underlay to the current drawing

DWFCLIP

Uses clipping boundaries to define a subregion of a DWF or DWFx underlay

DWFLAYERS

Controls the display of layers in a DWF or DWFx underlay

System Variables

DWFOSNAP

Determines whether object snapping is active for geometry in DWF or DWFx underlays that are attached to the drawing

Utilities

No entries

Command Modifiers

No entries


Change DWF Underlay Display Properties and Clipping

Work with Attached DWF Underlay Files
Use DWF Files as Underlays in a Drawing
Control the Display of Layers in a DWF Underlay
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Use DWF Files as Underlays in a Drawing >
Change DWF Underlay Display Properties and Clipping
Concept Procedure

You can control the layers, adjust the appearance, or specify clipping boundaries in a DWF underlay.

Topics in this section

  • Control the Display of Layers in a DWF Underlay

    You can turn layers on and off in a DWF underlay.

  • Adjust DWF Underlay Contrast, Fade, Monochrome, and Colors for Background

    Aside from using the Properties palette to edit the position, scale, and rotation of a DWF underlay, you can also modify the contrast, fade, monochrome, and colors for the background of a DWF underlay.

  • Clip DWF Underlays

    You can use a rectangular or polygonal clipping boundary to clip the display of a DWF underlay in a drawing.

  • Hide and Show DWF Underlay Frames

    You can control the visibility of the frame that represents the extents of the DWF underlay or the visibility of the frame that is defined by the clipping boundary.


Change DWF Underlay Display Properties and Clipping (Procedure)

Work with Attached DWF Underlay Files
Up a level to ..
Control the Display of Layers in a DWF Underlay
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Use DWF Files as Underlays in a Drawing > Change DWF Underlay Display Properties and Clipping >
Change DWF Underlay Display Properties and Clipping
Concept Procedure

To turn layers on and off in a DWF underlay

To adjust the contrast, fade, monochrome, and background color settings of a DWF underlay from the Properties palette

To adjust the fade, contrast, and monochrome settings of a DWF underlay by using the DWFADJUST command

To clip a DWF underlay

To specify a new boundary on a clipped DWF underlay

To edit the existing boundary on a clipped DWF underlay

To show or hide the clipped portion of a DWF underlay

To delete the boundary of a clipped DWF underlay

To hide and show DWF underlay frames


Control the Display of Layers in a DWF Underlay (Concept)

Change DWF Underlay Display Properties and Clipping
Change DWF Underlay Display Properties and Clipping
Adjust DWF Underlay Contrast, Fade, Monochrome, and Colors for Background
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Use DWF Files as Underlays in a Drawing > Change DWF Underlay Display Properties and Clipping >
Control the Display of Layers in a DWF Underlay
Concept Procedure Quick Reference

You can turn layers on and off in a DWF underlay.

By default, all layers in an attached DWF underlay are turned on. When using DWF underlays, it is usually convenient to turn off any unneeded layers to reduce the visual complexity of your work.

Use the DWFLAYERS command or select DWF Layers in the shortcut menu displayed when you right-click a selected DWF underlay.

NoteIt is possible for a DWF file to be published without any layer information. If the DWF underlay does not contain layers, then an empty DWF Layers dialog box will be displayed.

You can use the Properties palette to determine whether any layers are turned off in a DWF underlay.

  • If no layers are turned off, the Layer Display Override property is set to None.
  • If at least one layer is turned off, the Layer Display Override property is set to Applied.


To turn layers on and off in a DWF underlay (Procedure)

Change DWF Underlay Display Properties and Clipping
Up a level to ..
Adjust DWF Underlay Contrast, Fade, Monochrome, and Colors for Background
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Use DWF Files as Underlays in a Drawing > Change DWF Underlay Display Properties and Clipping > Control the Display of Layers in a DWF Underlay >
Control the Display of Layers in a DWF Underlay
Concept Procedure Quick Reference

To turn layers on and off in a DWF underlay

  1. Select a DWF underlay by clicking its bounding frame.
  2. Right-click and then click DWF Layers.

    The DWF underlay must have at least one layer or the menu item is grayed out.

  3. In the DWF Layers dialog box, click the light bulb icon for the layer name that you want to turn on or off.

    You can use CTRL or SHIFT when you click to select several layers.

  4. Click Apply to save your changes, or click OK to save and close.
Command entry: DWFLAYERS


Control the Display of Layers in a DWF Underlay (Quick Reference)

Work with Attached DWF Underlay Files
Control the Display of Layers in a DWF Underlay
Adjust DWF Underlay Contrast, Fade, Monochrome, and Colors for Background
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Use DWF Files as Underlays in a Drawing > Change DWF Underlay Display Properties and Clipping > Control the Display of Layers in a DWF Underlay >
Control the Display of Layers in a DWF Underlay
Concept Procedure Quick Reference

Commands

DWFLAYERS

Controls the display of layers in a DWF or DWFx underlay

PROPERTIES

Controls properties of existing objects

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Adjust DWF Underlay Contrast, Fade, Monochrome, and Colors for Background (Concept)

Control the Display of Layers in a DWF Underlay
Change DWF Underlay Display Properties and Clipping
Clip DWF Underlays
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Use DWF Files as Underlays in a Drawing > Change DWF Underlay Display Properties and Clipping >
Adjust DWF Underlay Contrast, Fade, Monochrome, and Colors for Background
Concept Procedure Quick Reference

Aside from using the Properties palette to edit the position, scale, and rotation of a DWF underlay, you can also modify the contrast, fade, monochrome, and colors for the background of a DWF underlay.

You can also adjust the contrast, fade, monochrome, and color settings for plotted output without affecting the original DWF file and without affecting other instances of the DWF underlay in the drawing.

Changes to contrast, fade, monochrome, and colors are made in the DWF Adjust area on the Properties palette when a DWF underlay is selected.

NoteColor adjustments work only in the 2D Wireframe visual style.

Contrast

Contrast controls the appearance of the dimmest linework that is present in the DWF underlay and works in conjunction with the Fade setting. When Contrast is set to 100, all the linework matches the intensity of the Fade value. When Contrast is set to 20, the dimmest lines are attenuated by 20 percent of the Fade value.

Fade

Fade controls how light or dark the linework displays. Higher values produce lighter linework; conversely, lower fade values produce darker linework.

Monochrome

Monochrome controls the color saturation of all linework while maintaining the luminance. When turned on, the linework appears in varying shades of gray starting at black if the background color luminance is 50 percent or more. If the background color luminance is less than 50 percent, then the colors are inverted, with the darkest linework displaying in white, and the lightest linework displaying in black. This inversion is used to show the underlay on the screen, but is reverted again for plotting.

Adjust Colors for Background

Adjust Colors for Background controls whether the DWF underlay colors are visible against the drawing background color. The default setting of Yes indicates that the background colors of the DWF underlay and the drawing environment are analyzed to see if they are both light or both dark, or is one dark and the other light. When one background is light and the other dark, the colors of the DWF underlay are inverted so the underlay is displayed. If the setting is changed to No, the original colors of the underlay are used. Depending on the background colors, the DWF underlay might not be visible.


Adjust DWF Underlay Contrast, Fade, Monochrome, and Colors for Background (Procedure)

Control the Display of Layers in a DWF Underlay
Up a level to ..
Adjust DWF Underlay Contrast, Fade, Monochrome, and Colors for Background
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Use DWF Files as Underlays in a Drawing > Change DWF Underlay Display Properties and Clipping > Adjust DWF Underlay Contrast, Fade, Monochrome, and Colors for Background >
Adjust DWF Underlay Contrast, Fade, Monochrome, and Colors for Background
Concept Procedure Quick Reference

To adjust the contrast, fade, monochrome, and background color settings of a DWF underlay from the Properties palette

To adjust the fade, contrast, and monochrome settings of a DWF underlay by using the DWFADJUST command


To adjust the contrast, fade, monochrome, and background color settings of a DWF underlay from the Properties palette (Procedure)

Adjust DWF Underlay Contrast, Fade, Monochrome, and Colors for Background
Up a level to ..
Adjust DWF Underlay Contrast, Fade, Monochrome, and Colors for Background
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Use DWF Files as Underlays in a Drawing > Change DWF Underlay Display Properties and Clipping > Adjust DWF Underlay Contrast, Fade, Monochrome, and Colors for Background >
Adjust DWF Underlay Contrast, Fade, Monochrome, and Colors for Background
Concept Procedure Quick Reference

To adjust the contrast, fade, monochrome, and background color settings of a DWF underlay from the Properties palette

  1. Select the DWF underlay to adjust.
  2. Click Modify menu [image] Properties.At the Command prompt, enter properties.
  3. In the DWF Underlay Properties palette, do one of the following:
    • Adjust the contrast by entering a new value.

      The default value for contrast is 25 on a scale from 0 (low) to 100 (high).

    • Adjust the fade by entering a new value.

      The default value for fade is 25 on a scale from 0 (darker) to 80 (lighter).

    • Turn Monochrome On or Off.

      The default setting for monochrome is Off.

    • Set Adjust Colors for Background to Yes or No.

      The default setting for Adjust Colors for Background is Yes.

The appearance of the DWF underlay is updated in real-time as you make adjustments in the Properties palette.

Shortcut menu: Double-click a DWF underlay.


To adjust the fade, contrast, and monochrome settings of a DWF underlay by using the DWFADJUST command (Procedure)

Adjust DWF Underlay Contrast, Fade, Monochrome, and Colors for Background
Up a level to ..
Clip DWF Underlays
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Use DWF Files as Underlays in a Drawing > Change DWF Underlay Display Properties and Clipping > Adjust DWF Underlay Contrast, Fade, Monochrome, and Colors for Background >
Adjust DWF Underlay Contrast, Fade, Monochrome, and Colors for Background
Concept Procedure Quick Reference

To adjust the fade, contrast, and monochrome settings of a DWF underlay by using the DWFADJUST command

  1. At the Command prompt, enter DWFADJUST.
  2. Select the DWF underlay to adjust.
  3. On the Enter DWF Underlay Options menu, select one of the following:
    • Select Fade and enter a fade value.

      The default value for fade is 25 on a scale from 0 (darker) to 80 (lighter).

    • Select Contrast and enter a contrast value.

      The default value for contrast is 75 on a scale from 0 (low) to 100 (high).

    • Select Monochrome and set monochrome to Yes or No.

      The default setting for monochrome is No.

The appearance of the DWF underlay is updated after you enter the new value and the command is completed.


Adjust DWF Underlay Contrast, Fade, Monochrome, and Colors for Background (Quick Reference)

Control the Display of Layers in a DWF Underlay
Adjust DWF Underlay Contrast, Fade, Monochrome, and Colors for Background
Clip DWF Underlays
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Use DWF Files as Underlays in a Drawing > Change DWF Underlay Display Properties and Clipping > Adjust DWF Underlay Contrast, Fade, Monochrome, and Colors for Background >
Adjust DWF Underlay Contrast, Fade, Monochrome, and Colors for Background
Concept Procedure Quick Reference

Commands

DWFADJUST

Allows adjustment of a DWF or DWFx underlay from the command line

PROPERTIES

Controls properties of existing objects

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Clip DWF Underlays (Concept)

Adjust DWF Underlay Contrast, Fade, Monochrome, and Colors for Background
Change DWF Underlay Display Properties and Clipping
Hide and Show DWF Underlay Frames
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Use DWF Files as Underlays in a Drawing > Change DWF Underlay Display Properties and Clipping >
Clip DWF Underlays
Concept Procedure Quick Reference

You can use a rectangular or polygonal clipping boundary to clip the display of a DWF underlay in a drawing.

You can define part of a DWF underlay that you want to display and plot by setting up a clipping boundary. An added advantage of setting a clipping boundary is an increase in redrawing speed because you clip only the parts of the underlay that you want visible. The clipping boundary can be a rectangle or a two-dimensional (2D) polygon with vertices within the overall extents of the underlay. Each instance of a DWF underlay can only have one clipped boundary. Multiple instances of the same underlay can have different boundaries. You can change the boundary of a clipped underlay at any time.

You can display a clipped underlay using the clipping boundary, or you can hide the clipping boundary to display the underlay with its original boundaries.

When the clipping boundary is no longer needed, you can delete the clipped boundary from the underlay. When you delete a clipping boundary, the underlay is displayed with its original boundary.

Following is an example of a DWF underlay with insets showing polygonal (l) and rectangular (r) clipping boundaries:


Clip DWF Underlays (Procedure)

Adjust DWF Underlay Contrast, Fade, Monochrome, and Colors for Background
Up a level to ..
Clip DWF Underlays
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Use DWF Files as Underlays in a Drawing > Change DWF Underlay Display Properties and Clipping > Clip DWF Underlays >
Clip DWF Underlays
Concept Procedure Quick Reference

To clip a DWF underlay

To specify a new boundary on a clipped DWF underlay

To edit the existing boundary on a clipped DWF underlay

To show or hide the clipped portion of a DWF underlay

To delete the boundary of a clipped DWF underlay


To clip a DWF underlay (Procedure)

Clip DWF Underlays
Up a level to ..
Clip DWF Underlays
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Use DWF Files as Underlays in a Drawing > Change DWF Underlay Display Properties and Clipping > Clip DWF Underlays >
Clip DWF Underlays
Concept Procedure Quick Reference

To clip a DWF underlay

  1. Click the bounding box of a DWFx underlay to select it.
  2. Right-click the DWF underlay. Click DWF Clip.
  3. At the Command prompt, enter n (New Boundary).
  4. Enter p (Polygonal) or r (Rectangular), and then draw the boundary on the underlay.

    If you are drawing a polygonal boundary, you are prompted to specify consecutive vertices. To finish drawing a polygon, press ENTER or right-click anywhere in the drawing area.

Shortcut menu: Right-click a DWF underlay object. Click DWF Clip.
Command entry: DWFCLIP


To specify a new boundary on a clipped DWF underlay (Procedure)

Clip DWF Underlays
Up a level to ..
Clip DWF Underlays
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Use DWF Files as Underlays in a Drawing > Change DWF Underlay Display Properties and Clipping > Clip DWF Underlays >
Clip DWF Underlays
Concept Procedure Quick Reference

To specify a new boundary on a clipped DWF underlay

  1. Right-click on an object that is part of the DWF underlay. Click DWF Clip.
  2. At the Command prompt, enter n (New Boundary).
  3. Enter n (No) or y (Yes) to delete the old boundary.
  4. Enter p (Polygonal) or r (Rectangular), and then draw the new boundary on the underlay.

    If you are drawing a polygonal boundary, you are prompted to specify consecutive vertices. To finish drawing a polygon, press ENTER or right-click anywhere in the drawing area.

    You can modify clipped boundaries with grips. See Use Grips to Edit Objects.

Shortcut menu: Right-click a clipped DWF underlay. Click DWF Clip.
Command entry: DWFCLIP


To edit the existing boundary on a clipped DWF underlay (Procedure)

Clip DWF Underlays
Up a level to ..
Clip DWF Underlays
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Use DWF Files as Underlays in a Drawing > Change DWF Underlay Display Properties and Clipping > Clip DWF Underlays >
Clip DWF Underlays
Concept Procedure Quick Reference

To edit the existing boundary on a clipped DWF underlay

  1. Select a clipped DWF underlay.
  2. Click one of the corner grips and drag it to a new location.
  3. Click again to set the corner grip.
Shortcut menu: Right-click a clipped DWF underlay. Click DWF Clip.
Command entry: DWFCLIP


To show or hide the clipped portion of a DWF underlay (Procedure)

Clip DWF Underlays
Up a level to ..
Clip DWF Underlays
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Use DWF Files as Underlays in a Drawing > Change DWF Underlay Display Properties and Clipping > Clip DWF Underlays >
Clip DWF Underlays
Concept Procedure Quick Reference

To show or hide the clipped portion of a DWF underlay

  1. Select the clipped DWF underlay you want to show or hide.
  2. Right-click, and click Properties.
  3. Scroll to Misc and select Yes or No for the Show Clipped option.
    Shortcut menu: Right-click after selecting the clipped DWF underlay. Click Properties.
    Command entry: PROPERTIES


To delete the boundary of a clipped DWF underlay (Procedure)

Clip DWF Underlays
Up a level to ..
Hide and Show DWF Underlay Frames
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Use DWF Files as Underlays in a Drawing > Change DWF Underlay Display Properties and Clipping > Clip DWF Underlays >
Clip DWF Underlays
Concept Procedure Quick Reference

To delete the boundary of a clipped DWF underlay

  1. Select the clipped DWF underlay.
  2. Right-click, and click DWF Clip.
  3. Click Delete.

    The boundary of the clipped underlay is deleted, and the original boundary of the underlay is restored.

Shortcut menu: Right-click a clipped DWF underlay. Click DWF Clip.
Command entry: DWFCLIP


Clip DWF Underlays (Quick Reference)

Adjust DWF Underlay Contrast, Fade, Monochrome, and Colors for Background
Clip DWF Underlays
Hide and Show DWF Underlay Frames
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Use DWF Files as Underlays in a Drawing > Change DWF Underlay Display Properties and Clipping > Clip DWF Underlays >
Clip DWF Underlays
Concept Procedure Quick Reference

Commands

DWFCLIP

Uses clipping boundaries to define a subregion of a DWF or DWFx underlay

PROPERTIES

Controls properties of existing objects

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Hide and Show DWF Underlay Frames (Concept)

Clip DWF Underlays
Change DWF Underlay Display Properties and Clipping
Manage and Publish Drawings Containing DWF Underlays
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Use DWF Files as Underlays in a Drawing > Change DWF Underlay Display Properties and Clipping >
Hide and Show DWF Underlay Frames
Concept Procedure Quick Reference

You can control the visibility of the frame that represents the extents of the DWF underlay or the visibility of the frame that is defined by the clipping boundary.

You can hide DWF underlay frames. A frame is a visual border that shows the extents of the DWF underlay, or the clipped boundary of the DWF underlay. Hiding the underlay frame prevents it from being plotted or displayed. You can, however, select the underlay with the pointing device when the frame is not visible. DWF underlays can also be selected if they are not on a locked layer; for example, if the underlay is part of a named selection set made with the All option when selecting objects. When underlay frames are hidden, clipped underlays are still displayed to their specified boundary limits; only the boundary is affected. Showing and hiding underlay frames affects all underlays attached to your drawing.

The following foreground example shows the DWF underlay with a visible DWF frame:

The foreground example shows the DWF underlay with a visible DWF frame.


To hide and show DWF underlay frames (Procedure)

Clip DWF Underlays
Up a level to ..
Manage and Publish Drawings Containing DWF Underlays
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Use DWF Files as Underlays in a Drawing > Change DWF Underlay Display Properties and Clipping > Hide and Show DWF Underlay Frames >
Hide and Show DWF Underlay Frames
Concept Procedure Quick Reference

To hide and show DWF underlay frames

  1. At the Command prompt, enter dwfframe.
  2. At the Command prompt, do one of the following:
    • To hide DWF underlay frames, enter 0.
    • To show and plot DWF underlay frames, enter 1.
    • To show DWF underlay frames but not plot them, enter 2.
Command entry: DWFFRAME


Hide and Show DWF Underlay Frames (Quick Reference)

Clip DWF Underlays
Hide and Show DWF Underlay Frames
View DWF Underlay Information
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Use DWF Files as Underlays in a Drawing > Change DWF Underlay Display Properties and Clipping > Hide and Show DWF Underlay Frames >
Hide and Show DWF Underlay Frames
Concept Procedure Quick Reference

Commands

No entries

System Variables

DWFFRAME

Determines whether the DWF or DWFx underlay frame is visible

Utilities

No entries

Command Modifiers

No entries


Manage and Publish Drawings Containing DWF Underlays

Hide and Show DWF Underlay Frames
Use DWF Files as Underlays in a Drawing
View DWF Underlay Information
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Use DWF Files as Underlays in a Drawing >
Manage and Publish Drawings Containing DWF Underlays
Concept Procedure

You can view and manipulate DWF underlays and change paths to underlays in the External References palette.

Topics in this section

  • View DWF Underlay Information

    You can view file-specific information about the DWF underlays that are attached to a drawing in the External References palette. You can also load and unload underlays and perform other operations.

  • Change File Paths of DWF Underlays

    You can change the file path to a referenced DWF file or search for a DWF underlay when it is reported as not found.

  • Publish, Save, and eTransmit Drawings Containing DWF Underlays

    Drawing files that have DWF underlay attachments can be plotted or published as DWF files. DWF underlays are tracked and managed when you eTransmit. Furthermore, DWF underlays are not lost when you save to previous drawing formats.

  • Reference Manager and DWF Underlays

    With the Reference Manager. you can view file references that are attached to a DWG file and edit the paths of the attachments.


Manage and Publish Drawings Containing DWF Underlays (Procedure)

Hide and Show DWF Underlay Frames
Up a level to ..
View DWF Underlay Information
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Use DWF Files as Underlays in a Drawing > Manage and Publish Drawings Containing DWF Underlays >
Manage and Publish Drawings Containing DWF Underlays
Concept Procedure

To display a list of the DWF underlays attached to a drawing

To display DWF underlay names and their nesting levels within xrefs and blocks

To display DWF underlay layer override status

To change the DWF underlay path

To check DWF underlays with the Reference Manager


View DWF Underlay Information (Concept)

Manage and Publish Drawings Containing DWF Underlays
Manage and Publish Drawings Containing DWF Underlays
Change File Paths of DWF Underlays
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Use DWF Files as Underlays in a Drawing > Manage and Publish Drawings Containing DWF Underlays >
View DWF Underlay Information
Concept Procedure Quick Reference

You can view file-specific information about the DWF underlays that are attached to a drawing in the External References palette. You can also load and unload underlays and perform other operations.

In the External References palette, you can view underlay information either as a list or as a tree. To control how the information is displayed in the External References palette, click the List View or Tree View button in the upper-right corner. The list view displays the name of each underlay in the drawing, its loading status, file size, date last modified, and search path. The tree view lists the underlays in a hierarchy that shows their nesting level within xrefs and blocks. The status, size, and other information are not displayed in the tree view.

In either view, you can display information about an underlay; attach or detach the underlay; unload or reload the underlay; and browse for and save a new search path.

Use the List View

The list view displays all underlays attached to the current drawing, but it does not specify the number of instances. It is the default view. You can sort underlays by category by clicking the column heading. Change the width of a column by dragging its border to the right or left.

The following information is displayed in the list view:

  • Name of DWF file
  • Status (loaded, unloaded, or not found)
  • File size
  • File type
  • Date and time file was last saved
  • Name of the saved path

If the program cannot find an underlay, its status is listed as Not Found. A Not Found underlay is displayed as an underlay boundary in the drawing even if the DWFFRAME command is set to Off. If the underlay is unreferenced, no instances are attached for the underlay. If the underlay is not loaded, its status is Unloaded. Underlays with a status of Unloaded or Not Found are not displayed in the drawing.

Use the Tree View

The top level of the tree view lists DWF files in alphabetical order. In most cases an underlay file is linked directly to the drawing and listed at the top level. However, if an xref or a block contains an attached underlay, additional levels are displayed.

View DWF Underlay File Details

You can preview a selected underlay and view DWF file details, including

  • Reference name
  • Status
  • File size
  • File type
  • File creation date
  • Saved path
  • Found At path (where the image is found)
    NoteThe Found At path is disabled if a nested reference is selected.
  • Monochrome state


View DWF Underlay Information (Procedure)

Manage and Publish Drawings Containing DWF Underlays
Up a level to ..
View DWF Underlay Information
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Use DWF Files as Underlays in a Drawing > Manage and Publish Drawings Containing DWF Underlays > View DWF Underlay Information >
View DWF Underlay Information
Concept Procedure Quick Reference

To display a list of the DWF underlays attached to a drawing

To display DWF underlay names and their nesting levels within xrefs and blocks

To display DWF underlay layer override status


To display a list of the DWF underlays attached to a drawing (Procedure)

View DWF Underlay Information
Up a level to ..
View DWF Underlay Information
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Use DWF Files as Underlays in a Drawing > Manage and Publish Drawings Containing DWF Underlays > View DWF Underlay Information >
View DWF Underlay Information
Concept Procedure Quick Reference

To display a list of the DWF underlays attached to a drawing

  1. Click Insert menu [image] External References.At the Command prompt, enter externalreferences.
  2. In the External References palette, click the List View button.
Toolbar: Reference
Command entry: EXTERNALREFERENCES
Shortcut menu: Select an underlay and right-click in the drawing area. Click External References.


To display DWF underlay names and their nesting levels within xrefs and blocks (Procedure)

View DWF Underlay Information
Up a level to ..
View DWF Underlay Information
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Use DWF Files as Underlays in a Drawing > Manage and Publish Drawings Containing DWF Underlays > View DWF Underlay Information >
View DWF Underlay Information
Concept Procedure Quick Reference

To display DWF underlay names and their nesting levels within xrefs and blocks

  1. Click Insert menu [image] External References.At the Command prompt, enter externalreferences.
  2. In the External References palette, click the Tree View button.
Toolbar: Reference
Command entry: EXTERNALREFERENCES


To display DWF underlay layer override status (Procedure)

View DWF Underlay Information
Up a level to ..
Change File Paths of DWF Underlays
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Use DWF Files as Underlays in a Drawing > Manage and Publish Drawings Containing DWF Underlays > View DWF Underlay Information >
View DWF Underlay Information
Concept Procedure Quick Reference

To display DWF underlay layer override status

  1. Select the DWF underlay you want to view the layer override status.
  2. Click Insert menu [image] Properties.
  3. In the Properties palette, scroll to Misc and view the status of the layer display in the Layer Display Override option.
Shortcut menu: Select an underlay and right-click in the drawing area. Click Properties.
Command entry: PROPERTIES


View DWF Underlay Information (Quick Reference)

Hide and Show DWF Underlay Frames
View DWF Underlay Information
Change File Paths of DWF Underlays
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Use DWF Files as Underlays in a Drawing > Manage and Publish Drawings Containing DWF Underlays > View DWF Underlay Information >
View DWF Underlay Information
Concept Procedure Quick Reference

Commands

EXTERNALREFERENCES

Displays the External References palette

DWFLAYERS

Controls the display of layers in a DWF or DWFx underlay

PROPERTIES

Controls properties of existing objects

DWFLAYERS

Controls the display of layers in a DWF or DWFx underlay

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Change File Paths of DWF Underlays (Concept)

View DWF Underlay Information
Manage and Publish Drawings Containing DWF Underlays
Publish, Save, and eTransmit Drawings Containing DWF Underlays
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Use DWF Files as Underlays in a Drawing > Manage and Publish Drawings Containing DWF Underlays >
Change File Paths of DWF Underlays
Concept Procedure Quick Reference

You can change the file path to a referenced DWF file or search for a DWF underlay when it is reported as not found.

When you open a drawing with an attached DWF file, the path of the selected DWF underlay is displayed in the External References palette under Found At in the Detail list. The displayed path is the actual path where the DWF file was found. The path where the DWF file was originally attached is displayed under Saved Path.

To locate the DWF file, the program searches the following paths and folders in the following order:

  • Path specified when the DWF underlay was attached
  • Folder containing the current drawing file
  • Project search paths specified on the Files tab of the Options dialog box
  • Support search paths specified on the Files tab of the Options dialog box
  • Start In folder specified in the program shortcut

If you open a drawing that contains a DWF file that is not in the saved path location or in any of the defined search paths, the External References palette displays Not Found in the Status column of the File References list, and the Found At entry is blank in the Details list.

You can remove the path from the file name or specify a relative path by manually editing the path in the Found At box or by clicking [...] at the right side of the Found At box. This opens a Select DWF File dialog box.

For more information about using full paths, relative paths, and project names, see Set Paths to Referenced Drawings.

Sheets in DWF Underlays

When DWF files are used as underlays, there is an added level of referencing that occurs beyond the name of the DWF file. You also specify the sheet that is attached as an underlay. When altering paths, it is possible for a DWF underlay to be reported as not found if the new path is set to a DWF file that does not contain the same sheet name as the originally referenced file.


To change the DWF underlay path (Procedure)

View DWF Underlay Information
Up a level to ..
Reference Manager and DWF Underlays
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Use DWF Files as Underlays in a Drawing > Manage and Publish Drawings Containing DWF Underlays > Change File Paths of DWF Underlays >
Change File Paths of DWF Underlays
Concept Procedure Quick Reference

To change the DWF underlay path

  1. Click Insert menu [image] External References.At the Command prompt, enter externalreferences.
  2. In the External References palette, select a DWF underlay whose path you want to change. Click the [...] at the right side of the Found At box.
  3. In the Select DWF File dialog box, select a new path. Click Open.

    The new path is displayed in the Saved Path column.

Toolbar: Reference
Command entry: EXTERNALREFERENCES
Shortcut menu: Select a DWF underlay and right-click in the drawing area. Click External References.


Change File Paths of DWF Underlays (Quick Reference)

View DWF Underlay Information
Change File Paths of DWF Underlays
Publish, Save, and eTransmit Drawings Containing DWF Underlays
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Use DWF Files as Underlays in a Drawing > Manage and Publish Drawings Containing DWF Underlays > Change File Paths of DWF Underlays >
Change File Paths of DWF Underlays
Concept Procedure Quick Reference

Commands

EXTERNALREFERENCES

Displays the External References palette

OPTIONS

Customizes the program settings

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Publish, Save, and eTransmit Drawings Containing DWF Underlays (Concept)

Change File Paths of DWF Underlays
Manage and Publish Drawings Containing DWF Underlays
Reference Manager and DWF Underlays
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Use DWF Files as Underlays in a Drawing > Manage and Publish Drawings Containing DWF Underlays >
Publish, Save, and eTransmit Drawings Containing DWF Underlays
Concept Quick Reference

Drawing files that have DWF underlay attachments can be plotted or published as DWF files. DWF underlays are tracked and managed when you eTransmit. Furthermore, DWF underlays are not lost when you save to previous drawing formats.

Plot and Publish

When a drawing file containing an attached DWF underlay is plotted or published to a new DWF file, any visible DWF geometry is included in the newly plotted or published DWF file. However, none of the layer data from the original DWF attachment gets published with the new DWF file.

Save to a Previous DWG Format

If you save the drawing to a previous DWG format, the DWF underlay is not going to be displayed when the drawing is opened in an older version of the program, nor will it be displayed as a proxy object or a proxy frame. The DWF underlay will display again when you reopen the drawing in the current version of the program.

eTransmit

DWF attachments are tracked and managed when you use eTransmit in the same way raster image attachments are tracked and managed.


Publish, Save, and eTransmit Drawings Containing DWF Underlays (Quick Reference)

Change File Paths of DWF Underlays
Publish, Save, and eTransmit Drawings Containing DWF Underlays
Reference Manager and DWF Underlays
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Use DWF Files as Underlays in a Drawing > Manage and Publish Drawings Containing DWF Underlays > Publish, Save, and eTransmit Drawings Containing DWF Underlays >
Publish, Save, and eTransmit Drawings Containing DWF Underlays
Concept Quick Reference

Commands

3DDWF

Creates a 3D DWF or 3D DWFx file of your 3D model and displays it in the DWF Viewer

3DDWFPUBLISH

Obsolete

EXPORT

Saves objects to other file formats

PUBLISH

Publishes drawings to DWF files, DWFx files, or plotters

PLOT

Plots a drawing to a plotter, printer, or file

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Reference Manager and DWF Underlays (Concept)

Publish, Save, and eTransmit Drawings Containing DWF Underlays
Manage and Publish Drawings Containing DWF Underlays
Use DWFx Files as Underlays in a Drawing
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Use DWF Files as Underlays in a Drawing > Manage and Publish Drawings Containing DWF Underlays >
Reference Manager and DWF Underlays
Concept Procedure Quick Reference

With the Reference Manager. you can view file references that are attached to a DWG file and edit the paths of the attachments.

The Reference Manager is an external application in which you check any file dependencies that a drawing file may have. The properties reported by the Reference Manager include

  • File type
  • Status
  • File name
  • Reference name
  • Saved path
  • Found path
  • Host drawing
  • Host version

You can view the list of references by drawing or by reference type.


To check DWF underlays with the Reference Manager (Procedure)

Change File Paths of DWF Underlays
Up a level to ..
Use DWFx Files as Underlays in a Drawing
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Use DWF Files as Underlays in a Drawing > Manage and Publish Drawings Containing DWF Underlays > Reference Manager and DWF Underlays >
Reference Manager and DWF Underlays
Concept Procedure Quick Reference

To check DWF underlays with the Reference Manager

  1. Click Start menu (Windows) [image] All Programs (Programs) [image] Autodesk [image] AutoCAD 2009 [image] Reference Manager.
  2. In the Reference Manager, click the Add Drawings button.
  3. In the Add Drawings dialog box, select a drawing and then click Open.


Reference Manager and DWF Underlays (Quick Reference)

Publish, Save, and eTransmit Drawings Containing DWF Underlays
Reference Manager and DWF Underlays
Attach DWFx Files as Underlays
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Use DWF Files as Underlays in a Drawing > Manage and Publish Drawings Containing DWF Underlays > Reference Manager and DWF Underlays >
Reference Manager and DWF Underlays
Concept Procedure Quick Reference

Commands

No entries

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Use DWFx Files as Underlays in a Drawing

Reference Manager and DWF Underlays
Import, Attach, or Open Other File Formats
Attach and Detach DWFx Underlays
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats >
Use DWFx Files as Underlays in a Drawing
Concept Procedure

DWFx — the future of DWF — is based on the XML Paper Specification (XPS) format from Microsoft.

You can attach a DWFx file as an underlay to a drawing file. By attaching a DWFx file, you can reference it without increasing the drawing file size.

Topics in this section

  • Attach and Detach DWFx Underlays

    You can attach or detach a DWFx underlay (a DWFx file reference) to drawing files. You can also change the position, scale, and orientation of DWFx underlays.

  • Work with Attached DWFx Underlay Files

    After a DWFx underlay is attached to a drawing, you can modify its position, scale, or rotation, and you can use DWFx object snaps to locate objects relative to the objects in the DWFx underlay.

  • Change DWFx Underlay Display Properties and Clipping

    You can control the layers, adjust the appearance, or specify clipping boundaries in a DWFx underlay.

  • Manage and Publish Drawings Containing DWFx Underlays

    You can view and manipulate DWFx underlays and change paths to underlays in the External References palette.


Use DWFx Files as Underlays in a Drawing (Procedure)

Reference Manager and DWF Underlays
Up a level to ..
Attach and Detach DWFx Underlays
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Use DWFx Files as Underlays in a Drawing >
Use DWFx Files as Underlays in a Drawing
Concept Procedure

To edit the position, scale, or rotation of a DWFx underlay from the Properties palette

To edit the position of a DWFx underlay using its base grip


Attach and Detach DWFx Underlays

Use DWFx Files as Underlays in a Drawing
Use DWFx Files as Underlays in a Drawing
Attach DWFx Files as Underlays
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Use DWFx Files as Underlays in a Drawing >
Attach and Detach DWFx Underlays
Concept Procedure

You can attach or detach a DWFx underlay (a DWFx file reference) to drawing files. You can also change the position, scale, and orientation of DWFx underlays.

Topics in this section

  • Attach DWFx Files as Underlays

    You can attach a DWFx file as an underlay to a drawing file.

  • Detach DWFx Underlay Files

    DWFx underlays can be detached from a drawing file.


Attach and Detach DWFx Underlays (Procedure)

Use DWFx Files as Underlays in a Drawing
Up a level to ..
Attach DWFx Files as Underlays
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Use DWFx Files as Underlays in a Drawing > Attach and Detach DWFx Underlays >
Attach and Detach DWFx Underlays
Concept Procedure

To attach a DWFx underlay

To detach a DWFx underlay


Attach DWFx Files as Underlays (Concept)

Attach and Detach DWFx Underlays
Attach and Detach DWFx Underlays
Detach DWFx Underlay Files
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Use DWFx Files as Underlays in a Drawing > Attach and Detach DWFx Underlays >
Attach DWFx Files as Underlays
Concept Procedure Quick Reference

You can attach a DWFx file as an underlay to a drawing file.

DWFx underlay files are referenced and placed in drawing files the same as raster image files; they are not actually part of the drawing file. Like raster files, the DWFx underlay is linked to the drawing file through a path name. Linked DWFx paths can be changed or removed at any time. By attaching DWFx underlays using linked DWFx paths, you can use DWFx files in your drawing without greatly increasing the drawing file size.

NoteAlthough DWFx underlay files are reproductions of their source drawing, they are not as precise as drawing files. DWFx underlays may show slight discrepancies in precision.

Drag and Insert DWFx Underlay Files

You can also drag DWFx underlays directly into the drawing. Once you drag the DWFx file into the drawing, you are prompted to enter a sheet name from the DWFx file at the Command prompt. You then specify an insertion point, scale factor, and rotation.

Once you've attached a DWFx underlay, you can reattach it multiple times, treating it as a block. Each underlay has its own clip boundary and its own settings for contrast, fade, and monochrome. However, you cannot bind the underlay to the drawing and you cannot edit or modify the underlay's drawing content.

Layers in DWFx Underlay Files

The DWFx Layers dialog box display depends on the layer information published to the DWFx file. The DWFx Layers dialog box will not appear if layer information is not available. You will also see the following message in the command line:

The selected DWFx Underlay does not contain layer information.

DWFx Underlay Files in XRefs

If you work with drawings that have DWG file references (xrefs), there is a chance that one of the DWG references may have a DWFx underlay attached. In this situation, the DWFx geometry will be visible in the parent drawing.

For example, drawing A includes a DWFx underlay showing some mechanical details. You need the content of drawing A attached to your current drawing, drawing B. If you attach drawing A as an external reference to drawing B, the DWFx underlay that was already attached to drawing A will also be present.

All of the property settings made to the underlay in the DWG file reference, such as clipping boundaries, will appear as they do in the parent drawing.

Password Protected DWFx Underlay Files

If a DWFx file you want to attach as an underlay is password protected, you will be prompted to enter the password after you've selected the file. You will not be able to complete the attachment until you have correctly entered the password.

Once a DWFx underlay is attached to a DWG file, you will be prompted for the DWFx file's password when you open the DWG file in the future. If the DWG file is also password protected, or has several other protected drawing references attached, you might be prompted for multiple passwords.

Should you choose to redirect the path of a DWFx underlay to a DWFx file that requires a password, you will be prompted for a password.

TipDWFx passwords are case sensitive but DWG passwords are not. To make synchronization between DWG and DWFx passwords easier, make sure the DWFx password matches the DWG password and is entirely uppercase.


To attach a DWFx underlay (Procedure)

Attach and Detach DWFx Underlays
Up a level to ..
Detach DWFx Underlay Files
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Use DWFx Files as Underlays in a Drawing > Attach and Detach DWFx Underlays > Attach DWFx Files as Underlays >
Attach DWFx Files as Underlays
Concept Procedure Quick Reference

To attach a DWFx underlay

  1. Click Blocks & References tab [image] Reference panel [image] DWF. At the Command prompt, enter dwfattach.
  2. In the Select DWF File dialog box, navigate to the DWFx file, and click Open.
  3. In the Attach DWF Underlay dialog box, if the DWFx file has multiple sheets, select a sheet to attach.
  4. Use one of the following methods to specify the insertion point, scale, or rotation of the underlay file:
    • Select Specify On-Screen to use the pointing device to attach the DWFx underlay at the location, scale, or angle you want.
    • Clear Specify On-Screen and enter values under Insertion Point, Scale, or Rotation.
  5. Click OK.
Toolbar: Insert
Command entry: DWFATTACH


Attach DWFx Files as Underlays (Quick Reference)

Reference Manager and DWF Underlays
Attach DWFx Files as Underlays
Detach DWFx Underlay Files
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Use DWFx Files as Underlays in a Drawing > Attach and Detach DWFx Underlays > Attach DWFx Files as Underlays >
Attach DWFx Files as Underlays
Concept Procedure Quick Reference

Commands

DWFADJUST

Allows adjustment of a DWF or DWFx underlay from the command line

EXTERNALREFERENCES

Displays the External References palette

PROPERTIES

Controls properties of existing objects

DWFCLIP

Uses clipping boundaries to define a subregion of a DWF or DWFx underlay

System Variables

DWFFRAME

Determines whether the DWF or DWFx underlay frame is visible

DWFOSNAP

Determines whether object snapping is active for geometry in DWF or DWFx underlays that are attached to the drawing

Utilities

No entries

Command Modifiers

No entries


Detach DWFx Underlay Files (Concept)

Attach DWFx Files as Underlays
Attach and Detach DWFx Underlays
Work with Attached DWFx Underlay Files
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Use DWFx Files as Underlays in a Drawing > Attach and Detach DWFx Underlays >
Detach DWFx Underlay Files
Concept Procedure Quick Reference

DWFx underlays can be detached from a drawing file.

You can detach DWFx underlays that are no longer needed in a drawing. When you detach a DWFx underlay, all instances of the underlay are removed from the drawing, the underlay definition is purged, and the linking path to the DWFx file is removed.

NoteErasing an individual instance of a DWFx underlay is not the same as detaching it. A DWFx underlay must be detached to remove the link from your drawing to the DWFx file.


To detach a DWFx underlay (Procedure)

Attach DWFx Files as Underlays
Up a level to ..
Work with Attached DWFx Underlay Files
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Use DWFx Files as Underlays in a Drawing > Attach and Detach DWFx Underlays > Detach DWFx Underlay Files >
Detach DWFx Underlay Files
Concept Procedure Quick Reference

To detach a DWFx underlay

  1. Click Insert menu [image] External References.At the Command prompt, enter externalreferences.
  2. In the External References palette, in the File References pane, select the DWFx underlay you want to detach.
  3. Right-click on the DWFx underlay, and click Detach.

    The DWFx underlay is no longer linked to the drawing file. All instances of the underlay are removed from the drawing.

Toolbar: Reference
Command entry: EXTERNALREFERENCES
Shortcut menu: Select a DWFx underlay and right-click in the drawing area. Click External References palette.


Detach DWFx Underlay Files (Quick Reference)

Attach DWFx Files as Underlays
Detach DWFx Underlay Files
Work with Attached DWFx Underlay Files
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Use DWFx Files as Underlays in a Drawing > Attach and Detach DWFx Underlays > Detach DWFx Underlay Files >
Detach DWFx Underlay Files
Concept Procedure Quick Reference

Commands

DWFADJUST

Allows adjustment of a DWF or DWFx underlay from the command line

EXTERNALREFERENCES

Displays the External References palette

PROPERTIES

Controls properties of existing objects

DWFCLIP

Uses clipping boundaries to define a subregion of a DWF or DWFx underlay

System Variables

DWFFRAME

Determines whether the DWF or DWFx underlay frame is visible

DWFOSNAP

Determines whether object snapping is active for geometry in DWF or DWFx underlays that are attached to the drawing

Utilities

No entries

Command Modifiers

No entries


Work with Attached DWFx Underlay Files (Concept)

Detach DWFx Underlay Files
Use DWFx Files as Underlays in a Drawing
Change DWFx Underlay Display Properties and Clipping
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Use DWFx Files as Underlays in a Drawing >
Work with Attached DWFx Underlay Files
Concept Procedure Quick Reference

After a DWFx underlay is attached to a drawing, you can modify its position, scale, or rotation, and you can use DWFx object snaps to locate objects relative to the objects in the DWFx underlay.

While you can specify the insertion point, scale factor, and rotation angle at the time you attach a DWFx file, you may find the need to alter those settings as your drawing progresses. By default, the insertion point of a DWFx file is 0,0,0, its scale factor is 1, and its rotation angle is 0.

Because an attached DWFx underlay acts like an attached raster image, general modify commands behave the same allowing you to move, scale, rotate, mirror, array, and so on. You can also affect alterations after you select a DWFx underlay by choosing commands from the shortcut menu or from the Properties palette.

TipDouble-clicking a DWFx underlay opens the Properties palette for that underlay.

Use Object Snaps with DWFx Underlays

DWFx object snaps are similar to regular object snaps except that they can be turned on and off separately from regular object snaps, and that they apply only to the objects in an attached DWFx file.

Use DWFx object snaps if you need to draw or edit objects relative to the objects displayed by one or more attached DWFx underlays. Object snapping to DWFx underlay geometry is the same as object snapping to geometry in DWG files. Object snapping for DWFx underlays is turned on and off with the DWFOSNAP system variable.

DWFx object snapping can also be turned on and off from a shortcut menu. Select a DWFx underlay file, then right-click. Click DWFx Object Snap on the shortcut menu.

DWFx Underlay Grips

While DWFx underlay behavior generally follows the pattern set by raster images, one exception is the way that grips work. In this case, the behavior more closely follows that for blocks.

DWFx underlays normally display only a base grip. The base grip can be used for repositioning the underlay in the drawing. If you've set up a clipping boundary, additional grips appear for each corner of the boundary. See Change DWF Underlay Display Properties and Clipping.

The grip for the base point looks like the standard block base point. The base point cannot be reset from within the host DWGfile and is established when the DWFx fileis published from the coordinate origin of the source DWG file. If an existing (legacy) DWFx file does not have a base point defined, the lower-left corner is used as the base point (0,0,0).


Work with Attached DWFx Underlay Files (Procedure)

Detach DWFx Underlay Files
Up a level to ..
Work with Attached DWFx Underlay Files
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Use DWFx Files as Underlays in a Drawing > Work with Attached DWFx Underlay Files >
Work with Attached DWFx Underlay Files
Concept Procedure Quick Reference

To edit the position, scale, or rotation of a DWFx underlay from the Properties palette

To edit the position of a DWFx underlay using its base grip


To edit the position, scale, or rotation of a DWFx underlay from the Properties palette (Procedure)

Work with Attached DWFx Underlay Files
Up a level to ..
Work with Attached DWFx Underlay Files
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Use DWFx Files as Underlays in a Drawing > Work with Attached DWFx Underlay Files >
Work with Attached DWFx Underlay Files
Concept Procedure Quick Reference

To edit the position, scale, or rotation of a DWFx underlay from the Properties palette

  1. In the drawing viewport, double-click the DWFx underlay that you want to edit.
  2. In the Properties palette, display the Geometry area and do one of the following:
    • To change the DWFx underlay position, change the settings for Position X, Y, or Z.
    • To change the DWFx underlay scale, width, or height, change the settings for Scale, Width, and Height.
    • To change the DWFx underlay rotation, change the setting for Rotation.


To edit the position of a DWFx underlay using its base grip (Procedure)

Work with Attached DWFx Underlay Files
Up a level to ..
Change DWFx Underlay Display Properties and Clipping
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Use DWFx Files as Underlays in a Drawing > Work with Attached DWFx Underlay Files >
Work with Attached DWFx Underlay Files
Concept Procedure Quick Reference

To edit the position of a DWFx underlay using its base grip

  1. Click the frame of an attached DWFx underlay.
  2. To reposition the DWFx underlay, click the base grip.
  3. Drag the cursor to the new location and then click again to place the DWFx underlay.


Work with Attached DWFx Underlay Files (Quick Reference)

Detach DWFx Underlay Files
Work with Attached DWFx Underlay Files
Control the Display of Layers in a DWFx Underlay
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Use DWFx Files as Underlays in a Drawing > Work with Attached DWFx Underlay Files >
Work with Attached DWFx Underlay Files
Concept Procedure Quick Reference

Commands

DWFATTACH

Attaches a DWF or DWFx underlay to the current drawing

DWFCLIP

Uses clipping boundaries to define a subregion of a DWF or DWFx underlay

DWFLAYERS

Controls the display of layers in a DWF or DWFx underlay

System Variables

DWFOSNAP

Determines whether object snapping is active for geometry in DWF or DWFx underlays that are attached to the drawing

Utilities

No entries

Command Modifiers

No entries


Change DWFx Underlay Display Properties and Clipping

Work with Attached DWFx Underlay Files
Use DWFx Files as Underlays in a Drawing
Control the Display of Layers in a DWFx Underlay
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Use DWFx Files as Underlays in a Drawing >
Change DWFx Underlay Display Properties and Clipping
Concept Procedure

You can control the layers, adjust the appearance, or specify clipping boundaries in a DWFx underlay.

Topics in this section

  • Control the Display of Layers in a DWFx Underlay

    You can turn layers on and off in a DWFx underlay.

  • Adjust DWFx Underlay Contrast, Fade, Monochrome, and Colors for Background

    Aside from using the Properties palette to edit the position, scale, and rotation of a DWFx underlay, you can also modify the contrast, fade, monochrome, and colors for the background of a DWFx underlay.

  • Clip DWFx Underlays

    You can use a rectangular or polygonal clipping boundary to clip the display of a DWFx underlay in a drawing.

  • Hide and Show DWFx Underlay Frames

    You can control the visibility of the frame that represents the extents of the DWFx underlay or the visibility of the frame that is defined by the clipping boundary.


Change DWFx Underlay Display Properties and Clipping (Procedure)

Work with Attached DWFx Underlay Files
Up a level to ..
Control the Display of Layers in a DWFx Underlay
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Use DWFx Files as Underlays in a Drawing > Change DWFx Underlay Display Properties and Clipping >
Change DWFx Underlay Display Properties and Clipping
Concept Procedure

To turn layers on and off in a DWFx underlay

To adjust the contrast, fade, monochrome, and background color settings of a DWFx underlay from the Properties palette

To adjust the fade, contrast, and monochrome settings of a DWFx underlay by using the DWFADJUST command

To clip a DWFx underlay

To specify a new boundary on a clipped DWFx underlay

To edit the existing boundary on a clipped DWFx underlay

To show or hide the clipped portion of a DWFx underlay

To delete the boundary of a clipped DWFx underlay

To hide and show DWFx underlay frames


Control the Display of Layers in a DWFx Underlay (Concept)

Change DWFx Underlay Display Properties and Clipping
Change DWFx Underlay Display Properties and Clipping
Adjust DWFx Underlay Contrast, Fade, Monochrome, and Colors for Background
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Use DWFx Files as Underlays in a Drawing > Change DWFx Underlay Display Properties and Clipping >
Control the Display of Layers in a DWFx Underlay
Concept Procedure Quick Reference

You can turn layers on and off in a DWFx underlay.

By default, all layers in an attached DWFx underlay are turned on. When using DWFx underlays, it is usually convenient to turn off any unneeded layers to reduce the visual complexity of your work.

Use the DWFLAYERS command or select DWF Layers in the shortcut menu displayed when you right-click a selected DWFx underlay.

NoteIt is possible for a DWFx file to be published without any layer information. If the DWFx underlay does not contain layers, then an empty DWF Layers dialog box will be displayed.

Use the Properties palette to determine whether any layers are turned off in a DWFx underlay.

  • If no layers are turned off, the Layer Display Override property is set to None.
  • If at least one layer, the Layer Display Override property is set to Applied.


To turn layers on and off in a DWFx underlay (Procedure)

Change DWFx Underlay Display Properties and Clipping
Up a level to ..
Adjust DWFx Underlay Contrast, Fade, Monochrome, and Colors for Background
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Use DWFx Files as Underlays in a Drawing > Change DWFx Underlay Display Properties and Clipping > Control the Display of Layers in a DWFx Underlay >
Control the Display of Layers in a DWFx Underlay
Concept Procedure Quick Reference

To turn layers on and off in a DWFx underlay

  1. Click the bounding frame of a DWFx underlay to select it.
  2. Right-click the DWFx underlay. Click DWF Layers from the shortcut menu.

    The DWF Layers dialog box appears.

  3. Click the light bulb icon for the layer name that you want to turn on or off.

    You can use CTRL or SHIFT when you click to select several layers.

  4. Click Apply to save your changes, or click OK to save and close.
Command entry: DWFLAYERS


Control the Display of Layers in a DWFx Underlay (Quick Reference)

Work with Attached DWFx Underlay Files
Control the Display of Layers in a DWFx Underlay
Adjust DWFx Underlay Contrast, Fade, Monochrome, and Colors for Background
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Use DWFx Files as Underlays in a Drawing > Change DWFx Underlay Display Properties and Clipping > Control the Display of Layers in a DWFx Underlay >
Control the Display of Layers in a DWFx Underlay
Concept Procedure Quick Reference

Commands

DWFLAYERS

Controls the display of layers in a DWF or DWFx underlay

PROPERTIES

Controls properties of existing objects

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Adjust DWFx Underlay Contrast, Fade, Monochrome, and Colors for Background (Concept)

Control the Display of Layers in a DWFx Underlay
Change DWFx Underlay Display Properties and Clipping
Clip DWFx Underlays
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Use DWFx Files as Underlays in a Drawing > Change DWFx Underlay Display Properties and Clipping >
Adjust DWFx Underlay Contrast, Fade, Monochrome, and Colors for Background
Concept Procedure Quick Reference

Aside from using the Properties palette to edit the position, scale, and rotation of a DWFx underlay, you can also modify the contrast, fade, monochrome, and colors for the background of a DWFx underlay.

You can also adjust the contrast, fade, monochrome, and color settings for plotted output without affecting the original DWFx file and without affecting other instances of the DWFx underlay in the drawing.

Changes to contrast, fade, monochrome, and colors are made in the DWFx Adjust area on the Properties palette when a DWFx underlay is selected.

NoteColor adjustments work only in the 2D Wireframe visual style.

Contrast

Contrast controls the appearance of the dimmest linework that is present in the DWFx underlay and works in conjunction with the Fade setting. When Contrast is set to 100, all the linework matches the intensity of the Fade value. When Contrast is set to 20, the dimmest lines are attenuated by 20 percent of the Fade value.

Fade

Fade controls how light or dark the linework displays. Higher values produce lighter linework; conversely, lower fade values produce darker linework.

Monochrome

Monochrome controls the color saturation of all linework while maintaining the luminance. When turned on, the linework appears in varying shades of gray starting at black if the background color luminance is 50 percent or more. If the background color luminance is less than 50 percent, then the colors are inverted, with the darkest linework displaying in white, and the lightest linework displaying in black. This inversion is used to show the underlay on the screen, but is reverted again for plotting.

Adjust Colors for Background

Adjust Colors for Background controls whether the DWFx underlay colors are visible against the drawing background color. The default setting of Yes indicates that the background colors of the DWFx underlay and the drawing environment are analyzed to see if they are both light or both dark, or is one dark and the other light. When one background is light and the other dark, the colors of the DWFx underlay are inverted so the underlay is displayed. If the setting is changed to No, the original colors of the underlay are used. Depending on the background colors, the DWFx underlay might not be visible.


Adjust DWFx Underlay Contrast, Fade, Monochrome, and Colors for Background (Procedure)

Control the Display of Layers in a DWFx Underlay
Up a level to ..
Adjust DWFx Underlay Contrast, Fade, Monochrome, and Colors for Background
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Use DWFx Files as Underlays in a Drawing > Change DWFx Underlay Display Properties and Clipping > Adjust DWFx Underlay Contrast, Fade, Monochrome, and Colors for Background >
Adjust DWFx Underlay Contrast, Fade, Monochrome, and Colors for Background
Concept Procedure Quick Reference

To adjust the contrast, fade, monochrome, and background color settings of a DWFx underlay from the Properties palette

To adjust the fade, contrast, and monochrome settings of a DWFx underlay by using the DWFADJUST command


To adjust the contrast, fade, monochrome, and background color settings of a DWFx underlay from the Properties palette (Procedure)

Adjust DWFx Underlay Contrast, Fade, Monochrome, and Colors for Background
Up a level to ..
Adjust DWFx Underlay Contrast, Fade, Monochrome, and Colors for Background
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Use DWFx Files as Underlays in a Drawing > Change DWFx Underlay Display Properties and Clipping > Adjust DWFx Underlay Contrast, Fade, Monochrome, and Colors for Background >
Adjust DWFx Underlay Contrast, Fade, Monochrome, and Colors for Background
Concept Procedure Quick Reference

To adjust the contrast, fade, monochrome, and background color settings of a DWFx underlay from the Properties palette

  1. Select the DWFx underlay to adjust.
  2. Click Modify menu [image] Properties.At the Command prompt, enter properties.
  3. In the DWFx Underlay Properties palette, do one of the following:
    • Adjust the contrast by entering a new value.

      The default value for contrast is 25 on a scale from 0 (low) to 100 (high).

    • Adjust the fade by entering a new value.

      The default value for fade is 25 on a scale from 0 (darker) to 80 (lighter).

    • Turn Monochrome On or Off.

      The default setting for monochrome is Off.

    • Set Adjust Colors for Background to Yes or No.

      The default setting for Adjust Colors for Background is Yes.

The appearance of the DWFx underlay is updated in real-time as you make adjustments in the Properties palette.

Shortcut menu: Right-click a DWFx underlay. Click Properties.


To adjust the fade, contrast, and monochrome settings of a DWFx underlay by using the DWFADJUST command (Procedure)

Adjust DWFx Underlay Contrast, Fade, Monochrome, and Colors for Background
Up a level to ..
Clip DWFx Underlays
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Use DWFx Files as Underlays in a Drawing > Change DWFx Underlay Display Properties and Clipping > Adjust DWFx Underlay Contrast, Fade, Monochrome, and Colors for Background >
Adjust DWFx Underlay Contrast, Fade, Monochrome, and Colors for Background
Concept Procedure Quick Reference

To adjust the fade, contrast, and monochrome settings of a DWFx underlay by using the DWFADJUST command

  1. At the Command prompt, enter DWFADJUST.
  2. Select the bounding box of a DWFx underlay, and press Enter.
  3. From the Enter DWFx Underlay Options menu, select one of the following:
    • Select Fade and enter a fade value.

      The default value for fade is 25 on a scale from 0 (darker) to 80 (lighter).

    • Select Contrast and enter a contrast value.

      The default value for contrast is 75 on a scale from 0 (low) to 100 (high).

    • Select Monochrome and set monochrome to Yes or No.

      The default setting for monochrome is No.

The appearance of the DWFx underlay is updated after you enter the new value and the command is completed.


Adjust DWFx Underlay Contrast, Fade, Monochrome, and Colors for Background (Quick Reference)

Control the Display of Layers in a DWFx Underlay
Adjust DWFx Underlay Contrast, Fade, Monochrome, and Colors for Background
Clip DWFx Underlays
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Use DWFx Files as Underlays in a Drawing > Change DWFx Underlay Display Properties and Clipping > Adjust DWFx Underlay Contrast, Fade, Monochrome, and Colors for Background >
Adjust DWFx Underlay Contrast, Fade, Monochrome, and Colors for Background
Concept Procedure Quick Reference

Commands

DWFADJUST

Allows adjustment of a DWF or DWFx underlay from the command line

PROPERTIES

Controls properties of existing objects

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Clip DWFx Underlays (Concept)

Adjust DWFx Underlay Contrast, Fade, Monochrome, and Colors for Background
Change DWFx Underlay Display Properties and Clipping
Hide and Show DWFx Underlay Frames
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Use DWFx Files as Underlays in a Drawing > Change DWFx Underlay Display Properties and Clipping >
Clip DWFx Underlays
Concept Procedure Quick Reference

You can use a rectangular or polygonal clipping boundary to clip the display of a DWFx underlay in a drawing.

You can define part of a DWFx underlay that you want to display and plot by setting up a clipping boundary. An added advantage of setting a clipping boundary is an increase in redrawing speed because you clip only the parts of the underlay that you want visible.

The clipping boundary can be a rectangle or a two-dimensional (2D) polygon with vertices within the overall extents of the underlay.

Each instance of a DWFx underlay can only have one clipped boundary. Multiple instances of the same underlay can have different boundaries. You can change the boundary of a clipped underlay at any time.

You can display a clipped underlay using the clipping boundary, or you can hide the clipping boundary to display the underlay with its original boundaries.

When the clipping boundary is no longer needed, you can delete the clipped boundary from the underlay. When you delete a clipping boundary, the underlay is displayed with its original boundary.

Following is an example of a DWFx underlay with insets showing polygonal (l) and rectangular (r) clipping boundaries:


Clip DWFx Underlays (Procedure)

Adjust DWFx Underlay Contrast, Fade, Monochrome, and Colors for Background
Up a level to ..
Clip DWFx Underlays
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Use DWFx Files as Underlays in a Drawing > Change DWFx Underlay Display Properties and Clipping > Clip DWFx Underlays >
Clip DWFx Underlays
Concept Procedure Quick Reference

To clip a DWFx underlay

To specify a new boundary on a clipped DWFx underlay

To edit the existing boundary on a clipped DWFx underlay

To show or hide the clipped portion of a DWFx underlay

To delete the boundary of a clipped DWFx underlay


To clip a DWFx underlay (Procedure)

Clip DWFx Underlays
Up a level to ..
Clip DWFx Underlays
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Use DWFx Files as Underlays in a Drawing > Change DWFx Underlay Display Properties and Clipping > Clip DWFx Underlays >
Clip DWFx Underlays
Concept Procedure Quick Reference

To clip a DWFx underlay

  1. Click the bounding box of a DWFx underlay to select it.
  2. Right-click the DWFx underlay. Click DWF Clip.
  3. At the Command prompt, enter n (New Boundary).
  4. Enter p (Polygonal) or r (Rectangular), and then draw the boundary on the underlay.

    If you are drawing a polygonal boundary, you are prompted to specify consecutive vertices.

    Press ENTER or right-click anywhere in the drawing area, to finish drawing a polygon.

Shortcut menu: Right-click a DWFx underlay object. Click DWF Clip.
Command entry: DWFCLIP


To specify a new boundary on a clipped DWFx underlay (Procedure)

Clip DWFx Underlays
Up a level to ..
Clip DWFx Underlays
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Use DWFx Files as Underlays in a Drawing > Change DWFx Underlay Display Properties and Clipping > Clip DWFx Underlays >
Clip DWFx Underlays
Concept Procedure Quick Reference

To specify a new boundary on a clipped DWFx underlay

  1. Click the bounding box of a DWFx underlay to select it.
  2. Right-click the DWFx underlay. Click DWF Clip.
  3. At the Command prompt, enter n (New Boundary).
  4. Enter n (No) or y (Yes) to delete the old boundary.
  5. Enter p (Polygonal) or r (Rectangular), and then draw the new boundary on the underlay.

    If you are drawing a polygonal boundary, you are prompted to specify consecutive vertices. To finish drawing a polygon, press ENTER or right-click anywhere in the drawing area.

    You can modify clipped boundaries with grips. See Use Grips to Edit Objects.

Shortcut menu: Right-click a clipped DWFx underlay. Click DWFx Clip.
Command entry: DWFCLIP


To edit the existing boundary on a clipped DWFx underlay (Procedure)

Clip DWFx Underlays
Up a level to ..
Clip DWFx Underlays
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Use DWFx Files as Underlays in a Drawing > Change DWFx Underlay Display Properties and Clipping > Clip DWFx Underlays >
Clip DWFx Underlays
Concept Procedure Quick Reference

To edit the existing boundary on a clipped DWFx underlay

  1. Select a clipped DWFx underlay.
  2. Click one of the corner grips and drag it to a new location.
  3. Click again to set the corner grip.
Shortcut menu: Right-click after selecting a clipped DWFx underlay. Click DWF Clip.
Command entry: DWFCLIP


To show or hide the clipped portion of a DWFx underlay (Procedure)

Clip DWFx Underlays
Up a level to ..
Clip DWFx Underlays
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Use DWFx Files as Underlays in a Drawing > Change DWFx Underlay Display Properties and Clipping > Clip DWFx Underlays >
Clip DWFx Underlays
Concept Procedure Quick Reference

To show or hide the clipped portion of a DWFx underlay

  1. Select the clipped DWFx underlay you want to show or hide.
  2. Right-click, and click Properties.
  3. Scroll to Misc and select Yes or No for the Show Clipped option.
Shortcut menu: Right-click after selecting the clipped DWFx underlay. Click Properties.
Command entry: PROPERTIES


To delete the boundary of a clipped DWFx underlay (Procedure)

Clip DWFx Underlays
Up a level to ..
Hide and Show DWFx Underlay Frames
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Use DWFx Files as Underlays in a Drawing > Change DWFx Underlay Display Properties and Clipping > Clip DWFx Underlays >
Clip DWFx Underlays
Concept Procedure Quick Reference

To delete the boundary of a clipped DWFx underlay

  1. Select the clipped DWFx underlay.
  2. Right-click, and click DWF Clip.
  3. Click Delete.

    The boundary of the clipped underlay is deleted, and the original boundary of the underlay is restored.

Shortcut menu: Right-click a clipped DWFx underlay. Click DWF Clip.
Command entry: DWFCLIP


Clip DWFx Underlays (Quick Reference)

Adjust DWFx Underlay Contrast, Fade, Monochrome, and Colors for Background
Clip DWFx Underlays
Hide and Show DWFx Underlay Frames
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Use DWFx Files as Underlays in a Drawing > Change DWFx Underlay Display Properties and Clipping > Clip DWFx Underlays >
Clip DWFx Underlays
Concept Procedure Quick Reference

Commands

DWFCLIP

Uses clipping boundaries to define a subregion of a DWF or DWFx underlay

PROPERTIES

Controls properties of existing objects

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Hide and Show DWFx Underlay Frames (Concept)

Clip DWFx Underlays
Change DWFx Underlay Display Properties and Clipping
Manage and Publish Drawings Containing DWFx Underlays
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Use DWFx Files as Underlays in a Drawing > Change DWFx Underlay Display Properties and Clipping >
Hide and Show DWFx Underlay Frames
Concept Procedure Quick Reference

You can control the visibility of the frame that represents the extents of the DWFx underlay or the visibility of the frame that is defined by the clipping boundary.

You can hide DWFx underlay frames. A frame is a visual border that shows the extents of the DWFx underlay, or the clipped boundary of the DWFx underlay. Hiding the underlay frame prevents it from being plotted or displayed. You can, however, select the underlay with the pointing device when the frame is not visible. DWFx underlays can also be selected if they are not on a locked layer; for example, if the underlay is part of a named selection set made with the All option when selecting objects. When underlay frames are hidden, clipped underlays are still displayed to their specified boundary limits; only the boundary is affected. Showing and hiding underlay frames affects all underlays attached to your drawing.

The following foreground example shows the DWFx underlay with a visible DWFx frame:

The foreground example shows the DWFx underlay with a visible DWFx frame.


To hide and show DWFx underlay frames (Procedure)

Clip DWFx Underlays
Up a level to ..
Manage and Publish Drawings Containing DWFx Underlays
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Use DWFx Files as Underlays in a Drawing > Change DWFx Underlay Display Properties and Clipping > Hide and Show DWFx Underlay Frames >
Hide and Show DWFx Underlay Frames
Concept Procedure Quick Reference

To hide and show DWFx underlay frames

  1. At the Command prompt, enter dwfframe.
  2. At the Command prompt, do one of the following:
    • To hide DWFx underlay frames, enter 0.
    • To show and plot DWFx underlay frames, enter 1.
    • To show DWFx underlay frames but not plot them, enter 2.
Command entry: DWFFRAME


Hide and Show DWFx Underlay Frames (Quick Reference)

Clip DWFx Underlays
Hide and Show DWFx Underlay Frames
View DWFx Underlay Information
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Use DWFx Files as Underlays in a Drawing > Change DWFx Underlay Display Properties and Clipping > Hide and Show DWFx Underlay Frames >
Hide and Show DWFx Underlay Frames
Concept Procedure Quick Reference

Commands

No entries

System Variables

DWFFRAME

Determines whether the DWF or DWFx underlay frame is visible

Utilities

No entries

Command Modifiers

No entries


Manage and Publish Drawings Containing DWFx Underlays

Hide and Show DWFx Underlay Frames
Use DWFx Files as Underlays in a Drawing
View DWFx Underlay Information
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Use DWFx Files as Underlays in a Drawing >
Manage and Publish Drawings Containing DWFx Underlays
Concept Procedure

You can view and manipulate DWFx underlays and change paths to underlays in the External References palette.

Topics in this section

  • View DWFx Underlay Information

    You can view file-specific information about the DWFx underlays that are attached to a drawing in the External References palette. You can also load and unload underlays and perform other operations.

  • Change File Paths of DWFx Underlays

    You can change the file path to a referenced DWFx file or search for a DWFx underlay when it is reported as not found.

  • Publish, Save, and eTransmit Drawings Containing DWFx Underlays

    Drawing files that have DWFx underlay attachments can be plotted or published as DWFx files. DWFx underlays are tracked and managed when you transmit electronically. Furthermore, DWFx underlays are not lost when you save to previous drawing formats.

  • Reference Manager and DWFx Underlays

    With the Reference Manager. you can view file references that are attached to a DWG file and edit the paths of the attachments.


Manage and Publish Drawings Containing DWFx Underlays (Procedure)

Hide and Show DWFx Underlay Frames
Up a level to ..
View DWFx Underlay Information
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Use DWFx Files as Underlays in a Drawing > Manage and Publish Drawings Containing DWFx Underlays >
Manage and Publish Drawings Containing DWFx Underlays
Concept Procedure

To display a list of the DWFx underlays attached to a drawing

To display DWFx underlay names and their nesting levels within xrefs and blocks

To display DWFx underlay layer override status

To change the DWFx underlay path

To check DWFx underlays with the Reference Manager


View DWFx Underlay Information (Concept)

Manage and Publish Drawings Containing DWFx Underlays
Manage and Publish Drawings Containing DWFx Underlays
Change File Paths of DWFx Underlays
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Use DWFx Files as Underlays in a Drawing > Manage and Publish Drawings Containing DWFx Underlays >
View DWFx Underlay Information
Concept Procedure Quick Reference

You can view file-specific information about the DWFx underlays that are attached to a drawing in the External References palette. You can also load and unload underlays and perform other operations.

In the External References palette, you can view underlay information either as a list or as a tree. To control how the information is displayed in the External References palette, click the List View or Tree View button in the upper-right corner. The list view displays the name of each underlay in the drawing, its loading status, file size, date last modified, and search path. The tree view lists the underlays in a hierarchy that shows their nesting level within xrefs and blocks. The status, size, and other information are not displayed in the tree view.

In either view, you can display information about an underlay, attach or detach the underlay, unload or reload the underlay, and browse for and save a new search path.

Use the List View

The list view displays all underlays attached to the current drawing, but it does not specify the number of instances. It is the default view. You can sort underlays by category by clicking the column heading. Change the width of a column by dragging its border to the right or left.

The following information is displayed in the list view:

  • Name of DWFx file
  • Status (loaded, unloaded, or not found)
  • File size
  • File type
  • Date and time file was last saved
  • Name of the saved path

If the program cannot find an underlay, its status is listed as Not Found. A Not Found underlay is displayed as an underlay boundary in the drawing even if the DWFFRAME command is set to Off. If the underlay is unreferenced, no instances are attached for the underlay. If the underlay is not loaded, its status is Unloaded. Underlays with a status of Unloaded or Not Found are not displayed in the drawing.

Use the Tree View

The top level of the tree view lists DWFx files in alphabetical order. In most cases an underlay file is linked directly to the drawing and listed at the top level. However, if an xref or a block contains an attached underlay, additional levels are displayed.

View DWFx Underlay File Details

You can preview a selected underlay and view DWFx file details, including

  • Reference name
  • Status
  • File size
  • File type
  • File creation date
  • Saved path
  • Found At path (where the image is found)
    NoteThe Found At path is disabled if a nested reference is selected.
  • Monochrome state


View DWFx Underlay Information (Procedure)

Manage and Publish Drawings Containing DWFx Underlays
Up a level to ..
View DWFx Underlay Information
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Use DWFx Files as Underlays in a Drawing > Manage and Publish Drawings Containing DWFx Underlays > View DWFx Underlay Information >
View DWFx Underlay Information
Concept Procedure Quick Reference

To display a list of the DWFx underlays attached to a drawing

To display DWFx underlay names and their nesting levels within xrefs and blocks

To display DWFx underlay layer override status


To display a list of the DWFx underlays attached to a drawing (Procedure)

View DWFx Underlay Information
Up a level to ..
View DWFx Underlay Information
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Use DWFx Files as Underlays in a Drawing > Manage and Publish Drawings Containing DWFx Underlays > View DWFx Underlay Information >
View DWFx Underlay Information
Concept Procedure Quick Reference

To display a list of the DWFx underlays attached to a drawing

  1. Click Insert menu [image] External References.At the Command prompt, enter externalreferences.
  2. In the External References palette, click the List View button.
Toolbar: Reference
Command entry: EXTERNALREFERENCES
Shortcut menu: Select an underlay and right-click in the drawing area. Click External References.


To display DWFx underlay names and their nesting levels within xrefs and blocks (Procedure)

View DWFx Underlay Information
Up a level to ..
View DWFx Underlay Information
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Use DWFx Files as Underlays in a Drawing > Manage and Publish Drawings Containing DWFx Underlays > View DWFx Underlay Information >
View DWFx Underlay Information
Concept Procedure Quick Reference

To display DWFx underlay names and their nesting levels within xrefs and blocks

  1. Click Insert menu [image] External References.At the Command prompt, enter externalreferences.
  2. In the External References palette, click the Tree View button.
Toolbar: Reference
Command entry: EXTERNALREFERENCES


To display DWFx underlay layer override status (Procedure)

View DWFx Underlay Information
Up a level to ..
Change File Paths of DWFx Underlays
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Use DWFx Files as Underlays in a Drawing > Manage and Publish Drawings Containing DWFx Underlays > View DWFx Underlay Information >
View DWFx Underlay Information
Concept Procedure Quick Reference

To display DWFx underlay layer override status

  1. Click the bounding area of the DWFx underlay to select it.
  2. Right-click the DWFx Underlay. Click Properties.
  3. In the Properties palette, scroll to Misc and view the status of the layer display in the Layer Display Override option.
Shortcut menu: Select an underlay and right-click in the drawing area. Click Properties.
Command entry: PROPERTIES


View DWFx Underlay Information (Quick Reference)

Hide and Show DWFx Underlay Frames
View DWFx Underlay Information
Change File Paths of DWFx Underlays
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Use DWFx Files as Underlays in a Drawing > Manage and Publish Drawings Containing DWFx Underlays > View DWFx Underlay Information >
View DWFx Underlay Information
Concept Procedure Quick Reference

Commands

EXTERNALREFERENCES

Displays the External References palette

DWFATTACH

Attaches a DWF or DWFx underlay to the current drawing

PROPERTIES

Controls properties of existing objects

DWFLAYERS

Controls the display of layers in a DWF or DWFx underlay

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Change File Paths of DWFx Underlays (Concept)

View DWFx Underlay Information
Manage and Publish Drawings Containing DWFx Underlays
Publish, Save, and eTransmit Drawings Containing DWFx Underlays
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Use DWFx Files as Underlays in a Drawing > Manage and Publish Drawings Containing DWFx Underlays >
Change File Paths of DWFx Underlays
Concept Procedure Quick Reference

You can change the file path to a referenced DWFx file or search for a DWFx underlay when it is reported as not found.

When you open a drawing with an attached DWFx file, the path of the selected DWFx underlay is displayed in the External References palette under Found At field in the Detail list. The displayed path is the actual path where the DWFx file was found. The path where the DWFx file was originally attached is displayed under Saved Path.

To locate the DWFx file,AutoCAD searches the following paths and folders in the following order:

  • Path specified when the DWFx underlay was attached
  • Folder containing the current drawing file
  • Project search paths specified on the Files tab of the Options dialog box
  • Support search paths specified on the Files tab of the Options dialog box
  • Start In folder specified in the program shortcut

If you open a drawing that contains a DWFx file that is not in the saved path location or in any of the defined search paths, the External References palette displays Not Found in the Status column of the File References list, and the Found At entry is blank in the Details list.

You can remove the path from the file name or specify a relative path by manually editing the path in the Found At box or by clicking [...] at the right side of the Found At box. This opens a Select DWFx File dialog box.

For more information about using full paths, relative paths, and project names, see Set Paths to Referenced Drawings.

Sheets in DWFx Underlays

When DWFx files are used as underlays, there is an added level of referencing that occurs beyond the name of the DWFx file. You also specify the sheet that is attached as an underlay. When altering paths, it is possible for a DWFx underlay to be reported as not found if the new path is set to a DWFx file that does not contain the same sheet name as the originally referenced file.


To change the DWFx underlay path (Procedure)

View DWFx Underlay Information
Up a level to ..
Reference Manager and DWFx Underlays
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Use DWFx Files as Underlays in a Drawing > Manage and Publish Drawings Containing DWFx Underlays > Change File Paths of DWFx Underlays >
Change File Paths of DWFx Underlays
Concept Procedure Quick Reference

To change the DWFx underlay path

  1. Click Insert menu [image] External References.At the Command prompt, enter externalreferences.
  2. In the External References palette, select a DWFx underlay whose path you want to change. Click the Browse [...] button at the right side of the Found At box.
  3. Select a new path. Click Open.

    The new path is displayed in the Saved Path column.

Toolbar: Reference
Command entry: EXTERNALREFERENCES
Shortcut menu: Select a DWFx underlay and right-click in the drawing area. Click External References.


Change File Paths of DWFx Underlays (Quick Reference)

View DWFx Underlay Information
Change File Paths of DWFx Underlays
Publish, Save, and eTransmit Drawings Containing DWFx Underlays
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Use DWFx Files as Underlays in a Drawing > Manage and Publish Drawings Containing DWFx Underlays > Change File Paths of DWFx Underlays >
Change File Paths of DWFx Underlays
Concept Procedure Quick Reference

Commands

EXTERNALREFERENCES

Displays the External References palette

OPTIONS

Customizes the program settings

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Publish, Save, and eTransmit Drawings Containing DWFx Underlays (Concept)

Change File Paths of DWFx Underlays
Manage and Publish Drawings Containing DWFx Underlays
Reference Manager and DWFx Underlays
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Use DWFx Files as Underlays in a Drawing > Manage and Publish Drawings Containing DWFx Underlays >
Publish, Save, and eTransmit Drawings Containing DWFx Underlays
Concept Quick Reference

Drawing files that have DWFx underlay attachments can be plotted or published as DWFx files. DWFx underlays are tracked and managed when you transmit electronically. Furthermore, DWFx underlays are not lost when you save to previous drawing formats.

Plot and Publish

When a drawing file containing an attached DWFx underlay is plotted or published to a new DWFx file, any visible DWFx geometry is included in the newly plotted or published DWFx file. However, none of the layer data from the original DWFx attachment gets published with the new DWFx file.

Save to a Previous DWG Format

If you save the drawing to a previous DWG format, the DWFx underlay is not going to be displayed when the drawing is opened in an older version of the program, nor will it be displayed as a proxy object or a proxy frame. The DWFx underlay will display again when you reopen the drawing in the current version of the program.

eTransmit

DWFx attachments are tracked and managed when you use eTransmit in the same way raster image attachments are tracked and managed.


Publish, Save, and eTransmit Drawings Containing DWFx Underlays (Quick Reference)

Change File Paths of DWFx Underlays
Publish, Save, and eTransmit Drawings Containing DWFx Underlays
Reference Manager and DWFx Underlays
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Use DWFx Files as Underlays in a Drawing > Manage and Publish Drawings Containing DWFx Underlays > Publish, Save, and eTransmit Drawings Containing DWFx Underlays >
Publish, Save, and eTransmit Drawings Containing DWFx Underlays
Concept Quick Reference

Commands

3DDWF

Creates a 3D DWF or 3D DWFx file of your 3D model and displays it in the DWF Viewer

3DDWFPUBLISH

Obsolete

EXPORT

Saves objects to other file formats

PUBLISH

Publishes drawings to DWF files, DWFx files, or plotters

PLOT

Plots a drawing to a plotter, printer, or file

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Reference Manager and DWFx Underlays (Concept)

Publish, Save, and eTransmit Drawings Containing DWFx Underlays
Manage and Publish Drawings Containing DWFx Underlays
Convert DXF and DXB Files to DWG Format
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Use DWFx Files as Underlays in a Drawing > Manage and Publish Drawings Containing DWFx Underlays >
Reference Manager and DWFx Underlays
Concept Procedure Quick Reference

With the Reference Manager. you can view file references that are attached to a DWG file and edit the paths of the attachments.

The Reference Manager is an external application in which you check any file dependencies that a drawing file may have. The properties reported by the Reference Manager include

  • Type
  • Status
  • File name
  • Reference name
  • Saved path
  • Found path
  • Host drawing
  • Host version

You can view the list of references by drawing or by reference type.


To check DWFx underlays with the Reference Manager (Procedure)

Change File Paths of DWFx Underlays
Up a level to ..
Convert DXF and DXB Files to DWG Format
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Use DWFx Files as Underlays in a Drawing > Manage and Publish Drawings Containing DWFx Underlays > Reference Manager and DWFx Underlays >
Reference Manager and DWFx Underlays
Concept Procedure Quick Reference

To check DWFx underlays with the Reference Manager

  1. Click Start menu (Windows) [image] All Programs (Programs) [image] Autodesk [image] AutoCAD 2009 [image] Reference Manager.
  2. In the Reference Manager, click the Add Drawings button.
  3. In the Add Drawings dialog box, select a drawing and then click Open.

    If your drawings contain nested xrefs, you should see the Add Xrefs task dialog box. You can add all the xrefs regardless of their nesting level, or only add the first level xrefs. Make the appropriate selection, and click OK.

  4. Right-click the drawing. Click View References to view by reference types.

    The default view is by drawing.

  5. Right-click the drawing. Click View Drawings to view by drawings.


Reference Manager and DWFx Underlays (Quick Reference)

Publish, Save, and eTransmit Drawings Containing DWFx Underlays
Reference Manager and DWFx Underlays
Convert DXF and DXB Files to DWG Format
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Use DWFx Files as Underlays in a Drawing > Manage and Publish Drawings Containing DWFx Underlays > Reference Manager and DWFx Underlays >
Reference Manager and DWFx Underlays
Concept Procedure Quick Reference

Commands

No entries

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Convert DXF and DXB Files to DWG Format (Concept)

Reference Manager and DWFx Underlays
Import, Attach, or Open Other File Formats
Attach DGN Files as Underlays
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats >
Convert DXF and DXB Files to DWG Format
Concept Procedure Quick Reference

DXF and DXB files are two types of drawing interchange files used to transfer data between various applications.

A DXF (drawing interchange format) file is either a binary or an ASCII representation of a drawing file. It is often used to share drawing data between other CAD programs.

A DXB (drawing interchange binary) file is a specially coded binary version of a DXF file used for plotting, and can be used to “flatten” 3D wireframe drawings into 2D vectors.

You can convert a DXF or DXB file to DWG format by opening the file and saving it in DWG format. You can then work with the resulting drawing file as you would with any other drawing file.


Convert DXF and DXB Files to DWG Format (Procedure)

Reference Manager and DWFx Underlays
Up a level to ..
Convert DXF and DXB Files to DWG Format
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Convert DXF and DXB Files to DWG Format >
Convert DXF and DXB Files to DWG Format
Concept Procedure Quick Reference

To open a DXF file

To open a DXB file


To open a DXF file (Procedure)

Convert DXF and DXB Files to DWG Format
Up a level to ..
Convert DXF and DXB Files to DWG Format
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Convert DXF and DXB Files to DWG Format >
Convert DXF and DXB Files to DWG Format
Concept Procedure Quick Reference

To open a DXF file

  1. Click File menu [image] Open.At the command prompt, enter open.
  2. In the Select File dialog box, in the Files of Type box, select DXF (*.dxf).
  3. Find and select the DXF file you want to import, or enter the name of the DXF file at File Name.
  4. Click Open.
    Command entry: OPEN


To open a DXB file (Procedure)

Convert DXF and DXB Files to DWG Format
Up a level to ..
Attach and Detach DGN Underlays
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Convert DXF and DXB Files to DWG Format >
Convert DXF and DXB Files to DWG Format
Concept Procedure Quick Reference

To open a DXB file

  1. Click Blocks & References tab [image] Import panel [image] DXB File. At the command prompt, enter dxbin.
  2. In the Select DXB File dialog box, find and select the DXB file you want to import.
  3. Click Open.
Command entry: DXBIN


Convert DXF and DXB Files to DWG Format (Quick Reference)

Reference Manager and DWFx Underlays
Convert DXF and DXB Files to DWG Format
Overview of Attaching DGN Files as Underlays
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Convert DXF and DXB Files to DWG Format >
Convert DXF and DXB Files to DWG Format
Concept Procedure Quick Reference

Commands

DXBIN

Imports specially coded binary files

OPEN

Opens an existing drawing file

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Attach DGN Files as Underlays

Convert DXF and DXB Files to DWG Format
Import, Attach, or Open Other File Formats
Overview of Attaching DGN Files as Underlays
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats >
Attach DGN Files as Underlays

You can attach 2D geometry stored in a MicroStation DGN file as an underlay.

Topics in this section

  • Overview of Attaching DGN Files as Underlays
  • Cross-reference of MicroStation to AutoCAD Terms

    MicroStation and AutoCAD are both CAD applications with some similarities, but they both use different terminology.

  • Attach and Detach DGN Underlays

    You can add or remove DGN underlays within drawing files, or you can change their position, scale, and orientation.

  • Adjust DGN Underlay Appearance and Clipping Boundaries

    After attaching a DGN underlay, you can adjust the appearance of the underlay or set up clipping boundaries to focus on a specific part of the underlay.

  • Manage and Publish Drawings Containing DGN Underlays

    You can view and manipulate DGN underlays and change paths to underlays from the External References palette.


Overview of Attaching DGN Files as Underlays (Concept)

Attach DGN Files as Underlays
Attach DGN Files as Underlays
Cross-reference of MicroStation to AutoCAD Terms
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Attach DGN Files as Underlays >
Overview of Attaching DGN Files as Underlays
Concept Quick Reference

You can underlay 2D geometry objects stored in DGN files created with MicroStation. Underlays are similar to attached raster images in that they provide visual content but provide some object snapping. Unlike external references, underlays cannot be bound into the drawing.

DGN support is limited to V7/V8 DGN files and 2D objects. The 2D objects will be imported or attached with full (X, Y, Z) coordinate information, as was present in the original file. If 3D solids, surfaces, or other 3D objects are encountered, a warning message will be displayed about unsupported content found in the file.


Overview of Attaching DGN Files as Underlays (Quick Reference)

Convert DXF and DXB Files to DWG Format
Overview of Attaching DGN Files as Underlays
Cross-reference of MicroStation to AutoCAD Terms
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Attach DGN Files as Underlays > Overview of Attaching DGN Files as Underlays >
Overview of Attaching DGN Files as Underlays
Concept Quick Reference

Commands

DGNATTACH

Attaches a DGN underlay to the current drawing

EXTERNALREFERENCES

Displays the External References palette

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Cross-reference of MicroStation to AutoCAD Terms (Concept)

Overview of Attaching DGN Files as Underlays
Attach DGN Files as Underlays
Attach and Detach DGN Underlays
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Attach DGN Files as Underlays >
Cross-reference of MicroStation to AutoCAD Terms
Concept Quick Reference

MicroStation and AutoCAD are both CAD applications with some similarities, but they both use different terminology.

The table below explains many of the different terms that are used in MicroStation and provides a reference to the term that is used in AutoCAD when possible.

MicroStation to AutoCAD Terms

MicroStation Term

AutoCAD Term

Notes

AccuSnap

Osnap

Drafting tool for automatic snaps.

ACS

UCS

Coordinate system acronyms.

ACS = Auxiliary Coordinate System

UCS = User Coordinate System

ByLevel setting

BYLAYER setting

Setting that controls whether color, line weight, and line style are set for each level (layer).

Cell libraries

N/A

No reference in AutoCAD terminology.

Cells: shared and normal

Blocks

In AutoCAD, all blocks behave like shared cells. There is no reference in AutoCAD terminology to a normal cell.

Design model

Model space

DWG workmode and AutoCAD only allow for a single model. MicroStation DGN workmode allows for multiple models.

DGN file

DWG file

Native file format for each program.

Drop Element

Explode

Command used to demote element/object types to lower level. For example, cells/blocks can be demoted to geometry.

Element Attributes

Properties

Name for characteristics of elements/objects.

Fit View

Zoom extents

Command for zooming in on all elements currently in the drawing.

  • MicroStation’s “Fit View” tool will fit only visible geometry.
  • “Zoom Extents” area will include layers that have display turned off.

Handles

Grips

Vertices on geometry that can be selected and manipulated.

Key-in

Command Line

Place for entering commands/variables manually.

Levels

Layers

Organizational structure used to control the appearance of objects in a drawing.

Line styles

Linetypes

Setting used to control the appearance of the line work in a drawing.

Merge into Master

Bind XREF

Inserting an external reference into the current drawing.

Message Center

Text Window

Place for viewing text messages from program feedback.

Parasolid

ACIS

Native 3D modeling kernel for each program.

Patterning

Hatching

Filling of a defined area with a defined pattern.

Pen tables

Plot styles

Used to control how linework appears when printing or plotting.

References

References: attachments, overlays, and underlays

References to the current drawing are stored externally, which keeps the file size down, but still allowing for access to the geometry for drafting and plotting. In Microstation, you can have references with Live Nesting or No Nesting. References with No Nesting are translated as Overlays in AutoCAD-based products.

MicroStation V7 does not support nested references.

Seed file

Template drawing file

Files are used as a starting point for newly created files and store commonly used settings.

For DGNEXPORT, the chosen seed file determines what Master and Sub Units are used for translation to .dgn as well as resolution and accuracy values.

Sheet model

Drawing layout

(paper space)

Commonly used to control the output of a drawing for plotting.

Smart Line

Polyline

Multi-segmented lines.

Tags

Attributes

Element used to store textual information in a cell (block).

View

Viewport

Used to control the visibility of different sections of a drawing.

View Attributes

Drafting settings

There is no direct reference in AutoCAD terminology. Similar options can be found in the taskbar/drafting settings area of AutoCAD.

Working units

Drawing units

Used to control command input values that are dependent on unit values.


Cross-reference of MicroStation to AutoCAD Terms (Quick Reference)

Overview of Attaching DGN Files as Underlays
Cross-reference of MicroStation to AutoCAD Terms
Attach DGN Files
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Attach DGN Files as Underlays > Cross-reference of MicroStation to AutoCAD Terms >
Cross-reference of MicroStation to AutoCAD Terms
Concept Quick Reference

Commands

DGNADJUST

Changes the display options of selected DGN underlays

DGNATTACH

Attaches a DGN underlay to the current drawing

DGNCLIP

Defines a clipping boundary for a selected DGN underlay

DGNEXPORT

Creates one or more DGN files from the current drawing

DGNIMPORT

Imports the data from a DGN file into a new DWG file

DGNLAYERS

Controls the display of layers in a DGN underlay

DGNMAPPING

Allows users to create and edit user-defined DGN mapping setups

System Variables

DGNFRAME

Determines whether DGN underlay frames are visible or plotted in the current drawing

DGNIMPORTMAX

Controls the maximum elements translated during DGNIMPORT

DGNMAPPINGPATH

Specifies the location of the dgnsetups.ini file where DGN mapping setups are stored

DGNOSNAP

Controls object snapping for geometry in DGN underlays

Utilities

No entries

Command Modifiers

No entries


Attach and Detach DGN Underlays

Cross-reference of MicroStation to AutoCAD Terms
Attach DGN Files as Underlays
Attach DGN Files
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Attach DGN Files as Underlays >
Attach and Detach DGN Underlays
Concept Procedure

You can add or remove DGN underlays within drawing files, or you can change their position, scale, and orientation.

Topics in this section

  • Attach DGN Files

    You can attach DGN files as underlays to a drawing file.

  • Detach DGN Underlays

    DGN underlays can be detached from a drawing file.

  • Edit DGN Underlays

    After a DGN underlay is attached to the drawing, you can still modify the position, scale, or rotation at any time.


Attach and Detach DGN Underlays (Procedure)

Convert DXF and DXB Files to DWG Format
Attach and Detach DGN Underlays
Attach DGN Files
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Attach DGN Files as Underlays > Attach and Detach DGN Underlays >
Attach and Detach DGN Underlays
Concept Procedure

To attach a DGN as an underlay

To detach a DGN underlay

To unload or reload a DGN underlay

To turn object snapping on or off in DGN underlays

To edit the position, scale, or rotation of a DGN underlay from the Properties palette


Attach DGN Files (Concept)

Attach and Detach DGN Underlays
Attach and Detach DGN Underlays
Detach DGN Underlays
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Attach DGN Files as Underlays > Attach and Detach DGN Underlays >
Attach DGN Files
Concept Procedure Quick Reference

You can attach DGN files as underlays to a drawing file.

DGN files are referenced and placed in drawing files similar to raster image files, but they are not actually part of the drawing file. The DGN underlay is linked to the drawing file through a path name. Linked DGN paths can be changed or removed at any time. By attaching DGN underlays using linked DGN paths, you can place DGN underlays in your drawing without greatly increasing the drawing file size.

NoteDGNATTACH is not limited to files with *.dgn extensions. It supports all DGN files, even those that do not have a .dgn extension.

Drag DGN Files

You also have the option to drag DGN underlays directly into the drawing. Once you drop the DGN file, you are prompted for an insertion point, scale, and rotation.

Once you've attached a DGN underlay, you can reattach it multiple times, treating it as if it were a block. Each underlay has its own clip boundary and its own settings for contrast, fade, and monochrome. However, you cannot bind the underlay to the drawing and you cannot edit or modify the underlay’s drawing content.

Levels in DGN Files

When a DGN file is attached as an underlay, any level structure it may have is flattened into a single layer. The underlay is placed on the current drawing layer.

Layers can be turned on or off in a DGN underlay. See DGNLAYERS for more information.

DGN Underlays in XRefs

If you work with drawings that have DWG file references (xrefs), there is a chance that one of the DWG file references may have a DGN underlay attached. In this situation, the DGN geometry will be visible in the parent drawing.

For example, Drawing A includes a DGN underlay showing some mechanical details. You need the content of drawing A attached to your current drawing, drawing B. If you attach drawing A as an external reference to drawing B, the DGN underlay that was already attached to drawing A will also be present.

All of the property settings made to the underlay in the DWG file reference, such as clipping boundaries, will appear as they do in the parent drawing.

3D DGN Files

If you attempt to attach a DGN file that contains 3D objects, you will receive a warning message.


To attach a DGN as an underlay (Procedure)

Attach and Detach DGN Underlays
Up a level to ..
Detach DGN Underlays
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Attach DGN Files as Underlays > Attach and Detach DGN Underlays > Attach DGN Files >
Attach DGN Files
Concept Procedure Quick Reference

To attach a DGN as an underlay

  1. Click Blocks & References tab [image] References panel [image] DGN. At the command prompt, enter dgnattach.
  2. In the Select DGN File dialog box, select the file you want to attach.
  3. Click Open.
  4. In the Attach DGN Underlay dialog box, if the DGN file has multiple design models, choose a model you would like to attach.
  5. Under Conversion Units, specify either Master Units or Sub Units to use as the units in AutoCAD.
  6. Use one of the following methods to specify the insertion point, scale, or rotation:
    • Select Specify On-Screen to use the pointing device to attach the DGN underlay at the location, scale, or angle you want.
    • Clear Specify On-Screen and enter values under Insertion Point, Scale, or Rotation.
  7. Click OK.
Toolbar: Insert
Command entry: DGNATTACH


Attach DGN Files (Quick Reference)

Cross-reference of MicroStation to AutoCAD Terms
Attach DGN Files
Detach DGN Underlays
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Attach DGN Files as Underlays > Attach and Detach DGN Underlays > Attach DGN Files >
Attach DGN Files
Concept Procedure Quick Reference

Commands

DGNATTACH

Attaches a DGN underlay to the current drawing

EXTERNALREFERENCES

Displays the External References palette

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Detach DGN Underlays (Concept)

Attach DGN Files
Attach and Detach DGN Underlays
Edit DGN Underlays
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Attach DGN Files as Underlays > Attach and Detach DGN Underlays >
Detach DGN Underlays
Concept Procedure Quick Reference

DGN underlays can be detached from a drawing file.

You can detach DGN underlays that are no longer needed in a drawing. When you detach a DGN underlay, all instances of the underlay are removed from the drawing, the underlay definition is purged, and the linking path to the DGN file is removed.

To hide the display of a DGN underlay temporarily, you can unload it rather than detach it. This action preserves the DGN underlay and its location for reloading later.

NoteErasing an individual instance of a DGN underlay is not the same as detaching it. A DGN underlay must be detached to remove the link from your drawing to the DGN file.


Detach DGN Underlays (Procedure)

Attach DGN Files
Up a level to ..
Detach DGN Underlays
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Attach DGN Files as Underlays > Attach and Detach DGN Underlays > Detach DGN Underlays >
Detach DGN Underlays
Concept Procedure Quick Reference

To detach a DGN underlay

To unload or reload a DGN underlay


To detach a DGN underlay (Procedure)

Detach DGN Underlays
Up a level to ..
Detach DGN Underlays
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Attach DGN Files as Underlays > Attach and Detach DGN Underlays > Detach DGN Underlays >
Detach DGN Underlays
Concept Procedure Quick Reference

To detach a DGN underlay

  1. Open the External References palette.
  2. In the File References pane, select the DGN underlay you want to detach.
  3. Right-click, and click Detach.

    The DGN underlay is no longer linked to the drawing file, and all instances of the underlay are removed from the drawing.

Toolbar: Reference
Command entry: EXTERNALREFERENCES
Shortcut menu: Select a DGN underlay and right-click in the drawing area. Click External References.


To unload or reload a DGN underlay (Procedure)

Detach DGN Underlays
Up a level to ..
Edit DGN Underlays
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Attach DGN Files as Underlays > Attach and Detach DGN Underlays > Detach DGN Underlays >
Detach DGN Underlays
Concept Procedure Quick Reference

To unload or reload a DGN underlay

  1. Open the External References palette.
  2. In the File References pane, select a DGN underlay.
  3. Right-click, and click Unload or Reload.

    When unloaded, the DGN underlay is still linked to the drawing file, but it is not displayed in the drawing.

Toolbar: Reference
Command entry: EXTERNALREFERENCES
Shortcut menu: Select a DGN underlay and right-click in the drawing area. Click External References.


Detach DGN Underlays (Quick Reference)

Attach DGN Files
Detach DGN Underlays
Edit DGN Underlays
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Attach DGN Files as Underlays > Attach and Detach DGN Underlays > Detach DGN Underlays >
Detach DGN Underlays
Concept Procedure Quick Reference

Commands

EXTERNALREFERENCES

Displays the External References palette

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Edit DGN Underlays (Concept)

Detach DGN Underlays
Attach and Detach DGN Underlays
Adjust DGN Underlay Appearance and Clipping Boundaries
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Attach DGN Files as Underlays > Attach and Detach DGN Underlays >
Edit DGN Underlays
Concept Procedure Quick Reference

After a DGN underlay is attached to the drawing, you can still modify the position, scale, or rotation at any time.

While you can specify the insertion point, scale factor, and rotation angle at the time you attach a DGN file, you may find the need to alter those settings as your drawing progresses. By default, you are prompted for an insertion point. The scale depends on the working units used in the DGN file, the conversion units used when attaching the DGN underlay, and the insertion scale units set in the DWG file.

Once it is attached, you can also change a DGN underlay’s fade, contrast, and monochrome settings from the Properties palette.

Because an attached DGN underlay acts like an attached raster image, general modify commands behave the same allowing you to move, scale, rotate, mirror, array, and so on. You can also affect alterations by choosing commands from the shortcut menu after you select a DGN underlay or from the Properties palette of the selected DGN underlay.

TipDouble-clicking a DGN underlay will open the Properties palette for that underlay.

Object Snapping to DGN underlays

If you need to reference locations on a DGN underlay, you can turn on object snapping for objects in all DGN underlays.

Object snapping for DGN underlays is turned on and off with the DGOSNAP system variable or from the DGN Object Snap option on the shortcut menu when a DGN underlay is selected.

Grip editing DGN underlays

While DGN underlay behavior generally follows the behavior of raster images, one exception is the way that grips work. In this case, the behavior more closely follows that for blocks.

DGN underlays normally display only a base grip. The base grip can be used for repositioning the underlay in the drawing. If you have specified a clipping boundary, additional grips appear for each corner of the boundary when the DGNFRAME system variable is turned on. See “Adjust DGN Underlay Appearance and Clipping Boundaries”.

The grip for the base point looks like the base point for a block reference. The base point cannot be reset from within the current drawing file. It is defined in the DGN file.


Edit DGN Underlays (Procedure)

Detach DGN Underlays
Up a level to ..
Edit DGN Underlays
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Attach DGN Files as Underlays > Attach and Detach DGN Underlays > Edit DGN Underlays >
Edit DGN Underlays
Concept Procedure Quick Reference

To turn object snapping on or off in DGN underlays

To edit the position, scale, or rotation of a DGN underlay from the Properties palette


To turn object snapping on or off in DGN underlays (Procedure)

Edit DGN Underlays
Up a level to ..
Edit DGN Underlays
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Attach DGN Files as Underlays > Attach and Detach DGN Underlays > Edit DGN Underlays >
Edit DGN Underlays
Concept Procedure Quick Reference

To turn object snapping on or off in DGN underlays

  1. Click a DGN underlay and then right-click.
  2. On the shortcut menu, click DGN Object Snap to turn it on or off.
Command entry: DGNOSNAP


To edit the position, scale, or rotation of a DGN underlay from the Properties palette (Procedure)

Edit DGN Underlays
Up a level to ..
Adjust DGN Underlay Appearance and Clipping Boundaries
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Attach DGN Files as Underlays > Attach and Detach DGN Underlays > Edit DGN Underlays >
Edit DGN Underlays
Concept Procedure Quick Reference

To edit the position, scale, or rotation of a DGN underlay from the Properties palette

  1. In the drawing viewport, double-click the DGN underlay that you want to edit.
  2. In the Properties palette, open the Geometry rollout, if it is not displayed.
  3. Do one or more of the following:
    • Alter the X, Y or Z position settings.
    • Change the rotation value.
    • Modify the underlay size by changing the scale value or reset the width and height.
Toolbar: Standard
Command entry: PROPERTIES


Edit DGN Underlays (Quick Reference)

Detach DGN Underlays
Edit DGN Underlays
Adjust DGN Underlay Fade, Contrast, and Monochrome
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Attach DGN Files as Underlays > Attach and Detach DGN Underlays > Edit DGN Underlays >
Edit DGN Underlays
Concept Procedure Quick Reference

Commands

DGNATTACH

Attaches a DGN underlay to the current drawing

System Variables

DGNFRAME

Determines whether DGN underlay frames are visible or plotted in the current drawing

DGNOSNAP

Controls object snapping for geometry in DGN underlays

Utilities

No entries

Command Modifiers

No entries


Adjust DGN Underlay Appearance and Clipping Boundaries

Edit DGN Underlays
Attach DGN Files as Underlays
Adjust DGN Underlay Fade, Contrast, and Monochrome
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Attach DGN Files as Underlays >
Adjust DGN Underlay Appearance and Clipping Boundaries
Concept Procedure

After attaching a DGN underlay, you can adjust the appearance of the underlay or set up clipping boundaries to focus on a specific part of the underlay.

Topics in this section

  • Adjust DGN Underlay Fade, Contrast, and Monochrome

    Aside from using the Properties palette to edit the position, scale, and rotation of a DGN underlay, you can also modify the fade, contrast, and monochrome settings of a DGN underlay.

  • Clip DGN Underlays

    You can clip the display of a DGN underlay in a drawing with a rectangular or polygonal clipping boundary.

  • Show and Hide DGN Underlay Frames

    You can control the visibility of the frame that represents the extents of the DGN underlay or the visibility of the frame that is defined by the clipping boundary.

  • Control the Display of Layers in a DGN Underlay

    You can turn layers on and off in a DGN underlay.


Adjust DGN Underlay Appearance and Clipping Boundaries (Procedure)

Edit DGN Underlays
Adjust DGN Underlay Appearance and Clipping Boundaries
Adjust DGN Underlay Fade, Contrast, and Monochrome
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Attach DGN Files as Underlays > Adjust DGN Underlay Appearance and Clipping Boundaries >
Adjust DGN Underlay Appearance and Clipping Boundaries
Concept Procedure

To adjust the fade, contrast, and monochrome values of a DGN underlay

To clip a DGN underlay

To specify a new boundary on a clipped DGN underlay

To edit the existing boundary on a clipped DGN underlay

To show or hide the clipped portion of a DGN underlay

To delete the boundary of a clipped DGN underlay

To show and hide DGN underlay frames

To turn layers on and off in a DGN underlay


Adjust DGN Underlay Fade, Contrast, and Monochrome (Concept)

Adjust DGN Underlay Appearance and Clipping Boundaries
Adjust DGN Underlay Appearance and Clipping Boundaries
Clip DGN Underlays
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Attach DGN Files as Underlays > Adjust DGN Underlay Appearance and Clipping Boundaries >
Adjust DGN Underlay Fade, Contrast, and Monochrome
Concept Procedure Quick Reference

Aside from using the Properties palette to edit the position, scale, and rotation of a DGN underlay, you can also modify the fade, contrast, and monochrome settings of a DGN underlay.

You can adjust the fade, contrast, and monochrome settings for the display of a DGN underlay as well as for plotted output without affecting the original DGN file and without affecting other instances of the DGN underlay in the drawing.

When a DGN underlay is selected, you can change the Fade, Contrast, and Monochrome settings in the Properties palette under Underlay Adjust.

Fade

Controls the fade effect of the underlay against the background color. Higher values increase the transparency of the DGN underlay. Fade is recalculated against a white background when the drawing is plotted.

Contrast

Controls the contrast, and indirectly the fading effect, of the DGN underlay. When Contrast is set to 100, all the linework matches the intensity of the Fade value. With higher values, the more each pixel is forced to its primary or secondary color.

Monochrome

Controls the color saturation while maintaining the luminance. When turned on, objects appear in varying shades of gray starting at black if the background color luminance is 50% or more. If the background color luminance is less than 50%, then the colors of objects are inverted, with the darkest objects displaying in white, and the lightest objects displaying in black. This inversion is used to display the DGN underlay clearly on the screen, but the colors are restored when plotting.

NoteWhen a DGN file is attached as an underlay, its levels structure (layers) are combined into a single layer. The DGN underlay is placed on the current layer. To hide the DGN attachment, freeze the layer on which it was attached. To turn on or off DGN layers, click its bulb icon (see DGNLAYERS).


To adjust the fade, contrast, and monochrome values of a DGN underlay (Procedure)

Adjust DGN Underlay Appearance and Clipping Boundaries
Up a level to ..
Clip DGN Underlays
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Attach DGN Files as Underlays > Adjust DGN Underlay Appearance and Clipping Boundaries > Adjust DGN Underlay Fade, Contrast, and Monochrome >
Adjust DGN Underlay Fade, Contrast, and Monochrome
Concept Procedure Quick Reference

To adjust the fade, contrast, and monochrome values of a DGN underlay

  1. Select the DGN underlay to adjust.
  2. Click Modify menu [image] Properties.At the command prompt, enter properties.
  3. In the DGN Underlay Properties palette, do any of the following:
    • Adjust the contrast by increasing or decreasing the value.
    • Adjust the fade by increasing or decreasing the value.
    • Turn monochrome on or off.
Command entry: DGNADJUST
Shortcut menu: Click a DGN underlay and then right-click. On the shortcut menu, click Properties.


Adjust DGN Underlay Fade, Contrast, and Monochrome (Quick Reference)

Edit DGN Underlays
Adjust DGN Underlay Fade, Contrast, and Monochrome
Clip DGN Underlays
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Attach DGN Files as Underlays > Adjust DGN Underlay Appearance and Clipping Boundaries > Adjust DGN Underlay Fade, Contrast, and Monochrome >
Adjust DGN Underlay Fade, Contrast, and Monochrome
Concept Procedure Quick Reference

Commands

DGNADJUST

Changes the display options of selected DGN underlays

DGNLAYERS

Controls the display of layers in a DGN underlay

PROPERTIES

Controls properties of existing objects

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Clip DGN Underlays (Concept)

Adjust DGN Underlay Fade, Contrast, and Monochrome
Adjust DGN Underlay Appearance and Clipping Boundaries
Show and Hide DGN Underlay Frames
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Attach DGN Files as Underlays > Adjust DGN Underlay Appearance and Clipping Boundaries >
Clip DGN Underlays
Concept Procedure Quick Reference

You can clip the display of a DGN underlay in a drawing with a rectangular or polygonal clipping boundary.

You can define part of a DGN underlay that you want to display and plot by setting up a clipping boundary. An added advantage of setting a clipping boundary is an increase in redrawing speed by clipping only the parts of the underlay that you want visible. The clipping boundary can be a rectangle or a two-dimensional (2D) polygon with vertices within the overall extents of the underlay. Each instance of a DGN underlay can only have one clipped boundary. Multiple instances of the same underlay can have different boundaries. You can change the boundary of a clipped underlay at any time.

You can display a clipped underlay using the clipping boundary, or you can hide the clipping boundary to display the underlay with its original boundaries.

When the clipping boundary is no longer needed, you can delete the clipped boundary from the underlay. When you delete a clipping boundary, the underlay is displayed with its original boundary.


Clip DGN Underlays (Procedure)

Adjust DGN Underlay Fade, Contrast, and Monochrome
Up a level to ..
Clip DGN Underlays
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Attach DGN Files as Underlays > Adjust DGN Underlay Appearance and Clipping Boundaries > Clip DGN Underlays >
Clip DGN Underlays
Concept Procedure Quick Reference

To clip a DGN underlay

To specify a new boundary on a clipped DGN underlay

To edit the existing boundary on a clipped DGN underlay

To show or hide the clipped portion of a DGN underlay

To delete the boundary of a clipped DGN underlay


To clip a DGN underlay (Procedure)

Clip DGN Underlays
Up a level to ..
Clip DGN Underlays
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Attach DGN Files as Underlays > Adjust DGN Underlay Appearance and Clipping Boundaries > Clip DGN Underlays >
Clip DGN Underlays
Concept Procedure Quick Reference

To clip a DGN underlay

  1. Click a DGN underlay and right-click in the drawing area. On the shortcut menu, click DGN Clip.
  2. At the command prompt, enter n (New Boundary).
  3. Enter p (Polygonal) or r (Rectangular), and then draw the boundary on the underlay.

    If you are drawing a polygonal boundary, you are prompted to specify consecutive vertices. To finish drawing a polygon, press ENTER or right-click anywhere in the drawing area.

Command entry: DGNCLIP
Shortcut menu: Select a DGN underlay and right-click in the drawing area. Click DGN Clip.


To specify a new boundary on a clipped DGN underlay (Procedure)

Clip DGN Underlays
Up a level to ..
Clip DGN Underlays
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Attach DGN Files as Underlays > Adjust DGN Underlay Appearance and Clipping Boundaries > Clip DGN Underlays >
Clip DGN Underlays
Concept Procedure Quick Reference

To specify a new boundary on a clipped DGN underlay

  1. Select a DGN underlay and right-click in the drawing area. Click DGN Clip.
  2. At the command prompt, enter n (New Boundary).
  3. Enter n (No) or y (Yes) to delete the old boundary. If n (No) is selected, the command ends.
  4. Enter p (Polygonal) or r (Rectangular), and then draw the new boundary on the underlay.

    If you are drawing a polygonal boundary, you are prompted to specify consecutive vertices. To finish drawing a polygon, press ENTER or right-click anywhere in the drawing area.

    You can modify clipped boundaries with grips. See Use Grips to Edit Objects.

Command entry: DGNCLIP
Shortcut menu: Select a DGN underlay and right-click in the drawing area. Click DGN Clip.


To edit the existing boundary on a clipped DGN underlay (Procedure)

Clip DGN Underlays
Up a level to ..
Clip DGN Underlays
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Attach DGN Files as Underlays > Adjust DGN Underlay Appearance and Clipping Boundaries > Clip DGN Underlays >
Clip DGN Underlays
Concept Procedure Quick Reference

To edit the existing boundary on a clipped DGN underlay

  1. Select a clipped DGN underlay.
  2. Click one of the corner grips and drag it to a new location.
  3. Click again to set the corner grip.


To show or hide the clipped portion of a DGN underlay (Procedure)

Clip DGN Underlays
Up a level to ..
Clip DGN Underlays
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Attach DGN Files as Underlays > Adjust DGN Underlay Appearance and Clipping Boundaries > Clip DGN Underlays >
Clip DGN Underlays
Concept Procedure Quick Reference

To show or hide the clipped portion of a DGN underlay

  1. Select the clipped DGN underlay you want to show or hide.
  2. Right-click in the drawing area. Click Properties.
  3. In the Properties palette, select Yes or No in the Show Clipped list.
Toolbar: Standard
Command entry: PROPERTIES


To delete the boundary of a clipped DGN underlay (Procedure)

Clip DGN Underlays
Up a level to ..
Show and Hide DGN Underlay Frames
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Attach DGN Files as Underlays > Adjust DGN Underlay Appearance and Clipping Boundaries > Clip DGN Underlays >
Clip DGN Underlays
Concept Procedure Quick Reference

To delete the boundary of a clipped DGN underlay

  1. Select a DGN underlay and right-click in the drawing area. Click DGN Clip.
  2. At the command prompt, enter d (Delete).

    The boundary of the clipped underlay is deleted, and the original boundary of the underlay is restored.

Command entry: DGNCLIP
Shortcut menu: Select a DGN underlay and right-click in the drawing area. Click DGN Clip.


Clip DGN Underlays (Quick Reference)

Adjust DGN Underlay Fade, Contrast, and Monochrome
Clip DGN Underlays
Show and Hide DGN Underlay Frames
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Attach DGN Files as Underlays > Adjust DGN Underlay Appearance and Clipping Boundaries > Clip DGN Underlays >
Clip DGN Underlays
Concept Procedure Quick Reference

Commands

DGNCLIP

Defines a clipping boundary for a selected DGN underlay

PROPERTIES

Controls properties of existing objects

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Show and Hide DGN Underlay Frames (Concept)

Clip DGN Underlays
Adjust DGN Underlay Appearance and Clipping Boundaries
Control the Display of Layers in a DGN Underlay
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Attach DGN Files as Underlays > Adjust DGN Underlay Appearance and Clipping Boundaries >
Show and Hide DGN Underlay Frames
Concept Procedure Quick Reference

You can control the visibility of the frame that represents the extents of the DGN underlay or the visibility of the frame that is defined by the clipping boundary.

You can hide DGN underlay frames. A frame is a visual border that shows the extents of the DGN underlay, or the clipped boundary of the DGN underlay. Hiding the underlay frame prevents the boundary from being plotted or displayed. When underlay frames are hidden, clipped underlays are still displayed to their specified boundary limits; only the frame is affected. Showing and hiding underlay frames affects all underlays attached to your drawing.


To show and hide DGN underlay frames (Procedure)

Clip DGN Underlays
Up a level to ..
Control the Display of Layers in a DGN Underlay
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Attach DGN Files as Underlays > Adjust DGN Underlay Appearance and Clipping Boundaries > Show and Hide DGN Underlay Frames >
Show and Hide DGN Underlay Frames
Concept Procedure Quick Reference

To show and hide DGN underlay frames

  1. At the command prompt, enter dgnframe.
  2. At the prompt, do one of the following:
    • To hide DGN underlay frames, enter 0.
    • To show and plot DGN underlay frames, enter 1.
    • To show DGN underlay frames but not plot them, enter 2.
Command entry: DGNFRAME


Show and Hide DGN Underlay Frames (Quick Reference)

Clip DGN Underlays
Show and Hide DGN Underlay Frames
Control the Display of Layers in a DGN Underlay
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Attach DGN Files as Underlays > Adjust DGN Underlay Appearance and Clipping Boundaries > Show and Hide DGN Underlay Frames >
Show and Hide DGN Underlay Frames
Concept Procedure Quick Reference

Commands

No entries

System Variables

DGNFRAME

Determines whether DGN underlay frames are visible or plotted in the current drawing

Utilities

No entries

Command Modifiers

No entries


Control the Display of Layers in a DGN Underlay (Concept)

Show and Hide DGN Underlay Frames
Adjust DGN Underlay Appearance and Clipping Boundaries
Manage and Publish Drawings Containing DGN Underlays
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Attach DGN Files as Underlays > Adjust DGN Underlay Appearance and Clipping Boundaries >
Control the Display of Layers in a DGN Underlay
Concept Procedure Quick Reference

You can turn layers on and off in a DGN underlay.

When using DGN underlays, it is usually convenient to turn off any unneeded layers to reduce the visual complexity of your work.

To control the display of layers in DGN underlays, use the DGN Layers dialog box ( DGNLAYERS), not the Layer Properties Manager.

You can use the Properties palette to determine whether any layers are turned off in a DGN underlay.

  • If no layers are turned off in a selected DGN underlay, the Layer Display Overrides property is set to None.
  • If at least one layer in a selected DGN underlay is turned off, the Layer Display Overrides property is set to Applied.
TipYou can set DGN layers On or Off by right-clicking within the list box.


To turn layers on and off in a DGN underlay (Procedure)

Show and Hide DGN Underlay Frames
Up a level to ..
Manage and Publish Drawings Containing DGN Underlays
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Attach DGN Files as Underlays > Adjust DGN Underlay Appearance and Clipping Boundaries > Control the Display of Layers in a DGN Underlay >
Control the Display of Layers in a DGN Underlay
Concept Procedure Quick Reference

To turn layers on and off in a DGN underlay

  1. Select a DGN underlay by clicking its bounding frame.
  2. Right-click and then click DGN Layers from the shortcut menu.
  3. In the DGN Layers dialog box, click the light bulb icon for the layer name that you want to turn on or off.

    You can use CTRL or SHIFT when you click to select several layers.

  4. Click Apply to save your changes, or click OK to save and close.
Command entry: DGNLAYERS


Control the Display of Layers in a DGN Underlay (Quick Reference)

Show and Hide DGN Underlay Frames
Control the Display of Layers in a DGN Underlay
View DGN Underlay Information
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Attach DGN Files as Underlays > Adjust DGN Underlay Appearance and Clipping Boundaries > Control the Display of Layers in a DGN Underlay >
Control the Display of Layers in a DGN Underlay
Concept Procedure Quick Reference

Commands

DGNLAYERS

Controls the display of layers in a DGN underlay

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Manage and Publish Drawings Containing DGN Underlays

Control the Display of Layers in a DGN Underlay
Attach DGN Files as Underlays
View DGN Underlay Information
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Attach DGN Files as Underlays >
Manage and Publish Drawings Containing DGN Underlays
Concept Procedure

You can view and manipulate DGN underlays and change paths to underlays from the External References palette.

Topics in this section

  • View DGN Underlay Information

    You can view file-specific information about the DGN underlays that are attached to a drawing. You can also load and unload underlays and perform other operations from the External References palette.

  • Change File Paths of DGN Underlays

    You can change the file path to a referenced DGN file or search for a DGN underlay when it is reported as not found.

  • Publish, Save, and eTransmit Drawings Containing DGN Underlays

    Drawing files that have DGN underlay attachments can be plotted or published as DGN files and DGN underlays are tracked and managed when you eTransmit.

  • Reference Manager and DGN Underlays

    The Reference Manager application allows you to view file references that are attached to a DWG file and to edit the paths of the attachments.


Manage and Publish Drawings Containing DGN Underlays (Procedure)

Control the Display of Layers in a DGN Underlay
Manage and Publish Drawings Containing DGN Underlays
View DGN Underlay Information
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Attach DGN Files as Underlays > Manage and Publish Drawings Containing DGN Underlays >
Manage and Publish Drawings Containing DGN Underlays
Concept Procedure

To display a list of the DGN underlays attached to the drawing

To display DGN underlay names and their nesting levels within xrefs and blocks

To change the DGN underlay path

To check DGN underlays with the Reference Manager


View DGN Underlay Information (Concept)

Manage and Publish Drawings Containing DGN Underlays
Manage and Publish Drawings Containing DGN Underlays
Change File Paths of DGN Underlays
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Attach DGN Files as Underlays > Manage and Publish Drawings Containing DGN Underlays >
View DGN Underlay Information
Concept Procedure Quick Reference

You can view file-specific information about the DGN underlays that are attached to a drawing. You can also load and unload underlays and perform other operations from the External References palette.

From the External References palette, you can view underlay information either as a list or as a tree. To control how the information is displayed in the External References palette, click the List View or Tree View button in the upper-right corner. The list view displays the name of each underlay in the drawing, its loading status, file size, date last modified, and search path. The tree view lists the underlays in a hierarchy that shows their nesting level within xrefs and blocks. The status, size, and other information are not displayed in the tree view.

In either view, you can display information about an underlay; attach or detach the underlay; unload or reload the underlay; and browse for and save a new search path.

Use the List View

The list view displays all underlays attached to the current drawing, but it does not specify the number of instances. It is the default view. You can sort underlays by category by clicking the column heading. Change the width of a column by dragging its border to the right or left.

The following information is displayed in the list view:

  • Reference Name (by default is the “file name - model name”)
  • Status (loaded, unloaded, or not found)
  • File size
  • File type
  • Date and time file was last saved
  • Path and name to the file when it was attached to the drawing

If AutoCAD cannot find an underlay, its status is listed as Not Found. A Not Found underlay displays “Missing or invalid reference” text with its original path and filename. If the underlay is unreferenced, no instances are attached for the underlay. If the underlay is not loaded, its status is Unloaded. Underlays with a status of Unloaded or Not Found are not displayed in the drawing.

Use the Tree View

The top level of the tree view lists DGN files in alphabetical order. In most cases an underlay file is linked directly to the drawing and listed at the top level. However, if an xref or a block contains an attached underlay, additional levels are displayed.

View File Details or a Preview of the DGN Underlay

You can view DGN file details, including

  • Reference name
  • Status
  • File size
  • File type
  • File creation date
  • Path and name to the file when it was attached to the drawing
  • Path in which the file was found at
    NoteThe Found At path is disabled if a nested reference is selected.

You can display a preview of the DGN underlay instead of the DGN file details by clicking the magnifying glass icon in the upper-right corner of the area. The icon next to it restores the Details display.


View DGN Underlay Information (Procedure)

Manage and Publish Drawings Containing DGN Underlays
Up a level to ..
View DGN Underlay Information
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Attach DGN Files as Underlays > Manage and Publish Drawings Containing DGN Underlays > View DGN Underlay Information >
View DGN Underlay Information
Concept Procedure Quick Reference

To display a list of the DGN underlays attached to the drawing

To display DGN underlay names and their nesting levels within xrefs and blocks


To display a list of the DGN underlays attached to the drawing (Procedure)

View DGN Underlay Information
Up a level to ..
View DGN Underlay Information
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Attach DGN Files as Underlays > Manage and Publish Drawings Containing DGN Underlays > View DGN Underlay Information >
View DGN Underlay Information
Concept Procedure Quick Reference

To display a list of the DGN underlays attached to the drawing

  1. Click Insert menu [image] External References.At the command prompt, enter externalreferences.
  2. In the External References palette, click the List View button.
Toolbar: Reference
Command entry: EXTERNALREFERENCES
Shortcut menu: Select an underlay and right-click in the drawing area. Click External References.


To display DGN underlay names and their nesting levels within xrefs and blocks (Procedure)

View DGN Underlay Information
Up a level to ..
Change File Paths of DGN Underlays
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Attach DGN Files as Underlays > Manage and Publish Drawings Containing DGN Underlays > View DGN Underlay Information >
View DGN Underlay Information
Concept Procedure Quick Reference

To display DGN underlay names and their nesting levels within xrefs and blocks

  1. Click Insert menu [image] External References.At the command prompt, enter externalreferences.
  2. In the External References palette, click the Tree View button.
Toolbar: Reference
Command entry: EXTERNALREFERENCES
Shortcut menu: Select an underlay and right-click in the drawing area. Click External References.


View DGN Underlay Information (Quick Reference)

Control the Display of Layers in a DGN Underlay
View DGN Underlay Information
Change File Paths of DGN Underlays
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Attach DGN Files as Underlays > Manage and Publish Drawings Containing DGN Underlays > View DGN Underlay Information >
View DGN Underlay Information
Concept Procedure Quick Reference

Commands

EXTERNALREFERENCES

Displays the External References palette

DGNATTACH

Attaches a DGN underlay to the current drawing

DGNLAYERS

Controls the display of layers in a DGN underlay

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Change File Paths of DGN Underlays (Concept)

View DGN Underlay Information
Manage and Publish Drawings Containing DGN Underlays
Publish, Save, and eTransmit Drawings Containing DGN Underlays
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Attach DGN Files as Underlays > Manage and Publish Drawings Containing DGN Underlays >
Change File Paths of DGN Underlays
Concept Procedure Quick Reference

You can change the file path to a referenced DGN file or search for a DGN underlay when it is reported as not found.

When you open a drawing with an attached DGN file, the path of the selected DGN underlay is displayed in the External References palette under Found At in the Detail list. The path displayed is the actual path where the DGN file was found. The path where the DGN file was originally attached is displayed under Saved Path.

To locate the DGN file, the program searches the following paths and folders in the following order:

  • Path specified when the DGN underlay was attached
  • Folder containing the current drawing file
  • Project search paths specified on the Files tab of the Options dialog box
  • Support search paths specified on the Files tab of the Options dialog box
  • Start In folder specified in the program shortcut

If you open a drawing that contains a DGN file that is not in the saved path location or in any of the defined search paths, the External References palette displays Not Found in the Status column of the File References list, and the Found At box is blank in the Details list.

You can remove the path from the file name or specify a relative path by manually editing the path in the Found At box or by clicking the ellipsis at the right side of the Found At box. This opens a Select DGN File dialog box.

For more information about using full paths, relative paths, and project names, see Set Paths to Referenced Drawings.


To change the DGN underlay path (Procedure)

View DGN Underlay Information
Up a level to ..
Reference Manager and DGN Underlays
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Attach DGN Files as Underlays > Manage and Publish Drawings Containing DGN Underlays > Change File Paths of DGN Underlays >
Change File Paths of DGN Underlays
Concept Procedure Quick Reference

To change the DGN underlay path

  1. Click Insert menu [image] External References.At the command prompt, enter externalreferences.
  2. In the External References palette, select a DGN underlay whose path you want to change. Click the ellipses [...] at the right side of the Found At box.
  3. In the Select DGN File dialog box, select a new path. Click Open.

    The new path is displayed in the Saved Path column.

Toolbar: Reference
Command entry: EXTERNALREFERENCES
Shortcut menu: Select a DGN underlay and right-click in the drawing area. Click External References.


Change File Paths of DGN Underlays (Quick Reference)

View DGN Underlay Information
Change File Paths of DGN Underlays
Publish, Save, and eTransmit Drawings Containing DGN Underlays
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Attach DGN Files as Underlays > Manage and Publish Drawings Containing DGN Underlays > Change File Paths of DGN Underlays >
Change File Paths of DGN Underlays
Concept Procedure Quick Reference

Commands

EXTERNALREFERENCES

Displays the External References palette

OPTIONS

Customizes the program settings

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Publish, Save, and eTransmit Drawings Containing DGN Underlays (Concept)

Change File Paths of DGN Underlays
Manage and Publish Drawings Containing DGN Underlays
Reference Manager and DGN Underlays
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Attach DGN Files as Underlays > Manage and Publish Drawings Containing DGN Underlays >
Publish, Save, and eTransmit Drawings Containing DGN Underlays
Concept Quick Reference

Drawing files that have DGN underlay attachments can be plotted or published as DGN files and DGN underlays are tracked and managed when you eTransmit.

NoteDGN underlays that are saved in AutoCAD 2008 are not recognized in versions previous to AutoCAD 2008. However, if you save it to an older AutoCAD version (for example, AutoCAD 2000) and open the file back in AutoCAD 2008 or later, the underlay will still be found. Also, if you save a drawing in AutoCAD 2009, AutoCAD 2008 will only recognize the underlay if it is a V8 MicroStation file.

Plot and Publish

When a drawing file containing an attached DGN underlay is plotted or published, any visible DGN geometry is included with the plotted or published drawing file.

Save and Save as a Previous DWG Format

A DGN underlay that is attached to a drawing is saved along with all other content that makes up the drawing. Upon reopening the drawing, the DGN underlay is present unless the path to the DGN file has changed in some way. In this case, a bounding box containing the path to the missing DGN file is displayed along with the model that was selected when the DGN file was attached. Once the path is restored or a new path is specified, the DGN underlay will appear in the drawing.

If you save the drawing to a previous DWG format, the DGN underlay is not going to be displayed when the drawing is opened in an older version of AutoCAD. The DGN underlay will display again if you reopen the drawing in the current version.

eTransmit

DGN attachments are tracked and managed when you eTransmit in the same way raster image attachments are tracked and managed.


Publish, Save, and eTransmit Drawings Containing DGN Underlays (Quick Reference)

Change File Paths of DGN Underlays
Publish, Save, and eTransmit Drawings Containing DGN Underlays
Reference Manager and DGN Underlays
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Attach DGN Files as Underlays > Manage and Publish Drawings Containing DGN Underlays > Publish, Save, and eTransmit Drawings Containing DGN Underlays >
Publish, Save, and eTransmit Drawings Containing DGN Underlays
Concept Quick Reference

Commands

ETRANSMIT

Packages a set of files for Internet transmission

PUBLISH

Publishes drawings to DWF files, DWFx files, or plotters

PLOT

Plots a drawing to a plotter, printer, or file

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Reference Manager and DGN Underlays (Concept)

Publish, Save, and eTransmit Drawings Containing DGN Underlays
Manage and Publish Drawings Containing DGN Underlays
Import MicroStation DGN Files
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Attach DGN Files as Underlays > Manage and Publish Drawings Containing DGN Underlays >
Reference Manager and DGN Underlays
Concept Procedure Quick Reference

The Reference Manager application allows you to view file references that are attached to a DWG file and to edit the paths of the attachments.

The Reference Manager is an external application that allows you to check any file dependencies that a drawing file may have. The properties reported by the Reference Manager include

  • File type
  • Status
  • File name
  • Reference name
  • Saved path
  • Found path
  • Host drawing
  • Host version

You can view the list of references by drawing or by reference type.


To check DGN underlays with the Reference Manager (Procedure)

Change File Paths of DGN Underlays
Up a level to ..
Import MicroStation DGN Files
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Attach DGN Files as Underlays > Manage and Publish Drawings Containing DGN Underlays > Reference Manager and DGN Underlays >
Reference Manager and DGN Underlays
Concept Procedure Quick Reference

To check DGN underlays with the Reference Manager

  1. Click Start menu (Windows) [image] All Programs (Programs) [image] Autodesk [image] AutoCAD 2009 [image] Reference Manager.
  2. In the Reference Manager, click the Add Drawings button.
  3. Select a drawing from the Add Drawings dialog box and then click Open.


Reference Manager and DGN Underlays (Quick Reference)

Publish, Save, and eTransmit Drawings Containing DGN Underlays
Reference Manager and DGN Underlays
Import MicroStation DGN Files
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Attach DGN Files as Underlays > Manage and Publish Drawings Containing DGN Underlays > Reference Manager and DGN Underlays >
Reference Manager and DGN Underlays
Concept Procedure Quick Reference

Commands

No entries

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Import MicroStation DGN Files (Concept)

Reference Manager and DGN Underlays
Import, Attach, or Open Other File Formats
Manage Translation Mapping Setups
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats >
Import MicroStation DGN Files
Concept Procedure Quick Reference

You can import MicroStation® DGN drawing files into DWG files.

The import process translates basic DGN data into the corresponding DWG file data. There are several translation options to determine how certain data such as text elements and external references are handled. Users can not only manipulate text elements and xrefs, but also select the conversion units based on DGN unit settings, and most importantly, preview the default mapping translation or create and use their own mapping setups (see DGNMAPPING).

Exchanging and reusing basic drawing data is useful in collaborative projects. For example, service organizations such as AEC and design-build firms might need to import mapping data created with MicroStation into a site plan created with an AutoCAD-based product. The DGN data can serve as an accurate reference for creating the site plan.

DGNIMPORT is not limited to files with *.dgn extensions. It supports all DGN files, even those that do not have a .dgn extension.

Understand the Limitations

The DGN import and export capabilities are designed to provide a fundamental exchange of information between MicroStation V7/V8 DGN files and AutoCAD DWG files. However, translating data from one format to a completely different format inevitably require compromises and substitutions.

  • Simple geometric objects such as lines, arcs, and circles, and properties such as layer assignments correlate directly between the DWG and DGN data formats.
  • Data with built-in features or variations are visually approximated. For example, text and dimensions might have specialized formatting, and color definitions might be customized.
  • Some data cannot be translated completely. For example, product-specific features such as data fields or dynamic blocks can be represented visually but not behaviorally.

See the DGNIMPORT Conversion Table for specific details about the scope of importing MicroStation objects and other data.

See the DGNIMPORT Unit Mapping Table for specific details about unit conversions when importing MicroStation objects.

Recommendations

To optimize the data transfer from the MicroStation® DGN file format, request that the creator of the MicroStation drawings consider the following recommendations:

  • Create a separate DGN file for each design model
  • Do not reference sheet models from design models
  • Minimize the use of custom objects and other data unique to MicroStation
  • Use ByLevel for color, line style, and weight properties
  • Use simple line styles as much as possible
  • Use simple patterns and pattern styles
  • Use TrueType text fonts rather than SHX text fonts
  • Use defined styles for dimensions and text rather than a “none” style
  • Use simple dimension styles if possible
  • Use shared cells as opposed to normal (library) cells
  • Work primarily in one format, DWG or DGN, rather than switching back and forth

When importing a DGN file, specify the conversion units (master units or sub-units) based on the DWG file's drawing units. For example, if you receive a DGN file with master units set to meters, and sub-units set to millimeters, and you need the drawing units of the DWG file to be in meters, then select master units in the Import DGN Settings dialog box. This matches the meters in the DGN file to the meters in the DWG file.


To import a MicroStation DGN drawing (Procedure)

Reference Manager and DGN Underlays
Up a level to ..
Manage Translation Mapping Setups
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Import MicroStation DGN Files >
Import MicroStation DGN Files
Concept Procedure Quick Reference

To import a MicroStation DGN drawing

  1. Click Blocks & References tab [image] Import panel [image] Import. At the command prompt, enter import.
  2. In the Import File dialog box, in the Files of Type box, select MicroStation DGN (*.dgn).
  3. Find and select the DGN file you want to import, or enter the name of the DGN file at File Name.
  4. Click Open.
  5. In the Import DGN Settings dialog box, select a design model from the list and specify the desired import options.
  6. Click OK.
Command entry: DGNIMPORT


Import MicroStation DGN Files (Quick Reference)

Reference Manager and DGN Underlays
Import MicroStation DGN Files
Manage Translation Mapping Setups
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Import MicroStation DGN Files >
Import MicroStation DGN Files
Concept Procedure Quick Reference

Commands

DGNIMPORT

Imports the data from a DGN file into a new DWG file

System Variables

DGNIMPORTMAX

Controls the maximum elements translated during DGNIMPORT

Utilities

No entries

Command Modifiers

No entries


Manage Translation Mapping Setups (Concept)

Import MicroStation DGN Files
Import, Attach, or Open Other File Formats
Attach Raster Image Files
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats >
Manage Translation Mapping Setups
Concept Procedure Quick Reference

You can manage translation mapping setups for DGN file import and export operations.

You can create, modify, rename, or delete mapping translation based on your company CAD standards to remap level names in DGN files to appropriate layer names in DWG files, or to remap unsupported DGN-format linestyles to a DWG-format linetype from the acad.lin file (for example), therefore, streamlining the import and export process while minimizing the need for editing the resulting imported or exported files.

The DGN Mapping Setups dialog box is displayed when you click the Mapping Setups button in the Import DGN Settings and Export DGN Settings dialog boxes. You can also enter DGNMAPPING at the Command prompt.


Manage Translation Mapping Setups (Procedure)

Import MicroStation DGN Files
Up a level to ..
Manage Translation Mapping Setups
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Manage Translation Mapping Setups >
Manage Translation Mapping Setups
Concept Procedure Quick Reference

To create a new DGN mapping setup

To rename a DGN mapping setup

To modify a DGN mapping setup

To delete a DGN mapping setup

To select a linetype from .lin file

To add properties from a DGN file

To add properties from a drawing file


To create a new DGN mapping setup (Procedure)

Manage Translation Mapping Setups
Up a level to ..
Manage Translation Mapping Setups
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Manage Translation Mapping Setups >
Manage Translation Mapping Setups
Concept Procedure Quick Reference

To create a new DGN mapping setup

  1. In Import (or Export) DGN Settings dialog box, click Mapping Setups. The DGN Mapping Setups dialog box is displayed.
  2. Click New. The New Mapping Setup dialog box is displayed.
  3. Under New DGN mapping setup name, enter a mapping setup name.
  4. Under Based On, select a mapping setup. If there is no existing mapping setup, the default is Standard.
  5. Select a mapping type.
  6. Click Continue. The Modify DGN Mapping Setup dialog box is displayed.
  7. Specify property mapping for DGN Import (or Export).
  8. Click Ok.
Command entry: DGNMAPPING


To rename a DGN mapping setup (Procedure)

Manage Translation Mapping Setups
Up a level to ..
Manage Translation Mapping Setups
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Manage Translation Mapping Setups >
Manage Translation Mapping Setups
Concept Procedure Quick Reference

To rename a DGN mapping setup

  1. In the DGN Mapping Setups dialog box , select the mapping setup you want to rename.
    NoteThe Rename button is disabled when the Standard mapping setup is selected.
  2. Click Rename.
  3. Enter new mapping setup name.
  4. Click anywhere outside the text box.

You can also right-click the mapping setup name from the mapping setup list, click Rename and then continue with step 3.

Command entry: DGNMAPPING


To modify a DGN mapping setup (Procedure)

Manage Translation Mapping Setups
Up a level to ..
Manage Translation Mapping Setups
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Manage Translation Mapping Setups >
Manage Translation Mapping Setups
Concept Procedure Quick Reference

To modify a DGN mapping setup

  1. In the DGN Mapping Setups dialog box , select the mapping setup you want to modify.
    NoteThe Modify button is disabled when the Standard mapping setup is selected.
  2. Click Modify. The Modify DGN Mapping Setup: <mapping_setup> dialog box is displayed.
  3. Specify property mapping for DGN Import (or Export).
  4. Click Ok.

You can also right-click the mapping setup name from the mapping setup list, click Modify and then continue with step 3.

Command entry: DGNMAPPING


To delete a DGN mapping setup (Procedure)

Manage Translation Mapping Setups
Up a level to ..
Manage Translation Mapping Setups
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Manage Translation Mapping Setups >
Manage Translation Mapping Setups
Concept Procedure Quick Reference

To delete a DGN mapping setup

  1. In the DGN Mapping Setups dialog box , select the mapping setup you want to delete.
    NoteThe Delete button is disabled when the Standard mapping setup is selected.
  2. Click Delete.
  3. When the Delete Mapping Setup prompt is displayed, click Yes.

You can also right-click the mapping setup name from the mapping setup list and click Delete.

Command entry: DGNMAPPING


To select a linetype from .lin file (Procedure)

Manage Translation Mapping Setups
Up a level to ..
Manage Translation Mapping Setups
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Manage Translation Mapping Setups >
Manage Translation Mapping Setups
Concept Procedure Quick Reference

To select a linetype from .lin file

  1. In the Modify DGN Mapping Setup dialog box, click Linetype tab.
  2. Click the drop-down list in the cell on the right-hand column.
  3. Click Other... button.
  4. Click Load button to select a linetype from the acad.lin (acadiso.lin) file.

If several linetypes are loaded in the Load or Reload Linetypes dialog box, select a single linetype in the Select Linetype dialog box to populate the current cell. After loading several linetypes, the additional linetypes are added to the drop-down list so you can just select from the drop-down list for the other cells.


To add properties from a DGN file (Procedure)

Manage Translation Mapping Setups
Up a level to ..
Manage Translation Mapping Setups
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Manage Translation Mapping Setups >
Manage Translation Mapping Setups
Concept Procedure Quick Reference

To add properties from a DGN file

  1. In the DGN Mapping Setups dialog box , click Modify.
    NoteThe Modify button is disabled when the Standard mapping setup is selected.
  2. In the Modify DGN Mapping Setup dialog box, click Add Properties from DGN File button.
  3. The Add Properties from DGN File dialog box is displayed. Select a DGN file and click Open.

The unique properties of the file are added to the bottom of the DGN column for each tab (Level, Linestyle, Lineweight, and Color).

NoteDuplicate properties will be ignored.
Command entry: DGNMAPPING


To add properties from a drawing file (Procedure)

Manage Translation Mapping Setups
Up a level to ..
Attach, Scale, and Detach Raster Images
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Manage Translation Mapping Setups >
Manage Translation Mapping Setups
Concept Procedure Quick Reference

To add properties from a drawing file

  1. In the DGN Mapping Setups dialog box , click Modify.
    NoteThe Modify button is disabled when the Standard mapping setup is selected.
  2. In the Modify DGN Mapping Setup dialog box, click Add Properties from Drawing File button.
  3. The Add Properties from Drawing File dialog box is displayed. Select a drawing file and click Open.

The unique properties of the file are added to the bottom of the DWG column for each tab (Level, Linestyle, Lineweight, and Color).

NoteDuplicate properties will be ignored.
Command entry: DGNMAPPING


Manage Translation Mapping Setups (Quick Reference)

Import MicroStation DGN Files
Manage Translation Mapping Setups
Overview of Raster Images
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Manage Translation Mapping Setups >
Manage Translation Mapping Setups
Concept Procedure Quick Reference

Commands

DGNMAPPING

Specifies the location of the dgnsetups.ini file where DGN mapping setups are stored

System Variables

DGNMAPPINGPATH

Specifies the location of the dgnsetups.ini file where DGN mapping setups are stored

Utilities

No entries

Command Modifiers

No entries


Attach Raster Image Files

Manage Translation Mapping Setups
Import, Attach, or Open Other File Formats
Overview of Raster Images
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats >
Attach Raster Image Files

You can view and manipulate raster images and associated file paths in drawings.

You can add raster images to your vector-based drawings, and then view and plot the resulting file. There are a number of reasons for combining raster images with vector files, including scanning documents, faxes, or microfilm drawings; using aerial and satellite photographs; using digital photographs; creating effects such as watermarks and logos; and adding computer-rendered images.

Topics in this section

  • Overview of Raster Images
  • Attach, Scale, and Detach Raster Images

    You can add or remove references to raster images within drawing files, or you can change their relative size.

  • Modify Raster Images and Image Boundaries

    You can control the clipping boundaries and image display properties of a raster image.

  • Manage Raster Images

    You can view and manipulate raster images and change paths to image files using the External References palette.

  • Tune Raster Image Performance

    You can reduce the demands on system performance when manipulating large or many small raster images.


Overview of Raster Images (Concept)

Attach Raster Image Files
Attach Raster Image Files
Attach, Scale, and Detach Raster Images
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Attach Raster Image Files >
Overview of Raster Images
Concept Quick Reference

Raster images consist of a rectangular grid of small squares or dots known as pixels. For example, a photograph of a house is made up of a series of pixels colorized to represent the appearance of a house. A raster image references the pixels in a specific grid.

Raster images, like many other drawing objects, can be copied, moved, or clipped. You can modify an image with grip modes, adjust an image for contrast, clip the image with a rectangle or polygon, or use an image as a cutting edge for a trim.

The image file formats supported by the program include the most common formats used in major technical imaging application areas: computer graphics, document management, engineering, mapping, and geographic information systems (GIS). Images can be bitonal, 8-bit gray, 8-bit color, or 24-bit color. Images with 16-bit color depth are not supported starting with AutoCAD 2009.

Several image file formats support images with transparent pixels. When image transparency is set to on, the program recognizes those transparent pixels and allows graphics in the drawing area to “show through” those pixels. (In bitonal images, background pixels are treated as transparent.) Transparent images can be gray-scale or color.

NoteAlthough the file name extension is listed in the following table, the file format is determined from the file contents, not from the file extension.
Supported image file formats
Type | Description and versions | File extension
BMP | Windows and OS/2 bitmap format | .bmp, .dib, .rle
CALS-I | Mil-R-Raster I | .gp4, .mil, .rst, .cg4, .cal
FLIC | FLIC Autodesk Animator Animation | .flc, .fli
GeoSPOT | GeoSPOT (BIL files must be accompanied with HDR and PAL files with correlation data, in the same directory) | .bil
IG4 | Image Systems Group 4 | .ig4
IGS | Image Systems Grayscale | .igs
JFIF or JPEG | Joint Photographics Expert Group | .jpg or .jpeg
PCX | Picture PC Paintbrush Picture | .pcx
PICT | Picture Macintosh Picture | .pct
PNG | Portable Network Graphic | .png
RLC | Run-Length Compressed | .rlc
TARGA | True Vision Raster-Based Data Format | .tga
TIFF | Tagged Image File Format | .tif or .tiff


Overview of Raster Images (Quick Reference)

Manage Translation Mapping Setups
Overview of Raster Images
Attach Raster Images
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Attach Raster Image Files > Overview of Raster Images >
Overview of Raster Images
Concept Quick Reference

Commands

IMAGE

Displays the External References palette

IMAGEATTACH

Attaches a new image to the current drawing

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Attach, Scale, and Detach Raster Images

Overview of Raster Images
Attach Raster Image Files
Attach Raster Images
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Attach Raster Image Files >
Attach, Scale, and Detach Raster Images
Concept Procedure

You can add or remove references to raster images within drawing files, or you can change their relative size.

Topics in this section

  • Attach Raster Images

    You can attach a reference to a raster image file to a drawing file using a linked image path. The image file can be accessed from the Internet.

  • Scale Raster Images

    You can control the size of a raster image in a drawing to match the scale of the drawing.

  • Detach Raster Images

    You can detach the reference to an image file in a drawing.


Attach, Scale, and Detach Raster Images (Procedure)

Manage Translation Mapping Setups
Attach, Scale, and Detach Raster Images
Attach Raster Images
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Attach Raster Image Files > Attach, Scale, and Detach Raster Images >
Attach, Scale, and Detach Raster Images
Concept Procedure

To attach an image

To attach and scale an image file from the Internet

To attach and scale an image

To detach an image


Attach Raster Images (Concept)

Attach, Scale, and Detach Raster Images
Attach, Scale, and Detach Raster Images
Scale Raster Images
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Attach Raster Image Files > Attach, Scale, and Detach Raster Images >
Attach Raster Images
Concept Procedure Quick Reference

You can attach a reference to a raster image file to a drawing file using a linked image path. The image file can be accessed from the Internet.

Images can be referenced and placed in drawing files, but like external references (xrefs), they are not actually part of the drawing file. The image is linked to the drawing file through a path name. Linked image paths can be changed or removed at any time. By attaching images using linked image paths, or by dragging images using DesignCenter™, you can place images in your drawing and only slightly increase the drawing file size. See Add Content with DesignCenter.

Once you've attached an image, you can reattach it multiple times, treating it as if it were a block. Each insertion has its own clip boundary and its own settings for brightness, contrast, fade, and transparency.

NoteAutoCAD 2000, AutoCAD LT 2000, and later releases do not support LZW-compressed TIFF files, with the exception of English language versions sold in the US and Canada. If you have TIFF files that were created using LZW compression and want to insert them into a drawing, you must resave the TIFF files with LZW compression disabled.

Access Raster Images Using the Internet

Designers and manufacturers store images of their designs or products on the Internet. You can easily access image files from the Internet. URL image file names are stored in the drawing.

Accessing images from the Internet saves time and provides for rapid distribution of designs. For example, an architect who needs to show a client what custom cabinets will look like has the manufacturer create a rendered image of the cabinets, post it to a website, and then attach the image to the drawing file as a URL; any design changes can be updated immediately. For more information, see Reference Other Drawing Files.


Attach Raster Images (Procedure)

Attach, Scale, and Detach Raster Images
Up a level to ..
Attach Raster Images
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Attach Raster Image Files > Attach, Scale, and Detach Raster Images > Attach Raster Images >
Attach Raster Images
Concept Procedure Quick Reference

To attach an image

To attach and scale an image file from the Internet


To attach an image (Procedure)

Attach Raster Images
Up a level to ..
Attach Raster Images
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Attach Raster Image Files > Attach, Scale, and Detach Raster Images > Attach Raster Images >
Attach Raster Images
Concept Procedure Quick Reference

To attach an image

  1. Click Blocks & References tab [image] References panel [image] Image. At the Command prompt, enter imageattach.
  2. In the Select Image File dialog box, select a file name from the list or enter the name of the image file in the File Name box. Click Open.
  3. In the Image dialog box, use one of the following methods to specify insertion point, scale, or rotation:
    • Select Specify On-Screen to use the pointing device to insert the image at the location, scale, or angle you want.
    • Clear Specify On-Screen and enter values under Insertion Point, Scale, or rotation.

    To view the unit of measurement for the image, click Details.

  4. Click OK.
Toolbar: Reference
Command entry: IMAGEATTACH


To attach and scale an image file from the Internet (Procedure)

Attach Raster Images
Up a level to ..
Scale Raster Images
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Attach Raster Image Files > Attach, Scale, and Detach Raster Images > Attach Raster Images >
Attach Raster Images
Concept Procedure Quick Reference

To attach and scale an image file from the Internet

  1. Click Blocks & References tab [image] References panel [image] Image. At the Command prompt, enter imageattach.
  2. In the Select Image File dialog box, click the Search the Web button.
  3. In the Browse the Web—Open dialog box, enter the URL for the location of the image file in Look In.
  4. Enter the image file name in the File Name box. Click Open.

    You can also select an image by right-clicking the image. Click Properties. You can highlight, copy, and paste the complete image URL Address into the File Name box.

  5. In the Image dialog box, click OK.
  6. If prompted, specify an insertion point and scale factor.
Toolbar: Reference
Command entry: IMAGEATTACH


Attach Raster Images (Quick Reference)

Overview of Raster Images
Attach Raster Images
Scale Raster Images
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Attach Raster Image Files > Attach, Scale, and Detach Raster Images > Attach Raster Images >
Attach Raster Images
Concept Procedure Quick Reference

Commands

IMAGE

Displays the External References palette

IMAGEATTACH

Attaches a new image to the current drawing

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Scale Raster Images (Concept)

Attach Raster Images
Attach, Scale, and Detach Raster Images
Detach Raster Images
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Attach Raster Image Files > Attach, Scale, and Detach Raster Images >
Scale Raster Images
Concept Procedure Quick Reference

You can control the size of a raster image in a drawing to match the scale of the drawing.

You can specify the raster image scale factor when you attach the image so that the scale of the geometry in the image matches the scale of the geometry in the drawing. The default image scale factor is 1, and the default unit for all images is “Unitless.” The image file can contain resolution information defining the dots per inch (DPI), relating to how the image was scanned.

If an image has resolution information, the program combines this information with the scale factor and the unit of measurement of the drawing to scale the image in your drawing. For example, if your raster image is a scanned blueprint on which the scale is 1 inch equals 50 feet, or 1:600, and your drawing is set up so that 1 unit represents 1 inch, then in the Image dialog box under Scale, select Specify On-Screen. To scale the image, you clear Specify On-Screen, and then enter 600 in Scale. The image is then attached at a scale that brings the geometry in the image into alignment with the geometry in the drawing.

If no resolution information is defined with the attached image file, the width of the raster image is set to one unit. Thus, when the image file is attached, the image width in units is equal to the raster image scale factor.


To attach and scale an image (Procedure)

Attach Raster Images
Up a level to ..
Detach Raster Images
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Attach Raster Image Files > Attach, Scale, and Detach Raster Images > Scale Raster Images >
Scale Raster Images
Concept Procedure Quick Reference

To attach and scale an image

  1. Click Blocks & References tab [image] References panel [image] Image. At the Command prompt, enter imageattach.
  2. In the Select Image File dialog box, select a file name from the list or enter the name of the image file in the File Name box. Click Open.
  3. In the Image dialog box, use one of the following methods to specify insertion point, scale, or rotation:
    • Select Specify On-Screen to use the pointing device to insert the image at the location, scale, or angle you want.
    • Clear Specify On-Screen and enter values under Insertion Point, Scale, or Rotation.

      To view the unit of measurement for the image, click Details.

  4. Click OK.
Toolbar: Reference
Command entry: IMAGEATTACH


Scale Raster Images (Quick Reference)

Attach Raster Images
Scale Raster Images
Detach Raster Images
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Attach Raster Image Files > Attach, Scale, and Detach Raster Images > Scale Raster Images >
Scale Raster Images
Concept Procedure Quick Reference

Commands

IMAGE

Displays the External References palette

IMAGEATTACH

Attaches a new image to the current drawing

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Detach Raster Images (Concept)

Scale Raster Images
Attach, Scale, and Detach Raster Images
Modify Raster Images and Image Boundaries
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Attach Raster Image Files > Attach, Scale, and Detach Raster Images >
Detach Raster Images
Concept Procedure Quick Reference

You can detach the reference to an image file in a drawing.

You can detach images that are no longer needed in a drawing. When you detach an image, all instances of the image are removed from the drawing, the image definition is purged, and the link to the image is removed. The image file itself is not affected.

NoteErasing an individual instance of an image is not the same as detaching an image. An image must be detached to remove the link from your drawing to the image file.


To detach an image (Procedure)

Scale Raster Images
Up a level to ..
Modify Raster Images and Image Boundaries
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Attach Raster Image Files > Attach, Scale, and Detach Raster Images > Detach Raster Images >
Detach Raster Images
Concept Procedure Quick Reference

To detach an image

  1. Click Insert menu [image] External References.At the Command prompt, enter externalreferences.
  2. In the External References palette, right-click the image name.
  3. Click Detach.

    The image is no longer linked to the drawing file, and all instances of the image are removed from the drawing.

Command entry: EXTERNALREFERENCES
Toolbar: Reference


Detach Raster Images (Quick Reference)

Scale Raster Images
Detach Raster Images
Show and Hide Raster Image Boundaries
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Attach Raster Image Files > Attach, Scale, and Detach Raster Images > Detach Raster Images >
Detach Raster Images
Concept Procedure Quick Reference

Commands

EXTERNALREFERENCES

Displays the External References palette

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Modify Raster Images and Image Boundaries

Detach Raster Images
Attach Raster Image Files
Show and Hide Raster Image Boundaries
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Attach Raster Image Files >
Modify Raster Images and Image Boundaries
Concept Procedure

You can control the clipping boundaries and image display properties of a raster image.

Topics in this section

  • Show and Hide Raster Image Boundaries

    You can control whether the clipping boundaries of a raster image are displayed or hidden in a drawing.

  • Clip Raster Images

    You can clip the display of a raster image in a drawing with a polygonal clipping boundary.

  • Change Raster Image Brightness, Contrast, and Fade

    You can change several display properties of raster images in a drawing for easier viewing or special effects.

  • Modify Color and Transparency for Bitonal Raster Images

    Bitonal images are images that consist only of a foreground color and a background color. You can change the foreground color and turn the transparency of the background color on and off.


Modify Raster Images and Image Boundaries (Procedure)

Detach Raster Images
Modify Raster Images and Image Boundaries
Show and Hide Raster Image Boundaries
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Attach Raster Image Files > Modify Raster Images and Image Boundaries >
Modify Raster Images and Image Boundaries
Concept Procedure

To show and hide image boundaries

To clip an image

To change the boundary of a clipped image

To show or hide the clipped portion of an image

To delete the boundary of a clipped image

To adjust brightness, contrast, and fade of an image

To change the color and transparency of a bitonal image

To change only the transparency of a bitonal image


Show and Hide Raster Image Boundaries (Concept)

Modify Raster Images and Image Boundaries
Modify Raster Images and Image Boundaries
Clip Raster Images
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Attach Raster Image Files > Modify Raster Images and Image Boundaries >
Show and Hide Raster Image Boundaries
Concept Procedure Quick Reference

You can control whether the clipping boundaries of a raster image are displayed or hidden in a drawing.

You can hide image boundaries. Hiding the image boundary prevents the boundary from being plotted or displayed. Also, hiding the image boundary prevents you from selecting the image with the pointing device, ensuring that the image cannot accidentally be moved or modified. However, images can still be selected if they are not on a locked layer, for example, if the image is part of a named selection set made with the All option when selecting objects. When image boundaries are hidden, clipped images are still displayed to their specified boundary limits; only the boundary is affected. Showing and hiding image boundaries affects all images attached to your drawing.

NoteWhen an image frame is turned off, you cannot select images using the Pick or Window options of SELECT.


To show and hide image boundaries (Procedure)

Modify Raster Images and Image Boundaries
Up a level to ..
Clip Raster Images
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Attach Raster Image Files > Modify Raster Images and Image Boundaries > Show and Hide Raster Image Boundaries >
Show and Hide Raster Image Boundaries
Concept Procedure Quick Reference

To show and hide image boundaries

  1. Click Modify menu [image] Object [image] Image [image] Frame.At the Command prompt, enter imageframe.
  2. To hide image boundaries, enter 0; to show and plot image boundaries, enter 1; to show image boundaries but not plot them, enter 2.
Toolbar: Reference
Command entry: IMAGEFRAME


Show and Hide Raster Image Boundaries (Quick Reference)

Detach Raster Images
Show and Hide Raster Image Boundaries
Clip Raster Images
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Attach Raster Image Files > Modify Raster Images and Image Boundaries > Show and Hide Raster Image Boundaries >
Show and Hide Raster Image Boundaries
Concept Procedure Quick Reference

Commands

IMAGEFRAME

Controls whether image frames are displayed and plotted

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Clip Raster Images (Concept)

Show and Hide Raster Image Boundaries
Modify Raster Images and Image Boundaries
Change Raster Image Brightness, Contrast, and Fade
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Attach Raster Image Files > Modify Raster Images and Image Boundaries >
Clip Raster Images
Concept Procedure Quick Reference

You can clip the display of a raster image in a drawing with a polygonal clipping boundary.

You can increase redrawing speed by clipping the image so that only the parts of the image that you want visible are displayed. You can define the part of an image that you want to display and plot by clipping the image. The clipping boundary can be a rectangle or a two-dimensional (2D) polygon with vertices within the boundaries of the image. Each instance of an image can only have one clipped boundary. Multiple instances of the same image can have different boundaries. You can change the boundary of a clipped image.

You can display a clipped image using the clipping boundary, or you can hide the clipping boundary to display the image with its original boundaries.

You can delete the clipped boundary of an image. When you delete a clipping boundary, the image is displayed with its original boundary.

NoteBefore you can clip an image, the image boundary must be visible. See Show and Hide Raster Image Boundaries.


Clip Raster Images (Procedure)

Show and Hide Raster Image Boundaries
Up a level to ..
Clip Raster Images
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Attach Raster Image Files > Modify Raster Images and Image Boundaries > Clip Raster Images >
Clip Raster Images
Concept Procedure Quick Reference

To clip an image

To change the boundary of a clipped image

To show or hide the clipped portion of an image

To delete the boundary of a clipped image


To clip an image (Procedure)

Clip Raster Images
Up a level to ..
Clip Raster Images
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Attach Raster Image Files > Modify Raster Images and Image Boundaries > Clip Raster Images >
Clip Raster Images
Concept Procedure Quick Reference

To clip an image

  1. Click Modify menu [image] Clip [image] Image.At the Command prompt, enter imageclip.
  2. Select the image to clip by selecting the image boundary.
  3. Enter n (New Boundary).
  4. Enter p (Polygonal) or r (Rectangular), and then draw the boundary on the image.

    If you are drawing a polygonal boundary, you are prompted to specify consecutive vertices. To finish drawing a polygon, press ENTER or right-click anywhere in the drawing area.

Toolbar: Reference
Command entry: IMAGECLIP
Shortcut menu: Select an image and right-click in the drawing area. Click Image [image] Clip.


To change the boundary of a clipped image (Procedure)

Clip Raster Images
Up a level to ..
Clip Raster Images
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Attach Raster Image Files > Modify Raster Images and Image Boundaries > Clip Raster Images >
Clip Raster Images
Concept Procedure Quick Reference

To change the boundary of a clipped image

  1. Click Modify menu [image] Clip [image] Image.At the Command prompt, enter imageclip.
  2. Select the image to clip by selecting the image boundary.
  3. Enter n (New Boundary).
  4. Enter n (No) or y (Yes) to delete the old boundary.
  5. Enter p (Polygonal) or r (Rectangular), and then draw the new boundary on the image.

    If you are drawing a polygonal boundary, you are prompted to specify consecutive vertices. To finish drawing a polygon, press ENTER or right-click anywhere in the drawing area.

    You can modify clipped boundaries with grips. See Use Grips to Edit Objects.

Toolbar: Reference
Command entry: IMAGECLIP
Shortcut menu: Select an image and right-click in the drawing area. Click Image [image] Clip.


To show or hide the clipped portion of an image (Procedure)

Clip Raster Images
Up a level to ..
Clip Raster Images
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Attach Raster Image Files > Modify Raster Images and Image Boundaries > Clip Raster Images >
Clip Raster Images
Concept Procedure Quick Reference

To show or hide the clipped portion of an image

  1. Select the clipped image you want to show or hide.
  2. Right-click in the drawing area. Click Properties.
  3. In the Properties palette, select Yes or No in the Show Image list.
Toolbar: Standard
Command entry: PROPERTIES


To delete the boundary of a clipped image (Procedure)

Clip Raster Images
Up a level to ..
Change Raster Image Brightness, Contrast, and Fade
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Attach Raster Image Files > Modify Raster Images and Image Boundaries > Clip Raster Images >
Clip Raster Images
Concept Procedure Quick Reference

To delete the boundary of a clipped image

  1. Click Modify menu [image] Clip [image] Image.At the Command prompt, enter imageclip.
  2. Select the clipped image with the boundary you want to delete.
  3. Enter d (Delete).

    The boundary of the clipped image is deleted, and the original boundary of the image is restored.

Toolbar: Reference
Command entry: IMAGECLIP
Shortcut menu: Select an image and right-click in the drawing area. Click Image [image] Clip.


Clip Raster Images (Quick Reference)

Show and Hide Raster Image Boundaries
Clip Raster Images
Change Raster Image Brightness, Contrast, and Fade
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Attach Raster Image Files > Modify Raster Images and Image Boundaries > Clip Raster Images >
Clip Raster Images
Concept Procedure Quick Reference

Commands

IMAGECLIP

Uses clipping boundaries to define a subregion of an image object

PROPERTIES

Controls properties of existing objects

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Change Raster Image Brightness, Contrast, and Fade (Concept)

Clip Raster Images
Modify Raster Images and Image Boundaries
Modify Color and Transparency for Bitonal Raster Images
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Attach Raster Image Files > Modify Raster Images and Image Boundaries >
Change Raster Image Brightness, Contrast, and Fade
Concept Procedure Quick Reference

You can change several display properties of raster images in a drawing for easier viewing or special effects.

You can adjust brightness, contrast, and fade for the display of an image as well as for plotted output without affecting the original raster image file and without affecting other instances of the image in the drawing. Adjust brightness to darken or lighten an image. Adjust contrast to make poor-quality images easier to read. Adjust fade to make drawing geometry easier to see over images and to create a watermark effect in your plotted output.

Bitonal images cannot be adjusted for brightness, contrast, or fade. Images fade to the current screen background when displayed, and they fade to white when plotted.


To adjust brightness, contrast, and fade of an image (Procedure)

Clip Raster Images
Up a level to ..
Modify Color and Transparency for Bitonal Raster Images
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Attach Raster Image Files > Modify Raster Images and Image Boundaries > Change Raster Image Brightness, Contrast, and Fade >
Change Raster Image Brightness, Contrast, and Fade
Concept Procedure Quick Reference

To adjust brightness, contrast, and fade of an image

  1. Click Modify menu [image] Object [image] Image [image] Adjust.At the Command prompt, enter imageadjust.
  2. Select the image to modify.
  3. In the Image Adjust dialog box, to adjust brightness, contrast, and fade, use the appropriate slider or enter a value.

    The default value for both brightness and contrast is 50. You can adjust to a maximum brightness of 100 or to a minimum of 0. The default fade value is 0. You can adjust to a maximum fade of 100.

  4. Click OK.
Toolbar: Reference
Command entry: IMAGEADJUST
Shortcut menu: Select an image and right-click in the drawing area. Click Image [image] Adjust.


Change Raster Image Brightness, Contrast, and Fade (Quick Reference)

Clip Raster Images
Change Raster Image Brightness, Contrast, and Fade
Modify Color and Transparency for Bitonal Raster Images
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Attach Raster Image Files > Modify Raster Images and Image Boundaries > Change Raster Image Brightness, Contrast, and Fade >
Change Raster Image Brightness, Contrast, and Fade
Concept Procedure Quick Reference

Commands

IMAGEADJUST

Controls the image display of the brightness, contrast, and fade values of images

PROPERTIES

Controls properties of existing objects

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Modify Color and Transparency for Bitonal Raster Images (Concept)

Change Raster Image Brightness, Contrast, and Fade
Modify Raster Images and Image Boundaries
Manage Raster Images
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Attach Raster Image Files > Modify Raster Images and Image Boundaries >
Modify Color and Transparency for Bitonal Raster Images
Concept Procedure Quick Reference

Bitonal images are images that consist only of a foreground color and a background color. You can change the foreground color and turn the transparency of the background color on and off.

Bitonal raster images are images consisting only of a foreground color and a background color. When you attach a bitonal image, the foreground pixels in the image inherit the current settings for color. In addition to the modifications you make to any attached image, you can modify bitonal images by changing the foreground color and by turning on and off the transparency of the background.

NoteBitonal images and their boundaries are always the same color.


Modify Color and Transparency for Bitonal Raster Images (Procedure)

Change Raster Image Brightness, Contrast, and Fade
Up a level to ..
Modify Color and Transparency for Bitonal Raster Images
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Attach Raster Image Files > Modify Raster Images and Image Boundaries > Modify Color and Transparency for Bitonal Raster Images >
Modify Color and Transparency for Bitonal Raster Images
Concept Procedure Quick Reference

To change the color and transparency of a bitonal image

To change only the transparency of a bitonal image


To change the color and transparency of a bitonal image (Procedure)

Modify Color and Transparency for Bitonal Raster Images
Up a level to ..
Modify Color and Transparency for Bitonal Raster Images
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Attach Raster Image Files > Modify Raster Images and Image Boundaries > Modify Color and Transparency for Bitonal Raster Images >
Modify Color and Transparency for Bitonal Raster Images
Concept Procedure Quick Reference

To change the color and transparency of a bitonal image

  1. Select the image to modify.
  2. Right-click in the drawing area. Click Properties.
  3. In the Properties palette, to change image color, click Color.
  4. In the Color drop-down list, select a color or click Select Color to open the Select Color dialog box. In the Select Color dialog box, specify a color. Click OK.
  5. To change the background of the selected image to transparent, or to change the background image from transparent to opaque, select Yes or No in the Transparency list.
Toolbar: Standard
Command entry: PROPERTIES


To change only the transparency of a bitonal image (Procedure)

Modify Color and Transparency for Bitonal Raster Images
Up a level to ..
Manage Raster Images
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Attach Raster Image Files > Modify Raster Images and Image Boundaries > Modify Color and Transparency for Bitonal Raster Images >
Modify Color and Transparency for Bitonal Raster Images
Concept Procedure Quick Reference

To change only the transparency of a bitonal image

  1. Click Modify menu [image] Object [image] Image [image] Transparency.At the Command prompt, enter transparency.
  2. Select the image to modify.

    To change the background of the selected image to transparent, enter on. Enter off to change the background to opaque.

Toolbar: Reference
Command entry: TRANSPARENCY
Shortcut menu: Select an image and right-click in the drawing area. Click Image [image] Transparency.


Modify Color and Transparency for Bitonal Raster Images (Quick Reference)

Change Raster Image Brightness, Contrast, and Fade
Modify Color and Transparency for Bitonal Raster Images
View Raster Image Information
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Attach Raster Image Files > Modify Raster Images and Image Boundaries > Modify Color and Transparency for Bitonal Raster Images >
Modify Color and Transparency for Bitonal Raster Images
Concept Procedure Quick Reference

Commands

PROPERTIES

Controls properties of existing objects

TRANSPARENCY

Controls whether background pixels in an image are transparent or opaque

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Manage Raster Images

Modify Color and Transparency for Bitonal Raster Images
Attach Raster Image Files
View Raster Image Information
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Attach Raster Image Files >
Manage Raster Images
Concept Procedure

You can view and manipulate raster images and change paths to image files using the External References palette.

Topics in this section

  • View Raster Image Information

    You can view file-specific information about the raster images that are attached to a drawing. You can also load and unload the images and perform other operations using the External References palette.

  • Assign Descriptive Names to Raster Images

    When the name of a raster image file is not sufficient to identify an image, you can add a descriptive name using the External Reference palette.

  • Change File Paths of Raster Images

    With the External References palette, you can change the file path to a referenced raster image file or search for a referenced image when it is reported as not found.


Manage Raster Images (Procedure)

Modify Color and Transparency for Bitonal Raster Images
Manage Raster Images
View Raster Image Information
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Attach Raster Image Files > Manage Raster Images >
Manage Raster Images
Concept Procedure

To display a list of the images attached to the drawing

To display image names and their nesting levels within DWG file references and blocks

To preview an image and view file details

To preview an image that has not been attached

To view image information in the text window

To change an image name

To change the image path


View Raster Image Information (Concept)

Manage Raster Images
Manage Raster Images
Assign Descriptive Names to Raster Images
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Attach Raster Image Files > Manage Raster Images >
View Raster Image Information
Concept Procedure Quick Reference

You can view file-specific information about the raster images that are attached to a drawing. You can also load and unload the images and perform other operations using the External References palette.

In the External References palette, you can view image information either as a list or as a tree in the File References Pane. To control how the information is displayed in the External References palette, click the List View or Tree View button in the upper-right corner. The list view displays the name of each image in the drawing, its loading status, size, date last modified, and search path. The tree view lists the images in a hierarchy that shows their nesting level within referenced drawings and blocks. The status, size, and other information is displayed below in the Details pane.

In either view, you can display information about an image; attach or detach the image; unload or reload the image; and browse for and save a new search path.

Use the List View

The list view displays the images and any other external references attached to the current drawing, but it does not specify the number of instances. It is the default view. You can sort the external references by categories by clicking the column headings. Change the width of a column by dragging its border to the right or left.

The following information is displayed in the list view:

  • Name of the image or selected external reference
  • Status (loaded, unloaded, or not found)
  • File size
  • File type
  • Date and time file was last saved
  • Name of the saved path

If an image cannot be found, its status is listed as Not Found. A Not Found image is displayed as an image boundary in the drawing even if the IMAGEFRAME command is set to off. If the image is unreferenced, no instances are attached for the image. If the image is not loaded, its status is Unloaded. Images with a status of Unloaded or Not Found are not displayed in the drawing.

Use the Tree View

The top level of the tree view lists referenced files in the order that they were attached. In most cases an image file is linked directly to the drawing and listed at the top level. However, if a DWG file reference or a block contains a linked image, additional levels are displayed.

View Image File Details

In the lower panes of the External References palette, you can preview a selected image or view image file details, including

  • Image name
  • Saved path
  • Active path (where the image is found)
  • File creation date
  • File size
  • File type
  • Color
  • Color depth
  • Image size (pixel width and height, resolution and default size)

View Image Information in the Text Window

You can view image information at the Command prompt. Command prompt image information includes image name, image path, the number of definitions, and the number of instances of the image attached to the drawing.


View Raster Image Information (Procedure)

Manage Raster Images
Up a level to ..
View Raster Image Information
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Attach Raster Image Files > Manage Raster Images > View Raster Image Information >
View Raster Image Information
Concept Procedure Quick Reference

To display a list of the images attached to the drawing

To display image names and their nesting levels within DWG file references and blocks

To preview an image and view file details

To preview an image that has not been attached

To view image information in the text window


To display a list of the images attached to the drawing (Procedure)

View Raster Image Information
Up a level to ..
View Raster Image Information
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Attach Raster Image Files > Manage Raster Images > View Raster Image Information >
View Raster Image Information
Concept Procedure Quick Reference

To display a list of the images attached to the drawing

  1. Click Insert menu [image] External References.At the Command prompt, enter externalreferences.
  2. In the External References palette, click the List View button.
Toolbar: Reference
Command entry: EXTERNALREFERENCES
Shortcut menu: Select an image and right-click in the drawing area. Click Image [image] External References.


To display image names and their nesting levels within DWG file references and blocks (Procedure)

View Raster Image Information
Up a level to ..
View Raster Image Information
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Attach Raster Image Files > Manage Raster Images > View Raster Image Information >
View Raster Image Information
Concept Procedure Quick Reference

To display image names and their nesting levels within DWG file references and blocks

  1. Click Insert menu [image] External References.At the Command prompt, enter externalreferences.
  2. In the External References palette, click the Tree View button.
Toolbar: Reference
Command entry: EXTERNALREFERENCES


To preview an image and view file details (Procedure)

View Raster Image Information
Up a level to ..
View Raster Image Information
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Attach Raster Image Files > Manage Raster Images > View Raster Image Information >
View Raster Image Information
Concept Procedure Quick Reference

To preview an image and view file details

  1. Click Insert menu [image] External References.At the Command prompt, enter externalreferences.
  2. In the External References palette, select an image file.
  3. If the View Pane is not open, click the Preview button.

    The file preview is displayed.

  4. To view file details, click the Details button.

    The file details (image size) are displayed.

Toolbar: Reference
Command entry: EXTERNALREFERENCES


To preview an image that has not been attached (Procedure)

View Raster Image Information
Up a level to ..
View Raster Image Information
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Attach Raster Image Files > Manage Raster Images > View Raster Image Information >
View Raster Image Information
Concept Procedure Quick Reference

To preview an image that has not been attached

  1. Click Blocks & References tab [image] References panel [image] Image. At the Command prompt, enter imageattach.
  2. In the Select Image File dialog box, select an image file to display a preview.

    If a preview of the image is not displayed, click Show Preview.

  3. Click Open.
  4. In the Image dialog box, click Details.

    The file details of the image are displayed.

Toolbar: Reference
Command entry: IMAGEATTACH


To view image information in the text window (Procedure)

View Raster Image Information
Up a level to ..
Assign Descriptive Names to Raster Images
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Attach Raster Image Files > Manage Raster Images > View Raster Image Information >
View Raster Image Information
Concept Procedure Quick Reference

To view image information in the text window

  1. At the Command prompt, enter -image.
  2. Enter ? (List).
  3. Press ENTER to list all images.

    The text window displays image information as a list.


View Raster Image Information (Quick Reference)

Modify Color and Transparency for Bitonal Raster Images
View Raster Image Information
Assign Descriptive Names to Raster Images
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Attach Raster Image Files > Manage Raster Images > View Raster Image Information >
View Raster Image Information
Concept Procedure Quick Reference

Commands

EXTERNALREFERENCES

Displays the External References palette

IMAGEATTACH

Attaches a new image to the current drawing

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Assign Descriptive Names to Raster Images (Concept)

View Raster Image Information
Manage Raster Images
Change File Paths of Raster Images
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Attach Raster Image Files > Manage Raster Images >
Assign Descriptive Names to Raster Images
Concept Procedure Quick Reference

When the name of a raster image file is not sufficient to identify an image, you can add a descriptive name using the External Reference palette.

Image names are not necessarily the same as image file names. When you attach an image to a drawing, the program uses the file name without the file extension as the image name. Image names are stored in a symbol table; thus you can change the image name without affecting the name of the file. Up to 255 characters are accepted for image file names. In addition to letters and numbers, names can have spaces and any special characters not used by Microsoft® Windows® or AutoCAD for other purposes.

If you attach and place images with the same name but from two different directories, numbers are appended to the image names.


To change an image name (Procedure)

View Raster Image Information
Up a level to ..
Change File Paths of Raster Images
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Attach Raster Image Files > Manage Raster Images > Assign Descriptive Names to Raster Images >
Assign Descriptive Names to Raster Images
Concept Procedure Quick Reference

To change an image name

  1. Click Insert menu [image] External References.At the Command prompt, enter externalreferences.
  2. In the External Reference palette, in the Detail Pane, select the image name, and then modify the name.
Toolbar: Reference
Command entry: EXTERNALREFERENCES


Assign Descriptive Names to Raster Images (Quick Reference)

View Raster Image Information
Assign Descriptive Names to Raster Images
Change File Paths of Raster Images
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Attach Raster Image Files > Manage Raster Images > Assign Descriptive Names to Raster Images >
Assign Descriptive Names to Raster Images
Concept Procedure Quick Reference

Commands

EXTERNALREFERENCES

Displays the External References palette

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Change File Paths of Raster Images (Concept)

Assign Descriptive Names to Raster Images
Manage Raster Images
Tune Raster Image Performance
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Attach Raster Image Files > Manage Raster Images >
Change File Paths of Raster Images
Concept Procedure Quick Reference

With the External References palette, you can change the file path to a referenced raster image file or search for a referenced image when it is reported as not found.

When you open a drawing with an attached image, the path of the selected image is displayed in the External References palette in the Details Pane under Found At. The path displayed is the actual path where the image file was found. The path where the image file was originally attached is displayed under Saved Path.

To locate the image file, the program searches the following paths and folders in the following order:

  • Path specified when the image was attached
  • Folder containing the current drawing file
  • Project search paths specified on the Files tab of the Options dialog box
  • Support search paths specified on the Files tab of the Options dialog box
  • Start In folder specified in the program shortcut

If you open a drawing that contains an image that is not in the saved path location or in any of the defined search paths, the External References palette displays Not Found in the image list, and the Found At properties is blank.

You can remove the path from the file name or specify a relative path by editing the path in the Found At properties and then clicking OK in the Select Image File dialog box.

For more information about using full paths, relative paths, and project names, see Set Paths to Referenced Drawings.


To change the image path (Procedure)

Assign Descriptive Names to Raster Images
Up a level to ..
Tune Raster Image Performance
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Attach Raster Image Files > Manage Raster Images > Change File Paths of Raster Images >
Change File Paths of Raster Images
Concept Procedure Quick Reference

To change the image path

  1. Click Insert menu [image] External References.At the Command prompt, enter externalreferences.
  2. In the External References palette, select an image whose path you want to change.
  3. In the Details Pane, click the Browse button for Found At.
  4. In the Select Image File dialog box, browse to the new path. Click OK.

    The new path is displayed in the Found At properties.

Toolbar: Reference
Command entry: EXTERNALREFERENCES
Shortcut menu: Select an image and right-click in the drawing area. Click Image [image] External Reference.


Change File Paths of Raster Images (Quick Reference)

Assign Descriptive Names to Raster Images
Change File Paths of Raster Images
Load and Unload Raster Images
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Attach Raster Image Files > Manage Raster Images > Change File Paths of Raster Images >
Change File Paths of Raster Images
Concept Procedure Quick Reference

Commands

EXTERNALREFERENCES

Displays the External References palette

OPTIONS

Customizes the program settings

System Variables

PROJECTNAME

Assigns a project name to the current drawing

Utilities

No entries

Command Modifiers

No entries


Tune Raster Image Performance

Change File Paths of Raster Images
Attach Raster Image Files
Load and Unload Raster Images
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Attach Raster Image Files >
Tune Raster Image Performance
Concept Procedure

You can reduce the demands on system performance when manipulating large or many small raster images.

Topics in this section

  • Load and Unload Raster Images
  • Improve the Display Speed of Raster Images

    To increase the display speed of images, you can change image display quality, hide images not currently needed, use image tiling, or suppress image selection highlighting.


Tune Raster Image Performance (Procedure)

Change File Paths of Raster Images
Tune Raster Image Performance
Load and Unload Raster Images
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Attach Raster Image Files > Tune Raster Image Performance >
Tune Raster Image Performance
Concept Procedure

To unload or reload images

To display specific image instances

To change the image display quality

To show or hide an image


Load and Unload Raster Images (Concept)

Tune Raster Image Performance
Tune Raster Image Performance
Improve the Display Speed of Raster Images
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Attach Raster Image Files > Tune Raster Image Performance >
Load and Unload Raster Images
Concept Procedure Quick Reference

You can improve performance by unloading images when you do not need them in the current drawing session. Unloaded images are not displayed or plotted; only the image boundary is displayed. Unloading an image does not alter its link. If memory is not sufficient to open multiple attached images in a drawing, images are automatically unloaded.

In the External References palette, you can use Reload to reload an unloaded image or to update a loaded image by reloading the image from the specified directory path. If a drawing is closed after an image is unloaded, the image file is not loaded when the drawing is next opened; you must reload it.


Load and Unload Raster Images (Procedure)

Tune Raster Image Performance
Up a level to ..
Load and Unload Raster Images
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Attach Raster Image Files > Tune Raster Image Performance > Load and Unload Raster Images >
Load and Unload Raster Images
Concept Procedure Quick Reference

To unload or reload images

To display specific image instances


To unload or reload images (Procedure)

Load and Unload Raster Images
Up a level to ..
Load and Unload Raster Images
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Attach Raster Image Files > Tune Raster Image Performance > Load and Unload Raster Images >
Load and Unload Raster Images
Concept Procedure Quick Reference

To unload or reload images

  1. Click Insert menu [image] External References.At the Command prompt, enter externalreferences.
  2. In the External References palette, in the File References pane, right-click the image name, and then click Unload or Reload.

    The status of the selected image changes.

    All instances of the selected attached images are unloaded or reloaded.

Toolbar: Reference
Command entry: EXTERNALREFERENCES
Shortcut menu: Select an image to load or unload and right-click in the drawing area. Click Image [image] External References.


To display specific image instances (Procedure)

Load and Unload Raster Images
Up a level to ..
Improve the Display Speed of Raster Images
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Attach Raster Image Files > Tune Raster Image Performance > Load and Unload Raster Images >
Load and Unload Raster Images
Concept Procedure Quick Reference

To display specific image instances

  1. Select the images you don't want to display.
  2. Right-click in the drawing area. Click Properties.
  3. In the Properties palette, select Yes or No in the Show Image list.
Toolbar: Standard
Command entry: PROPERTIES


Load and Unload Raster Images (Quick Reference)

Change File Paths of Raster Images
Load and Unload Raster Images
Improve the Display Speed of Raster Images
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Attach Raster Image Files > Tune Raster Image Performance > Load and Unload Raster Images >
Load and Unload Raster Images
Concept Procedure Quick Reference

Commands

EXTERNALREFERENCES

Displays the External References palette

PROPERTIES

Controls properties of existing objects

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Improve the Display Speed of Raster Images (Concept)

Load and Unload Raster Images
Tune Raster Image Performance
Insert WMF Files
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Attach Raster Image Files > Tune Raster Image Performance >
Improve the Display Speed of Raster Images
Concept Procedure Quick Reference

To increase the display speed of images, you can change image display quality, hide images not currently needed, use image tiling, or suppress image selection highlighting.

To increase the display speed of images, you can change image display quality from the default high quality to draft quality. Draft-quality images appear more grainy (depending on the image file type), but they are displayed more quickly than high-quality images.

You can improve the image quality when using True Color (24 or 32 bits per pixel) for raster images by selecting or clearing certain options on the Display tab in the Options dialog box. When images are displayed at optimum quality, regeneration time increases significantly. To improve performance, decrease the number of colors for the system display setting while working in a drawing.

You can increase redrawing speed by hiding images you do not need in the current drawing session. Hidden images are not displayed or plotted; only the drawing boundary is displayed. You can choose to hide an image regardless of the user coordinate system (UCS) in the current viewport.

Use Tiled Images

Tiled images are small portions (a series of tiles) of large images that load much faster than non-tiled images. If you edit or change any properties of an image, only the modified portion is regenerated, thus improving the regeneration time. TIFF (Tagged Image File Format) is the only tiled format that the program supports. The TIFF reader supports all image types:

  • Bitonal (1 bit per pixel)
  • Gray scale and indexed color (8 bits per pixel)
  • True Color (24 or 32 bits per pixel)

You can save tiled TIFF images with most image scanning tools. The image tiles should be no smaller than 64 x 64 pixels and no larger than 512 x 512 pixels. Additional file readers that support other tiled formats, such as CALS Type II, are available from third-party developers.

Suppress Highlighting When Selecting Images

You can turn on or off the highlighting that identifies the selection of a raster image or the image frame by selecting Highlight Raster Image Frame Only on the Display tab in the Options dialog box. You can also set the IMAGEHLT system variable directly. By default, IMAGEHLT is set to 0, to highlight only the raster image frame. Turning off highlighting of the entire image improves performance.


Improve the Display Speed of Raster Images (Procedure)

Load and Unload Raster Images
Up a level to ..
Improve the Display Speed of Raster Images
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Attach Raster Image Files > Tune Raster Image Performance > Improve the Display Speed of Raster Images >
Improve the Display Speed of Raster Images
Concept Procedure Quick Reference

To change the image display quality

To show or hide an image


To change the image display quality (Procedure)

Improve the Display Speed of Raster Images
Up a level to ..
Improve the Display Speed of Raster Images
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Attach Raster Image Files > Tune Raster Image Performance > Improve the Display Speed of Raster Images >
Improve the Display Speed of Raster Images
Concept Procedure Quick Reference

To change the image display quality

  1. Click Modify menu [image] Object [image] Image [image] Quality.At the Command prompt, enter imagequality.
  2. Enter d (Draft) or h (High).

    Images are displayed at the specified quality.

Toolbar: Reference
Command entry: IMAGEQUALITY


To show or hide an image (Procedure)

Improve the Display Speed of Raster Images
Up a level to ..
Insert WMF Files
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Attach Raster Image Files > Tune Raster Image Performance > Improve the Display Speed of Raster Images >
Improve the Display Speed of Raster Images
Concept Procedure Quick Reference

To show or hide an image

  1. Select the image to modify.
  2. Right-click in the drawing area. Click Properties.
  3. In the Properties palette, to show or hide the image, select Yes or No in the Show Image list.
  4. To switch the background of the selected image between transparent and opaque, select Yes or No in the Transparency list.
Toolbar: Standard
Command entry: PROPERTIES


Improve the Display Speed of Raster Images (Quick Reference)

Load and Unload Raster Images
Improve the Display Speed of Raster Images
Insert WMF Files
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Attach Raster Image Files > Tune Raster Image Performance > Improve the Display Speed of Raster Images >
Improve the Display Speed of Raster Images
Concept Procedure Quick Reference

Commands

IMAGEQUALITY

Controls the display quality of images

OPTIONS

Customizes the program settings

PROPERTIES

Controls properties of existing objects

System Variables

IMAGEHLT

Controls whether the entire raster image or only the raster image frame is highlighted

Utilities

No entries

Command Modifiers

No entries


Insert WMF Files (Concept)

Improve the Display Speed of Raster Images
Import, Attach, or Open Other File Formats
Export Drawings to Other File Formats
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats >
Insert WMF Files
Concept Procedure Quick Reference

WMF (Windows metafile format) files are frequently used to produce clip art and other nontechnical images that you need for drawings. You can insert a WMF file into a drawing file as a block. Unlike bitmaps, WMF files contain vector information that can be resized and printed without losing resolution. If the WMF file contains 2D solids or wide lines, you can turn off their display to increase drawing speed.

WMF files can contain both vector and raster information. However, the program uses only the vector information from a WMF file. When a WMF file containing raster information is imported into the program, the raster information is ignored.

See Also

    • Import Text from External Files


Insert WMF Files (Procedure)

Improve the Display Speed of Raster Images
Up a level to ..
Insert WMF Files
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Insert WMF Files >
Insert WMF Files
Concept Procedure Quick Reference

To insert a WMF file

To control the display of solid fills and wide lines in WMF files


To insert a WMF file (Procedure)

Insert WMF Files
Up a level to ..
Insert WMF Files
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Insert WMF Files >
Insert WMF Files
Concept Procedure Quick Reference

To insert a WMF file

  1. Click Blocks & References tab [image] Import panel [image] WMF File. At the Command prompt, enter wmfin.
  2. In the Import WMF dialog box, select the WMF file you want to open. Click Open.
  3. Specify an insertion point for the WMF file.
  4. To specify the scaling, use one of the following methods:
    • To specify an imaginary box whose dimensions correspond to the scale factor, enter c (Corner) at the Command prompt. Specify the opposite corner above and to the right of the insertion point to avoid inserting a mirror image.
    • To specify 3D scale factors, enter xyz.
    • To set the X and Y scale settings, enter a scale at the Command prompt. You can set different horizontal and vertical scales. Enter 1 to retain the current scale. Enter a higher number to enlarge the metafile image. (Enter 2 to double the size of the image.) Enter a positive number less than 1 to shrink the image. (Enter .5 to halve the size of the image.) Note that using this option makes it very difficult to import the WMF file at a specific scale or size.
  5. Specify the rotation angle.
Command entry: WMFIN


To control the display of solid fills and wide lines in WMF files (Procedure)

Insert WMF Files
Up a level to ..
Export Drawings to Other File Formats
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Insert WMF Files >
Insert WMF Files
Concept Procedure Quick Reference

To control the display of solid fills and wide lines in WMF files

  1. Click Blocks & References tab [image] Import panel [image] WMF File. At the Command prompt, enter wmfin.
  2. In the Import WMF dialog box, click Tools [image] Options.In the Import WMF dialog box, at the Command prompt, enter options.
  3. In the WMF In Options dialog box, select or clear Wire Frame (No Fills) and Wide Lines to set the display of solid fills and wide lines. By default, these options are on.
  4. Click OK.
  5. Import the WMF file in the normal manner.
Command entry: WMFIN


Insert WMF Files (Quick Reference)

Improve the Display Speed of Raster Images
Insert WMF Files
Export DXF Files
Share Data Between Drawings and Applications > Work with Data in Other Formats > Import, Attach, or Open Other File Formats > Insert WMF Files >
Insert WMF Files
Concept Procedure Quick Reference

Commands

IMPORT

Imports files in various formats

WMFIN

Imports a Windows metafile

WMFOPTS

Sets options for WMFIN

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Export Drawings to Other File Formats

Insert WMF Files
Work with Data in Other Formats
Export DXF Files
Share Data Between Drawings and Applications > Work with Data in Other Formats >
Export Drawings to Other File Formats
Concept Procedure

If you need to use the information from a drawing file in another application, you can convert it to a specific format by exporting it. You can also use the Clipboard.

Topics in this section

  • Export DXF Files

    You can export a drawing as a DXF file, which contains drawing information that can be read by other CAD systems.

  • Export MicroStation DGN Files

    You can export DWG files created by AutoCAD-based products to the MicroStation® DGN drawing file format.

  • Export WMF Files
  • Export Raster Files

    You can create a device-independent raster image of the objects in your drawing.

  • Export PostScript Files

    You can convert a drawing file to a PostScript file, a format that is used by many desktop publishing applications.

  • Export ACIS SAT Files

    You can export certain object types to an ACIS file in ASCII (SAT) format.

  • Export Stereolithography STL Files

    You can write solid objects in the STL file format compatible with Stereolithography Apparatus (SLA).


Export Drawings to Other File Formats (Procedure)

Insert WMF Files
Export Drawings to Other File Formats
Export DXF Files
Share Data Between Drawings and Applications > Work with Data in Other Formats > Export Drawings to Other File Formats >
Export Drawings to Other File Formats
Concept Procedure

To create a DXF file

To export a MicroStation DGN drawing

To create a Windows metafile (WMF)

To create a bitmap file (BMP)

To create a JPEG file (JPG)

To create a TIFF file (TIF)

To create a Portable Network Graphics file (PNG)

To export a drawing to an Encapsulated PostScript (EPS) file

To create an ACIS file

To export 3D solids to an STL file


Export DXF Files (Concept)

Export Drawings to Other File Formats
Export Drawings to Other File Formats
Export MicroStation DGN Files
Share Data Between Drawings and Applications > Work with Data in Other Formats > Export Drawings to Other File Formats >
Export DXF Files
Concept Procedure Quick Reference

You can export a drawing as a DXF file, which contains drawing information that can be read by other CAD systems.

You can export a drawing as a DXF (drawing interchange format) file. DXF files are text or binary files that contain drawing information that can be read by other CAD programs. If you are working with consultants who use a CAD program that accepts DXF files, you can share a drawing by saving it as a DXF file.

You can control floating-point precision of the DXF format up to 16 decimal places and save the drawing in either ASCII or binary format. ASCII format results in a text file that you can read and edit; binary format results in a significantly smaller file that is faster to work with.

If you do not want to save the entire drawing, you can choose to export selected objects only. You can use this option to remove extraneous material from drawing files.


To create a DXF file (Procedure)

Export Drawings to Other File Formats
Up a level to ..
Export MicroStation DGN Files
Share Data Between Drawings and Applications > Work with Data in Other Formats > Export Drawings to Other File Formats > Export DXF Files >
Export DXF Files
Concept Procedure Quick Reference

To create a DXF file

  1. Click File menu [image] Save As.At the Command prompt, enter saveas.
  2. In the Save Drawing As dialog box, in the Files of Type box, select a DXF format.
    • To save the entire drawing in DXF format, go directly to step 4.
    • To save specific objects in DXF format, click Tools [image] Options.To save specific objects in DXF format, at the Command prompt, enter options. In the Saveas Options dialog box, select the DXF format you want and select Select Objects. Enter a value for the number of decimal places of accuracy. Click OK.
  3. In the Save Drawing As dialog box, select a folder and enter a file name. Click Save.

    The .dxf extension is appended to the file name.

  4. If you chose to save specific objects, select the objects and press ENTER.
Command entry: SAVEAS


Export DXF Files (Quick Reference)

Insert WMF Files
Export DXF Files
Export MicroStation DGN Files
Share Data Between Drawings and Applications > Work with Data in Other Formats > Export Drawings to Other File Formats > Export DXF Files >
Export DXF Files
Concept Procedure Quick Reference

Commands

EXPORT

Saves objects to other file formats

SAVEAS

Saves a copy of the current drawing under a new file name

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Export MicroStation DGN Files (Concept)

Export DXF Files
Export Drawings to Other File Formats
Export WMF Files
Share Data Between Drawings and Applications > Work with Data in Other Formats > Export Drawings to Other File Formats >
Export MicroStation DGN Files
Concept Procedure Quick Reference

You can export DWG files created by AutoCAD-based products to the MicroStation® DGN drawing file format.

The export process translates basic DWG file data into the corresponding DGN file data. There are several translation options to determine how certain data such as external references are handled, the dynamic range of the DGN file as controlled by the master and subunits specified, and whether the DGN file is to accept data with non-zero Z coordinates.

Exchanging and reusing basic drawing data is very useful in collaborative projects. For example, service organizations such as AEC and design-build firms using an AutoCAD-based product might need to export a site plan to DGN format for access by a landscape firm or perhaps a city planning department.

A Standard (default) mapping translation is used to map DWG-format layers, linetypes, lineweights, and colors to DGN-format levels, linestyles, lineweights, and colors. You can remap these elements based on your company CAD standards, therefore, streamlining the export process while minimizing the need for editing the resulting DGN file (see DGNMAPPING).

Understand the Limitations

The DGN import and export capabilities are designed to provide a fundamental exchange of information between MicroStation DGN files and AutoCAD DWG files. However, translating data from one format to a completely different format inevitably requires compromises and substitutions.

  • Simple geometric objects such as lines, arcs, and circles, and properties such as layer assignments correlate directly between the DWG and DGN data formats.
  • Data with built-in features or variations are visually approximated. For example, text and dimensions might have specialized formatting, and color definitions might be customized.
  • Some data cannot be translated completely. For example, product-specific features such as dynamic blocks, can be represented visually but not behaviorally.
  • Nested references are not merged into the host DGN file when exporting a DWG file with nested references as V7 DGN. The nested reference is not displayed in the host DGN file but the reference chain still exists.
  • AEC objects are not supported and users must use EXPORTTOAUTOCAD command to convert the objects to base ACAD objects before exporting to DGN.

See the DGNEXPORT Conversion Table specific details about the scope of exporting DWG objects and other data to DGN files.

NoteDo not export drawings that include V8 DGN underlays to a V7 DGN format file. The V8 DGN references cannot display in a V7 DGN file because the V8 DGN file format is not a valid design file for the resulting V7 DGN file.

Recommendations

To optimize the data transfer to the MicroStation DGN file format, consider the following recommendations:

  • Minimize the use of custom objects and other data unique to AutoCAD-based products
  • Use simple linetypes as much as possible
  • Use simple hatches and hatch styles
  • Use simple gradients and gradient styles
  • Use simple dimension styles if possible
  • Use TrueType text fonts rather than SHX text fonts
  • Work primarily in one format, DWG or DGN, rather than switching back and forth

When exporting DWG data to DGN files, you need to specify the conversion units of the DGN seed file (master units or sub-units) correctly based on the drawing units of the DWG file. For example, if the DWG file you are exporting to DGN is drawn in inches, and the DGN seed file you are exporting to has master units set to feet and sub-units set to inches, you need to select sub-units in the Export DGN dialog box. If you select master units instead of sub-units, the scale of the imported DWG file will be incorrect. For example, a 36-inch door would display as a 36-foot door.

WarningSome programs that work with DGN files do not support extended characters that the Windows operating system considers valid for file names. Thus, it is recommended that you do not use accented or Asian characters in file names when using DGNEXPORT.


To export a MicroStation DGN drawing (Procedure)

Export DXF Files
Up a level to ..
Export WMF Files
Share Data Between Drawings and Applications > Work with Data in Other Formats > Export Drawings to Other File Formats > Export MicroStation DGN Files >
Export MicroStation DGN Files
Concept Procedure Quick Reference

To export a MicroStation DGN drawing

  1. Click Output tab [image] Send panel [image] Export. At the Command prompt, enter export.
  2. In the Export Data dialog box, in the Files of Type box, select V8 DGN (*.dgn) or V7 DGN (*.dgn).
  3. Specify the name of the DGN file at File Name. Do not use accented or Asian characters.
  4. Click Save.
  5. In the Export DGN Settings dialog box, specify the desired export options.
  6. Click OK.
Command entry: DGNEXPORT


Export MicroStation DGN Files (Quick Reference)

Export DXF Files
Export MicroStation DGN Files
Export WMF Files
Share Data Between Drawings and Applications > Work with Data in Other Formats > Export Drawings to Other File Formats > Export MicroStation DGN Files >
Export MicroStation DGN Files
Concept Procedure Quick Reference

Commands

DGNEXPORT

Creates one or more DGN files from the current drawing

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Export WMF Files (Concept)

Export MicroStation DGN Files
Export Drawings to Other File Formats
Export Raster Files
Share Data Between Drawings and Applications > Work with Data in Other Formats > Export Drawings to Other File Formats >
Export WMF Files
Concept Procedure Quick Reference

The WMF format is used by many Windows applications. A WMF (Windows metafile format) file contains either vector graphic or raster graphic formats. WMF files are created in vector graphics only. A vector-based format allows for faster panning and zooming than other formats.


To create a Windows metafile (WMF) (Procedure)

Export MicroStation DGN Files
Up a level to ..
Export Raster Files
Share Data Between Drawings and Applications > Work with Data in Other Formats > Export Drawings to Other File Formats > Export WMF Files >
Export WMF Files
Concept Procedure Quick Reference

To create a Windows metafile (WMF)

  1. Click Output tab [image] Send panel [image] Export. At the Command prompt, enter export.
  2. In the Export Data dialog box, in the Files of Type box, select Metafile (*.wmf).
  3. Select a folder and enter a file name. Click Save.

    The .wmf extension is appended to the file name.

Command entry: EXPORT


Export WMF Files (Quick Reference)

Export MicroStation DGN Files
Export WMF Files
Export Raster Files
Share Data Between Drawings and Applications > Work with Data in Other Formats > Export Drawings to Other File Formats > Export WMF Files >
Export WMF Files
Concept Procedure Quick Reference

Commands

EXPORT

Saves objects to other file formats

WMFOUT

Saves objects to a Windows metafile

System Variables

WMFBKGND

Controls the background display when objects are inserted in Windows metafile (WMF) format

Utilities

No entries

Command Modifiers

No entries


Export Raster Files (Concept)

Export WMF Files
Export Drawings to Other File Formats
Export PostScript Files
Share Data Between Drawings and Applications > Work with Data in Other Formats > Export Drawings to Other File Formats >
Export Raster Files
Concept Procedure Quick Reference

You can create a device-independent raster image of the objects in your drawing.

Several commands can be used to export objects into device-independent raster images in the bitmap, JPEG, TIFF, and PNG formats.

Objects are displayed in the raster image as they appear on the screen, including objects in shaded and rendered viewports.

File formats such as JPEG are compressed as they are created. Compressed files take up less disk space, but they might not be readable by certain applications.


Export Raster Files (Procedure)

Export WMF Files
Up a level to ..
Export Raster Files
Share Data Between Drawings and Applications > Work with Data in Other Formats > Export Drawings to Other File Formats > Export Raster Files >
Export Raster Files
Concept Procedure Quick Reference

To create a bitmap file (BMP)

To create a JPEG file (JPG)

To create a TIFF file (TIF)

To create a Portable Network Graphics file (PNG)


To create a bitmap file (BMP) (Procedure)

Export Raster Files
Up a level to ..
Export Raster Files
Share Data Between Drawings and Applications > Work with Data in Other Formats > Export Drawings to Other File Formats > Export Raster Files >
Export Raster Files
Concept Procedure Quick Reference

To create a bitmap file (BMP)

  1. At the Command prompt, enter bmpout.
  2. In the Create Raster File dialog box, select a folder and enter a file name. Click Save.

    The .bmp extension is appended to the file name.

  3. Select the objects you want to save.
Command entry: BMPOUT


To create a JPEG file (JPG) (Procedure)

Export Raster Files
Up a level to ..
Export Raster Files
Share Data Between Drawings and Applications > Work with Data in Other Formats > Export Drawings to Other File Formats > Export Raster Files >
Export Raster Files
Concept Procedure Quick Reference

To create a JPEG file (JPG)

  1. At the Command prompt, enter jpgout.
  2. In the Create Raster File dialog box, select a folder and enter a file name. Click Save.

    The .jpg extension is appended to the file name.

  3. Select the objects you want to save.
Command entry: JPGOUT


To create a TIFF file (TIF) (Procedure)

Export Raster Files
Up a level to ..
Export Raster Files
Share Data Between Drawings and Applications > Work with Data in Other Formats > Export Drawings to Other File Formats > Export Raster Files >
Export Raster Files
Concept Procedure Quick Reference

To create a TIFF file (TIF)

  1. At the Command prompt, enter tifout.
  2. In the Create Raster File dialog box, select a folder and enter a file name. Click Save.

    The .tif extension is appended to the file name.

  3. Select the objects you want to save.
Command entry: TIFOUT


To create a Portable Network Graphics file (PNG) (Procedure)

Export Raster Files
Up a level to ..
Export PostScript Files
Share Data Between Drawings and Applications > Work with Data in Other Formats > Export Drawings to Other File Formats > Export Raster Files >
Export Raster Files
Concept Procedure Quick Reference

To create a Portable Network Graphics file (PNG)

  1. At the Command prompt, enter pngout.
  2. In the Create Raster File dialog box, select a folder and enter a file name. Click OK.

    The .png extension is appended to the file name.

  3. Select the objects you want to save.
Command entry: PNGOUT


Export Raster Files (Quick Reference)

Export WMF Files
Export Raster Files
Export PostScript Files
Share Data Between Drawings and Applications > Work with Data in Other Formats > Export Drawings to Other File Formats > Export Raster Files >
Export Raster Files
Concept Procedure Quick Reference

Commands

BMPOUT

Saves selected objects to a file in device-independent bitmap format

EXPORT

Saves objects to other file formats

JPGOUT

Saves selected objects to a file in JPEG file format

PNGOUT

Saves selected objects to a file in a Portable Network Graphics format

TIFOUT

Saves selected objects to a file in TIFF file format

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Export PostScript Files (Concept)

Export Raster Files
Export Drawings to Other File Formats
Export ACIS SAT Files
Share Data Between Drawings and Applications > Work with Data in Other Formats > Export Drawings to Other File Formats >
Export PostScript Files
Concept Procedure Quick Reference

You can convert a drawing file to a PostScript file, a format that is used by many desktop publishing applications.

The PostScript file format type is used by many desktop publishing applications. Its high-resolution print capabilities make it preferable to raster formats, such as GIF, PCX, and TIFF. By converting the drawing to a PostScript format, you can also use PostScript fonts.

Export in PostScript Format

When you export a file in PostScript format as an EPS file, some objects are handled specially.

  • Thickened text, text control codes. If text has a thickness greater than 0 or contains control codes (such as %%O or %%D), it is not plotted as PostScript text, although the text is accurately plotted. International and special symbols (such as %%213) are output as PostScript text.
  • ISO 8859 Latin/1 character set. When text uses character codes in the 127 to 255 range, the text is interpreted according to the ISO 8859 Latin/1 character set. If such a character appears in text that is mapped to PostScript, a version of the font is generated with an encoding vector remapped to represent the ISO character set. The resulting text is output in PostScript in a form compatible with the font.
  • Circles, arcs, ellipses, elliptical arcs. Except when they have thickness, arcs and circles are translated into the equivalent PostScript path objects.
  • Filled solids. A solid fill is plotted as a PostScript filled path.
  • Two-dimensional polylines. A 2D (planar) polyline with uniform width is output as a PostScript stroked path. The PostScript end cap and miter limit variables are set to approximate the segment joining.
See Also

    • Plot Adobe PostScript Files


To export a drawing to an Encapsulated PostScript (EPS) file (Procedure)

Export Raster Files
Up a level to ..
Export ACIS SAT Files
Share Data Between Drawings and Applications > Work with Data in Other Formats > Export Drawings to Other File Formats > Export PostScript Files >
Export PostScript Files
Concept Procedure Quick Reference

To export a drawing to an Encapsulated PostScript (EPS) file

  1. Click Output tab [image] Send panel [image] Export. At the Command prompt, enter export.
  2. In the Export Data dialog box, specify a location and file name for the EPS file.
  3. Under Files of Type, select Encapsulated PS (*.eps)
  4. Click Save.
Command entry: PLOT


Export PostScript Files (Quick Reference)

Export Raster Files
Export PostScript Files
Export ACIS SAT Files
Share Data Between Drawings and Applications > Work with Data in Other Formats > Export Drawings to Other File Formats > Export PostScript Files >
Export PostScript Files
Concept Procedure Quick Reference

Commands

EXPORT

Saves objects to other file formats

PLOT

Plots a drawing to a plotter, printer, or file

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Export ACIS SAT Files (Concept)

Export PostScript Files
Export Drawings to Other File Formats
Export Stereolithography STL Files
Share Data Between Drawings and Applications > Work with Data in Other Formats > Export Drawings to Other File Formats >
Export ACIS SAT Files
Concept Procedure Quick Reference

You can export certain object types to an ACIS file in ASCII (SAT) format.

You can export trimmed NURBS surfaces, regions, and 3D solids to an ACIS file in ASCII (SAT) format. Other objects, such as lines and arcs, are ignored.

Use the ACISOUTVER system variable to specify the ACIS version for the output of the ACISOUT command.


To create an ACIS file (Procedure)

Export PostScript Files
Up a level to ..
Export Stereolithography STL Files
Share Data Between Drawings and Applications > Work with Data in Other Formats > Export Drawings to Other File Formats > Export ACIS SAT Files >
Export ACIS SAT Files
Concept Procedure Quick Reference

To create an ACIS file

  1. Click Output tab [image] Send panel [image] Export. At the Command prompt, enter export.
  2. In the Export Data dialog box, enter a file name.
  3. Under Files of Type, select ACIS (*.sat). Click Save.
  4. Select the objects you want to save as an ACIS file.

    The file extension .sat is automatically appended.

Command entry: EXPORT, ACISOUT


Export ACIS SAT Files (Quick Reference)

Export PostScript Files
Export ACIS SAT Files
Export Stereolithography STL Files
Share Data Between Drawings and Applications > Work with Data in Other Formats > Export Drawings to Other File Formats > Export ACIS SAT Files >
Export ACIS SAT Files
Concept Procedure Quick Reference

Commands

ACISOUT

Exports a body object, solid, or region to an ACIS file

EXPORT

Saves objects to other file formats

System Variables

ACISOUTVER

Controls the ACIS version of SAT files created using the ACISOUT command

Utilities

No entries

Command Modifiers

No entries


Export Stereolithography STL Files (Concept)

Export ACIS SAT Files
Export Drawings to Other File Formats
Use Drawings from Different Versions and Applications
Share Data Between Drawings and Applications > Work with Data in Other Formats > Export Drawings to Other File Formats >
Export Stereolithography STL Files
Concept Procedure Quick Reference

You can write solid objects in the STL file format compatible with Stereolithography Apparatus (SLA).

You can export 3D solid objects in the STL file format compatible with Stereolithography Apparatus (SLA). The solid data is transferred to SLA as a faceted mesh representation consisting of a set of triangles. The SLA workstation uses the data to define a set of layers representing the part.


To export 3D solids to an STL file (Procedure)

Export ACIS SAT Files
Up a level to ..
Use Drawings from Different Versions and Applications
Share Data Between Drawings and Applications > Work with Data in Other Formats > Export Drawings to Other File Formats > Export Stereolithography STL Files >
Export Stereolithography STL Files
Concept Procedure Quick Reference

To export 3D solids to an STL file

  1. Click Output tab [image] Send panel [image] Export. At the Command prompt, enter export.
  2. In the Export Data dialog box, enter a file name.
  3. Under Files of Type, select Lithography (*.stl). Click Save.
  4. Select one or more solid objects. All objects must be entirely within the positive XYZ octant of the world coordinate system (WCS). That is, their X, Y, and Z coordinates must be greater than zero.

    The file extension .stl is automatically appended to the file name.

Command entry: STLOUT


Export Stereolithography STL Files (Quick Reference)

Export ACIS SAT Files
Export Stereolithography STL Files
Save Drawings to Previous Drawing File Formats
Share Data Between Drawings and Applications > Work with Data in Other Formats > Export Drawings to Other File Formats > Export Stereolithography STL Files >
Export Stereolithography STL Files
Concept Procedure Quick Reference

Commands

STLOUT

Stores a solid in an ASCII or binary file

System Variables

FACETRES

Utilities

No entries

Command Modifiers

No entries


Use Drawings from Different Versions and Applications

Export Stereolithography STL Files
Work with Data in Other Formats
Work with Drawings in Earlier Releases
Share Data Between Drawings and Applications > Work with Data in Other Formats >
Use Drawings from Different Versions and Applications
Concept Procedure

You can share drawing files from AutoCAD and AutoCAD LT, drawing files from previous versions, and drawing files that contain custom objects. In some cases there are limitations.

Topics in this section

  • Work with Drawings in Earlier Releases

    When you work with drawings created in AutoCAD 2008 (and later releases) in AutoCAD 2007 (and earlier releases), you should be aware of the following visual fidelity issues.

  • Save Drawings to Previous Drawing File Formats

    You can save a drawing in a format compatible with previous versions of the product.

  • Work with AutoCAD Drawings in AutoCAD LT

    AutoCAD LT offers full compatibility when working with AutoCAD drawings. However, you should understand how AutoCAD LT handles AutoCAD-only features.

  • Work with Custom and Proxy Objects

    Custom objects provide additional capabilities to the program and related products. When the application that created the custom object is not available, a proxy object is substituted in its place.


Use Drawings from Different Versions and Applications (Procedure)

Export Stereolithography STL Files
Use Drawings from Different Versions and Applications
Work with Drawings in Earlier Releases
Share Data Between Drawings and Applications > Work with Data in Other Formats > Use Drawings from Different Versions and Applications >
Use Drawings from Different Versions and Applications
Concept Procedure

To save drawings with visual fidelity for annotative objects

To save an AutoCAD drawing to a previous release format


Work with Drawings in Earlier Releases (Concept)

Use Drawings from Different Versions and Applications
Use Drawings from Different Versions and Applications
Save Drawings to Previous Drawing File Formats
Share Data Between Drawings and Applications > Work with Data in Other Formats > Use Drawings from Different Versions and Applications >
Work with Drawings in Earlier Releases
Concept Procedure

When you work with drawings created in AutoCAD 2008 (and later releases) in AutoCAD 2007 (and earlier releases), you should be aware of the following visual fidelity issues.

Visual Fidelity for Annotative Objects in Previous Releases

You can specify that annotative objects maintain visual fidelity when they are viewed in AutoCAD 2007 (and earlier releases) with the SAVEFIDELITY system variable.

If you work primarily in model space, it is recommended that you turn off visual fidelity (set SAVEFIDELITY to 0). However, if you need to exchange drawings with other users, and layout fidelity is most important, then visual fidelity should be turned on (SAVEFIDELITY set to 1).

Annotative objects may have multiple scale representations. When visual fidelity is on, annotative objects are decomposed and scale representations are saved (in an anonymous block) to separate layers. These layers are named based on their original layer and appended with a number. If you explode the block in AutoCAD 2007 (or earlier releases), and then open the drawing in AutoCAD 2008 (or later releases), each scale representation becomes a separate annotative object, each with one annotation scale. It is recommended that you do not edit or create objects on these layers when working with a drawing created in AutoCAD 2008 (and later releases) in AutoCAD 2007 (and earlier releases).

When visual fidelity for annotative objects is not selected, a single model space representation is displayed on the Model tab. Depending on the setting of the ANNOALLVISIBLE system variable, more annotation objects may be displayed on the Model tab, and more objects may be displayed in paper space viewports at different sizes than in AutoCAD 2008 and later releases.

For a procedure to set visual fidelity for annotative objects, see To save drawings with visual fidelity for annotative objects.

Annotative Object Properties in Previous Releases

In an AutoCAD 2008 drawing, when an annotative block does not have its paper orientation set to match the layout, and the block contains multiline attributes that are based on a text style that is not set to match the orientation of the layout, the attributes may shift positions if you open this drawing in AutoCAD 2007 (and earlier releases).

Layer Property Overrides in Previous Releases

When you open an AutoCAD 2008 drawing containing layer property overrides, overrides are not visible. The property override settings are retained when the drawing is saved in a previous release, and are visible again when the drawing is opened in AutoCAD 2008.

If a viewport containing layer property overrides is deleted when the drawing is opened in a previous release, the override settings are not retained and are not available when the drawing is opened in AutoCAD 2008.

When the VISRETAIN system variable is set to 0 when the drawing is opened in a previous release, xref layers containing viewport property overrides are not retained.

If you open an AutoCAD 2008 drawing in a previous release, property overrides may display in a thumbnail image. When the drawing is saved with a layout tab, and then opened in the previous release, those property overrides do not display.

DGN Underlays in Previous Releases

DGN underlays do not display in releases prior to AutoCAD 2008.

Dimension Enhancements in Previous Releases

AutoCAD 2008 dimension enhancements are lost when they are edited in earlier releases. If you don’t change these dimensions, they are restored when you open the drawing in AutoCAD 2008.

The following dimension enhancements do not lose visual fidelity in previous releases if they are not edited:

  • Dimension breaks
  • Jogged linear dimensions
  • Inspection dimensions
  • Angular dimensions that are dimensioned using the quadrant option
  • Arc extension lines for radial and diameter dimensions

Multileader Objects in Previous Releases

Multileaders display as proxy objects in releases prior to AutoCAD 2008. The PROXYSHOWsystem variable controls the display of proxy objects in a drawing.

MTEXT Paragraph and Paragraph Line Spacing in Previous Releases

Some of the new paragraph spacing and paragraph line spacing options are not supported when an AutoCAD 2008 mtext object is opened in AutoCAD 2007 (and earlier releases).

The following mtext formatting features have no visual fidelity in previous releases:

  • Paragraphs with justified alignment
  • Paragraphs with distributed alignment
  • Fields that wrap across columns
  • Fields that wrap across lines that have new paragraph alignments
  • Paragraphs with non-default alignments in mtext without left object-level justification

The following mtext formatting features have some visual fidelity in previous releases (when it’s possible to add white spaces or replace text with white spaces):

  • Paragraphs with non-default alignments (other than justified or distributed) in mtext that has left object-level justification
  • Paragraphs with tabs using new tab alignments (center, right, or decimal alignment applied)
  • Paragraphs with new line spacing that can be "approximated" with "tall" spaces

Mtext with new formatting that is edited and saved in previous releases loses the new formatting when re-opened in AutoCAD 2008.

Tables in Previous Releases

Editing AutoCAD 2008 tables in previous releases removes AutoCAD 2008 table formatting. Also, AutoCAD 2008 table cells with long block and text strings may extend outside of cell borders when opened in previous releases.

Data Extraction Tables in Previous Releases

For tables that were created with the Data Extraction wizard in AutoCAD 2008, you can’t edit or update the extracted data in previous releases.

Materials in Previous Releases

AutoCAD 2008 introduces new procedural maps for materials and luminance. Drawings created earlier than AutoCAD 2007 that contain materials need to be converted. AutoCAD 2008 provides a system variable, 3DCONVERSIONMODE, that is set to automatically convert old materials to the AutoCAD 2008 format. However, there are some fidelity issues when saving back to previous versions of AutoCAD.

  • Procedural maps Checker, Noise, Speckle, Tiles, and Waves are not available in AutoCAD 2007 (and previous releases.) They do not appear when an AutoCAD 2008 drawing is opened in AutoCAD 2007. Marble and Wood are available but the material mayshow some variation.
  • The behavior of the Opacity map channel under the Realistic material type has been corrected in AutoCAD 2008. In AutoCAD 2008, the Opacity map channel behaves like a transparency map, where white is transparent and black is opaque (this was how it behaved prior to AutoCAD 2007). In AutoCAD 2007, white represented opaque areas and black represented transparent areas.
  • The spherical map rotation is different in AutoCAD 2008. When you open a drawing prior to AutoCAD 2008, the seam for the map is towards the +Y axis. In AutoCAD 2008, it is towards the +X axis.

Lighting in Previous Releases

AutoCAD 2008 provides two options for lighting: standard (generic) lighting and photometric lighting. Previous versions offered only standard (generic) lighting. There is no explicit conversion required for lights from AutoCAD 2007 to AutoCAD 2008. Drawings from AutoCAD 2007 open by default in AutoCAD 2008 in the standard (generic) lighting workflow. The additional photometric properties available in AutoCAD 2008 are available as soon as the photometric lighting workflow is enabled in the drawing.

There is a conversion process required for drawings with lighting prior to AutoCAD 2007. You can use a system variable, 3DVCONVERSTIONMODE, to automatically convert drawings with lighting from previous versions to the AutoCAD 2007 and AutoCAD 2008 lighting format. 3DCONVERSIONMODE has three settings. If set to 0, no conversion takes place. If set to 1, the default value, the conversion takes place automatically. If set to 2, then you are prompted when lights need to be converted and will have the option to convert or not to convert.

Other lighting fidelity issues include

  • Lights in blocks. Lights in blocks created in AutoCAD 2008 do not always display in AutoCAD 2007.
  • Texture illumination. In AutoCAD 2007 (and earlier releases), you can’t add lighting to textures. In AutoCAD 2008, you can.
  • Ground Shadows. The intensity of ground shadows in AutoCAD 2008 depends on the brightness of the light and angle of incidence.

Multiple-Language Support in Previous Releases

Drawing properties in AutoCAD 2008 are saved with Unicode characters. For instance, if you save the latest format drawing containing multiple language drawing properties to a 2004-format drawing, the drawing properties are converted to the native characters of the current Windows language. If text cannot be converted to the native characters, it is saved to CIF codes (\U+nnnn) or MIF codes (\M+nxxxx).

When saving the latest format drawing to a 2004-format drawing, any new symbol or dictionary names (for example, layout name, text style name, dimension style name) created in AutoCAD 2008 are saved in the language that was used when the symbol names were created.

In order to view and edit drawings with characters that are not included in the languages specified for your operating system, make sure supplemental language support is installed in your computer operating system. You can specify the language in the Regional and Language Options dialog box, available from the Windows Control Panel. (You may be able to view text that uses SHX fonts without specifying extra language support.)

Text styles for Asian languages that use SHX and Big Font can support characters only from the same code page. For example, text styles that use a Japanese Big Font cannot support German or Korean characters. (English characters, which are part of every code page, are supported.) Multiple-language support for non-Asian languages is supported for text styles that use SHX fonts with Big Fonts disabled. (The SHX font must define the required characters.)

Multiple-language support does not exist in some earlier versions of AutoCAD. For example, when you save a file to AutoCAD 2000 format, the contents of multiple-language multiline text may be corrupted. This problem is more likely to happen when you open and save a drawing on an operating system with a system language setting that differs from the system in which the drawing was last saved.

NoteDrawings that include external references (xrefs) to drawing files saved in earlier releases also have the limitations described above.
See Also

    • Converting Materials

    • Converting Lights


To save drawings with visual fidelity for annotative objects (Procedure)

Use Drawings from Different Versions and Applications
Up a level to ..
Save Drawings to Previous Drawing File Formats
Share Data Between Drawings and Applications > Work with Data in Other Formats > Use Drawings from Different Versions and Applications > Work with Drawings in Earlier Releases >
Work with Drawings in Earlier Releases
Concept Procedure

To save drawings with visual fidelity for annotative objects

  1. Click Tools menu [image] Options.At the Command prompt, enter options.
  2. In the Options dialog box, Open and Save tab, under File Save, select Maintain Visual Fidelity for Annotative Objects.
  3. Click OK.
Command entry: SAVEFIDELITY


Save Drawings to Previous Drawing File Formats (Concept)

Work with Drawings in Earlier Releases
Use Drawings from Different Versions and Applications
Work with AutoCAD Drawings in AutoCAD LT
Share Data Between Drawings and Applications > Work with Data in Other Formats > Use Drawings from Different Versions and Applications >
Save Drawings to Previous Drawing File Formats
Concept Procedure Quick Reference

You can save a drawing in a format compatible with previous versions of the product.

You can save a drawing created with the current release of the program in a format compatible with previous versions. This process creates a drawing with information specific to the current release stripped out or converted to another object type. As the drawing is exported, a log lists changed or lost information.

If you use the current release to open a drawing created with a previous release, and you do not add any information specific to the current release, you can then save the drawing in the format of the previous release without loss of data.

NoteTo use files with AutoCAD Release 12 or AutoCAD LT Release 2, save the drawing using the AutoCAD R12/LT2 DXF option.

If you need to keep a drawing created in a previous release in its original format, either mark the file as read-only, or open it in the current release and use the File Type options in the Save As dialog box to save it in its original format.

Because saving a drawing in an earlier release format may cause some data loss, be sure to assign a different name to avoid overwriting the current drawing. If you overwrite the current drawing, you can restore the overwritten version from the backup file (filename.bak) that is created during the saving process.

Maintain Associativity in Dimensions

Associative dimensions created in AutoCAD 2002 or later generally maintain their associativity when saved to a previous release and then reopened in the current release. However, if you modify dimensioned objects using a previous release to the extent that new objects are formed, the dimension associations change when the drawing is loaded into the current release. For example, if a line that was dimensioned is trimmed so that an interior portion of the line is removed, two line objects result and the associated dimension applies to only one of the line objects.

Dimension associativity is not maintained when a drawing is saved as an AutoCAD R12/LT 2 DXF file and then reopened in the current release.

NoteDrawings saved in a format previous to AutoCAD 2002 retain the setting of the DIMASSOC system variable. When the drawing is reopened in AutoCAD 2002 or later, the dimension associativity setting is restored. If a legacy drawing is opened in AutoCAD 2002 or later, the DIMASSOC system variable takes on the value of the legacy drawing's DIMASO system variable.

Limitations of Saving to Earlier Versions

Saving a drawing in Release 2000/LT 2000 format is subject to the following limitations:

  • File size can increase.
  • Encryption and digital signatures are not preserved.

Saving a drawing in Release 14/LT 98/LT 97 format is subject to the following limitations:

  • Hyperlinks are converted to Release 14/LT 98/LT 97 attached URLs.
  • Database links and freestanding labels are converted to Release 14/LT 98/LT 97 links and displayable attributes.
  • Database attached labels are converted to multiline text and leader objects, and their link information is not available. Attached labels are restored if you open the drawing in AutoCAD 2000 or later.
  • Dynamic block geometry can be redefined independent of the block’s dynamic elements, and the geometry in the block reference is not updated when the drawing is opened in AutoCAD 2009 or later.
  • Dimensions created using the DIMARC and DIMJOGGED commands may not retain their original color in Release 14/LT 98/LT 97.

Saving a drawing in Release 12/LT 2 DXF format is subject to the following limitations:

  • Lightweight polylines and hatch patterns are converted to Release 12 polylines and hatch patterns.
  • All solids, bodies, regions, ellipses, leaders, multilines, rays, tolerances, and xlines are converted to lines, arcs, and circles as appropriate.
  • Groups, complex linetypes, OLE objects, and preview images are not displayed.
  • Many objects are lost if you save a drawing as Release 12 and open it in Release 2000/LT 2000 or later.
  • Multiple layouts and layout names are lost. Only the Model tab and the current layout tab are saved.
  • Spaces in the names of layers and other objects are converted to underscores, and their maximum length is 32 characters.
  • DWF or DWFx underlay files attached to drawings cannot be saved to Release 12/LT 2 DXF format.
  • The status of external references as unloaded is lost.


To save an AutoCAD drawing to a previous release format (Procedure)

Work with Drawings in Earlier Releases
Up a level to ..
Extract Data Using the Data Extraction Wizard
Share Data Between Drawings and Applications > Work with Data in Other Formats > Use Drawings from Different Versions and Applications > Save Drawings to Previous Drawing File Formats >
Save Drawings to Previous Drawing File Formats
Concept Procedure Quick Reference

To save an AutoCAD drawing to a previous release format

  1. Click File menu [image] Save As.At the Command prompt, enter saveas.
  2. In the Save Drawing As dialog box, in the File Name box, enter a new drawing name.
  3. Under Files of Type, select the AutoCAD or AutoCAD LT file format you want.
  4. Click OK.
Command entry: SAVEAS


Save Drawings to Previous Drawing File Formats (Quick Reference)

Export Stereolithography STL Files
Save Drawings to Previous Drawing File Formats
Work with AutoCAD Drawings in AutoCAD LT
Share Data Between Drawings and Applications > Work with Data in Other Formats > Use Drawings from Different Versions and Applications > Save Drawings to Previous Drawing File Formats >
Save Drawings to Previous Drawing File Formats
Concept Procedure Quick Reference

Commands

CONVERT

Optimizes 2D polylines and associative hatches created in AutoCAD Release 13 or earlier

OPTIONS

Customizes the program settings

SAVE

Saves the drawing under the current file name or a specified name

SAVEAS

Saves a copy of the current drawing under a new file name

System Variables

PLINETYPE

Specifies whether optimized 2D polylines are used

Utilities

No entries

Command Modifiers

No entries


Work with AutoCAD Drawings in AutoCAD LT (Concept)

Save Drawings to Previous Drawing File Formats
Use Drawings from Different Versions and Applications
Work with Custom and Proxy Objects
Share Data Between Drawings and Applications > Work with Data in Other Formats > Use Drawings from Different Versions and Applications >
Work with AutoCAD Drawings in AutoCAD LT
Concept Quick Reference

AutoCAD LT offers full compatibility when working with AutoCAD drawings. However, you should understand how AutoCAD LT handles AutoCAD-only features.

Work with Fields

In AutoCAD, you can create a sheet set and insert LispVariables and SheetSet Manager fields. The LispVariables and SheetSet Manager fields are not available in AutoCAD LT. The drawings created in AutoCAD that contain LispVariables or SheetSet Manager fields can be opened without errors in AutoCAD LT and the cached value is displayed.

Work with Multiple User Coordinate Systems

In AutoCAD, you can choose to use a different user coordinate system (UCS) in each viewport in a single drawing file. In AutoCAD LT, you can use only one UCS in each drawing file. The AutoCAD LT behavior is the same as it was in previous releases.

When you open an AutoCAD drawing file in AutoCAD LT, AutoCAD LT uses only the UCS from the current viewport. If you edit the drawing in AutoCAD LT, and then save it and reopen it in AutoCAD, you may notice some discrepancies in UCS usage. User coordinate systems that were set individually in AutoCAD will probably change if the viewports that use them were activated in the AutoCAD LT session.

Work with AutoCAD 2D and 3D Solid Object Shading

In AutoCAD, visual styles provide shading and wireframe options for objects in the current viewport. AutoCAD LT does not support visual styles. The SHADEMODE command in AutoCAD LT provides only the 2D Wireframe and Hidden options. You can use SHADEMODE in AutoCAD LT to turn off visual styles in viewports that were created in AutoCAD. This exposes the underlying geometry so you can easily edit drawings and use the geometry with precision drawing tools such as object snaps.


Work with AutoCAD Drawings in AutoCAD LT (Quick Reference)

Save Drawings to Previous Drawing File Formats
Work with AutoCAD Drawings in AutoCAD LT
Work with Custom and Proxy Objects
Share Data Between Drawings and Applications > Work with Data in Other Formats > Use Drawings from Different Versions and Applications > Work with AutoCAD Drawings in AutoCAD LT >
Work with AutoCAD Drawings in AutoCAD LT
Concept Quick Reference

Commands

No entries

System Variables

FIELDDISPLAY

Controls whether fields are displayed with a gray background

PERSPECTIVE

Utilities

No entries

Command Modifiers

No entries


Work with Custom and Proxy Objects (Concept)

Work with AutoCAD Drawings in AutoCAD LT
Use Drawings from Different Versions and Applications
Extract Data from Drawings and Spreadsheets
Share Data Between Drawings and Applications > Work with Data in Other Formats > Use Drawings from Different Versions and Applications >
Work with Custom and Proxy Objects
Concept Quick Reference

Custom objects provide additional capabilities to the program and related products. When the application that created the custom object is not available, a proxy object is substituted in its place.

A custom object is a type of object created by an ObjectARX® (AutoCAD Run-Time Extension) application, which typically has more specialized capabilities than standard AutoCAD objects. Custom objects include parametric solids (AutoCAD® Mechanical), intelligently interactive door symbols (AutoCAD® Architecture), polygon objects (Autodesk Map™), and associative dimension objects (AutoCAD and AutoCAD LT).

In addition to Autodesk, many software vendors use ObjectARX to write programs that create graphical and nongraphical custom objects that are useful in their AutoCAD based applications.

Proxy Objects

A proxy object is a substitute for a custom object when the ObjectARX application that created the custom object is not available to AutoCAD or other host applications. Later, when the application is available, the proxy object is replaced by the custom object.

Proxy objects have significantly reduced capabilities compared to their corresponding custom objects. The extent to which proxy objects can be edited is determined by the parent ObjectARX application. For example, operations such as erasing and moving an object, or changing object properties, may or may not be possible on a proxy object, depending on the application that created it.

When you open a drawing, you might see a Proxy Information dialog box. The dialog box tells you the total number of proxy objects in the drawing (both graphical and nongraphical) and the name of the missing application and provides additional information about the proxy object type and display state. You can use the dialog box to control the display of proxy objects.

Object Enablers

An object enabler is a tool that provides specific viewing and standard editing access to a custom object in the host applications when the application that created the custom object is not present.

Object Enablers allow custom objects in a drawing to behave with more intelligence than proxy graphics. Object enablers also facilitate workgroup collaboration when using other Autodesk products.

If the ObjectARX application is not installed on your system, you can check for available Object Enablers on the Web. For example, if you receive a drawing that contains objects that were created in AutoCAD Architecture, but you don't have that application installed on your system, the AEC Object Enabler is downloaded so you can view those drawings as they were intended. To control whether the program checks for Object Enablers, use the Live Enabler settings on the System tab of the Options dialog box.

For a complete list of the currently available Object Enablers, go to the Autodesk Web site at http://www.autodesk.com/enablers.

Object Classification

If an application such as Autodesk Map was used to add a feature (object) classification to an object, you can view the classification in the Properties palette in the Class Name entry. If the object's classification is missing from the associated classification (XML) file, or if the associated classification file is missing, an exclamation mark is displayed in the Class Name entry. For information about what is required to create a feature classification, see the Autodesk Map documentation.

You can also use the Quick Select feature to select objects by their Class names and Class properties.


Work with Custom and Proxy Objects (Quick Reference)

Work with AutoCAD Drawings in AutoCAD LT
Work with Custom and Proxy Objects
Extract Data Using the Data Extraction Wizard
Share Data Between Drawings and Applications > Work with Data in Other Formats > Use Drawings from Different Versions and Applications > Work with Custom and Proxy Objects >
Work with Custom and Proxy Objects
Concept Quick Reference

Commands

EXPORTTOAUTOCAD

Creates a new DWG file with all AEC objects exploded

System Variables

PROXYGRAPHICS

Specifies whether images of proxy objects are saved in the drawing

PROXYNOTICE

Displays a notice when a proxy is created

PROXYSHOW

Controls the display of proxy objects in a drawing

PROXYWEBSEARCH

Specifies how the program checks for object enablers

Utilities

No entries

Command Modifiers

No entries


Extract Data from Drawings and Spreadsheets

Work with Custom and Proxy Objects
Share Data Between Drawings and Applications
Overview of Data Extraction
Share Data Between Drawings and Applications >
Extract Data from Drawings and Spreadsheets

You can extract property data from objects in drawings and export the output to a table or to an external file.

Using the Data Extraction wizard, you select objects and their properties from which to extract data and save the parameters in a file. You can also combine the extracted data with information in a Microsoft Excel spreadsheet. Using table styles, you can quickly create a pre-formatted table that has a title and column labels.

When the extracted data is no longer current with the drawing, you can be notified that the table needs to be updated.

Topics in this section

  • Overview of Data Extraction

    Using the Data Extraction wizard, you can extract property information from objects in drawings, including blocks and their attributes and drawing properties, such as drawing name and summary information. The extracted data can be linked with information in a Microsoft Excel spreadsheet and output to a table or an external file.

  • Extract Data Using the Data Extraction Wizard

    You use the Data Extraction wizard to choose the data source (drawings) to extract property data from selected objects. You can output the data to a table or external file.

  • Link an Excel Spreadsheet to Access Data

    Information in a Microsoft Excel spreadsheet can be combined with extracted data from drawings.

  • Output Extracted Data

    You can export extracted data to a table or an external file.

  • Update Extracted Data

    Extracted data in a table can be updated either manually or automatically.

  • Modify a Data Extraction Table

    You can modify a data extraction table by changing the formatting, adding columns and rows, or editing data in the cells.


Overview of Data Extraction

Extract Data from Drawings and Spreadsheets
Extract Data from Drawings and Spreadsheets
Extract Data Using the Data Extraction Wizard
Share Data Between Drawings and Applications > Extract Data from Drawings and Spreadsheets >
Overview of Data Extraction

Using the Data Extraction wizard, you can extract property information from objects in drawings, including blocks and their attributes and drawing properties, such as drawing name and summary information. The extracted data can be linked with information in a Microsoft Excel spreadsheet and output to a table or an external file.

You can easily select the information you want to extract from objects, including blocks and their attributes and drawing properties to create a schedule, a parts list, or a bill of materials. For example, let’s say you have a residential construction project and you need to create a door installation schedule to place in the drawing. By using the Data Extraction wizard, you can select only those objects that are doors (blocks in this case), and extract the attribute data. Because the Data Extraction wizard also extracts property information from objects, you have more flexibility.

After you select the properties of the doors, the extracted data is displayed in the wizard in columns. You can organize and refine the information in these columns. Once the data is organized, you can format it by specifying a table style or using an existing table as a template.

When you’re satisfied with how the table looks, the extraction is complete when you insert the table into the drawing. If you need to share the extracted information with others on the project, you can output the same extracted data to an external file.

Information stored in an Excel spreadsheet can be linked and combined with the extracted drawing data (object property data). Expanding on the same example, you have some additional information about the doors in the your drawing in an Excel spreadsheet (supplier and cost). You select these columns for supplier and cost in the spreadsheet and combine them with the other data in the data extraction.

The columns in the Excel spreadsheet will be added to the columns on the Refine Data page in the Data Extraction wizard.

All the columns except for Cost were added to the extracted data columns. Excel columns are designated with a symbol in the column label.

The table inserted in the drawing contains columns from both the extracted data and from the Excel spreadsheet.

When a drawing from which property data was extracted has changed, you can be notified that the data extraction table is no longer current. For example, if some doors in the drawing were resized or removed, you can choose to be notified that the data extraction table needs to be updated. Notification is especially useful during critical times when it’s important to know if the data is not current in the table, such as when plotting or publishing.


Extract Data Using the Data Extraction Wizard (Concept)

Overview of Data Extraction
Extract Data from Drawings and Spreadsheets
Start the Data Extraction
Share Data Between Drawings and Applications > Extract Data from Drawings and Spreadsheets >
Extract Data Using the Data Extraction Wizard
Concept Procedure Quick Reference

You use the Data Extraction wizard to choose the data source (drawings) to extract property data from selected objects. You can output the data to a table or external file.

The Data Extraction wizard guides you through the process of

  • Selecting the data source, which can be a drawing, set of drawings, or folders.
  • Filtering objects (non-blocks and blocks) are extracted and selecting properties from which data is extracted.
  • Organizing and refining the extracted data.
  • Merging information from an Excel spreadsheet with the extracted data.
  • Choosing an output format for the data (a table and/or an external file).
  • Formatting the extracted data in a table by specifying a table style or selecting an existing pre-formatted table.

The first time you extract data, you are prompted to save the data extraction settings in a data extraction (DXE) file. Later, if you need to edit the data extraction, you select the DXE file, which contains all the settings (data source, selected objects and their properties, output format and table style) that you used to create the extraction. For example, if you wanted to remove some property data from the extraction, you would select the DXE file that was used to create the extraction and made the desired changes.

A data extraction file can also be used as a template to perform the same type of extraction in a different drawing. The DXE file stores drawing and folder selections, object and property selections, and formatting choices. If you need to extract the same type of information repeatedly, using a DXE file is time-saving and convenient.

You can also edit a DXE file. You can add or remove drawings, add or remove objects, or select different properties from which to extract data. Tables that reference the same DXE file, even if those tables are in other drawings, display the changes when those tables are updated.

NoteYou can use an attribute extraction (BLK) file as a template for extracting data from blocks and attributes. When using a BLK file for extracting data or editing an existing extraction, you are prompted to save the data extraction to a DXE file in order to proceed with the extraction.

Topics in this section

  • Start the Data Extraction
  • Select the Source for a Data Extraction

    You can extract data from individual objects in a drawing, and all objects in a single drawing, multiple drawings, or folders.

  • Select Objects for Data Extraction

    You can select objects, including blocks and their attributes and drawing property information, from which to extract data.

  • Organize and Refine the Extracted Data

    Extracted data can be organized, refined, and formatted before it is output to a table or external file.

  • Use Table Styles for Data Extraction Tables

    A table style or existing table can be used to format a data extraction table.


Extract Data Using the Data Extraction Wizard (Procedure)

Save Drawings to Previous Drawing File Formats
Extract Data Using the Data Extraction Wizard
Extract Data Using the Data Extraction Wizard
Share Data Between Drawings and Applications > Extract Data from Drawings and Spreadsheets > Extract Data Using the Data Extraction Wizard >
Extract Data Using the Data Extraction Wizard
Concept Procedure Quick Reference

To create a new data extraction table

To edit a data extraction for a table

To detach a data extraction (DXE) file from a table


To create a new data extraction table (Procedure)

Extract Data Using the Data Extraction Wizard
Extract Data Using the Data Extraction Wizard
Extract Data Using the Data Extraction Wizard
Share Data Between Drawings and Applications > Extract Data from Drawings and Spreadsheets > Extract Data Using the Data Extraction Wizard >
Extract Data Using the Data Extraction Wizard
Concept Procedure Quick Reference

To create a new data extraction table

It is recommended you save the current drawing before using the Data Extraction wizard. If the current drawing is not saved, you are prompted to save the drawing before proceeding with the data extraction.

  1. Click Annotate tab [image] Tables panel [image] Extract Data. At the command prompt, enter dataextraction.
  2. On the Data Extraction wizard on the Begin page, click Create a New Data Extraction. If you want to use a template (DXE or BLK) file, click Use Previous Extraction as a Template. Click Next.
  3. On the Save Data Extraction As dialog box, specify a file name for the data extraction file. Click Save.
  4. On the Define Data Source page, specify the drawings or folders from which to extract data. Click Next.
  5. On the Select Objects page, select the objects from which to extract data. Click Next.
  6. On the Select Properties page, select the properties from which to extract data. Click Next.
  7. On the Refine Data page, organize the columns if necessary. Click Next.
  8. On the Choose Output page, click Insert Data Extraction Table into Drawing to create a data extraction table. Click Next.
  9. On the Table Styles page, choose a table style. Enter a title for the table if necessary. Click Next.
  10. On the Finish page, click Finish.
  11. In the drawing, click an insertion point when prompted to create the table.

To link to a Microsoft Excel spreadsheet, see Link an Excel Spreadsheet to Access Data.

Toolbar: Modify II
Command entry: DATAEXTRACTION


To edit a data extraction for a table (Procedure)

Extract Data Using the Data Extraction Wizard
Extract Data Using the Data Extraction Wizard
Extract Data Using the Data Extraction Wizard
Share Data Between Drawings and Applications > Extract Data from Drawings and Spreadsheets > Extract Data Using the Data Extraction Wizard >
Extract Data Using the Data Extraction Wizard
Concept Procedure Quick Reference

To edit a data extraction for a table

  1. Right-click the data extraction table. Click Data Extraction [image] Edit Data Extraction Settings.

    The Define Data Source page in the Data Extraction wizard is displayed. The data extraction (DXE) file that was used for the table is automatically loaded.

  2. Click Next.
  3. Proceed through the pages in the wizard making the necessary changes to the data extraction.
  4. On the Finish page, click Finish.
Toolbar: Modify II
Command entry: DATAEXTRACTION


To detach a data extraction (DXE) file from a table (Procedure)

Extract Data Using the Data Extraction Wizard
Extract Data Using the Data Extraction Wizard
Select the Source for a Data Extraction
Share Data Between Drawings and Applications > Extract Data from Drawings and Spreadsheets > Extract Data Using the Data Extraction Wizard >
Extract Data Using the Data Extraction Wizard
Concept Procedure Quick Reference

To detach a data extraction (DXE) file from a table

  • Right-click the data extraction table and click Data Extraction [image] Detach Data Link.

    The data in the table is no longer linked to a data extraction (DXE) file, and cannot be updated.


Extract Data Using the Data Extraction Wizard (Quick Reference)

Work with Custom and Proxy Objects
Extract Data Using the Data Extraction Wizard
Start the Data Extraction
Share Data Between Drawings and Applications > Extract Data from Drawings and Spreadsheets > Extract Data Using the Data Extraction Wizard >
Extract Data Using the Data Extraction Wizard
Concept Procedure Quick Reference

Commands

DATAEXTRACTION

Extracts and exports object property data from drawings and merges data from an external source to a data extraction table or external file

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Start the Data Extraction (Concept)

Extract Data Using the Data Extraction Wizard
Extract Data Using the Data Extraction Wizard
Select the Source for a Data Extraction
Share Data Between Drawings and Applications > Extract Data from Drawings and Spreadsheets > Extract Data Using the Data Extraction Wizard >
Start the Data Extraction
Concept Quick Reference

When you create a new data extraction, you are prompted to save all the specific details about the extraction to a data extraction (DXE) file. The DXE file stores drawing and folder selections, object and property selections, and formatting choices.

You can use a data extraction file as a template to perform the same type of extraction at any time. If you need to extract the same type of information repeatedly, using a DXE file is time-saving and convenient.

You can also edit an existing data extraction to add or remove drawings, add or remove objects, or select different properties from which to extract data. Tables that reference the same DXE file, even if those tables are in other drawings, will display the changes when those tables are updated.


Start the Data Extraction (Quick Reference)

Extract Data Using the Data Extraction Wizard
Extract Data Using the Data Extraction Wizard
Select the Source for a Data Extraction
Share Data Between Drawings and Applications > Extract Data from Drawings and Spreadsheets > Extract Data Using the Data Extraction Wizard > Start the Data Extraction >
Start the Data Extraction
Concept Quick Reference

Commands

DATAEXTRACTION

Extracts and exports object property data from drawings and merges data from an external source to a data extraction table or external file

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Select the Source for a Data Extraction (Concept)

Start the Data Extraction
Extract Data Using the Data Extraction Wizard
Select Objects for Data Extraction
Share Data Between Drawings and Applications > Extract Data from Drawings and Spreadsheets > Extract Data Using the Data Extraction Wizard >
Select the Source for a Data Extraction
Concept Procedure Quick Reference

You can extract data from individual objects in a drawing, and all objects in a single drawing, multiple drawings, or folders.

If you select a drawing, all objects in a drawing are extracted, even those that are not visible. If you have specific objects in a drawing that you want to extract data from, you can create an object selection set.

After selecting the drawing or objects for the data extraction, you can choose to filter the output by selecting options from the Data Extraction Wizard. For example, you can choose to include xrefs, or only model space objects. These options are useful for filtering the data before it is extracted. Later, you have less information to sort through.

When the drawings change in a way that affects the extracted data, you can choose to be notified that the data is not current. See Update Data Extraction Table Automatically for more information.

NoteThe DXEVALsystem variable controls when update notification occurs.

Select Folders for Data Extraction

Using the Add Folder Options dialog box, you can select folders for the data extraction, including subfolders. If the “Automatically Include New Drawings Added In This Folder To The Data Extraction” option is not checked in the dialog box, the selected folder becomes “live”, which means its contents are monitored. That means if drawings are added or to the folder, you can be notified that the data extraction is no longer current.

When new drawings are added to the folder, the New Drawings Found dialog box displays a list of the drawings when the data extraction is edited. At that point, you can select the new drawings to add to the extraction.

The name of a drawing that was added to the folder after the data extraction was performed is listed in the New Drawings Found dialog box.

Using wildcard characters (* and ?) as a search filter, data is extracted from only those drawings that match the search criteria. For example, if a folder contains an entire drawing set for a project, but you want only those drawings that contain piping data, use wild-card characters to find only those drawings. For example, *Pipe*.dwg.

If a new drawing is added to the folder that matches the wild-card search criteria, it will not trigger an update notification because it was not included in the original data extraction. To include the new drawing, you need to edit the data extraction.

If the wildcard search criteria is removed after the data extraction has been performed, the drawings that match the search criteria are no longer monitored. If the wildcard search criteria is changed, only those drawings that match the new criteria are monitored accordingly.


To monitor selected folders for new drawings (Procedure)

Extract Data Using the Data Extraction Wizard
Extract Data Using the Data Extraction Wizard
Organize and Refine the Extracted Data
Share Data Between Drawings and Applications > Extract Data from Drawings and Spreadsheets > Extract Data Using the Data Extraction Wizard > Select the Source for a Data Extraction >
Select the Source for a Data Extraction
Concept Procedure Quick Reference

To monitor selected folders for new drawings

  1. In the Data Extraction wizard, on the Define Data Source page, click Add Folder.
  2. In the Add Folder Options dialog box, clear Automatically Include New Drawings Added in This Folder to the Data Extraction.
  3. To monitor subfolders, click Include Subfolders.
  4. Click OK.
Toolbar: Modify II
Command entry: DATAEXTRACTION


Select the Source for a Data Extraction (Quick Reference)

Start the Data Extraction
Extract Data Using the Data Extraction Wizard
Select Objects for Data Extraction
Share Data Between Drawings and Applications > Extract Data from Drawings and Spreadsheets > Extract Data Using the Data Extraction Wizard > Select the Source for a Data Extraction >
Select the Source for a Data Extraction
Concept Procedure Quick Reference

Commands

DATAEXTRACTION

Extracts and exports object property data from drawings and merges data from an external source to a data extraction table or external file

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Select Objects for Data Extraction (Concept)

Select the Source for a Data Extraction
Extract Data Using the Data Extraction Wizard
Organize and Refine the Extracted Data
Share Data Between Drawings and Applications > Extract Data from Drawings and Spreadsheets > Extract Data Using the Data Extraction Wizard >
Select Objects for Data Extraction
Concept Quick Reference

You can select objects, including blocks and their attributes and drawing property information, from which to extract data.

After you have selected the drawings from which to extract data, the next step is to specify which objects and their properties to extract. This is the data that is output to a table or to an external file. By default, objects are extracted from both model space and paper space, including objects in blocks and xrefs. Using the Data Extraction - Additional Settings dialog box, you can change the default settings.

The Select Objects page in the wizard displays a list of objects. From this page, you can use filters to sort by object type (block or non-block). You can narrow the list of objects even more. For example, you can display only those blocks that have attributes.

Objects and their properties are always extracted using the world coordinate system (WCS), regardless if a user coordinate system (UCS) is current when the data extraction is performed.

Select Object Properties to Be Extracted

After you have selected the objects, the next step is to specify which properties to extract.

The Select Properties page in the Data Extraction wizard displays a list of properties in columns from the selected objects from the Select Objects page. This is where you make a final selection of the properties from which data will be extracted and output to a columnar format. Using predefined category filters such as general, geometry, or attribute, you can narrow the property list.

Property Categories for Filtering a Data Extraction

Extracted properties are categorized for easier filtering. For example, if you wanted to see only those properties pertaining to geometry, select the Geometry filter on the Select Properties page.

The following is a list of the filter categories for the extracted properties displayed on the Select Properties page. The categories include

  • 3D Visualization. Materials.
  • Attribute. Attribute tags.
  • Drawing. File name, location, size, when created and modified.
  • Dynamic Block. Dynamic block properties.
  • General. Color, hyperlink, layer, linetype, and so on.
  • Geometry. Area, start point, end point, radius, and so on.
  • Misc. Dimension style and block name.
  • Pattern. Hatch pattern name, angle, scale, spacing, and so on.
  • Table. Table style.
  • Text. Single line text, multiline text, dimension text, and so on.
NoteThe category filters on the Select Properties page are the same categories that display in the Properties palette.

Property Names

After the property data is extracted, the default property names are used as the column labels in the data grid (example: Width, Length, Area, and so on). You can change these property names so that column labels are replaced with a name you specify. For example, if you extracted the length property of lines, but the column label needs to indicate the data refers to distance, you can change Length to Distance on the Display Name column on the Select Properties page.

The display name for the length property for polylines is renamed Distance.

Property Data and Unit Settings

If you select multiple drawings as the data source, and the unit setting is not the same in all the drawings, a message displays that there is a mismatch of drawing units. In this situation, the current drawing's unit settings are used for converting the numerical value of properties.

For example, if the current drawing’s unit setting is set to inches, and another drawing’s unit setting is set to millimeters, the extracted numerical data is automatically converted to inches. This happens even if the current drawing is not included in the data source.

Property Types

Each property value is treated as either text or numerical data. For example, properties such as radius or length, are treated as numerical data. Attribute numerical values are treated as text. This is important to consider when using formula columns to perform arithmetic functions on extracted data.

Non-Uniformly Scaled Blocks

Objects in blocks that were not scaled uniformly cannot be extracted because the numerical values may not be correct or useful. For example, if a circle is in a block that was inserted with a non-uniform scale factor, the object is no longer a true circle.

A dialog box will display during the extraction that indicates blocks were found that were not uniformly scaled, and the objects within those blocks are not included in the extraction.

Annotative Objects

The property data for annotative objects is extracted using the current annotation scale setting.


Select Objects for Data Extraction (Quick Reference)

Select the Source for a Data Extraction
Extract Data Using the Data Extraction Wizard
Organize and Refine the Extracted Data
Share Data Between Drawings and Applications > Extract Data from Drawings and Spreadsheets > Extract Data Using the Data Extraction Wizard > Select Objects for Data Extraction >
Select Objects for Data Extraction
Concept Quick Reference

Commands

DATAEXTRACTION

Extracts and exports object property data from drawings and merges data from an external source to a data extraction table or external file

System Variables

No entries.

Utilities

No entries

Command Modifiers

No entries


Organize and Refine the Extracted Data (Concept)

Select Objects for Data Extraction
Extract Data Using the Data Extraction Wizard
Use Table Styles for Data Extraction Tables
Share Data Between Drawings and Applications > Extract Data from Drawings and Spreadsheets > Extract Data Using the Data Extraction Wizard >
Organize and Refine the Extracted Data
Concept Procedure Quick Reference

Extracted data can be organized, refined, and formatted before it is output to a table or external file.

The next step in the data extraction process is to refine how the data appears in the data extraction table. Once the data has been extracted from the drawing, it is displayed in columns on the Refine Data page where you can sort and reorder columns, add a formula column, and so on. You can also link to an Excel spreadsheet to add information from a spreadsheet to the extracted data.

From this page in the wizard, you can do the following organizational and refining tasks:

  • Reorder, rename, hide, and sort data in columns
  • Format data in cells (for example: specify a data format or convert text to lowercase)
  • Insert a formula column or insert a totals footer for individual columns
  • Filter data in columns
  • Display or hide the Count or Name columns
  • Group identical rows or display them individually
  • Preview the table in a separate window
  • Create a data link to an Excel spreadsheet

By right-clicking on a column label in the grid view on the Refine Data page, you access options for organizing the information the way you want it to appear in a table or in the order you want it in an external file.

Data can be displayed in either an expanded or collapsed format. In an expanded format, each property is displayed in an individual row in the data grid. In a collapsed format, duplicate property names are grouped together. A Count column is automatically created where the total number of properties are shown for each property row.

All columns that are visible in the data grid are output to the table or external file. Any columns that have been hidden are not included.

NoteColumns that have been extracted from an Excel spreadsheet can also be hidden. These hidden columns will not be included in the data extraction table.

You can sort a single column or multiple columns at the same time using the Sort Columns dialog box.

You can insert formula columns into the data grid. Basic arithmetic operations (+, -, *, /) are available including functions from QUICKCALC and CAL commands, such as SIN, COS, and LOG. An icon displays in column labels for formula columns.

When identical rows containing numerical data are combined, where all rows containing the same property are collapsed into one row, the sum of the data is displayed.

After the data has been organized, the next step is to choose an output format on the Choose Output page.

Columns from Excel Spreadsheet

If you want to include columns from an Excel spreadsheet with the extracted data, use the Link External Data dialog box, where you can set up a link to an XLS file.

If columns from an Excel spreadsheet are extracted, you can organize, manipulate, and hide the columns as data extraction columns. An icon displays in each Excel column label so that you can easily distinguish the columns that are from a spreadsheet from those columns that are from the extracted data. The icon is not displayed in the data extraction table.

If column names in the spreadsheet contain the following characters, they are removed before the columns are displayed in the data grid on the Refine Data page:

< > / “ : ; ? * | = ‘

When a column from an Excel spreadsheet is labeled the same as a column from the extracted drawing data, both columns are displayed; however, the Excel column label has -(External) added to the label name.

See Also
    • Link an Excel Spreadsheet to Access Data
    • Use Formulas in Table Cells


Organize and Refine the Extracted Data (Procedure)

Select the Source for a Data Extraction
Extract Data Using the Data Extraction Wizard
Organize and Refine the Extracted Data
Share Data Between Drawings and Applications > Extract Data from Drawings and Spreadsheets > Extract Data Using the Data Extraction Wizard > Organize and Refine the Extracted Data >
Organize and Refine the Extracted Data
Concept Procedure Quick Reference

To view the path and file name of the data extraction file linked to a table

To rename a column label

To sort extracted data in a column

To filter extracted data in columns

To specify formatting for extracted data in a column

To insert a formula column in the extracted data

To edit a formula in a formula column added to extracted data

To insert a totals footer row for a column in a data extraction table

To display the sum of numerical data in identical property rows


To view the path and file name of the data extraction file linked to a table (Procedure)

Organize and Refine the Extracted Data
Extract Data Using the Data Extraction Wizard
Organize and Refine the Extracted Data
Share Data Between Drawings and Applications > Extract Data from Drawings and Spreadsheets > Extract Data Using the Data Extraction Wizard > Organize and Refine the Extracted Data >
Organize and Refine the Extracted Data
Concept Procedure Quick Reference

To view the path and file name of the data extraction file linked to a table

  1. Right-click the data extraction table. Click Properties.
  2. In the Properties palette, click the button next to Cell Data Link.

The path and name of the data extraction (DXE) file is displayed.


To rename a column label (Procedure)

Organize and Refine the Extracted Data
Extract Data Using the Data Extraction Wizard
Organize and Refine the Extracted Data
Share Data Between Drawings and Applications > Extract Data from Drawings and Spreadsheets > Extract Data Using the Data Extraction Wizard > Organize and Refine the Extracted Data >
Organize and Refine the Extracted Data
Concept Procedure Quick Reference

To rename a column label

  1. In the Data Extraction wizard, on the Refine Data page, right-click a column label. Click Rename Column.
  2. Click Rename Column.
  3. In the column label field, enter a new name. Press ENTER.
Toolbar: Modify II
Command entry: DATAEXTRACTION


To sort extracted data in a column (Procedure)

Organize and Refine the Extracted Data
Extract Data Using the Data Extraction Wizard
Organize and Refine the Extracted Data
Share Data Between Drawings and Applications > Extract Data from Drawings and Spreadsheets > Extract Data Using the Data Extraction Wizard > Organize and Refine the Extracted Data >
Organize and Refine the Extracted Data
Concept Procedure Quick Reference

To sort extracted data in a column

  1. In the Data Extraction wizard on the Refine Data page, click Sort Columns Options.
  2. In the Sort Columns dialog box, select a column name from the drop-down list.
  3. In the Order column, click Ascending or Descending. Click OK.

    The order of the data in the column is changed.

  4. (Optional) To sort additional columns, click Add.
  5. Repeat steps 2 and 3.
Toolbar: Modify II
Command entry: DATAEXTRACTION


To filter extracted data in columns (Procedure)

Organize and Refine the Extracted Data
Extract Data Using the Data Extraction Wizard
Organize and Refine the Extracted Data
Share Data Between Drawings and Applications > Extract Data from Drawings and Spreadsheets > Extract Data Using the Data Extraction Wizard > Organize and Refine the Extracted Data >
Organize and Refine the Extracted Data
Concept Procedure Quick Reference

To filter extracted data in columns

  1. In the Data Extraction wizard on the Refine Data page, right-click a column label. Click Filter Options.
  2. In the Filter dialog box, select a predefined filter from the drop-down list.
  3. From the drop-down list on the left, select a value.
  4. In the Filter Across These Values field, clear any values so that they are not included.
Toolbar: Modify II
Command entry: DATAEXTRACTION


To specify formatting for extracted data in a column (Procedure)

Organize and Refine the Extracted Data
Extract Data Using the Data Extraction Wizard
Organize and Refine the Extracted Data
Share Data Between Drawings and Applications > Extract Data from Drawings and Spreadsheets > Extract Data Using the Data Extraction Wizard > Organize and Refine the Extracted Data >
Organize and Refine the Extracted Data
Concept Procedure Quick Reference

To specify formatting for extracted data in a column

  1. In the Data Extraction wizard on the Refine Data page, right-click the column label for the column that will have its data type changed. From the shortcut menu, click Set Column Data Format.
  2. In the Set Cell Format dialog box, select the data type from the Data Type list (Angle, Currency, Data, Decimal Number, General, Percentage, Point, Text, or Whole Number.)
  3. Depending on the selected data type, specify additional options from the right side of the dialog box.
  4. Click OK.
Toolbar: Modify II
Command entry: DATAEXTRACTION


To insert a formula column in the extracted data (Procedure)

Organize and Refine the Extracted Data
Extract Data Using the Data Extraction Wizard
Organize and Refine the Extracted Data
Share Data Between Drawings and Applications > Extract Data from Drawings and Spreadsheets > Extract Data Using the Data Extraction Wizard > Organize and Refine the Extracted Data >
Organize and Refine the Extracted Data
Concept Procedure Quick Reference

To insert a formula column in the extracted data

  1. In the Data Extraction wizard on the Refine Data page, right-click a column label. Click Insert Formula Column.
  2. In the Insert Formula Column dialog box, in the Column Name field, enter a name for the formula column.
  3. In the Columns list, double-click a column name that contains numerical data. The column name displays in the Formula field.
  4. Choose an operator button [ + - * / ]. The operator displays in the Formula field.
  5. Add another column from the Column Name list, or enter a numerical value.
  6. Click Validate.
  7. Click OK.
Toolbar: Modify II
Command entry: DATAEXTRACTION


To edit a formula in a formula column added to extracted data (Procedure)

Organize and Refine the Extracted Data
Extract Data Using the Data Extraction Wizard
Organize and Refine the Extracted Data
Share Data Between Drawings and Applications > Extract Data from Drawings and Spreadsheets > Extract Data Using the Data Extraction Wizard > Organize and Refine the Extracted Data >
Organize and Refine the Extracted Data
Concept Procedure Quick Reference

To edit a formula in a formula column added to extracted data

  1. In the Data Extraction wizard on the Refine Data page, right-click the column label of the formula column. Click Edit Formula Column.
  2. In the Edit Formula Column dialog box, make changes to the formula.
  3. Click Validate.
  4. Click OK.
Toolbar: Modify II
Command entry: DATAEXTRACTION


To insert a totals footer row for a column in a data extraction table (Procedure)

Organize and Refine the Extracted Data
Extract Data Using the Data Extraction Wizard
Organize and Refine the Extracted Data
Share Data Between Drawings and Applications > Extract Data from Drawings and Spreadsheets > Extract Data Using the Data Extraction Wizard > Organize and Refine the Extracted Data >
Organize and Refine the Extracted Data
Concept Procedure Quick Reference

To insert a totals footer row for a column in a data extraction table

  1. In the Data Extraction wizard on the Refine Data page, right-click the label for the column that will have a footer row. Click Insert Totals Footer.
  2. From the flyout menu, click Sum, Max, Min, or Average.

The totals footer row is placed as the last row for the selected column.

Toolbar: Modify II
Command entry: DATAEXTRACTION


To display the sum of numerical data in identical property rows (Procedure)

Organize and Refine the Extracted Data
Extract Data Using the Data Extraction Wizard
Link an Excel Spreadsheet to Access Data
Share Data Between Drawings and Applications > Extract Data from Drawings and Spreadsheets > Extract Data Using the Data Extraction Wizard > Organize and Refine the Extracted Data >
Organize and Refine the Extracted Data
Concept Procedure Quick Reference

To display the sum of numerical data in identical property rows

  1. In the Data Extraction wizard on the Refine Data page, click Combine Identical Rows.
  2. Right-click the column label. Click Combine Record Mode [image] Sum Values.

    The sum of the numerical data is displayed.

Toolbar: Modify II
Command entry: DATAEXTRACTION


Organize and Refine the Extracted Data (Quick Reference)

Select Objects for Data Extraction
Extract Data Using the Data Extraction Wizard
Use Table Styles for Data Extraction Tables
Share Data Between Drawings and Applications > Extract Data from Drawings and Spreadsheets > Extract Data Using the Data Extraction Wizard > Organize and Refine the Extracted Data >
Organize and Refine the Extracted Data
Concept Procedure Quick Reference

Commands

DATAEXTRACTION

Extracts and exports object property data from drawings and merges data from an external source to a data extraction table or external file

System Variables

DXEVAL

Controls when update notification displays for data extraction tables

Utilities

No entries

Command Modifiers

No entries


Use Table Styles for Data Extraction Tables (Concept)

Organize and Refine the Extracted Data
Extract Data Using the Data Extraction Wizard
Link an Excel Spreadsheet to Access Data
Share Data Between Drawings and Applications > Extract Data from Drawings and Spreadsheets > Extract Data Using the Data Extraction Wizard >
Use Table Styles for Data Extraction Tables
Concept Quick Reference

A table style or existing table can be used to format a data extraction table.

If you chose the option to create a data extraction table on the Choose Output page, the Table Style page is displayed in the wizard.

On the Table Style page in the wizard, you have three options for formatting the table. You can

  • Create a new table style.
  • Select an existing table style.
  • Select an existing table that is stored in a table style.

When you use create a new table style, the Table Style Dialog Box opens where you can choose formatting settings.

If there are table styles defined in the drawing, you can select an existing table style by name. With either choice, you can add a title.

If a table is already defined in a table style, its title and header cells already contain text, and the table is formatted. Using an existing table eliminates repetitive formatting and standardizes how tables are created.

Regardless of whether you use a table style or a table within a table style, the extracted data is inserted between the title, header, and footer rows (if any exist in the table).

The bold line around the cells indicate the boundary of the cells that contain the extracted data.

Before completing the extraction, you can see the results of your formatting choices in a separate preview window.

See Also
    • Work with Table Styles


Use Table Styles for Data Extraction Tables (Quick Reference)

Organize and Refine the Extracted Data
Extract Data Using the Data Extraction Wizard
Understand Data Linking and Matching
Share Data Between Drawings and Applications > Extract Data from Drawings and Spreadsheets > Extract Data Using the Data Extraction Wizard > Use Table Styles for Data Extraction Tables >
Use Table Styles for Data Extraction Tables
Concept Quick Reference

Commands

DATAEXTRACTION

Extracts and exports object property data from drawings and merges data from an external source to a data extraction table or external file

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Link an Excel Spreadsheet to Access Data

Use Table Styles for Data Extraction Tables
Extract Data from Drawings and Spreadsheets
Understand Data Linking and Matching
Share Data Between Drawings and Applications > Extract Data from Drawings and Spreadsheets >
Link an Excel Spreadsheet to Access Data
Concept Procedure

Information in a Microsoft Excel spreadsheet can be combined with extracted data from drawings.

By linking to an Excel spreadsheet, you can include information from an entire worksheet, or part of a worksheet, referred to as a named range. Using the Link External Data dialog box, you can

  • Specify a data link by selecting an XLS file to which the extracted data from the drawing will be linked.
  • Match the extracted drawing data and the spreadsheet data. (See Understand Data Linking and Matching for more information.)
  • Select the columns in the XLS file to merge with the extracted drawing data.

On the Refine Data page, you access the Link External Data dialog box; you can set up a link to an entire Excel spreadsheet, or to a range of rows and columns, to the extracted data.

Before you can link a spreadsheet, Microsoft Excel needs to be installed on the same computer on which the data extraction is performed. If Microsoft Excel is not installed, or if the XLS file is not saved locally on the computer that is performing the data extraction, a data link cannot be established.

If a linked spreadsheet has been changed, such as a row or column has been added, the table in your drawing can be updated accordingly using the DATALINKUPDATE command. Likewise, if a change is made to the table in the drawing, the linked spreadsheet can be updated using the same command.

See Also
    • Overview of Data Extraction

Topics in this section

  • Understand Data Linking and Matching
  • Data Matching Validation


Link an Excel Spreadsheet to Access Data (Procedure)

Organize and Refine the Extracted Data
Link an Excel Spreadsheet to Access Data
Understand Data Linking and Matching
Share Data Between Drawings and Applications > Extract Data from Drawings and Spreadsheets > Link an Excel Spreadsheet to Access Data >
Link an Excel Spreadsheet to Access Data
Concept Procedure

To link data to an Excel spreadsheet in a data extraction table

To set up a named range in Microsoft Excel to use in a data extraction

To view the data link from a data extraction table to an Excel spreadsheet

To detach a link from a data extraction table to an Excel spreadsheet


Understand Data Linking and Matching (Concept)

Link an Excel Spreadsheet to Access Data
Link an Excel Spreadsheet to Access Data
Data Matching Validation
Share Data Between Drawings and Applications > Extract Data from Drawings and Spreadsheets > Link an Excel Spreadsheet to Access Data >
Understand Data Linking and Matching
Concept Procedure Quick Reference

Data linking is the process of selecting a Microsoft Excel spreadsheet with the purpose of merging all or some of its contents with extracted drawing data. See Link a Table to External Data for more information about data linking.

Data matching creates a relationship between two sets of data; the data in a column from the extracted drawing data and the data in a column from an Excel spreadsheet.

For example, you have a simple bill of materials (BOM). Three columns of data are extracted from a drawing. These columns contain data for: Part #, Revision, and Quantity. You want to include two additional columns of data in the BOM from a spreadsheet. These columns contain data for Cost and Supplier.

In this example, the spreadsheet contains a column of part numbers labeled Catalog Number that matches the Part Number column in the extracted data. In the Link External Data dialog box, you select Part # as the column for the drawing data and Catalog Number as the column for the external data. Because there is at least one cell of matching data in the drawing data column and the external data column, the data extraction feature “knows” how both sources are tied together.

You can test if the data matching is valid by clicking the Check Match button from the Link External Data dialog box. If the match is unsuccessful, a warning message indicates what the problem is. In some situations, the drawing data might not link correctly to the data in the spreadsheet. See Data Matching Validation for more information.

See Also
    • Link a Table to External Data


Understand Data Linking and Matching (Procedure)

Link an Excel Spreadsheet to Access Data
Up a level to ..
Understand Data Linking and Matching
Share Data Between Drawings and Applications > Extract Data from Drawings and Spreadsheets > Link an Excel Spreadsheet to Access Data > Understand Data Linking and Matching >
Understand Data Linking and Matching
Concept Procedure Quick Reference

To link data to an Excel spreadsheet in a data extraction table

To set up a named range in Microsoft Excel to use in a data extraction

To view the data link from a data extraction table to an Excel spreadsheet

To detach a link from a data extraction table to an Excel spreadsheet


To link data to an Excel spreadsheet in a data extraction table (Procedure)

Understand Data Linking and Matching
Up a level to ..
Understand Data Linking and Matching
Share Data Between Drawings and Applications > Extract Data from Drawings and Spreadsheets > Link an Excel Spreadsheet to Access Data > Understand Data Linking and Matching >
Understand Data Linking and Matching
Concept Procedure Quick Reference

To link data to an Excel spreadsheet in a data extraction table

  1. In the Data Extraction wizard on the Refine Data page, click Link External Data.
  2. In the Link External Data dialog box, click Launch Data Link Manager.
  3. In the Data Link Manager tree view, select Click the Create a New Excel Data Link option.
  4. In the Enter Data Link Name dialog box, enter a name for the data link. Click OK.
  5. Click the [...] button to browse for the .xls or .csv file to be linked to.
  6. In the New Excel Data Link dialog box, select a link option (whole sheet, range, or Excel named range). Click OK.
  7. Select the new data link in the Data Link Manager tree view. Click OK.
  8. In the Link External Data dialog box, in the Drawing Data Column list, specify the column you want to link.
  9. In the External Data Column list, specify the Excel column you want to link.
  10. Click Check Match. If an error displays, see Data Matching Validation.
  11. From the Select External Data Columns to Include, select the Excel columns from the list you want to add to the extracted data.
  12. Click OK.
Toolbar: Modify II
Command entry: DATAEXTRACTION


To set up a named range in Microsoft Excel to use in a data extraction (Procedure)

Understand Data Linking and Matching
Up a level to ..
Understand Data Linking and Matching
Share Data Between Drawings and Applications > Extract Data from Drawings and Spreadsheets > Link an Excel Spreadsheet to Access Data > Understand Data Linking and Matching >
Understand Data Linking and Matching
Concept Procedure Quick Reference

To set up a named range in Microsoft Excel to use in a data extraction

  1. In Microsoft Excel, open the workbook or spreadsheet that you want to access.
  2. Select a range of cells to function as a linked range.
  3. Enter a name for the range of cells in the Name Box, then press ENTER.
  4. Repeat steps 2 and 3, if desired, to specify additional linked ranges.
  5. On the File menu (Microsoft Excel), click Save.


To view the data link from a data extraction table to an Excel spreadsheet (Procedure)

Understand Data Linking and Matching
Up a level to ..
Understand Data Linking and Matching
Share Data Between Drawings and Applications > Extract Data from Drawings and Spreadsheets > Link an Excel Spreadsheet to Access Data > Understand Data Linking and Matching >
Understand Data Linking and Matching
Concept Procedure Quick Reference

To view the data link from a data extraction table to an Excel spreadsheet

  • Right-click the data extraction table. Click Properties.

The Cell Data Link field in the Properties palette displays the name of the data link associated with the table.


Understand Data Linking and Matching (Procedure)

Understand Data Linking and Matching
Up a level to ..
Understand Data Linking and Matching
Share Data Between Drawings and Applications > Extract Data from Drawings and Spreadsheets > Link an Excel Spreadsheet to Access Data > Understand Data Linking and Matching >
Understand Data Linking and Matching
Concept Procedure Quick Reference
Menu: Tools
Command entry: DATALINKUPDATE


To detach a link from a data extraction table to an Excel spreadsheet (Procedure)

Understand Data Linking and Matching
Up a level to ..
Output Extracted Data
Share Data Between Drawings and Applications > Extract Data from Drawings and Spreadsheets > Link an Excel Spreadsheet to Access Data > Understand Data Linking and Matching >
Understand Data Linking and Matching
Concept Procedure Quick Reference

To detach a link from a data extraction table to an Excel spreadsheet

  • Select the data extraction table and right-click. Click Data Links [image] Detach Data Link.

The data link to the Excel spreadsheet is removed from the data extraction table.


Understand Data Linking and Matching (Quick Reference)

Use Table Styles for Data Extraction Tables
Understand Data Linking and Matching
Data Matching Validation
Share Data Between Drawings and Applications > Extract Data from Drawings and Spreadsheets > Link an Excel Spreadsheet to Access Data > Understand Data Linking and Matching >
Understand Data Linking and Matching
Concept Procedure Quick Reference

Commands

DATAEXTRACTION

Extracts and exports object property data from drawings and merges data from an external source to a data extraction table or external file

System Variables

DXEVAL

Controls when update notification displays for data extraction tables

Utilities

No entries

Command Modifiers

No entries


Data Matching Validation (Concept)

Understand Data Linking and Matching
Link an Excel Spreadsheet to Access Data
Output Extracted Data
Share Data Between Drawings and Applications > Extract Data from Drawings and Spreadsheets > Link an Excel Spreadsheet to Access Data >
Data Matching Validation
Concept Quick Reference

The data matching validation process fails when it cannot find a valid match between the drawing data and external data (spreadsheet). The following error messages will display:

No match was found between any values in the drawing data and external data.

  • If the problem is not resolved, the external data will not be merged. Compare the spreadsheet column data to the drawing data column for any matching values. For example, the numerical data in the drawing data may be set to a different precision level than in the external data.

The data column in the external data does not contain unique values.

  • The data in the external data column contains one or more cells that contain identical data. This condition makes it so that one match cannot be configured between the drawing data and the external data.


Data Matching Validation (Quick Reference)

Understand Data Linking and Matching
Data Matching Validation
Output Extracted Data
Share Data Between Drawings and Applications > Extract Data from Drawings and Spreadsheets > Link an Excel Spreadsheet to Access Data > Data Matching Validation >
Data Matching Validation
Concept Quick Reference

Commands

DATAEXTRACTION

Extracts and exports object property data from drawings and merges data from an external source to a data extraction table or external file

System Variables

DXEVAL

Controls when update notification displays for data extraction tables

Utilities

No entries

Command Modifiers

No entries


Output Extracted Data (Concept)

Data Matching Validation
Extract Data from Drawings and Spreadsheets
Update Extracted Data
Share Data Between Drawings and Applications > Extract Data from Drawings and Spreadsheets >
Output Extracted Data
Concept Procedure Quick Reference

You can export extracted data to a table or an external file.

On the Choose Output page in the Data Extraction wizard, you can output the extracted data to a data extraction table, to an external file, or both.

Output Extracted Data to a Table

By choosing the Insert Data Extraction Table into Drawing option on the Choose Output page, you are prompted to insert the table into the current drawing when the extraction is complete. The table is created using the table style you selected, and is populated with the data that was extracted from the data source. If an Excel spreadsheet is linked, the selected columns from the spreadsheet are included in the table.

Although a data extraction table looks like a table that was created using the TABLE command, there are some key differences.

  • A tooltip displays information about the data extraction when the table is selected.

    When a drawing containing a data extraction table is opened in AutoCAD LT, the tooltip text indicates the table contains extracted data. You cannot update the extracted data or change a data link, if one exists

  • The cells are locked and their contents cannot be modified unless they are unlocked. (Be default, formatting for cells is unlocked.)

Cells in a data extraction table are locked by default to prevent editing. Individual cells or the entire table can be unlocked if you want to make data changes. See Modify a Data Extraction Table for more information.

See Also
    • Modify a Data Extraction Table

Output Extracted Data to a File

The same data that is extracted to a table can be exported to an external file. On the Choose Output page, select the Output Data to an External File option. If a data link was established to an Excel spreadsheet, the data in the spreadsheet is also exported.

You can export the data to the following file formats:

  • Microsoft Excel (XLS).
  • Microsoft Access (MDB).
  • Comma-Separated (CSV). A .csv file is a data file in which the fields are separated by the comma character and records (rows) are separated by new lines. This format is suitable for input into most spreadsheet applications.
  • Tab-Separated (TXT). A txt file is a data file in which the fields are separated by tab characters. This format is suitable for input into a spreadsheet application. Formatting information is not included.
NoteWhen the characters period (.), comma (,), or pound sign (#) are written to an Excel or Access file, they are replaced with their Unicode representation.

By right-clicking a data extraction table, you can access the Export option to output the contents of the entire table to a comma-separated (CSV) file. You can also use the -DATAEXTRACTION command to export data in the drawing using a BLK or DXE template file.

A maximum of 255 columns can be output when exporting to either a Microsoft Excel (XLS) file or Microsoft Access (MDB) file. If the extracted data exceeds 255 columns, a dialog box is displayed after clicking Next on the Choose Output page when either file format is chosen. The dialog box indicates only the first 255 columns of data will be exported. An unlimited number of columns can be exported to the comma-separated (CSV) and tab-separated (TXT) file formats.


Output Extracted Data (Procedure)

Understand Data Linking and Matching
Output Extracted Data
Output Extracted Data
Share Data Between Drawings and Applications > Extract Data from Drawings and Spreadsheets > Output Extracted Data >
Output Extracted Data
Concept Procedure Quick Reference

To export extracted data to an external file using the Data Extraction wizard

To export extracted data in a table to a comma-separated (CSV) file


To export extracted data to an external file using the Data Extraction wizard (Procedure)

Output Extracted Data
Output Extracted Data
Output Extracted Data
Share Data Between Drawings and Applications > Extract Data from Drawings and Spreadsheets > Output Extracted Data >
Output Extracted Data
Concept Procedure Quick Reference

To export extracted data to an external file using the Data Extraction wizard

  1. Click Annotate tab [image] Tables panel [image] Extract Data. At the command prompt, enter dataextraction.
  2. In the Data Extraction wizard, click Next on each page until the Choose Output page is displayed.
  3. Click Output Data to External File.
  4. Click the Browse button. Select a file format from the drop-down list.
  5. Click Next. Proceed through the wizard until the Finish page displays.
  6. Click Finish.

The external file is created.

Toolbar: Modify II
Command entry: DATAEXTRACTION


To export extracted data in a table to a comma-separated (CSV) file (Procedure)

Output Extracted Data
Output Extracted Data
Update Extracted Data
Share Data Between Drawings and Applications > Extract Data from Drawings and Spreadsheets > Output Extracted Data >
Output Extracted Data
Concept Procedure Quick Reference

To export extracted data in a table to a comma-separated (CSV) file

  1. Select the table and right-click. Click Export.
  2. In the Export Data dialog box, enter a file name or accept the default file name. Click Save.

The external file is created as a CSV file.


Output Extracted Data (Quick Reference)

Data Matching Validation
Output Extracted Data
Update Extracted Data
Share Data Between Drawings and Applications > Extract Data from Drawings and Spreadsheets > Output Extracted Data >
Output Extracted Data
Concept Procedure Quick Reference

Commands

DATAEXTRACTION

Extracts and exports object property data from drawings and merges data from an external source to a data extraction table or external file

System Variables

DXEVAL

Controls when update notification displays for data extraction tables

Utilities

No entries

Command Modifiers

No entries


Update Extracted Data (Concept)

Output Extracted Data
Extract Data from Drawings and Spreadsheets
Update Extracted Data Manually
Share Data Between Drawings and Applications > Extract Data from Drawings and Spreadsheets >
Update Extracted Data
Concept Procedure Quick Reference

Extracted data in a table can be updated either manually or automatically.

Extracted data can be updated so that it is current with the data source. You can manually update the extracted data, whether it is output to a data extraction table or to an external file, or rely on a notification to display when using certain trigger commands, such as SAVE or PLOT. You can then choose to update the table from the Data Extraction - Out Of Date Table dialog box.

NoteExtracted data in external files is not checked to see if it is current with the data source, and notification does not occur.

Update an Attribute Extraction Table

You can update the contents of a table that was created using the Attribute Extraction wizard. Before it can be updated, the table first needs to be converted to a data extraction table.

NoteThe width and height of columns of the attribute extraction table are not retained after it is converted to a data extraction table.
See Also
    • Select the Source for a Data Extraction

Topics in this section

  • Update Extracted Data Manually

    You can update the extracted data in a table or external file manually.

  • Update Data Extraction Table Automatically

    You can specify to be notified when extracted data has changed.


Update Extracted Data (Procedure)

Output Extracted Data
Update Extracted Data
Update Extracted Data
Share Data Between Drawings and Applications > Extract Data from Drawings and Spreadsheets > Update Extracted Data >
Update Extracted Data
Concept Procedure Quick Reference

To edit the data extraction settings for a data extraction table

To convert an attribute extraction table to a data extraction table


To edit the data extraction settings for a data extraction table (Procedure)

Update Extracted Data
Update Extracted Data
Update Extracted Data
Share Data Between Drawings and Applications > Extract Data from Drawings and Spreadsheets > Update Extracted Data >
Update Extracted Data
Concept Procedure Quick Reference

To edit the data extraction settings for a data extraction table

  1. In the drawing, right-click the data extraction table. Click Data Extraction [image] Edit Data Extraction Settings.
  2. In the Data Extraction wizard, on the Define Data source page, make any changes.
  3. Click Next. Proceed through the wizard and make the necessary changes until the Finish page is displayed.
  4. Click Finish.


To convert an attribute extraction table to a data extraction table (Procedure)

Update Extracted Data
Update Extracted Data
Update Extracted Data Manually
Share Data Between Drawings and Applications > Extract Data from Drawings and Spreadsheets > Update Extracted Data >
Update Extracted Data
Concept Procedure Quick Reference

To convert an attribute extraction table to a data extraction table

  1. Right-click the attribute extraction table. Click Convert to Data Extraction Table.
  2. In the dialog box, enter a name for the data extraction (DXE) file and click Save.


Update Extracted Data (Quick Reference)

Output Extracted Data
Update Extracted Data
Update Extracted Data Manually
Share Data Between Drawings and Applications > Extract Data from Drawings and Spreadsheets > Update Extracted Data >
Update Extracted Data
Concept Procedure Quick Reference

Commands

DATAEXTRACTION

Extracts and exports object property data from drawings and merges data from an external source to a data extraction table or external file

System Variables

DXEVAL

Controls when update notification displays for data extraction tables

Utilities

No entries

Command Modifiers

No entries


Update Extracted Data Manually (Concept)

Update Extracted Data
Update Extracted Data
Update Data Extraction Table Automatically
Share Data Between Drawings and Applications > Extract Data from Drawings and Spreadsheets > Update Extracted Data >
Update Extracted Data Manually
Concept Procedure Quick Reference

You can update the extracted data in a table or external file manually.

If the drawings that were used for the data extraction have changed, you can manually update the data. To update a data extraction table, you can use either of two methods.

  • Open the drawing that contains the table and use the Data Extraction wizard to edit the DXE file that contains the extraction settings.
  • Right-click the data extraction table to access its shortcut menu. Click Data Extraction [image] Update Data Extraction.

To update the extracted data that was output to an external file, you use the Data Extraction wizard and specify the DXE file that was used for the extraction.

NoteThe .dxe file is saved with the file name and location that was specified when a new data extraction was created.

Using the data extraction (DXE) file, you can also edit an existing data extraction to add or remove drawings, add or remove objects, or select different properties from which to extract data. Tables that reference the same DXE file, even if those tables are in other drawings, will display the changes when those tables are updated.

NoteFor access to shortcut menus in the drawing area that are needed for editing and updating tables, the Shortcut Menus in Drawing Area must be checked in the Options dialog box, User Preference tab.


Update Extracted Data Manually (Procedure)

Update Extracted Data
Update Extracted Data
Update Extracted Data Manually
Share Data Between Drawings and Applications > Extract Data from Drawings and Spreadsheets > Update Extracted Data > Update Extracted Data Manually >
Update Extracted Data Manually
Concept Procedure Quick Reference

To modify an existing data extraction in an external file

To change a data link for a data extraction table

To view a data extraction (DXE) file associated with a data extraction table

To view a data extraction (DXE) file and linked Excel (XLS) file associated with a drawing

To detach a data link for a data extraction table

To manually update a data extraction table


To modify an existing data extraction in an external file (Procedure)

Update Extracted Data Manually
Update Extracted Data
Update Extracted Data Manually
Share Data Between Drawings and Applications > Extract Data from Drawings and Spreadsheets > Update Extracted Data > Update Extracted Data Manually >
Update Extracted Data Manually
Concept Procedure Quick Reference

To modify an existing data extraction in an external file

  1. In the drawing, right-click the data extraction table. Click Data Extraction [image] Edit Data Extraction Settings.
  2. In the Data Extraction wizard, on the Define Data Source page, make any changes.
  3. Click Next. Proceed through the wizard and make the necessary changes until the Finish page displays.
  4. Click Finish.


To change a data link for a data extraction table (Procedure)

Update Extracted Data Manually
Update Extracted Data
Update Extracted Data Manually
Share Data Between Drawings and Applications > Extract Data from Drawings and Spreadsheets > Update Extracted Data > Update Extracted Data Manually >
Update Extracted Data Manually
Concept Procedure Quick Reference

To change a data link for a data extraction table

  1. In the drawing, right-click the data extraction table. Click Data Extraction [image] Edit Data Extraction Settings.
  2. In the Data Extraction wizard, on the Define Data Source page, click Next and proceed to the Refine Data page displays.
  3. Click Link External Data.
  4. Click Launch Data Link Manager.
  5. Click the Create a New Excel Data Link option.
  6. In the Enter Data Link Name dialog box, enter a name for the data link. Click OK.
  7. Click the [...] button to browse for the .xls file.
  8. In the New Excel Data Link dialog box, select a link option (whole sheet, range, or Excel named range). Click OK.
  9. Select the new data link in the Data LInk Manager tree view. Click OK.


To view a data extraction (DXE) file associated with a data extraction table (Procedure)

Update Extracted Data Manually
Update Extracted Data
Update Extracted Data Manually
Share Data Between Drawings and Applications > Extract Data from Drawings and Spreadsheets > Update Extracted Data > Update Extracted Data Manually >
Update Extracted Data Manually
Concept Procedure Quick Reference

To view a data extraction (DXE) file associated with a data extraction table

  • In the drawing, right-click a cell in the data extraction table. Click Cell Data Link.

    The path and the DXE file name is displayed.


To view a data extraction (DXE) file and linked Excel (XLS) file associated with a drawing (Procedure)

Update Extracted Data Manually
Update Extracted Data
Update Extracted Data Manually
Share Data Between Drawings and Applications > Extract Data from Drawings and Spreadsheets > Update Extracted Data > Update Extracted Data Manually >
Update Extracted Data Manually
Concept Procedure Quick Reference

To view a data extraction (DXE) file and linked Excel (XLS) file associated with a drawing

  • Click Insert [image] External References.At the command prompt, enter externalreferences.

The file name and path are displayed. If a data link exists to a Microsoft Excel (XLS) file, information about the data link is displayed on the Details pane.


To detach a data link for a data extraction table (Procedure)

Update Extracted Data Manually
Update Extracted Data
Update Extracted Data Manually
Share Data Between Drawings and Applications > Extract Data from Drawings and Spreadsheets > Update Extracted Data > Update Extracted Data Manually >
Update Extracted Data Manually
Concept Procedure Quick Reference

To detach a data link for a data extraction table

  • In the drawing, right-click the data extraction table. Click Data Extraction [image] Detach Data Link.

    The .DXE file is detached from the data extraction table.


To manually update a data extraction table (Procedure)

Update Extracted Data Manually
Update Extracted Data
Modify a Data Extraction Table
Share Data Between Drawings and Applications > Extract Data from Drawings and Spreadsheets > Update Extracted Data > Update Extracted Data Manually >
Update Extracted Data Manually
Concept Procedure Quick Reference

To manually update a data extraction table

  • Right-click the data extraction table. Click Data Extraction [image] Update Data Extraction.


Update Extracted Data Manually (Quick Reference)

Update Extracted Data
Update Extracted Data
Update Data Extraction Table Automatically
Share Data Between Drawings and Applications > Extract Data from Drawings and Spreadsheets > Update Extracted Data > Update Extracted Data Manually >
Update Extracted Data Manually
Concept Procedure Quick Reference

Commands

DATAEXTRACTION

Extracts and exports object property data from drawings and merges data from an external source to a data extraction table or external file

System Variables

DXEVAL

Controls when update notification displays for data extraction tables

Utilities

No entries

Command Modifiers

No entries


Update Data Extraction Table Automatically (Concept)

Update Extracted Data Manually
Update Extracted Data
Modify a Data Extraction Table
Share Data Between Drawings and Applications > Extract Data from Drawings and Spreadsheets > Update Extracted Data >
Update Data Extraction Table Automatically
Concept Quick Reference

You can specify to be notified when extracted data has changed.

When information in the data source has changed that affects the extracted data in a table, you are notified the data is not current. (Notification does not occur with attribute extraction tables.) Depending on how the DXEVAL system variable is set, the Data Extraction - Out Of Date Table dialog box displays when certain commands are used, such as OPEN or SAVE. By default, DXEVAL is set to check if the extracted data is not current without automatically updating it when the PLOTor ETRANSMIT commands are used.

ImportantWhen DXEVAL = 8 (update on publish) and BACKGROUNDPLOT is set to 2 or 3, then you will be prompted to update when publishing the files. However, the tables in the DWF file will not be updated. To include table updates in the published files, set BACKGROUNDPLOT to 0 or 1.

You can set auto-updating to occur with these commands: SAVE, PLOT, PUBLISH, or ETRANSMIT. When auto-updating is enabled, the extracted data is automatically checked to see if it is current with the data source. If not, the update process occurs without user intervention. With PLOT or ETRANSMIT, the data extraction is updated prior to the plotting or electronically transmitting the drawings, which are not saved.

When you open multiple drawings at the same time, and DXEVAL is set in each drawing to check for updates with the OPEN command, the Out-Of-Date Table dialog box displays for each drawing that contains a data extraction table that is not current. For each drawing that contains a table that requires updating, you can choose to update at that time or skip all updates.

If you choose to skip the update, you can do so later by accessing the shortcut menu for the data extraction table.

If the cells in a data extraction table are edited in a previous release of the program, and then opened in the current version, the table cells that were edited are unlocked. When the table is updated in the current release, a dialog box displays indicating some cells were overwritten. You can choose to overwrite the cells or skip the cells during the update.

NoteIt is recommended you turn on notification before doing a final save, plot, publish, electronic transmittal, or archive.


Update Data Extraction Table Automatically (Quick Reference)

Update Extracted Data Manually
Update Extracted Data
Modify a Data Extraction Table
Share Data Between Drawings and Applications > Extract Data from Drawings and Spreadsheets > Update Extracted Data > Update Data Extraction Table Automatically >
Update Data Extraction Table Automatically
Concept Quick Reference

Commands

DATAEXTRACTION

Extracts and exports object property data from drawings and merges data from an external source to a data extraction table or external file

System Variables

DXEVAL

Controls when update notification displays for data extraction tables

Utilities

No entries

Command Modifiers

No entries


Modify a Data Extraction Table (Concept)

Update Data Extraction Table Automatically
Extract Data from Drawings and Spreadsheets
Access External Databases
Share Data Between Drawings and Applications > Extract Data from Drawings and Spreadsheets >
Modify a Data Extraction Table
Concept Procedure Quick Reference

You can modify a data extraction table by changing the formatting, adding columns and rows, or editing data in the cells.

Once a data extraction table is inserted into the drawing, you can make formatting changes, add columns and rows, and edit cells containing extracted data.

Any formatting, structural, or data changes that are made are retained after the table is updated. For example, if you added shading to a header row, or the formatting of text in certain columns changed, those changes are not lost when the table is updated.

By default, all cells in a data extraction table are locked for editing and unlocked for formatting changes. You can unlock or lock cells for data and formatting edits by accessing the table’s shortcut menu.

Add Columns and Rows

You can add columns and rows to a data extraction table without affecting the extracted data. When you select a table, the lines around cells that contain extracted data is bold. Columns and rows can only be added outside this perimeter. You should be aware that blank cells may be created as a result if additional data is extracted during an update, or conversely, there are fewer columns or rows containing extracted data.

For example, if you added a row and column to a table after you inserted into the drawing, the area populated with extracted data will be expanded by an additional column after the table is updated. The column and row that you manually added are still part of the table, but a blank cell is created where a void exists in the table.

Using the same example, if the table was updated and the number of columns and rows containing extracted data were reduced, the columns and rows you inserted would remain in the same place. The area that originally contained data extraction columns and rows is now replaced with blank cells.

Edit Cell Content

Data cells are locked by default in order to prevent unintentional changes. You can manually unlock a cell to edit its contents. When the table updates, you are given a choice to overwrite the edited cells or choose to have the update not update the cells.

See Also
    • Create and Modify Tables


Modify a Data Extraction Table (Procedure)

Update Extracted Data Manually
Modify a Data Extraction Table
Modify a Data Extraction Table
Share Data Between Drawings and Applications > Extract Data from Drawings and Spreadsheets > Modify a Data Extraction Table >
Modify a Data Extraction Table
Concept Procedure Quick Reference

To edit/unlock the cells in a data extraction table

To edit/unlock the cells in an entire data extraction table

To edit the text in an unlocked cell in a table

To identify which cells in a table are unlocked or locked

To add a column to a data extraction table

To add a row to a data extraction table

To equally size all columns and rows in a table


To edit/unlock the cells in a data extraction table (Procedure)

Modify a Data Extraction Table
Modify a Data Extraction Table
Modify a Data Extraction Table
Share Data Between Drawings and Applications > Extract Data from Drawings and Spreadsheets > Modify a Data Extraction Table >
Modify a Data Extraction Table
Concept Procedure Quick Reference

To edit/unlock the cells in a data extraction table

  • In the drawing, right-click a cell in the data extraction table. Click Cell Locking [image] Data.

The cell are unlocked for editing.


To edit/unlock the cells in an entire data extraction table (Procedure)

Modify a Data Extraction Table
Modify a Data Extraction Table
Modify a Data Extraction Table
Share Data Between Drawings and Applications > Extract Data from Drawings and Spreadsheets > Modify a Data Extraction Table >
Modify a Data Extraction Table
Concept Procedure Quick Reference

To edit/unlock the cells in an entire data extraction table

  • In the drawing, right-click a cell in the data extraction table. Click Cell Locking [image] All [image] Unlocked.

All the data cells in the table are unlocked for editing.


To edit the text in an unlocked cell in a table (Procedure)

Modify a Data Extraction Table
Modify a Data Extraction Table
Modify a Data Extraction Table
Share Data Between Drawings and Applications > Extract Data from Drawings and Spreadsheets > Modify a Data Extraction Table >
Modify a Data Extraction Table
Concept Procedure Quick Reference

To edit the text in an unlocked cell in a table

  • In the drawing, right-click the cell in the data extraction table. Click Edit Cell Text.

All the data cells in the table are unlocked for editing.


To identify which cells in a table are unlocked or locked (Procedure)

Modify a Data Extraction Table
Modify a Data Extraction Table
Modify a Data Extraction Table
Share Data Between Drawings and Applications > Extract Data from Drawings and Spreadsheets > Modify a Data Extraction Table >
Modify a Data Extraction Table
Concept Procedure Quick Reference

To identify which cells in a table are unlocked or locked

  1. In the drawing, right-click a cell in the data extraction table. Click Properties.
  2. In the Properties palette, look at the Cell Locking field.

One of the following states display

  • If the cell is unlocked for data and formatting, Unlocked displays.
  • If the cell is locked for data, Data Locked displays.
  • If the cell is locked for formatting, Format Locked displays.
  • If the cell is locked for data and formatting, Data and Format Locked displays.


To add a column to a data extraction table (Procedure)

Modify a Data Extraction Table
Modify a Data Extraction Table
Modify a Data Extraction Table
Share Data Between Drawings and Applications > Extract Data from Drawings and Spreadsheets > Modify a Data Extraction Table >
Modify a Data Extraction Table
Concept Procedure Quick Reference

To add a column to a data extraction table

  1. Right-click in a table cell in the first column or last column.
  2. To insert a column before the first column, click Columns [image] Insert Left. To insert a column after the last column, click Columns [image] Insert Right.


To add a row to a data extraction table (Procedure)

Modify a Data Extraction Table
Modify a Data Extraction Table
Modify a Data Extraction Table
Share Data Between Drawings and Applications > Extract Data from Drawings and Spreadsheets > Modify a Data Extraction Table >
Modify a Data Extraction Table
Concept Procedure Quick Reference

To add a row to a data extraction table

  1. Right-click in a table cell in the first row or last row.
  2. To insert a row above the first row, click Rows [image] Insert above. To insert a column after the last row, click Rows [image] Insert Below.


To equally size all columns and rows in a table (Procedure)

Modify a Data Extraction Table
Modify a Data Extraction Table
Access a Database from Within AutoCAD
Share Data Between Drawings and Applications > Extract Data from Drawings and Spreadsheets > Modify a Data Extraction Table >
Modify a Data Extraction Table
Concept Procedure Quick Reference

To equally size all columns and rows in a table

  • Select the table and right-click. Click Size Columns Equally or Size Rows Equally.


Modify a Data Extraction Table (Quick Reference)

Update Data Extraction Table Automatically
Modify a Data Extraction Table
Overview of Using External Databases
Share Data Between Drawings and Applications > Extract Data from Drawings and Spreadsheets > Modify a Data Extraction Table >
Modify a Data Extraction Table
Concept Procedure Quick Reference

Commands

DATAEXTRACTION

Extracts and exports object property data from drawings and merges data from an external source to a data extraction table or external file

System Variables

DXEVAL

Controls when update notification displays for data extraction tables

Utilities

No entries

Command Modifiers

No entries


Access External Databases

Modify a Data Extraction Table
Share Data Between Drawings and Applications
Overview of Using External Databases
Share Data Between Drawings and Applications >
Access External Databases

You can associate, or link, data stored in external databases with graphical objects in a drawing.

You can use the program to associate, or link, data stored in external database programs such as dBASE, Oracle, and Microsoft Access with graphical objects. You can use all of the external database features without prior knowledge of databases or query languages. This section, however, does not cover in detail the theory of database design or the semantics of Structured Query Language (SQL).

Topics in this section

  • Overview of Using External Databases

    When you link database records to graphical objects in a drawing, you can use powerful database queries to filter and sort information. You can present the results of a query graphically.

  • Access a Database from Within AutoCAD

    When you have configured a data source, you can view and edit its records from within the program.

  • Link Database Records to Graphical Objects

    Links connect graphical objects with tables in an external database.

  • Use Labels to Display Database Information in the Drawing

    Labels are multiline text objects that display data in a drawing from selected fields stored in an external database table.

  • Use Queries to Filter Database Information

    A query to the database is a search criterion that you construct to return the records you want.

  • Share Link and Label Templates and Queries with Other Users

    You can export and import links and link templates, labels and label templates, and queries.

  • Work with Links in Files from Earlier Releases

    You can convert ASE links in drawings from Releases 12, 13, and 14 to AutoCAD 2000 or later format. You can save AutoCAD 2000 links in Release 13 and Release 14 format.


Overview of Using External Databases (Concept)

Access External Databases
Access External Databases
Access a Database from Within AutoCAD
Share Data Between Drawings and Applications > Access External Databases >
Overview of Using External Databases
Concept Quick Reference

When you link database records to graphical objects in a drawing, you can use powerful database queries to filter and sort information. You can present the results of a query graphically.

A database is a collection of logically related information, usually presented in a table format similar to a typical spreadsheet. The table below is an example of a simple database that might be used by a Facilities department to schedule maintenance work. It consists of four columns, or fields, labeled Maintenance task, Estimated hours, Frequency, and Assigned to. Individual fields, or cells, store data for a particular variable. Individual rows within the database table are called records.

Maintenance database table
Maintenance task | Estimated hours | Frequency | Assigned to
ELEVATOR SRV | 3.5 | QUARTERLY | RON SMITH
CARPET VAC | 5.25 | WEEKLY | VICKI ROBERTS
A/C CHECK | 2.00 | BIWEEKLY | AMY REED
AIR FILTER | 3.00 | MONTHLY | DAT TAN

Most database systems are extremely flexible and can be easily modified. You can add new fields or remove existing ones from database tables. Likewise, you can add or delete records from database tables and edit existing records. With many databases, you can also define relationships between multiple database tables. For example, suppose you have two database tables that share a common field, Room ID. Using a relational database, you can join these two database tables using their common field. You don't have to maintain and input duplicate data across multiple database tables.

You can use the program to associate data contained in an external database table with graphical objects through the process of linking. Links are pointers to a database table that reference data from one or more records in that table. You can also use the program to attach labels that display data from selected database table fields as text objects in your drawing.

The database connectivity feature provides the following:

  • An external configuration utility that enables the program to access the data contained in a particular database system
  • A dbConnect Manager where you can associate links, labels, and queries with drawings
  • A Data View window that displays records from a database table within an program session
  • A Query Editor where you can construct, execute, and store SQL queries
  • A migration tool that converts links and displayable attributes to AutoCAD 2000 or later format from files created in earlier releases
  • A Link Select operation that creates iterative selection sets based on queries and graphical objects


Overview of Using External Databases (Quick Reference)

Modify a Data Extraction Table
Overview of Using External Databases
Configure a Database for Use with AutoCAD Drawings
Share Data Between Drawings and Applications > Access External Databases > Overview of Using External Databases >
Overview of Using External Databases
Concept Quick Reference

Commands

DBCONNECT

Provides an interface to external database tables

System Variables

DBCSTATE

Indicates whether the dbConnect Manager is open or closed

Utilities

No entries

Command Modifiers

No entries


Access a Database from Within AutoCAD

Overview of Using External Databases
Access External Databases
Configure a Database for Use with AutoCAD Drawings
Share Data Between Drawings and Applications > Access External Databases >
Access a Database from Within AutoCAD
Concept Procedure

When you have configured a data source, you can view and edit its records from within the program.

Topics in this section

  • Configure a Database for Use with AutoCAD Drawings
  • View Data in a Database Table

    When you have configured a data source, you can use the Data View window to view database records from within the program.

  • Edit Data in a Database Table

    In the Data View window, you can search database records for a particular value, and you can add, delete, or change records.


Access a Database from Within AutoCAD (Procedure)

Modify a Data Extraction Table
Access a Database from Within AutoCAD
Configure a Database for Use with AutoCAD Drawings
Share Data Between Drawings and Applications > Access External Databases > Access a Database from Within AutoCAD >
Access a Database from Within AutoCAD
Concept Procedure

To open and close the dbConnect Manager

To update thejet_dbsamples.udlconfiguration file with new information

To open a database table for viewing or editing

To open a database table directly from the Data Sources node of the dbConnect Manager

To change the double-click open setting for database tables

To move a column in a database table

To resize a column in a database table

To hide a column in a database table

To display all hidden columns in a database table

To specify a sort order for the Data View window display

To freeze a column or columns

To unfreeze all frozen columns

To align text in a column or columns

To select a font size and style for the Data View

To export data from the Data View window

To edit a database record

To add a new database record

To delete a database record

To search the Data View window for a particular value

To search the Data View window for a particular value to replace

To commit Data View window editing

To restore original values to the Data View window


Configure a Database for Use with AutoCAD Drawings (Concept)

Access a Database from Within AutoCAD
Access a Database from Within AutoCAD
View Data in a Database Table
Share Data Between Drawings and Applications > Access External Databases > Access a Database from Within AutoCAD >
Configure a Database for Use with AutoCAD Drawings
Concept Procedure Quick Reference

Before you can access an external database from within the program, you must configure it using the Microsoft ODBC (Open Database Connectivity) and OLE DB programs. Using ODBC and OLE DB, the program can utilize data from other applications, regardless of the format that it's stored in or the database platform that it's created on. The configuration process involves creating a new data source that points to a collection of data and provides information about the drivers necessary to access it.

A data source may be either an individual database table or a collection of them stored in an environment, catalog, or schema. Environments, catalogs, and schemas are hierarchical database elements used by most database management systems that help you organize your data. They are in many ways analogous to a Windows-based directory structure: you can think of the environment as a folder that holds additional subdirectories of catalogs. Catalogs in turn contain additional subdirectories of schemas. Each schema is a collection of database tables.

The configuration process varies slightly for different database systems. For example, server-based databases such as Oracle and Microsoft SQL Server require that you enter a valid user name and password and specify the network location where the database is located. File-based systems such as Microsoft Access and dBASE III do not require this information. Because of these variations, it is not possible to provide a generic configuration procedure that works for all databases. Individual procedures for configuring all the databases that the program supports are provided in the Configure External Databases. You should also refer to the documentation for your particular database system and the Microsoft Help files for ODBC and OLE DB for additional information.

The connectivity feature supports the following external applications:

  • Microsoft Access
  • dBASE
  • Microsoft Excel
  • Oracle
  • Paradox
  • Microsoft Visual FoxPro
  • SQL Server
NoteThe 64-bit release of AutoCAD does not support the use of Microsoft Jet 4.0 OLE DB Provider (for .MDB connectivity) and Microsoft OLE DB Provider for ODBC Drivers (for .XLS connectivity). For more information, see Substituting SQL Server for OLE DB.

The program includes a Microsoft Access sample database file and a preconfigured direct driver (jet_dbsamples.udl) that you can use to work with the database. You do not need to have Access installed. The file is located in the Sample folder, which is located in the installation directory. If you moved the Sample folder to a different location, you must update the path in the jet_dbsamples.udl configuration file before you can work with the database file.

The dbConnect Manager

The dbConnect Manager is a dockable, resizable window that contains a set of buttons and a tree view. In the dbConnect Manager, you can open the Data View window to view or edit a database table. You can also associate various database objects (such as link templates, label templates, and queries) with a drawing.

The tree view of the dbConnect Manager contains the following nodes:

  • Drawing Nodes. Display each open drawing. Each drawing's node shows all database objects that are associated with the drawing.
  • Data Sources Node. Displays all configured data sources on your system.

All of the various nodes and database objects in the dbConnect Manager have shortcut menu options associated with them. For example, you can use shortcut menu options to configure a data source or edit a stored query.


Configure a Database for Use with AutoCAD Drawings (Procedure)

Access a Database from Within AutoCAD
Up a level to ..
Configure a Database for Use with AutoCAD Drawings
Share Data Between Drawings and Applications > Access External Databases > Access a Database from Within AutoCAD > Configure a Database for Use with AutoCAD Drawings >
Configure a Database for Use with AutoCAD Drawings
Concept Procedure Quick Reference

To open and close the dbConnect Manager

To update the jet_dbsamples.udl configuration file with new information


To open and close the dbConnect Manager (Procedure)

Configure a Database for Use with AutoCAD Drawings
Up a level to ..
Configure a Database for Use with AutoCAD Drawings
Share Data Between Drawings and Applications > Access External Databases > Access a Database from Within AutoCAD > Configure a Database for Use with AutoCAD Drawings >
Configure a Database for Use with AutoCAD Drawings
Concept Procedure Quick Reference

To open and close the dbConnect Manager

  • Click Tools menu [image] Palettes [image] DbConnect.
Command entry: DBCONNECT


To update thejet_dbsamples.udlconfiguration file with new information (Procedure)

Configure a Database for Use with AutoCAD Drawings
Up a level to ..
View Data in a Database Table
Share Data Between Drawings and Applications > Access External Databases > Access a Database from Within AutoCAD > Configure a Database for Use with AutoCAD Drawings >
Configure a Database for Use with AutoCAD Drawings
Concept Procedure Quick Reference

To update the jet_dbsamples.udl configuration file with new information

  1. Click Tools menu [image] Palettes [image] DbConnect.
  2. In the dbConnect Manager, in the tree view, right-click Data Sources. Click Configure Data Source.
  3. In the Configure a Data Source dialog box, select Jet_dbsamples from the Data Sources list. Click OK.
  4. In the Data Link Properties dialog box, Connection tab, click the [...] button.
  5. In the Select Access Database dialog box, navigate to and select the db_samples.mdb file. Click Open.

    This file is located in the Sample folder.

  6. Click Test Connection to verify that your connection is working properly.
  7. If the connection fails, verify that you selected the appropriate file.
  8. Click OK to close each dialog box.


Configure a Database for Use with AutoCAD Drawings (Quick Reference)

Overview of Using External Databases
Configure a Database for Use with AutoCAD Drawings
View Data in a Database Table
Share Data Between Drawings and Applications > Access External Databases > Access a Database from Within AutoCAD > Configure a Database for Use with AutoCAD Drawings >
Configure a Database for Use with AutoCAD Drawings
Concept Procedure Quick Reference

Commands

DBCONNECT

Provides an interface to external database tables

System Variables

DBCSTATE

Indicates whether the dbConnect Manager is open or closed

Utilities

No entries

Command Modifiers

No entries


View Data in a Database Table (Concept)

Configure a Database for Use with AutoCAD Drawings
Access a Database from Within AutoCAD
Edit Data in a Database Table
Share Data Between Drawings and Applications > Access External Databases > Access a Database from Within AutoCAD >
View Data in a Database Table
Concept Procedure Quick Reference

When you have configured a data source, you can use the Data View window to view database records from within the program.

Once you have configured a data source, you can access its database tables from within the program. The Data View is a window where you can view and edit database records. You can open database tables in Read-only mode or in Edit mode. You cannot add, delete, or edit records in a database table that you open in Read-only mode. Opening a database table establishes a connection to its parent database. Some database systems require that you enter a valid user name and password before you can connect to them.

The Data View window is a spreadsheet-like environment that presents a database table's records. With the scroll bars and navigation buttons at the right and at the bottom of the window, you can move through the record set.

The grid in the Data View window contains the following elements:

  • Column header. Selects all records in a column when you click it.
  • Record header. Selects an individual record when you click it.
  • Grid cells. Selects one field of a given record when you click it.
  • Grid header. Selects the entire database table.

The Data View window provides a great deal of flexibility in how records are displayed. You can

  • Move or resize columns
  • Hide columns to remove them from the Data View window display
  • Sort column data in ascending or descending order
  • Freeze a column or combination of columns so that they stay in place and do not scroll with the horizontal scroll bar
  • Align text within individual columns
  • Apply a variety of font styles and sizes to the Data View window display

Column formatting and database table sorts in the Data View window are not stored. This information is discarded when you open a new database table or close the current table. If you want to create and save a formatted report, you must copy the contents of the Data View window to the Clipboard and paste it into an external program such as Microsoft Excel. You can then use the external program to apply and save the desired formatting. For details about creating a template, refer to the documentation of the external program that you are using to format the data.

Database Views and External Queries

Some database management systems support views. Views provide additional ways to display data from a database table. For example, you can use a view to display a subset of the overall database table. You can also use views to define relationships between database tables and create a new table that contains combined records from the original database tables.

Database systems that do not support views can produce similar results with queries. Refer to your database system documentation for information about creating and working with views and queries.

Views and external queries are displayed in the Data Sources node of the dbConnect Manager. External queries are queries created and stored outside of the program but within an external database system. You can work with external queries and views as you would work with any other database table. You can view or edit them in the Data View window, construct queries based on them, and create links and labels based on their records.


View Data in a Database Table (Procedure)

Configure a Database for Use with AutoCAD Drawings
Up a level to ..
View Data in a Database Table
Share Data Between Drawings and Applications > Access External Databases > Access a Database from Within AutoCAD > View Data in a Database Table >
View Data in a Database Table
Concept Procedure Quick Reference

To open a database table for viewing or editing

To open a database table directly from the Data Sources node of the dbConnect Manager

To change the double-click open setting for database tables

To move a column in a database table

To resize a column in a database table

To hide a column in a database table

To display all hidden columns in a database table

To specify a sort order for the Data View window display

To freeze a column or columns

To unfreeze all frozen columns

To align text in a column or columns

To select a font size and style for the Data View

To export data from the Data View window


To open a database table for viewing or editing (Procedure)

View Data in a Database Table
Up a level to ..
View Data in a Database Table
Share Data Between Drawings and Applications > Access External Databases > Access a Database from Within AutoCAD > View Data in a Database Table >
View Data in a Database Table
Concept Procedure Quick Reference

To open a database table for viewing or editing

  1. Do one of the following:
    • To open a database table in Read-only mode, click DbConnect menu [image] View Data [image] View External Table.
    • To open a database table in Edit mode, click DbConnect menu [image] View Data [image] Edit External Table.

    If required by the database that you are connecting to, you are prompted to enter a valid user name and password.

  2. In the Select Data Object dialog box, navigate to and select the database table you want to open. Click OK.
NoteSome database systems require that you obtain access privileges before you can view or edit database tables. Refer to the documentation for your database system, or check with your database administrator.


To open a database table directly from the Data Sources node of the dbConnect Manager (Procedure)

View Data in a Database Table
Up a level to ..
View Data in a Database Table
Share Data Between Drawings and Applications > Access External Databases > Access a Database from Within AutoCAD > View Data in a Database Table >
View Data in a Database Table
Concept Procedure Quick Reference

To open a database table directly from the Data Sources node of the dbConnect Manager

  • Double-click a database table in the dbConnect Manager.

    By default, double-clicked database tables are opened in Edit mode. You can change the default double-click behavior to Read-only mode, if desired.


To change the double-click open setting for database tables (Procedure)

View Data in a Database Table
Up a level to ..
View Data in a Database Table
Share Data Between Drawings and Applications > Access External Databases > Access a Database from Within AutoCAD > View Data in a Database Table >
View Data in a Database Table
Concept Procedure Quick Reference

To change the double-click open setting for database tables

  1. Click Tools menu [image] Options.At the command prompt, enter options.
  2. On the System tab, select Open Tables in Read-only Mode.
  3. Click OK.


To move a column in a database table (Procedure)

View Data in a Database Table
Up a level to ..
View Data in a Database Table
Share Data Between Drawings and Applications > Access External Databases > Access a Database from Within AutoCAD > View Data in a Database Table >
View Data in a Database Table
Concept Procedure Quick Reference

To move a column in a database table

  1. Click the column header of the column that you want to move.
  2. Click the column header again and drag it to the desired location.


To resize a column in a database table (Procedure)

View Data in a Database Table
Up a level to ..
View Data in a Database Table
Share Data Between Drawings and Applications > Access External Databases > Access a Database from Within AutoCAD > View Data in a Database Table >
View Data in a Database Table
Concept Procedure Quick Reference

To resize a column in a database table

  1. In the Data View window, select the grid line at the right border of the column header of the column you want to resize.
  2. Drag to the right to enlarge the column, or to the left to shrink it.


To hide a column in a database table (Procedure)

View Data in a Database Table
Up a level to ..
View Data in a Database Table
Share Data Between Drawings and Applications > Access External Databases > Access a Database from Within AutoCAD > View Data in a Database Table >
View Data in a Database Table
Concept Procedure Quick Reference

To hide a column in a database table

  1. In the Data View window, select the column header of the column that you want to hide.
  2. Right-click the column header. Click Hide.


To display all hidden columns in a database table (Procedure)

View Data in a Database Table
Up a level to ..
View Data in a Database Table
Share Data Between Drawings and Applications > Access External Databases > Access a Database from Within AutoCAD > View Data in a Database Table >
View Data in a Database Table
Concept Procedure Quick Reference

To display all hidden columns in a database table

  • Right-click any column header in the Data View window. Click Unhide All.


To specify a sort order for the Data View window display (Procedure)

View Data in a Database Table
Up a level to ..
View Data in a Database Table
Share Data Between Drawings and Applications > Access External Databases > Access a Database from Within AutoCAD > View Data in a Database Table >
View Data in a Database Table
Concept Procedure Quick Reference

To specify a sort order for the Data View window display

  1. Right-click any column header in the Data View window. Click Sort.
  2. Select a column to sort in the Sort By list. Select Ascending or Descending to specify a sort order.

    Ascending order sorts the column starting with the smallest value and ending with the largest value. Descending order sorts the column starting with the largest value and ending with the smallest value.

  3. If desired, select an additional column to sort in the Then By list. Select the Ascending or Descending option to specify a sort order.

    The sort operation sorts all database table records according to the value specified in the Sort By list, and then continues to sort based on the value specified in the Then By list.

  4. Repeat step 2 for any additional fields that you want to add to the sort.

    You can sort by a combination of up to five table columns at a time.


To freeze a column or columns (Procedure)

View Data in a Database Table
Up a level to ..
View Data in a Database Table
Share Data Between Drawings and Applications > Access External Databases > Access a Database from Within AutoCAD > View Data in a Database Table >
View Data in a Database Table
Concept Procedure Quick Reference

To freeze a column or columns

  1. In the Data View window, select one or more columns to freeze.
  2. Right-click one of the selected column headers. Click Freeze.
NoteThe Freeze option can be applied only to contiguous columns. If not all of the columns you want to freeze are contiguous, move them as described in To move a column in a database table.


To unfreeze all frozen columns (Procedure)

View Data in a Database Table
Up a level to ..
View Data in a Database Table
Share Data Between Drawings and Applications > Access External Databases > Access a Database from Within AutoCAD > View Data in a Database Table >
View Data in a Database Table
Concept Procedure Quick Reference

To unfreeze all frozen columns

  • Right-click any column header in the Data View window. Click Unfreeze All.


To align text in a column or columns (Procedure)

View Data in a Database Table
Up a level to ..
View Data in a Database Table
Share Data Between Drawings and Applications > Access External Databases > Access a Database from Within AutoCAD > View Data in a Database Table >
View Data in a Database Table
Concept Procedure Quick Reference

To align text in a column or columns

  1. Select one or more columns in the Data View window whose text you want to align.
  2. Right-click any column header. Click Align.
  3. Select one of the following to align the text:
    • Standard. Right-aligns numeric fields and left-aligns all other fields.
    • Left. Left-aligns the column cells.
    • Center. Center-aligns the column cells.
    • Right. Right-aligns the column cells.


To select a font size and style for the Data View (Procedure)

View Data in a Database Table
Up a level to ..
View Data in a Database Table
Share Data Between Drawings and Applications > Access External Databases > Access a Database from Within AutoCAD > View Data in a Database Table >
View Data in a Database Table
Concept Procedure Quick Reference

To select a font size and style for the Data View

  1. In the Data View window, right-click the empty, top-left square of the database table. Click Format.
  2. Select the font settings you want to use. Click OK.


To export data from the Data View window (Procedure)

View Data in a Database Table
Up a level to ..
Edit Data in a Database Table
Share Data Between Drawings and Applications > Access External Databases > Access a Database from Within AutoCAD > View Data in a Database Table >
View Data in a Database Table
Concept Procedure Quick Reference

To export data from the Data View window

  1. Open a database table by double-clicking it in the dbConnect Manager.
  2. Select the records that you want to export from the Data View window.
  3. Right-click in any cell. Click Copy.
  4. Open the external application to which you want to export the data. Click Home tab [image] Utilities panel [image] Paste. At the command prompt, enter pasteclip.

    The text is inserted into the external application in tab-delimited format.


View Data in a Database Table (Quick Reference)

Configure a Database for Use with AutoCAD Drawings
View Data in a Database Table
Edit Data in a Database Table
Share Data Between Drawings and Applications > Access External Databases > Access a Database from Within AutoCAD > View Data in a Database Table >
View Data in a Database Table
Concept Procedure Quick Reference

Commands

DBCONNECT

Provides an interface to external database tables

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Edit Data in a Database Table (Concept)

View Data in a Database Table
Access a Database from Within AutoCAD
Link Database Records to Graphical Objects
Share Data Between Drawings and Applications > Access External Databases > Access a Database from Within AutoCAD >
Edit Data in a Database Table
Concept Procedure Quick Reference

In the Data View window, you can search database records for a particular value, and you can add, delete, or change records.

If you have opened a database table in Edit mode, you can edit its data in a number of ways. You can add or delete records, or edit a record's values. You can also search a particular column for occurrences of a specific value.

NoteThe Find option limits its search to records contained in the same column as the currently selected cell. There is no way to issue a global Find command that searches the entire database table for a specific value. You must select individual cells in any additional columns you want to search and click Find.

Changes that you make to individual records in a database table are not written to the database until you commit them. The Commit option updates the database table currently loaded in the Data View window with any changes that you make during an editing session and closes the Data View window. The Restore option undoes any changes you made in the Data View window during an editing session and closes the Data View window.

NoteIf you quit the program, open a new database table, or close the Data View window before committing changes you've made to a database table, the program automatically commits all changes you've made during an editing session.

To help you track your editing during a work session, changed records are marked with an edit icon. You can easily review your changes before committing them to the source database table.


Edit Data in a Database Table (Procedure)

View Data in a Database Table
Up a level to ..
Edit Data in a Database Table
Share Data Between Drawings and Applications > Access External Databases > Access a Database from Within AutoCAD > Edit Data in a Database Table >
Edit Data in a Database Table
Concept Procedure Quick Reference

To edit a database record

To add a new database record

To delete a database record

To search the Data View window for a particular value

To search the Data View window for a particular value to replace

To commit Data View window editing

To restore original values to the Data View window


To edit a database record (Procedure)

Edit Data in a Database Table
Up a level to ..
Edit Data in a Database Table
Share Data Between Drawings and Applications > Access External Databases > Access a Database from Within AutoCAD > Edit Data in a Database Table >
Edit Data in a Database Table
Concept Procedure Quick Reference

To edit a database record

  1. Select a cell to edit in the Data View window.
  2. Enter a new value in the cell.
  3. Repeat as necessary for any additional cells that you want to edit.

    You can use the keyboard arrow keys to move from cell to cell.


To add a new database record (Procedure)

Edit Data in a Database Table
Up a level to ..
Edit Data in a Database Table
Share Data Between Drawings and Applications > Access External Databases > Access a Database from Within AutoCAD > Edit Data in a Database Table >
Edit Data in a Database Table
Concept Procedure Quick Reference

To add a new database record

  1. In the Data View window, right-click a record header (the empty square at the left of the row). Click Add New Record.

    A new record with blank field values is added to the end of the current record set.

  2. Select a cell in the new record and enter a value.
  3. Repeat step 2 for any additional fields.


To delete a database record (Procedure)

Edit Data in a Database Table
Up a level to ..
Edit Data in a Database Table
Share Data Between Drawings and Applications > Access External Databases > Access a Database from Within AutoCAD > Edit Data in a Database Table >
Edit Data in a Database Table
Concept Procedure Quick Reference

To delete a database record

  • In the Data View window, right-click a record header (the empty square at the left of the row) of the record that you want to delete. Click Delete Record.


To search the Data View window for a particular value (Procedure)

Edit Data in a Database Table
Up a level to ..
Edit Data in a Database Table
Share Data Between Drawings and Applications > Access External Databases > Access a Database from Within AutoCAD > Edit Data in a Database Table >
Edit Data in a Database Table
Concept Procedure Quick Reference

To search the Data View window for a particular value

  1. Right-click a cell in the column that you want to search. Click Find.
  2. Enter a value to search for in Find What.
  3. Select a direction to search the Data View window:
    • Up. Searches the column records from the selected cell through the first record.
    • Down. Searches the column records from the selected cell through the last record.
  4. Click Find Next.
  5. Repeat step 4 to find additional occurrences of the specified value.
NoteThe Find option limits its search to records contained in the same column as the currently selected cell. There is no way to issue a global Find command that searches the entire database table for a specific value. You must select individual cells in any additional columns you want to search, and then click Find.


To search the Data View window for a particular value to replace (Procedure)

Edit Data in a Database Table
Up a level to ..
Edit Data in a Database Table
Share Data Between Drawings and Applications > Access External Databases > Access a Database from Within AutoCAD > Edit Data in a Database Table >
Edit Data in a Database Table
Concept Procedure Quick Reference

To search the Data View window for a particular value to replace

  1. Right-click a cell in the column that you want to search. Click Replace.
  2. Enter a value to search for in Find What.
  3. Enter a replacement value in Replace With.
  4. Click Find Next.
  5. Do one of the following:
    • Click Replace to replace the current occurrence of the search value.
    • Click Replace All to replace all occurrences of the search value.
  6. Repeat steps 4 and 5 to replace additional occurrences of the value you're searching for.
NoteThe Replace option limits its search to records contained in the same column as the currently selected cell. There is no way to issue a global Replace command that searches the entire database table for a specific value. You must select individual cells in any additional columns you want to search, and then click Replace again.


To commit Data View window editing (Procedure)

Edit Data in a Database Table
Up a level to ..
Edit Data in a Database Table
Share Data Between Drawings and Applications > Access External Databases > Access a Database from Within AutoCAD > Edit Data in a Database Table >
Edit Data in a Database Table
Concept Procedure Quick Reference

To commit Data View window editing

  • In the Data View window, right-click the empty, top-left square of the database table. Click Commit.


To restore original values to the Data View window (Procedure)

Edit Data in a Database Table
Up a level to ..
Link Database Records to Graphical Objects
Share Data Between Drawings and Applications > Access External Databases > Access a Database from Within AutoCAD > Edit Data in a Database Table >
Edit Data in a Database Table
Concept Procedure Quick Reference

To restore original values to the Data View window

  • In the Data View window, right-click the empty, top-left square of the database table. Click Restore.
NoteIf you quit the program, or open a new database table, or close the Data View window before committing changes you've made to a database table, the program automatically commits all changes you've made during an editing session.


Edit Data in a Database Table (Quick Reference)

View Data in a Database Table
Edit Data in a Database Table
Create and Edit Links and Link Templates
Share Data Between Drawings and Applications > Access External Databases > Access a Database from Within AutoCAD > Edit Data in a Database Table >
Edit Data in a Database Table
Concept Procedure Quick Reference

Commands

DBCONNECT

Provides an interface to external database tables

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Link Database Records to Graphical Objects

Edit Data in a Database Table
Access External Databases
Create and Edit Links and Link Templates
Share Data Between Drawings and Applications > Access External Databases >
Link Database Records to Graphical Objects
Concept Procedure

Links connect graphical objects with tables in an external database.

Topics in this section

  • Create and Edit Links and Link Templates

    Each link requires a link template, which identifies what fields from a table are associated with the links that use that template.

  • Identify and Select Existing Links

    You can select linked records in the data source to automatically select the linked objects in the drawing, and you can select objects to select the linked records in the data source

  • Find and Correct Link Errors

    The Synchronize option analyzes the links in your drawing and detects errors.

  • Export Link Information

    You can export information about links to a text file.


Link Database Records to Graphical Objects (Procedure)

Edit Data in a Database Table
Link Database Records to Graphical Objects
Create and Edit Links and Link Templates
Share Data Between Drawings and Applications > Access External Databases > Link Database Records to Graphical Objects >
Link Database Records to Graphical Objects
Concept Procedure

To create a link template in the current drawing

To create a link between an object and a record in an external database

To edit a link template

To update a link template's properties

To delete all links based on a link template from the current drawing

To edit a link's key values using the Link Manager

To view graphical objects that are linked to a set of database records

To view database records that are linked to a selection set of graphical objects

To automatically view graphical objects that are linked to a set of database table records

To automatically view database table records that are linked to a selection set of objects

To specify additional link viewing settings

To synchronize the links in a drawing

To export links from a drawing


Create and Edit Links and Link Templates (Concept)

Link Database Records to Graphical Objects
Link Database Records to Graphical Objects
Identify and Select Existing Links
Share Data Between Drawings and Applications > Access External Databases > Link Database Records to Graphical Objects >
Create and Edit Links and Link Templates
Concept Procedure Quick Reference

Each link requires a link template, which identifies what fields from a table are associated with the links that use that template.

The primary function of the database connectivity feature is to associate external data with program graphical objects. You can, for example, associate information contained in a room database with a polyline object representing a room boundary in a drawing. You establish the association between the graphical object and the database table by creating a link, which references one or more records stored in the database table. You cannot create links to nongraphical objects such as layers and linetypes.

Links are tightly connected with the graphical objects they are associated with. If you move or copy a linked object, the link is moved or copied with it. If you delete a linked object, the link is also deleted.

When you create a link, a dynamic relationship is established between the database record and the object. If, for example, you convert a room from a storage area to an office in the database table, the program provides a mechanism to update the information stored in the drawing so that it matches the database table.

To establish links between database table records and graphical objects, you must first create a link template. Link templates identify what fields from a database table are associated with the links that share that template. For example, you can create a link template that uses the field Room Number from a room database table. You can then use this link template to create links that point to different records in the database table.

Link templates also function as shortcuts that point to the database tables that they're based on. You can use the link templates that are associated with a drawing to open the database tables that they reference for viewing or editing. This is particularly useful if you have a large number of data sources configured on your system. Rather than scrolling through a list of data sources each time you want to locate an individual database table, you can open it directly from the drawing node of the drawing that it is associated with. To open a link template's database table, right-click a link template in the dbConnect Manager. Click View Table or Edit Table.

You can attach multiple links using different link templates to a single graphical object. This is useful when you want to associate data from multiple database tables with an individual object.

Links in External References and Blocks

Links stored in externally referenced drawings cannot be viewed or modified in the master drawing that they're attached to. This information is only available when you open the source drawing directly.

Links contained in blocks are available, but can only be accessed through the REFEDIT command.

Edit Link Templates

Occasionally after creating a link template, you may want to edit it. For example, you might decide to add an additional key field or remove an existing one. You may also need to update a link template if any changes are made to the data source it points to. For example, you might rename a database table or move it to a different location.

NoteYou can only change the key fields of link templates that don't have any links defined in their associated drawing. Changing the key fields of a link template invalidates its links and breaks their association to the database table. To edit a link template with links already defined, you must first delete all links based on the link template from its associated drawing.

Edit Links

After you have created links, you may periodically need to update their key field values. For example, you might change the numbering scheme for a group of offices, or reallocate some rooms from the accounting department to the sales department. You can use the Link Manager to enter new key values for a selected link. The key values must reference a record that already exists in the source database table.


Create and Edit Links and Link Templates (Procedure)

Link Database Records to Graphical Objects
Up a level to ..
Create and Edit Links and Link Templates
Share Data Between Drawings and Applications > Access External Databases > Link Database Records to Graphical Objects > Create and Edit Links and Link Templates >
Create and Edit Links and Link Templates
Concept Procedure Quick Reference

To create a link template in the current drawing

To create a link between an object and a record in an external database

To edit a link template

To update a link template's properties

To delete all links based on a link template from the current drawing

To edit a link's key values using the Link Manager


To create a link template in the current drawing (Procedure)

Create and Edit Links and Link Templates
Up a level to ..
Create and Edit Links and Link Templates
Share Data Between Drawings and Applications > Access External Databases > Link Database Records to Graphical Objects > Create and Edit Links and Link Templates >
Create and Edit Links and Link Templates
Concept Procedure Quick Reference

To create a link template in the current drawing

  1. In the dbConnect Manager, in the tree view, right-click a data source file. Click New Link Template.
  2. In the New Link Template dialog box, enter a name for the link template in New Link Template Name. Click Continue.
  3. Select one or more key fields by clicking in their check boxes.

    You should keep the number of key fields to a minimum. Large numbers of key fields can have a negative impact on the performance of Link Select and other connectivity operations.

  4. Click OK to create the link template.


To create a link between an object and a record in an external database (Procedure)

Create and Edit Links and Link Templates
Up a level to ..
Create and Edit Links and Link Templates
Share Data Between Drawings and Applications > Access External Databases > Link Database Records to Graphical Objects > Create and Edit Links and Link Templates >
Create and Edit Links and Link Templates
Concept Procedure Quick Reference

To create a link between an object and a record in an external database

  1. In the dbConnect Manager, open a database table that has at least one link template defined.
  2. In the Data View window, select the link template that you want to use from the Link Template list.
  3. In the Data View window, select one or more records that you want to link.
  4. Click the arrow to the right of the Link button to display the drop-down list.
  5. In the drop-down list, click Create Links.
  6. Select one or more objects in the drawing that you want to link the data to.
  7. Press ENTER.


To edit a link template (Procedure)

Create and Edit Links and Link Templates
Up a level to ..
Create and Edit Links and Link Templates
Share Data Between Drawings and Applications > Access External Databases > Link Database Records to Graphical Objects > Create and Edit Links and Link Templates >
Create and Edit Links and Link Templates
Concept Procedure Quick Reference

To edit a link template

  1. Click DbConnect menu [image] Templates [image] Edit Link Template.
  2. In the Select a Database Object dialog box, select a link template to edit. Click Continue.
  3. Select one or more key fields from the list by clicking their check boxes.
  4. Click OK to save your changes to the link template.


To update a link template's properties (Procedure)

Create and Edit Links and Link Templates
Up a level to ..
Create and Edit Links and Link Templates
Share Data Between Drawings and Applications > Access External Databases > Link Database Records to Graphical Objects > Create and Edit Links and Link Templates >
Create and Edit Links and Link Templates
Concept Procedure Quick Reference

To update a link template's properties

  1. Click DbConnect menu [image] Templates [image] Link Template Properties.
  2. In the Select a Database Object dialog box, select a link template. Click Continue.
  3. In the Link Template Properties dialog box, update the data source information as appropriate. Click OK.


To delete all links based on a link template from the current drawing (Procedure)

Create and Edit Links and Link Templates
Up a level to ..
Create and Edit Links and Link Templates
Share Data Between Drawings and Applications > Access External Databases > Link Database Records to Graphical Objects > Create and Edit Links and Link Templates >
Create and Edit Links and Link Templates
Concept Procedure Quick Reference

To delete all links based on a link template from the current drawing

  1. Click DbConnect menu [image] Links [image] Delete Links.
  2. In the Select a Database Object dialog box, select the link template whose links you want to delete. Click OK.


To edit a link's key values using the Link Manager (Procedure)

Create and Edit Links and Link Templates
Up a level to ..
Identify and Select Existing Links
Share Data Between Drawings and Applications > Access External Databases > Link Database Records to Graphical Objects > Create and Edit Links and Link Templates >
Create and Edit Links and Link Templates
Concept Procedure Quick Reference

To edit a link's key values using the Link Manager

  1. Click DbConnect menu [image] Links [image] Link Manager.
  2. In the drawing, select a linked object.
  3. Note that the Link Manager can work with just one graphical object at a time.
  4. In the Link Manager, select a link from those available for the selected object in the Link Templates list.
  5. Enter a new value in the Value field of the key field you want to edit, or click the [...] button. Repeat, if necessary, for any additional key fields that you want to edit.

    The [...] button displays a list of all values for the specified field from the database table, allowing you to select the value you want. After selecting a value, click OK.

    NoteThe [...] button is available only if you are connected to the data source that the selected link references.
  6. Click OK to update the link and close the dialog box.


Create and Edit Links and Link Templates (Quick Reference)

Edit Data in a Database Table
Create and Edit Links and Link Templates
Identify and Select Existing Links
Share Data Between Drawings and Applications > Access External Databases > Link Database Records to Graphical Objects > Create and Edit Links and Link Templates >
Create and Edit Links and Link Templates
Concept Procedure Quick Reference

Commands

DBCONNECT

Provides an interface to external database tables

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Identify and Select Existing Links (Concept)

Create and Edit Links and Link Templates
Link Database Records to Graphical Objects
Find and Correct Link Errors
Share Data Between Drawings and Applications > Access External Databases > Link Database Records to Graphical Objects >
Identify and Select Existing Links
Concept Procedure Quick Reference

You can select linked records in the data source to automatically select the linked objects in the drawing, and you can select objects to select the linked records in the data source

After you have created links to program graphical objects, you may want to view the data that is associated with them. For example, suppose you have linked employee database records to an office layout and you want to locate a particular employee's office in the drawing. You can select the employee's record in the Data View window to select any corresponding linked graphical objects in your drawing. Conversely, you can select objects to select any linked database records in the Data View window.

Automatic Selection of Linked Objects

You can set up the program to automatically select linked graphical objects in your drawing as additional records are selected in the Data View window. Conversely, you can set up the program to select linked database records as additional graphical objects are selected in your drawing. Only one of these automatic viewing modes can be active at a time.

Other Display Options

You can use the Data View and Query Options dialog box to set a number of viewing options that affect how linked records and linked graphical objects are displayed whenever a corresponding linked item is selected.

The Automatically Pan Drawing option automatically pans the drawing to display objects that are associated with the current selection set of records in the Data View window. If you have multiple records selected in the Data View window, AutoPan may not be able to fit all of them in the drawing window with your drawing's current zoom factor. To control for this, you can set a zoom factor for the AutoPan mode that ensures that all linked objects associated with the current record set are displayed.

The Automatically Zoom Drawing option automatically zooms the drawing so that all objects associated with the current record set are displayed. You must specify a zoom factor that sets the size of the extents of the indicated object set to a defined percentage of the drawing area. The available range is 20 percent to 90 percent, and the default value is 50 percent. A value of 50 percent means that either the height of the extents is 50 percent of the height of the drawing area, or the width of the extents is 50 percent of the drawing area, whichever is less.

You can also specify the following link viewing settings:

  • Record Indication Settings. Specify whether all records or only the subset associated with the current selection set of graphical objects are displayed in the Data View window. If the Show All Records, Select Indicated Records option is selected, you can specify a marking color to apply to the linked records.
  • Accumulate Options. Specify whether the program accumulates selection sets of linked graphical objects or Data View records, or creates new selection sets as additional objects or records are selected.

For a description of all the options available, see Data View and Query Options Dialog Box under DBCONNECT in the Command Reference.


Identify and Select Existing Links (Procedure)

Create and Edit Links and Link Templates
Up a level to ..
Identify and Select Existing Links
Share Data Between Drawings and Applications > Access External Databases > Link Database Records to Graphical Objects > Identify and Select Existing Links >
Identify and Select Existing Links
Concept Procedure Quick Reference

To view graphical objects that are linked to a set of database records

To view database records that are linked to a selection set of graphical objects

To automatically view graphical objects that are linked to a set of database table records

To automatically view database table records that are linked to a selection set of objects

To specify additional link viewing settings


To view graphical objects that are linked to a set of database records (Procedure)

Identify and Select Existing Links
Up a level to ..
Identify and Select Existing Links
Share Data Between Drawings and Applications > Access External Databases > Link Database Records to Graphical Objects > Identify and Select Existing Links >
Identify and Select Existing Links
Concept Procedure Quick Reference

To view graphical objects that are linked to a set of database records

  1. In the dbConnect Manager, double-click a database table to open it.
  2. In the Data View window, select a link template from the Link Template list.
  3. In the Data View window, select one or more records.
  4. Right-click the selected record. Click View Linked Objects

    Any objects that are linked to the selected records are selected in the drawing area.


To view database records that are linked to a selection set of graphical objects (Procedure)

Identify and Select Existing Links
Up a level to ..
Identify and Select Existing Links
Share Data Between Drawings and Applications > Access External Databases > Link Database Records to Graphical Objects > Identify and Select Existing Links >
Identify and Select Existing Links
Concept Procedure Quick Reference

To view database records that are linked to a selection set of graphical objects

  1. In the dbConnect Manager, double-click a database table to open it.
  2. In the Data View window, select a link template from the Link Template list.
  3. In the drawing area, create a selection set of graphical objects.
  4. In the Data View window, click the View Linked Records in Data View button.

    By default, only database table records linked to the current drawing selection set are displayed in the Data View window. You can change the settings in the Data View and Query Options dialog box to display all records, if desired.


To automatically view graphical objects that are linked to a set of database table records (Procedure)

Identify and Select Existing Links
Up a level to ..
Identify and Select Existing Links
Share Data Between Drawings and Applications > Access External Databases > Link Database Records to Graphical Objects > Identify and Select Existing Links >
Identify and Select Existing Links
Concept Procedure Quick Reference

To automatically view graphical objects that are linked to a set of database table records

  1. In the dbConnect Manager, double-click a database table to open it.
  2. In the Data View window, select a link template from the Link Template list.
  3. In the Data View window, click the AutoView Linked Objects in Drawing button.
  4. In the Data View window, select one or more records.

    Any corresponding linked graphical objects are selected in the drawing area.

  5. Repeat step 4 to select additional linked graphical objects.
  6. Repeat step 3 to turn off the AutoView Linked Objects mode.


To automatically view database table records that are linked to a selection set of objects (Procedure)

Identify and Select Existing Links
Up a level to ..
Identify and Select Existing Links
Share Data Between Drawings and Applications > Access External Databases > Link Database Records to Graphical Objects > Identify and Select Existing Links >
Identify and Select Existing Links
Concept Procedure Quick Reference

To automatically view database table records that are linked to a selection set of objects

  1. In the dbConnect Manager, double-click a database table to open it.
  2. In the Data View window, select a link template from the Link Template list.
  3. In the Data View window, click the AutoView Linked Records in Data View button.
  4. In the drawing area, select one or more graphical objects.

    By default, only database table records linked to the current drawing selection set are displayed in the Data View window. You can change the settings in the Data View and Query Options dialog box to display all records, if desired.

  5. Repeat step 4 to select additional linked records.
  6. Repeat step 3 to turn off the AutoView Linked Records mode.


To specify additional link viewing settings (Procedure)

Identify and Select Existing Links
Up a level to ..
Find and Correct Link Errors
Share Data Between Drawings and Applications > Access External Databases > Link Database Records to Graphical Objects > Identify and Select Existing Links >
Identify and Select Existing Links
Concept Procedure Quick Reference

To specify additional link viewing settings

  1. In the Data View window, click the Data View and Query Options button.
  2. In the Data View and Query Options dialog box, change the default settings as desired.
  3. Click OK to save your changes and close the dialog box.


Identify and Select Existing Links (Quick Reference)

Create and Edit Links and Link Templates
Identify and Select Existing Links
Find and Correct Link Errors
Share Data Between Drawings and Applications > Access External Databases > Link Database Records to Graphical Objects > Identify and Select Existing Links >
Identify and Select Existing Links
Concept Procedure Quick Reference

Commands

DBCONNECT

Provides an interface to external database tables

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Find and Correct Link Errors (Concept)

Identify and Select Existing Links
Link Database Records to Graphical Objects
Export Link Information
Share Data Between Drawings and Applications > Access External Databases > Link Database Records to Graphical Objects >
Find and Correct Link Errors
Concept Procedure Quick Reference

The Synchronize option analyzes the links in your drawing and detects errors.

It is recommended that you periodically check the links in your drawings to update or delete broken links. The program provides a Synchronize option to analyze the links in a drawing that are based on a particular link template. After you run the Synchronize option, a list of detected errors is provided in the Synchronize dialog box. Certain errors (such as a resized column in the source database table) can be fixed directly from the Synchronize dialog box. Other errors (such as links that point to non-existent records) must be fixed in the source database table.


To synchronize the links in a drawing (Procedure)

Identify and Select Existing Links
Up a level to ..
Export Link Information
Share Data Between Drawings and Applications > Access External Databases > Link Database Records to Graphical Objects > Find and Correct Link Errors >
Find and Correct Link Errors
Concept Procedure Quick Reference

To synchronize the links in a drawing

  1. In the dbConnect Manager, right-click a link template. Click Synchronize.

    If no errors are detected, a message is displayed. If there are errors, they are summarized in the Synchronize dialog box.

  2. In the Synchronize dialog box, select an error and do one or more of the following:
    • Click Indicate Drawing Objects to highlight the linked graphical objects.
    • Click Fix to fix the broken link.
    • Click Delete to delete the broken link.
  3. Repeat step 3 for any additional errors.
  4. Click Close.


Find and Correct Link Errors (Quick Reference)

Identify and Select Existing Links
Find and Correct Link Errors
Export Link Information
Share Data Between Drawings and Applications > Access External Databases > Link Database Records to Graphical Objects > Find and Correct Link Errors >
Find and Correct Link Errors
Concept Procedure Quick Reference

Commands

DBCONNECT

Provides an interface to external database tables

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Export Link Information (Concept)

Find and Correct Link Errors
Link Database Records to Graphical Objects
Use Labels to Display Database Information in the Drawing
Share Data Between Drawings and Applications > Access External Databases > Link Database Records to Graphical Objects >
Export Link Information
Concept Procedure Quick Reference

You can export information about links to a text file.

You can use the program to export links contained in a drawing. This is useful when you have multiple graphical objects linked to a single database row. Suppose, for example, that you want to prepare a bill of materials that summarizes the number of different light fixtures in a drawing. The external database that your drawing is linked to does not contain this information. All the database provides is a list of the various light fixtures that make up its record set. The database table has no knowledge of the number of instances of individual light fixtures in your drawing. If you want to prepare a summary report containing this information, you have to export the links in your drawing.


To export links from a drawing (Procedure)

Find and Correct Link Errors
Up a level to ..
Use Labels to Display Database Information in the Drawing
Share Data Between Drawings and Applications > Access External Databases > Link Database Records to Graphical Objects > Export Link Information >
Export Link Information
Concept Procedure Quick Reference

To export links from a drawing

  1. Click DbConnect menu [image] Links [image] Export Links.
  2. Create a selection set of graphical objects whose links you want to export.

    If more than one link template exists for the set of graphical objects that you select, the Select Link Template dialog box is displayed and you are prompted to select a link template. If your selection set contains only one link template, the Export Links dialog box is displayed.

  3. In the Export Links dialog box, select the fields to include by clicking them in the Include Fields list.

    The key fields for the selected link template are included automatically. The program also exports the entity handle of the object that each link is associated with.

  4. Enter a name for the exported file in File Name.
  5. Select a file format for the file from the Save As Type list.

    You may save the file in the native database format of the current table or as a comma-delimited or space-delimited text file.

  6. Click Save to export the links and close the dialog box.
  7. Repeat steps 1 through 6, as necessary, for any additional link templates whose links you want to export.


Export Link Information (Quick Reference)

Find and Correct Link Errors
Export Link Information
Create and Edit Labels and Label Templates
Share Data Between Drawings and Applications > Access External Databases > Link Database Records to Graphical Objects > Export Link Information >
Export Link Information
Concept Procedure Quick Reference

Commands

DBCONNECT

Provides an interface to external database tables

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Use Labels to Display Database Information in the Drawing

Export Link Information
Access External Databases
Create and Edit Labels and Label Templates
Share Data Between Drawings and Applications > Access External Databases >
Use Labels to Display Database Information in the Drawing
Concept Procedure

Labels are multiline text objects that display data in a drawing from selected fields stored in an external database table.

Topics in this section

  • Create and Edit Labels and Label Templates

    Labels may be freestanding or attached to an object. The label template defines what fields from the database table are displayed in the label.

  • Update Labels with New Values from the Database

    When database records change, you update labels to reflect the new values.


Use Labels to Display Database Information in the Drawing (Procedure)

Export Link Information
Use Labels to Display Database Information in the Drawing
Create and Edit Labels and Label Templates
Share Data Between Drawings and Applications > Access External Databases > Use Labels to Display Database Information in the Drawing >
Use Labels to Display Database Information in the Drawing
Concept Procedure

To create a label template

To create a link with a freestanding label

To create a link to an object with an attached label

To edit a label template

To specify label formatting

To update all label values in the current drawing


Create and Edit Labels and Label Templates (Concept)

Use Labels to Display Database Information in the Drawing
Use Labels to Display Database Information in the Drawing
Update Labels with New Values from the Database
Share Data Between Drawings and Applications > Access External Databases > Use Labels to Display Database Information in the Drawing >
Create and Edit Labels and Label Templates
Concept Procedure Quick Reference

Labels may be freestanding or attached to an object. The label template defines what fields from the database table are displayed in the label.

Links provide a powerful mechanism for associating external data with program graphical objects. By selecting linked objects, you can readily access their associated records in the database table. Links do, however, have some inherent limitations. Suppose, for example, that you wanted to print a drawing and include the external data associated with individual links. Because the links are merely pointers to the external database table, the external data would not appear in your printed drawing. For those occasions when you want a visible representation of external data in a drawing, the program provides labels.

Labels are multiline text objects that display data in a drawing from selected fields stored in an external database table.

The labels that you create in the program can be freestanding, or they can be attached to a graphical object. Freestanding labels exist in the drawing independent of any graphical objects. Labels that are attached to a graphical object are tightly connected with it. If you move the graphical object, the label moves with it. If you copy the object to the Clipboard, the label is also copied. If you delete an object that has an attached label, the label is deleted as well. Labels associated with graphical objects are displayed with a leader.

To work with labels, you must first create a label template that defines what fields from the database table are displayed in the label and how the label text is formatted.

Edit Label Templates

After defining a label template, you might have cause to edit it. For example, you may decide that you want additional database table fields to be displayed in your drawings, or that you want to change the font or size of the label object. You can also specify a number of offset settings that affect the insertion point of labels and, in the case of attached labels, their associated leader objects.

The Label Offset tab of the Label Template dialog box specifies X and Y coordinate offset values for labels and leader objects. The following table summarizes the effect these settings have on both freestanding and attached labels.

Label Offset tab options
Option | Freestanding labels | Attached labels
Start | N/A | Specifies the start point for the leader object. The point is defined with respect to the extents of the graphical object that the label is attached to. Suppose, for example, that you specify a Start setting of Top Left for a label attached to a rectangle graphical object. The tip of the leader is inserted in the upper left corner of the rectangle.
Leader Offset | N/A | Specifies an X and Y offset for the multiline text object with respect to the associated leader object. By default, the X and Y Leader Offset options are set to 1, indicating that the label text is offset 1 unit in the X and Y planes from the tip of the leader object.
Tip Offset | Specifies an X and Y label offset from the insertion point you specify for the label. For example, X and Y Tip Offset settings of -1 cause the label to be inserted offset 1 negative unit in the X and Y planes from the insertion point you specify in the drawing. | Specifies an X and Y offset for the tip of the leader object from the value specified with the Start option. Suppose, for example, that you specify a Start setting of Top Left for a label attached to a rectangle graphical object. You also specify X and Y Tip Offset values of 1. The tip of the leader is inserted offset 1 positive unit in the X and Y planes from the upper left corner of the rectangle.

Edit Labels

Once you have created labels, you can edit and manipulate them in a variety of ways. Labels and their leaders can be moved and resized using standard commands such as COPY, MOVE, and SCALE. It is important to note that changes made to individual label instances do not affect or redefine the label template.

NoteIt is not recommended that you edit the text of labels using the In-place Text Editor. The new text values are not updated in the link or the database table, and original field values are restored if you click Reload. If you want to change field values for an existing label, edit the link values as described in Create and Edit Links and Link Templates and click Reload.


Create and Edit Labels and Label Templates (Procedure)

Use Labels to Display Database Information in the Drawing
Up a level to ..
Create and Edit Labels and Label Templates
Share Data Between Drawings and Applications > Access External Databases > Use Labels to Display Database Information in the Drawing > Create and Edit Labels and Label Templates >
Create and Edit Labels and Label Templates
Concept Procedure Quick Reference

To create a label template

To create a link with a freestanding label

To create a link to an object with an attached label

To edit a label template

To specify label formatting


To create a label template (Procedure)

Create and Edit Labels and Label Templates
Up a level to ..
Create and Edit Labels and Label Templates
Share Data Between Drawings and Applications > Access External Databases > Use Labels to Display Database Information in the Drawing > Create and Edit Labels and Label Templates >
Create and Edit Labels and Label Templates
Concept Procedure Quick Reference

To create a label template

  1. In the dbConnect Manager, click the New Label Template button.
  2. In the New Label Template dialog box, enter a name for the label template in New Label Template Name.
  3. To open the Label Template dialog box, click Continue.
  4. In the Label Template dialog box, Label Fields tab, select a field to appear in the label from the Field list. Click Add to add it to the label.

    You can also enter any additional static text that you want to precede or follow the label directly in the Label Template dialog box. For example, you might create a label template that uses the field Room Number from a room database table. If you want the field name to precede the field value when the label is created, enter Room Number: in the Label Template dialog box before selecting the field from the Field list.

  5. Repeat step 5 for any additional fields that you want displayed in your label.
  6. Click OK.


To create a link with a freestanding label (Procedure)

Create and Edit Labels and Label Templates
Up a level to ..
Create and Edit Labels and Label Templates
Share Data Between Drawings and Applications > Access External Databases > Use Labels to Display Database Information in the Drawing > Create and Edit Labels and Label Templates >
Create and Edit Labels and Label Templates
Concept Procedure Quick Reference

To create a link with a freestanding label

  1. In the dbConnect Manager, open a database table that has at least one link template and one label template defined.
  2. In the Data View window, select a link template from the Link Template list.
  3. In the Data View window, select a label template from the Label Template list.
  4. In the Data View window, select the record that you want to link.
  5. Right-click the record header (the empty square to the left of the row) of the selected record. Click Link And Label Settings [image] Create Freestanding Labels.
  6. Click Data View menu [image] Link.
  7. Select an area in the drawing to insert the label.


To create a link to an object with an attached label (Procedure)

Create and Edit Labels and Label Templates
Up a level to ..
Create and Edit Labels and Label Templates
Share Data Between Drawings and Applications > Access External Databases > Use Labels to Display Database Information in the Drawing > Create and Edit Labels and Label Templates >
Create and Edit Labels and Label Templates
Concept Procedure Quick Reference

To create a link to an object with an attached label

  1. In the dbConnect Manager, open a database table that has at least one link template and one label template defined.
  2. In the Data View window, select a link template from the Link Template list.
  3. In the Data View window, select a label template from the Label Template list.
  4. Select the record that you want to link from the Data View window.
  5. Click Data View menu [image] Link And Label Settings [image] Create Attached Labels.
  6. Click Data View menu [image] Link.
  7. Select an object or objects in the drawing that you want the label associated with.
  8. Press ENTER.


To edit a label template (Procedure)

Create and Edit Labels and Label Templates
Up a level to ..
Create and Edit Labels and Label Templates
Share Data Between Drawings and Applications > Access External Databases > Use Labels to Display Database Information in the Drawing > Create and Edit Labels and Label Templates >
Create and Edit Labels and Label Templates
Concept Procedure Quick Reference

To edit a label template

  1. In the dbConnect Manager, in the tree view, right-click a label template to edit. Click Edit.
  2. In the Label Template dialog box, make the changes you want as described in To create a label template.
  3. Click OK.


To specify label formatting (Procedure)

Create and Edit Labels and Label Templates
Up a level to ..
Update Labels with New Values from the Database
Share Data Between Drawings and Applications > Access External Databases > Use Labels to Display Database Information in the Drawing > Create and Edit Labels and Label Templates >
Create and Edit Labels and Label Templates
Concept Procedure Quick Reference

To specify label formatting

  1. Create a new label template as described in To create a label template.
  2. In the Label Template dialog box, select text formatting options using the Character and Properties tabs, as described in MTEXT in the Command Reference.
  3. In the Label Offset tab, specify the insertion point for the tip of the leader object in Start.

    The Start setting has no effect on freestanding labels.

  4. Enter both X and Y offset values in Leader Offset to specify the offset of the label from the tip of the leader object.

    By default, the X and Y offset values are set to 1, indicating that the label is offset by one drawing unit in both the X and the Y directions from the tip of the leader object.

  5. Enter both X and Y offset values in Tip Offset to specify the offset for the leader object or, for freestanding labels, the offset of the label from the insertion point you specify for the label.


Create and Edit Labels and Label Templates (Quick Reference)

Export Link Information
Create and Edit Labels and Label Templates
Update Labels with New Values from the Database
Share Data Between Drawings and Applications > Access External Databases > Use Labels to Display Database Information in the Drawing > Create and Edit Labels and Label Templates >
Create and Edit Labels and Label Templates
Concept Procedure Quick Reference

Commands

DBCONNECT

Provides an interface to external database tables

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Update Labels with New Values from the Database (Concept)

Create and Edit Labels and Label Templates
Use Labels to Display Database Information in the Drawing
Use Queries to Filter Database Information
Share Data Between Drawings and Applications > Access External Databases > Use Labels to Display Database Information in the Drawing >
Update Labels with New Values from the Database
Concept Procedure Quick Reference

When database records change, you update labels to reflect the new values.

After you have added labels to your drawings, you may make occasional changes to the database tables that affect the label values. If you make frequent changes to your database tables, you must regularly update the labels in your drawings to ensure data integrity.


To update all label values in the current drawing (Procedure)

Create and Edit Labels and Label Templates
Up a level to ..
Use Queries to Filter Database Information
Share Data Between Drawings and Applications > Access External Databases > Use Labels to Display Database Information in the Drawing > Update Labels with New Values from the Database >
Update Labels with New Values from the Database
Concept Procedure Quick Reference

To update all label values in the current drawing

  • In the dbConnect Manager, in the tree view, right-click a drawing file. Click Reload Labels.


Update Labels with New Values from the Database (Quick Reference)

Create and Edit Labels and Label Templates
Update Labels with New Values from the Database
Overview of Queries
Share Data Between Drawings and Applications > Access External Databases > Use Labels to Display Database Information in the Drawing > Update Labels with New Values from the Database >
Update Labels with New Values from the Database
Concept Procedure Quick Reference

Commands

DBCONNECT

Provides an interface to external database tables

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Use Queries to Filter Database Information

Update Labels with New Values from the Database
Access External Databases
Overview of Queries
Share Data Between Drawings and Applications > Access External Databases >
Use Queries to Filter Database Information
Concept Procedure

A query to the database is a search criterion that you construct to return the records you want.

Topics in this section

  • Overview of Queries
  • Construct Simple Queries

    The simplest query uses one operator to search one field for a certain value. The range query searches one field to return records that fall within a range you specify.

  • Use the Query Builder

    Boolean operators and parenthetical grouping are used to create queries with two or more search criteria.

  • Use SQL Queries

    If your database is fully compliant with the SQL 92 standard, you can use SQL statements to query more than one database table at a time.

  • Combine Queries

    An advanced type of query uses operators on successive selection sets to return a new set of objects or records, which then can be further refined by the same process.

  • Save and Reuse Queries

    When you save a query, you can later edit it, rename it, and copy it into other drawings.


Use Queries to Filter Database Information (Procedure)

Update Labels with New Values from the Database
Use Queries to Filter Database Information
Overview of Queries
Share Data Between Drawings and Applications > Access External Databases > Use Queries to Filter Database Information >
Use Queries to Filter Database Information
Concept Procedure

To open the Query Editor

To construct a quick query

To construct a range query

To construct a query with a single parameter on the Query Builder tab

To construct a query with multiple parameters on the Query Builder tab

To specify what fields appear in your returned query

To specify a sort order for your returned query

To construct an SQL query

To use Link Select

To execute a stored query

To edit a stored query

To rename a stored query

To delete a stored query

To copy a stored query to another drawing

To automatically store new queries with the current drawing


Overview of Queries (Concept)

Use Queries to Filter Database Information
Use Queries to Filter Database Information
Construct Simple Queries
Share Data Between Drawings and Applications > Access External Databases > Use Queries to Filter Database Information >
Overview of Queries
Concept Procedure Quick Reference

Part of the fundamental power of database systems is their ability to present a subset of records based on a search criterion or query that you specify. For example, you might have a database table containing records of all the rooms that exist at your company's headquarters facilities. Suppose that you want to prepare a report that lists all conference rooms that can seat more than 20 people. Using the Query Editor, you can easily construct a query that returns the subset of records or linked graphical objects that you want to see.

The Query Editor consists of a series of four tabs that you can use to develop queries. The tabbed progression is designed to make working with queries simple, even if you are not familiar with Structured Query Language (SQL). If you are unfamiliar with queries, work with the Quick Query and Range Query tabs initially until you become familiar with query syntax. Once you learn the basics involved in developing meaningful queries, you can progress to the Query Builder and SQL Query tabs.

You can begin creating a query in one tab and continue to refine it or add additional parameters in subsequent tabs. You might, for example, begin creating a simple query in the Quick Query tab and subsequently decide that you would like to add an additional condition using the Query Builder tab. When you click the Query Builder tab, it displays the values that you initially selected using the Quick Query tab, and you can add additional conditions to the query. However, you cannot move backwards through the tabs once you have changed the query in one of the later tabs, because each subsequent tab provides additional functions that are not available in the previous tabs. If you attempt to move backwards through the query tabs after modifying a query, you are prompted with a warning indicating that the query will be reset with its original default values.

The tabbed progression of the Query Editor is particularly useful in becoming familiar with SQL syntax. For example, you can create a query using the Quick Query tab and then select the SQL Query tab to view how your query is formatted using SQL.

The Query Editor provides the following tabs for building queries:

  • Quick Query. Provides an environment where you can develop simple queries based on a single database field, single operator, and single value. For example, you can find all records from the current database table where the value of the "room type" field equals "office."
  • Range Query. Provides an environment where you can develop a query that returns all records that fall within a given range of values. For example, you can find all records from the current database table where the value of the "room area" field is greater than or equal to 90 square feet and less than or equal to 120 square feet.
  • Query Builder. Provides an environment where you can develop more complicated queries based on multiple search criteria. For example, you can find all records from the current database table where the "room type" equals "cubicle" and room area is greater than 80 square feet.
  • SQL Query. Provides an environment where you can develop sophisticated queries that conform with the SQL 92 protocol. For example, you can select * from california.headquarters.room where

    california.headquarters.room.type = 'cubicle'

    and

    california.headquarters.room.area < 80.

See Construct Simple Queries for detailed information about constructing queries and working with operators. If you are already comfortable building database queries, see Use the Query Builder.


To open the Query Editor (Procedure)

Use Queries to Filter Database Information
Up a level to ..
Construct Simple Queries
Share Data Between Drawings and Applications > Access External Databases > Use Queries to Filter Database Information > Overview of Queries >
Overview of Queries
Concept Procedure Quick Reference

To open the Query Editor

  1. In the dbConnect Manager, in the tree view, select a database table.
  2. Click the New Query button.
  3. In the New Query dialog box, enter a name for the query in New Query Name.
  4. Click Continue to open the Query Editor.


Overview of Queries (Quick Reference)

Update Labels with New Values from the Database
Overview of Queries
Construct Simple Queries
Share Data Between Drawings and Applications > Access External Databases > Use Queries to Filter Database Information > Overview of Queries >
Overview of Queries
Concept Procedure Quick Reference

Commands

DBCONNECT

Provides an interface to external database tables

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Construct Simple Queries (Concept)

Overview of Queries
Use Queries to Filter Database Information
Use the Query Builder
Share Data Between Drawings and Applications > Access External Databases > Use Queries to Filter Database Information >
Construct Simple Queries
Concept Procedure Quick Reference

The simplest query uses one operator to search one field for a certain value. The range query searches one field to return records that fall within a range you specify.

The Quick Query Tab

The Quick Query tab is designed to familiarize you with query syntax as quickly as possible. Constructing a quick query involves selecting a field from the current database table, applying a conditional operator to it, and specifying a value for the field.

Conditional operators are constraints such as equal, greater than, or less than. The following table summarizes the Quick Query tab's operators.

Query Operators

Query Operators
Operator | Description
Equal (=) | Returns all records that exactly match the value that you specify.
Not equal (<>) | Returns all records except those matching the value that you specify.
Greater than (>) | Returns all records that exceed the value that you specify.
Less than (<) | Returns all records with values that are less than the value that you specify.
Greater than or equal (>=) | Returns all records that exceed or equal the value that you specify.
Less than or equal (<=) | Returns all records that are less than or equal to the value that you specify.
Like | Returns all records that contain the value that you specify. Using the like operator, you can specify the optional % wild-card character. If, for example, you want to return all records that end with the string "ert", you enter the value %ert. If you want to return all records that begin with the string "ert", you enter the value ert%. If you don't specify the % wild-card character, the program searches for the exact value that you specify.
In | Returns all records that match a set of values that you specify. If, for example, you are searching for an employee record but are not sure if the name is spelled Smith or Smythe, you could issue the in operator and provide both spelling values to return all records spelled either Smith or Smythe. The two values must be separated by a comma.
Is null | Returns all records that do not have values specified for the field that you're querying. This operator is useful for locating records in your database table that are missing data.
Is not null | Returns all records that have values specified for the field that you're querying. This operator is useful for excluding from your query any records in your database table that are missing data.
NoteAll operators can be applied to both numeric and text-based fields. For example, you can search for all records greater than "c", which would return all records ranging from "ca..." through "z...". It is important to realize that query searches are case sensitive: "ROOM" is not equivalent to "room".

The Range Query Tab

Like the Quick Query tab, the Range Query tab is designed to assist users who are new to working with database queries. Using the Range Query tab, you can specify a range of values for the query to return: for example, all rooms that are greater than or equal to 80 square feet but are less than or equal to 100 square feet. The interface is similar to that of the Quick Query tab, except the Operator field has been removed and the Value field has been replaced with two fields: a From field and a Through field. All other interface features are available and work as they do on the Quick Query tab.


Construct Simple Queries (Procedure)

Overview of Queries
Up a level to ..
Construct Simple Queries
Share Data Between Drawings and Applications > Access External Databases > Use Queries to Filter Database Information > Construct Simple Queries >
Construct Simple Queries
Concept Procedure Quick Reference

To construct a quick query

To construct a range query


To construct a quick query (Procedure)

Construct Simple Queries
Up a level to ..
Construct Simple Queries
Share Data Between Drawings and Applications > Access External Databases > Use Queries to Filter Database Information > Construct Simple Queries >
Construct Simple Queries
Concept Procedure Quick Reference

To construct a quick query

  1. Open the Query Editor as described in To open the Query Editor.
  2. On the Quick Query tab, select a field from the Field list.
  3. Select an operator from the Operator list.
  4. Enter a value in the Value field, or click Look Up Values.

    Look Up Values returns a list of all values for the specified field from the database table, so you can select the value that you want. After selecting a value, click OK.

  5. Select one or both of the following:
    • Indicate Records in Data View. Highlights records that match your query in the Data View window.
    • Indicate Objects in Drawing. Highlights objects that match your query in the current drawing.
  6. If you want to save the query in the current drawing for future use, click Store.
  7. Click Execute to execute the query and close the dialog box.

    A subset of records that match your query criterion are displayed in the Data View window. To return to the Query Editor to refine your query, click the Return to Query button.


To construct a range query (Procedure)

Construct Simple Queries
Up a level to ..
Use the Query Builder
Share Data Between Drawings and Applications > Access External Databases > Use Queries to Filter Database Information > Construct Simple Queries >
Construct Simple Queries
Concept Procedure Quick Reference

To construct a range query

  1. Open the Query Editor as described in To open the Query Editor.
  2. On the Range Query tab, select a field from the Field list.
  3. Enter a value in From, or click Look Up Values (From).

    Look Up Values displays a list of all values for the specified field from the database table, so you can select the value that you want. After selecting a value, click OK.

    The query searches for all values greater than or equal to the value that you specify.

  4. Enter a value in Through, or click Look Up Values (Through).

    The query searches for all values less than or equal to the value that you specify.

  5. If you want to save the query in the current drawing for future use, click Store.
  6. Click Execute to execute the query and close the dialog box.


Construct Simple Queries (Quick Reference)

Overview of Queries
Construct Simple Queries
Use the Query Builder
Share Data Between Drawings and Applications > Access External Databases > Use Queries to Filter Database Information > Construct Simple Queries >
Construct Simple Queries
Concept Procedure Quick Reference

Commands

DBCONNECT

Provides an interface to external database tables

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Use the Query Builder (Concept)

Construct Simple Queries
Use Queries to Filter Database Information
Use SQL Queries
Share Data Between Drawings and Applications > Access External Databases > Use Queries to Filter Database Information >
Use the Query Builder
Concept Procedure Quick Reference

Boolean operators and parenthetical grouping are used to create queries with two or more search criteria.

The Query Builder tab is the primary query environment. Unlike the Quick Query and Range Query tabs, the Query Builder can be used to create queries based on multiple criteria. You can also parenthetically group criteria and specify what fields are displayed and how they are sorted when the query is returned in the Data View window.

The Query Builder tab introduces Boolean operators and parenthetical grouping, which are used to create compound queries based on two or more search criteria. For example, using Boolean operators, you can generate a query that returns a list of all light fixtures of a given type that were installed after a specific date.

  • And Operator. Constructs a query based on multiple criteria, returning a set of records that meet all specified criteria. For example, search for all rooms that are offices and are currently unoccupied. The query returns records for all rooms that are both offices and unoccupied.
  • Or Operator. Constructs a query based on multiple criteria, returning a set of records that meet any of the specified criteria. For example, search for all rooms that are offices or are currently unoccupied. The query returns records for all rooms that are either offices or unoccupied.
  • Parenthetical Grouping. Groups a series of search criteria by bracketing them within parentheses. For example, search for

    (All rooms that are offices and are currently unoccupied)

    or

    (All rooms that are cubicles and are currently unoccupied)

    This query returns a list of all unoccupied offices and cubicles.

    You can nest up to four sets of parentheses within a statement.


Use the Query Builder (Procedure)

Construct Simple Queries
Up a level to ..
Use the Query Builder
Share Data Between Drawings and Applications > Access External Databases > Use Queries to Filter Database Information > Use the Query Builder >
Use the Query Builder
Concept Procedure Quick Reference

To construct a query with a single parameter on the Query Builder tab

To construct a query with multiple parameters on the Query Builder tab

To specify what fields appear in your returned query

To specify a sort order for your returned query


To construct a query with a single parameter on the Query Builder tab (Procedure)

Use the Query Builder
Up a level to ..
Use the Query Builder
Share Data Between Drawings and Applications > Access External Databases > Use Queries to Filter Database Information > Use the Query Builder >
Use the Query Builder
Concept Procedure Quick Reference

To construct a query with a single parameter on the Query Builder tab

  1. Open the Query Editor as described in To open the Query Editor.
  2. On the Query Builder tab, select a field from the drop-down list in the Field cell.
  3. Select an operator from the Operator cell drop-down list.
  4. Enter a value in the Value cell, or click the [...] button.

    The [...] button returns a list of all values for the specified field from the database table, allowing you to select the value you want. After selecting a value, click OK.

  5. If you want to save the query in the current drawing for future use, click Store.
  6. Click Execute to execute the query and close the dialog box.


To construct a query with multiple parameters on the Query Builder tab (Procedure)

Use the Query Builder
Up a level to ..
Use the Query Builder
Share Data Between Drawings and Applications > Access External Databases > Use Queries to Filter Database Information > Use the Query Builder >
Use the Query Builder
Concept Procedure Quick Reference

To construct a query with multiple parameters on the Query Builder tab

  1. Enter the first parameter of your query as described in To construct a query with a single parameter on the Query Builder tab.
  2. Select the appropriate And or Or operator from the Logical field.

    Clicking in the Logical field inserts an And operator. Clicking the cell again changes the value to Or.

  3. Enter additional query parameters on subsequent rows of the Query grid.
  4. Repeat step 2 for each additional parameter except the final query parameter.
  5. Apply any parenthetical grouping, if appropriate. Click the cell to the left of the Field cell that begins the phrase that you want to group. A single left parenthesis is inserted. Click the cell to the right of the Value cell that ends the phrase that you want to group. A single right parenthesis is inserted.
  6. If you want to save the query in the current drawing for future use, click Store.
  7. Click Execute to execute the query and close the dialog box.


To specify what fields appear in your returned query (Procedure)

Use the Query Builder
Up a level to ..
Use the Query Builder
Share Data Between Drawings and Applications > Access External Databases > Use Queries to Filter Database Information > Use the Query Builder >
Use the Query Builder
Concept Procedure Quick Reference

To specify what fields appear in your returned query

  1. Construct your query as described in To construct a query with a single parameter on the Query Builder tab and To construct a query with multiple parameters on the Query Builder tab.
  2. Select the first field that you want to appear in the Fields in Table list.
  3. Above the Show Fields list, click Add.
  4. Repeat steps 2 and 3 for any additional fields you want to display.


To specify a sort order for your returned query (Procedure)

Use the Query Builder
Up a level to ..
Use SQL Queries
Share Data Between Drawings and Applications > Access External Databases > Use Queries to Filter Database Information > Use the Query Builder >
Use the Query Builder
Concept Procedure Quick Reference

To specify a sort order for your returned query

  1. Construct your query as described in To construct a query with a single parameter on the Query Builder taband To construct a query with multiple parameters on the Query Builder tab.
  2. Select the first field that you want to sort on from the Show Fields list.
  3. Above the Sort By list, click Add.

    By default, the selected field is sorted in ascending order. Click the Sort button to sort in descending order.

  4. Repeat steps 2 and 3 for any additional fields that you want to sort on.


Use the Query Builder (Quick Reference)

Construct Simple Queries
Use the Query Builder
Use SQL Queries
Share Data Between Drawings and Applications > Access External Databases > Use Queries to Filter Database Information > Use the Query Builder >
Use the Query Builder
Concept Procedure Quick Reference

Commands

DBCONNECT

Provides an interface to external database tables

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Use SQL Queries (Concept)

Use the Query Builder
Use Queries to Filter Database Information
Combine Queries
Share Data Between Drawings and Applications > Access External Databases > Use Queries to Filter Database Information >
Use SQL Queries
Concept Procedure Quick Reference

If your database is fully compliant with the SQL 92 standard, you can use SQL statements to query more than one database table at a time.

The SQL Query tab provides you with both a query editor box where you can enter a free-form SQL query and a set of tools to assist you in constructing a query. You can issue any valid SQL statement that conforms with Microsoft's implementation of the SQL 92 protocol from this tab. Because not all database management systems are fully compliant with the SQL 92 standard, you should review your system's documentation to see what SQL commands are valid for your particular database.

Unlike the other tabs in the Query Editor, the SQL Query tab can be used to construct a query that performs relational operations on multiple database tables using the SQL join operator. Because joins are a relatively advanced SQL operation, refer to your database system documentation or to the SQL 92 protocol for information about working with joins.

The following additional interface elements are introduced on the SQL Query tab:

  • Table List. Lists all database tables available in the current data source. You can add tables to the SQL query editor by double-clicking them, by selecting them and choosing Add, or by typing their names directly in the SQL query editor.
  • Check. Checks your SQL query for proper syntax without actually executing it. This function helps you isolate syntax errors before you issue your query.


To construct an SQL query (Procedure)

Use the Query Builder
Up a level to ..
Combine Queries
Share Data Between Drawings and Applications > Access External Databases > Use Queries to Filter Database Information > Use SQL Queries >
Use SQL Queries
Concept Procedure Quick Reference

To construct an SQL query

  1. Open the Query Editor as described in To open the Query Editor.
  2. Click the SQL Query tab.
  3. Enter your query in the Query Editor, or select query components from the interface as described in Use the Query Builder.
  4. If you want to save the query in the current drawing for future use, click Store.
  5. Click Execute to execute the query and close the dialog box.


Use SQL Queries (Quick Reference)

Use the Query Builder
Use SQL Queries
Combine Queries
Share Data Between Drawings and Applications > Access External Databases > Use Queries to Filter Database Information > Use SQL Queries >
Use SQL Queries
Concept Procedure Quick Reference

Commands

DBCONNECT

Provides an interface to external database tables

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Combine Queries (Concept)

Use SQL Queries
Use Queries to Filter Database Information
Save and Reuse Queries
Share Data Between Drawings and Applications > Access External Databases > Use Queries to Filter Database Information >
Combine Queries
Concept Procedure Quick Reference

An advanced type of query uses operators on successive selection sets to return a new set of objects or records, which then can be further refined by the same process.

Link Select is an advanced implementation of the Query Editor that constructs iterative selection sets of graphical objects and database records.

Link Select creates an ongoing selection set that you refine with additional information through a running iterative process. You begin either by constructing a query or by selecting graphical objects. This initial selection set is referred to as set A. You can now select additional graphical objects or issue a query to further refine your selection set. This second selection set is referred to as set B. You must establish a relationship between set A and set B to further refine the selection set. The following relationships or set operations are available:

  • Select. Creates an initial query or selection set. This selection set can be refined through subsequent Link Select operations.
  • Union. Adds the results of the new query or selection set to the running selection set. This operation returns all records or objects that are members of set A or set B.
  • Intersect. Returns the intersection of the existing running selection and the results of the new query or drawing selection. This operation returns all records or objects that are members of set A and set B.
  • Subtract A - B. Subtracts the results of the new query or drawing selection from the existing running selection.
  • Subtract B - A. Subtracts the existing running selection from the results of the new query or drawing selection.

After you apply one of the set operations, the returned results become the new running selection and are assigned to set A. You can continue the iterative process by creating additional B sets to further refine your Link Select set.


To use Link Select (Procedure)

Use SQL Queries
Up a level to ..
Save and Reuse Queries
Share Data Between Drawings and Applications > Access External Databases > Use Queries to Filter Database Information > Combine Queries >
Combine Queries
Concept Procedure Quick Reference

To use Link Select

  1. In the dbConnect Manager, in the tree view, right-click a link template. Click Link Select.
  2. Select the Select option from the Do list.
  3. Select a link template from Using.
  4. Select one of the following options:
    • Use Query. Constructs a query using one of the tabs in the Query Editor.
    • Select in Drawing. Closes the dialog box temporarily so that you can select graphical objects in the drawing. When you select the Select in Drawing option, the Execute button changes to Select.
  5. Click either Execute or Select to add your query or graphical object selection set to the Link Select operation.
  6. Select a Link Select operation from the Do list: Union, Intersect, Subtract A-B, or Subtract B-A.
  7. Repeat steps 3 through 5 to add set B to the Link Select operation.
  8. Select one or both of the following options and click Finish to complete the Link Select operation:
    • Indicate Records in Data View. Returns the results of the current Link Select operation in the Data View window when you click Finish. You can perform further Link Select iterations by clicking the Return to Link Select button in the Data View window.
    • Indicate Objects in Drawing. Creates a selection set of linked graphical objects in the drawing area when you click Finish. You can perform further Link Select iterations by pressing ENTER at the command prompt.
NoteIt is recommended that you turn off the Indicate Records in Data View option if you are performing a Link Select operation on links from more than one database table. Link Select only displays records from the table that the current link template references. This limitation can cause misleading results to be returned to the Data View window.


Combine Queries (Quick Reference)

Use SQL Queries
Combine Queries
Save and Reuse Queries
Share Data Between Drawings and Applications > Access External Databases > Use Queries to Filter Database Information > Combine Queries >
Combine Queries
Concept Procedure Quick Reference

Commands

DBCONNECT

Provides an interface to external database tables

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Save and Reuse Queries (Concept)

Combine Queries
Use Queries to Filter Database Information
Share Link and Label Templates and Queries with Other Users
Share Data Between Drawings and Applications > Access External Databases > Use Queries to Filter Database Information >
Save and Reuse Queries
Concept Procedure Quick Reference

When you save a query, you can later edit it, rename it, and copy it into other drawings.

You can save queries that you plan on using more than once with a drawing. Queries that you save are listed in the dbConnect Manager under the drawing node of the drawing that they were created in. You can edit and rename stored queries or copy them to other drawings.


Save and Reuse Queries (Procedure)

Combine Queries
Up a level to ..
Save and Reuse Queries
Share Data Between Drawings and Applications > Access External Databases > Use Queries to Filter Database Information > Save and Reuse Queries >
Save and Reuse Queries
Concept Procedure Quick Reference

To execute a stored query

To edit a stored query

To rename a stored query

To delete a stored query

To copy a stored query to another drawing

To automatically store new queries with the current drawing


To execute a stored query (Procedure)

Save and Reuse Queries
Up a level to ..
Save and Reuse Queries
Share Data Between Drawings and Applications > Access External Databases > Use Queries to Filter Database Information > Save and Reuse Queries >
Save and Reuse Queries
Concept Procedure Quick Reference

To execute a stored query

  • In the dbConnect Manager, in the tree view, right-click a stored query. Click Execute.


To edit a stored query (Procedure)

Save and Reuse Queries
Up a level to ..
Save and Reuse Queries
Share Data Between Drawings and Applications > Access External Databases > Use Queries to Filter Database Information > Save and Reuse Queries >
Save and Reuse Queries
Concept Procedure Quick Reference

To edit a stored query

  1. In the dbConnect Manager, in the tree view, right-click a stored query. Click Edit.
  2. Use the Query Editor dialog box to make the necessary changes. Click Store to save the edited query with the current drawing.


To rename a stored query (Procedure)

Save and Reuse Queries
Up a level to ..
Save and Reuse Queries
Share Data Between Drawings and Applications > Access External Databases > Use Queries to Filter Database Information > Save and Reuse Queries >
Save and Reuse Queries
Concept Procedure Quick Reference

To rename a stored query

  1. In the dbConnect Manager, right-click the query you want to rename. Click Rename.
  2. Enter a new name for the query. Press ENTER.


To delete a stored query (Procedure)

Save and Reuse Queries
Up a level to ..
Save and Reuse Queries
Share Data Between Drawings and Applications > Access External Databases > Use Queries to Filter Database Information > Save and Reuse Queries >
Save and Reuse Queries
Concept Procedure Quick Reference

To delete a stored query

  • In the dbConnect Manager, in the tree view, right-click a stored query. Click Delete.


To copy a stored query to another drawing (Procedure)

Save and Reuse Queries
Up a level to ..
Save and Reuse Queries
Share Data Between Drawings and Applications > Access External Databases > Use Queries to Filter Database Information > Save and Reuse Queries >
Save and Reuse Queries
Concept Procedure Quick Reference

To copy a stored query to another drawing

  1. In the dbConnect Manager, select the query that you want to copy.
  2. Drag the query to the node of the drawing that you want to copy it to.


To automatically store new queries with the current drawing (Procedure)

Save and Reuse Queries
Up a level to ..
Share Link and Label Templates and Queries with Other Users
Share Data Between Drawings and Applications > Access External Databases > Use Queries to Filter Database Information > Save and Reuse Queries >
Save and Reuse Queries
Concept Procedure Quick Reference

To automatically store new queries with the current drawing

  1. In the dbConnect Manager, in the tree view, open a database table by double-clicking it.
  2. In the Data View window, click the Query button.
  3. In the New Query dialog box, click Continue.
  4. In the Query Editor dialog box, click Options.
  5. In the Data View and Query Options dialog box, Query options area, select Automatically Store. Click OK.


Save and Reuse Queries (Quick Reference)

Combine Queries
Save and Reuse Queries
Share Link and Label Templates and Queries with Other Users
Share Data Between Drawings and Applications > Access External Databases > Use Queries to Filter Database Information > Save and Reuse Queries >
Save and Reuse Queries
Concept Procedure Quick Reference

Commands

DBCONNECT

Provides an interface to external database tables

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Share Link and Label Templates and Queries with Other Users (Concept)

Save and Reuse Queries
Access External Databases
Work with Links in Files from Earlier Releases
Share Data Between Drawings and Applications > Access External Databases >
Share Link and Label Templates and Queries with Other Users
Concept Procedure Quick Reference

You can export and import links and link templates, labels and label templates, and queries.

Occasionally you may want to make templates or queries that you have developed available to other users, or use templates or queries that others have developed. This is particularly useful when developing a set of common tools that can be shared by all of the team members on a project, and it eliminates the need to replicate the work of template and query development on each team member's workstation. The program can import and export all the link and label templates and queries that are associated with a drawing.


Share Link and Label Templates and Queries with Other Users (Procedure)

Save and Reuse Queries
Share Link and Label Templates and Queries with Other Users
Share Link and Label Templates and Queries with Other Users
Share Data Between Drawings and Applications > Access External Databases > Share Link and Label Templates and Queries with Other Users >
Share Link and Label Templates and Queries with Other Users
Concept Procedure Quick Reference

To import a set of templates into the current drawing

To export a set of templates from the current drawing

To import a set of queries into the current drawing

To export a set of queries from the current drawing


To import a set of templates into the current drawing (Procedure)

Share Link and Label Templates and Queries with Other Users
Share Link and Label Templates and Queries with Other Users
Share Link and Label Templates and Queries with Other Users
Share Data Between Drawings and Applications > Access External Databases > Share Link and Label Templates and Queries with Other Users >
Share Link and Label Templates and Queries with Other Users
Concept Procedure Quick Reference

To import a set of templates into the current drawing

  1. In the dbConnect Manager, in the tree view, right-click a drawing file. Click Import Template Set.
  2. In the Import Template Set dialog box, select a template set.
  3. Click Open to import the template set into the current drawing.

    If there is a link or label template with the same name already associated with the current drawing, an alert box is displayed that you can use to provide a unique name for the template.


To export a set of templates from the current drawing (Procedure)

Share Link and Label Templates and Queries with Other Users
Share Link and Label Templates and Queries with Other Users
Share Link and Label Templates and Queries with Other Users
Share Data Between Drawings and Applications > Access External Databases > Share Link and Label Templates and Queries with Other Users >
Share Link and Label Templates and Queries with Other Users
Concept Procedure Quick Reference

To export a set of templates from the current drawing

  1. In the dbConnect Manager, in the tree view, right-click a drawing file. Click Export Template Set.
  2. In the Export Template Set dialog box, in the Save In list, select the directory you want to save the template set to.
  3. Under File Name, specify a name for the template set. Click Save.


To import a set of queries into the current drawing (Procedure)

Share Link and Label Templates and Queries with Other Users
Share Link and Label Templates and Queries with Other Users
Share Link and Label Templates and Queries with Other Users
Share Data Between Drawings and Applications > Access External Databases > Share Link and Label Templates and Queries with Other Users >
Share Link and Label Templates and Queries with Other Users
Concept Procedure Quick Reference

To import a set of queries into the current drawing

  1. In the dbConnect Manager, in the tree view, right-click a drawing file. Click Import Query Set.
  2. In the Import Query Set dialog box, select the query set.
  3. Click Open to import the query set into the current drawing.

    If there is a query with the same name already associated with the current drawing, an alert box is displayed that you can use to provide a unique name for the query.


To export a set of queries from the current drawing (Procedure)

Share Link and Label Templates and Queries with Other Users
Share Link and Label Templates and Queries with Other Users
Work with Links in Files from Earlier Releases
Share Data Between Drawings and Applications > Access External Databases > Share Link and Label Templates and Queries with Other Users >
Share Link and Label Templates and Queries with Other Users
Concept Procedure Quick Reference

To export a set of queries from the current drawing

  1. In the dbConnect Manager, in the tree view, right-click a drawing file. Click Export Query Set.
  2. In the Export Query Set dialog box, in the Save In list, select the directory where you want to save the query set.
  3. Under File Name, specify a name for the query set. Click Save.


Share Link and Label Templates and Queries with Other Users (Quick Reference)

Save and Reuse Queries
Share Link and Label Templates and Queries with Other Users
Work with Links in Files from Earlier Releases
Share Data Between Drawings and Applications > Access External Databases > Share Link and Label Templates and Queries with Other Users >
Share Link and Label Templates and Queries with Other Users
Concept Procedure Quick Reference

Commands

DBCONNECT

Provides an interface to external database tables

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Work with Links in Files from Earlier Releases (Concept)

Share Link and Label Templates and Queries with Other Users
Access External Databases
Work with Other People and Organizations
Share Data Between Drawings and Applications > Access External Databases >
Work with Links in Files from Earlier Releases
Concept Procedure Quick Reference

You can convert ASE links in drawings from Releases 12, 13, and 14 to AutoCAD 2000 or later format. You can save AutoCAD 2000 links in Release 13 and Release 14 format.

Because AutoCAD 2000 and later releases store links in a different format than previous releases, you need to convert your links if you plan on using them with AutoCAD 2000 and later. Note the changes in terminology: key value replaces key column in Release 14; link template replaces link path name; and label replaces displayable attribute. You also need to create a configuration file that points to the data source referenced by the legacy links.

When you open a drawing that contains legacy links, the program attempts to perform an automatic conversion of the legacy information. If, for example, you open a Release 14 drawing that contains links that point to a data source with the structure db3.ase.db3sample.computer(com), the program attempts to establish an exact, one-to-one mapping of the data source components.

In some cases, the legacy data source might not match exactly how the data source is configured. For example, the legacy data source might specify a catalog that isn't specified in the data source. If the automatic link conversion is unsuccessful, you can use the Link Conversion dialog box to establish a mapping between the legacy and new data sources. You can also use the Link Template Properties dialog box to specify new data source parameters for a selected link template.

During the conversion process, the data source mapping information is written to a file called asi.ini. You can manually edit the conversion mapping information specified in this file, if necessary.

NoteThe program attempts to automatically convert legacy links only for data sources that don't have mapping values specified in the asi.ini file. Once you have specified conversion mappings for a particular data source, the program uses the settings specified in the asi.ini file for any additional legacy drawings you open that contain links that reference this data source.

Save Links to Earlier Formats

Links that you have created in AutoCAD 2000 and later can be converted to Release 13 or Release 14 links. AutoCAD 2000 and later links cannot be converted to Release 12 format. When you use SAVEAS to save a drawing in the current format that contains links to Release 13 or Release 14 format, the links are automatically converted to the appropriate drawing format. You must specify a conversion mapping as described above.


Work with Links in Files from Earlier Releases (Procedure)

Share Link and Label Templates and Queries with Other Users
Work with Links in Files from Earlier Releases
Work with Links in Files from Earlier Releases
Share Data Between Drawings and Applications > Access External Databases > Work with Links in Files from Earlier Releases >
Work with Links in Files from Earlier Releases
Concept Procedure Quick Reference

To convert AutoCAD Release 13 and Release 14 links

To convert Release 12 links


To convert AutoCAD Release 13 and Release 14 links (Procedure)

Work with Links in Files from Earlier Releases
Work with Links in Files from Earlier Releases
Work with Links in Files from Earlier Releases
Share Data Between Drawings and Applications > Access External Databases > Work with Links in Files from Earlier Releases >
Work with Links in Files from Earlier Releases
Concept Procedure Quick Reference

To convert AutoCAD Release 13 and Release 14 links

  1. Click DbConnect menu [image] Link Conversion.
  2. In Old Link Format, do all of the following:
    • Select R13/R14 Link Format.
    • In Environment, enter the name of the Release 13 or Release 14 environment for the link that you want to convert.
    • In Catalog, enter the name of the Release 13 or Release 14 catalog for the link that you want to convert.
    • In Schema, enter the name of the Release 13 or Release 14 schema for the link that you want to convert.
    • In Table, enter the name of the Release 13 or Release 14 database table for the link that you want to convert .
    • In Link Path Name, enter the link path name for the link that you want to convert.
  3. In New Link Format, do all of the following:
    • Select the appropriate data source from the Data Source list.
    • Select the appropriate catalog from the Catalog list.
    • Select the appropriate schema from the Schema list.
    • Select the appropriate table from the Table list.
    • Select the appropriate link template from the Link Template list.
  4. Click OK.
  5. Open the drawing whose links you want to convert, and save it.
    NoteYou must specify an environment, database table, and link path name for all links that you convert. Catalog and schema are optional parameters that are not required by all database management systems.


To convert Release 12 links (Procedure)

Work with Links in Files from Earlier Releases
Work with Links in Files from Earlier Releases
Protect Drawings with Encryption
Share Data Between Drawings and Applications > Access External Databases > Work with Links in Files from Earlier Releases >
Work with Links in Files from Earlier Releases
Concept Procedure Quick Reference

To convert Release 12 links

  1. Click DbConnect menu [image] Link Conversion.
  2. In Old Link Format, do all of the following:
    • Select R12 Link Format.
    • In DBMS, enter the name of the Release 12 database management system for the link that you want to convert.
    • In Database, enter the name of the Release 12 database for the link that you want to convert.
    • In Table, enter the name of the Release 12 database table for the link that you want to convert.
  3. In New Link Format, do all of the following:
    • Select the appropriate data source name from the Data Source list.
    • Select the appropriate catalog from the Catalog list.
    • Select the appropriate schema from the Schema list.
    • Select the appropriate table from the Table list.
    • Select the appropriate link template from the Link Template list.
  4. Click OK.
  5. Open the drawing whose links you want to convert, and then save it.

    Once you have specified a link conversion mapping, when you subsequently open and save in AutoCAD 2000 or later format a drawing that contains links that are specified in the mapping, the links are converted to the new format.


Work with Links in Files from Earlier Releases (Quick Reference)

Share Link and Label Templates and Queries with Other Users
Work with Links in Files from Earlier Releases
Overview of Encryption
Share Data Between Drawings and Applications > Access External Databases > Work with Links in Files from Earlier Releases >
Work with Links in Files from Earlier Releases
Concept Procedure Quick Reference

Commands

DBCONNECT

Provides an interface to external database tables

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Work with Other People and Organizations

Work with Links in Files from Earlier Releases
Protect and Sign Drawings
Work with Other People and Organizations

Topics in this section

  • Protect and Sign Drawings

    You can collaborate on design projects using passwords and digital signatures. When a drawing has a password, it cannot be viewed until the password is entered. When a drawing is signed, the signature identifies an individual or an organization through a digital ID (certificate).

  • Use the Internet to Share Drawings

    You can access and store drawings and related files on the Internet. You need Microsoft Internet Explorer 6.1 Service Pack 1 (or a later version) and access to the Internet or an intranet.

  • Use Markups for Design Review

    When you are in the final stages of a design, you can publish drawings for review, and receive corrections and comments electronically. You can then implement and respond to these comments and republish your drawings. Doing all this electronically streamlines communication, shortens review cycles, and results in a more efficient design process.


Protect and Sign Drawings

Work with Other People and Organizations
Work with Other People and Organizations
Drawing Encryption
Work with Other People and Organizations >
Protect and Sign Drawings

You can collaborate on design projects using passwords and digital signatures. When a drawing has a password, it cannot be viewed until the password is entered. When a drawing is signed, the signature identifies an individual or an organization through a digital ID (certificate).

You can provide a safe environment for sending and receiving data, and maintain the authenticity of drawings. A password protects a drawing with encryption, and a digital signature identifies an individual or an organization through a digital ID (certificate).

Topics in this section

  • Drawing Encryption

    When a password is attached to a drawing, the password encrypts the drawing and prevents unauthorized people from viewing it.

  • Sign Drawings

    Digital signatures maintain authenticity and provide a safe environment for sending and receiving data. You can work on collaborative projects, transmit files over the Internet, and help guarantee that the files have not been altered.


Drawing Encryption

Protect and Sign Drawings
Protect and Sign Drawings
Overview of Encryption
Work with Other People and Organizations > Protect and Sign Drawings >
Drawing Encryption

When a password is attached to a drawing, the password encrypts the drawing and prevents unauthorized people from viewing it.

Topics in this section

  • Overview of Encryption

    Password-based encryption helps secure drawing data when you collaborate on projects. Specifically, when you maintain a password for a drawing, you can help prevent unauthorized viewing of the drawing when it is sent to others.

  • Protect Drawings with Encryption

    If you add a password to a drawing and save the drawing, the drawing is encrypted and cannot be reopened until the password is entered.

  • View Password-Protected Drawings

    To view the data in a password-protected drawing, you must first obtain and enter the password. After you enter the password, it stays with the drawing, even if you modify and save the drawing, unless you remove the password.


Overview of Encryption (Concept)

Drawing Encryption
Drawing Encryption
Protect Drawings with Encryption
Work with Other People and Organizations > Protect and Sign Drawings > Drawing Encryption >
Overview of Encryption
Concept Quick Reference

Password-based encryption helps secure drawing data when you collaborate on projects. Specifically, when you maintain a password for a drawing, you can help prevent unauthorized viewing of the drawing when it is sent to others.

When a password is attached to a drawing, the password encrypts the drawing and prevents unauthorized people from viewing it. You can choose the level of encryption used. Passwords help you collaborate on projects by helping to keep your data safe when the data is sent to others.

The drawing encryption password is different from other types of drawing passwords, such as the password you use with eTransmit, because you can specify the encryption level.

The primary use of encryption is to help prevent drawing data from being stolen. Encryption can also be used to help keep data confidential.

For example, if a company creates a valuable, confidential design for an engine factory, the company can help protect the drawings with a password (or phrase) before sending the drawings out for review by the builders. Password protection could be one of the many measures the company could take, in addition to measures such as a secure intranet and rules about information disclosure, that would help keep the factory design confidential.

Passwords work only on AutoCAD 2004® and later drawing files (DWG, DWS, and DWT files).

NoteIf you want to attach a password and a digital signature to a drawing file, attach the password first. Modifications to files, including the adding of passwords, invalidate their digital signatures.


Overview of Encryption (Quick Reference)

Work with Links in Files from Earlier Releases
Overview of Encryption
Add a Password to a Drawing
Work with Other People and Organizations > Protect and Sign Drawings > Drawing Encryption > Overview of Encryption >
Overview of Encryption
Concept Quick Reference

Commands

SECURITYOPTIONS

Controls security settings using the Security Options dialog box

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Protect Drawings with Encryption

Overview of Encryption
Drawing Encryption
Add a Password to a Drawing
Work with Other People and Organizations > Protect and Sign Drawings > Drawing Encryption >
Protect Drawings with Encryption
Concept Procedure

If you add a password to a drawing and save the drawing, the drawing is encrypted and cannot be reopened until the password is entered.

You can attach a password to a file while modifying the file or when you save the file. You must individually add a password to each drawing you want to encrypt.

WarningIf you lose a password, your drawing file is lost. Before you add a password to a drawing, you should create a backup that is not protected with a password.

Topics in this section

  • Add a Password to a Drawing

    A password can be a single word, or a phrase. It is recommended that you use common characters. The more characters you use, the harder it is for an unauthorized program, or “password cracker,” to determine the password.

  • Choose the Type of Encryption

    You can choose an advanced encryption level to protect your drawing.


Protect Drawings with Encryption (Procedure)

Work with Links in Files from Earlier Releases
Protect Drawings with Encryption
Add a Password to a Drawing
Work with Other People and Organizations > Protect and Sign Drawings > Drawing Encryption > Protect Drawings with Encryption >
Protect Drawings with Encryption
Concept Procedure

To add a password while modifying a drawing

To add a password before saving a drawing

To remove a password from a drawing

To choose the encryption provider and key length for a drawing


Add a Password to a Drawing (Concept)

Protect Drawings with Encryption
Protect Drawings with Encryption
Choose the Type of Encryption
Work with Other People and Organizations > Protect and Sign Drawings > Drawing Encryption > Protect Drawings with Encryption >
Add a Password to a Drawing
Concept Procedure Quick Reference

A password can be a single word, or a phrase. It is recommended that you use common characters. The more characters you use, the harder it is for an unauthorized program, or “password cracker,” to determine the password.

When you add a password to a drawing, you can choose whether to encrypt drawing properties, and you can specify an encryption type and key length.

After you add a password to a drawing and save the drawing, the password is required before any program or part of a program can read the data in the drawing, even if the drawing is an external reference. A specific password generally is required to be entered once per session.

If you encrypt drawing properties, such as the title, author, subject, and keywords, then a password is required to view the properties and thumbnail preview of the drawing. If you decide to specify an encryption type and key length, you can select them from the ones available on your computer.

NoteSettings for a password apply only to the current drawing.


Add a Password to a Drawing (Procedure)

Protect Drawings with Encryption
Up a level to ..
Add a Password to a Drawing
Work with Other People and Organizations > Protect and Sign Drawings > Drawing Encryption > Protect Drawings with Encryption > Add a Password to a Drawing >
Add a Password to a Drawing
Concept Procedure Quick Reference

To add a password while modifying a drawing

To add a password before saving a drawing

To remove a password from a drawing


To add a password while modifying a drawing (Procedure)

Add a Password to a Drawing
Up a level to ..
Add a Password to a Drawing
Work with Other People and Organizations > Protect and Sign Drawings > Drawing Encryption > Protect Drawings with Encryption > Add a Password to a Drawing >
Add a Password to a Drawing
Concept Procedure Quick Reference

To add a password while modifying a drawing

  1. Click Tools menu [image] Options.At the command prompt, enter options.
  2. In the Options dialog box, Open and Save tab, click Security Options.
  3. In the Security Options dialog box, Password tab, enter a password.
  4. To encrypt drawing properties, such as the title, author, subject, and keywords, click Encrypt Drawing Properties.
  5. Click OK.
  6. In the Confirm Password dialog box, enter the password you used. Click OK.
    WarningIf you lose a password, it is not recoverable. Before you add a password to a drawing, you should create a backup that is not protected with a password.
Command entry: SECURITYOPTIONS


To add a password before saving a drawing (Procedure)

Add a Password to a Drawing
Up a level to ..
Add a Password to a Drawing
Work with Other People and Organizations > Protect and Sign Drawings > Drawing Encryption > Protect Drawings with Encryption > Add a Password to a Drawing >
Add a Password to a Drawing
Concept Procedure Quick Reference

To add a password before saving a drawing

  1. Click File menu [image] Save As.At the command prompt, enter saveas.
  2. In the Save Drawing As dialog box, before saving the file, click Tools menu [image] Security Options.
  3. In the Security Options dialog box, Password tab, enter a password.
  4. To encrypt drawing properties, such as the title, author, subject, and keywords, click Encrypt Drawing Properties.
  5. Click OK.
  6. In the Confirm Password dialog box, enter the password you used. Click OK.
    WarningIf you lose a password, it is not recoverable. Before you add a password to a drawing, you should create a backup that is not protected with a password.
Command entry: SECURITYOPTIONS


To remove a password from a drawing (Procedure)

Add a Password to a Drawing
Up a level to ..
Choose the Type of Encryption
Work with Other People and Organizations > Protect and Sign Drawings > Drawing Encryption > Protect Drawings with Encryption > Add a Password to a Drawing >
Add a Password to a Drawing
Concept Procedure Quick Reference

To remove a password from a drawing

  1. Click Tools menu [image] Options.At the command prompt, enter options.
  2. In the Options dialog box, Open and Save tab, click Security Options.
  3. In the Security Options dialog box, Password tab, clear the Password or Phrase to Open This Drawing option.
  4. Click OK.
Command entry: SECURITYOPTIONS


Add a Password to a Drawing (Quick Reference)

Overview of Encryption
Add a Password to a Drawing
Choose the Type of Encryption
Work with Other People and Organizations > Protect and Sign Drawings > Drawing Encryption > Protect Drawings with Encryption > Add a Password to a Drawing >
Add a Password to a Drawing
Concept Procedure Quick Reference

Commands

SECURITYOPTIONS

Controls security settings using the Security Options dialog box

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Choose the Type of Encryption (Concept)

Add a Password to a Drawing
Protect Drawings with Encryption
View Password-Protected Drawings
Work with Other People and Organizations > Protect and Sign Drawings > Drawing Encryption > Protect Drawings with Encryption >
Choose the Type of Encryption
Concept Procedure Quick Reference

You can choose an advanced encryption level to protect your drawing.

A default encryption level, supplied by your operating system, is used unless you choose an advanced level. If you decide to choose an advanced level, you can choose from RC4 encryption providers supplied by your operating system. You also can choose a key length (the higher the length, the higher the protection). An RC4 encryption provider is a standard form of encryption, and the RC4 encryption providers vary in the type of protection they provide.

Before using an advanced encryption level (provider, type, and key length), confirm that any computer that needs to decrypt the drawing has the cryptography service provider you plan to use. For more information on cryptography providers, encryption types, and encryption key lengths, search the Internet for these terms.


To choose the encryption provider and key length for a drawing (Procedure)

Add a Password to a Drawing
Up a level to ..
View Password-Protected Drawings
Work with Other People and Organizations > Protect and Sign Drawings > Drawing Encryption > Protect Drawings with Encryption > Choose the Type of Encryption >
Choose the Type of Encryption
Concept Procedure Quick Reference

To choose the encryption provider and key length for a drawing

  1. Click Tools menu [image] Options.At the command prompt, enter options.
  2. In the Options dialog box, Open and Save tab, click Security Options.
  3. In the Security Options dialog box, Password tab, enter a password or phrase to open the drawing. Click Advanced Options.
  4. In the Advanced Options dialog box, choose an encryption provider, key length, or both. Click OK.
  5. In the Security Options dialog box, click OK.
Command entry: SECURITYOPTIONS


Choose the Type of Encryption (Quick Reference)

Add a Password to a Drawing
Choose the Type of Encryption
Enter a Password to View a Drawing
Work with Other People and Organizations > Protect and Sign Drawings > Drawing Encryption > Protect Drawings with Encryption > Choose the Type of Encryption >
Choose the Type of Encryption
Concept Procedure Quick Reference

Commands

SECURITYOPTIONS

Controls security settings using the Security Options dialog box

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


View Password-Protected Drawings

Choose the Type of Encryption
Drawing Encryption
Enter a Password to View a Drawing
Work with Other People and Organizations > Protect and Sign Drawings > Drawing Encryption >
View Password-Protected Drawings
Concept Procedure

To view the data in a password-protected drawing, you must first obtain and enter the password. After you enter the password, it stays with the drawing, even if you modify and save the drawing, unless you remove the password.

A password-protected drawing may contain external references (xrefs) to password-protected drawings. If you open a password-protected drawing that contains xrefs, you are prompted to enter the password for the current drawing. Then you are prompted to enter the passwords of any xrefs whose passwords are different from a password you have entered in the current session. A specific password that applies to a drawing or xref generally is required to be entered once per session.

If data in a password-protected drawing is read for any reason by the program, the password must be entered at least once per session of program use.

A drawing and its external references remain password-protected until the passwords are removed. You generally should remove passwords before performing batch operations on files, unless you are signing files.

Topics in this section

  • Enter a Password to View a Drawing

    To view data in a password-protected drawing, you open the drawing in a standard way and enter the password. Passwords are not case-sensitive.

  • View Password-Protected Xrefs

    You can view drawings that contain xrefs to password-protected drawings.

  • View Properties of an Encrypted Drawing

    You can view drawing properties, such as the title, author, subject, and keywords, unless they were encrypted when a password was attached to the drawing.


View Password-Protected Drawings (Procedure)

Choose the Type of Encryption
View Password-Protected Drawings
Enter a Password to View a Drawing
Work with Other People and Organizations > Protect and Sign Drawings > Drawing Encryption > View Password-Protected Drawings >
View Password-Protected Drawings
Concept Procedure

To view a password-protected drawing

To view a drawing with password-protected xrefs

To view properties of an encrypted drawing


Enter a Password to View a Drawing (Concept)

View Password-Protected Drawings
View Password-Protected Drawings
View Password-Protected Xrefs
Work with Other People and Organizations > Protect and Sign Drawings > Drawing Encryption > View Password-Protected Drawings >
Enter a Password to View a Drawing
Concept Procedure Quick Reference

To view data in a password-protected drawing, you open the drawing in a standard way and enter the password. Passwords are not case-sensitive.

Unless a drawing's properties, such as the title, author, subject, and keywords, were encrypted when the password was attached, you can view the properties in Properties dialog box in Microsoft® Windows Explorer.


To view a password-protected drawing (Procedure)

View Password-Protected Drawings
Up a level to ..
View Password-Protected Xrefs
Work with Other People and Organizations > Protect and Sign Drawings > Drawing Encryption > View Password-Protected Drawings > Enter a Password to View a Drawing >
Enter a Password to View a Drawing
Concept Procedure Quick Reference

To view a password-protected drawing

  1. Click File menu [image] Open.At the command prompt, enter open.
  2. In the Select File dialog box, select a file. Click Open.
  3. In the Password dialog box, enter a password.
  4. Click OK.
Command entry: SECURITYOPTIONS


Enter a Password to View a Drawing (Quick Reference)

Choose the Type of Encryption
Enter a Password to View a Drawing
View Password-Protected Xrefs
Work with Other People and Organizations > Protect and Sign Drawings > Drawing Encryption > View Password-Protected Drawings > Enter a Password to View a Drawing >
Enter a Password to View a Drawing
Concept Procedure Quick Reference

Commands

SECURITYOPTIONS

Controls security settings using the Security Options dialog box

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


View Password-Protected Xrefs (Concept)

Enter a Password to View a Drawing
View Password-Protected Drawings
View Properties of an Encrypted Drawing
Work with Other People and Organizations > Protect and Sign Drawings > Drawing Encryption > View Password-Protected Drawings >
View Password-Protected Xrefs
Concept Procedure Quick Reference

You can view drawings that contain xrefs to password-protected drawings.

If you open a password-protected drawing that contains xrefs, you must enter a password for any xref whose password is different from the current drawing's password.

You are only prompted to enter passwords that you have not yet entered. For example, if an xref shares a password with a drawing you have accessed in the current program session, such as an open drawing or an xref, you do not need to continue entering the same password.


To view a drawing with password-protected xrefs (Procedure)

Enter a Password to View a Drawing
Up a level to ..
View Properties of an Encrypted Drawing
Work with Other People and Organizations > Protect and Sign Drawings > Drawing Encryption > View Password-Protected Drawings > View Password-Protected Xrefs >
View Password-Protected Xrefs
Concept Procedure Quick Reference

To view a drawing with password-protected xrefs

  1. Click File menu [image] Open.At the command prompt, enter open.
  2. In the Select File dialog box, select a file. Click Open.
  3. If prompted to enter passwords in the Password dialog box, enter any necessary passwords. Click OK.
Command entry: SECURITYOPTIONS


View Password-Protected Xrefs (Quick Reference)

Enter a Password to View a Drawing
View Password-Protected Xrefs
View Properties of an Encrypted Drawing
Work with Other People and Organizations > Protect and Sign Drawings > Drawing Encryption > View Password-Protected Drawings > View Password-Protected Xrefs >
View Password-Protected Xrefs
Concept Procedure Quick Reference

Commands

SECURITYOPTIONS

Controls security settings using the Security Options dialog box

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


View Properties of an Encrypted Drawing (Concept)

View Password-Protected Xrefs
View Password-Protected Drawings
Sign Drawings
Work with Other People and Organizations > Protect and Sign Drawings > Drawing Encryption > View Password-Protected Drawings >
View Properties of an Encrypted Drawing
Concept Procedure Quick Reference

You can view drawing properties, such as the title, author, subject, and keywords, unless they were encrypted when a password was attached to the drawing.

If drawing properties were not encrypted when a password was attached, you can view the properties in your operating system's Properties dialog box.


To view properties of an encrypted drawing (Procedure)

View Password-Protected Xrefs
Up a level to ..
Personally Sign Drawings
Work with Other People and Organizations > Protect and Sign Drawings > Drawing Encryption > View Password-Protected Drawings > View Properties of an Encrypted Drawing >
View Properties of an Encrypted Drawing
Concept Procedure Quick Reference

To view properties of an encrypted drawing

  1. In Windows Explorer, locate the file whose properties you want to view.
  2. Right-click the file name. Click Properties.
Command entry: SECURITYOPTIONS


View Properties of an Encrypted Drawing (Quick Reference)

View Password-Protected Xrefs
View Properties of an Encrypted Drawing
Overview of Digital Signatures
Work with Other People and Organizations > Protect and Sign Drawings > Drawing Encryption > View Password-Protected Drawings > View Properties of an Encrypted Drawing >
View Properties of an Encrypted Drawing
Concept Procedure Quick Reference

Commands

SECURITYOPTIONS

Controls security settings using the Security Options dialog box

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Sign Drawings

View Properties of an Encrypted Drawing
Protect and Sign Drawings
Overview of Digital Signatures
Work with Other People and Organizations > Protect and Sign Drawings >
Sign Drawings

Digital signatures maintain authenticity and provide a safe environment for sending and receiving data. You can work on collaborative projects, transmit files over the Internet, and help guarantee that the files have not been altered.

Topics in this section

  • Overview of Digital Signatures

    With a digital signature, you can collaborate more easily with others on projects. Recipients of drawings are provided with reliable information about who created a set of drawings and whether they were modified since they were digitally signed.

  • Personally Sign Drawings

    When you attach a digital signature to a file, anyone who views the file is notified if modifications were made after you signed it. Modifications invalidate a digital signature.

  • View Drawings with Digital Signatures

    Digital signatures provide an electronic means of validating (verifying the authenticity of) signatures that are attached to drawing files.


Overview of Digital Signatures (Concept)

Sign Drawings
Sign Drawings
Personally Sign Drawings
Work with Other People and Organizations > Protect and Sign Drawings > Sign Drawings >
Overview of Digital Signatures
Concept Quick Reference

With a digital signature, you can collaborate more easily with others on projects. Recipients of drawings are provided with reliable information about who created a set of drawings and whether they were modified since they were digitally signed.

Specifically, digital signatures provide the following benefits:

  • Recipients of digitally signed files can be sure that the organizations or individuals who sent the files are who they claim to be.
  • A digital signature guarantees that a file has not changed since the file was signed.
  • A signed file cannot be rejected as invalid. The signer of a file cannot disown the file later by claiming the signature was forged.

A digital signature is not the same as a digitized signature. While a digital signature helps prove your identity and a drawing's authenticity, a digitized signature is nothing more than an electronic version of your own signature. It can be forged and copied, and has no real security value.

Digital IDs use two keys—a public key, which anyone can use to validate a digital signature, and a private key, which is known only by the originator of the digital ID. The private key is used to create the digital signature. To learn more about digital IDs, digital signatures, and public and private keys, search the Internet for these terms.

You can attach signatures to files that are compatible with AutoCAD 2000 and later file formats, including files generated by the eTransmit feature. To attach a signature to multiple files at once, or to attach a signature to a file compatible with the AutoCAD 2000 or later drawing-file format, see Attach Digital Signatures Dialog Box in the Command Reference.

NoteOnce you attach a digital signature to a drawing file, it will either be valid or invalid. You cannot remove the digital signature from the drawing file. If a digital signature was attached to a drawing in error, save the drawing in DXF format, open the DXF file, and then save it in DWG format.


Overview of Digital Signatures (Quick Reference)

View Properties of an Encrypted Drawing
Overview of Digital Signatures
Obtain a Digital ID
Work with Other People and Organizations > Protect and Sign Drawings > Sign Drawings > Overview of Digital Signatures >
Overview of Digital Signatures
Concept Quick Reference

Commands

SECURITYOPTIONS

Controls security settings using the Security Options dialog box

SIGVALIDATE

Displays information about the digital signature attached to a file

System Variables

SIGWARN

Controls whether a warning is presented when a file with an attached digital signature is opened

Utilities

Attach Digital Signatures

Attaches a digital signature to files

Command Modifiers

No entries


Personally Sign Drawings

Overview of Digital Signatures
Sign Drawings
Obtain a Digital ID
Work with Other People and Organizations > Protect and Sign Drawings > Sign Drawings >
Personally Sign Drawings
Concept Procedure

When you attach a digital signature to a file, anyone who views the file is notified if modifications were made after you signed it. Modifications invalidate a digital signature.

To attach a digital signature, you must have a digital ID (certificate) on the computer you are using. A digital ID identifies the person or organization that signed a file. For more information about digital IDs, search the Internet for “digital certificate.”

You can set an option to automatically attach your signature to a drawing whenever you save it. You also can sign many drawings at once, in a batch, and you can sign transmittal packages of drawings.

NoteTo prevent changes to the drawing, applying a digital signature to a drawing automatically sets the FIELDEVAL system variable to 0 (manual update).

Topics in this section

  • Obtain a Digital ID

    To attach a digital signature to a file, you must have a digital ID (certificate), which is issued by a certificate authority. A digital ID identifies either an individual or an organization.

  • Attach a Signature to a Single File

    When you attach a digital signature to a file, you are helping to ensure that recipients of the file are notified of modifications.

  • Attach Digital Signatures to Multiple Files

    When you attach a digital signature to a set of files, you are helping to ensure that anyone viewing the files knows about any changes that are made to the files after you signed them.

  • Add a Comment and Time Stamp

    You can add a comment and time stamp to a digital signature.

  • Digitally Sign an Encrypted Drawing

    You can attach a password and a digital signature to a drawing file. The password must be attached first.


Personally Sign Drawings (Procedure)

View Properties of an Encrypted Drawing
Personally Sign Drawings
Obtain a Digital ID
Work with Other People and Organizations > Protect and Sign Drawings > Sign Drawings > Personally Sign Drawings >
Personally Sign Drawings
Concept Procedure

To obtain a digital ID on the Internet

To set an option for a signature to be attached after you save a file

To attach a digital signature to multiple files

To choose a time server and add a comment

To add a time server to the Time Server list


Obtain a Digital ID (Concept)

Personally Sign Drawings
Personally Sign Drawings
Attach a Signature to a Single File
Work with Other People and Organizations > Protect and Sign Drawings > Sign Drawings > Personally Sign Drawings >
Obtain a Digital ID
Concept Procedure Quick Reference

To attach a digital signature to a file, you must have a digital ID (certificate), which is issued by a certificate authority. A digital ID identifies either an individual or an organization.

A digital ID contains a name, serial number, expiration date, and other information that certifies the digital signature. From a certificate authority, you can obtain digital IDs with a security level of Low, Medium, or High.

  • Low. Use a Low security level if you want to sign multiple files quickly. A digital signature is automatically attached to all file types that are valid for a digital signature.
  • Medium. Use a Medium security level if you want to be informed when an application is trying to create a signature with your digital ID. You are notified each time a digital signature containing your digital ID is attached to a file.
  • High. Use a High security level if the signature is very sensitive and you do not want your computer to be misused in the signing of a file. You are prompted for a password each time you sign a file.


To obtain a digital ID on the Internet (Procedure)

Personally Sign Drawings
Up a level to ..
Attach a Signature to a Single File
Work with Other People and Organizations > Protect and Sign Drawings > Sign Drawings > Personally Sign Drawings > Obtain a Digital ID >
Obtain a Digital ID
Concept Procedure Quick Reference

To obtain a digital ID on the Internet

  1. Open a search engine in your Internet browser and search for the term “digital certificate.”
  2. Click a search result to find out more about a digital ID vendor and how to obtain a digital ID.
Command entry: SECURITYOPTIONS


Obtain a Digital ID (Quick Reference)

Overview of Digital Signatures
Obtain a Digital ID
Attach a Signature to a Single File
Work with Other People and Organizations > Protect and Sign Drawings > Sign Drawings > Personally Sign Drawings > Obtain a Digital ID >
Obtain a Digital ID
Concept Procedure Quick Reference

Commands

SECURITYOPTIONS

Controls security settings using the Security Options dialog box

SIGVALIDATE

Displays information about the digital signature attached to a file

System Variables

SIGWARN

Controls whether a warning is presented when a file with an attached digital signature is opened

Utilities

Attach Digital Signatures

Attaches a digital signature to files

Command Modifiers

No entries


Attach a Signature to a Single File (Concept)

Obtain a Digital ID
Personally Sign Drawings
Attach Digital Signatures to Multiple Files
Work with Other People and Organizations > Protect and Sign Drawings > Sign Drawings > Personally Sign Drawings >
Attach a Signature to a Single File
Concept Procedure Quick Reference

When you attach a digital signature to a file, you are helping to ensure that recipients of the file are notified of modifications.

You can set an option for a signature to be attached after you save a file. A single digital signature can be attached per file.

If you plan to protect a set of drawings with a password and a signature, first add the passwords, and then sign the files in a batch. Adding a password to a signed drawing, or otherwise changing a signed drawing, invalidates the signature.

NoteUnless you use the Attach Digital Signatures utility, you must individually sign each drawing.


To set an option for a signature to be attached after you save a file (Procedure)

Obtain a Digital ID
Up a level to ..
Attach Digital Signatures to Multiple Files
Work with Other People and Organizations > Protect and Sign Drawings > Sign Drawings > Personally Sign Drawings > Attach a Signature to a Single File >
Attach a Signature to a Single File
Concept Procedure Quick Reference

To set an option for a signature to be attached after you save a file

  1. Do one of the following:
    • Click Tools menu [image] Options.At the command prompt, enter options. In the Options dialog box, Open and Save tab, click Security Options.
    • Click File menu [image] Save As.At the command prompt, enter saveas. In the Save Drawing As dialog box, click Tools [image] Security Options.
  2. In the Security Options dialog box, Digital Signature tab, select Attach Digital Signature After Saving Drawing.
  3. Click OK.
    NoteIn the Security Options dialog box, you can attach digital signatures only to files that are compatible with the AutoCAD 2000 and later drawing-file formats.
Command entry: SECURITYOPTIONS


Attach a Signature to a Single File (Quick Reference)

Obtain a Digital ID
Attach a Signature to a Single File
Attach Digital Signatures to Multiple Files
Work with Other People and Organizations > Protect and Sign Drawings > Sign Drawings > Personally Sign Drawings > Attach a Signature to a Single File >
Attach a Signature to a Single File
Concept Procedure Quick Reference

Commands

SECURITYOPTIONS

Controls security settings using the Security Options dialog box

SIGVALIDATE

Displays information about the digital signature attached to a file

System Variables

SIGWARN

Controls whether a warning is presented when a file with an attached digital signature is opened

Utilities

Attach Digital Signatures

Attaches a digital signature to files

Command Modifiers

No entries


Attach Digital Signatures to Multiple Files (Concept)

Attach a Signature to a Single File
Personally Sign Drawings
Add a Comment and Time Stamp
Work with Other People and Organizations > Protect and Sign Drawings > Sign Drawings > Personally Sign Drawings >
Attach Digital Signatures to Multiple Files
Concept Procedure Quick Reference

When you attach a digital signature to a set of files, you are helping to ensure that anyone viewing the files knows about any changes that are made to the files after you signed them.

You can attach a digital signature to the following file types:

  • EXE and ZIP files generated by eTransmit
  • DWS files
  • DWG and DWT files that are compatible with AutoCAD 2000 and later drawing-file formats

When you attach a digital signature to a set of files, you can select the files individually from within the signing utility or drag them into the utility from Windows Explorer.


To attach a digital signature to multiple files (Procedure)

Attach a Signature to a Single File
Up a level to ..
Add a Comment and Time Stamp
Work with Other People and Organizations > Protect and Sign Drawings > Sign Drawings > Personally Sign Drawings > Attach Digital Signatures to Multiple Files >
Attach Digital Signatures to Multiple Files
Concept Procedure Quick Reference

To attach a digital signature to multiple files

  1. Click Start menu (Windows), [image] All Programs [image] Autodesk [image] AutoCAD 2009 [image] Attach Digital Signatures.
  2. In the Attach Digital Signatures dialog box, click Add Files.
  3. In the Select File dialog box, select the files you want to attach a digital signature to. Click Open.
    NoteIn the Attach Digital Signatures dialog box, you can attach digital signatures to files that are compatible with AutoCAD 2000 and later drawing-file formats.
  4. In the Attach Digital Signatures dialog box, in the Select a Digital ID (Certificate) box, select a digital ID to attach to the files you selected in the Files to Be Signed list.
  5. In the Get Time Stamp From box, select a time service if you want to add a time stamp to the signed files. If you do not want to add a time stamp, use the default option No Time Stamp.
  6. In the Comment box, add any information that is relevant to the files you are signing.
  7. Click Sign Files.
  8. If the file you want to sign is read-only, the Read-only File dialog box is displayed. Do one of the following:
    • To sign a read-only file, click Yes.
    • To sign all read-only files, select Use the Same Answer for All Read-only Files in This Batch. Click Yes.
    • To cancel the application of the digital signature to a single read-only file, click No.
    • To cancel the application of the digital signature to all of the read-only files, click Cancel.
    NoteIf you chose either a Medium or High security level when you obtained your digital ID, a message is displayed each time you try to attach a digital signature to a file.
  9. When all files have been signed, the Signing Complete message displays the number of files that were signed. Click OK.

    Files that were successfully signed display the text “Signed” in the Status column of the Files to Be Signed list.

  10. Click Close.
NoteWhen you sign multiple files at once, the files become read-only files to help prevent someone from accidentally invalidating a digital signature.


Attach Digital Signatures to Multiple Files (Quick Reference)

Attach a Signature to a Single File
Attach Digital Signatures to Multiple Files
Add a Comment and Time Stamp
Work with Other People and Organizations > Protect and Sign Drawings > Sign Drawings > Personally Sign Drawings > Attach Digital Signatures to Multiple Files >
Attach Digital Signatures to Multiple Files
Concept Procedure Quick Reference

Commands

SECURITYOPTIONS

Controls security settings using the Security Options dialog box

SIGVALIDATE

Displays information about the digital signature attached to a file

System Variables

SIGWARN

Controls whether a warning is presented when a file with an attached digital signature is opened

Utilities

Attach Digital Signatures

Attaches a digital signature to files

Command Modifiers

No entries


Add a Comment and Time Stamp (Concept)

Attach Digital Signatures to Multiple Files
Personally Sign Drawings
Digitally Sign an Encrypted Drawing
Work with Other People and Organizations > Protect and Sign Drawings > Sign Drawings > Personally Sign Drawings >
Add a Comment and Time Stamp
Concept Procedure Quick Reference

You can add a comment and time stamp to a digital signature.

Servers are used to obtain the current time when adding a time stamp to a digital signature. When you send drawing files over the Internet or work on collaborative projects, you can use a specific server to create an accurate, consistent time stamp.

Several government operations (such as the National Institute of Standards and Technology, or the US Naval Observatory) and public systems (such as California Institute of Technology) offer accurate time values. You can also use your own server to create a time stamp by modifying the timesrvr.txt file or creating a custom text file that contains the servers you want to use when adding a time stamp to a digital signature.

The timesrvr.txt file is located in the program’s install directory. By default the install directory for the program is located at \Program Files\AutoCAD 2009. To add a new server, open the timesrvr.txt file with a text editor like Notepad and add the required information for the server. The information that you need to add to the timesrvr.txt file when you want to added your own server is a description and the name of the server. The description that is provided is the value that appears in the drop-down and the name of the server is the URL (Uniform Resource Locator) to the server. The information for each server listed in the timesrvr.txt file must be in the following format:

Description (server_name)

For example:

National Institute of Standards and Technology (time.nist.gov)

NoteEach server that you add needs to be on a separate line in the text file used. .

To use a file different from the timesrvr.txt file that contains the available time servers to use when creating a time stamp for a digital signature, change the setting of the ADSKSIGTIMESRVR environment variable. For example, change the variable to c:\temp\mytimelist.txt


Add a Comment and Time Stamp (Procedure)

Attach Digital Signatures to Multiple Files
Up a level to ..
Add a Comment and Time Stamp
Work with Other People and Organizations > Protect and Sign Drawings > Sign Drawings > Personally Sign Drawings > Add a Comment and Time Stamp >
Add a Comment and Time Stamp
Concept Procedure Quick Reference

To choose a time server and add a comment

To add a time server to the Time Server list


To choose a time server and add a comment (Procedure)

Add a Comment and Time Stamp
Up a level to ..
Add a Comment and Time Stamp
Work with Other People and Organizations > Protect and Sign Drawings > Sign Drawings > Personally Sign Drawings > Add a Comment and Time Stamp >
Add a Comment and Time Stamp
Concept Procedure Quick Reference

To choose a time server and add a comment

  1. Do one of the following:
    • Click Tools menu [image] Options.At the command prompt, enter options. In the Options dialog box, Open and Save tab, click Security Options.
    • Click File menu [image] Save As.At the command prompt, enter saveas. In the Save Drawing As dialog box, click Tools [image] Security Options.
  2. In the Security Options dialog box, Digital Signature tab, select Attach Digital Signature After Saving Drawing.
  3. In the Get Time Stamp From box, click a time server.
  4. In the Comment box, add a comment.
  5. Click OK.
Command entry: SECURITYOPTIONS


To add a time server to the Time Server list (Procedure)

Add a Comment and Time Stamp
Up a level to ..
View Drawings with Digital Signatures
Work with Other People and Organizations > Protect and Sign Drawings > Sign Drawings > Personally Sign Drawings > Add a Comment and Time Stamp >
Add a Comment and Time Stamp
Concept Procedure Quick Reference

To add a time server to the Time Server list

  1. Locate and open the timesrvr.txt file.

    The timesrvr.txt file contains time service information.

  2. In the timesrvr.txt file, add the time service you want to use. Use the following format:

    Description (server_name)

    For example:

    National Institute of Standards and Technology (time.nist.gov)

  3. Save the file.
NoteTo use a file different from the timesrvr.txt file that contains the available time servers to use when creating a time stamp for a digital signature, change the setting of the ADSKSIGTIMESRVR environment variable. For example, change the variable to c:\temp\mytimelist.txt.
Command entry: SECURITYOPTIONS


Add a Comment and Time Stamp (Quick Reference)

Attach Digital Signatures to Multiple Files
Add a Comment and Time Stamp
Digitally Sign an Encrypted Drawing
Work with Other People and Organizations > Protect and Sign Drawings > Sign Drawings > Personally Sign Drawings > Add a Comment and Time Stamp >
Add a Comment and Time Stamp
Concept Procedure Quick Reference

Commands

SECURITYOPTIONS

Controls security settings using the Security Options dialog box

SIGVALIDATE

Displays information about the digital signature attached to a file

System Variables

SIGWARN

Controls whether a warning is presented when a file with an attached digital signature is opened

Utilities

Attach Digital Signatures

Attaches a digital signature to files

Command Modifiers

No entries


Digitally Sign an Encrypted Drawing (Concept)

Add a Comment and Time Stamp
Personally Sign Drawings
View Drawings with Digital Signatures
Work with Other People and Organizations > Protect and Sign Drawings > Sign Drawings > Personally Sign Drawings >
Digitally Sign an Encrypted Drawing
Concept Quick Reference

You can attach a password and a digital signature to a drawing file. The password must be attached first.

Modifications to files, including the adding of passwords, invalidate their digital signatures.


Digitally Sign an Encrypted Drawing (Quick Reference)

Add a Comment and Time Stamp
Digitally Sign an Encrypted Drawing
View Digital Signature Details
Work with Other People and Organizations > Protect and Sign Drawings > Sign Drawings > Personally Sign Drawings > Digitally Sign an Encrypted Drawing >
Digitally Sign an Encrypted Drawing
Concept Quick Reference

Commands

SECURITYOPTIONS

Controls security settings using the Security Options dialog box

SIGVALIDATE

Displays information about the digital signature attached to a file

System Variables

SIGWARN

Controls whether a warning is presented when a file with an attached digital signature is opened

Utilities

Attach Digital Signatures

Attaches a digital signature to files

Command Modifiers

No entries


View Drawings with Digital Signatures

Digitally Sign an Encrypted Drawing
Sign Drawings
View Digital Signature Details
Work with Other People and Organizations > Protect and Sign Drawings > Sign Drawings >
View Drawings with Digital Signatures
Concept Procedure

Digital signatures provide an electronic means of validating (verifying the authenticity of) signatures that are attached to drawing files.

A digital signature identifies an individual or an organization through a digital ID (certificate), and enables you to validate the file. Validating a file is especially important when you are working on collaborative projects or transmitting files over the Internet. You can validate a digital signature in either the program or Windows Explorer.

Using the digital signatures feature, you can obtain the following information about signed files:

  • Whether the file was changed since signed.
  • Whether the signers are who they claim to be.
  • Whether the signers can be traced (thus preventing forgery).

A digital signature is determined to be invalid for the following reasons:

  • The file was corrupted when the digital signature was attached.
  • The file was corrupted in transit.
  • The digital ID is no longer valid.
NoteIf you want to retain valid digital signature status, do not add a password or otherwise modify or save a file that already has a digital signature attached. Make modifications, such as adding passwords, before signing the file. Signature information does not remain intact if you modify, save, or export drawing data.

Topics in this section

  • View Digital Signature Details

    When you receive a file that contains a digital signature, you can check whether the file was modified since it was signed, and other information.

  • Install a Root Certificate

    When you receive a file that contains a digital signature from a certificate authority that is not recognized by your operating system, you may need to obtain the root certificate (the highest level of certificate in a certificate chain) before you can determine if the digital ID in the digital signature is valid.


View Drawings with Digital Signatures (Procedure)

Add a Comment and Time Stamp
View Drawings with Digital Signatures
View Digital Signature Details
Work with Other People and Organizations > Protect and Sign Drawings > Sign Drawings > View Drawings with Digital Signatures >
View Drawings with Digital Signatures
Concept Procedure

To validate a signature when opening an AutoCAD file

To validate a signature using the Validate Digital Signatures icon

To validate a signature in Windows Explorer

To identify a signed file in Windows Explorer

To turn on or off the Digital Signatures icon display in Windows Explorer

To prevent signature status from being displayed for valid signatures

To obtain a root certificate


View Digital Signature Details (Concept)

View Drawings with Digital Signatures
View Drawings with Digital Signatures
Install a Root Certificate
Work with Other People and Organizations > Protect and Sign Drawings > Sign Drawings > View Drawings with Digital Signatures >
View Digital Signature Details
Concept Procedure Quick Reference

When you receive a file that contains a digital signature, you can check whether the file was modified since it was signed, and other information.

An icon is displayed in the status bar when a file contains digital signature information. When you click the icon, you can verify the following information:

  • Validity of the file
  • Whether the file was modified since it was signed
  • Individual or organization that signed the file
  • Time stamp and comments attached to the file
  • Issuer (certificate authority) of the digital ID
  • “Valid to” and “valid from” dates for the digital ID

Digital signatures work on files that are compatible with AutoCAD 2000 and later drawing-file formats. If you receive a signed file and save the file, it is considered modified, and the signature is invalidated. However, you generally can still view information about it. If you receive a signed drawing-file and save the file, the signature information can be lost.

NoteIf the SIGWARN system variable is on and you open a file with a valid signature, the digital signature status is displayed. If SIGWARN is off and you open a file, the digital signature status is displayed only if a signature is invalid.

You can also view the properties of a drawing file in Windows Explorer to examine and validate a digital signature. Some operating systems display a modified icon for a drawing that has a valid digital signature attached. If the modified icon is displayed, your computer may slow down (depending on processor speed and file size), so you can turn off the display.


View Digital Signature Details (Procedure)

View Drawings with Digital Signatures
Up a level to ..
View Digital Signature Details
Work with Other People and Organizations > Protect and Sign Drawings > Sign Drawings > View Drawings with Digital Signatures > View Digital Signature Details >
View Digital Signature Details
Concept Procedure Quick Reference

To validate a signature when opening an AutoCAD file

To validate a signature using the Validate Digital Signatures icon

To validate a signature in Windows Explorer

To identify a signed file in Windows Explorer

To turn on or off the Digital Signatures icon display in Windows Explorer

To prevent signature status from being displayed for valid signatures


To validate a signature when opening an AutoCAD file (Procedure)

View Digital Signature Details
Up a level to ..
View Digital Signature Details
Work with Other People and Organizations > Protect and Sign Drawings > Sign Drawings > View Drawings with Digital Signatures > View Digital Signature Details >
View Digital Signature Details
Concept Procedure Quick Reference

To validate a signature when opening an AutoCAD file

  1. Click Tools menu [image] Options.At the command prompt, enter options.
  2. In the Options dialog box, Open and Save tab, select Display Digital Signature Information.
  3. Click OK.
  4. Open a signed file.

    In the Digital Signature Contents dialog box, in the Other Fields list, select details of the digital signature, such as the issuer, beginning and expiration dates of the digital ID, and the serial number.

  5. Click Close.
Command entry: SIGVALIDATE


To validate a signature using the Validate Digital Signatures icon (Procedure)

View Digital Signature Details
Up a level to ..
View Digital Signature Details
Work with Other People and Organizations > Protect and Sign Drawings > Sign Drawings > View Drawings with Digital Signatures > View Digital Signature Details >
View Digital Signature Details
Concept Procedure Quick Reference

To validate a signature using the Validate Digital Signatures icon

  1. Open a signed file.
  2. On the status bar, click the Validate Digital Signatures icon.
  3. In the Validate Digital Signatures dialog box, if the file has a valid digital signature, click View Base Signature.

    The Digital Signature Contents dialog box displays details of the digital signature such as the signer, expiration date of the digital ID, serial number, comments about the digital signature, time stamp, and time service.

  4. Click Close.
  5. If the file contains an external reference (xref) that contains a digital signature, select View Xref Drawings in the Validate Digital Signatures dialog box. Click View Xref Signature to view the external references associated with the file.
  6. Click Close.
Command entry: SIGVALIDATE


To validate a signature in Windows Explorer (Procedure)

View Digital Signature Details
Up a level to ..
View Digital Signature Details
Work with Other People and Organizations > Protect and Sign Drawings > Sign Drawings > View Drawings with Digital Signatures > View Digital Signature Details >
View Digital Signature Details
Concept Procedure Quick Reference

To validate a signature in Windows Explorer

  1. In Windows Explorer, locate a file whose digital signature you want to check.

    Some operating systems display a modified icon for a drawing that has a valid digital signature attached.

  2. Right-click the file name. Click Properties.
  3. In the Properties dialog box, if the file contains a digital signature, the Digital Signature tab is displayed. Click the Digital Signatures tab to view the digital signature details.

    A Valid Signature icon is displayed if a digital signature is valid, and an Invalid Signature icon is displayed if the digital signature is not valid.

  4. In the Other Fields list, select an option from the list to view details of the digital signature, such as the issuer, description, and expiration date of the digital ID. You can also view the time stamp and time service.
  5. When you have finished viewing the digital signature information, click OK.


To identify a signed file in Windows Explorer (Procedure)

View Digital Signature Details
Up a level to ..
View Digital Signature Details
Work with Other People and Organizations > Protect and Sign Drawings > Sign Drawings > View Drawings with Digital Signatures > View Digital Signature Details >
View Digital Signature Details
Concept Procedure Quick Reference

To identify a signed file in Windows Explorer

  • In Windows Explorer, locate files that you want to check for a digital signature. Signed files are displayed with the Digital Signatures icon.


To turn on or off the Digital Signatures icon display in Windows Explorer (Procedure)

View Digital Signature Details
Up a level to ..
View Digital Signature Details
Work with Other People and Organizations > Protect and Sign Drawings > Sign Drawings > View Drawings with Digital Signatures > View Digital Signature Details >
View Digital Signature Details
Concept Procedure Quick Reference

To turn on or off the Digital Signatures icon display in Windows Explorer

  1. In Windows Explorer, locate a file that has a digital signature icon.
  2. Right-click the file name. Click Enable/Disable Digital Signature Icons.
  3. Click the check box next to Validate Digital Signatures and Display Special Icons to turn on the icon display in Windows Explorer, or clear the check box to turn off the icon display.
  4. Click OK. Log out of Windows, and then log back in.


To prevent signature status from being displayed for valid signatures (Procedure)

View Digital Signature Details
Up a level to ..
Install a Root Certificate
Work with Other People and Organizations > Protect and Sign Drawings > Sign Drawings > View Drawings with Digital Signatures > View Digital Signature Details >
View Digital Signature Details
Concept Procedure Quick Reference

To prevent signature status from being displayed for valid signatures

  1. Click Tools menu [image] Options.At the command prompt, enter options.
  2. In the Options dialog box, Open and Save tab, clear the Display Digital Signature Information option.
  3. Click OK.
Command entry: SIGWARN


View Digital Signature Details (Quick Reference)

Digitally Sign an Encrypted Drawing
View Digital Signature Details
Install a Root Certificate
Work with Other People and Organizations > Protect and Sign Drawings > Sign Drawings > View Drawings with Digital Signatures > View Digital Signature Details >
View Digital Signature Details
Concept Procedure Quick Reference

Commands

SECURITYOPTIONS

Controls security settings using the Security Options dialog box

SIGVALIDATE

Displays information about the digital signature attached to a file

System Variables

SIGWARN

Controls whether a warning is presented when a file with an attached digital signature is opened

Utilities

Attach Digital Signatures

Attaches a digital signature to files

Command Modifiers

No entries


Install a Root Certificate (Concept)

View Digital Signature Details
View Drawings with Digital Signatures
Use the Internet to Share Drawings
Work with Other People and Organizations > Protect and Sign Drawings > Sign Drawings > View Drawings with Digital Signatures >
Install a Root Certificate
Concept Procedure Quick Reference

When you receive a file that contains a digital signature from a certificate authority that is not recognized by your operating system, you may need to obtain the root certificate (the highest level of certificate in a certificate chain) before you can determine if the digital ID in the digital signature is valid.

Digital IDs work on the basis of a trust hierarchy. In a trust hierarchy, the root certificate is the digital ID of the issuing certificate authority. Popular browsers such as Microsoft Internet Explorer already include the root certificates of the major certificate vendors, making those digital IDs automatically trusted.

When you receive a file that is signed with a digital ID issued by someone other than a major vendor (for example, your company's internal IT department), you cannot validate the digital ID until you receive the root certificate.


To obtain a root certificate (Procedure)

View Digital Signature Details
Up a level to ..
Get Started with Internet Access
Work with Other People and Organizations > Protect and Sign Drawings > Sign Drawings > View Drawings with Digital Signatures > Install a Root Certificate >
Install a Root Certificate
Concept Procedure Quick Reference

To obtain a root certificate

  1. To request the root certificate, contact the organization or individual who attached a digital signature to the current file.
  2. When you receive the root certificate, click Start menu (Windows) [image] Settings [image] Control Panel [image] Internet Options.
  3. In the Internet Properties dialog box, Content tab, click Certificates.
  4. In the Certificate Manager, click Import to run the Certificate Manager Import Wizard.
  5. Follow the on-screen instructions to obtain a root certificate for the current file.


Install a Root Certificate (Quick Reference)

View Digital Signature Details
Install a Root Certificate
Get Started with Internet Access
Work with Other People and Organizations > Protect and Sign Drawings > Sign Drawings > View Drawings with Digital Signatures > Install a Root Certificate >
Install a Root Certificate
Concept Procedure Quick Reference

Commands

SECURITYOPTIONS

Controls security settings using the Security Options dialog box

SIGVALIDATE

Displays information about the digital signature attached to a file

System Variables

SIGWARN

Controls whether a warning is presented when a file with an attached digital signature is opened

Utilities

Attach Digital Signatures

Attaches a digital signature to files

Command Modifiers

No entries


Use the Internet to Share Drawings

Install a Root Certificate
Work with Other People and Organizations
Get Started with Internet Access
Work with Other People and Organizations >
Use the Internet to Share Drawings

You can access and store drawings and related files on the Internet. You need Microsoft Internet Explorer 6.1 Service Pack 1 (or a later version) and access to the Internet or an intranet.

Topics in this section

  • Get Started with Internet Access
  • Add Hyperlinks to a Drawing

    You can add hyperlinks that provide jumps in your drawings to specific files or websites.

  • Work with Drawing Files over the Internet

    You can open and save drawings to an Internet location, attach externally referenced drawings stored on the Internet, use i-drop to insert blocks by dragging drawings from a website, and create a transmittal package of drawings that automatically includes all related files.

  • Use the Publish to Web Wizard to Create Web Pages

    The Publish to Web wizard simplifies the process of creating DWF or DWFx files and formatting them for display in HTML pages.


Get Started with Internet Access (Concept)

Use the Internet to Share Drawings
Use the Internet to Share Drawings
Add Hyperlinks to a Drawing
Work with Other People and Organizations > Use the Internet to Share Drawings >
Get Started with Internet Access
Concept Procedure Quick Reference

To use the Internet features with this program, you must have Internet or intranet access and Microsoft Internet Explorer 6.1 Service Pack 1 (or a later version). In this text, the term Internet is used to refer to both the Internet and an intranet. To save files to an Internet location, you must have sufficient access rights to the directory where the files are stored. Contact your network administrator or Internet service provider (ISP) to receive access rights for you and anyone else who needs to work with the files.

If you connect to the Internet through your company's network, you might have to set up a proxy server configuration. Proxy servers act as security barriers by shielding information on your company's network from potential security risks due to external Internet access. See the Internet applet in the Windows® Control Panel or contact your network administrator for details about how to configure a proxy server in your network environment.


To change the url used by the BROWSER command and Browse the Web dialog box (Procedure)

Install a Root Certificate
Get Started with Internet Access
Add Hyperlinks to a Drawing
Work with Other People and Organizations > Use the Internet to Share Drawings > Get Started with Internet Access >
Get Started with Internet Access
Concept Procedure Quick Reference

To change the url used by the BROWSER command and Browse the Web dialog box

  1. At the command prompt, enter inetlocation.
  2. Enter the new Internet location.
Command entry: INETLOCATION


Get Started with Internet Access (Quick Reference)

Install a Root Certificate
Get Started with Internet Access
Overview of Using Hyperlinks in a Drawing
Work with Other People and Organizations > Use the Internet to Share Drawings > Get Started with Internet Access >
Get Started with Internet Access
Concept Procedure Quick Reference

Commands

BROWSER

Launches the default web browser defined in your system's registry

HYPERLINK

Attaches a hyperlink to an object or modifies an existing hyperlink

System Variables

HYPERLINKBASE

Specifies the path used for all relative hyperlinks in the drawing

INETLOCATION

Stores the Internet location used by the BROWSER command and the Browse the Web dialog box

Utilities

No entries

Command Modifiers

No entries


Add Hyperlinks to a Drawing

Get Started with Internet Access
Use the Internet to Share Drawings
Overview of Using Hyperlinks in a Drawing
Work with Other People and Organizations > Use the Internet to Share Drawings >
Add Hyperlinks to a Drawing
Concept Procedure

You can add hyperlinks that provide jumps in your drawings to specific files or websites.

Topics in this section

  • Overview of Using Hyperlinks in a Drawing

    Hyperlinks provide a simple and powerful way to quickly associate a variety of documents (such as other drawings, bills of materials, or project schedules) with a drawing.

  • Use a Hyperlink to Access a File or a Web Page

    Hyperlinks can point to files that are stored locally, on a network drive, or on the Internet, or to named locations in drawings, such as views.

  • Use a Hyperlink to Create an Email Message

    Typically you use hyperlinks in a drawing to associate graphical objects with related documents. In some cases, however, it might be useful to insert a hyperlink that creates an email message when the hyperlink is activated.

  • Use Hyperlinks in Blocks

    Hyperlinks can be associated with blocks, including nested objects contained within blocks. If the blocks contain any relative hyperlinks, the relative hyperlinks adopt the relative base path of the current drawing when you insert them.

  • Use a Hyperlink to Start a New Drawing


Add Hyperlinks to a Drawing (Procedure)

Get Started with Internet Access
Add Hyperlinks to a Drawing
Use a Hyperlink to Access a File or a Web Page
Work with Other People and Organizations > Use the Internet to Share Drawings > Add Hyperlinks to a Drawing >
Add Hyperlinks to a Drawing
Concept Procedure

To create a full hyperlink to another file

To create a hyperlink to a named location in a non- AutoCAD file

To edit a hyperlink attached to a graphical object

To remove a hyperlink from a graphical object

To open a file associated with a hyperlink

To turn the hyperlink cursor display on or off

To set the relative path for all hyperlinks in a drawing

To create a relative hyperlink

To create an email hyperlink

To open a file associated with a hyperlink contained in a block

To open a drawing template (DWT) file associated with a hyperlink


Overview of Using Hyperlinks in a Drawing (Concept)

Add Hyperlinks to a Drawing
Add Hyperlinks to a Drawing
Use a Hyperlink to Access a File or a Web Page
Work with Other People and Organizations > Use the Internet to Share Drawings > Add Hyperlinks to a Drawing >
Overview of Using Hyperlinks in a Drawing
Concept Quick Reference

Hyperlinks provide a simple and powerful way to quickly associate a variety of documents (such as other drawings, bills of materials, or project schedules) with a drawing.

Hyperlinks are pointers you create in your drawings that provide jumps to associated files. For example, you can create a hyperlink that launches a word processing program and opens a specific file, or a hyperlink that activates your web browser and loads a particular HTML page. You can also specify a named location to jump to in a file, such as a view in a drawing file or a bookmark in a word processing program. You can attach hyperlinks to any graphical object in an AutoCAD drawing. Hyperlinks provide a simple and powerful way to quickly associate a variety of documents (such as other drawings, bills of materials, or project schedules) with an AutoCAD drawing.

You can create both full and relative hyperlinks in your drawings. Full hyperlinks store the fully specified path to a file location. Relative hyperlinks store a partial path to a file location, relative to a default URL or directory you specify using the HYPERLINKBASE system variable.


Overview of Using Hyperlinks in a Drawing (Quick Reference)

Get Started with Internet Access
Overview of Using Hyperlinks in a Drawing
Use a Hyperlink to Access a File or a Web Page
Work with Other People and Organizations > Use the Internet to Share Drawings > Add Hyperlinks to a Drawing > Overview of Using Hyperlinks in a Drawing >
Overview of Using Hyperlinks in a Drawing
Concept Quick Reference

Commands

ATTACHURL

Attaches hyperlinks to objects or areas in a drawing

DETACHURL

Removes hyperlinks in a drawing

GOTOURL

Opens the file or web page associated with the hyperlink attached to an object

HYPERLINK

Attaches a hyperlink to an object or modifies an existing hyperlink

System Variables

HYPERLINKBASE

Specifies the path used for all relative hyperlinks in the drawing

Utilities

No entries

Command Modifiers

No entries


Use a Hyperlink to Access a File or a Web Page (Concept)

Overview of Using Hyperlinks in a Drawing
Add Hyperlinks to a Drawing
Use a Hyperlink to Create an Email Message
Work with Other People and Organizations > Use the Internet to Share Drawings > Add Hyperlinks to a Drawing >
Use a Hyperlink to Access a File or a Web Page
Concept Procedure Quick Reference

Hyperlinks can point to files that are stored locally, on a network drive, or on the Internet, or to named locations in drawings, such as views.

By default, the hyperlink cursor and tooltip are displayed when the crosshairs are positioned over an object that has an attached hyperlink. You can then hold down the CTRL key and click (CTRL+click) to follow the link.

NoteThe PICKFIRST system variable must be set to 1 to open files associated with hyperlinks. You can turn off the hyperlink cursor, tooltips, and shortcut menu in the Options dialog box on the User Preferences tab.

When you create a hyperlink to a drawing and specify a named view to jump to, that view is restored when the hyperlink is opened. You can also create a hyperlink that opens a drawing in a specific layout.

Use Relative and Full (Absolute) Paths in Hyperlinks

Relative paths provide greater flexibility and are easier to edit than full hyperlinks. With relative hyperlinks, you can update the relative path for all the hyperlinks in your drawing at the same time, rather than editing each hyperlink individually.

You must use a full hyperlink when you create a link to a document that is not contained in the same file or whose relative path you don't know. For example, you would use a full hyperlink to link to a drawing on a different network drive. If you subsequently move the files referenced by full hyperlinks to a different directory, editing the hyperlink paths can be time consuming.


Use a Hyperlink to Access a File or a Web Page (Procedure)

Add Hyperlinks to a Drawing
Up a level to ..
Use a Hyperlink to Access a File or a Web Page
Work with Other People and Organizations > Use the Internet to Share Drawings > Add Hyperlinks to a Drawing > Use a Hyperlink to Access a File or a Web Page >
Use a Hyperlink to Access a File or a Web Page
Concept Procedure Quick Reference

To create a full hyperlink to another file

To create a hyperlink to a named location in a non- AutoCAD file

To edit a hyperlink attached to a graphical object

To remove a hyperlink from a graphical object

To open a file associated with a hyperlink

To turn the hyperlink cursor display on or off

To set the relative path for all hyperlinks in a drawing

To create a relative hyperlink


To create a full hyperlink to another file (Procedure)

Use a Hyperlink to Access a File or a Web Page
Up a level to ..
Use a Hyperlink to Access a File or a Web Page
Work with Other People and Organizations > Use the Internet to Share Drawings > Add Hyperlinks to a Drawing > Use a Hyperlink to Access a File or a Web Page >
Use a Hyperlink to Access a File or a Web Page
Concept Procedure Quick Reference

To create a full hyperlink to another file

  1. In the drawing area, select one or more graphical objects to attach the hyperlink to.
  2. Click Blocks & References tab [image] Data panel [image] Hyperlink. At the command prompt, enter hyperlink.
  3. Do one of the following:
    • Under Type the File or Web Page Name, enter the path and name of the file that you want to associate with the hyperlink.
    • Click the File button. Navigate to the location of the file that you want to associate with the hyperlink. Click Open.
  4. (Optional) If you are creating a hyperlink to a drawing, select Target to specify a named location in the drawing to jump to and do the following:
    • Select a named location to jump to.
    • Click OK.
  5. (Optional) Enter a description for the hyperlink in Text to Display.
  6. Click OK.
Command entry: HYPERLINK


To create a hyperlink to a named location in a non- AutoCAD file (Procedure)

Use a Hyperlink to Access a File or a Web Page
Up a level to ..
Use a Hyperlink to Access a File or a Web Page
Work with Other People and Organizations > Use the Internet to Share Drawings > Add Hyperlinks to a Drawing > Use a Hyperlink to Access a File or a Web Page >
Use a Hyperlink to Access a File or a Web Page
Concept Procedure Quick Reference

To create a hyperlink to a named location in a non- AutoCAD file

  1. Create a hyperlink (see To create a full hyperlink to another file).
  2. Click Blocks & References tab [image] Data panel [image] Hyperlink. At the command prompt, enter hyperlink.
  3. Select the graphical object that the hyperlink is associated with.
  4. In Type the File or Web Page Name, enter a pound sign (#) after the name of the file that the hyperlink is linked to, and then enter the named location. Do not include any spaces between the name of the file that the hyperlink is linked to, the pound sign (#), and the named location.
  5. Click OK.
Command entry: HYPERLINK


To edit a hyperlink attached to a graphical object (Procedure)

Use a Hyperlink to Access a File or a Web Page
Up a level to ..
Use a Hyperlink to Access a File or a Web Page
Work with Other People and Organizations > Use the Internet to Share Drawings > Add Hyperlinks to a Drawing > Use a Hyperlink to Access a File or a Web Page >
Use a Hyperlink to Access a File or a Web Page
Concept Procedure Quick Reference

To edit a hyperlink attached to a graphical object

  1. Click Blocks & References tab [image] Data panel [image] Hyperlink. At the command prompt, enter hyperlink.
  2. In the drawing area, select one or more graphical objects that use the same hyperlink.
  3. Specify new values in the Edit Hyperlink dialog box. Click OK.
Command entry: HYPERLINK


To remove a hyperlink from a graphical object (Procedure)

Use a Hyperlink to Access a File or a Web Page
Up a level to ..
Use a Hyperlink to Access a File or a Web Page
Work with Other People and Organizations > Use the Internet to Share Drawings > Add Hyperlinks to a Drawing > Use a Hyperlink to Access a File or a Web Page >
Use a Hyperlink to Access a File or a Web Page
Concept Procedure Quick Reference

To remove a hyperlink from a graphical object

  1. In the drawing area, select one or more graphical objects that use the same hyperlink.
  2. Click Blocks & References tab [image] Data panel [image] Hyperlink. At the command prompt, enter hyperlink.
  3. In the drawing area, select one or more graphical objects that use the same hyperlink.
  4. Click Remove Hyperlink. Click OK.
Command entry: HYPERLINK


To open a file associated with a hyperlink (Procedure)

Use a Hyperlink to Access a File or a Web Page
Up a level to ..
Use a Hyperlink to Access a File or a Web Page
Work with Other People and Organizations > Use the Internet to Share Drawings > Add Hyperlinks to a Drawing > Use a Hyperlink to Access a File or a Web Page >
Use a Hyperlink to Access a File or a Web Page
Concept Procedure Quick Reference

To open a file associated with a hyperlink

  1. In the drawing area, select a graphical object with an attached hyperlink.
  2. Use one of the following methods to follow the link:
    • Hold down the CTRL key and click.
    • Right-click. Click Hyperlink. Select the name of the hyperlink you want. Each hyperlink has either a description or the full URL to the referenced file.
    NoteIf you have turned off display of the hyperlink cursor, Hyperlink options are not available on the shortcut menu. You can turn on the hyperlink cursor, tooltips, and shortcut menu in the Options dialog box on the User Preferences tab. The PICKFIRST system variable must be set to 1 to open files associated with hyperlinks.


To turn the hyperlink cursor display on or off (Procedure)

Use a Hyperlink to Access a File or a Web Page
Up a level to ..
Use a Hyperlink to Access a File or a Web Page
Work with Other People and Organizations > Use the Internet to Share Drawings > Add Hyperlinks to a Drawing > Use a Hyperlink to Access a File or a Web Page >
Use a Hyperlink to Access a File or a Web Page
Concept Procedure Quick Reference

To turn the hyperlink cursor display on or off

  1. Click Tools menu [image] Options.At the command prompt, enter options.
  2. In the Options dialog box, User Preferences tab, select or clear Display Hyperlink Cursor, Tooltip, and Shortcut Menu.
  3. Click Apply or click OK.
Command entry: OPTIONS


To set the relative path for all hyperlinks in a drawing (Procedure)

Use a Hyperlink to Access a File or a Web Page
Up a level to ..
Use a Hyperlink to Access a File or a Web Page
Work with Other People and Organizations > Use the Internet to Share Drawings > Add Hyperlinks to a Drawing > Use a Hyperlink to Access a File or a Web Page >
Use a Hyperlink to Access a File or a Web Page
Concept Procedure Quick Reference

To set the relative path for all hyperlinks in a drawing

  1. Click Tools tab [image] Drawing Utilities panel [image] Drawing Properties. At the command prompt, enter dwgprops.
  2. On the Summary tab, enter a relative path in Hyperlink Base.
  3. Click OK.
Command entry: DWGPROPS


To create a relative hyperlink (Procedure)

Use a Hyperlink to Access a File or a Web Page
Up a level to ..
Use a Hyperlink to Create an Email Message
Work with Other People and Organizations > Use the Internet to Share Drawings > Add Hyperlinks to a Drawing > Use a Hyperlink to Access a File or a Web Page >
Use a Hyperlink to Access a File or a Web Page
Concept Procedure Quick Reference

To create a relative hyperlink

  1. Click Blocks & References tab [image] Data panel [image] Hyperlink.At the command prompt, enter hyperlink.
  2. In the drawing area, select one or more graphical objects to attach the hyperlink to.
  3. Enter the name of the file to attach in Type the File or Web Page Name.

    Do not enter any path information with the file name, or you will create a full hyperlink.

  4. Click OK.
Command entry: HYPERLINK


Use a Hyperlink to Access a File or a Web Page (Quick Reference)

Overview of Using Hyperlinks in a Drawing
Use a Hyperlink to Access a File or a Web Page
Use a Hyperlink to Create an Email Message
Work with Other People and Organizations > Use the Internet to Share Drawings > Add Hyperlinks to a Drawing > Use a Hyperlink to Access a File or a Web Page >
Use a Hyperlink to Access a File or a Web Page
Concept Procedure Quick Reference

Commands

ATTACHURL

Attaches hyperlinks to objects or areas in a drawing

DETACHURL

Removes hyperlinks in a drawing

DWGPROPS

Sets and displays the properties of the current drawing

GOTOURL

Opens the file or web page associated with the hyperlink attached to an object

HYPERLINK

Attaches a hyperlink to an object or modifies an existing hyperlink

HYPERLINKOPTIONS

Controls the display of the hyperlink cursor, tooltips, and shortcut menu

OPTIONS

Customizes the program settings

System Variables

HYPERLINKBASE

Specifies the path used for all relative hyperlinks in the drawing

PICKFIRST

Controls whether you select objects before (noun-verb selection) or after you issue a command

Utilities

No entries

Command Modifiers

No entries


Use a Hyperlink to Create an Email Message (Concept)

Use a Hyperlink to Access a File or a Web Page
Add Hyperlinks to a Drawing
Use Hyperlinks in Blocks
Work with Other People and Organizations > Use the Internet to Share Drawings > Add Hyperlinks to a Drawing >
Use a Hyperlink to Create an Email Message
Concept Procedure Quick Reference

Typically you use hyperlinks in a drawing to associate graphical objects with related documents. In some cases, however, it might be useful to insert a hyperlink that creates an email message when the hyperlink is activated.

For example, consider a design project with several drafters responsible for updating different components of a drawing. As drafters add new components to the drawing, they can associate hyperlinks that include their email addresses with the components. This provides a convenient way to identify who created various drawing components and to send that person an email message with any design-related issues.


To create an email hyperlink (Procedure)

Use a Hyperlink to Access a File or a Web Page
Up a level to ..
Use Hyperlinks in Blocks
Work with Other People and Organizations > Use the Internet to Share Drawings > Add Hyperlinks to a Drawing > Use a Hyperlink to Create an Email Message >
Use a Hyperlink to Create an Email Message
Concept Procedure Quick Reference

To create an email hyperlink

  1. In the drawing area, select one or more graphical objects to attach the hyperlink to.
  2. Click Blocks & References tab [image] Data panel [image] Hyperlink.At the command prompt, enter hyperlink.
  3. In the Insert Hyperlink dialog box, under Link To, click E-mail Address.
  4. Enter the recipient's address in E-mail Address.
  5. (Optional) Specify a subject for the email message in Subject.
  6. Click OK.

    When you open an email hyperlink, your default email application creates a new email message with the address and subject (if specified) filled out. You can then enter message text and send it by email.

Command entry: HYPERLINK


Use a Hyperlink to Create an Email Message (Quick Reference)

Use a Hyperlink to Access a File or a Web Page
Use a Hyperlink to Create an Email Message
Use Hyperlinks in Blocks
Work with Other People and Organizations > Use the Internet to Share Drawings > Add Hyperlinks to a Drawing > Use a Hyperlink to Create an Email Message >
Use a Hyperlink to Create an Email Message
Concept Procedure Quick Reference

Commands

HYPERLINK

Attaches a hyperlink to an object or modifies an existing hyperlink

System Variables

PICKFIRST

Controls whether you select objects before (noun-verb selection) or after you issue a command

Utilities

No entries

Command Modifiers

No entries


Use Hyperlinks in Blocks (Concept)

Use a Hyperlink to Create an Email Message
Add Hyperlinks to a Drawing
Use a Hyperlink to Start a New Drawing
Work with Other People and Organizations > Use the Internet to Share Drawings > Add Hyperlinks to a Drawing >
Use Hyperlinks in Blocks
Concept Procedure Quick Reference

Hyperlinks can be associated with blocks, including nested objects contained within blocks. If the blocks contain any relative hyperlinks, the relative hyperlinks adopt the relative base path of the current drawing when you insert them.

When you select a block element in the drawing area that contains multiple hyperlinks, the available hyperlinks are listed in the Hyperlink shortcut menu. You can activate any hyperlink associated with the currently selected block element, and edit or remove a hyperlink associated with a particular block instance.

For example, suppose you have a block that contains a line and a circle. The line has an attached hyperlink named line, and the circle has an attached hyperlink named circle. This particular instance of the block has a hyperlink named block, which you attached after the block was inserted. When you select an element in the block, you can open the hyperlink associated with that element, or any hyperlink associated with that particular instance of the block. If, for example, you select the line block element, you can open the line hyperlink or the block hyperlink. If you select the circle block element, you can open the circle hyperlink or the block hyperlink. In both cases, you can edit or detach only the block hyperlink associated with this instance of the block.

To edit or remove hyperlinks nested in a block, you must first explode the block or use the REFEDIT command.


To open a file associated with a hyperlink contained in a block (Procedure)

Use a Hyperlink to Create an Email Message
Up a level to ..
Use a Hyperlink to Start a New Drawing
Work with Other People and Organizations > Use the Internet to Share Drawings > Add Hyperlinks to a Drawing > Use Hyperlinks in Blocks >
Use Hyperlinks in Blocks
Concept Procedure Quick Reference

To open a file associated with a hyperlink contained in a block

  1. In the drawing area, select a block with attached hyperlinks.
  2. Use one of the following methods to follow the link:
    • Hold down the CTRL key and click.
    • Right-click. Click Hyperlink. Select the name of the hyperlink you want. Each hyperlink has either a description or the full URL to the referenced file.


Use Hyperlinks in Blocks (Quick Reference)

Use a Hyperlink to Create an Email Message
Use Hyperlinks in Blocks
Use a Hyperlink to Start a New Drawing
Work with Other People and Organizations > Use the Internet to Share Drawings > Add Hyperlinks to a Drawing > Use Hyperlinks in Blocks >
Use Hyperlinks in Blocks
Concept Procedure Quick Reference

Commands

ATTACHURL

Attaches hyperlinks to objects or areas in a drawing

DETACHURL

Removes hyperlinks in a drawing

GOTOURL

Opens the file or web page associated with the hyperlink attached to an object

HYPERLINK

Attaches a hyperlink to an object or modifies an existing hyperlink

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Use a Hyperlink to Start a New Drawing (Concept)

Use Hyperlinks in Blocks
Add Hyperlinks to a Drawing
Work with Drawing Files over the Internet
Work with Other People and Organizations > Use the Internet to Share Drawings > Add Hyperlinks to a Drawing >
Use a Hyperlink to Start a New Drawing
Concept Procedure Quick Reference

When you activate a hyperlink that points to a drawing template (DWT) file, a new drawing file is created based on the template rather than opening the actual template file.

This provides a convenient mechanism for creating a set of standardized drawing templates that you can share with others. Because the hyperlinked template files open a new drawing, there is no risk of others accidentally overwriting the original template.


To open a drawing template (DWT) file associated with a hyperlink (Procedure)

Use Hyperlinks in Blocks
Up a level to ..
Work with Drawing Files over the Internet
Work with Other People and Organizations > Use the Internet to Share Drawings > Add Hyperlinks to a Drawing > Use a Hyperlink to Start a New Drawing >
Use a Hyperlink to Start a New Drawing
Concept Procedure Quick Reference

To open a drawing template (DWT) file associated with a hyperlink

  1. In the drawing area, select a graphical object with an attached hyperlink to a DWT file.
  2. Use one of the following methods to follow the link:
    • Hold down the CTRL key and click.
    • Right-click. Click Hyperlink. Select the name of the hyperlink you want. Each hyperlink has either a description or the full URL to the referenced file.

    A new drawing opens based on the hyperlinked DWT file.

    NoteIf you have turned off display of the hyperlink cursor, Hyperlink options are not available on the shortcut menu. You can turn on the hyperlink cursor, tooltips, and shortcut menu in the Options dialog box on the User Preferences tab.


Use a Hyperlink to Start a New Drawing (Quick Reference)

Use Hyperlinks in Blocks
Use a Hyperlink to Start a New Drawing
Open and Save Drawing Files from the Internet
Work with Other People and Organizations > Use the Internet to Share Drawings > Add Hyperlinks to a Drawing > Use a Hyperlink to Start a New Drawing >
Use a Hyperlink to Start a New Drawing
Concept Procedure Quick Reference

Commands

GOTOURL

Opens the file or web page associated with the hyperlink attached to an object

HYPERLINK

Attaches a hyperlink to an object or modifies an existing hyperlink

System Variables

PICKFIRST

Controls whether you select objects before (noun-verb selection) or after you issue a command

Utilities

No entries

Command Modifiers

No entries


Work with Drawing Files over the Internet

Use a Hyperlink to Start a New Drawing
Use the Internet to Share Drawings
Open and Save Drawing Files from the Internet
Work with Other People and Organizations > Use the Internet to Share Drawings >
Work with Drawing Files over the Internet
Concept Procedure

You can open and save drawings to an Internet location, attach externally referenced drawings stored on the Internet, use i-drop to insert blocks by dragging drawings from a website, and create a transmittal package of drawings that automatically includes all related files.

Topics in this section

  • Open and Save Drawing Files from the Internet

    The file input and output commands recognize any valid Uniform Resource Locator (URL) path to a DWG file.

  • Share Drawing Files Internationally

    Beginning with AutoCAD 2007-based products, drawing files and most files associated with drawing files use the Unicode standard. This lets you maintain both the visual fidelity and data integrity of international characters when you save and open drawing files.

  • Access Buzzsaw for Project Collaboration

    Using Autodesk® Buzzsaw® you can store, manage, and share documents that populate a Buzzsaw site.

  • Work with Xrefs over the Internet

    You can attach externally referenced drawings stored on the Internet or an intranet to drawings stored locally on your system.

  • Insert Content from a Website
  • Package a Set of Files for Internet Transmission


Work with Drawing Files over the Internet (Procedure)

Use a Hyperlink to Start a New Drawing
Work with Drawing Files over the Internet
Open and Save Drawing Files from the Internet
Work with Other People and Organizations > Use the Internet to Share Drawings > Work with Drawing Files over the Internet >
Work with Drawing Files over the Internet
Concept Procedure

To open an AutoCAD file from the Internet by entering a URL

To open an AutoCAD file from the Internet by browsing an FTP site

To open an AutoCAD file from the Internet by browsing a web folder

To save an AutoCAD file to the Internet by entering a URL

To save an AutoCAD file to the Internet by browsing an FTP site

To save an AutoCAD file to the Internet by browsing a web folder

To specify the default Internet location used by the Browse the Web dialog box

To open an AutoCAD file from the Internet with the Browse the Web dialog box

To save an AutoCAD file to an Internet location with the Browse the Web dialog box

To access a Buzzsaw site for the first time

To access a Buzzsaw site

To add a Buzzsaw location shortcut

To rename a Buzzsaw location shortcut

To modify a Buzzsaw location shortcut

To delete a Buzzsaw location shortcut

To save a file opened in a Buzzsaw site to a different Buzzsaw site

To save a file opened outside of Buzzsaw to a Buzzsaw site

To send a transmittal set to Buzzsaw

To send a transmittal set to Buzzsaw from the Sheet Set Manager

To publish a file to Buzzsaw

To publish a sheet set to Buzzsaw

To attach an xref to a drawing stored on the Internet

To create a transmittal package in a folder you specify

To create a transmittal package that is a self-extracting executable or ZIP file

To create a transmittal package from a sheet set

To unpack a self-extracting executable transmittal package


Open and Save Drawing Files from the Internet (Concept)

Work with Drawing Files over the Internet
Work with Drawing Files over the Internet
Share Drawing Files Internationally
Work with Other People and Organizations > Use the Internet to Share Drawings > Work with Drawing Files over the Internet >
Open and Save Drawing Files from the Internet
Concept Procedure Quick Reference

The file input and output commands recognize any valid Uniform Resource Locator (URL) path to a DWG file.

You can use AutoCAD to open and save files from the Internet. The AutoCAD file input and output commands (OPEN, EXPORT, and so on) recognize any valid URL path to an AutoCAD file. The drawing file that you specify is downloaded to your computer and opened in the AutoCAD drawing area. You can then edit the drawing and save it, either locally or back to any Internet or intranet location for which you have sufficient access privileges.

If you know the URL to the file you want to open, you can enter it directly in the Select File dialog box. You can also browse defined FTP sites or web folders in the Select File dialog box, use the Browse the Web dialog box to navigate to the Internet location where the file is stored, or access project collaboration sites hosted by Autodesk® Buzzsaw® using the Buzzsaw icon in the Select File or Save Drawing As dialog box.

Use the Browse the Web Dialog Box

With the Browse the Web dialog box, you can navigate quickly to a specific Internet location to open or save a file. You can specify a default Internet location that is loaded each time you open the Browse the Web dialog box. Using the Browse the Web dialog box to access files is particularly useful when you don't know the correct URL, or when you want to avoid entering a long URL each time you access an Internet location.


Open and Save Drawing Files from the Internet (Procedure)

Work with Drawing Files over the Internet
Up a level to ..
Open and Save Drawing Files from the Internet
Work with Other People and Organizations > Use the Internet to Share Drawings > Work with Drawing Files over the Internet > Open and Save Drawing Files from the Internet >
Open and Save Drawing Files from the Internet
Concept Procedure Quick Reference

To open an AutoCAD file from the Internet by entering a URL

To open an AutoCAD file from the Internet by browsing an FTP site

To open an AutoCAD file from the Internet by browsing a web folder

To save an AutoCAD file to the Internet by entering a URL

To save an AutoCAD file to the Internet by browsing an FTP site

To save an AutoCAD file to the Internet by browsing a web folder

To specify the default Internet location used by the Browse the Web dialog box

To open an AutoCAD file from the Internet with the Browse the Web dialog box

To save an AutoCAD file to an Internet location with the Browse the Web dialog box


To open an AutoCAD file from the Internet by entering a URL (Procedure)

Open and Save Drawing Files from the Internet
Up a level to ..
Open and Save Drawing Files from the Internet
Work with Other People and Organizations > Use the Internet to Share Drawings > Work with Drawing Files over the Internet > Open and Save Drawing Files from the Internet >
Open and Save Drawing Files from the Internet
Concept Procedure Quick Reference

To open an AutoCAD file from the Internet by entering a URL

  1. Click File menu [image] Open.At the command prompt, enter open.
  2. In the Select File dialog box, enter the URL to the file in File Name. Click Open.

    You must enter the Hypertext Transfer Protocol or File Transfer Protocol (for example, http:// or ftp://) and the extension (for example, .dwg or .dwt) of the file you want to open.

Toolbar: Standard
Command entry: OPEN


To open an AutoCAD file from the Internet by browsing an FTP site (Procedure)

Open and Save Drawing Files from the Internet
Up a level to ..
Open and Save Drawing Files from the Internet
Work with Other People and Organizations > Use the Internet to Share Drawings > Work with Drawing Files over the Internet > Open and Save Drawing Files from the Internet >
Open and Save Drawing Files from the Internet
Concept Procedure Quick Reference

To open an AutoCAD file from the Internet by browsing an FTP site

  1. Click File menu [image] Open.At the command prompt, enter open.
  2. In the Select File dialog box, click Tools [image] Add/Modify FTP Locations.
  3. In the Add/Modify FTP Locations dialog box, under Name of FTP Site, enter the site name for the FTP location (for example, ftp.autodesk.com).
  4. Under Log On As, select one of the following:
    • Anonymous. Logs on to the FTP site as an anonymous user. If the FTP site does not allow anonymous logons, select User and enter a valid user name.
    • User. Logs on to the FTP site using the specified user name.
  5. Enter a password if required by the FTP site.
  6. Click Add. Click OK.
  7. In the Select File dialog box, select FTP from the Places list.
  8. Double-click one of the FTP sites and select a file.
  9. Click Open.
Toolbar: Standard
Command entry: OPEN


To open an AutoCAD file from the Internet by browsing a web folder (Procedure)

Open and Save Drawing Files from the Internet
Up a level to ..
Open and Save Drawing Files from the Internet
Work with Other People and Organizations > Use the Internet to Share Drawings > Work with Drawing Files over the Internet > Open and Save Drawing Files from the Internet >
Open and Save Drawing Files from the Internet
Concept Procedure Quick Reference

To open an AutoCAD file from the Internet by browsing a web folder

  1. Click File menu [image] Open.At the command prompt, enter open.
  2. In the Select File dialog box, under Look In, select Web Folders (or My Network Places, depending on your version of Microsoft® Windows® ).
  3. Double-click one of the web folders and select a file.

    You can create new web folders in Windows Explorer. Consult your system administrator or Windows Explorer Help for more information about web folders.

  4. Click Open.
Toolbar: Standard
Command entry: OPEN


To save an AutoCAD file to the Internet by entering a URL (Procedure)

Open and Save Drawing Files from the Internet
Up a level to ..
Open and Save Drawing Files from the Internet
Work with Other People and Organizations > Use the Internet to Share Drawings > Work with Drawing Files over the Internet > Open and Save Drawing Files from the Internet >
Open and Save Drawing Files from the Internet
Concept Procedure Quick Reference

To save an AutoCAD file to the Internet by entering a URL

  1. Click File menu [image] Save As.At the command prompt, enter saveas.
  2. Enter the URL to the file in File Name.

    You must enter the File Transfer Protocol or Hypertext Transfer Protocol (for example, ftp:// or http://) and the extension (for example, .dwg or .dwt) of the file you want to save. You must have access rights to save files to the specified location.

  3. Select a file format from the Files of Type list. Click Save.
Command entry: SAVE


To save an AutoCAD file to the Internet by browsing an FTP site (Procedure)

Open and Save Drawing Files from the Internet
Up a level to ..
Open and Save Drawing Files from the Internet
Work with Other People and Organizations > Use the Internet to Share Drawings > Work with Drawing Files over the Internet > Open and Save Drawing Files from the Internet >
Open and Save Drawing Files from the Internet
Concept Procedure Quick Reference

To save an AutoCAD file to the Internet by browsing an FTP site

  1. Click File menu [image] Save As.At the command prompt, enter saveas.
  2. In the Save Drawing As dialog box, select FTP from the Places list.
  3. If you have not yet added the FTP site to the available FTP locations, click Tools [image] Add/Modify FTP Locations and define the FTP location as described in To open an AutoCAD file from the Internet by browsing an FTP site.
  4. Double-click one of the FTP sites, and select a file.
  5. Select a file format from the Files of Type list. Click Save.
Command entry: SAVE


To save an AutoCAD file to the Internet by browsing a web folder (Procedure)

Open and Save Drawing Files from the Internet
Up a level to ..
Open and Save Drawing Files from the Internet
Work with Other People and Organizations > Use the Internet to Share Drawings > Work with Drawing Files over the Internet > Open and Save Drawing Files from the Internet >
Open and Save Drawing Files from the Internet
Concept Procedure Quick Reference

To save an AutoCAD file to the Internet by browsing a web folder

  1. Click File menu [image] Save As.At the command prompt, enter saveas.
  2. In the Select File dialog box, under Look In, select Web Folders (or My Network Places, depending on your version of Windows).
  3. Double-click one of the web folders.

    You can create new web folders in Windows Explorer. Consult your system administrator or Windows Explorer Help for more information about web folders.

  4. Specify a file name and select a file format from the Files of Type list.
  5. Click Save.

    You must have access rights to save files to the specified location.

Command entry: SAVE


To specify the default Internet location used by the Browse the Web dialog box (Procedure)

Open and Save Drawing Files from the Internet
Up a level to ..
Open and Save Drawing Files from the Internet
Work with Other People and Organizations > Use the Internet to Share Drawings > Work with Drawing Files over the Internet > Open and Save Drawing Files from the Internet >
Open and Save Drawing Files from the Internet
Concept Procedure Quick Reference

To specify the default Internet location used by the Browse the Web dialog box

  1. Click Tools menu [image] Options.At the command prompt, enter options.
  2. On the Files tab, click the plus sign next to Help and Miscellaneous File Names.
  3. Select the Default Internet Location option. Click Browse.
  4. In the Select a File dialog box, do one of the following:
    • Enter the URL to an Internet location. Click Open.
    • Click the Search the Web button and enter the Internet address in the Look In box.
  5. Click OK.
Command entry: OPTIONS


To open an AutoCAD file from the Internet with the Browse the Web dialog box (Procedure)

Open and Save Drawing Files from the Internet
Up a level to ..
Open and Save Drawing Files from the Internet
Work with Other People and Organizations > Use the Internet to Share Drawings > Work with Drawing Files over the Internet > Open and Save Drawing Files from the Internet >
Open and Save Drawing Files from the Internet
Concept Procedure Quick Reference

To open an AutoCAD file from the Internet with the Browse the Web dialog box

  1. Click File menu [image] Open.At the command prompt, enter open.
  2. Click the Search the Web button.

    Many Internet connections require you to enter a valid user name and password before accessing the Internet. AutoCAD prompts you to enter this information.

  3. In the Browse the Web dialog box, do one of the following:
    • Click a hyperlink on the HTML page that is displayed.
    • Enter a full or partial URL in Look In, and then press ENTER.
  4. Repeat step 3 until you locate the file that you want to open.
  5. Click Open.
Toolbar: Standard
Command entry: OPEN


To save an AutoCAD file to an Internet location with the Browse the Web dialog box (Procedure)

Open and Save Drawing Files from the Internet
Up a level to ..
Access Buzzsaw for Project Collaboration
Work with Other People and Organizations > Use the Internet to Share Drawings > Work with Drawing Files over the Internet > Open and Save Drawing Files from the Internet >
Open and Save Drawing Files from the Internet
Concept Procedure Quick Reference

To save an AutoCAD file to an Internet location with the Browse the Web dialog box

  1. Click File menu [image] Save As.At the command prompt, enter saveas.
  2. Click the Search the Web button.

    Many Internet connections require you to enter a valid user name and password before accessing the Internet. AutoCAD prompts you to enter this information.

  3. In the Browse the Web dialog box, do one of the following:
    • Click a hyperlink on the HTML page that is displayed.
    • Enter a full or partial URL in Look In, and then press ENTER.
  4. Repeat step 3 until you navigate to the location where you want to save the file.
  5. Click Save.
Command entry: SAVEAS


Open and Save Drawing Files from the Internet (Quick Reference)

Use a Hyperlink to Start a New Drawing
Open and Save Drawing Files from the Internet
Share Drawing Files Internationally
Work with Other People and Organizations > Use the Internet to Share Drawings > Work with Drawing Files over the Internet > Open and Save Drawing Files from the Internet >
Open and Save Drawing Files from the Internet
Concept Procedure Quick Reference

Commands

APPLOAD

Loads and unloads applications and defines which applications to load at startup

EXPORT

Saves objects to other file formats

HYPERLINK

Attaches a hyperlink to an object or modifies an existing hyperlink

OPEN

Opens an existing drawing file

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Share Drawing Files Internationally (Concept)

Open and Save Drawing Files from the Internet
Work with Drawing Files over the Internet
Access Buzzsaw for Project Collaboration
Work with Other People and Organizations > Use the Internet to Share Drawings > Work with Drawing Files over the Internet >
Share Drawing Files Internationally
Concept Quick Reference

Beginning with AutoCAD 2007-based products, drawing files and most files associated with drawing files use the Unicode standard. This lets you maintain both the visual fidelity and data integrity of international characters when you save and open drawing files.

NoteAutoCAD 2006, AutoCAD LT 2006, and prior versions were not Unicode applications. When sharing drawings with earlier , non-Unicode, versions, use ASCII characters to ensure compatibility when you save files, insert xrefs, and specify folder paths.

Overview of Unicode

All characters are processed numerically by the computer operating system, which assigns a number to each character. Various numeric encoding systems have been used in the past, however these encoding systems often conflicted. As a result, operating systems and applications relied on code pages with specific character sets and numbering assigned to countries or regions.

To facilitate international compatibility, the Unicode standard was adopted by major industry leaders and is being maintained by the Unicode Consortium.

Drawing File Impact

Language-specific characters can be used in file names and text within drawing files, or files associated with drawing files. The following are common examples:

  • Drawing file names
  • Folder path names
  • Sheet set data files
  • Named objects such as layers and blocks within a drawing
  • Linetype and hatch pattern file names and their contents
  • Text used in notes and dimensions within a drawing
  • DWF or DWFx markup files

This means that drawings can be opened, worked on, and saved worldwide regardless of language-specific characters. The only requirement is that the appropriate language pack must be installed first.

When you save text files such as linetype (LIN), hatch pattern (PAT), and script (SCR) files using an application such as Notepad, it is recommended that you specify Unicode encoding at the bottom of the Save As dialog box to ensure compatibility.

Limitations

Most international drawing projects can be completed within the current product environment. However, there are several file types and features that are not supported yet between countries and regions that use different Windows code pages. These features include the following:

  • eTransmit
  • Round trip file and data compatibility with non-Unicode products
  • Block attributes
  • Visual LISP files
NoteYou can still use eTransmit to convey transmittal sets to countries and regions that use the same code page.


Share Drawing Files Internationally (Quick Reference)

Open and Save Drawing Files from the Internet
Share Drawing Files Internationally
Access Buzzsaw for Project Collaboration
Work with Other People and Organizations > Use the Internet to Share Drawings > Work with Drawing Files over the Internet > Share Drawing Files Internationally >
Share Drawing Files Internationally
Concept Quick Reference

Commands

OPEN

Opens an existing drawing file

SAVE

Saves the drawing under the current file name or a specified name

SAVEAS

Saves a copy of the current drawing under a new file name

System Variables

TEXTOUTPUTFILEFORMAT

Provides Unicode options for plot and text window log files

Utilities

No entries

Command Modifiers

No entries


Access Buzzsaw for Project Collaboration (Concept)

Share Drawing Files Internationally
Work with Drawing Files over the Internet
Work with Xrefs over the Internet
Work with Other People and Organizations > Use the Internet to Share Drawings > Work with Drawing Files over the Internet >
Access Buzzsaw for Project Collaboration
Concept Procedure Quick Reference

Using Autodesk® Buzzsaw® you can store, manage, and share documents that populate a Buzzsaw site.

Buzzsaw is a secure, online project collaboration service in which members in different locations can post files to and access files from a centralized site. You can save files, send transmittal sets, and publish sheets to Buzzsaw.

You can get a free 30-day trial subscription when you follow the procedures to access Buzzsaw, or from the Autodesk website. Your Buzzsaw subscription includes user licenses to access Buzzsaw. When you invite your consultants and contractors to your site, the Buzzsaw software is automatically downloaded.

Prepare to Use Buzzsaw

To use Buzzsaw, you must already have a project hosting account or be given access to a subscriber's Buzzsaw site. The subscriber will provide you with the Buzzsaw URL, user name, and password so that you can log in, access, and post files.

Use Buzzsaw

You can access Buzzsaw from several standard file selection dialog boxes (such as New or Open). The Buzzsaw icon is displayed in the Places list for quick access.

Support for Autodesk Buzzsaw services includes the following features:

  • Sheet Set Manager Support. Stores information necessary to publish sheet sets and transmittal sets. For more information about the Sheet Set Manager, see Work with Sheets in a Sheet Set.
  • Publish Support. Publish DWF or DWFx files directly to Autodesk Buzzsaw locations. For more information about publishing to an Autodesk Buzzsaw location, see Set Publish Options.
  • eTransmit Support. You can send a transmittal set of DWG files to a Buzzsaw site and you can create and send a transmittal set using the Sheet Set Manager.

If you plan to use Buzzsaw for project collaboration, set up some shortcuts so you can navigate to frequently used sites more quickly. Using the Buzzsaw icon in the Places list, you can specify a shortcut to an existing project collaboration site from the list or create a new shortcut using the Add a Buzzsaw Location Shortcut.

You can right-click in the Location area of a dialog box that supports Buzzsaw to display a shortcut menu that provides options to add, manage, or delete Autodesk Buzzsaw locations. Changes you make to locations get stored in the registry.


Access Buzzsaw for Project Collaboration (Procedure)

Open and Save Drawing Files from the Internet
Up a level to ..
Access Buzzsaw for Project Collaboration
Work with Other People and Organizations > Use the Internet to Share Drawings > Work with Drawing Files over the Internet > Access Buzzsaw for Project Collaboration >
Access Buzzsaw for Project Collaboration
Concept Procedure Quick Reference

To access a Buzzsaw site for the first time

To access a Buzzsaw site

To add a Buzzsaw location shortcut

To rename a Buzzsaw location shortcut

To modify a Buzzsaw location shortcut

To delete a Buzzsaw location shortcut

To save a file opened in a Buzzsaw site to a different Buzzsaw site

To save a file opened outside of Buzzsaw to a Buzzsaw site

To send a transmittal set to Buzzsaw

To send a transmittal set to Buzzsaw from the Sheet Set Manager

To publish a file to Buzzsaw

To publish a sheet set to Buzzsaw


To access a Buzzsaw site for the first time (Procedure)

Access Buzzsaw for Project Collaboration
Up a level to ..
Access Buzzsaw for Project Collaboration
Work with Other People and Organizations > Use the Internet to Share Drawings > Work with Drawing Files over the Internet > Access Buzzsaw for Project Collaboration >
Access Buzzsaw for Project Collaboration
Concept Procedure Quick Reference

To access a Buzzsaw site for the first time

  1. In a file navigation dialog box, such as the Select File dialog box, in the Places list, click the Buzzsaw icon.
    NoteThe first time you select Buzzsaw, Internet Explorer is launched and the Autodesk Buzzsaw web page is displayed.

    Buzzsaw Location Shortcuts is displayed in the Look In box.

  2. Double-click Add a Buzzsaw Location Shortcut.
  3. In the Log In To Buzzsaw Site dialog box, under Buzzsaw Site, enter the location name for the Buzzsaw site you want to access.
  4. Under Login, Buzzsaw User Name, enter a login name.

    This name is provided by the person granting you access to the Buzzsaw site.

  5. In the Password box, enter a password. Click OK.

    AutoCAD verifies that you have access to the site specified. If access is granted, the Create a Buzzsaw Location Shortcut is displayed. If access is not granted, an error message is displayed.

    NoteSelect the Save Login Name and Password check box, if you want to save your login name and password for future use.
  6. In the Create a Buzzsaw Location Shortcut dialog box, under Select a Buzzsaw Folder, Project, or Document Set, click Browse.
  7. In the Select a Buzzsaw Location dialog box, navigate to a project or folder you want to access. Click OK.

    The path is displayed in the Select a Buzzsaw Folder, Project, or Document Set box.

  8. Under Enter a Name for This Buzzsaw Location Shortcut, enter a name for the shortcut. Click OK.

    You are returned to the File navigation dialog box; the shortcut has been created. You can double-click the shortcut to access the Buzzsaw location specified by the shortcut. You can create as many Buzzsaw shortcuts as needed.

Toolbar: Standard
Command entry: OPEN


To access a Buzzsaw site (Procedure)

Access Buzzsaw for Project Collaboration
Up a level to ..
Access Buzzsaw for Project Collaboration
Work with Other People and Organizations > Use the Internet to Share Drawings > Work with Drawing Files over the Internet > Access Buzzsaw for Project Collaboration >
Access Buzzsaw for Project Collaboration
Concept Procedure Quick Reference

To access a Buzzsaw site

  1. In a file navigation dialog box that supports Buzzsaw, in the Places list, click the Buzzsaw icon.

    Buzzsaw Location Shortcuts is displayed in the Look In box along with any configured Buzzsaw shortcuts.

  2. Double-click a Buzzsaw shortcut.

    If you have not logged in to the site, the Log In To Buzzsaw dialog box is displayed. After logging in, you go to the location defined by that shortcut.

Toolbar: Standard
Command entry: OPEN


To add a Buzzsaw location shortcut (Procedure)

Access Buzzsaw for Project Collaboration
Up a level to ..
Access Buzzsaw for Project Collaboration
Work with Other People and Organizations > Use the Internet to Share Drawings > Work with Drawing Files over the Internet > Access Buzzsaw for Project Collaboration >
Access Buzzsaw for Project Collaboration
Concept Procedure Quick Reference

To add a Buzzsaw location shortcut

  1. In a file navigation dialog box that supports Buzzsaw, in the Places list, click the Buzzsaw icon.

    Buzzsaw Location Shortcuts is displayed in the Look In box along with any configured Buzzsaw shortcuts.

  2. Right-click a Buzzsaw shortcut. Click Add a Buzzsaw Location Shortcut.
  3. In the Log In To Buzzsaw Site dialog box, under Buzzsaw Site, select the location for the Buzzsaw site to access.
  4. Under Login, Buzzsaw User Name, enter a login name, if necessary.

    (The user name is provided to you by the person granting you access to the Buzzsaw site.)

  5. Under Login, Password, enter a password. Click OK.
    NoteCheck the box, Save Login Name and Password, if you want to save your login name and password on this computer for future use.
  6. In the Create a Buzzsaw Location Shortcut dialog box, under Select a Buzzsaw Folder, Project, or Document Set, click the Browse button to navigate to the location of the project or folder.
  7. In the directory tree of the Select a Buzzsaw Location dialog box, click the site name to view the contents and navigate to either a project or folder. Click OK.

    The path is now displayed in the Create a Buzzsaw Location Shortcut dialog box, under Select a Buzzsaw Folder, Project, or Document Set.

  8. Under Enter a Name for This Buzzsaw Location Shortcut, enter a name. Click OK.

    This folder name is added to the Site list in the navigation dialog box.

Toolbar: Standard
Command entry: OPEN


To rename a Buzzsaw location shortcut (Procedure)

Access Buzzsaw for Project Collaboration
Up a level to ..
Access Buzzsaw for Project Collaboration
Work with Other People and Organizations > Use the Internet to Share Drawings > Work with Drawing Files over the Internet > Access Buzzsaw for Project Collaboration >
Access Buzzsaw for Project Collaboration
Concept Procedure Quick Reference

To rename a Buzzsaw location shortcut

  1. In a file navigation dialog box that supports Buzzsaw, in the Places list, click the Buzzsaw icon.

    Buzzsaw Location Shortcuts is displayed in the Look In box along with any configured Buzzsaw shortcuts.

  2. Right-click a Buzzsaw shortcut. Click Manage Buzzsaw Location Shortcuts.
  3. In the Buzzsaw Location Shortcuts dialog box, select a shortcut. Click Rename.
  4. Enter a new name for the Buzzsaw location shortcut. Click Close.
Toolbar: Standard
Command entry: OPEN


To modify a Buzzsaw location shortcut (Procedure)

Access Buzzsaw for Project Collaboration
Up a level to ..
Access Buzzsaw for Project Collaboration
Work with Other People and Organizations > Use the Internet to Share Drawings > Work with Drawing Files over the Internet > Access Buzzsaw for Project Collaboration >
Access Buzzsaw for Project Collaboration
Concept Procedure Quick Reference

To modify a Buzzsaw location shortcut

  1. In a file navigation dialog box that supports Buzzsaw, in the Places list, click the Buzzsaw icon.

    Buzzsaw Location Shortcuts is displayed in the Look In box along with any configured Buzzsaw shortcuts.

  2. Right-click a Buzzsaw shortcut. Click Manage Buzzsaw Location Shortcuts.
  3. In the Buzzsaw Location Shortcuts dialog box, select a shortcut. Click Modify.
  4. In the Log In To Buzzsaw Site dialog box, click to log in to the Buzzsaw site.
  5. In the Edit a Buzzsaw Location Shortcut dialog box, modify the shortcut location or the shortcut name.
  6. Click OK. Click Close.
Toolbar: Standard
Command entry: OPEN


To delete a Buzzsaw location shortcut (Procedure)

Access Buzzsaw for Project Collaboration
Up a level to ..
Access Buzzsaw for Project Collaboration
Work with Other People and Organizations > Use the Internet to Share Drawings > Work with Drawing Files over the Internet > Access Buzzsaw for Project Collaboration >
Access Buzzsaw for Project Collaboration
Concept Procedure Quick Reference

To delete a Buzzsaw location shortcut

  1. In a file navigation dialog box that supports Buzzsaw, in the Places list, click the Buzzsaw icon.

    Buzzsaw Location Shortcuts is displayed in the Look In box along with any configured Buzzsaw shortcuts.

  2. Right-click a Buzzsaw shortcut. Click Manage Buzzsaw Location Shortcuts.
  3. In the Buzzsaw Location Shortcuts dialog box, select a shortcut. Click Delete.

    The selected shortcut is deleted.

  4. Click Close.
    Shortcut menu: Right-click on the Buzzsaw shortcut. Click Delete.
Toolbar: Standard
Command entry: OPEN


To save a file opened in a Buzzsaw site to a different Buzzsaw site (Procedure)

Access Buzzsaw for Project Collaboration
Up a level to ..
Access Buzzsaw for Project Collaboration
Work with Other People and Organizations > Use the Internet to Share Drawings > Work with Drawing Files over the Internet > Access Buzzsaw for Project Collaboration >
Access Buzzsaw for Project Collaboration
Concept Procedure Quick Reference

To save a file opened in a Buzzsaw site to a different Buzzsaw site

  1. Click File menu [image] Save.At the command prompt, enter qsave.
  2. In the Save Drawing As dialog box, under File Name, the entire path to the drawing file is displayed. Click Save.
Toolbar: Standard
Command entry: OPEN


To save a file opened outside of Buzzsaw to a Buzzsaw site (Procedure)

Access Buzzsaw for Project Collaboration
Up a level to ..
Access Buzzsaw for Project Collaboration
Work with Other People and Organizations > Use the Internet to Share Drawings > Work with Drawing Files over the Internet > Access Buzzsaw for Project Collaboration >
Access Buzzsaw for Project Collaboration
Concept Procedure Quick Reference

To save a file opened outside of Buzzsaw to a Buzzsaw site

  1. Click File menu [image] Save As.At the command prompt, enter saveas.
  2. In the Save Drawing As dialog box, in the Places list, click the Buzzsaw icon.
  3. Double-click an existing shortcut or create a new shortcut.
    NoteIf you have not logged into the site, the Log In To Buzzsaw dialog box is displayed. After logging in, you go to the location defined by that shortcut.
  4. Enter a file name and click Save.
Toolbar: Standard
Command entry: OPEN


To send a transmittal set to Buzzsaw (Procedure)

Access Buzzsaw for Project Collaboration
Up a level to ..
Access Buzzsaw for Project Collaboration
Work with Other People and Organizations > Use the Internet to Share Drawings > Work with Drawing Files over the Internet > Access Buzzsaw for Project Collaboration >
Access Buzzsaw for Project Collaboration
Concept Procedure Quick Reference

To send a transmittal set to Buzzsaw

  1. Click Output tab [image] Send panel [image] eTransmit. At the command prompt, enter etransmit.
  2. In the Create Transmittal dialog box, click OK.
  3. In the Specify Zip File dialog box, in the Places list, click the Buzzsaw icon.

    Buzzsaw Location Shortcuts is displayed in the Save In box. Existing Buzzsaw shortcuts are displayed in the Site column.

  4. Double-click an existing shortcut or create a new shortcut.
    NoteIf you have not logged into the site, the Log In To Buzzsaw dialog box is displayed. After logging in, you go to the location defined by that shortcut.
  5. Click Save.

    The transmittal package is created.

Toolbar: Standard
Command entry: OPEN


To send a transmittal set to Buzzsaw from the Sheet Set Manager (Procedure)

Access Buzzsaw for Project Collaboration
Up a level to ..
Access Buzzsaw for Project Collaboration
Work with Other People and Organizations > Use the Internet to Share Drawings > Work with Drawing Files over the Internet > Access Buzzsaw for Project Collaboration >
Access Buzzsaw for Project Collaboration
Concept Procedure Quick Reference

To send a transmittal set to Buzzsaw from the Sheet Set Manager

  1. In the Sheet Set Manager, Sheet List tab, right-click. Click ETransmit.

    The program gathers the information to create the transmittal package.

  2. In the Create Transmittal dialog box, click OK.
  3. In the Specify Zip File dialog box, in the Places list, click the Buzzsaw icon.

    Buzzsaw Location Shortcuts is displayed in the Look In box along with any configured Buzzsaw shortcuts.

  4. Double-click an existing shortcut or create a new shortcut.
    NoteIf you have not logged in to the site, the Log In To Buzzsaw dialog box is displayed. After logging in, you go to the location defined by that shortcut.
  5. Click Save.

    The transmittal package is created.

Toolbar: Standard
Command entry: OPEN


To publish a file to Buzzsaw (Procedure)

Access Buzzsaw for Project Collaboration
Up a level to ..
Access Buzzsaw for Project Collaboration
Work with Other People and Organizations > Use the Internet to Share Drawings > Work with Drawing Files over the Internet > Access Buzzsaw for Project Collaboration >
Access Buzzsaw for Project Collaboration
Concept Procedure Quick Reference

To publish a file to Buzzsaw

  1. In a drawing, click File menu [image] Publish.In a drawing, at the command prompt, enter publish.
  2. In the Publish dialog box, under Publish To, select one of the following options and click Publish Options.
    • Plotter Named in Page Setup
    • DWF Format (DWF File or DWFx File)
  3. In the Publish Options dialog box, under Default Output Location, click Location. Click the [...] button.
  4. In the Select a Folder for Generated Files dialog box, in the Places list, click the Buzzsaw icon.

    Buzzsaw Location Shortcuts is displayed in the Look In box along with any configured Buzzsaw shortcuts.

  5. Double-click an existing shortcut or create a new shortcut.
    NoteIf you have not logged into the site, the Log In To Buzzsaw dialog box is displayed. After logging in, you go to the location defined by that shortcut.
  6. Click Select.
  7. In the Publish Options dialog box, click OK
  8. In the Publish dialog box, click Publish.
  9. In the Specify DWF File dialog box, click Select.

    Publishing begins. A status box indicates when publishing is complete.

Toolbar: Standard
Command entry: OPEN


To publish a sheet set to Buzzsaw (Procedure)

Access Buzzsaw for Project Collaboration
Up a level to ..
Work with Xrefs over the Internet
Work with Other People and Organizations > Use the Internet to Share Drawings > Work with Drawing Files over the Internet > Access Buzzsaw for Project Collaboration >
Access Buzzsaw for Project Collaboration
Concept Procedure Quick Reference

To publish a sheet set to Buzzsaw

  1. In the Sheet Set Manager, Sheet List tab, click the arrow next to Publish. Select Publish Dialog Box.
  2. In the Publish dialog box, click Sheet Set Publish Options.
  3. In the Sheet Set Publish Options dialog box, under Default Output Location, click Location. Click the [...] button.
  4. In the Select a Folder for Generated Files dialog box, in the Places list, click the Buzzsaw icon.

    Buzzsaw Location Shortcuts is displayed in the Look In box along with any configured Buzzsaw shortcuts.

  5. Double-click an existing shortcut or create a new shortcut.
    NoteIf you have not logged into the site, the Log In To Buzzsaw dialog box is displayed. After logging in, you go to the location defined by that shortcut.
  6. Click Select.
  7. In the Sheet Set Publish Options dialog box, click OK.
  8. In the Publish dialog box, click Publish.
  9. In the Specify DWF File dialog box, click Select.

    Publishing begins. A status box indicates when publishing is complete.

Toolbar: Standard
Command entry: OPEN


Access Buzzsaw for Project Collaboration (Quick Reference)

Share Drawing Files Internationally
Access Buzzsaw for Project Collaboration
Work with Xrefs over the Internet
Work with Other People and Organizations > Use the Internet to Share Drawings > Work with Drawing Files over the Internet > Access Buzzsaw for Project Collaboration >
Access Buzzsaw for Project Collaboration
Concept Procedure Quick Reference

Commands

OPEN

Opens an existing drawing file

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Work with Xrefs over the Internet (Concept)

Access Buzzsaw for Project Collaboration
Work with Drawing Files over the Internet
Insert Content from a Website
Work with Other People and Organizations > Use the Internet to Share Drawings > Work with Drawing Files over the Internet >
Work with Xrefs over the Internet
Concept Procedure Quick Reference

You can attach externally referenced drawings stored on the Internet or an intranet to drawings stored locally on your system.

For example, you might have a set of construction drawings that are modified daily by a number of contractors. These drawings are stored in a project directory on the Internet. You can maintain a master drawing on your computer, and attach the Internet drawings to the master drawing as external references (xrefs). When any of the Internet drawings are modified, the changes are included in your master drawing the next time you open it. This is a powerful mechanism for developing accurate, up-to-date composite drawings that can be shared by a design team.

NoteIf you have a slow Internet connection or are working with a master drawing that has many xrefs attached, the download of the xrefs to your system might take a long time.


To attach an xref to a drawing stored on the Internet (Procedure)

Access Buzzsaw for Project Collaboration
Up a level to ..
Insert Content from a Website
Work with Other People and Organizations > Use the Internet to Share Drawings > Work with Drawing Files over the Internet > Work with Xrefs over the Internet >
Work with Xrefs over the Internet
Concept Procedure Quick Reference

To attach an xref to a drawing stored on the Internet

  1. Click Insert menu [image] External References.
  2. In the Select Reference File dialog box, do one of the following:
    • Under File Name, enter the URL to the file that you want to attach.

      You must include the transfer protocol (for example, http:// or ftp://) in the URL.

    • Click the Search the Web button, and then use the Browse the Web dialog box to navigate to the file you want to attach.

    If your network or ISP requires a user name and password, you are prompted to enter this information.

  3. Click Open.
  4. In the External Reference dialog box, click OK.
  5. Specify an insertion point for the xref.
Command entry: XREF


Work with Xrefs over the Internet (Quick Reference)

Access Buzzsaw for Project Collaboration
Work with Xrefs over the Internet
Overview of i-drop
Work with Other People and Organizations > Use the Internet to Share Drawings > Work with Drawing Files over the Internet > Work with Xrefs over the Internet >
Work with Xrefs over the Internet
Concept Procedure Quick Reference

Commands

HYPERLINK

Attaches a hyperlink to an object or modifies an existing hyperlink

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Insert Content from a Website

Work with Xrefs over the Internet
Work with Drawing Files over the Internet
Overview of i-drop
Work with Other People and Organizations > Use the Internet to Share Drawings > Work with Drawing Files over the Internet >
Insert Content from a Website
Concept Procedure

With the Autodesk® i-drop® functionality, you can use a drag-and-drop method to insert web content into your drawing.

Topics in this section

  • Overview of i-drop
  • Use i-drop

    To use i-drop, you simply drag a representative i-drop content image from a web page into your drawing area. You can also specify the type of i-drop content for your application.


Insert Content from a Website (Procedure)

Work with Xrefs over the Internet
Up a level to ..
Use i-drop
Work with Other People and Organizations > Use the Internet to Share Drawings > Work with Drawing Files over the Internet > Insert Content from a Website >
Insert Content from a Website
Concept Procedure

To insert i-drop content into a drawing

To specify options for data files associated with inserted i-drop content

To specify the default type of i-drop content

To view a log file of i-drop content in your drawing

To view the URL hyperlink for the source of an inserted i-drop content image


Overview of i-drop (Concept)

Insert Content from a Website
Insert Content from a Website
Use i-drop
Work with Other People and Organizations > Use the Internet to Share Drawings > Work with Drawing Files over the Internet > Insert Content from a Website >
Overview of i-drop
Concept Quick Reference

i-drop is a drag-and-drop method of inserting content from the Web into your current drawing. Using i-drop, you can easily insert content such as drawings and catalog items into an open drawing. Specific examples of i-drop content that you can insert include a block of a chair or window or a bitmap of a linoleum sample.

You can use the Publish to Web wizard to create a web page that has i-drop-enabled content for a drawing file. For details about other ways to create a web page that has i-drop content, see the information about i-drop on the Autodesk website at the following URL:

http://www. autodesk.com/idrop


Overview of i-drop (Quick Reference)

Work with Xrefs over the Internet
Overview of i-drop
Use i-drop
Work with Other People and Organizations > Use the Internet to Share Drawings > Work with Drawing Files over the Internet > Insert Content from a Website > Overview of i-drop >
Overview of i-drop
Concept Quick Reference

Commands

SETIDROPHANDLER

Specifies the default type of i-drop content for the current Autodesk application

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Use i-drop (Concept)

Overview of i-drop
Insert Content from a Website
Package a Set of Files for Internet Transmission
Work with Other People and Organizations > Use the Internet to Share Drawings > Work with Drawing Files over the Internet > Insert Content from a Website >
Use i-drop
Concept Procedure Quick Reference

To use i-drop, you simply drag a representative i-drop content image from a web page into your drawing area. You can also specify the type of i-drop content for your application.

The representative i-drop content image will usually be a visual representation of what will appear in your drawing.

i-drop also offers the following functionality:

  • Set the default type of i-drop content accepted. You can set the default type of i-drop content accepted by the program. The setting you select determines the type of content that is inserted in your drawing when you drag a representative i-drop content image from the Web. For example, if you select Block, the inserted content is a block.
  • Use right-click and drag to select the type of i-drop content. You can select the type of i-drop content to insert in your drawing when you right-click and drag a representative i-drop content image.
  • Use right-click and drag to specify associated data files to download. You can specify which associated data files to download when using right-click to drag i-drop content into a drawing.
  • Specify the location of downloaded associated data files. You can specify where you want to download the data files that are associated with i-drop content.
  • View a log file of i-drop content. You can view a log file of i-drop content for each drawing. This log file is saved in the same folder as the drawing.


Use i-drop (Procedure)

Insert Content from a Website
Up a level to ..
Use i-drop
Work with Other People and Organizations > Use the Internet to Share Drawings > Work with Drawing Files over the Internet > Insert Content from a Website > Use i-drop >
Use i-drop
Concept Procedure Quick Reference

To insert i-drop content into a drawing

To specify options for data files associated with inserted i-drop content

To specify the default type of i-drop content

To view a log file of i-drop content in your drawing

To view the URL hyperlink for the source of an inserted i-drop content image


To insert i-drop content into a drawing (Procedure)

Use i-drop
Up a level to ..
Use i-drop
Work with Other People and Organizations > Use the Internet to Share Drawings > Work with Drawing Files over the Internet > Insert Content from a Website > Use i-drop >
Use i-drop
Concept Procedure Quick Reference

To insert i-drop content into a drawing

  1. Open the drawing in which you want to insert i-drop content.
  2. Drag a representative i-drop content image from a web page into your current drawing.

    When you move your cursor over a representative i-drop content image on a website, the cursor changes to a dropper image.You are now in Insertion mode.

  3. In your current drawing, click where you want the i-drop content inserted.

    The i-drop content is inserted into your drawing.


To specify options for data files associated with inserted i-drop content (Procedure)

Use i-drop
Up a level to ..
Use i-drop
Work with Other People and Organizations > Use the Internet to Share Drawings > Work with Drawing Files over the Internet > Insert Content from a Website > Use i-drop >
Use i-drop
Concept Procedure Quick Reference

To specify options for data files associated with inserted i-drop content

You can specify the transfer and location of associated data files when you insert i-drop content into a drawing.

  1. Right-click a representative i-drop content image and drag it from a web page into your current drawing.

    When you move your cursor over a representative i-drop content image on a website, the cursor changes to a dropper image.

  2. On the shortcut menu, click Insert As [image] Block.
  3. In the i-drop Options Dialog box, Choose Associated File area, select the associated data files you want to download with your i-drop content.
  4. In the Choose Destination Path area, the default destination path is displayed. You can enter a different path or click the [...] button to locate a different folder.
  5. Click OK.
  6. In the drawing, click where you want your content inserted.


To specify the default type of i-drop content (Procedure)

Use i-drop
Up a level to ..
Use i-drop
Work with Other People and Organizations > Use the Internet to Share Drawings > Work with Drawing Files over the Internet > Insert Content from a Website > Use i-drop >
Use i-drop
Concept Procedure Quick Reference

To specify the default type of i-drop content

  1. At the command prompt, enter setidrophandler.
  2. In the Set Default i-drop Content Type dialog box, in the Choose Default i-drop Content Type list, select a type of i-drop content.

    The only i-drop content types that are listed are those for installed Autodesk products that provide this type of i-drop functionality.

    If the representative i-drop content image you drag into your drawing points to more than one type of content, this setting specifies which type of content is actually inserted. Selecting Block specifies that a block is inserted. You can drop a block into a drawing that was created in any AutoCAD-based product.


To view a log file of i-drop content in your drawing (Procedure)

Use i-drop
Up a level to ..
Use i-drop
Work with Other People and Organizations > Use the Internet to Share Drawings > Work with Drawing Files over the Internet > Insert Content from a Website > Use i-drop >
Use i-drop
Concept Procedure Quick Reference

To view a log file of i-drop content in your drawing

  • In the folder where your drawing is stored, double-click the file named <drawing name>_idrop.txt.

    The log file displays the name of the drawing file (target file), the name of the i-drop content file inserted in your drawing (located at the end of the source URL), the date and time it was inserted, the source URL of each associated data file, and the destination (location) of any associated data files.


To view the URL hyperlink for the source of an inserted i-drop content image (Procedure)

Use i-drop
Up a level to ..
Package a Set of Files for Internet Transmission
Work with Other People and Organizations > Use the Internet to Share Drawings > Work with Drawing Files over the Internet > Insert Content from a Website > Use i-drop >
Use i-drop
Concept Procedure Quick Reference

To view the URL hyperlink for the source of an inserted i-drop content image

  1. In your drawing, select the i-drop content image.
  2. Move your cursor over the selected i-drop content image.

    The URL hyperlink is displayed in a tooltip.


Use i-drop (Quick Reference)

Overview of i-drop
Use i-drop
Package a Set of Files for Internet Transmission
Work with Other People and Organizations > Use the Internet to Share Drawings > Work with Drawing Files over the Internet > Insert Content from a Website > Use i-drop >
Use i-drop
Concept Procedure Quick Reference

Commands

SETIDROPHANDLER

Specifies the default type of i-drop content for the current Autodesk application

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Package a Set of Files for Internet Transmission (Concept)

Use i-drop
Work with Drawing Files over the Internet
Use the Publish to Web Wizard to Create Web Pages
Work with Other People and Organizations > Use the Internet to Share Drawings > Work with Drawing Files over the Internet >
Package a Set of Files for Internet Transmission
Concept Procedure Quick Reference

With eTransmit, you can package a set of files for Internet transmission. Drawing files in the transmittal package automatically include all related dependent files such as xrefs and font files.

A common problem when sending drawing files to someone is neglecting to include related dependent files such as xrefs and text fonts. In some cases, not including these files can make the drawing files unusable by the recipient. With eTransmit, dependent files are included automatically in the transmittal package, reducing the possibility of error.

Choose the Files to Package

The Create Transmittal dialog box displays two tabs for individual drawing files, or three tabs for sheet sets and drawing files that are referenced by sheet sets. Using these tabs, you can view and change the files to be included in the transmittal package.

  • Sheets. This tab is available only when a sheet set is open. It displays a hierarchical list of sheets in the current sheet set. When you check a sheet, all dependent files are automatically included in the transmittal package.
  • Files Tree. This tab displays a list of files. You can expand or collapse each drawing file in the list to display its dependent files. By default, dependent files are automatically included in the transmittal package unless you uncheck them.
  • Files Table. This tab displays a table of files, their folder locations, and file details. Each file can be checked or unchecked, providing the most direct control over the contents of the transmittal package. Files are not automatically checked or unchecked.

The following table lists the common file types that are automatically added to a transmittal package. You can choose to remove any of the files automatically added and you can manually add additional files that you want included in the transmittal package.

File Types Automatically Added to a Transmittal Package
File Type | Description
*.dwg | Root drawing file and any attached external references
Various image file types | Raster image files that are attached externally to the root drawing or external referenced drawings, or as part of a material
*.dgn | DGN files that are attached externally to the root drawing or external referenced drawings
*.dwf | Design Web Format files that are attached externally to the root drawing or external referenced drawings
*.dwfx | DWF file with XPS information that is attached externally to the root drawing or an externally referenced drawing
*.dxe | Data extraction files that contain extraction settings and data link information
*.xls | Microsoft Excel spreadhseet files that are linked to data extraction tables
*.fmp | Font Mapping File used for the In-Place Text Editor when working with Multiline Text objects
*.ctb | Color-dependent plot style files used to control the appearance of the objects in the drawings of the transmittal set when plotting
*.stb | Named plot style files used to control the appearance of the objects in the drawings of the transmittal set when plotting
*.pc3 | Plotter configuration files used to control the device and settings for the device when plotting the layouts of the drawings in the transmittal set
*.dwt | Drawing template file that is associated with a sheet set
*.dst | Sheet set file
*.dws | Drawing standards file that is associated to a drawing for standards checking

The following table lists the common file types that are not automatically added to a transmittal package. Many of these files include information that are specific to applications that run with the product, or contains information that were originally used to format objects in the drawing and are not longer needed to properly view the drawing when sent to another user.

File Types Not Automatically Added to a Transmittal Package
File Type | Description
*.arx, *.dbx, *.lsp, *.vlx, *.dvb, *.dll | Custom appliocation files (ObjectARX, ObjectDBX, AutoLISP, Visual LISP, VBA and .NET)
*.shx | Compiled shape files used for text styles or complex linetypes
*.ttf | True Type font files used for text styles
*.pfa, *.pfb | PostScript Type 1 font files
*.pat | Hatch pattern files
*.lin | Linetype definition files
*.mln | Multiline definition files
*.pmp | Plotter model parameter files, used to store configuration information specific to a plotter such as custom paper sizes
*.unt | Unit convertsion file, used by QuickCalc and the CVUNIT AutoLISP function
*.pss | Plot stamp settings files
OLE objects (linked files) | OLE objects that are linked to files in the drawing are not included in the transmittal package
Rtext objects (linked files) | Text files that are referenced by the RTEXT object are not included in the transmittal package
*.xls (Microsoft Excel files) | Microsoft Excel spreadsheet files that are linked to data extraction tables are not included in the transmittal package

Include Instructions to the Recipient

A report file is automatically generated that includes a list of files in the transmittal package. The report also includes instructions describing what must be done with drawing-dependent files such as xrefs and font files so that they are usable with the included drawing files. You can also add your own notes to the report file.

Save Transmittal Setups

You will probably send transmittal packages multiple times during a project. The eTransmit feature provides a method to name and save your transmittal settings as transmittal setups. The Transmittal Setups dialog box displays a list of saved transmittal setups from which you can select each time you transmit a set of files. The default transmittal setup is named Standard.

Choose Transmittal Options

Several options are available for the transmittal package using transmittal setups. With these options, you can

  • Package the transmittal package in a ZIP file, in a self-extracting EXE file, or in a folder that is copied to a specified location.
  • Specify that the folder structure of the transmitted files be organized in a logical hierarchy, flattened into a single folder, or copied “as is” to the recipient's computer. If you specify an FTP or HTTP destination, the transmittal package uses the single folder option.
  • Add password protection to the transmittal package, bind xrefs automatically, set the default plotter to “none,” and other options.

After you create the transmittal package, you can post it to an Internet location or send it to others as an email attachment. If you want to send the transmittal package in an email, you can use an option in the Modify Transmittal Setup dialog box that automatically launches your default system email application. When the transmittal package is created, the transmittal package and transmittal report file are automatically attached to a new email.

NoteRegardless of which folder structure option you select for the transmittal package, any fully specified (absolute) paths of dependent files are converted to relative paths or “no path” to ensure that the dependent files can be located by the drawing file.

Transmit Sheet Sets

In the Sheet Set Manager, you can create a transmittal package conveniently from a sheet set, a sheet subset, or a sheet. Use the Sheet Set Manager to specify what you want to transmit.

NoteIn the Sheet Set Manager, on the Sheet List tab, right-click a sheet set node, a sheet subset node, or a sheet node on the sheet tree. On the shortcut menu, the eTransmit option will assemble the correct sheets depending on the node that you selected. Use named sheet selections to restore large or complex selections of sheets.

The tabs in the Create Transmittal dialog box control which files are included in the transmittal package.

  • On the Sheet List tab, you can easily control which of the listed sheets are to be transmitted by selecting or clearing the boxes next to the sheet names.
  • On the Files Tree tab and the Files Table tab, you can add or remove drawing files and dependent files that are listed. You can also add or remove any other files.
NoteIf several sheets come from the same drawing file, only the first sheet associated with the drawing can be selected with a check mark or cleared of its selection on the Sheet List tab. The other sheets will not be available. For this reason, it is recommended that you create only one layout tab in each drawing file.

How Transmittal Packages Work with AutoCAD LT or Previous Versions of AutoCAD

When transmittal packages are sent between different people and organizations, it is possible that AutoCAD LT or previous versions of AutoCAD are involved in the transmittals.

You can transmit packages between users of different AutoCAD-based products, and you can use eTransmit to convert files to several previous DWG file formats. In addition, transmittal packages created in AutoCAD 2005 and later can contain sheet sets, which are not available in AutoCAD LT and earlier versions of AutoCAD. The files in these sheet sets can still be sent and received by AutoCAD LT and previous versions of AutoCAD, however, if you want a more powerful, convenient method of transmitting files, the best solution is to use sheet sets in transmittal packages.

Transmit Files Internationally

Beginning with AutoCAD 2007 and AutoCAD LT 2007, the names of the files generated by AutoCAD-based products use Unicode standards and can be shared internationally. However, eTransmit uses WinZip technology to create transmittal packages. Because WinZip currently is not a Unicode-compliant application, it is recommended that you use one of the following alternatives:

  • Transmit files individually.
  • Use eTransmit to create a folder containing the files to be transmitted and copy the folder to a shared server.
  • Package the files using a commercial Unicode-compliant application.
  • Make sure all file names use hexidecimal values below 80 before using eTransmit.


Package a Set of Files for Internet Transmission (Procedure)

Use i-drop
Up a level to ..
Package a Set of Files for Internet Transmission
Work with Other People and Organizations > Use the Internet to Share Drawings > Work with Drawing Files over the Internet > Package a Set of Files for Internet Transmission >
Package a Set of Files for Internet Transmission
Concept Procedure Quick Reference

To create a transmittal package in a folder you specify

To create a transmittal package that is a self-extracting executable or ZIP file

To create a transmittal package from a sheet set

To unpack a self-extracting executable transmittal package


To create a transmittal package in a folder you specify (Procedure)

Package a Set of Files for Internet Transmission
Up a level to ..
Package a Set of Files for Internet Transmission
Work with Other People and Organizations > Use the Internet to Share Drawings > Work with Drawing Files over the Internet > Package a Set of Files for Internet Transmission >
Package a Set of Files for Internet Transmission
Concept Procedure Quick Reference

To create a transmittal package in a folder you specify

  1. Click Output tab [image] Send panel [image] eTransmit. At the command prompt, enter etransmit.
  2. In the Create Transmittal dialog box, Files Tree or Files Table tab, click Add File.
  3. (Optional) In the Add File to Transmittal dialog box, locate and select the files that you want to include. Click Open. Repeat this step for additional files, if necessary.
  4. In the Create Transmittal dialog box, in the tree or table of files, click to clear the check marks beside any files that you do not want to include. You can click any drawing file node to expand it and display its dependent files.
  5. Click Transmittal Setups. Click Modify.
  6. In the Modify Transmittal Setup dialog box, click the arrow to display the list under Transmittal Package Type, and then select Folders (Set of Files). Also, specify any additional transmittal options that you want to use.
  7. Under Transmittal File Folder, click Browse to specify the folder where the transmittal package should be created. A standard file selection dialog box is displayed.
  8. Locate the folder where you want to create the transmittal package. Click Open.
  9. Click OK to close the Modify Transmittal Setup dialog box.
  10. Click Close to close the Transmittal Setups dialog box.
  11. (Optional) In the Create Transmittal dialog box, in the area for notes, specify any additional comments to include with the report file.
  12. Click OK to create the transmittal package in the folder you specified.
Command entry: ETRANSMIT


To create a transmittal package that is a self-extracting executable or ZIP file (Procedure)

Package a Set of Files for Internet Transmission
Up a level to ..
Package a Set of Files for Internet Transmission
Work with Other People and Organizations > Use the Internet to Share Drawings > Work with Drawing Files over the Internet > Package a Set of Files for Internet Transmission >
Package a Set of Files for Internet Transmission
Concept Procedure Quick Reference

To create a transmittal package that is a self-extracting executable or ZIP file

  1. Click Output tab [image] Send panel [image] eTransmit. At the command prompt, enter etransmit.
  2. In the Create Transmittal dialog box, Files Tree or Files Table tab, click Add File.
  3. (Optional) In the Add File to Transmittal dialog box, locate and select the files that you want to include. Click Open. Repeat this step for additional folder locations, if necessary.
  4. In the Create Transmittal dialog box, in the tree or table of files, click to clear the check marks beside any files that you do not want to include. On the Files Tree tab, you can click any drawing file node to expand it and display its dependent files.
  5. Click Transmittal Setups. Click Modify.
    NoteIt is recommended that you create and save several transmittal setups. Then, when you need to create a transmittal package, you can select a transmittal setup rather than following steps 5 through 11.
  6. In the Modify Transmittal Setup dialog box, click the arrow to display the list under Transmittal Package Type. Select either Zip (*.zip) or Self-Extracting Executable (*.exe). Also, specify any additional transmittal options that you want to use.
  7. Under Transmittal File Folder, click Browse to specify the folder where the transmittal package should be created. A standard file selection dialog box is displayed.
  8. Locate the folder where you want to create the transmittal package. Click Open.
  9. Click OK to close the Modify Transmittal Setup dialog box.
  10. Click Close to close the Transmittal Setups dialog box.
  11. (Optional) In the Create Transmittal dialog box, in the area for notes, specify any additional comments to include with the report file.
  12. Click OK to create the transmittal package in the folder you specified.
Command entry: ETRANSMIT


To create a transmittal package from a sheet set (Procedure)

Package a Set of Files for Internet Transmission
Up a level to ..
Package a Set of Files for Internet Transmission
Work with Other People and Organizations > Use the Internet to Share Drawings > Work with Drawing Files over the Internet > Package a Set of Files for Internet Transmission >
Package a Set of Files for Internet Transmission
Concept Procedure Quick Reference

To create a transmittal package from a sheet set

  1. Open the sheet set that you want to transmit.
  2. In the Sheet Set Manager, Sheet List tab, right-click one of the following types of nodes from the Sheets-Tree list:
    • Sheet set (top-level node). To transmit an entire sheet set.
    • Sheet subset (lower-level node). To transmit a sheet subset or selected portion of a sheet set.
    • Sheet (lowest level node). To transmit a selected sheet or a selected portion of a sheet set.
  3. On the shortcut menu, click ETransmit.

    In the Create Transmittal dialog box, on the Sheets tab, sheets are shown indented underneath another sheet when the indented sheets belong to the same drawing file. Selecting or clearing a sheet automatically selects or clears any indented sheets because transmitting a sheet transmits the entire drawing.

    NoteIt is recommended that you create and save several transmittal setups. Then, when you need to create a transmittal package, you can select a transmittal setup rather than following steps 4-11.
  4. In the Create Transmittal dialog box, click Transmittal Setups. Click Modify.
  5. In the Modify Transmittal Setup dialog box, click the arrow to display the list under Transmittal Package Type, and select the type of transmittal package that you want to create. Also, specify any additional transmittal options that you want to use. Under Transmittal Options, the first option, Use Organized Folder Structure, is usually recommended. Source root folder is the folder where the Drawing Set file (.dst) is stored. Use the Keep Files and Folders As Is option for AutoCAD 2007 eTransmit behavior.
  6. Under Transmittal File Folder, click Browse to specify the folder where the transmittal package should be created. A standard file selection dialog box is displayed.
  7. Locate the folder where you want to create the transmittal package. Click Open.
  8. Click OK to close the Modify Transmittal Setup dialog box.
  9. Click Close to close the Transmittal Setups dialog box.
  10. (Optional) In the Create Transmittal dialog box, in the area for notes, specify any additional comments to include with the report file.
  11. Click OK to create the transmittal package in the folder you specified.
Command entry: ETRANSMIT


To unpack a self-extracting executable transmittal package (Procedure)

Package a Set of Files for Internet Transmission
Up a level to ..
Use the Publish to Web Wizard to Create Web Pages
Work with Other People and Organizations > Use the Internet to Share Drawings > Work with Drawing Files over the Internet > Package a Set of Files for Internet Transmission >
Package a Set of Files for Internet Transmission
Concept Procedure Quick Reference

To unpack a self-extracting executable transmittal package

  1. In Windows Explorer, double-click the transmittal package file.
  2. In the eTransmit dialog box, click Browse to specify the folder where you want to unpack the transmittal files.
  3. Click OK.
  4. If the transmittal package is password protected, you are prompted to enter the password.
  5. Click OK to close each dialog box.


Package a Set of Files for Internet Transmission (Quick Reference)

Use i-drop
Package a Set of Files for Internet Transmission
Use the Publish to Web Wizard to Create Web Pages
Work with Other People and Organizations > Use the Internet to Share Drawings > Work with Drawing Files over the Internet > Package a Set of Files for Internet Transmission >
Package a Set of Files for Internet Transmission
Concept Procedure Quick Reference

Commands

ARCHIVE

Packages the current sheet set files to be archived

ETRANSMIT

Packages a set of files for Internet transmission

HYPERLINK

Attaches a hyperlink to an object or modifies an existing hyperlink

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Use the Publish to Web Wizard to Create Web Pages (Concept)

Package a Set of Files for Internet Transmission
Use the Internet to Share Drawings
Use Markups for Design Review
Work with Other People and Organizations > Use the Internet to Share Drawings >
Use the Publish to Web Wizard to Create Web Pages
Concept Procedure Quick Reference

The Publish to Web wizard simplifies the process of creating DWF or DWFx files and formatting them for display in HTML pages.

The Publish to Web wizard provides a simplified interface for creating formatted web pages that include DWF, DWFx, JPEG, or PNG images of drawings.

  • DWF or DWFx format does not compress the drawing file.
  • JPEG format uses lossy compression; that is, some data is deliberately discarded to greatly reduce the size of the compressed file.
  • PNG (Portable Network Graphics) format uses lossless compression; that is, no original data is sacrificed to reduce the size of the file.

Using Publish to Web, you can quickly and easily create an attractively formatted web page, even if you are not familiar with HTML coding. After creating a web page, you can post it to an Internet or intranet location.

Following are some examples of ways in which you can use the Publish to Web wizard to create a web page:

  • Templates. You can select one of four templates for the layout of your web page or customize your own template.
  • Themes. You can apply a theme to the template you've chosen. With themes, you can modify the colors and fonts in your web page.
  • i-drop. You can activate drag-and-drop capability on your web page. Visitors to your page can drag drawing files into a program session. i-drop files are ideally suited for publishing block libraries to the Internet.

For information about using i-drop to create an i-drop handle on a website, see the i-drop documentation on the Autodesk website at http://www.autodesk.com/idrop.

NoteYou can also customize the template you use for your web page. For more information about customizing templates, see Customize a Publish to Web Template in the Customization Guide.


To use the Publish to Web wizard (Procedure)

Package a Set of Files for Internet Transmission
Use the Publish to Web Wizard to Create Web Pages
View Markups
Work with Other People and Organizations > Use the Internet to Share Drawings > Use the Publish to Web Wizard to Create Web Pages >
Use the Publish to Web Wizard to Create Web Pages
Concept Procedure Quick Reference

To use the Publish to Web wizard

  1. Click Output tab [image] Publish panel [image] Publish to Web. At the command prompt, enter publishtoweb.
  2. Follow the instructions to generate a web page.
Command entry: PUBLISHTOWEB


Use the Publish to Web Wizard to Create Web Pages (Quick Reference)

Package a Set of Files for Internet Transmission
Use the Publish to Web Wizard to Create Web Pages
Overview of Using Markups for Design Review
Work with Other People and Organizations > Use the Internet to Share Drawings > Use the Publish to Web Wizard to Create Web Pages >
Use the Publish to Web Wizard to Create Web Pages
Concept Procedure Quick Reference

Commands

PUBLISHTOWEB

Creates HTML pages that include images of selected drawings

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Use Markups for Design Review

Use the Publish to Web Wizard to Create Web Pages
Work with Other People and Organizations
Overview of Using Markups for Design Review
Work with Other People and Organizations >
Use Markups for Design Review

When you are in the final stages of a design, you can publish drawings for review, and receive corrections and comments electronically. You can then implement and respond to these comments and republish your drawings. Doing all this electronically streamlines communication, shortens review cycles, and results in a more efficient design process.

Topics in this section

  • Overview of Using Markups for Design Review

    You can use only Autodesk Design Review to mark up DWF or DWFx files for review. You can then view these markups in AutoCAD and make changes to your drawings and change the status of the markups.

  • Publish Drawings for Review

    Publish drawings for review at the end of the design cycle.

  • Insert Markups

    Use Autodesk Design Review to insert markups into a DWF or DWFx file. A markup is a single comment or a redline geometry correction inserted into a DWF or DWFx file.

  • View Markups

    Use the Markup Set Manager to view and manage markups. To view the markups in your designs, load the markup set into the Markup Set Manager.

  • Respond to Markups

    Once you have reviewed markups, you can change their status and add comments that are saved with the markup.

  • Republish a Markup Set

    After you have viewed a markup set and made changes to your drawings, you can republish the markup set for another review.


Overview of Using Markups for Design Review (Concept)

Use Markups for Design Review
Use Markups for Design Review
Publish Drawings for Review
Work with Other People and Organizations > Use Markups for Design Review >
Overview of Using Markups for Design Review
Concept Quick Reference

You can use only Autodesk Design Review to mark up DWF or DWFx files for review. You can then view these markups in AutoCAD and make changes to your drawings and change the status of the markups.

When you want to submit designs for review, you can publish a DWF or DWFx file, and then send it to your client or anyone you want to review your designs. The reviewer can open the DWF or DWFx file in Autodesk Design Review, mark up the file electronically, and then send it back to you.

When you open the marked-up DWF or DWFx file in AutoCAD®, you can view the redline markups in the AutoCAD drawing area, turn them off, make your changes, change the status of the markups, and republish the DWF or DWFx file to send out for another review.


Overview of Using Markups for Design Review (Quick Reference)

Use the Publish to Web Wizard to Create Web Pages
Overview of Using Markups for Design Review
Publish Drawings for Review
Work with Other People and Organizations > Use Markups for Design Review > Overview of Using Markups for Design Review >
Overview of Using Markups for Design Review
Concept Quick Reference

Commands

MARKUP

Displays the details of markups and allows you to change their status

MARKUPCLOSE

Closes the Markup Set Manager

OPENDWFMARKUP

Opens a DWF or DWFx file that contains markups

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Publish Drawings for Review (Concept)

Overview of Using Markups for Design Review
Use Markups for Design Review
Insert Markups
Work with Other People and Organizations > Use Markups for Design Review >
Publish Drawings for Review
Concept Quick Reference

Publish drawings for review at the end of the design cycle.

You should publish drawings for review at the end of the design cycle. In order for electronic markups created in Autodesk Design Review to align with the original drawing geometry, it is important not to change elements in your drawing file that can affect this alignment after you have published the DWF or DWFx file for review.

These elements include the following:

  • Layers and layer states
  • Layers to which objects are tied
  • Number and placement of viewports in layouts
  • Position and scale of objects within viewports
  • View rotation
  • Most drawing elements


Publish Drawings for Review (Quick Reference)

Overview of Using Markups for Design Review
Publish Drawings for Review
Insert Markups
Work with Other People and Organizations > Use Markups for Design Review > Publish Drawings for Review >
Publish Drawings for Review
Concept Quick Reference

Commands

PUBLISH

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Insert Markups (Concept)

Publish Drawings for Review
Use Markups for Design Review
View Markups
Work with Other People and Organizations > Use Markups for Design Review >
Insert Markups
Concept Quick Reference

Use Autodesk Design Review to insert markups into a DWF or DWFx file. A markup is a single comment or a redline geometry correction inserted into a DWF or DWFx file.

Using Autodesk Design Review, you can add markups electronically, just as you would mark up a paper version of the drawing. You can also assign a status to the markup and add comments.

The markups and their status are saved in the DWF or DWFx file.

For more information about creating markups in Autodesk Design Review, see the Autodesk Design Review Help documentation.


Insert Markups (Quick Reference)

Publish Drawings for Review
Insert Markups
View Markups
Work with Other People and Organizations > Use Markups for Design Review > Insert Markups >
Insert Markups
Concept Quick Reference

Commands

No entries

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


View Markups (Concept)

Insert Markups
Use Markups for Design Review
Respond to Markups
Work with Other People and Organizations > Use Markups for Design Review >
View Markups
Concept Procedure Quick Reference

Use the Markup Set Manager to view and manage markups. To view the markups in your designs, load the markup set into the Markup Set Manager.

A markup set is a group of markups contained within a single DWF or DWFx file. When you load a markup set into the Markup Set Manager, the tree view displays each marked-up drawing sheet and its associated markups.

In the Markup Set Manager, you can select individual markups, and you can view their status and other details, such as the creator of the markup, the date and time that it was created, and any comments associated with the markup.

You can create other types of markups that will also appear in the DWF or DWFx file: text blocks, redline geometry, dimensions, and stamps. However, only comments have a status and are shown in the Markup Set Manager.

With Autodesk Design Review, you can modify DWF or DWFx files in the following ways:

  • Reorder sheets within a DWF or DWFx file
  • Add sheets to a DWF or DWFx file
    NoteMarkup Set Manager displays the Sheet status (in Detail view) as “File is missing”, if you add sheets using Autodesk Design Review. The reason is that the newly added sheets is not listed in the DSD file.
  • Delete sheets from a DWF or DWFx file

Markup Set Manager will reflect the new order for every markup set that has sheets added to, deleted from, or rearranged from within Autodesk Design Review.

Any sheets that were added to the DWF or DWFx file in Autodesk Design Review are listed in italics. When you double-click either a sheet that was added in Autodesk Design Review or a markup for that sheet, that sheet in the DWF or DWFx file will open in the DWF file viewer.

If you try to load a markup set by opening a DWF or DWFx file that does not contain markups, you will not be able to open the DWF or DWFx file in AutoCAD. You can, however, open the DWF or DWFx file in the DWF file viewer.

When you double-click a model space markup in the Markup Set Manager, the original drawing file opens in model space and reverts to the view rotation that was current when the drawing was published. If you then change the view rotation, the markups will not be shown in the drawing until you double-click a model space markup and revert to the published view.

Using the Markup Set Manager, you can specify what is displayed in the drawing area. You can show or hide the originating drawing file, the reviewed DWF or DWFx file geometry, and the redline geometry. This allows you to view the redline geometry, turn it off to make the changes in your drawing file, and then view the redline geometry again in AutoCAD to check your corrections.

Following are some recommendations for viewing markups:

  • Change the drawing’s model space background color to a light shade of a color other than black. This action enables you to view the DWF or DWFx geometry in AutoCAD when the marked-up DWF or DWFx file is returned to you.
  • Put the drawing files you used to publish the DWF or DWFx file in the search path. This action ensure that you can load the corresponding drawing sets for a marked-up DWF or DWFx file.

    Set the search path using the Files tab in the Options dialog box.

NoteYou can view markups in AutoCAD only if the marked-up DWF or DWFx file was originally created in AutoCAD 2005 or later. You must also have the original drawing file to view its markups in AutoCAD. Marked-up DWF or DWFx files originally created from earlier versions of AutoCAD can be opened in Autodesk Design Review.


View Markups (Procedure)

Use the Publish to Web Wizard to Create Web Pages
View Markups
View Markups
Work with Other People and Organizations > Use Markups for Design Review > View Markups >
View Markups
Concept Procedure Quick Reference

To open the Markup Set Manager

To open a markup set

To view details of an individual markup in the Markup Set Manager

To open a drawing sheet with markups from the Markup Set Manager

To show or hide DWG geometry for drawing sheets with associated markups

To show or hide DWF file geometry in the drawing area

To show or hide redline geometry (markups) in the drawing area

To print a drawing with markups

To close the Markup Set Manager


To open the Markup Set Manager (Procedure)

View Markups
View Markups
View Markups
Work with Other People and Organizations > Use Markups for Design Review > View Markups >
View Markups
Concept Procedure Quick Reference

To open the Markup Set Manager

  • Click Tools menu [image] Palettes [image] Markup Set Manager.
Toolbar: Standard
Command entry: MARKUP


To open a markup set (Procedure)

View Markups
View Markups
View Markups
Work with Other People and Organizations > Use Markups for Design Review > View Markups >
View Markups
Concept Procedure Quick Reference

To open a markup set

  1. To open a markup set, do one of the following:
    • Click File menu [image] Load Markup Set.At the command prompt, enter opendwfmarkup.
    • In the Markup Set Manager, click the Markup Set list control. Click Open.
  2. In the Open Markup DWF dialog box, select a DWF or DWFx file that contains markups. Click Open.

    The Markup Set Manager displays the markup set in the tree view.

    Use Autodesk Design Review to open a DWF or DWFx file that does not contain markups, as PRODNAME will not load non-marked up files.

Command entry: OPENDWFMARKUP


To view details of an individual markup in the Markup Set Manager (Procedure)

View Markups
View Markups
View Markups
Work with Other People and Organizations > Use Markups for Design Review > View Markups >
View Markups
Concept Procedure Quick Reference

To view details of an individual markup in the Markup Set Manager

  1. Click File menu [image] Load Markup Set.At the command prompt, enter opendwfmarkup.
  2. In the Open Markup DWF dialog box, select a DWF or DWFx file that contains markups. Click Open.

    The Markup Set Manager displays the markup set in the tree view.

  3. In the Markup Set Manager, click an individual markup node.

    The Markup Details area in the lower portion of the Markup Set Manager displays details for the selected markup.

Command entry: OPENDWFMARKUP


To open a drawing sheet with markups from the Markup Set Manager (Procedure)

View Markups
View Markups
View Markups
Work with Other People and Organizations > Use Markups for Design Review > View Markups >
View Markups
Concept Procedure Quick Reference

To open a drawing sheet with markups from the Markup Set Manager

  1. Click File menu [image] Load Markup Set.At the command prompt, enter opendwfmarkup.
  2. In the Open Markup DWF dialog box, select a DWF or DWFx file that contains markups. Click Open.

    The Markup Set Manager displays the markup set in the tree view.

  3. In the Markup Set Manager, double-click a drawing sheet or markup node.

    If you double-click a markup node, the drawing sheet that corresponds to the markup opens in the drawing area. You must have the original DWG file from which the marked-up DWF or DWFx file was created to view the associated drawing sheet.

    NoteTo view markups in the drawing area — visual style and SHADEMODE must be set to 2D Wireframe.
Command entry: OPENDWFMARKUP


To show or hide DWG geometry for drawing sheets with associated markups (Procedure)

View Markups
View Markups
View Markups
Work with Other People and Organizations > Use Markups for Design Review > View Markups >
View Markups
Concept Procedure Quick Reference

To show or hide DWG geometry for drawing sheets with associated markups

  1. Click File menu [image] Load Markup Set.At the command prompt, enter opendwfmarkup.
  2. In the Open Markup DWF dialog box, select a DWF or DWFx file that contains markups. Click Open.

    The Markup Set Manager displays the markup set in the tree view.

  3. In the Markup Set Manager, double-click a drawing sheet node to open the original DWG file.
  4. Click the View DWG Geometry button to hide the DWG geometry. You can click the same button again to show the DWG geometry.
    NoteIf you open a DWG file that does not have associated markups or the markup set has not been loaded into the Markup Set Manager, you will not be able to use the following buttons in the Markup Set Manager: Republish All Markup Sets, View DWG Geometry, View DWF or DWFx Geometry, View Redline Geometry.

Command entry: OPENDWFMARKUP


To show or hide DWF file geometry in the drawing area (Procedure)

View Markups
View Markups
View Markups
Work with Other People and Organizations > Use Markups for Design Review > View Markups >
View Markups
Concept Procedure Quick Reference

To show or hide DWF file geometry in the drawing area

  1. Click File menu [image] Load Markup Set.At the command prompt, enter opendwfmarkup.
  2. In the Open Markup DWF dialog box, select a DWF or DWFx file that contains markups. Click Open.

    The Markup Set Manager opens and displays the markup set in the tree view.

  3. In the Markup Set Manager, double-click a drawing sheet node to open the original DWG file.
  4. In the Markup Set Manager, click the View DWF Geometry button to show the DWF or DWFx geometry. You can click the same button again to hide the DWF or DWFx geometry.

Command entry: OPENDWFMARKUP


To show or hide redline geometry (markups) in the drawing area (Procedure)

View Markups
View Markups
View Markups
Work with Other People and Organizations > Use Markups for Design Review > View Markups >
View Markups
Concept Procedure Quick Reference

To show or hide redline geometry (markups) in the drawing area

  1. Click File menu [image] Load Markup Set.At the command prompt, enter opendwfmarkup.
  2. In the Open Markup DWF dialog box, select a DWF or DWFx file that contains markups. Click Open.

    The Markup Set Manager opens and displays the markup set in the tree view.

  3. In the Markup Set Manager, click a markup node to view the redline geometry in the drawing area.
  4. Click the View Redline Geometry button to hide the redline geometry. You can click the same button again to show the redline geometry.

Command entry: OPENDWFMARKUP


To print a drawing with markups (Procedure)

View Markups
View Markups
View Markups
Work with Other People and Organizations > Use Markups for Design Review > View Markups >
View Markups
Concept Procedure Quick Reference

To print a drawing with markups

  • In Windows Explorer, double-click a DWF or DWFx file that contains markups. The DWF or DWFx file opens in Autodesk Design Review. You can then print the marked-up DWF or DWFx file.


To close the Markup Set Manager (Procedure)

View Markups
View Markups
Respond to Markups
Work with Other People and Organizations > Use Markups for Design Review > View Markups >
View Markups
Concept Procedure Quick Reference

To close the Markup Set Manager

  • With the Markup Set Manager open, click Tools menu [image] Palettes [image] Markup Set Manager.
Command entry: MARKUPCLOSE


View Markups (Quick Reference)

Insert Markups
View Markups
Respond to Markups
Work with Other People and Organizations > Use Markups for Design Review > View Markups >
View Markups
Concept Procedure Quick Reference

Commands

MARKUP

Displays the details of markups and allows you to change their status

MARKUPCLOSE

Closes the Markup Set Manager

OPENDWFMARKUP

Opens a DWF or DWFx file that contains markups

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Respond to Markups (Concept)

View Markups
Use Markups for Design Review
Republish a Markup Set
Work with Other People and Organizations > Use Markups for Design Review >
Respond to Markups
Concept Procedure Quick Reference

Once you have reviewed markups, you can change their status and add comments that are saved with the markup.

In the Markup Set Manager, when you select an individual markup in the tree view, the Markup Details area displays information about the markup. You can change the status of the markup in this area, or you can right-click a markup and click an option on the Markup Status shortcut menu.

The default status for new markups is <None>. You can change a markup's status to Question, For Review, or Done.

In the Markup Set Manager, in the Notes area under Markup Details, you can add comments or notes for the selected markup.

Changes in markup status and added comments are automatically saved in the DWF or DWFx file and included when you republish it. You can also save markup changes by right-clicking the markup set node and clicking Save Markup History Changes on the shortcut menu.


Respond to Markups (Procedure)

View Markups
Respond to Markups
Respond to Markups
Work with Other People and Organizations > Use Markups for Design Review > Respond to Markups >
Respond to Markups
Concept Procedure Quick Reference

To change the status of a markup

To add comments to a markup

To save changes to markups


To change the status of a markup (Procedure)

Respond to Markups
Respond to Markups
Respond to Markups
Work with Other People and Organizations > Use Markups for Design Review > Respond to Markups >
Respond to Markups
Concept Procedure Quick Reference

To change the status of a markup

  1. Click File menu [image] Load Markup Set.At the command prompt, enter opendwfmarkup.
  2. In the Open Markup DWF dialog box, select a DWF or DWFx file that contains markups. Click Open.

    The Markup Set Manager displays the markup set in the tree view.

  3. Right-click a markup node. Click Markup Status and click a status to select it.

    Added comments are automatically saved in the DWF or DWFx file and included when you republish the DWF or DWFx file. You can also save markup changes by right-clicking the markup set node. Click Save Markup History Changes.

Command entry: OPENDWFMARKUP


To add comments to a markup (Procedure)

Respond to Markups
Respond to Markups
Respond to Markups
Work with Other People and Organizations > Use Markups for Design Review > Respond to Markups >
Respond to Markups
Concept Procedure Quick Reference

To add comments to a markup

  1. Click File menu [image] Load Markup Set.At the command prompt, enter opendwfmarkup.
  2. In the Open Markup DWF dialog box, select a DWF or DWFx file that contains markups. Click Open.

    The Markup Set Manager displays the markup set in the tree view.

  3. In the Markup Set Manager, click a markup node.
  4. In the Details pane, click the Notes text box. Add your comments.

    Comments are saved in the DWF or DWFx file and are included in the file when you republish it.

    You can also save markup changes by right-clicking the markup set node. Click Save Markup History Changes.

Command entry: OPENDWFMARKUP


To save changes to markups (Procedure)

Respond to Markups
Respond to Markups
Republish a Markup Set
Work with Other People and Organizations > Use Markups for Design Review > Respond to Markups >
Respond to Markups
Concept Procedure Quick Reference

To save changes to markups

  1. Click File menu [image] Load Markup Set.At the command prompt, enter opendwfmarkup.
  2. In the Open Markup DWF dialog box, select a DWF or DWFx file that contains markups. Click Open.

    The Markup Set Manager opens and displays the markup set in the tree view.

  3. In the Markup Set Manager, click a markup node and change its status or add comments.
  4. Right-click the markup set node. Click Save Markup History Changes.

    Changes to Markup status and any additional comments are also saved in the DWF or DWFx file when you close the drawing or when you republish it.

Command entry: OPENDWFMARKUP


Respond to Markups (Quick Reference)

View Markups
Respond to Markups
Republish a Markup Set
Work with Other People and Organizations > Use Markups for Design Review > Respond to Markups >
Respond to Markups
Concept Procedure Quick Reference

Commands

MARKUP

Displays the details of markups and allows you to change their status

MARKUPCLOSE

Closes the Markup Set Manager

OPENDWFMARKUP

Opens a DWF or DWFx file that contains markups

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Republish a Markup Set (Concept)

Respond to Markups
Use Markups for Design Review
Render a Drawing for Presentation
Work with Other People and Organizations > Use Markups for Design Review >
Republish a Markup Set
Concept Procedure Quick Reference

After you have viewed a markup set and made changes to your drawings, you can republish the markup set for another review.

When you republish the markup set, the markups and any changes that have been made to them are saved in the DWF or DWFx file. When anyone reviews the republished DWF or DWFx file in Autodesk Design Review, the changes made to the drawings are visible as well as any changes made to the status and the details of the markups.

If you republish a DWF or DWFx file that has had sheets deleted from it or rearranged within it in Autodesk Design Review, the new order of sheets will be reflected in the republished DWF or DWFx file; however, if any sheets were added to the DWF or DWFx file in Autodesk Design Review, those sheets will not be included in the republished DWF or DWFx file.


To republish a marked-up drawing set (Procedure)

Respond to Markups
Republish a Markup Set
Set Isometric Grid and Snap
Work with Other People and Organizations > Use Markups for Design Review > Republish a Markup Set >
Republish a Markup Set
Concept Procedure Quick Reference

To republish a marked-up drawing set

  1. Click File menu [image] Load Markup Set.At the command prompt, enter opendwfmarkup.
  2. In the Open Markup DWF dialog box, select a DWF or DWFx file that contains markups. Click Open.

    The Markup Set Manager opens and displays the markup set in the tree view.

  3. In the Markup Set Manager, double-click a markup node or drawing sheet node to open your original DWG file.
  4. In the drawing area, make the required changes to your DWG file.
  5. In the Markup Set Manager, click markup nodes and change the status or add comments as necessary.
  6. Click the Republish Markup DWF button at the top of the Markup Set Manager.

  7. Click one of the following:
    • Republish All Sheets. Clicking this option republishes all sheets in the marked-up DWF or DWFx file.
    • Republish Markup Sheets. Clicking this option republishes only those sheets in the marked-up DWF or DWFx file that have associated markups.
  8. In the Specify DWF File dialog box, select a DWF or DWFx file or enter a name for the file. Click Select.

    By default, the previously created marked-up file name is displayed and is overwritten with a file of the same name that contains the drawing and markup changes.

Command entry: OPENDWFMARKUP


Republish a Markup Set (Quick Reference)

Respond to Markups
Republish a Markup Set
Set Isometric Grid and Snap
Work with Other People and Organizations > Use Markups for Design Review > Republish a Markup Set >
Republish a Markup Set
Concept Procedure Quick Reference

Commands

MARKUP

Displays the details of markups and allows you to change their status

MARKUPCLOSE

Closes the Markup Set Manager

OPENDWFMARKUP

Opens a DWF or DWFx file that contains markups

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Render a Drawing for Presentation

Republish a Markup Set
Draw 2D Isometric Views
Render a Drawing for Presentation

Topics in this section

  • Draw 2D Isometric Views

    The Isometric Snap/Grid mode helps you create 2D isometric images that represent 3D objects.

  • Add Lighting to Your Model

    Lighting can be added to a scene to create a more realistic rendering.

  • Materials and Textures

    Combined with lights, materials add another level of realism to the model.

  • Render 3D Objects for Realism

    A realistic rendering of a model can often give a product team or prospective client a clearer vision of a conceptual design than a plotted drawing.

  • Give CAD Drawings a Hand-Drawn Look

    Give your drawing a hand-drawn look for customer presentations.


Draw 2D Isometric Views

Render a Drawing for Presentation
Render a Drawing for Presentation
Set Isometric Grid and Snap
Render a Drawing for Presentation >
Draw 2D Isometric Views

The Isometric Snap/Grid mode helps you create 2D isometric images that represent 3D objects.

The Isometric Snap/Grid mode helps you create 2D images that represent 3D objects. By setting the Isometric Snap/Grid, you can easily align objects along one of three isometric planes; however, although the isometric drawing appears to be 3D, it is actually a 2D representation. Therefore, you cannot expect to extract 3D distances and areas, display objects from different viewpoints, or remove hidden lines automatically.

Topics in this section

  • Set Isometric Grid and Snap

    Simulate a 3D object from a particular viewpoint by aligning along three major axes.

  • Draw Isometric Circles

    Represent circles on isometric planes using ellipses.


Set Isometric Grid and Snap (Concept)

Draw 2D Isometric Views
Draw 2D Isometric Views
Draw Isometric Circles
Render a Drawing for Presentation > Draw 2D Isometric Views >
Set Isometric Grid and Snap
Concept Procedure Quick Reference

Simulate a 3D object from a particular viewpoint by aligning along three major axes.

Isometric drawings simulate a 3D object from a particular viewpoint by aligning along three major axes.

By setting the Isometric Snap/Grid, you can easily align objects along one of three isometric planes; however, although the isometric drawing appears to be 3D, it is actually a 2D representation. Therefore, you cannot expect to extract 3D distances and areas, display objects from different viewpoints, or remove hidden lines automatically.

If the snap angle is 0, the axes of the isometric planes are 30 degrees, 90 degrees, and 150 degrees. Once you set the snap style to Isometric, you can work on any of three planes, each with an associated pair of axes:

  • Left. Aligns snap and grid along 90- and 150-degree axes.
  • Top. Aligns snap and grid along 30- and 150-degree axes.
  • Right. Aligns snap and grid along 30- and 90-degree axes.

Choosing one of the three isometric planes causes Ortho and the crosshairs to be aligned along the corresponding isometric axes. For example, when Ortho is on, the points you specify align along the simulated plane you are drawing on. Therefore, you can draw the top plane, switch to the left plane to draw another side, and switch to the right plane to complete the drawing.


Set Isometric Grid and Snap (Procedure)

Republish a Markup Set
Set Isometric Grid and Snap
Set Isometric Grid and Snap
Render a Drawing for Presentation > Draw 2D Isometric Views > Set Isometric Grid and Snap >
Set Isometric Grid and Snap
Concept Procedure Quick Reference

To turn on an isometric plane

To change to a different isometric plane quickly


To turn on an isometric plane (Procedure)

Set Isometric Grid and Snap
Set Isometric Grid and Snap
Set Isometric Grid and Snap
Render a Drawing for Presentation > Draw 2D Isometric Views > Set Isometric Grid and Snap >
Set Isometric Grid and Snap
Concept Procedure Quick Reference

To turn on an isometric plane

  1. Click Tools menu [image] Drafting Settings.At the command prompt, enter dsettings.
  2. In the Drafting Settings dialog box, Snap and Grid tab, under Snap Type, select Isometric Snap.
  3. Click OK.

Alternative

You can cycle through the three isometric planes by pressing F5.

Command entry: DSETTINGS


To change to a different isometric plane quickly (Procedure)

Set Isometric Grid and Snap
Set Isometric Grid and Snap
Draw Isometric Circles
Render a Drawing for Presentation > Draw 2D Isometric Views > Set Isometric Grid and Snap >
Set Isometric Grid and Snap
Concept Procedure Quick Reference

To change to a different isometric plane quickly

  • Press F5 or CTRL+E to select a different isometric plane.

The program cycles through the Isoplane Top, Isoplane Right, and Isoplane Left settings.


Set Isometric Grid and Snap (Quick Reference)

Republish a Markup Set
Set Isometric Grid and Snap
Draw Isometric Circles
Render a Drawing for Presentation > Draw 2D Isometric Views > Set Isometric Grid and Snap >
Set Isometric Grid and Snap
Concept Procedure Quick Reference

Commands

DSETTINGS

Sets grid and snap, polar and object snap tracking, object snap modes, and Dynamic Input

GRID

Displays a grid pattern in the current viewport

ISOPLANE

Specifies the current isometric plane

ORTHO

Constrains cursor movement to the horizontal or vertical direction

SNAP

Restricts cursor movement to specified intervals

System Variables

ISOLINES

Specifies the number of contour lines per surface on objects

SNAPISOPAIR

Controls the isometric plane for the current viewport

SNAPSTYL

Sets the snap style for the current viewport

Utilities

No entries

Command Modifiers

No entries


Draw Isometric Circles (Concept)

Set Isometric Grid and Snap
Draw 2D Isometric Views
Add Lighting to Your Model
Render a Drawing for Presentation > Draw 2D Isometric Views >
Draw Isometric Circles
Concept Procedure Quick Reference

Represent circles on isometric planes using ellipses.

If you are drawing on isometric planes, use an ellipse to represent a circle viewed from an oblique angle. The easiest way to draw an ellipse with the correct shape is to use the Isocircle option of ELLIPSE. The Isocircle option is available only when the Style option of Snap mode is set to Isometric (see DSETTINGS).

NoteTo represent concentric circles, draw another ellipse with the same center rather than offsetting the original ellipse. Offsetting produces an oval-shaped spline that does not represent foreshortened distances as you would expect.


To draw an isometric circle (Procedure)

Set Isometric Grid and Snap
Draw Isometric Circles
Standard and Photometric Lighting Workflow
Render a Drawing for Presentation > Draw 2D Isometric Views > Draw Isometric Circles >
Draw Isometric Circles
Concept Procedure Quick Reference

To draw an isometric circle

  1. Click Tools menu [image] Drafting Settings.At the command prompt, enter dsettings.
  2. In the Drafting Settings dialog box, Snap and Grid tab, select Isometric Snap.
  3. Click OK.
  4. Click Draw [image] Ellipse [image] Axis, End.At the command prompt, enter ellipse.
  5. Enter i (Isocircle).
  6. Specify the center of the circle.
  7. Specify the radius or diameter of the circle.
Toolbar: Draw
Command entry: ELLIPSE


Draw Isometric Circles (Quick Reference)

Set Isometric Grid and Snap
Draw Isometric Circles
Overview of Lighting
Render a Drawing for Presentation > Draw 2D Isometric Views > Draw Isometric Circles >
Draw Isometric Circles
Concept Procedure Quick Reference

Commands

ELLIPSE

Creates an ellipse or an elliptical arc

ISOPLANE

Specifies the current isometric plane

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Add Lighting to Your Model

Draw Isometric Circles
Render a Drawing for Presentation
Overview of Lighting
Render a Drawing for Presentation >
Add Lighting to Your Model

Lighting can be added to a scene to create a more realistic rendering.

Topics in this section

  • Overview of Lighting

    Lighting adds the finishing touch to the scene.

  • Standard and Photometric Lighting Workflow

    Types of lighting selected globally affect a drawing.

  • Illuminate a Scene

    You can add point lights, spotlights, and distant lights and set the location and photometric properties of each.

  • Adjust and Manipulate Lights

    You can add point lights, spotlights, and distant lights and set the location and properties of each.

  • Sun and Sky Simulation

    The sun is a light that simulates the effect of sunlight and can be used to show how the shadows cast by a structure affect the surrounding area.

  • Incorporate Luminaire Objects

    A luminaire object is a helper object that assembles a set of objects into a light fixture.

  • Converting Lights

    Properties of lights converting from previous releases of AutoCAD and other products.


Overview of Lighting (Concept)

Add Lighting to Your Model
Add Lighting to Your Model
Standard and Photometric Lighting Workflow
Render a Drawing for Presentation > Add Lighting to Your Model >
Overview of Lighting
Concept Quick Reference

Lighting adds the finishing touch to the scene.

Default Lighting

When there are no lights in a scene, the scene is shaded with default lighting. Default lighting is derived from two distant sources that follow the viewpoint as you move around the model. All faces in the model are illuminated so that they are visually discernible. You can control brightness and contrast, but you do not need to create or place lights yourself.

When you insert custom lights or add sunlight, you can disable the default lighting. You can apply default lighting to the viewport only; at the same time, you can apply custom lights to the rendering.

Standard Lighting Workflow

You add lights to give the scene a realistic appearance. Lighting enhances the clarity and three-dimensionality of a scene. You can create point lights, spotlights, and distant lights to achieve the effects you want. You can move or rotate them with grip tools, turn them on and off, and change properties such as color and attenuation. The effects of changes are visible in the viewport in real time.

Spotlights and point lights are each represented by a different light glyph (a symbol in the drawing showing the location of the light). Distant lights and the sun are not represented by glyphs in the drawing because they do not have a discrete position and affect the entire scene. You can turn the display of light glyphs on or off while you work. By default, light glyphs are not plotted.

Photometric Lighting Workflow

For more precise control over lighting, you can use photometric lights to illuminate your model. Photometric lights use photometric (light energy) values that enable you to define lights more accurately as they would be in the real world. You can create lights with various distribution and color characteristics, or import specific photometric files available from lighting manufacturers.

Photometric lights can use manufacturers' IES standard file format. By using manufacturers’ lighting data, you can visualize commercially available lighting in your model. Then you can experiment with different fixtures, and by varying the light intensity and color temperature, you can design a lighting system that produces the results you want.

Sun and Sky

The sun is a special light similar to a distant light. The angle of the sun is defined by the geographic location that you specify for the model and by the date and time of day that you specify. You can change the intensity of the sun and the color of its light. The sun and sky are the primary sources of natural illumination. With the sun and sky simulation, you can adjust their properties.

In the photometric workflow, the sun follows a more physically accurate lighting model in both the viewport and the rendered output. In the photometric workflow, you can also enable sky illumination (through the sky background feature), which adds soft, subtle lighting effects caused by the lighting interactions between the sun and the atmosphere.

Click the Play arrow to start the animation.

Luminaire Objects

Light fixtures can be represented by embedding photometric lights in blocks that also contain geometry. A luminary assembles a set of light objects into a light fixture.

See Also

    • Receive Product Updates and Announcements


Overview of Lighting (Quick Reference)

Draw Isometric Circles
Overview of Lighting
Standard and Photometric Lighting Workflow
Render a Drawing for Presentation > Add Lighting to Your Model > Overview of Lighting >
Overview of Lighting
Concept Quick Reference

Commands

CONVERTOLDLIGHTS

Converts lights created in previous drawing file formats to the current format

DISTANTLIGHT

Creates a distant light

GEOGRAPHICLOCATION

Specifies the geographic location information for the drawing file

LIGHT

Creates a light

LIGHTLIST

Displays the Lights in Model palette

FREESPOT

Creates free spotlight which is similar to a spotlight without a specified target

FREEWEB

Creates a free web light which is similar to a web light without a specified target

POINTLIGHT

Creates a point light

RENDEREXPOSURE

Provides settings to interactively adjust the lighting global for the most recent rendered output

SPOTLIGHT

Creates a spotlight

SUNPROPERTIES

Opens the Sun Properties window and sets the properties of the sun

TARGETPOINT

Creates a target point light

WEBLIGHT

Creates a web light

System Variables

3DCONVERSIONMODE

Used to convert material and light definitions to the current product release

DEFAULTLIGHTING

Controls default lighting in the current viewport

DEFAULTLIGHTINGTYPE

Specifies the type of default lighting, old or new

LIGHTGLYPHDISPLAY

Controls whether light glyphs are displayed

LIGHTINGUNITS

Controls whether generic or photometric lights are used, and indicates the current lighting units

LIGHTSINBLOCKS

Controls whether lights contained in blocks are used when rendering

LINEARBRIGHTNESS

Controls the global brightness level of the drawing when using default lighting or generic lights

LINEARCONTRAST

Controls the global contrast level of the drawing when using default lighting or generic lights

LOGEXPBRIGHTNESS

Controls the global brightness level of the drawing when using photometric lighting

LOGEXPCONTRAST

Controls the global contrast level of the drawing when using photometric lighting

LOGEXPDAYLIGHT

Controls if exterior daylight is used when using photometric lighting

LOGEXPMIDTONES

Controls the global mid tones level of the drawing when using photometric lighting

RENDERUSERLIGHTS

Controls whether to override the setting for viewport lighting during rendering

SUNSTATUS

Controls whether the sun casts light in the current viewport

Utilities

No entries

Command Modifiers

No entries


Standard and Photometric Lighting Workflow (Concept)

Overview of Lighting
Add Lighting to Your Model
Illuminate a Scene
Render a Drawing for Presentation > Add Lighting to Your Model >
Standard and Photometric Lighting Workflow
Concept Procedure Quick Reference

Types of lighting selected globally affect a drawing.

Set the Type of Lighting

AutoCAD offers three choices for lighting units: standard (generic), International (SI), and American. The standard (generic) lighting workflow is equivalent to the lighting workflow in AutoCAD prior to AutoCAD 2008. The default lighting workflow for AutoCAD 2008 is a photometric workflow based on International (SI) lighting units. This choice results in physically correct lighting. The American lighting unit provides another option. American differs from International in that illuminance values are formatted in foot-candles rather than lux.

In previous versions of AutoCAD, standard lighting was the default. You can change the type of lighting with the LIGHTINGUNITS system variable. The LIGHTINGUNITS system variable set to 0 represents standard (generic) lighting; set to 1 represents photometric lighting in International SI units; set to 2 represents photometric lighting in American units.

Photometric Lights

Photometric lights are physically correct lights. Physically correct lights attenuate as the square of the distance. Photometric properties can be added to both artificial lights and natural lights. Natural lights are the sun and the sky. The natural lighting is represented interactively by a viewport background type.

You can create lights with various distribution and color characteristics, or import specific photometric files available from lighting manufacturers. Photometric lights always attenuate using an inverse-square falloff, and rely on your scene to use realistic units.

Tone Mapping

Generally with photometric lights and especially the sun you need to perform tone mapping. Tone mapping can be adjusted with the RENDEREXPOSURE command. The Adjust Rendered Exposure dialog box provides a preview and controls to adjust the tone mapping.


Standard and Photometric Lighting Workflow (Procedure)

Draw Isometric Circles
Standard and Photometric Lighting Workflow
Standard and Photometric Lighting Workflow
Render a Drawing for Presentation > Add Lighting to Your Model > Standard and Photometric Lighting Workflow >
Standard and Photometric Lighting Workflow
Concept Procedure Quick Reference

To set the drawing for standard lighting workflow

To set the drawing for photometric workflow


To set the drawing for standard lighting workflow (Procedure)

Standard and Photometric Lighting Workflow
Standard and Photometric Lighting Workflow
Standard and Photometric Lighting Workflow
Render a Drawing for Presentation > Add Lighting to Your Model > Standard and Photometric Lighting Workflow >
Standard and Photometric Lighting Workflow
Concept Procedure Quick Reference

To set the drawing for standard lighting workflow

  • At the command prompt, enter LIGHTINGUNITS and set the value to 0 for standard lighting.

    As each light is added it will have standard lighting properties.


To set the drawing for photometric workflow (Procedure)

Standard and Photometric Lighting Workflow
Standard and Photometric Lighting Workflow
Illuminate a Scene
Render a Drawing for Presentation > Add Lighting to Your Model > Standard and Photometric Lighting Workflow >
Standard and Photometric Lighting Workflow
Concept Procedure Quick Reference

To set the drawing for photometric workflow

  • At the command prompt, enter LIGHTINGUNITS and set the value to 1 (International units) or 2 (American units) for photometric lighting.

    As each light is added it will have photometric lighting properties.


Standard and Photometric Lighting Workflow (Quick Reference)

Overview of Lighting
Standard and Photometric Lighting Workflow
Guidelines for Lighting
Render a Drawing for Presentation > Add Lighting to Your Model > Standard and Photometric Lighting Workflow >
Standard and Photometric Lighting Workflow
Concept Procedure Quick Reference

Commands

No entries

System Variables

LINEARBRIGHTNESS

Controls the global brightness level of the drawing when using default lighting or generic lights

LINEARCONTRAST

Controls the global contrast level of the drawing when using default lighting or generic lights

LOGEXPBRIGHTNESS

Controls the global brightness level of the drawing when using photometric lighting

LOGEXPCONTRAST

Controls the global contrast level of the drawing when using photometric lighting

LOGEXPDAYLIGHT

Controls if exterior daylight is used when using photometric lighting

LOGEXPMIDTONES

Controls the global mid tones level of the drawing when using photometric lighting

LOGEXPPHYSICALSCALE

Controls the relative brightness of self-illuminated materials in a photometric environment

Utilities

No entries

Command Modifiers

No entries


Illuminate a Scene

Standard and Photometric Lighting Workflow
Add Lighting to Your Model
Guidelines for Lighting
Render a Drawing for Presentation > Add Lighting to Your Model >
Illuminate a Scene
Concept Procedure

You can add point lights, spotlights, and distant lights and set the location and photometric properties of each.

You can use a command to create a light, or you can use a button on the Lights toolbar or the Lights panel on the ribbon. You can use the Properties palette to change the color of a selected light or other properties. You can also store a light and its properties on a tool palette and use it again in the same drawing or another drawing.

Topics in this section

  • Guidelines for Lighting

    The guidelines for lighting used by photographers, filmmakers, and stage designers can help you set up the lighting for scenes.

  • Use Point Lights

    A point light radiates light in all directions from its location.

  • Use Spotlights

    A spotlight can be directed towards an object.

  • Use Weblights

    Photometric weblights provide real-world light distribution.

  • Use Distant Lights

    Distant lights are useful for lighting objects or as a backdrop.

  • Assigning a Shape to a Light

    Assigning a shape to a light modifies the illumination of a scene.


Illuminate a Scene (Procedure)

Standard and Photometric Lighting Workflow
Illuminate a Scene
Use Point Lights
Render a Drawing for Presentation > Add Lighting to Your Model > Illuminate a Scene >
Illuminate a Scene
Concept Procedure

To create a point light in standard lighting workflow

To create a point light in photometric workflow and change photometric properties

To create a target point light in standard lighting workflow

To create a target point light from a point light

To create a point light tool

To create a spotlight

To create a photometric spotlight and change photometric properties

To create a free spot light in photometric lighting workflow

To create a spotlight tool

To create a web distribution with a manufacturer’s IES file.

To create a distant light

To create a point light in photometric workflow and assign a rectangular shape to the light


Guidelines for Lighting (Concept)

Illuminate a Scene
Illuminate a Scene
Use Point Lights
Render a Drawing for Presentation > Add Lighting to Your Model > Illuminate a Scene >
Guidelines for Lighting
Concept Quick Reference

The guidelines for lighting used by photographers, filmmakers, and stage designers can help you set up the lighting for scenes.

Your choice of lighting depends on whether your scene simulates natural or artificial illumination. Naturally lit scenes, such as daylight or moonlight, get their most important illumination from a single light source. Artificially lit scenes, on the other hand, often have multiple light sources of similar intensity.

Natural Light

For practical purposes at ground level, sunlight has parallel rays coming from a single direction. The direction and angle vary depending on the time of day, the latitude, and the season.

In clear weather, the color of sunlight is a pale yellow: for example, RGB values of 250, 255, 175 (HSV 45, 80, 255). Cloudy weather can tint sunlight blue, shading into dark gray for stormy weather. Particles in the air can give sunlight an orange or brownish tint. At sunrise and sunset, the color can be more orange or red than yellow.

Shadows are more distinct the clearer the day is, and can be essential for bringing out the three-dimensionality of a naturally lit scene.

A directional light can also simulate moonlight, which is white but dim compared to the sun.

Artificial Light

A scene illuminated by point lights, spotlights, or distant lights is artificially illuminated. Therefore, it can be helpful to know how light behaves.

When light rays strike a surface, the surface reflects them, or at least some of them, enabling us to see the surface. The appearance of a surface depends on the light that strikes it combined with the properties of the surface material, such as color, smoothness, and opacity.

Other factors, such as a light’s color, intensity, attenuation, and angle of incidence also play a role in how objects in a scene appear.


Guidelines for Lighting (Quick Reference)

Standard and Photometric Lighting Workflow
Guidelines for Lighting
Use Point Lights
Render a Drawing for Presentation > Add Lighting to Your Model > Illuminate a Scene > Guidelines for Lighting >
Guidelines for Lighting
Concept Quick Reference

Commands

DISTANTLIGHT

Creates a distant light

LIGHT

Creates a light

LIGHTLIST

Displays the Lights in Model palette

FREESPOT

Creates free spotlight which is similar to a spotlight without a specified target

POINTLIGHT

Creates a point light

RENDEREXPOSURE

Provides settings to interactively adjust the lighting global for the most recent rendered output

SPOTLIGHT

Creates a spotlight

TARGETPOINT

Creates a target point light

System Variables

DEFAULTLIGHTING

Controls default lighting in the current viewport

DEFAULTLIGHTINGTYPE

Specifies the type of default lighting, old or new

LIGHTGLYPHDISPLAY

Controls whether light glyphs are displayed

LIGHTINGUNITS

Controls whether generic or photometric lights are used, and indicates the current lighting units

LINEARBRIGHTNESS

Controls the global brightness level of the drawing when using default lighting or generic lights

LINEARCONTRAST

Controls the global contrast level of the drawing when using default lighting or generic lights

RENDERUSERLIGHTS

Controls whether to override the setting for viewport lighting during rendering

Utilities

No entries

Command Modifiers

No entries


Use Point Lights (Concept)

Guidelines for Lighting
Illuminate a Scene
Use Spotlights
Render a Drawing for Presentation > Add Lighting to Your Model > Illuminate a Scene >
Use Point Lights
Concept Procedure Quick Reference

A point light radiates light in all directions from its location.

Point Lights

A point light radiates light in all directions from its location. A point light does not target an object. Use point lights for general lighting effects. You can create a point light by entering the POINTLIGHT command or by selecting a point light from the Lights panel on the ribbon.

You create a target point light with the TARGETPOINT command. The difference between the target point light and a point light is the additional target properties that are available. A target light can be pointed to an object. A target point light can also be created from a point light by changing the target property of the point light from No to Yes.

In the standard lighting workflow, you can set a point light manually so its intensity diminishes with respect to distance either linearly, according to the inverse square of the distance, or not at all. By default, the attenuation is set to None.

Point Lights in Photometric Workflow

A free point light can have photometric distribution properties. The attenuation for a photometric point light is always set to inverse square.

When the LIGHTINGUNITS system variable is set to 1 (International SI units) or 2 (American units) for photometric lighting, additional properties are available for a point light. On the Properties palette, photometric properties are

  • Lamp Intensity. Specifies the inherent brightness of the light. Specifies the intensity, flux or illuminance of the lamp.
  • Resulting Intensity. Gives the final brightness of the light. (Product of lamp intensity and intensity factor. Read-only.)
  • Lamp Color. Specifies the inherent color of the light in Kelvin temperature or standard.
  • Resulting Color. Gives the final color of the light. This is determined by a combination of the lamp color and the filter color. (Product of lamp color and filter color. Read-only.)
NoteWhen the drawing lighting units are photometric, the attenuation type property becomes disabled. Photometric lights have fixed, inverse-square attenuation.

The additional information about these properties are available under Lighting Properties. The following image is an example of a photometric point light and lighting properties palette with the photometric properties outlined:


Use Point Lights (Procedure)

Illuminate a Scene
Up a level to ..
Use Point Lights
Render a Drawing for Presentation > Add Lighting to Your Model > Illuminate a Scene > Use Point Lights >
Use Point Lights
Concept Procedure Quick Reference

To create a point light in standard lighting workflow

To create a point light in photometric workflow and change photometric properties

To create a target point light in standard lighting workflow

To create a target point light from a point light

To create a point light tool


To create a point light in standard lighting workflow (Procedure)

Use Point Lights
Up a level to ..
Use Point Lights
Render a Drawing for Presentation > Add Lighting to Your Model > Illuminate a Scene > Use Point Lights >
Use Point Lights
Concept Procedure Quick Reference

To create a point light in standard lighting workflow

  1. At the command prompt, enter lightingunits and set the value to 0 for standard lighting.
  2. Enter point at the command prompt.
  3. Click in the drawing to specify a location for the light.
  4. At the command prompt, enter n and enter a name. This name will appear in the properties and in the Lights in Model window ( LIGHTLIST).

    You can continue to specify properties by entering options, or you can exit and set properties interactively. When you use the interactive method, you can see the results of your changes as you work.

  5. Press ENTER twice to exit the command.

    Select the light and use grip tools to change the light. You can also right-click the light and then click Properties. The Lighting Properties window can be used to change its properties.

    Toolbar: Lights
    Command entry: POINTLIGHT


To create a point light in photometric workflow and change photometric properties (Procedure)

Use Point Lights
Up a level to ..
Use Point Lights
Render a Drawing for Presentation > Add Lighting to Your Model > Illuminate a Scene > Use Point Lights >
Use Point Lights
Concept Procedure Quick Reference

To create a point light in photometric workflow and change photometric properties

  1. At the command prompt, enter lightingunits and set the value to 1 (International units) or 2 (American units) for photometric lighting.
  2. Enter point at the command prompt.
  3. Click in the drawing to specify a location for the light.
  4. At the command prompt, enter n and enter a name. This name will appear in the properties and in the Lights in Model window ( LIGHTLIST).

    You can continue to specify properties by entering options, or you can exit and set properties interactively. When you use the interactive method, you can see the results of your changes as you work.

  5. Press ENTER twice to exit the command.

    Select the light and use grip tools to change the light.

  6. Right-click the light. Click Properties. You can use the Lighting Properties window to change the photometric properties.
    Toolbar: Lights
    Command entry: POINTLIGHT


To create a target point light in standard lighting workflow (Procedure)

Use Point Lights
Up a level to ..
Use Point Lights
Render a Drawing for Presentation > Add Lighting to Your Model > Illuminate a Scene > Use Point Lights >
Use Point Lights
Concept Procedure Quick Reference

To create a target point light in standard lighting workflow

  1. At the command prompt, enter lightingunits and set the value to 0 for standard lighting.
  2. At the command prompt, enter targetpoint.
  3. Click in the drawing to specify a location for the light.
  4. Click to specify a target point.
  5. At the command prompt, enter n and enter a name. This name will appear in the properties and in the Lights in Model window ( LIGHTLIST).

    You can continue to specify properties by entering options, or you can exit and set properties interactively. When you use the interactive method, you can see the results of your changes as you work.

  6. Press ENTER twice to exit the command.

    Right-click the light. Click Properties. You can use the Lighting Properties palette to change the light. Note that compared to the point light there are additional target positioning properties available.

    Command entry: TARGETPOINT


To create a target point light from a point light (Procedure)

Use Point Lights
Up a level to ..
Use Point Lights
Render a Drawing for Presentation > Add Lighting to Your Model > Illuminate a Scene > Use Point Lights >
Use Point Lights
Concept Procedure Quick Reference

To create a target point light from a point light

  1. At the command prompt, enter lightingunits and set the value to 1 (International units) or 2 (American units) for photometric lighting.
  2. Enter point at the command prompt.
  3. Click in the drawing to specify a location for the light.
  4. At the command prompt, enter n and enter a name. This name will appear in the properties and in the Lights in Model window ( LIGHTLIST).

    You can continue to specify properties by entering options, or you can exit and set properties interactively. When you use the interactive method, you can see the results of your changes as you work.

  5. Press ENTER twice to exit the command.
  6. Right-click the light and click Properties on the Lighting Properties palette. Change the Targeted property to Yes.

    Additional target properties become available: Target X, Target Y, and Target Z.

    NoteWhen changing a point light to target light, the name of the light remains the same. If it still says point light, you might want to change the name to target light.
    Toolbar: Lights
    Command entry: POINTLIGHT


To create a point light tool (Procedure)

Use Point Lights
Up a level to ..
Use Spotlights
Render a Drawing for Presentation > Add Lighting to Your Model > Illuminate a Scene > Use Point Lights >
Use Point Lights
Concept Procedure Quick Reference

To create a point light tool

  1. Click Tools menu [image] Palettes [image] Tool Palettes . At the command prompt, enter ToolPalettes.
  2. In the drawing, select a point light whose properties you want to use for the tool.
  3. Drag the light to the active tool palette.

    The new light tool retains all of the properties of the light except its location properties.


Use Point Lights (Quick Reference)

Guidelines for Lighting
Use Point Lights
Use Spotlights
Render a Drawing for Presentation > Add Lighting to Your Model > Illuminate a Scene > Use Point Lights >
Use Point Lights
Concept Procedure Quick Reference

Commands

LIGHT

Creates a light

LIGHTLIST

Displays the Lights in Model palette

POINTLIGHT

Creates a point light

RENDEREXPOSURE

Provides settings to interactively adjust the lighting global for the most recent rendered output

TARGETPOINT

Creates a target point light

System Variables

DEFAULTLIGHTING

Controls default lighting in the current viewport

DEFAULTLIGHTINGTYPE

Specifies the type of default lighting, old or new

LIGHTGLYPHDISPLAY

Controls whether light glyphs are displayed

LIGHTINGUNITS

Controls whether generic or photometric lights are used, and indicates the current lighting units

LIGHTSINBLOCKS

Controls whether lights contained in blocks are used when rendering

LINEARBRIGHTNESS

Controls the global brightness level of the drawing when using default lighting or generic lights

LINEARCONTRAST

Controls the global contrast level of the drawing when using default lighting or generic lights

LOGEXPBRIGHTNESS

Controls the global brightness level of the drawing when using photometric lighting

LOGEXPCONTRAST

Controls the global contrast level of the drawing when using photometric lighting

LOGEXPDAYLIGHT

Controls if exterior daylight is used when using photometric lighting

LOGEXPMIDTONES

Controls the global mid tones level of the drawing when using photometric lighting

RENDERUSERLIGHTS

Controls whether to override the setting for viewport lighting during rendering

Utilities

No entries

Command Modifiers

No entries


Use Spotlights (Concept)

Use Point Lights
Illuminate a Scene
Use Weblights
Render a Drawing for Presentation > Add Lighting to Your Model > Illuminate a Scene >
Use Spotlights
Concept Procedure Quick Reference

A spotlight can be directed towards an object.

Spotlights

A spotlight distribution casts a focused beam of light like a flashlight, a follow spot in a theater, or a headlight. A spotlight emits a directional cone of light. You can control the direction of the light and the size of the cone. Like a point light, a spot light can be manually set to attenuate its intensity with distance. However, a spotlight's intensity will also always attenuate based on the angle relative to the spot's target vector. This attenuation is controlled by the hotspot and falloff angles of the spotlight. Spotlights are useful for highlighting specific features and areas in your model. A free spotlight ( FREESPOT) is similar to spotlight. A spotlight has target properties.

Spotlights in Photometric Workflow

In photometric workflow, the hotspot intensity falls to 50 percent. The hotspot for standard lighting is at 100 percent. At its falloff angle, intensity of the spotlight falls to zero. Additional properties become available for a point light when LIGHTINGUNITS is set to 1 (International SI units) or 2 (American units) for photometric lighting:

  • Lamp Intensity. Specifies the inherent brightness of the light. Specifies the intensity, flux, or illuminance of the lamp.
  • Resulting Intensity. Gives the final brightness of the light. (Product of lamp intensity and intensity factor. Read-only.)
  • Lamp Color. Specifies the inherent color of the light in Kelvin temperature or standard.
  • Resulting Color. Gives the final color of the light. This is determined by a combination of the lamp color and the filter color. (Product of lamp color and filter color. Read-only.)
NoteWhen the drawing lighting units are photometric, the attenuation type property becomes disabled. Photometric lights have fixed, inverse-square attenuation. The hotspot falloff attenuation in the rendered image varies from standard lighting, as it uses a different mathematical basis.

The additional information about these properties are available under Lighting Properties. The following image is an example of a photometric spotlight and lighting properties palette with the photometric properties outlined:


Use Spotlights (Procedure)

Use Point Lights
Up a level to ..
Use Spotlights
Render a Drawing for Presentation > Add Lighting to Your Model > Illuminate a Scene > Use Spotlights >
Use Spotlights
Concept Procedure Quick Reference

To create a spotlight

To create a photometric spotlight and change photometric properties

To create a free spot light in photometric lighting workflow

To create a spotlight tool


To create a spotlight (Procedure)

Use Spotlights
Up a level to ..
Use Spotlights
Render a Drawing for Presentation > Add Lighting to Your Model > Illuminate a Scene > Use Spotlights >
Use Spotlights
Concept Procedure Quick Reference

To create a spotlight

  1. At the command prompt, enter lightingunits and set the value to 0 for standard lighting.
  2. Enter spot at the command prompt.
  3. Click in the drawing to specify a location for the light.
  4. Click to specify a target for the spotlight.
  5. At the command prompt, enter n and enter a name. This name will appear in the properties and in the Lights in Model window ( LIGHTLIST).

    You can continue to specify properties by entering options, or you can exit and set properties interactively. When you use the interactive method, you can see the results of your changes as you work.

  6. Press ENTER twice to exit the command.

    Select the light and use grip tools to change the light. You can also right-click the light and then click Properties. Use Lighting Properties palette to change its properties.

    Toolbar: Lights
    Command entry: SPOTLIGHT


To create a photometric spotlight and change photometric properties (Procedure)

Use Spotlights
Up a level to ..
Use Spotlights
Render a Drawing for Presentation > Add Lighting to Your Model > Illuminate a Scene > Use Spotlights >
Use Spotlights
Concept Procedure Quick Reference

To create a photometric spotlight and change photometric properties

  1. At the command prompt, enter lightingunits and set the value to 1 (International units) or 2 (American units) for photometric lighting.
  2. Enter spot at the command prompt.
  3. Click in the drawing to specify a location for the light.
  4. Click to specify a target for the spotlight.
  5. At the command prompt, enter n and enter a name. This name will appear in the properties and in the Lights in Model window ( LIGHTLIST).

    You can continue to specify properties by entering options, or you can exit and set properties interactively. When you use the interactive method, you can see the results of your changes as you work.

  6. Press ENTER twice to exit the command.

    Select the light and use grip tools to change the light.

  7. To change properties, right-click the light. Click Properties. Use the Lighting Properties palette to change the photometric properties.
    Toolbar: Lights
    Command entry: SPOTLIGHT


To create a free spot light in photometric lighting workflow (Procedure)

Use Spotlights
Up a level to ..
Use Spotlights
Render a Drawing for Presentation > Add Lighting to Your Model > Illuminate a Scene > Use Spotlights >
Use Spotlights
Concept Procedure Quick Reference

To create a free spot light in photometric lighting workflow

  1. At the command prompt, enter lightingunits and set the value to 1 (International units) or 2 (American units) for photometric lighting.
  2. At the command prompt, enter freespot.
  3. Click in the drawing to specify a location for the light.
  4. At the command prompt, enter n and enter a name. This name will appear in the properties and in the Lights in Model window ( LIGHTLIST).

    You can continue to specify properties by entering options, or you can exit and set properties interactively. When you use the interactive method, you can see the results of your changes as you work.

  5. Press ENTER twice to exit the command.

    Select the light and use grip tools to change the light.

  6. To change properties, right-click the light. Click Properties. Use the Lighting Properties window to change the photometric properties.
    Toolbar: Lights
    Command entry: SPOTLIGHT


To create a spotlight tool (Procedure)

Use Spotlights
Up a level to ..
Use Weblights
Render a Drawing for Presentation > Add Lighting to Your Model > Illuminate a Scene > Use Spotlights >
Use Spotlights
Concept Procedure Quick Reference

To create a spotlight tool

  1. Click Tools menu [image] Palettes [image] Tool Palettes. At the command prompt, enter ToolPalettes.
  2. In the drawing, select a spotlight whose properties you want to use for the tool.
  3. Drag the light to the active tool palette.

    The new light tool retains all of the properties of the light except its location properties.


Use Spotlights (Quick Reference)

Use Point Lights
Use Spotlights
Use Weblights
Render a Drawing for Presentation > Add Lighting to Your Model > Illuminate a Scene > Use Spotlights >
Use Spotlights
Concept Procedure Quick Reference

Commands

LIGHT

Creates a light

LIGHTLIST

Displays the Lights in Model palette

FREESPOT

Creates free spotlight which is similar to a spotlight without a specified target

RENDEREXPOSURE

Provides settings to interactively adjust the lighting global for the most recent rendered output

SPOTLIGHT

Creates a spotlight

System Variables

DEFAULTLIGHTING

Controls default lighting in the current viewport

DEFAULTLIGHTINGTYPE

Specifies the type of default lighting, old or new

LIGHTGLYPHDISPLAY

Controls whether light glyphs are displayed

LIGHTINGUNITS

Controls whether generic or photometric lights are used, and indicates the current lighting units

LIGHTSINBLOCKS

Controls whether lights contained in blocks are used when rendering

LINEARBRIGHTNESS

Controls the global brightness level of the drawing when using default lighting or generic lights

LINEARCONTRAST

Controls the global contrast level of the drawing when using default lighting or generic lights

LOGEXPBRIGHTNESS

Controls the global brightness level of the drawing when using photometric lighting

LOGEXPCONTRAST

Controls the global contrast level of the drawing when using photometric lighting

LOGEXPDAYLIGHT

Controls if exterior daylight is used when using photometric lighting

LOGEXPMIDTONES

Controls the global mid tones level of the drawing when using photometric lighting

RENDERUSERLIGHTS

Controls whether to override the setting for viewport lighting during rendering

Utilities

No entries

Command Modifiers

No entries


Use Weblights (Concept)

Use Spotlights
Illuminate a Scene
IES Standard File Format
Render a Drawing for Presentation > Add Lighting to Your Model > Illuminate a Scene >
Use Weblights
Concept Procedure Quick Reference

Photometric weblights provide real-world light distribution.

A photometric weblight (web) is a 3D representation of the light intensity distribution of a light source. Photometric weblights can be used to represent anisotropic (non-uniform) light distributions derived from data provided by manufacturers of real-world lights. This gives a far more precise representation of the rendered light than either spot or point lights are capable of.

This directional light distribution information is stored in a photometric data file in the IES format using the IES LM-63-1991 standard file format for photometric data. You can load photometric data files provided by various manufacturers under the Photometric Web panel in the Properties palette for the light. The light icon represents the photometric web you select.

Light that uses a photometric web can be added to a drawing by entering the commands WEBLIGHT and FREEWEB at the command prompt. A weblight targets an object whereas a freeweb light does not.

To describe the directional distribution of the light emitted by a source, AutoCAD approximates the source by a point light placed at its photometric center. With this approximation, the distribution is characterized as a function of the outgoing direction only. The luminous intensity of the source for a predetermined set of horizontal and vertical angles is provided, and the system can compute the luminous intensity along an arbitrary direction by interpolation.

NoteWeb distribution is used only in rendered images. Weblights are approximated as weblights in the viewport.
NoteYou can control the size of a web glyph from Tools menu > Options > Drafting > Light Glyph Settings. Some web glyphs may appear very small on screen and may need to be adjusted.

Goniometric Diagrams

Photometric data is often depicted using a goniometric diagram.

Goniometric diagram of a web distribution

This type of diagram visually represents how the luminous intensity of a source varies with the vertical angle. However, the horizontal angle is fixed and, unless the distribution is axially symmetric, more than one goniometric diagram may be needed to describe the complete distribution.

Photometric Webs

The photometric web is a three dimensional representation of the light distribution. It extends the goniometric diagram to three dimensions, so that the dependencies of the luminous intensity on both the vertical and horizontal angles can be examined simultaneously. The center of the photometric web represents the center of the light object.

The luminous intensity in any given direction is proportional to the distance between this web and the photometric center, measured along a line leaving the center in the specified direction.

Example of Isotropic distribution

A sphere centered around the origin is a representation of an isotropic distribution. All the points in the diagram are equidistant from the center and therefore light is emitted equally in all directions.

Example of Ellipsoidal distribution

In this example, the points in the negative Z direction are the same distance from the origin as the corresponding points in the positive Z direction, so the same amount of light shines upward and downward. No point has a very large X or Y component, either positive or negative, so less light is cast laterally from the light source.

Topics in this section

  • IES Standard File Format

    IES standard file formats can be created and modified.

  • Common Lamp Values for Photometric Lights

    Lists of commonly used lamps for defining photometric lights are available on the Lighting tool palette.


To create a web distribution with a manufacturer’s IES file. (Procedure)

Use Spotlights
Up a level to ..
Use Distant Lights
Render a Drawing for Presentation > Add Lighting to Your Model > Illuminate a Scene > Use Weblights >
Use Weblights
Concept Procedure Quick Reference

To create a web distribution with a manufacturer’s IES file.

  1. At the command prompt, enter lightingunits and set the value to 1 (International units) or 2 (American units) for photometric lighting.
  2. At the command prompt, enter properties to activate the Properties palette.
  3. Enter spot at the command prompt.
  4. In the drawing, select the light. The properties for the spotlight are displayed in the Properties palette.
  5. Under the General panel, change the lighting Type from spotlight to web.
  6. Under the Photometric Web panel, select the blank text box.
  7. Click the browse button and then select an IES file.

    The light has been changed to have a web distribution with the web settings from the IES file.

    Command entry: WEBLIGHT
    Command entry: FREEWEB


Use Weblights (Quick Reference)

Use Spotlights
Use Weblights
IES Standard File Format
Render a Drawing for Presentation > Add Lighting to Your Model > Illuminate a Scene > Use Weblights >
Use Weblights
Concept Procedure Quick Reference

Commands

LIGHT

Creates a light

LIGHTLIST

Displays the Lights in Model palette

FREEWEB

Creates a free web light which is similar to a web light without a specified target

RENDEREXPOSURE

Provides settings to interactively adjust the lighting global for the most recent rendered output

WEBLIGHT

Creates a web light

System Variables

DEFAULTLIGHTING

Controls default lighting in the current viewport

DEFAULTLIGHTINGTYPE

Specifies the type of default lighting, old or new

LIGHTGLYPHDISPLAY

Controls whether light glyphs are displayed

LIGHTINGUNITS

Controls whether generic or photometric lights are used, and indicates the current lighting units

LIGHTSINBLOCKS

Controls whether lights contained in blocks are used when rendering

LINEARBRIGHTNESS

Controls the global brightness level of the drawing when using default lighting or generic lights

LINEARCONTRAST

Controls the global contrast level of the drawing when using default lighting or generic lights

LOGEXPBRIGHTNESS

Controls the global brightness level of the drawing when using photometric lighting

LOGEXPCONTRAST

Controls the global contrast level of the drawing when using photometric lighting

LOGEXPDAYLIGHT

Controls if exterior daylight is used when using photometric lighting

LOGEXPMIDTONES

Controls the global mid tones level of the drawing when using photometric lighting

RENDERUSERLIGHTS

Controls whether to override the setting for viewport lighting during rendering

SUNSTATUS

Controls whether the sun casts light in the current viewport

Utilities

No entries

Command Modifiers

No entries


IES Standard File Format (Concept)

Use Weblights
Use Weblights
Common Lamp Values for Photometric Lights
Render a Drawing for Presentation > Add Lighting to Your Model > Illuminate a Scene > Use Weblights >
IES Standard File Format
Concept Quick Reference

IES standard file formats can be created and modified.

You can create a photometric data file in the IES format using the IES LM-63-1991 standard file format for photometric data. (IES stands for Illuminating Engineering Society.) However, only the information relevant to AutoCAD is described here. For a complete description of the IES standard file format, see IES Standard File Format for Electronic Transfer of Photometric Data and Related Information, prepared by the IES Computer Committee (http://www.iesna.org).

The luminous intensity distribution (LID) of a luminaire is measured at the nodes of a photometric web for a fixed set of horizontal and vertical angles. The poles of the web lie along the vertical axis, with the nadir corresponding to a vertical angle of zero degrees. The horizontal axis corresponds to a horizontal angle of zero degrees and is oriented parallel to the length of the luminaire. This type of photometric web is generated by a Type C goniometer and is the most popular in North America; other types of goniometry are supported by the IES standard file format but are not discussed here.

The photometric data is stored in an ASCII file. Each line in the file must be less than 132 characters long and must be terminated by a carriage return/line-feed character sequence. Longer lines can be continued by inserting a carriage return/line-feed character sequence.

Each field in the file must begin on a new line and must appear exactly in the following sequence:

  1. IESNA91
  2. [TEST] The test report number of your data
  3. [MANUFAC] The manufacturer of the luminaire
  4. TILT=NONE
  5. 1
  6. The initial rated lumens for the lamp used in the test or -1 if absolute photometry is used and the intensity values do not depend on different lamp ratings.
  7. A multiplying factor for all the candela values in the file. This makes it possible to easily scale all the candela values in the file when the measuring device operates in unusual units—for example, when you obtain the photometric values from a catalog using a ruler on a goniometric diagram. Normally the multiplying factor is 1.
  8. The number of vertical angles in the photometric web.
  9. The number of horizontal angles in the photometric web.
  10. 1
  11. The type of unit used to measure the dimensions of the luminous opening. Use 1 for feet or 2 for meters.
  12. The width, length, and height of the luminous opening. It is normally given as 0 0 0.
  13. 1.0 1.0 0.0
  14. The set of vertical angles, listed in increasing order. If the distribution lies completely in the bottom hemisphere, the first and last angles must be 0° and 90°, respectively. If the distribution lies completely in the top hemisphere, the first and last angles must be 90° and 180°, respectively. Otherwise, they must be 0° and 180°, respectively.
  15. The set of horizontal angles, listed in increasing order. The first angle must be 0°. The last angle determines the degree of lateral symmetry displayed by the intensity distribution. If it is 0°, the distribution is axially symmetric. If it is 90°, the distribution is symmetric in each quadrant. If it is 180°, the distribution is symmetric about a vertical plane. If it is greater than 180° and less than or equal to 360°, the distribution exhibits no lateral symmetries. All other values are invalid.
  16. The set of candela values. First, all the candela values corresponding to the first horizontal angle are listed, starting with the value corresponding to the smallest vertical angle and moving up the associated vertical plane. Then, the candela values corresponding to the vertical plane through the second horizontal angle are listed, and so on until the last horizontal angle. Each vertical slice of values must start on a new line. Long lines may be broken between values as needed by following the instructions given earlier.

Example of Photometric Data File

The following is an example of a photometric data file.


IES Standard File Format (Quick Reference)

Use Weblights
Use Weblights
Common Lamp Values for Photometric Lights
Render a Drawing for Presentation > Add Lighting to Your Model > Illuminate a Scene > Use Weblights > IES Standard File Format >
IES Standard File Format
Concept Quick Reference

Commands

CONVERTOLDLIGHTS

Converts lights created in previous drawing file formats to the current format

DISTANTLIGHT

Creates a distant light

GEOGRAPHICLOCATION

Specifies the geographic location information for the drawing file

LIGHT

Creates a light

LIGHTLIST

Displays the Lights in Model palette

FREESPOT

Creates free spotlight which is similar to a spotlight without a specified target

FREEWEB

Creates a free web light which is similar to a web light without a specified target

POINTLIGHT

Creates a point light

RENDEREXPOSURE

Provides settings to interactively adjust the lighting global for the most recent rendered output

SPOTLIGHT

Creates a spotlight

SUNPROPERTIES

Opens the Sun Properties window and sets the properties of the sun

TARGETPOINT

Creates a target point light

WEBLIGHT

Creates a web light

System Variables

3DCONVERSIONMODE

Used to convert material and light definitions to the current product release

DEFAULTLIGHTING

Controls default lighting in the current viewport

DEFAULTLIGHTINGTYPE

Specifies the type of default lighting, old or new

LIGHTGLYPHDISPLAY

Controls whether light glyphs are displayed

LIGHTINGUNITS

Controls whether generic or photometric lights are used, and indicates the current lighting units

LIGHTSINBLOCKS

Controls whether lights contained in blocks are used when rendering

LINEARBRIGHTNESS

Controls the global brightness level of the drawing when using default lighting or generic lights

LINEARCONTRAST

Controls the global contrast level of the drawing when using default lighting or generic lights

LOGEXPBRIGHTNESS

Controls the global brightness level of the drawing when using photometric lighting

LOGEXPCONTRAST

Controls the global contrast level of the drawing when using photometric lighting

LOGEXPDAYLIGHT

Controls if exterior daylight is used when using photometric lighting

LOGEXPMIDTONES

Controls the global mid tones level of the drawing when using photometric lighting

RENDERUSERLIGHTS

Controls whether to override the setting for viewport lighting during rendering

SUNSTATUS

Controls whether the sun casts light in the current viewport

Utilities

No entries

Command Modifiers

No entries


Common Lamp Values for Photometric Lights (Concept)

IES Standard File Format
Use Weblights
Use Distant Lights
Render a Drawing for Presentation > Add Lighting to Your Model > Illuminate a Scene > Use Weblights >
Common Lamp Values for Photometric Lights
Concept Quick Reference

Lists of commonly used lamps for defining photometric lights are available on the Lighting tool palette.

Commonly used lamps values are available on the Lighting tool palette: Fluorescent; Low Pressure Sodium; Incandescent, and High Intensity Discharge.


Common Lamp Values for Photometric Lights (Quick Reference)

IES Standard File Format
Use Weblights
Control the Display of Lights
Render a Drawing for Presentation > Add Lighting to Your Model > Illuminate a Scene > Use Weblights > Common Lamp Values for Photometric Lights >
Common Lamp Values for Photometric Lights
Concept Quick Reference

Commands

LIGHT

Creates a light

LIGHTLIST

Displays the Lights in Model palette

FREEWEB

Creates a free web light which is similar to a web light without a specified target

RENDEREXPOSURE

Provides settings to interactively adjust the lighting global for the most recent rendered output

WEBLIGHT

Creates a web light

System Variables

LIGHTGLYPHDISPLAY

Controls whether light glyphs are displayed

LIGHTINGUNITS

Controls whether generic or photometric lights are used, and indicates the current lighting units

LIGHTSINBLOCKS

Controls whether lights contained in blocks are used when rendering

LINEARBRIGHTNESS

Controls the global brightness level of the drawing when using default lighting or generic lights

LINEARCONTRAST

Controls the global contrast level of the drawing when using default lighting or generic lights

LOGEXPBRIGHTNESS

Controls the global brightness level of the drawing when using photometric lighting

LOGEXPCONTRAST

Controls the global contrast level of the drawing when using photometric lighting

LOGEXPDAYLIGHT

Controls if exterior daylight is used when using photometric lighting

LOGEXPMIDTONES

Controls the global mid tones level of the drawing when using photometric lighting

RENDERUSERLIGHTS

Controls whether to override the setting for viewport lighting during rendering

Utilities

No entries

Command Modifiers

No entries


Use Distant Lights (Concept)

Common Lamp Values for Photometric Lights
Illuminate a Scene
Assigning a Shape to a Light
Render a Drawing for Presentation > Add Lighting to Your Model > Illuminate a Scene >
Use Distant Lights
Concept Procedure

Distant lights are useful for lighting objects or as a backdrop.

Distant Lights in Standard Lighting Workflow

A distant light emits uniform parallel light rays in one direction only. You specify a FROM point and a TO point anywhere in the viewport to define the direction of the light. Spotlights and point lights are each represented by a different light glyph. Distant lights are not represented by glyphs in the drawing because they do not have a discrete position and affect the entire scene.

The intensity of a distant light does not diminish over distance; it is as bright at each face it strikes as it is at the source. Distant lights are useful for lighting objects or for lighting a backdrop uniformly.

NoteIt is recommended that you do not use distant lights in blocks.

Distant Lights in Photometric Workflow

Distant lights are not physically accurate. It is recommended that you do not use them in a photometric workflow.


To create a distant light (Procedure)

Use Weblights
Up a level to ..
Assigning a Shape to a Light
Render a Drawing for Presentation > Add Lighting to Your Model > Illuminate a Scene > Use Distant Lights >
Use Distant Lights
Concept Procedure

To create a distant light

  1. At the command prompt, enter lightingunits and set the value to 0 for standard lighting.
  2. Enter distantlight at the command prompt.
  3. Click in the drawing to specify a location for the light.
  4. Click to specify a direction.
  5. At the command prompt, enter n and enter a name. This name will appear in the properties and in the Lights in Model window ( LIGHTLIST).

    You can continue to specify properties by entering options, or you can exit and set properties interactively. When you use the interactive method, you can see the results of your changes as you work.

  6. Press ENTER twice to exit the command. A distant light is not displayed as a light glyph.

    To change the properties of a distant light. Enter lightlist at the command prompt. In the Lights in Model window, double click on the distant light name from the light list and use the Lighting Properties palette to change its color and other properties.

    Toolbar: Lights
    Command entry: DISTANTLIGHT


Assigning a Shape to a Light (Concept)

Use Distant Lights
Illuminate a Scene
Adjust and Manipulate Lights
Render a Drawing for Presentation > Add Lighting to Your Model > Illuminate a Scene >
Assigning a Shape to a Light
Concept Procedure

Assigning a shape to a light modifies the illumination of a scene.

Area and Linear Lights

The "area" parameter on the light is a property of a light. Just as a light can have a color, it can also be assigned a shape. For example, you can shape it like a rectangle so that it acts like panel lighting in a ceiling. Or you can shape it like a line, so it acts like a narrow fluorescent light tube. The area light is a way to assign a shape to the light. The shape affects the rendering and shadows in the same way that a panel light casts different light than a tube light in the real world.

The shape property is available in the Lighting Properties palette. This property is displayed on the palette based on the type of property selected. Under the Render Shadow Detail panel, there is a Type property. This specifies the type of shadow cast by the light. The following types are available: Soft (shadow) map, Sharp (default), Soft (sampled). By selecting the Soft (sampled) option, the Shape property becomes available.

The available shapes depend on the type of light. You can select the Type property for the light distribution under the General panel in the Lighting Properties palette. If Spotlight and Soft (sampled) are selected, then the Shape types available are Rectangular and Disk. If Point and Soft (sampled) are selected, then the following shapes are available: Linear, Rectangular, Disk, Cylinder, and Sphere. If Web and Soft (sampled) are selected, then the following shapes are available: Linear, Rectangular, Disk, Cylinder, and Sphere. You can use the samples property on the area light to control the trade-off between rendering time and shadow accuracy.

The Visible Render property found under the Rendered Shadows Details panel controls the visibility of the shape in the rendering of the scene.


To create a point light in photometric workflow and assign a rectangular shape to the light (Procedure)

Use Distant Lights
Up a level to ..
Adjust and Manipulate Lights
Render a Drawing for Presentation > Add Lighting to Your Model > Illuminate a Scene > Assigning a Shape to a Light >
Assigning a Shape to a Light
Concept Procedure

To create a point light in photometric workflow and assign a rectangular shape to the light

  1. At the command prompt, enter lightingunits and set the value to 1 (International units) or 2 (American units) for photometric lighting.
  2. Enter pointlight at the command prompt.
  3. Click in the drawing to specify a location for the light.
  4. At the command prompt, enter n and enter a name. This name will appear in the properties and in the Lights in Model window ( LIGHTLIST).

    You can continue to specify properties by entering options, or you can exit and set properties interactively. When you use the interactive method, you can see the results of your changes as you work.

  5. Press ENTER twice to exit the command.

    Select the light and use grip tools to change the light.

  6. In the drawing, right-click the light and click Properties. Use the Lighting Properties palette to change its properties.
  7. On the Lighting Properties palette, under the General panel, verify that the distribution type for the light is Point.
  8. Scroll down the Lighting Properties palette to the Rendered Shadow details.
  9. Change the Type property to Soft (sampled).
  10. Change the Shape property to Rectangular. Add dimensions to the Length and Width properties.
  11. Change the Visible Render property to Yes.
  12. Render the image. The light is represented as a rectangle in the drawing.
    Toolbar: Lights
    Command entry: POINTLIGHT


Adjust and Manipulate Lights

Assigning a Shape to a Light
Add Lighting to Your Model
Control the Display of Lights
Render a Drawing for Presentation > Add Lighting to Your Model >
Adjust and Manipulate Lights
Concept Procedure

You can add point lights, spotlights, and distant lights and set the location and properties of each.

Topics in this section

  • Control the Display of Lights

    The display of lights can be turned on and off in the drawing.

  • Adjust Light Placement

    After a light has been placed in a scene the position and target can be modified.

  • Control Light Properties

    Each light you add to the drawing is listed by name and type in the Lights in Model palette (LIGHTLIST). Lights in blocks and xrefs, the sun, and default lighting are not included.


Adjust and Manipulate Lights (Procedure)

Assigning a Shape to a Light
Adjust and Manipulate Lights
Control the Display of Lights
Render a Drawing for Presentation > Add Lighting to Your Model > Adjust and Manipulate Lights >
Adjust and Manipulate Lights
Concept Procedure

To control the appearance of light glyphs

To show or hide light glyphs

To plot light glyphs

To select a light using the light list

To delete a light

To move a point light or a spotlight

To set attenuation in a point light or a spotlight

To specify a source vector for a distant light

To change the color of a light


Control the Display of Lights (Concept)

Adjust and Manipulate Lights
Adjust and Manipulate Lights
Adjust Light Placement
Render a Drawing for Presentation > Add Lighting to Your Model > Adjust and Manipulate Lights >
Control the Display of Lights
Concept Procedure Quick Reference

The display of lights can be turned on and off in the drawing.

The display of lights can be controlled several ways. In the Options dialog box, on the Drafting tab, the Lights Glyph settings control the display of light glyphs in the drawing.

A light glyph is a graphic representation of a light. Point lights and spotlights can be placed in a drawing with a light glyph. Distant lights, such as sunlight, are not represented with a light glyph.

Displaying light glyphs in the plotted drawing is optional; light glyph display is controlled with the plot glyph property setting. With the plot glyph property, you specify light glyph to display one light at a time. The plot glyph setting for a viewport affects all the lights globally.


Control the Display of Lights (Procedure)

Adjust and Manipulate Lights
Up a level to ..
Control the Display of Lights
Render a Drawing for Presentation > Add Lighting to Your Model > Adjust and Manipulate Lights > Control the Display of Lights >
Control the Display of Lights
Concept Procedure Quick Reference

To control the appearance of light glyphs

To show or hide light glyphs

To plot light glyphs


To control the appearance of light glyphs (Procedure)

Control the Display of Lights
Up a level to ..
Control the Display of Lights
Render a Drawing for Presentation > Add Lighting to Your Model > Adjust and Manipulate Lights > Control the Display of Lights >
Control the Display of Lights
Concept Procedure Quick Reference

To control the appearance of light glyphs

  1. Click Tools menu [image] Options. At the command prompt, enter options.
  2. In the Options dialog box, Drafting tab, click Lights Glyph Settings.
  3. In the Light Glyph Appearance dialog box, click Point or Spot to display a point light or spotlight glyph in Glyph Preview.
  4. To change colors, click Edit Glyph Colors to open the Drawing Window Colors dialog box.

    For more information, see Set Interface Options

  5. To change the size of the glyph in the drawing, use the Glyph Size slider.
  6. Click OK to exit each dialog box.
    Command entry: OPTIONS


To show or hide light glyphs (Procedure)

Control the Display of Lights
Up a level to ..
Control the Display of Lights
Render a Drawing for Presentation > Add Lighting to Your Model > Adjust and Manipulate Lights > Control the Display of Lights >
Control the Display of Lights
Concept Procedure Quick Reference

To show or hide light glyphs

  1. On the ribbon, click Visualize tab [image] Lights panel.
  2. On the expanded Lights panel, click Light Glyph Display.

    The display setting does not control plotting of light glyphs.

Command entry: LIGHTGLYPHDISPLAY


To plot light glyphs (Procedure)

Control the Display of Lights
Up a level to ..
Adjust Light Placement
Render a Drawing for Presentation > Add Lighting to Your Model > Adjust and Manipulate Lights > Control the Display of Lights >
Control the Display of Lights
Concept Procedure Quick Reference

To plot light glyphs

  1. Click Tools menu [image] Palettes [image] Properties.
  2. Select a point light or a spotlight.
  3. In the Properties palette, change the Plot Glyph property to Yes.
Toolbar: Standard
Command entry: PROPERTIES


Control the Display of Lights (Quick Reference)

Common Lamp Values for Photometric Lights
Control the Display of Lights
Adjust Light Placement
Render a Drawing for Presentation > Add Lighting to Your Model > Adjust and Manipulate Lights > Control the Display of Lights >
Control the Display of Lights
Concept Procedure Quick Reference

Commands

DISTANTLIGHT

Creates a distant light

LIGHT

Creates a light

LIGHTLIST

Displays the Lights in Model palette

LIGHTLISTCLOSE

Closes the Lights in Model window

OPTIONS

Customizes the program settings

POINTLIGHT

Creates a point light

SPOTLIGHT

Creates a spotlight

System Variables

LIGHTGLYPHDISPLAY

Controls whether light glyphs are displayed

LIGHTLISTSTATE

Indicates whether the Lights in Model window is open or closed

Utilities

No entries

Command Modifiers

No entries


Adjust Light Placement (Concept)

Control the Display of Lights
Adjust and Manipulate Lights
Control Light Properties
Render a Drawing for Presentation > Add Lighting to Your Model > Adjust and Manipulate Lights >
Adjust Light Placement
Concept Procedure Quick Reference

After a light has been placed in a scene the position and target can be modified.

The light, which is represented by a light glyph, can be repositioned after it is placed in the drawing. The light can be moved and rotated; the target can be modified. When the light glyph is selected, grips are displayed.

By selecting the light with a right-click, a shortcut menu is displayed that provides the following options for adjusting the placement of a light:

  • Move. Activates the MOVE command. Used to change the position of the light.
  • Rotate. Activates the ROTATE command. Used to change the orientation of lights. In addition to shortcut menu access, you can use ROTATE, 3DROTATE, and ROTATE3D commands.
  • Flip. Rotates the target of the light in the opposite direction.
NoteRotating a targeted light is useful for aligning the area shadow region appropriately. Also, the orientation of the area shadow light is reset when the position or the target of the light is changed.

Location (Point Lights and Spotlights)

You can use the grip labeled Position to move a point light or a spotlight, or you can set the location in the Properties palette. The Position grip moves the light but does not change the target. To move both the light and its target, drag the light glyph itself.


Adjust Light Placement (Procedure)

Control the Display of Lights
Up a level to ..
Adjust Light Placement
Render a Drawing for Presentation > Add Lighting to Your Model > Adjust and Manipulate Lights > Adjust Light Placement >
Adjust Light Placement
Concept Procedure Quick Reference

To select a light using the light list

To delete a light

To move a point light or a spotlight


To select a light using the light list (Procedure)

Adjust Light Placement
Up a level to ..
Adjust Light Placement
Render a Drawing for Presentation > Add Lighting to Your Model > Adjust and Manipulate Lights > Adjust Light Placement >
Adjust Light Placement
Concept Procedure Quick Reference

To select a light using the light list

  1. Click View menu [image] Render [image] Light [image] Light List.
  2. In the Lights in Model window, select the light name.

    If the light has a light glyph, the light displays as selected. By double clicking the name of the light, the Lighting Properties palette is displayed.

    NoteDistant lights do not display a glyph in the drawing. Use the Lights in Model window to select a distant light.
Toolbar: Lights
Command entry: LIGHTLIST


To delete a light (Procedure)

Adjust Light Placement
Up a level to ..
Adjust Light Placement
Render a Drawing for Presentation > Add Lighting to Your Model > Adjust and Manipulate Lights > Adjust Light Placement >
Adjust Light Placement
Concept Procedure Quick Reference

To delete a light

  1. Enter lightlist at the command prompt.
  2. Select one or more lights to delete.
  3. Right-click the selection. Click Delete Light or Delete Lights.
Toolbar: Lights
Command entry: LIGHTLIST


To move a point light or a spotlight (Procedure)

Adjust Light Placement
Up a level to ..
Control Light Properties
Render a Drawing for Presentation > Add Lighting to Your Model > Adjust and Manipulate Lights > Adjust Light Placement >
Adjust Light Placement
Concept Procedure Quick Reference

To move a point light or a spotlight

  1. Select the light glyph, or select the light in the Lights in Model window.
  2. Select the Position grip.

    The Position grip is at the bottom of a spotlight and at the center of a point light.

  3. Drag the light to the new location and click to place it there.
    NoteA spotlight rotates as it moves to maintain its aim at the target. If you want to move both source and target, drag the light glyph itself, not the Position grip.


Adjust Light Placement (Quick Reference)

Control the Display of Lights
Adjust Light Placement
Control Light Properties
Render a Drawing for Presentation > Add Lighting to Your Model > Adjust and Manipulate Lights > Adjust Light Placement >
Adjust Light Placement
Concept Procedure Quick Reference

Commands

CONVERTOLDLIGHTS

Converts lights created in previous drawing file formats to the current format

DISTANTLIGHT

Creates a distant light

GEOGRAPHICLOCATION

Specifies the geographic location information for the drawing file

LIGHT

Creates a light

LIGHTLIST

Displays the Lights in Model palette

FREESPOT

Creates free spotlight which is similar to a spotlight without a specified target

FREEWEB

Creates a free web light which is similar to a web light without a specified target

POINTLIGHT

Creates a point light

RENDEREXPOSURE

Provides settings to interactively adjust the lighting global for the most recent rendered output

SPOTLIGHT

Creates a spotlight

SUNPROPERTIES

Opens the Sun Properties window and sets the properties of the sun

TARGETPOINT

Creates a target point light

WEBLIGHT

Creates a web light

System Variables

DEFAULTLIGHTING

Controls default lighting in the current viewport

DEFAULTLIGHTINGTYPE

Specifies the type of default lighting, old or new

LIGHTGLYPHDISPLAY

Controls whether light glyphs are displayed

LIGHTINGUNITS

Controls whether generic or photometric lights are used, and indicates the current lighting units

LIGHTSINBLOCKS

Controls whether lights contained in blocks are used when rendering

LINEARBRIGHTNESS

Controls the global brightness level of the drawing when using default lighting or generic lights

LINEARCONTRAST

Controls the global contrast level of the drawing when using default lighting or generic lights

LOGEXPBRIGHTNESS

Controls the global brightness level of the drawing when using photometric lighting

LOGEXPCONTRAST

Controls the global contrast level of the drawing when using photometric lighting

LOGEXPDAYLIGHT

Controls if exterior daylight is used when using photometric lighting

LOGEXPMIDTONES

Controls the global mid tones level of the drawing when using photometric lighting

RENDERUSERLIGHTS

Controls whether to override the setting for viewport lighting during rendering

SUNSTATUS

Controls whether the sun casts light in the current viewport

Utilities

No entries

Command Modifiers

No entries


Control Light Properties (Concept)

Adjust Light Placement
Adjust and Manipulate Lights
Sun and Sky Simulation
Render a Drawing for Presentation > Add Lighting to Your Model > Adjust and Manipulate Lights >
Control Light Properties
Concept Procedure Quick Reference

Each light you add to the drawing is listed by name and type in the Lights in Model palette (LIGHTLIST). Lights in blocks and xrefs, the sun, and default lighting are not included.

When a light is selected in the list, it is selected in the drawing and vice versa. The properties of the lights in the list are saved per drawing. All properties can be changed in the Properties palette. When a light is selected in the drawing, you can use grip tools to move or rotate the light and change some other properties, for example, the hotspot and falloff cone in spotlights. You can see the effect on the model as you change the properties of a light.

General Properties

The following properties are common to all lights and are located in the General panel of the Lighting Properties palette. Full descriptions of the controls are located under the Properties command in Lighting Properties:

  • Name. Specifies the name assigned to the light.
  • Type. Specifies the type of light: point light, spotlight, distant light, or web.
  • On/Off Status. Controls whether the light is turned on or off.
  • Shadows. Controls whether the light casts shadows. To be displayed, shadows must be turned on in the visual style applied to the current viewport. Turn shadows off to increase performance.
  • Intensity factor. Sets a multiplier that controls brightness. Intensity is not related to attenuation.
  • Filter color. Sets the color of the light emitted.
  • Plot glyph. Allows the ability to plot the drawing with the light glyphs on.

Spotlight Hotspot and Falloff Under General Properties

When light from a spotlight falls on a surface, the area of maximum illumination is surrounded by an area of lesser intensity.

  • Hotspot cone angle. Defines the brightest part of a light beam. Also known as the beam angle.
  • Falloff cone angle. Defines the full cone of light. Also known as the field angle.
  • Rapid decay area. Consists of the region between the hotspot and falloff angles.

The greater the difference between the hotspot and falloff angles, the softer the edge of the light beam. If the hotspot and falloff angles are near equal, the edge of the light beam is sharp. Both values can range from 0 to 160 degrees. You can adjust these values directly with the Hotspot and Falloff grips.

Photometric Properties

Photometric lighting offers additional properties that make the lighting different than standard lighting. The following properties are under the Photometric properties panel:

  • Lamp intensity. Specifies the inherent brightness of the light. Specifies the intensity, flux, or illuminance of the lamp.
  • Resulting intensity. Gives the final brightness of the light. (Product of lamp intensity and intensity factor. Read-only.)
  • Lamp color. Specifies the inherent color of the light in Kelvin temperature or standard.
  • Resulting color. Gives the final color of the light. This is determined by a combination of the lamp color and the filter color. (Product of lamp color and filter color. Read-only.)

If you select Web in the Type property for a photometric light, additional properties are offered in the Photometric Web and Web offsets panel in the Lighting Properties palette.

  • Web file. Specifies the data file describing the intensity distribution of the light.
  • Web preview. Displays a 2D slice through goniometric data.
  • Rotation of X. Specifies a rotational offset of the web about the optical X axis.
  • Rotation of Y. Specifies a rotational offset of the web about the optical Y axis.
  • Rotation of Z. Specifies a rotational offset of the web about the optical Z axis.

Geometry Including Target Properties

The Geometry panel provides controls for the location of the light. If the light is a target point light, spotlight, or weblight additional target point properties are available. A light can be changed to a light with target properties or changed from a light with target properties to one without by selecting either Yes or No in the Targeted property.

Attenuation (Point Lights and Spotlights)

Attenuation controls how light diminishes over distance. The farther away an object is from a light, the darker the object appears. You can specify no attenuation, inverse linear, or inverse squared (POINTLIGHT, SPOTLIGHT). Attenuation is not active for photometric lights.

Another way to control the start point and end point of light is to use limits. Limits work like clipping planes to control where light is first emitted and where it stops. Using limits can increase performance by removing the need for the program to calculate light levels where the light is already practically invisible.

NoteThe OpenGL driver (wopengl9.hdi) does not support the attenuation start and end limits in the viewport. Unlike the OpenGL driver, the Direct 3D driver (direct3d9.hdi) does support the attenuation end limits in the viewport, but does not support the start limits. The attenuation start and end limits for lights is displayed during rendering no matter which driver is current. To identify your driver, enter 3dconfig, and click Manual Tune. Look at the selected Driver Name in the Manual Performance Tuning dialog box.


Control Light Properties (Procedure)

Adjust Light Placement
Up a level to ..
Control Light Properties
Render a Drawing for Presentation > Add Lighting to Your Model > Adjust and Manipulate Lights > Control Light Properties >
Control Light Properties
Concept Procedure Quick Reference

To set attenuation in a point light or a spotlight

To specify a source vector for a distant light

To change the color of a light


To set attenuation in a point light or a spotlight (Procedure)

Control Light Properties
Up a level to ..
Control Light Properties
Render a Drawing for Presentation > Add Lighting to Your Model > Adjust and Manipulate Lights > Control Light Properties >
Control Light Properties
Concept Procedure Quick Reference

To set attenuation in a point light or a spotlight

  1. At the command prompt, enter lightingunits and set the value to 0 for standard lighting.
  2. Click Tools menu [image] Palettes [image] Properties.
  3. In the drawing, click the light glyph.
  4. In the Properties palette, under Attenuation, set Use Limits to Yes, or select a type of attenuation:
    • None. Sets no attenuation. Objects far from the point light are as bright as objects close to the light.
    • Inverse Linear. Sets attenuation to be the inverse of the linear distance from the light. For example, at a distance of 2 units, light is half as strong as at the point light; at a distance of 4 units, light is one quarter as strong. The default value for inverse linear is half the maximum intensity.
    • Inverse Square. Sets attenuation to be the inverse of the square of the distance from the light. For example, at a distance of 2 units, light is one quarter as strong as at the point light; at a distance of 4 units, light is one sixteenth as strong.
  5. If you set Use Limits to Yes, enter the following values in the properties palette or use the grip tool in the drawing to set the limits:
    • Start Limit Offset. Specifies the point where light starts as an offset from the center of the light. The default is 0.
    • End Limit Offset. Specifies the point where light ends as an offset from the center of the light. No light is cast beyond this point.
      NoteAttenuation start limits and end limits are not supported by the OpenGL driver (wopengl9.hdi), but are supported by the Direct 3D driver (direct3d9.hdi). To identify your driver, enter 3dconfig, and click Manual Tune. Look at the selected Driver Name in the Manual Performance Tuning dialog box.


To specify a source vector for a distant light (Procedure)

Control Light Properties
Up a level to ..
Control Light Properties
Render a Drawing for Presentation > Add Lighting to Your Model > Adjust and Manipulate Lights > Control Light Properties >
Control Light Properties
Concept Procedure Quick Reference

To specify a source vector for a distant light

  1. At the command prompt, enter lightingunits and set the value to 0 for standard lighting.
  2. Click View menu [image] Render [image] Light [image] Light List.
  3. In the Lights in Model palette, select the distant light.
  4. Click Tools menu [image] Palettes [image] Properties.
  5. In the Properties palette, under Geometry, use one of the following methods to change a value:
    • Enter a value in a cell.
    • Click the Calculator button to use QuickCalc.
    • Click the Select in Drawing button and specify a From point and a To point with the pointing device. The line displayed in the drawing represents the vector.

    When you change From Vector and To Vector values, the Source Vector values are updated. When you change Source Vector values directly, the From Vector and To Vector values are updated.

Toolbar: Lights
Command entry: LIGHTLIST


To change the color of a light (Procedure)

Control Light Properties
Up a level to ..
Sun and Sky Simulation
Render a Drawing for Presentation > Add Lighting to Your Model > Adjust and Manipulate Lights > Control Light Properties >
Control Light Properties
Concept Procedure Quick Reference

To change the color of a light

  1. Click Tools menu [image] Palettes [image] Properties.
  2. In the drawing, select the light glyph.
  3. In the Properties palette, click in the Color cell and select a color. Click Select Color to open the Select Color dialog box.
    Command entry: PROPERTIES


Control Light Properties (Quick Reference)

Adjust Light Placement
Control Light Properties
Sun and Sky Simulation
Render a Drawing for Presentation > Add Lighting to Your Model > Adjust and Manipulate Lights > Control Light Properties >
Control Light Properties
Concept Procedure Quick Reference

Commands

CONVERTOLDLIGHTS

Converts lights created in previous drawing file formats to the current format

DISTANTLIGHT

Creates a distant light

GEOGRAPHICLOCATION

Specifies the geographic location information for the drawing file

LIGHT

Creates a light

LIGHTLIST

Displays the Lights in Model palette

FREESPOT

Creates free spotlight which is similar to a spotlight without a specified target

FREEWEB

Creates a free web light which is similar to a web light without a specified target

POINTLIGHT

Creates a point light

RENDEREXPOSURE

Provides settings to interactively adjust the lighting global for the most recent rendered output

SPOTLIGHT

Creates a spotlight

SUNPROPERTIES

Opens the Sun Properties window and sets the properties of the sun

TARGETPOINT

Creates a target point light

WEBLIGHT

Creates a web light

System Variables

DEFAULTLIGHTING

Controls default lighting in the current viewport

DEFAULTLIGHTINGTYPE

Specifies the type of default lighting, old or new

LIGHTGLYPHDISPLAY

Controls whether light glyphs are displayed

LIGHTINGUNITS

Controls whether generic or photometric lights are used, and indicates the current lighting units

LIGHTSINBLOCKS

Controls whether lights contained in blocks are used when rendering

LINEARBRIGHTNESS

Controls the global brightness level of the drawing when using default lighting or generic lights

LINEARCONTRAST

Controls the global contrast level of the drawing when using default lighting or generic lights

LOGEXPBRIGHTNESS

Controls the global brightness level of the drawing when using photometric lighting

LOGEXPCONTRAST

Controls the global contrast level of the drawing when using photometric lighting

LOGEXPDAYLIGHT

Controls if exterior daylight is used when using photometric lighting

LOGEXPMIDTONES

Controls the global mid tones level of the drawing when using photometric lighting

RENDERUSERLIGHTS

Controls whether to override the setting for viewport lighting during rendering

SUNSTATUS

Controls whether the sun casts light in the current viewport

Utilities

No entries

Command Modifiers

No entries


Sun and Sky Simulation (Concept)

Control Light Properties
Add Lighting to Your Model
Incorporate Luminaire Objects
Render a Drawing for Presentation > Add Lighting to Your Model >
Sun and Sky Simulation
Concept Procedure Quick Reference

The sun is a light that simulates the effect of sunlight and can be used to show how the shadows cast by a structure affect the surrounding area.

Sun and sky are the primary sources of natural illumination in AutoCAD. Whereas the rays of the sun are parallel and of a yellowish hue, the light cast from the atmosphere comes from all directions and is distinctly bluish in color. When the LIGHTINGUNITS system variable is set to photometric, more sun properties are available.

When the workflow is photometric (the LIGHTINGUNITS system variable is set to 1 or 2) the sun properties have more properties available and are rendered using a more physically accurate sunlight model. The sun color is disabled for the photometric sun; the color is computed automatically based on the time, date, and location specified in the drawing. The color is determined based on the position in the sky. When the workflow is generic or standard lighting (the LIGHTINGUNITS system variable is set to 0), the additional sun and sky properties are unavailable.

The properties of the sun can be modified by using the SUNPROPERTIES command. The Sun Properties window is displayed. The details of the settings are located under SUNPROPERTIES in the Command Reference.

The rays of the sun are parallel and have the same intensity at any distance. Shadows can be on or off. To improve performance, turn off shadows when you don’t need them. All settings for the sun except geographic location are saved per viewport, not per drawing. Geographic location is saved per drawing.

The angle of the light from the sun is controlled by the geographic location you specify for your model and by the date and time of day. These are properties of the sun and can be changed in the Sun Properties window and the Geographic Location dialog box. The time zone used is based on the location, but you can adjust it independently ( TIMEZONE system variable).

Sky Background

The option to choose the sky background is only available when the lighting unit is photometric (the LIGHTINGUNITS system variable is set to 1 or 2). If you choose the sky background and change the lighting to standard (generic) lighting (the LIGHTINGUNITS system variable is set to 0), the sky background is disabled.

The sun and sky background can be interactively adjusted in a view that can be activated in the Sun Properties window by clicking the first button in the title bar of the Sky Properties. This button activates the Adjust Sun & Sky Background dialog box. Here you can change properties and preview the changes to the background.

Show Me: Adjust Sky Properties

Click the Play arrow to start the animation.

Sky Illumination

The view can have a sky background or a sky background and illumination. This option is in the Sky Properties Status drop-down list in the Sun Properties window. Additional sky illumination adds extra light to the scene, simulating the effect of light scattered by the atmosphere throughout the scene. This additional light is only visible in rendered output when final gather is enabled. This can be found in the Advanced Render Settings palette.

Note The default final gather setting of Auto enables final gather in rendering when sky illumination is turned on.

View

The VIEW command provides a mechanism for creating and managing named views. The sun and sky background can be assigned to a new named view under Background. The sky background relies on the sun data in the named view.

You can adjust sun and sky background interactively in a view in the Adjust Sun & Sky Background dialog box. Click the first button in the title bar of the Sky Properties. This button activates the Adjust Sun & Sky Background dialog box. Here you can change properties and preview the changes to the background.


Sun and Sky Simulation (Procedure)

Control Light Properties
Sun and Sky Simulation
Sun and Sky Simulation
Render a Drawing for Presentation > Add Lighting to Your Model > Sun and Sky Simulation >
Sun and Sky Simulation
Concept Procedure Quick Reference

To turn the sun on and off in a drawing

To change the brightness of the sun

To change the geographic location of your model

To change the angle of the sun

To change the color of the sun

To create a new view with the sun and sky background


To turn the sun on and off in a drawing (Procedure)

Sun and Sky Simulation
Sun and Sky Simulation
Sun and Sky Simulation
Render a Drawing for Presentation > Add Lighting to Your Model > Sun and Sky Simulation >
Sun and Sky Simulation
Concept Procedure Quick Reference

To turn the sun on and off in a drawing

  1. At the command prompt, enter lightingunits and set the value to 0 for standard lighting.
  2. Enter sunproperties at the command prompt.
  3. In the General settings, click the Status setting, and select On or Off.
Toolbar: Lights
Command entry: SUNPROPERTIES


To change the brightness of the sun (Procedure)

Sun and Sky Simulation
Sun and Sky Simulation
Sun and Sky Simulation
Render a Drawing for Presentation > Add Lighting to Your Model > Sun and Sky Simulation >
Sun and Sky Simulation
Concept Procedure Quick Reference

To change the brightness of the sun

  1. At the command prompt, enter lightingunits and set the value to 0 for standard lighting.
  2. Enter sunpropertiesat the command prompt.
  3. In the General settings, click the Intensity Factor setting, and select a new value.
Command entry: VIEW


To change the geographic location of your model (Procedure)

Sun and Sky Simulation
Sun and Sky Simulation
Sun and Sky Simulation
Render a Drawing for Presentation > Add Lighting to Your Model > Sun and Sky Simulation >
Sun and Sky Simulation
Concept Procedure Quick Reference

To change the geographic location of your model

  1. Enter geographiclocationat the command prompt.
  2. In the Location Already Exists task dialog box, click Edit Current Geographic Location.
  3. In the Geographic Location dialog box, enter the appropriate values.
  4. Click OK.
Menu: Tools [image] Geographic Location
Command entry: GEOGRAPHICLOCATION


To change the angle of the sun (Procedure)

Sun and Sky Simulation
Sun and Sky Simulation
Sun and Sky Simulation
Render a Drawing for Presentation > Add Lighting to Your Model > Sun and Sky Simulation >
Sun and Sky Simulation
Concept Procedure Quick Reference

To change the angle of the sun

  1. Enter sunproperties at the command prompt.
  2. In the Sun Angle Calculator settings, click the Date setting, and select a new date.
  3. Click the Time setting, and select a new time.

    Use the Daylight Saving setting if necessary.

Toolbar: Lights
Command entry: SUNPROPERTIES


To change the color of the sun (Procedure)

Sun and Sky Simulation
Sun and Sky Simulation
Sun and Sky Simulation
Render a Drawing for Presentation > Add Lighting to Your Model > Sun and Sky Simulation >
Sun and Sky Simulation
Concept Procedure Quick Reference

To change the color of the sun

  1. Enter sunproperties at the command prompt.
  2. In the General settings, click the Color setting, and select a color.

    Click Select Color to open the Select Color dialog box.

Toolbar: Lights
Command entry: SUNPROPERTIES


To create a new view with the sun and sky background (Procedure)

Sun and Sky Simulation
Sun and Sky Simulation
Incorporate Luminaire Objects
Render a Drawing for Presentation > Add Lighting to Your Model > Sun and Sky Simulation >
Sun and Sky Simulation
Concept Procedure Quick Reference

To create a new view with the sun and sky background

  1. At the command prompt, enter lightingunits and set the value to 1 (International units) or 2 (American units) for photometric lighting.
  2. Click the View menu > Named Views.
  3. Click New.
  4. In the New View dialog box, enter a name for the new view.
  5. In the Background drop-down list, change the default to Sun & Sky.
  6. In the Adjust Sun & Sky Background dialog box, make any adjustments to the background.
  7. Click OK.
Toolbar: Lights
Command entry: SUNPROPERTIES


Sun and Sky Simulation (Quick Reference)

Control Light Properties
Sun and Sky Simulation
Incorporate Luminaire Objects
Render a Drawing for Presentation > Add Lighting to Your Model > Sun and Sky Simulation >
Sun and Sky Simulation
Concept Procedure Quick Reference

Commands

GEOGRAPHICLOCATION

Specifies the geographic location information for the drawing file

SUNPROPERTIES

Opens the Sun Properties window and sets the properties of the sun

SUNPROPERTIESCLOSE

Closes the Sun Properties window

System Variables

LATITUDE

Specifies the latitude of the drawing model in decimal format

LONGITUDE

Specifies the longitude of the drawing model in decimal format

NORTHDIRECTION

Specifies the angle of the sun from north

SUNPROPERTIESSTATE

Indicates whether the Sun Properties window is open or closed

SUNSTATUS

Controls whether the sun casts light in the current viewport

TIMEZONE

Sets the time zone for the sun in the drawing

Utilities

No entries

Command Modifiers

No entries


Incorporate Luminaire Objects (Concept)

Sun and Sky Simulation
Add Lighting to Your Model
Converting Lights
Render a Drawing for Presentation > Add Lighting to Your Model >
Incorporate Luminaire Objects
Concept Procedure Quick Reference

A luminaire object is a helper object that assembles a set of objects into a light fixture.

A luminaire object groups and manages the components of a light as a whole. Light fixtures can be represented by embedding photometric lights in blocks that also contain geometry. A luminaire object assembles a set of light objects into a light fixture.

Tool palettes of photometric lights are available to provide easy access to create a luminaire object. Luminaire objects are offered through plug-ins.

An example of a luminaire object.


To add a photometric light to be used in a luminaire (Procedure)

Sun and Sky Simulation
Incorporate Luminaire Objects
Materials Tool Palettes
Render a Drawing for Presentation > Add Lighting to Your Model > Incorporate Luminaire Objects >
Incorporate Luminaire Objects
Concept Procedure Quick Reference

To add a photometric light to be used in a luminaire

  1. At the command prompt, enter lightingunits and set the value to 1 (International units) or 2 (American units) for photometric lighting.
  2. Click View tab [image] Palettes panel [image] Tool Palettes. At the command prompt, enter toolpalettes.
  3. Right-click the Tool palette title bar. Click Photometric Lights.
  4. Drag a light from the palette to the drawing.
  5. Drag another light from the palette to the drawing.
  6. At the command prompt, enter block to create a light fixture with the lights placed in the drawing.
Command entry: TOOLPALETTES


Incorporate Luminaire Objects (Quick Reference)

Sun and Sky Simulation
Incorporate Luminaire Objects
Work with Lights in Drawings from Previous Versions of AutoCAD
Render a Drawing for Presentation > Add Lighting to Your Model > Incorporate Luminaire Objects >
Incorporate Luminaire Objects
Concept Procedure Quick Reference

Commands

GEOGRAPHICLOCATION

Specifies the geographic location information for the drawing file

SUNPROPERTIES

Opens the Sun Properties window and sets the properties of the sun

SUNPROPERTIESCLOSE

Closes the Sun Properties window

System Variables

LATITUDE

Specifies the latitude of the drawing model in decimal format

LONGITUDE

Specifies the longitude of the drawing model in decimal format

NORTHDIRECTION

Specifies the angle of the sun from north

SUNPROPERTIESSTATE

Indicates whether the Sun Properties window is open or closed

SUNSTATUS

Controls whether the sun casts light in the current viewport

TIMEZONE

Sets the time zone for the sun in the drawing

Utilities

No entries

Command Modifiers

No entries


Converting Lights

Incorporate Luminaire Objects
Add Lighting to Your Model
Work with Lights in Drawings from Previous Versions of AutoCAD
Render a Drawing for Presentation > Add Lighting to Your Model >
Converting Lights

Properties of lights converting from previous releases of AutoCAD and other products.

Topics in this section

  • Work with Lights in Drawings from Previous Versions of AutoCAD

    Converting lights from previous versions.

  • Import Drawings into 3ds Max or Viz

    Drawing can be opened in 3Ds Max or Viz.


Work with Lights in Drawings from Previous Versions of AutoCAD (Concept)

Converting Lights
Converting Lights
Import Drawings into 3ds Max or Viz
Render a Drawing for Presentation > Add Lighting to Your Model > Converting Lights >
Work with Lights in Drawings from Previous Versions of AutoCAD
Concept Quick Reference

Converting lights from previous versions.

With AutoCAD 2008, you can choose either standard (generic) lighting or photometric lighting. Prior to AutoCAD 2008, the only option was standard (generic) lighting. There is no explicit conversion required for lights from AutoCAD 2007 to AutoCAD 2008. Drawings from AutoCAD 2007 will open by default in AutoCAD 2008 in the standard (generic) lighting workflow. The additional photometric properties in AutoCAD 2008 are available as soon as you turn on the photometric lighting workflow in your drawing.

There is a conversion process required when opening drawings with lights from versions prior to AutoCAD 2007. The 3DCONVERSIONMODE system variable is set by default to convert drawings with lighting from previous versions to the AutoCAD 2007 and AutoCAD 2008 lighting format. The system variable has three settings. If the variable is set to 0, no automatic conversion takes place. If it is set to a value of 1, the default value, the conversion takes place automatically. If the value is set to 2, you are prompted when lights need to be converted and have the option to convert or not to convert.

You can use the CONVERTOLDLIGHTS command to convert the old lighting manually.


Work with Lights in Drawings from Previous Versions of AutoCAD (Quick Reference)

Incorporate Luminaire Objects
Work with Lights in Drawings from Previous Versions of AutoCAD
Import Drawings into 3ds Max or Viz
Render a Drawing for Presentation > Add Lighting to Your Model > Converting Lights > Work with Lights in Drawings from Previous Versions of AutoCAD >
Work with Lights in Drawings from Previous Versions of AutoCAD
Concept Quick Reference

Commands

CONVERTOLDLIGHTS

Converts lights created in previous drawing file formats to the current format

System Variables

3DCONVERSIONMODE

Used to convert material and light definitions to the current product release

Utilities

No entries

Command Modifiers

No entries


Import Drawings into 3ds Max or Viz (Concept)

Work with Lights in Drawings from Previous Versions of AutoCAD
Converting Lights
Materials and Textures
Render a Drawing for Presentation > Add Lighting to Your Model > Converting Lights >
Import Drawings into 3ds Max or Viz
Concept Quick Reference

Drawing can be opened in 3Ds Max or Viz.

Please review the 3ds Max or Viz DWG import documentation for information regarding the import of the DWG format.


Import Drawings into 3ds Max or Viz (Quick Reference)

Work with Lights in Drawings from Previous Versions of AutoCAD
Import Drawings into 3ds Max or Viz
Overview of Materials
Render a Drawing for Presentation > Add Lighting to Your Model > Converting Lights > Import Drawings into 3ds Max or Viz >
Import Drawings into 3ds Max or Viz
Concept Quick Reference

Commands

CONVERTOLDLIGHTS

Converts lights created in previous drawing file formats to the current format

System Variables

3DCONVERSIONMODE

Used to convert material and light definitions to the current product release

Utilities

No entries

Command Modifiers

No entries


Materials and Textures

Import Drawings into 3ds Max or Viz
Render a Drawing for Presentation
Overview of Materials
Render a Drawing for Presentation >
Materials and Textures

Combined with lights, materials add another level of realism to the model.

Topics in this section

  • Overview of Materials

    You can add materials to objects in your drawings to provide a realistic effect.

  • Materials Tool Palettes

    Use the Materials tool palettes to access materials.

  • Create Materials

    A material is defined by a number of properties. The available options depend on the material type selected.

  • Apply Materials to Objects and Faces

    You can apply a material to individual objects and faces or to objects on a layer.

  • Modify Materials

    The properties of a material can be modified after they are created and after they are applied.

  • Advanced Lighting Override

    Sets parameters to affect the rendering of a material when it is lit by indirect illumination from global illumination and/or final gather.

  • Using Maps for Added Realism

    Mapping is a way of increasing the complexity of a material.

  • Converting Materials

    Depending on the version of AutoCAD or other product converting materials need to be considered.


Overview of Materials (Concept)

Materials and Textures
Materials and Textures
Materials Tool Palettes
Render a Drawing for Presentation > Materials and Textures >
Overview of Materials
Concept Quick Reference

You can add materials to objects in your drawings to provide a realistic effect.

A material’s settings create its physical properties. The Materials tool palette in the Tool Palettes window provides a large number of materials already created for you. You use these material tools to apply materials to objects in a scene. You can also create and modify materials using the Materials window. The Materials window offers many settings to modify properties of the material.

The use of mapping adds complexity and texture realism to the material. For example, you can replicate a paved road with asphalt by using a noise map and apply it to an object representing the road in the scene. Use the tile map to replicate a brick and mortar pattern.

Use the Advanced Lighting Override to add properties to the material that affect the rendered scene when lit by indirect illumination from global illumination and/or final gather.

After maps are applied to a material and modified to your preference, a map can be adjusted on the object using various tools that are available from the Materials panel on the ribbon.

See Also

    • Receive Product Updates and Announcements


Overview of Materials (Quick Reference)

Import Drawings into 3ds Max or Viz
Overview of Materials
Materials Tool Palettes
Render a Drawing for Presentation > Materials and Textures > Overview of Materials >
Overview of Materials
Concept Quick Reference

Commands

MATERIALATTACH

Attaches materials to objects by layer

MATERIALMAP

Displays a material mapper grip tool to adjust the mapping on a face or an object

MATERIALS

Manages, applies, and modifies materials

MATERIALSCLOSE

Closes the Materials window

System Variables

CMATERIAL

Sets the material of new objects

MATSTATE

Indicates whether the Materials window is open or closed

3DCONVERSIONMODE

Used to convert material and light definitions to the current product release

Utilities

No entries

Command Modifiers

No entries


Materials Tool Palettes

Overview of Materials
Materials and Textures
Materials Tool Palettes
Render a Drawing for Presentation > Materials and Textures >
Materials Tool Palettes
Concept Procedure

Use the Materials tool palettes to access materials.

Topics in this section

  • Materials Tool Palettes

    The Materials tool palettes gives you quick access to preset materials selections.


Materials Tool Palettes (Procedure)

Incorporate Luminaire Objects
Materials Tool Palettes
Materials Tool Palettes
Render a Drawing for Presentation > Materials and Textures > Materials Tool Palettes >
Materials Tool Palettes
Concept Procedure

To access the Materials window

To add a material to a tool palette


Materials Tool Palettes (Concept)

Materials Tool Palettes
Materials Tool Palettes
Create Materials
Render a Drawing for Presentation > Materials and Textures > Materials Tool Palettes >
Materials Tool Palettes
Concept Procedure Quick Reference

The Materials tool palettes gives you quick access to preset materials selections.

Materials Library

A library of over 400 materials and textures is included with the product. The materials are available on tool palettes after they are installed and are displayed on the palettes with a checkered underlay.

A typical installation installs less than 100 materials on the Materials tool palettes. An additional 300 or more materials are available by optionally installing the Materials library. The library can be accessed through the Configuration button on Add/Remove features in the installer. By default, all of the Materials tool palettes are installed in the Tool Palettes File Locations path specified on the Files tab of the Options dialog box. (See Texture Maps Search Path on the Files tab for the location of texture maps.)

NoteThe Materials library components are always installed to the default location. If you change the paths before you install the Materials library, the new materials are not displayed on the tool palettes and the texture maps are not referenced by the materials. Either copy the newly installed files to the location you want, or change the path back to the default.

Tool Palettes Window

The individual material palettes in the Tool Palettes window contain materials that you can apply to objects in the scene.

The Tool Palettes window can be “hidden.”

While it is hidden, only the vertical title bar is displayed. You can turn the visibility of the Tool Palettes window on and off as an open window or a vertical bar from the shortcut menu. Right-click on the title bar and use the shortcut menu to select Auto-hide. If Auto-hide is active, the hidden Tool Palettes window is displayed when you move your mouse over this bar. If Auto-hide is not active, the Tool Palettes window is always visible.

You can apply materials to objects from the individual tool palettes in the Tool Palettes window. You can also drag materials from the individual tool palettes to the Materials window swatch display. You can make changes to materials in the Materials window.

Tool Palette Shortcut Menus

Position the mouse over an empty area of the tool palette and right-click. The menu that is displayed contains standard tool palette commands.

Custom Tool Palettes

You can create a custom palette to display the materials in your workspace. This can save you time if you work with materials on a regular basis.

By clicking the Tool Palettes window title bar and clicking New Palette, you can create and name a new palette. The palette is customizable. You can add material tools by copying and pasting from other material palettes. The controls for doing so are on the Tool Palettes window shortcut menu.

Editing Materials and Saving Them

Make a copy of a material and paste it to the new palette. You can edit a material’s properties. Right-click the new material and click Properties. The material’s properties are displayed. The properties can be edited and saved by selecting OK.


Materials Tool Palettes (Procedure)

Materials Tool Palettes
Up a level to ..
Materials Tool Palettes
Render a Drawing for Presentation > Materials and Textures > Materials Tool Palettes > Materials Tool Palettes >
Materials Tool Palettes
Concept Procedure Quick Reference

To access the Materials window

To add a material to a tool palette


To access the Materials window (Procedure)

Materials Tool Palettes
Up a level to ..
Materials Tool Palettes
Render a Drawing for Presentation > Materials and Textures > Materials Tool Palettes > Materials Tool Palettes >
Materials Tool Palettes
Concept Procedure Quick Reference

To access the Materials window

  • Click Visualize tab [image] Materials panel [image] Materials.At the command prompt, enter materials.

    The Materials window is displayed.

Toolbar: Render
Shortcut menu: Right-click a material and click Export to Active Tool Palette.
Command entry: MATERIALS


To add a material to a tool palette (Procedure)

Materials Tool Palettes
Up a level to ..
Create Materials
Render a Drawing for Presentation > Materials and Textures > Materials Tool Palettes > Materials Tool Palettes >
Materials Tool Palettes
Concept Procedure Quick Reference

To add a material to a tool palette

  1. Click Visualize tab [image] Materials panel [image] Materials.At the command prompt, enter materials.
  2. Click Tools menu [image] Palettes [image] Tool Palettes.At the command prompt, enter toolpalettes.
  3. Click a tool palette tab that you want to add a material tool to make it active.
  4. In the Materials window, select a swatch.
  5. Drag a material swatch from the Materials window to the tool palette.

    A material tool is added the active tool palette, where it is easily accessible when you are working in a drawing.

NoteIf you change the properties of the material in the Materials window later, the material tool is not automatically updated. Delete the old material tool. Drag the updated swatch to create a new one.
Toolbar: Render
Shortcut menu: Right-click a material and click Export to Active Tool Palette.
Command entry: MATERIALS


Materials Tool Palettes (Quick Reference)

Overview of Materials
Materials Tool Palettes
Create Materials
Render a Drawing for Presentation > Materials and Textures > Materials Tool Palettes > Materials Tool Palettes >
Materials Tool Palettes
Concept Procedure Quick Reference

Commands

MATERIALATTACH

Attaches materials to objects by layer

MATERIALMAP

Displays a material mapper grip tool to adjust the mapping on a face or an object

MATERIALS

Manages, applies, and modifies materials

MATERIALSCLOSE

Closes the Materials window

System Variables

MATSTATE

Indicates whether the Materials window is open or closed

3DCONVERSIONMODE

Used to convert material and light definitions to the current product release

Utilities

No entries

Command Modifiers

No entries


Create Materials (Concept)

Materials Tool Palettes
Materials and Textures
Apply Materials to Objects and Faces
Render a Drawing for Presentation > Materials and Textures >
Create Materials
Concept Procedure Quick Reference

A material is defined by a number of properties. The available options depend on the material type selected.

You can create a new material in the Materials window. To open the Materials window, click Visualize tab [image] Materials panel [image] Materials.at the command prompt, enter materials. To create a new material, click the Create New Material button below the Available Materials in Drawing panel. In the Materials Editor section of the Materials window you can select a type of material and a template to create your new material. After you set these properties, you can modify your new materials even more by using maps, such as texture or procedural maps, Advanced Lighting Override, Material Scaling & Tiling, and Material Offset & Preview settings.

In the Material Editor panel, you can set the following properties:

  • Realistic and Realistic Metal types. Materials based on physical qualities. You can select a material template from a list of predefined materials such as Ceramic Tile, Glazed, Fabric, or Glass, and so on.
  • Advanced and Advanced Metal types. Materials with more options, including properties that you can use to create special effects; for example, simulated reflections. Advanced and Advanced Metal types do not offer material templates.

One material is always available in a new drawing, GLOBAL; by default, it uses the Realistic template. This material is applied to all objects by default until the material is changed on an object. You can use this material as a base for creating a new material.

Depending on the type of material you use, one or more of the following properties may be available for you to refine your material.

Color

The color of a material on an object is different in different areas of the object. For example, when you look at a red sphere, it does not appear to be uniformly red. The sides away from the light appear to be a darker red than the sides facing the light. The reflection highlight appears the lightest red. In fact, if the red sphere is very shiny, its highlight may appear to be white.

You can set three types of colors for a material that uses the Advanced or two colors for the Advanced Metal material type.

  • Diffuse. The main color of the material.
  • Ambient. The color that appears on faces lighted by ambient light alone. The ambient color may be the same as the diffuse color.
  • Specular. The color of a highlight on a shiny material. The specular color may be the same as the diffuse color.

The Realistic and Realistic Metal templates use only Diffuse color.

Shininess

The reflective quality of the material defines the degree of shininess or roughness. To simulate a shiny surface, the material has a small highlight, and its specular color is lighter, perhaps even white. A rougher material has a larger highlight that is closer to the main color of the material.

Other Properties

The following properties can be used to create specific effects:

  • Opacity. A completely opaque object does not allow the passage of light through its surface. An object with no opacity is transparent. (Not available for metal material types.)
  • Reflection. The reflection slider controls how reflective the material is. When set to 100, the material is fully reflective and the surrounding environment is reflected in the surface of any object to which the material is applied. (Not available for metal material types.)
  • Refraction. In translucent materials, light rays are bent as they pass through the material and thus distort objects that are seen through the material. For example, at 1.0, the object behind the transparent object is not distorted. At 1.5, the object is distorted greatly, as if it were seen through a glass marble. (Not available for metal material types.)

    Material

    Index of Refraction

    Vacuum

    1.0 (exactly)

    Air

    1.0003

    Water

    1.3333

    Glass

    1.5 to 1.7

    Diamond

    2.419

  • Translucency. A translucent object transmits light, but also scatters some light within the object; for example, frosted glass. The translucency value is a percentage: at 0.0, the material is not translucent; at 100.0, the material is as translucent as possible. (Not available for metal material types.)
  • Self-illumination. The object appears to be emitting its own light. For example, to simulate neon without using a light source, you could set a self-illumination value greater than zero. No light is cast on other objects.
  • Luminance. Luminance causes a material to simulate being lit by a photometric light source. How much light is emitted is a selected value in photometric units. No light is cast on other objects.
  • Two Sided Material. Two Sided Material sets the property of the material as two sided. Set this property if you want both sides of the material to be rendered in the scene.
See Also

    • Use Map Channels for Added Realism

    • Understand Map Types


Create Materials (Procedure)

Materials Tool Palettes
Create Materials
Create Materials
Render a Drawing for Presentation > Materials and Textures > Create Materials >
Create Materials
Concept Procedure Quick Reference

To display or hide the material panel of the ribbon

To create a new material using the Realistic material type

To create a new material using the Advanced material type


To display or hide the material panel of the ribbon (Procedure)

Create Materials
Create Materials
Create Materials
Render a Drawing for Presentation > Materials and Textures > Create Materials >
Create Materials
Concept Procedure Quick Reference

To display or hide the material panel of the ribbon

  1. On the ribbon, right-click anywhere in the Visualize tab.
  2. On the Visualize tab shortcut menu, check or uncheck Panels [image] Materials.
Toolbar: Render
Command entry: MATERIALS


To create a new material using the Realistic material type (Procedure)

Create Materials
Create Materials
Create Materials
Render a Drawing for Presentation > Materials and Textures > Create Materials >
Create Materials
Concept Procedure Quick Reference

To create a new material using the Realistic material type

  1. Click Visualize tab [image] Materials panel [image] Materials.At the command prompt, enter materials..
  2. In the Materials window, below the swatches, click Create a New Material.
  3. In the Create New Material dialog box, enter a name and an optional description. Click OK.
  4. In the Materials Editor section, for the material type, select Realistic.
  5. In the Materials Editor section, select a material template.
  6. Click Color to assign a diffuse color to the material, or select By Object to use the color of the object to which the material is attached.
  7. Use the sliders to set the properties for the shininess, opacity, refraction, translucency, and so on.
  8. (Optional) Select a map channel and a procedural map type. (See Use Map Channels for Added Realism and Understand Map Types)
Toolbar: Render
Command entry: MATERIALS


To create a new material using the Advanced material type (Procedure)

Create Materials
Create Materials
Apply Materials to Objects and Faces
Render a Drawing for Presentation > Materials and Textures > Create Materials >
Create Materials
Concept Procedure Quick Reference

To create a new material using the Advanced material type

  1. Click Visualize tab [image] Materials panel [image] Materials.At the command prompt, enter materials..
  2. In the Materials window, below the swatches, click Create a New Material.
  3. In the Create New Material dialog box, enter a name and an optional description. Click OK.
  4. In the Materials Editor section, Type drop-down list, select Advanced.
  5. Specify the material color options. You can select one or more colors from the following:
    • Click Ambient to specify the color that appears on those faces lighted by ambient light alone, or select By Object to use the color of the object to which the material is attached.
    • Click Diffuse to assign a color to the material, or select By Object to use the color of the object to which the material is attached.
    • Click Specular to specify the color of a highlight on a shiny material, or select By Object to use the color of the object to which the material is attached.
  6. (Optional) Click the first lock (between Ambient and Diffuse) to set the ambient color to the diffuse color. Click the second lock (between Diffuse and Specular) to set the specular color to the diffuse color.

    When a color is locked to another color, changing one changes the other.

  7. Use the sliders to set the properties for the shininess, opacity, refraction, translucency, and so on.
  8. (Optional) Add a map style and a procedural map type. (See Use Map Channels for Added Realism and Understand Map Types.)
Toolbar: Render
Command entry: MATERIALS


Create Materials (Quick Reference)

Materials Tool Palettes
Create Materials
Apply Materials to Objects and Faces
Render a Drawing for Presentation > Materials and Textures > Create Materials >
Create Materials
Concept Procedure Quick Reference

Commands

MATERIALATTACH

Attaches materials to objects by layer

MATERIALMAP

Displays a material mapper grip tool to adjust the mapping on a face or an object

MATERIALS

Manages, applies, and modifies materials

MATERIALSCLOSE

Closes the Materials window

System Variables

3DCONVERSIONMODE

Used to convert material and light definitions to the current product release

LOGEXPPHYSICALSCALE
MATSTATE

Indicates whether the Materials window is open or closed

Utilities

No entries

Command Modifiers

No entries


Apply Materials to Objects and Faces (Concept)

Create Materials
Materials and Textures
Modify Materials
Render a Drawing for Presentation > Materials and Textures >
Apply Materials to Objects and Faces
Concept Procedure Quick Reference

You can apply a material to individual objects and faces or to objects on a layer.

To apply a material to an object or a face (a triangular or quadrilateral portion of a surface object), you can drag the material from a tool palette onto the object. The material is added to the drawing, and it is also displayed as a swatch in the Materials window.

When you create or modify a material in the Materials window, you can

  • Drag the material swatch directly onto objects in your drawing.
  • Drag the material swatch onto the active tool palette to create a material tool.
  • Apply a material to objects by layer ( MATERIALATTACH). The material is applied to all objects on the layer whose Material property is set to BYLAYER (the default).
  • Assign a material to an object by clicking the Apply Materials to Object button in the Materials palette.


Apply Materials to Objects and Faces (Procedure)

Create Materials
Apply Materials to Objects and Faces
Apply Materials to Objects and Faces
Render a Drawing for Presentation > Materials and Textures > Apply Materials to Objects and Faces >
Apply Materials to Objects and Faces
Concept Procedure Quick Reference

To apply a material to an object from a tool palette

To apply a material to an object from the Materials window

To detach a material from an object

To apply a material by layer


To apply a material to an object from a tool palette (Procedure)

Apply Materials to Objects and Faces
Apply Materials to Objects and Faces
Apply Materials to Objects and Faces
Render a Drawing for Presentation > Materials and Textures > Apply Materials to Objects and Faces >
Apply Materials to Objects and Faces
Concept Procedure Quick Reference

To apply a material to an object from a tool palette

  1. Click Tools menu [image] Palettes [image] Tool Palettes.

    If the Tool Palettes window does not display materials, click Visualize tab [image] Materials panel [image] Materials.at the command prompt, enter materials..

  2. Click a tool palette tab to make it active.
  3. Drag the material from the tool palette onto the object.
Command entry: TOOLPALETTES


To apply a material to an object from the Materials window (Procedure)

Apply Materials to Objects and Faces
Apply Materials to Objects and Faces
Apply Materials to Objects and Faces
Render a Drawing for Presentation > Materials and Textures > Apply Materials to Objects and Faces >
Apply Materials to Objects and Faces
Concept Procedure Quick Reference

To apply a material to an object from the Materials window

  1. Click Visualize tab [image] Materials panel [image] Materials.At the command prompt, enter materials.
  2. In the Materials window, select the material you want to apply.
  3. Click Apply Material to Objects.
  4. Using the paintbrush cursor, select the object.

    The material is applied to each object as you select it.

Toolbar: Render
Command entry: MATERIALS


To detach a material from an object (Procedure)

Apply Materials to Objects and Faces
Apply Materials to Objects and Faces
Apply Materials to Objects and Faces
Render a Drawing for Presentation > Materials and Textures > Apply Materials to Objects and Faces >
Apply Materials to Objects and Faces
Concept Procedure Quick Reference

To detach a material from an object

  1. Click Visualize tab [image] Materials panel [image] Materials.At the command prompt, enter materials.
  2. In the Materials window, click Remove Materials from Selected Objects.
  3. Using the paintbrush cursor, select the object.

The material is removed from the object.

Toolbar: Render
Command entry: MATERIALS


To apply a material by layer (Procedure)

Apply Materials to Objects and Faces
Apply Materials to Objects and Faces
Modify Materials
Render a Drawing for Presentation > Materials and Textures > Apply Materials to Objects and Faces >
Apply Materials to Objects and Faces
Concept Procedure Quick Reference

To apply a material by layer

  1. At the Command prompt, enter materialattach.
  2. In the Material Attachment Options dialog box, drag a material onto a layer.

    The material is applied to all objects on the layer whose Material property is set to BYLAYER. BYLAYER is the default for the Material property when you create an object.


Apply Materials to Objects and Faces (Quick Reference)

Create Materials
Apply Materials to Objects and Faces
Modify Materials
Render a Drawing for Presentation > Materials and Textures > Apply Materials to Objects and Faces >
Apply Materials to Objects and Faces
Concept Procedure Quick Reference

Commands

MATERIALATTACH

Attaches materials to objects by layer

MATERIALMAP

Displays a material mapper grip tool to adjust the mapping on a face or an object

MATERIALS

Manages, applies, and modifies materials

MATERIALSCLOSE

Closes the Materials window

System Variables

CMATERIAL

Sets the material of new objects

MATSTATE

Indicates whether the Materials window is open or closed

3DCONVERSIONMODE

Used to convert material and light definitions to the current product release

Utilities

No entries

Command Modifiers

No entries


Modify Materials (Concept)

Apply Materials to Objects and Faces
Materials and Textures
Advanced Lighting Override
Render a Drawing for Presentation > Materials and Textures >
Modify Materials
Concept Procedure Quick Reference

The properties of a material can be modified after they are created and after they are applied.

After a material has been created and applied, it can be modified in the Materials window or, if the material has been assigned to a tool palette, in the Materials tool palette.

Materials Window

The material swatches that are available in the drawing are displayed at the top of the Materials window. When you select a material swatch, the properties for the material become active in the Material window sections.

The sections of the Materials window display different property settings.

  • Available Materials in Drawing. Displays material swatch previews and tool buttons.
  • Nested Map Navigation. Displays the active material and the materials in the mapping tree.
  • Material Editor. Displays the material types, templates, and properties.
  • Maps. Displays the map channels, map type selection, tool buttons, and provides access to procedural map controls.
  • Advanced Lighting Override. (Available under the Realistic and Realistic Metal material type.) Sets parameters that affect the rendering of the material when it is lit by photometric lights.
  • Material Scaling & Tiling. Specifies a map channel or synchronizes a scaling and tiling factor to be shared across all map levels. This section is used for 2D (Texture map, Checker, Gradient Ramp, Tiles) maps and map channels (diffuse, bump, opacity, reflection).
  • Material Offset & Preview. Specifies the Offset & Preview properties of maps on materials.

The Materials window is displayed. On the left, the panels are closed. On the right, some of the panels are expanded.

As you modify the settings, they are saved with the material swatch. The changes are displayed in the material swatch preview. When you render the drawing again, the changes occur on any objects that have the changed material.

You can change the name of the material and the material preview shape. Right-click the preview swatch, and click Edit Name and Description. By holding down the first button below the swatch preview window, a set of fly out buttons display different geometry options for the material preview.

NoteIf the material that you changed is on a tool palette, then you need to update the palette with the reused material.
See Also

    • Materials Tool Palettes


Modify Materials (Procedure)

Apply Materials to Objects and Faces
Modify Materials
Modify Materials
Render a Drawing for Presentation > Materials and Textures > Modify Materials >
Modify Materials
Concept Procedure Quick Reference

To change a material’s settings on a tool palette

To change the name of a material

To change the material preview shape


To change a material’s settings on a tool palette (Procedure)

Modify Materials
Modify Materials
Modify Materials
Render a Drawing for Presentation > Materials and Textures > Modify Materials >
Modify Materials
Concept Procedure Quick Reference

To change a material’s settings on a tool palette

  1. Select a tool palette.
  2. Right-click on a material and select Properties.

    The Tool Properties window is displayed.

  3. On the tool palette, right click the changed material.
  4. On the material’s shortcut menu, click Update Tool Image.
Command entry: TOOLPALETTES


To change the name of a material (Procedure)

Modify Materials
Modify Materials
Modify Materials
Render a Drawing for Presentation > Materials and Textures > Modify Materials >
Modify Materials
Concept Procedure Quick Reference

To change the name of a material

  1. Click Visualize tab [image] Materials panel [image] Materials.At the command prompt, enter materials.
  2. In the Materials window, select the material and right-click. Click Edit Name and Description.
  3. In the Edit Name and Description dialog box, change the name and description of the material.
Toolbar: Render
Command entry: MATERIALS


To change the material preview shape (Procedure)

Modify Materials
Modify Materials
Diffuse Map
Render a Drawing for Presentation > Materials and Textures > Modify Materials >
Modify Materials
Concept Procedure Quick Reference

To change the material preview shape

  1. Click Visualize tab [image] Materials panel [image] Materials.At the command prompt, enter materials.
  2. In the Materials window, click and hold down the first icon in the strip of buttons below the swatches.
  3. Select a different geometry for the material swatch.
Toolbar: Render
Command entry: MATERIALS


Modify Materials (Quick Reference)

Apply Materials to Objects and Faces
Modify Materials
Advanced Lighting Override
Render a Drawing for Presentation > Materials and Textures > Modify Materials >
Modify Materials
Concept Procedure Quick Reference

Commands

MATERIALATTACH

Attaches materials to objects by layer

MATERIALMAP

Displays a material mapper grip tool to adjust the mapping on a face or an object

MATERIALS

Manages, applies, and modifies materials

MATERIALSCLOSE

Closes the Materials window

System Variables

MATSTATE

Indicates whether the Materials window is open or closed

3DCONVERSIONMODE

Used to convert material and light definitions to the current product release

Utilities

No entries

Command Modifiers

No entries


Advanced Lighting Override (Concept)

Modify Materials
Materials and Textures
Using Maps for Added Realism
Render a Drawing for Presentation > Materials and Textures >
Advanced Lighting Override
Concept Quick Reference

Sets parameters to affect the rendering of a material when it is lit by indirect illumination from global illumination and/or final gather.

Advanced Lighting Override provides controls to change the properties of a material to affect the rendered scene. This control is only available for Realistic and Realistic Metal material types. Global illumination is an indirect illumination technique that allows for effects such as color bleeding. As light hits a colored object in the model, photons bounce to adjacent objects and tint them with the color of the original object. Indirect illumination enhances the realism of a scene by simulating radiosity, or the interreflection of light between objects in a scene. For more information on indirect illumination, global illumination and final gather, see Advanced Rendering.

You can set the following parameters:

  • Color bleed scale. Increases or decreases the saturation of reflected color.
  • Indirect bump scale. Scales the effect of the base material’s bump mapping in areas lit by indirect light.
  • Reflectance scale. Increases or decreases the amount of energy the material reflects. Reflectance is the percentage of diffuse light energy that is reflected from a material.
  • Transmittance scale. Increases or decreases the amount of energy the material transmits. Transmittance is the amount of light energy transmitted through a material. A completely opaque material has 0% transmittance.

Materials with a bright diffuse color or high shininess can be highly reflective. This can lead to overexposed or washed-out indirect illumination. In some situations, the controls in the Advanced Lighting Override can improve the appearance of the indirect illumination. Here are some examples of situations where the material's settings can help include color bleeding and large dark areas.

  • You might want to reduce Reflectance Scale or Color Bleed Scale when a large area of color (for example, a red carpet in a room with white walls) creates excessive color bleeding. This might be physically accurate, but the eye adjusts for such effects, and the indirect illumination result might look better with less reflectance or less color bleeding.
  • You might want to increase Reflectance Scale when the scene includes a large dark area (for example, a black floor). This can lead to a very dark result. You can maintain the floor's color but increase reflectance, giving the material the colors you want while increasing its brightness.

When the material is transparent (like clear glass), the energy transmitted is specular, and light passes directly through the material (subject to refraction). The value of specular transmittance depends on the material's Transparency setting. Usually, when a material has high transmittance, it has low reflectance, and the other way around.


Advanced Lighting Override (Quick Reference)

Modify Materials
Advanced Lighting Override
Using Maps for Added Realism
Render a Drawing for Presentation > Materials and Textures > Advanced Lighting Override >
Advanced Lighting Override
Concept Quick Reference

Commands

MATERIALATTACH

Attaches materials to objects by layer

MATERIALMAP

Displays a material mapper grip tool to adjust the mapping on a face or an object

MATERIALS

Manages, applies, and modifies materials

MATERIALSCLOSE

Closes the Materials window

System Variables

MATSTATE

Indicates whether the Materials window is open or closed

3DCONVERSIONMODE

Used to convert material and light definitions to the current product release

Utilities

No entries

Command Modifiers

No entries


Using Maps for Added Realism (Concept)

Advanced Lighting Override
Materials and Textures
Use Map Channels for Added Realism
Render a Drawing for Presentation > Materials and Textures >
Using Maps for Added Realism
Concept Quick Reference

Mapping is a way of increasing the complexity of a material.

Mapping uses various levels of map settings and properties. The hierarchy for maps are as follows:

  • Material type drives the map channels offered such as Diffuse, Reflection (only available on Advanced material types), Opacity, and Bump.
  • Map channel selections override the diffuse color assignment in the Materials Editor.
  • Map types, such as Texture Map, or procedural maps, such as Checker, Marble, and so on, are selected under a map channel. Texture Map does not have property settings other than at the top material level, but allows you to select an image to map to an object or face. Procedural maps have property settings at the next level.
  • With a sub-procedural map, you can nest a texture map or procedural map within another procedural map. It is only available if a procedural map is selected at the top level.

Topics in this section

  • Use Map Channels for Added Realism

    Map channels add the realism of texture to a material.

  • Understand Map Types

    You can select texture or procedural maps within each map channel (Diffuse, Reflection, Opacity, and Bump) to increase the complexity of a material.

  • Modify Map Properties

    Map properties can be modified to create complex patterns by changing the map settings.

  • Adjust Mapping on Objects and Faces

    After you attach a material with texture, you can adjust the orientation of the texture map on objects or faces.


Using Maps for Added Realism (Quick Reference)

Advanced Lighting Override
Using Maps for Added Realism
Use Map Channels for Added Realism
Render a Drawing for Presentation > Materials and Textures > Using Maps for Added Realism >
Using Maps for Added Realism
Concept Quick Reference

Commands

MATERIALATTACH

Attaches materials to objects by layer

MATERIALMAP

Displays a material mapper grip tool to adjust the mapping on a face or an object

MATERIALS

Manages, applies, and modifies materials

MATERIALSCLOSE

Closes the Materials window

System Variables

MATSTATE

Indicates whether the Materials window is open or closed

3DCONVERSIONMODE

Used to convert material and light definitions to the current product release

Utilities

No entries

Command Modifiers

No entries


Use Map Channels for Added Realism (Concept)

Using Maps for Added Realism
Using Maps for Added Realism
Diffuse Map
Render a Drawing for Presentation > Materials and Textures > Using Maps for Added Realism >
Use Map Channels for Added Realism
Concept Quick Reference

Map channels add the realism of texture to a material.

Map channels assign a pattern or texture to a material's color. The colors of the map replace the material's diffuse color when a map channel is selected.

After selecting a map channel you can use any Texture Map, or one of the Procedural Maps, such as wood and marble. For example, if you want a wall to be made out of brick, you can choose a texture map with an image of bricks. This is the most common kind of mapping. You can also use a procedural map, such as tiles or wood. The procedural maps have properties you can adjust for the effect you want; for example, the tiling size and mortar spacing for a brick patterned material or the spacing of the grain in a wood material.

The map you add to a material can be scaled or it can be fit to the object. The pattern can be tiled or rotated.

Maps are also available for other purposes. You can use more than one map for the same material and can create nested maps.

After you apply the map, you can adjust it to fit on the face or object by using material mapping.

NoteWhen Texture Compression is turned on, the amount of video memory required to open a drawing that contains materials with images is decreased. By using texture compression, the amount of video memory necessary to display the drawing is reduced, but the time it takes to load the images the first time that they are accessed is increased. Also, there is a reduction in the quality of the images when they are displayed in the viewport or plotted. When you create a rendering, there is no loss in image quality.

Topics in this section

  • Diffuse Map

    Diffuse map provides a pattern of colors for a material.

  • Reflection Map

    Reflection maps simulate a scene reflected on the surface of a shiny object.

  • Opacity Map

    Opacity maps create the illusion of opacity and transparency.

  • Bump Map

    A bump map simulates a bumpy or irregular surface.


Use Map Channels for Added Realism (Quick Reference)

Using Maps for Added Realism
Using Maps for Added Realism
Diffuse Map
Render a Drawing for Presentation > Materials and Textures > Using Maps for Added Realism > Use Map Channels for Added Realism >
Use Map Channels for Added Realism
Concept Quick Reference

Commands

MATERIALATTACH

Attaches materials to objects by layer

MATERIALMAP

Displays a material mapper grip tool to adjust the mapping on a face or an object

MATERIALS

Manages, applies, and modifies materials

MATERIALSCLOSE

Closes the Materials window

System Variables

MATSTATE

Indicates whether the Materials window is open or closed

3DCONVERSIONMODE

Used to convert material and light definitions to the current product release

Utilities

No entries

Command Modifiers

No entries


Diffuse Map (Concept)

Use Map Channels for Added Realism
Use Map Channels for Added Realism
Reflection Map
Render a Drawing for Presentation > Materials and Textures > Using Maps for Added Realism > Use Map Channels for Added Realism >
Diffuse Map
Concept Procedure Quick Reference

Diffuse map provides a pattern of colors for a material.

You can select an image file as a texture map or a procedural map to assign a pattern or texture to a material’s diffuse color. The colors of the map replace, or partially replace, the material’s diffuse color component in the Material Editor. This is the most common kind of mapping.

Mapping the diffuse color is like painting an image on the surface of the object. For example, if you want a wall to be made out of brick, you can choose an image file with a photograph of bricks, or you can use the procedural tiles map to simulate a brick pattern.


Diffuse Map (Procedure)

Modify Materials
Diffuse Map
Diffuse Map
Render a Drawing for Presentation > Materials and Textures > Using Maps for Added Realism > Use Map Channels for Added Realism > Diffuse Map >
Diffuse Map
Concept Procedure Quick Reference

To map the Diffuse map color

To remove a diffuse map from a material


To map the Diffuse map color (Procedure)

Diffuse Map
Diffuse Map
Diffuse Map
Render a Drawing for Presentation > Materials and Textures > Using Maps for Added Realism > Use Map Channels for Added Realism > Diffuse Map >
Diffuse Map
Concept Procedure Quick Reference

To map the Diffuse map color

  1. In the Materials window, select a material.
  2. In the Maps section, select Diffuse map.
  3. Select the Map Type such as Texture Map, or procedural maps such as Checker, Marble, Noise, and so on.
  4. For Texture map, select Image. For procedural maps, click the Click for <map type> Settings button for procedural map property settings.
  5. To preview the swatch, click the Preview Map Channel Procedural Results button.
Toolbar: Render
Command entry: MATERIALMAP


To remove a diffuse map from a material (Procedure)

Diffuse Map
Diffuse Map
Reflection Map
Render a Drawing for Presentation > Materials and Textures > Using Maps for Added Realism > Use Map Channels for Added Realism > Diffuse Map >
Diffuse Map
Concept Procedure Quick Reference

To remove a diffuse map from a material

  1. In the Materials window, select a material.
  2. In the Materials window, in the Maps section, clear the Dffuse map selection.
  3. Click the Delete Map Information from Material icon to remove the diffuse map from the material.

    You are prompted to delete all nested maps.

  4. Click Yes.

    The material Diffuse map and nested maps are deleted from the material.

Toolbar: Render
Command entry: MATERIALS


Diffuse Map (Quick Reference)

Use Map Channels for Added Realism
Use Map Channels for Added Realism
Reflection Map
Render a Drawing for Presentation > Materials and Textures > Using Maps for Added Realism > Use Map Channels for Added Realism > Diffuse Map >
Diffuse Map
Concept Procedure Quick Reference

Commands

MATERIALATTACH

Attaches materials to objects by layer

MATERIALMAP

Displays a material mapper grip tool to adjust the mapping on a face or an object

MATERIALS

Manages, applies, and modifies materials

MATERIALSCLOSE

Closes the Materials window

System Variables

MATSTATE

Indicates whether the Materials window is open or closed

3DCONVERSIONMODE

Used to convert material and light definitions to the current product release

Utilities

No entries

Command Modifiers

No entries


Reflection Map (Concept)

Diffuse Map
Use Map Channels for Added Realism
Opacity Map
Render a Drawing for Presentation > Materials and Textures > Using Maps for Added Realism > Use Map Channels for Added Realism >
Reflection Map
Concept Procedure Quick Reference

Reflection maps simulate a scene reflected on the surface of a shiny object.

Use a reflection map to simulate a scene reflected on the surface of a shiny object. For reflection maps to render well, the material should be shiny, and the reflection image itself should have a high resolution (at least 512 by 480 pixels). (Reflection maps are not available for Realistic and Realistic Metal material types.)


Reflection Map (Procedure)

Diffuse Map
Reflection Map
Reflection Map
Render a Drawing for Presentation > Materials and Textures > Using Maps for Added Realism > Use Map Channels for Added Realism > Reflection Map >
Reflection Map
Concept Procedure Quick Reference

To assign a reflection map

To remove a reflection map from a material


To assign a reflection map (Procedure)

Reflection Map
Reflection Map
Reflection Map
Render a Drawing for Presentation > Materials and Textures > Using Maps for Added Realism > Use Map Channels for Added Realism > Reflection Map >
Reflection Map
Concept Procedure Quick Reference

To assign a reflection map

  1. In the Materials window, select a material.
  2. In the Material Editor section, select the Advanced material type.
  3. In the Maps section, select Reflection map.
  4. Select the Map Type such as Texture Map, orprocedural maps such as Checker, Marble, Noise, and so on.
  5. For Texture map, select Image. For procedural maps, click the Click for <map type> Settings button.
  6. To preview the swatch, click the Preview Map Channel Procedural Results button.
  7. Use the reflection map slider to change the settings.
Toolbar: Render
Command entry: MATERIALS


To remove a reflection map from a material (Procedure)

Reflection Map
Reflection Map
Opacity Map
Render a Drawing for Presentation > Materials and Textures > Using Maps for Added Realism > Use Map Channels for Added Realism > Reflection Map >
Reflection Map
Concept Procedure Quick Reference

To remove a reflection map from a material

  1. In the Materials window, select a material.
  2. In the Maps section, clear the Reflection map selection.
  3. To remove the reflection map from the material, click Delete Map Information from Material.

    You are prompted to delete all nested maps.

  4. Click Yes.

    The reflection map and nested maps are deleted from the material.

Toolbar: Render
Command entry: MATERIALMAP


Reflection Map (Quick Reference)

Diffuse Map
Use Map Channels for Added Realism
Opacity Map
Render a Drawing for Presentation > Materials and Textures > Using Maps for Added Realism > Use Map Channels for Added Realism > Reflection Map >
Reflection Map
Concept Procedure Quick Reference

Commands

MATERIALATTACH

Attaches materials to objects by layer

MATERIALMAP

Displays a material mapper grip tool to adjust the mapping on a face or an object

MATERIALS

Manages, applies, and modifies materials

MATERIALSCLOSE

Closes the Materials window

System Variables

MATSTATE

Indicates whether the Materials window is open or closed

3DCONVERSIONMODE

Used to convert material and light definitions to the current product release

Utilities

No entries

Command Modifiers

No entries


Opacity Map (Concept)

Reflection Map
Use Map Channels for Added Realism
Bump Map
Render a Drawing for Presentation > Materials and Textures > Using Maps for Added Realism > Use Map Channels for Added Realism >
Opacity Map
Concept Procedure Quick Reference

Opacity maps create the illusion of opacity and transparency.

You can specify areas of opacity and transparency by using the opacity map channel. For example, when using a Realistic material type, if your image is a white circle in the middle of a black rectangle and you apply it as an opacity map, the surface appears to have a hole in it where the circle maps onto the object. When using a Realistic or Advanced material type, a black circle in the middle of a white rectangle would appear to have a hole in it where the circle maps onto the object. If the image is in color, the gray-scale value of each color is used.


Opacity Map (Procedure)

Reflection Map
Opacity Map
Opacity Map
Render a Drawing for Presentation > Materials and Textures > Using Maps for Added Realism > Use Map Channels for Added Realism > Opacity Map >
Opacity Map
Concept Procedure Quick Reference

To assign an Opacity map to a material

To remove an Opacity map from a material


To assign an Opacity map to a material (Procedure)

Opacity Map
Opacity Map
Opacity Map
Render a Drawing for Presentation > Materials and Textures > Using Maps for Added Realism > Use Map Channels for Added Realism > Opacity Map >
Opacity Map
Concept Procedure Quick Reference

To assign an Opacity map to a material

  1. In the Materials window, select a material.
  2. In the Maps section, select Opacity map.
  3. Select the Map Type such as Texture Map, orprocedural maps such as Checker, Marble, Noise, and so on.
  4. For Texture maps, select Image. For procedural maps, click the Click for <map type> Settings button..
  5. To preview the swatch, click the Preview Map Channel Procedural Results button.
  6. Use the Opacity map slider to change the settings.
Toolbar: Render
Command entry: MATERIALS


To remove an Opacity map from a material (Procedure)

Opacity Map
Opacity Map
Bump Map
Render a Drawing for Presentation > Materials and Textures > Using Maps for Added Realism > Use Map Channels for Added Realism > Opacity Map >
Opacity Map
Concept Procedure Quick Reference

To remove an Opacity map from a material

  1. In the Materials window, select a material.
  2. In the Maps section, clear the Opacity map selection.
  3. To remove the opacity map from the material, click Delete Map Information from Material.

    You are prompted to delete all nested maps.

  4. Click Yes.

    The Opacity map and nested maps are deleted from the material.

Toolbar: Render
Command entry: MATERIALS


Opacity Map (Quick Reference)

Reflection Map
Use Map Channels for Added Realism
Bump Map
Render a Drawing for Presentation > Materials and Textures > Using Maps for Added Realism > Use Map Channels for Added Realism > Opacity Map >
Opacity Map
Concept Procedure Quick Reference

Commands

MATERIALATTACH

Attaches materials to objects by layer

MATERIALMAP

Displays a material mapper grip tool to adjust the mapping on a face or an object

MATERIALS

Manages, applies, and modifies materials

MATERIALSCLOSE

Closes the Materials window

System Variables

MATSTATE

Indicates whether the Materials window is open or closed

3DCONVERSIONMODE

Used to convert material and light definitions to the current product release

Utilities

No entries

Command Modifiers

No entries


Bump Map (Concept)

Opacity Map
Use Map Channels for Added Realism
Understand Map Types
Render a Drawing for Presentation > Materials and Textures > Using Maps for Added Realism > Use Map Channels for Added Realism >
Bump Map
Concept Procedure Quick Reference

A bump map simulates a bumpy or irregular surface.

You can select an image file or procedural maps to use for bump mapping. Bump mapping makes an object appear to have a bumpy or irregular surface. When you render an object with a bump-mapped material, lighter (whiter) areas of the map appear to be raised and darker (blacker) areas appear to be low. If the image is in color, the gray-scale value of each color is used. Bump mapping increases rendering time significantly but adds to the realism.

Bump mapping uses the intensity of the map to affect the surface of the material. In this case, the intensity affects the apparent bumpiness of the surface: white areas protrude, and black areas recede.

Use bump maps when you want to take the smoothness off a surface, or to create an embossed look. Keep in mind, however, that the depth effect of a bump map is limited. If you want extreme depth in a surface, you should use modeling techniques instead.

The Bump map slider adjusts the degree of bumpiness. Higher values render as higher relief and low values render as low relief.

The bumps are a simulation created by perturbing face normals before the object is rendered. Because of this, bumps do not appear on the silhouette of bump-mapped objects.


Bump Map (Procedure)

Opacity Map
Bump Map
Bump Map
Render a Drawing for Presentation > Materials and Textures > Using Maps for Added Realism > Use Map Channels for Added Realism > Bump Map >
Bump Map
Concept Procedure Quick Reference

To assign a Bump map to a material

To remove a bump map from a material


To assign a Bump map to a material (Procedure)

Bump Map
Bump Map
Bump Map
Render a Drawing for Presentation > Materials and Textures > Using Maps for Added Realism > Use Map Channels for Added Realism > Bump Map >
Bump Map
Concept Procedure Quick Reference

To assign a Bump map to a material

  1. In the Materials window, select a material.
  2. In the Maps section, select the Bump map.
  3. Select the map type such as Texture Map, or procedural maps such as Checker, Marble, Noise, and so on.
  4. For Texture maps, select Image. For procedural maps, click the Click for <map type> Settings button..
  5. To preview the swatch, click the Preview Map Channel Procedural Results button.
  6. Select the Bump map slider to change the settings.
Toolbar: Render
Command entry: MATERIALS


To remove a bump map from a material (Procedure)

Bump Map
Bump Map
Texture Map
Render a Drawing for Presentation > Materials and Textures > Using Maps for Added Realism > Use Map Channels for Added Realism > Bump Map >
Bump Map
Concept Procedure Quick Reference

To remove a bump map from a material

  1. In the Materials window, select a material.
  2. In the Maps section, select Bump map.
  3. To remove the bump map from the material, click Delete Map Information from Material.

    You are prompted to delete all nested maps.

  4. Click Yes.

    The Bump map and nested maps are deleted from the material.

Toolbar: Render
Command entry: MATERIALS


Bump Map (Quick Reference)

Opacity Map
Use Map Channels for Added Realism
Understand Map Types
Render a Drawing for Presentation > Materials and Textures > Using Maps for Added Realism > Use Map Channels for Added Realism > Bump Map >
Bump Map
Concept Procedure Quick Reference

Commands

MATERIALATTACH

Attaches materials to objects by layer

MATERIALMAP

Displays a material mapper grip tool to adjust the mapping on a face or an object

MATERIALS

Manages, applies, and modifies materials

MATERIALSCLOSE

Closes the Materials window

System Variables

MATSTATE

Indicates whether the Materials window is open or closed

3DCONVERSIONMODE

Used to convert material and light definitions to the current product release

Utilities

No entries

Command Modifiers

No entries


Understand Map Types (Concept)

Bump Map
Using Maps for Added Realism
Texture Map
Render a Drawing for Presentation > Materials and Textures > Using Maps for Added Realism >
Understand Map Types
Concept Quick Reference

You can select texture or procedural maps within each map channel (Diffuse, Reflection, Opacity, and Bump) to increase the complexity of a material.

Map types include the following:

  • Texture Map. Uses an image file as a map.
  • Checker. Applies a two-color checkerboard pattern.
  • Gradient Ramp. Creates a variety of ramps, using colors, maps, and blends.
  • Marble. Applies a stone color and vein color pattern.
  • Noise. Creates random perturbation of a surface based on the interaction of two colors.
  • Speckle. Generates a speckled surface pattern.
  • Tiles. Applies a brick or stacked tiling of colors or material mappings.
  • Waves. Creates a watery or wavy effect.
  • Wood. Creates the color and grain pattern of wood.

Each map type has its own specific set of map controls. Within each map channel, you can control settings, such as disable a map, delete a map, or synchronize a map. To turn settings and value changes of the map channel on and off in order to synchronize to all map channels, use the Map Synchronize toggle button. Map Synchronization is turned on by default (the icon parts are combined). It is enabled when the icon is combined. If off, the parts are separated.

The Nested Map Navigation display is quick reference for the nested maps assigned to a material. To display the nested maps, click the drop-down arrow next to the name of the material.

After you apply a map type, you can adjust it to fit on a face or object using material mapping.

NoteWhen Texture Compression is turned on, the amount of video memory required to open a drawing that contains materials with images is decreased. By using texture compression, the amount of video memory necessary to display the drawing is reduced, but the time that it takes to load the images the first time that they are accessed is increased. Also, when images are displayed in the viewport or plotted, there is a loss of image quality. There is no loss of image quality when you create a rendering.

Topics in this section

  • Texture Map

    Texture maps are useful for creating many kinds of materials, such as wood grains and wall surfaces.

  • Procedural Maps

    Procedural maps add further realism to a material.


Understand Map Types (Quick Reference)

Bump Map
Using Maps for Added Realism
Texture Map
Render a Drawing for Presentation > Materials and Textures > Using Maps for Added Realism > Understand Map Types >
Understand Map Types
Concept Quick Reference

Commands

MATERIALATTACH

Attaches materials to objects by layer

MATERIALMAP

Displays a material mapper grip tool to adjust the mapping on a face or an object

MATERIALS

Manages, applies, and modifies materials

MATERIALSCLOSE

Closes the Materials window

System Variables

MATSTATE

Indicates whether the Materials window is open or closed

3DCONVERSIONMODE

Used to convert material and light definitions to the current product release

Utilities

No entries

Command Modifiers

No entries


Texture Map (Concept)

Understand Map Types
Understand Map Types
Procedural Maps
Render a Drawing for Presentation > Materials and Textures > Using Maps for Added Realism > Understand Map Types >
Texture Map
Concept Procedure Quick Reference

Texture maps are useful for creating many kinds of materials, such as wood grains and wall surfaces.

You can used the following file types to create texture maps:

  • BMP, RLE, or DIB
  • GIF
  • JFIF, JPG, or JPEG
  • PCX
  • PNG
  • TGA
  • TIFF

. To display he Texture Map Property Settings specific to Texture map, click the Click for Texture Map Settings button.

To return to the top level map after making changes to the property settings, at the top of the properties settings window, next to the Nested Map Navigation name display, click the Up One Level to Parent Map button

Examples of Texture maps


Texture Map (Procedure)

Bump Map
Texture Map
Texture Map
Render a Drawing for Presentation > Materials and Textures > Using Maps for Added Realism > Understand Map Types > Texture Map >
Texture Map
Concept Procedure Quick Reference

To add a Texture map to a material

To disable or remove a texture map from a material


To add a Texture map to a material (Procedure)

Texture Map
Texture Map
Texture Map
Render a Drawing for Presentation > Materials and Textures > Using Maps for Added Realism > Understand Map Types > Texture Map >
Texture Map
Concept Procedure Quick Reference

To add a Texture map to a material

  1. Click Visualize tab [image] Materials panel [image] Materials.At the command prompt, enter materials.
  2. In the Materials window, in the Available Materials in Drawing panel, click the Create New Material button.
  3. Select the Realistic material type.
  4. Select Diffuse map and select Texture map as the map type.
  5. Click Select Image and select an available image.
  6. Click the down arrow button for the Click for Texture Map Property Settings for additional controls for the map.
  7. Make changes to the Texture Map Property Settings.
  8. After changes are made, at the top of the properties settings window next to the Nested Map Navigation name display and down arrow button, click Up One Level to Parent Map to return to the top-level map.
  9. To display a larger view of the material swatch, click the Preview Map Channel Procedural Results button.
  10. Click the drop-down arrow in the Nested Map Navigation panel.

    The Texture Map is displayed.

After making changes to the material you can apply materials to objects and faces.

Toolbar: Render


To disable or remove a texture map from a material (Procedure)

Texture Map
Texture Map
Procedural Maps
Render a Drawing for Presentation > Materials and Textures > Using Maps for Added Realism > Understand Map Types > Texture Map >
Texture Map
Concept Procedure Quick Reference

To disable or remove a texture map from a material

  1. Click Visualize tab [image] Materials panel [image] Materials.At the command prompt, enter materials.
  2. In the Materials window, in the Available Materials in Drawing panel, select a material swatch or create one by clicking the Create a New Material button.
  3. Select the Realistic material type.
  4. Select Diffuse Map and select Texture Map as the map type.
  5. Click Select Image and select an available image.
  6. In the Nested Map Navigation, click the drop-down arrow.

    The Diffuse and the Texture Map image name are displayed.

  7. Clear the Diffuse Map check box.
  8. In the Nested Map Navigation panel, click the drop down arrow.

    The Diffuse and the Texture Map image name are greyed out and disabled.

  9. Select the Diffuse Map check box.
  10. In the Nested Map Navigation panel, click the drop down arrow.

    The Diffuse and Texture Map image name are enabled.

  11. In the Diffuse Map channel panel, click the Delete Map Information from Material button to delete the Texture Map assigned to the material.
  12. In the Nested Map Navigation panel, click the drop down arrow.

    The texture map image name is no longer displayed in the navigation list.

Toolbar: Render


Texture Map (Quick Reference)

Understand Map Types
Understand Map Types
Procedural Maps
Render a Drawing for Presentation > Materials and Textures > Using Maps for Added Realism > Understand Map Types > Texture Map >
Texture Map
Concept Procedure Quick Reference

Commands

MATERIALATTACH

Attaches materials to objects by layer

MATERIALMAP

Displays a material mapper grip tool to adjust the mapping on a face or an object

MATERIALS

Manages, applies, and modifies materials

MATERIALSCLOSE

Closes the Materials window

System Variables

MATSTATE

Indicates whether the Materials window is open or closed

3DCONVERSIONMODE

Used to convert material and light definitions to the current product release

Utilities

No entries

Command Modifiers

No entries


Procedural Maps (Concept)

Texture Map
Understand Map Types
Checker
Render a Drawing for Presentation > Materials and Textures > Using Maps for Added Realism > Understand Map Types >
Procedural Maps
Concept Procedure Quick Reference

Procedural maps add further realism to a material.

Unlike bitmap images, which are produced by a fixed matrix of colored pixels like a mosaic, a procedural map is generated by a mathematical algorithm. Consequently, the types of controls you find for a procedural map vary depending on the capabilities of the procedure. A procedural map can be generated in either two or three dimensions. You can also nest texture or procedural maps within another procedural map to add depth and complexity to the material.

Examples of procedural maps with variations. Top row: Marble, Checker, Speckle and Waves. Bottom row: Tiles, Noise and Wood.

Topics in this section

  • Checker

    Applies a two-color checkerboard pattern to the material.

  • Gradient Ramp

    Creates ramps using colors, maps, and blends.

  • Marble

    Applies a stone color and vein color pattern.

  • Noise

    Creates random perturbation of a surface based on the interaction of two colors, texture maps or a combination.

  • Speckle

    Generates a speckled surface pattern.

  • Tiles

    Applies a brick or stacked tiling of colors or material mappings.

  • Waves

    Simulates water or wave effects.

  • Wood

    Creates the color and grain pattern of wood.


Procedural Maps (Procedure)

Texture Map
Procedural Maps
Procedural Maps
Render a Drawing for Presentation > Materials and Textures > Using Maps for Added Realism > Understand Map Types > Procedural Maps >
Procedural Maps
Concept Procedure Quick Reference

To add a procedural map to a material

To disable or remove a procedural map from a material

To nest a procedural map within another procedural map


To add a procedural map to a material (Procedure)

Procedural Maps
Procedural Maps
Procedural Maps
Render a Drawing for Presentation > Materials and Textures > Using Maps for Added Realism > Understand Map Types > Procedural Maps >
Procedural Maps
Concept Procedure Quick Reference

To add a procedural map to a material

  1. Click Visualize tab [image] Materials panel [image] Materials.At the command prompt, enter materials.
  2. In the Materials window, Available Materials in Drawing panel, click the Create a New Material button.
  3. Select the Realistic material type.
  4. Select Diffuse map, and select a procedural map as the map type (Checker, Gradient Ramp, Marble, Noise, Speckle, Tile, Waves or Wood).
  5. For additional map property settings, click the Click for <map type> Settings button.
  6. Make changes to the Texture Map Property Settings map property settings.
  7. To return to the top-level map, at the top of the properties settings window, click Up One Level to Parent Map.
  8. To display a larger view of the material swatch, click Preview Map Channel Procedural Results.
  9. In the Nested Map Navigation panel, click the drop-down arrow.

    The procedural map is displayed. Example: Diffuse : Checker

NoteEach procedural map type has different property settings available. For more information, see Map Property Settings in the Command Reference.

After making changes to the material you can apply materials to objects and faces.

Toolbar: Render


To disable or remove a procedural map from a material (Procedure)

Procedural Maps
Procedural Maps
Procedural Maps
Render a Drawing for Presentation > Materials and Textures > Using Maps for Added Realism > Understand Map Types > Procedural Maps >
Procedural Maps
Concept Procedure Quick Reference

To disable or remove a procedural map from a material

  1. Click Visualize tab [image] Materials panel [image] Materials.At the command prompt, enter materials.
  2. In the Materials window, Available Materials in Drawing panel, select a material swatch or create one by clicking the Create a New Material button.
  3. Select the Realistic material type.
  4. Select Diffuse Map and select a procedural map as the Map type (Checker, Gradient Ramp, Marble, Noise, Speckle, Tile, Waves or Wood).
  5. Select the drop down arrow in the Nested Map Navigation. The Diffuse and the procedural map name are displayed. Example: Diffuse : Checker.
  6. Clear the Diffuse Map check box.
  7. In the Nested Map Navigation panel, click the drop-down arrow.

    The Diffuse and the procedural map name are grayed out and disabled.

  8. Select the Diffuse Map check box.
  9. Select the drop down arrow in the Nested Map Navigation panel. The Diffuse and procedural map name are enabled.
  10. In the Diffuse Map channel panel, click the Delete Map Information from Material button to delete the Texture Map assigned to the material. It is an icon with the red x.
  11. Select the drop down arrow in the Nested Map Navigation panel. The procedural map name is no longer displayed in the navigation list.
Toolbar: Render


To nest a procedural map within another procedural map (Procedure)

Procedural Maps
Procedural Maps
Adjust Mapping on Objects and Faces
Render a Drawing for Presentation > Materials and Textures > Using Maps for Added Realism > Understand Map Types > Procedural Maps >
Procedural Maps
Concept Procedure Quick Reference

To nest a procedural map within another procedural map

  1. Click Visualize tab [image] Materials panel [image] Materials.At the command prompt, enter materials.
  2. In the Materials window, in the Available Materials in Drawing panel, click the Create a New Material button.
  3. Select the Realistic material type.
  4. Select Diffuse Map and select Checker as the map type.
  5. For Checker Settings, click the down arrow button.
  6. For Color 1, select Speckle as the map type. For Color 2, select Wood as the map type.
  7. To return to the top-level map, click the Up One Level to Parent Map button.
  8. To display a larger view of the material swatch, click the Preview Map Channel Procedural Results button.
  9. To see the nested list of materials, in the Nested Map Navigation panel, click the drop-down arrow.
NoteEach procedural map type has different property settings available. For more information, see Map Property Settings.

After making changes to the material you can apply materials to objects and faces.

Toolbar: Render


Procedural Maps (Quick Reference)

Texture Map
Understand Map Types
Modify Map Properties
Render a Drawing for Presentation > Materials and Textures > Using Maps for Added Realism > Understand Map Types > Procedural Maps >
Procedural Maps
Concept Procedure Quick Reference

Commands

MATERIALATTACH

Attaches materials to objects by layer

MATERIALMAP

Displays a material mapper grip tool to adjust the mapping on a face or an object

MATERIALS

Manages, applies, and modifies materials

MATERIALSCLOSE

Closes the Materials window

System Variables

MATSTATE

Indicates whether the Materials window is open or closed

3DCONVERSIONMODE

Used to convert material and light definitions to the current product release

Utilities

No entries

Command Modifiers

No entries


Checker

Procedural Maps
Procedural Maps
Gradient Ramp
Render a Drawing for Presentation > Materials and Textures > Using Maps for Added Realism > Understand Map Types > Procedural Maps >
Checker

Applies a two-color checkerboard pattern to the material.

The default checker map is a pattern of black and white squares. The component checks can be either colors or maps. You can preview this map in the swatch preview.

An example of the Checker map

To display the map property settings specific to Checker, click the Click for Checker Settings button. For more information, see Checker Property Settings.


Gradient Ramp

Checker
Procedural Maps
Marble
Render a Drawing for Presentation > Materials and Textures > Using Maps for Added Realism > Understand Map Types > Procedural Maps >
Gradient Ramp

Creates ramps using colors, maps, and blends.

You can make highly customized gradients with the Gradient Ramp procedural map. Gradient Ramp uses several colors, sub-procedural maps or a combination of both to create shades or ramps from one to another.

An example of the Gradient Ramp map

To display the map property settings specific to Gradient Ramp, click the Click for Gradient Ramp Settings button. For more information, see Gradient Ramp Property Settings.


Marble

Gradient Ramp
Procedural Maps
Noise
Render a Drawing for Presentation > Materials and Textures > Using Maps for Added Realism > Understand Map Types > Procedural Maps >
Marble

Applies a stone color and vein color pattern.

You can use the Marble map to specify stone and vein color. You can modify the vein spacing and vein width.

An example of the Marble map

To display the map property settings specific to Marble, click the Click for Marble Settings button. For more information, see Marble Property Settings.


Noise

Marble
Procedural Maps
Speckle
Render a Drawing for Presentation > Materials and Textures > Using Maps for Added Realism > Understand Map Types > Procedural Maps >
Noise

Creates random perturbation of a surface based on the interaction of two colors, texture maps or a combination.

You can use Noise to attenuate the repetitiveness aspect of bitmap and tiles. The noise procedural map uses two colors, sub-procedural maps or a combination of both to create a random pattern.

An example of the Noise map

To display the map property settings specific to Noise, click the Click for Noise Settings button. For more information, see Noise Property Settings.


Speckle

Noise
Procedural Maps
Tiles
Render a Drawing for Presentation > Materials and Textures > Using Maps for Added Realism > Understand Map Types > Procedural Maps >
Speckle

Generates a speckled surface pattern.

The Speckle map is useful for diffuse mapping and bump mapping to create granite-like and other patterned surfaces.

An example of the Speckle map

To display the map property settings specific to Speckle, click the Click for Speckle Settings button. For more information, see Speckle Property Settings.


Tiles

Speckle
Procedural Maps
Waves
Render a Drawing for Presentation > Materials and Textures > Using Maps for Added Realism > Understand Map Types > Procedural Maps >
Tiles

Applies a brick or stacked tiling of colors or material mappings.

You can use the Tiles map to design custom brick patterns. The Materials Tool Palette provides commonly defined architectural brick patterns, which you can select and modify in the Materials window.

An example of the Tiles map

To display the map property settings specific to Tiles, click the Click for Tiles Settings button. For more information, see Tiles Property Settings.


Waves

Tiles
Procedural Maps
Wood
Render a Drawing for Presentation > Materials and Textures > Using Maps for Added Realism > Understand Map Types > Procedural Maps >
Waves

Simulates water or wave effects.

You can use the Bump map to simulate the surface of a body of water. The Waves map generates a number of spherical wave centers and randomly distributes them over a sphere. You can control the number of wave sets, the amplitude, and the speed of the waves. This map works effectively as both a diffuse and bump map at the same time, or combined with an opacity map.

An example of the Waves map

To display the map property settings specific to Waves, click the Click for Waves Settings button. For more information, see Waves Property Settings.


Wood

Waves
Procedural Maps
Modify Map Properties
Render a Drawing for Presentation > Materials and Textures > Using Maps for Added Realism > Understand Map Types > Procedural Maps >
Wood

Creates the color and grain pattern of wood.

Use the Wood map to create the realistic color and grain properties of wood.

An example of the Wood map

To display the map property settings specific to Wood, click the Click for Wood Settings button. For more information, see Wood Property Settings.


Modify Map Properties (Concept)

Wood
Using Maps for Added Realism
Adjust Mapping on Objects and Faces
Render a Drawing for Presentation > Materials and Textures > Using Maps for Added Realism >
Modify Map Properties
Concept Quick Reference

Map properties can be modified to create complex patterns by changing the map settings.

After you add a map channel and a map type to a material, you can refine a material by modifying pertinent map properties. You can use the map controls to adjust the properties for the map. Click the Click for <map type> Settings button to display a set of controls. The map property settings that are displayed depend upon the selected map type.

Material Scaling & Tiling

You can specify the scaling and tiling for maps on materials using Material Scaling and Tiling, which is available at the top material level. For the procedural map level, scaling and mapping are only available on the 2D sub-procedural map types (Texture Map, Checker, Gradient Ramp and Tiles).For more information, see Material Scaling & Tiling and Material Scaling & Tiling for Sub-procedural Maps.

Each map has its own scaling and tiling factors. To synchronize the scaling and tiling between all maps, click the synchronize icon.

The following are settings available to control the material scaling and tiling of a material:

  • Tile, Mirror, None. You can tile or mirror a material to create a pattern, or select None for no modification to the map pattern.
  • Scale Units. You can specifyreal-world units to use in scaling. Select None to use a fixed scale or Fit to Gizmo to fit the image to the face or object.
  • UV Settings. You can control the coordinates of the material on a swatch. As these settings are changed, a preview is displayed in the Material Offset & Preview panel.
  • Synchronize Settings. You can synchronize the scaling and tiling between all maps by selecting the synchronize button.
NoteUVW is used as the material coordinate space because XYZ is usually reserved for the world coordinate system (WCS). Most material maps are a 2D plane assigned to a 3D surface. The U, V, and W coordinates parallel the relative directions of X, Y, and Z coordinates. If you look at a 2D map image, U is the equivalent of X, and represents the horizontal direction of the map. V is the equivalent of Y, and represents the vertical direction of the map. W is the equivalent of Z and represents a direction perpendicular to the UV plane of the map.

You can apply an image and repeat the image as a pattern using Tiling. This effect is used to represent a tiled floor or fountain.

An example of tiling a map

Tiling wraps the selected object with the map image. In default mapping, tiling is active. Because the map is scaled to fit the object, you must offset the UV coordinates or rotate the map to see the tiling effect. The portions of the surface from which the image has moved away are filled by other portions of the map.

An example of mirroring a map

Mirroring doubles the map and flips the doubled copy. As with tiling, you can mirror in the U dimension, the V dimension, or both.

Material Offset & Preview

You can specify the material offset and preview settings for maps at all map levels. For more information, see Material Offset & Preview and Material Scaling & Tiling for Sub-procedural Maps.

Each map has its own material offset and preview factors. To synchronize the offset and preview between all maps, click the synchronize button.

The following are settings available to control the material offset and preview of a material:

  • UV Settings. You can control the coordinates of the material on a swatch. As these settings are changed, the change and settings appear in the preview.
  • Rotation. You can rotate the image around the W axis of the UVW coordinate system. Use the command MATERIALMAP to display the mapping gizmo that can rotate box, planar, spherical and cylindrical maps.
  • Synchronize Settings.You can synchronize the scaling and tiling between all maps by clicking the synchronize button. The settings and value changes of the map channel are synchronized to all map channels.

An example of rotating a map


Modify Map Properties (Quick Reference)

Procedural Maps
Using Maps for Added Realism
Adjust Mapping on Objects and Faces
Render a Drawing for Presentation > Materials and Textures > Using Maps for Added Realism > Modify Map Properties >
Modify Map Properties
Concept Quick Reference

Commands

MATERIALATTACH

Attaches materials to objects by layer

MATERIALMAP

Displays a material mapper grip tool to adjust the mapping on a face or an object

MATERIALS

Manages, applies, and modifies materials

MATERIALSCLOSE

Closes the Materials window

System Variables

MATSTATE

Indicates whether the Materials window is open or closed

3DCONVERSIONMODE

Used to convert material and light definitions to the current product release

Utilities

No entries

Command Modifiers

No entries


Adjust Mapping on Objects and Faces (Concept)

Modify Map Properties
Using Maps for Added Realism
Converting Materials
Render a Drawing for Presentation > Materials and Textures > Using Maps for Added Realism >
Adjust Mapping on Objects and Faces
Concept Procedure Quick Reference

After you attach a material with texture, you can adjust the orientation of the texture map on objects or faces.

When materials are mapped, you can adjust the material to fit the shape of the object. Applying the appropriate type of material mapping to an object improves the fit.

  • Planar mapping. Maps the image onto the object as if you were projecting it from a slide projector onto a 2D surface. The image is not distorted, but the image is scaled to fit the object. This mapping is most commonly used for faces.
  • Box mapping. Maps an image onto a boxlike solid. The image is repeated on each side of the object.
  • Spherical mapping. Maps an image onto a spherical object. The top edge of the map is compressed to a point at the “north pole” of the sphere, as is the bottom edge at the “south pole.”
  • Cylindrical mapping. Maps an image onto a cylindrical object; the horizontal edges are wrapped together but not the top and bottom edges. The height of the image is scaled along the cylinder’s axis.

Mapping Gizmo

If you need to make further adjustments, you can use the mapping gizmo that is displayed on the object to move or rotate the map on the object.

The mapping gizmos are viewport icons that let you quickly choose one or two axes when transforming a selection with the mouse. You choose an axis by placing the mouse over any axis of the icon, then drag the mouse to transform the selection along that axis. When moving or scaling an object, you can use other areas of the gizmo to perform transforms along any two axes simultaneously. Using a gizmo lets you switch quickly and easily between different transform axes and planes.


To adjust the position of a map on an object or a face (Procedure)

Procedural Maps
Adjust Mapping on Objects and Faces
Prepare a Model for Rendering
Render a Drawing for Presentation > Materials and Textures > Using Maps for Added Realism > Adjust Mapping on Objects and Faces >
Adjust Mapping on Objects and Faces
Concept Procedure Quick Reference

To adjust the position of a map on an object or a face

  1. Select an object.
  2. On the ribbon, click Visualize tab [image] Materials panel.
  3. Click the Planar Mapping flyout and select a map type.

  4. A material mapper grip tool is displayed on the object.

  5. Use the grip tools and the representation of the object to adjust the display of the image on the object or face.
Toolbar: Render
Command entry: MATERIALMAP


Adjust Mapping on Objects and Faces (Quick Reference)

Modify Map Properties
Using Maps for Added Realism
Converting Materials
Render a Drawing for Presentation > Materials and Textures > Using Maps for Added Realism > Adjust Mapping on Objects and Faces >
Adjust Mapping on Objects and Faces
Concept Procedure Quick Reference

Commands

MATERIALATTACH

Attaches materials to objects by layer

MATERIALMAP

Displays a material mapper grip tool to adjust the mapping on a face or an object

MATERIALS

Manages, applies, and modifies materials

MATERIALSCLOSE

Closes the Materials window

System Variables

MATSTATE

Indicates whether the Materials window is open or closed

3DCONVERSIONMODE

Used to convert material and light definitions to the current product release

Utilities

No entries

Command Modifiers

No entries


Converting Materials (Concept)

Adjust Mapping on Objects and Faces
Materials and Textures
Render 3D Objects for Realism
Render a Drawing for Presentation > Materials and Textures >
Converting Materials
Concept Quick Reference

Depending on the version of AutoCAD or other product converting materials need to be considered.

New materials with procedural settings created in AutoCAD 2008 will not be convertible to previous versions of AutoCAD, except for the materials with procedural maps Marble and Wood. Marble and Wood existed in AutoCAD 2007 and will convert properly. Procedural maps that existed in AutoCAD 2007 (Marble and Wood) are convertible from AutoCAD 2008 to AutoCAD 2007. When opening a drawing with the new procedural maps offered in AutoCAD 2008 with AutoCAD 2007, the objects will appear with the AutoCAD 2008 material applied, but with default AutoCAD 2007 property settings in the Material window. If no changes are made to the material in AutoCAD 2007, then the material information will round trip back into AutoCAD 2008 with the original AutoCAD 2008 material properties settings.

Converting materials from drawings prior to AutoCAD 2007

There is a conversion process required for drawings prior to AutoCAD 2007. A system variable can be used to automatically convert drawings with materials from previous versions to the AutoCAD 2007 and AutoCAD 2008 materials format. The system variable is 3DCONVERSIONMODE. There are three settings. If the variable is set to 0, no conversion will take place. If it is set to a value of 1, the default value, the conversion will take place automatically. If the value is set to 2, then the user will be prompted when materials need to be converted and will have the option to convert or not to convert.

If the system variable 3DCONVERSIONMODE is set to 0, no automatic conversion will take place. The command CONVERTOLDMATERIALS can be used to convert the old materials manually.


Converting Materials (Quick Reference)

Adjust Mapping on Objects and Faces
Converting Materials
Overview of Rendering
Render a Drawing for Presentation > Materials and Textures > Converting Materials >
Converting Materials
Concept Quick Reference

Commands

CONVERTOLDMATERIALS

Converts materials created in previous drawing file formats to the current format

MATERIALATTACH

Attaches materials to objects by layer

MATERIALMAP

Displays a material mapper grip tool to adjust the mapping on a face or an object

MATERIALS

Manages, applies, and modifies materials

MATERIALSCLOSE

Closes the Materials window

System Variables

MATSTATE

Indicates whether the Materials window is open or closed

3DCONVERSIONMODE

Used to convert material and light definitions to the current product release

Utilities

No entries

Command Modifiers

No entries


Render 3D Objects for Realism

Converting Materials
Render a Drawing for Presentation
Overview of Rendering
Render a Drawing for Presentation >
Render 3D Objects for Realism

A realistic rendering of a model can often give a product team or prospective client a clearer vision of a conceptual design than a plotted drawing.

Most drafting time is spent working on line representations of a model. On occasion, however, you might need to see a more realistic image involving color and perspective—for example, when verifying your design or when presenting a final design.

Topics in this section

  • Overview of Rendering

    Rendering creates a 2D image based on your 3D scene. It shades the scene's geometry using the lighting you've set up, the materials you've applied, and environmental settings such as background and fog.

  • Prepare a Model for Rendering

    The way a model is built plays an important role in optimizing rendering performance and image quality.

  • Set Up the Renderer

    You can control many of the settings that affect how the renderer processes a rendering task, especially when rendering higher quality images.

  • Basics of Rendering

    While the final goal is to create a photorealistic, presentation-quality image that illustrates your vision, you create many renderings before you reach that goal.

  • Advanced Rendering

    Advanced rendering techniques allow you to render highly detailed and photorealistic images.

  • Rendered Image Histories

    The render history maintains a list of recently rendered images generated from the currently loaded model.

  • Save and Redisplay Rendered Images

    You can save a rendering and then redisplay it later. Redisplaying is much faster than rendering again.


Overview of Rendering (Concept)

Render 3D Objects for Realism
Render 3D Objects for Realism
Prepare a Model for Rendering
Render a Drawing for Presentation > Render 3D Objects for Realism >
Overview of Rendering
Concept Quick Reference

Rendering creates a 2D image based on your 3D scene. It shades the scene's geometry using the lighting you've set up, the materials you've applied, and environmental settings such as background and fog.

The renderer is a general-purpose renderer that generates physically correct simulations of lighting effects, including ray-traced reflections and refractions, and global illumination.

A range of standard rendering presets, reusable rendering parameters, are available. Some of the presets are tailored for relatively quick preview renderings while others are for higher quality renderings.

See Also

    • Receive Product Updates and Announcements


Overview of Rendering (Quick Reference)

Converting Materials
Overview of Rendering
Understand Face Normals and Hidden Surfaces
Render a Drawing for Presentation > Render 3D Objects for Realism > Overview of Rendering >
Overview of Rendering
Concept Quick Reference

Commands

RENDER

Creates a photorealistic or realistically shaded image of a 3D wireframe or solid model

RENDERCROP

Selects a specific region (crop window) in an image for rendering

RENDERENVIRONMENT

Provides visual cues for the apparent distance of objects

RENDERPRESETS

Specifies render presets, reusable rendering parameters, for rendering an image

RENDERWIN

Displays the Render Window without invoking a render task

RPREF

Displays the Advanced Render Settings palette for access to advanced rendering settings

RPREFCLOSE

Closes the Render Settings palette if it is displayed

SAVEIMG

Saves a rendered image to a file

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Prepare a Model for Rendering

Overview of Rendering
Render 3D Objects for Realism
Understand Face Normals and Hidden Surfaces
Render a Drawing for Presentation > Render 3D Objects for Realism >
Prepare a Model for Rendering
Concept Procedure

The way a model is built plays an important role in optimizing rendering performance and image quality.

Topics in this section

  • Understand Face Normals and Hidden Surfaces

    In order to minimize the time it takes to render a model, it is common practice to remove hidden surfaces or hide objects that are positioned off camera. Furthermore, ensuring that all face normals orient in the same direction can also speed up the rendering process.

  • Minimize Intersecting and Coplanar Faces

    Certain kinds of geometry create special rendering problems.

  • Balance Mesh Density for Smooth Geometry

    When you render a model, the density of the mesh affects the smoothness of surfaces.


Prepare a Model for Rendering (Procedure)

Adjust Mapping on Objects and Faces
Prepare a Model for Rendering
Understand Face Normals and Hidden Surfaces
Render a Drawing for Presentation > Render 3D Objects for Realism > Prepare a Model for Rendering >
Prepare a Model for Rendering
Concept Procedure

To make sure both normals of a face get rendered

To alter the render resolution of solid geometry

To alter the display resolution of arcs and circles


Understand Face Normals and Hidden Surfaces (Concept)

Prepare a Model for Rendering
Prepare a Model for Rendering
Minimize Intersecting and Coplanar Faces
Render a Drawing for Presentation > Render 3D Objects for Realism > Prepare a Model for Rendering >
Understand Face Normals and Hidden Surfaces
Concept Procedure Quick Reference

In order to minimize the time it takes to render a model, it is common practice to remove hidden surfaces or hide objects that are positioned off camera. Furthermore, ensuring that all face normals orient in the same direction can also speed up the rendering process.

Every surface that you model is made up of faces. Faces are either triangular or quadrilateral and each face has an inward and outward oriented side. The direction in which a face is pointing is defined by a vector called a normal. The direction of the normal indicates the front, or outer surface of the face.

When normals are unified and point in the same outward direction, the renderer processes each face and renders the model. If any normals are flipped, facing inward, the renderer skips them and leaves triangular or quadrilateral “holes” in the rendered image.

In instances where you see a hole, it usually means one of two things: Force 2-Sided is turned off in the Render Settings palette or the face is physically missing from the model.

If the face is actually missing, you’ll need to manually reconstruct it. The direction of normals is determined by the way a face is drawn in a right-handed coordinate system: if you draw the face counter-clockwise, the normals point outward; if you draw the face clockwise, the normals point inward. You should draw faces consistently.

NoteSolid objects have meshes and normals correctly oriented, which can be an aid to creating models for rendering.

When rendering, the renderer searches for all normals that point away from the viewpoint and removes the associated faces from the scene. This removal step is called back-face culling and is controlled by the Force 2-Sided option on the Render Settings palette.

After the back faces have been removed, the renderer uses a Z buffer to compare relative distances along the Z axis. If the Z buffer indicates that one face overlaps another, the renderer removes the face that would be hidden.

The time saved is in proportion to the number of faces discarded out of the total number of faces.

Sometimes you may want to skip the back-face culling step and leave back faces in (for example, if an object is transparent, if you can see two sides of it because of its shape and orientation, or if an open object will be rendered with a view angle that lets you see inside). Transparency also affects whether one face should hide another. In this situation, make sure Force 2-Sided is active and all faces are rendered no matter which direction their normal is pointing.

If you're rendering a drawing that wasn't created with rendering in mind or if the model was created with another product, you should keep Force 2-Sided active. This ensures that all surfaces render correctly.

NoteThe rendering performance is only marginally affected when Force 2-Sided is active.

Every object in a scene is processed by the renderer, even objects that are “off camera” and are not going to be present in the rendered view. A model that is built with the intent of rendering benefits from good layer management. By turning off layers containing objects that are not in the view, you can optimize rendering speed substantially.

See Also

    • Use Models with Other Applications

    • Use a Visual Style to Display Your Model


To make sure both normals of a face get rendered (Procedure)

Prepare a Model for Rendering
Up a level to ..
Balance Mesh Density for Smooth Geometry
Render a Drawing for Presentation > Render 3D Objects for Realism > Prepare a Model for Rendering > Understand Face Normals and Hidden Surfaces >
Understand Face Normals and Hidden Surfaces
Concept Procedure Quick Reference

To make sure both normals of a face get rendered

  1. Click View menu [image] Render [image] Advanced Render Settings.
  2. In the Materials section of the Advanced Render Settings palette, make sure Force 2-Sided in set to On.
  3. Render the scene.
Toolbar: Render
Command entry: RPREF


Understand Face Normals and Hidden Surfaces (Quick Reference)

Overview of Rendering
Understand Face Normals and Hidden Surfaces
Minimize Intersecting and Coplanar Faces
Render a Drawing for Presentation > Render 3D Objects for Realism > Prepare a Model for Rendering > Understand Face Normals and Hidden Surfaces >
Understand Face Normals and Hidden Surfaces
Concept Procedure Quick Reference

Commands

RPREF

Displays the Advanced Render Settings palette for access to advanced rendering settings

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Minimize Intersecting and Coplanar Faces (Concept)

Understand Face Normals and Hidden Surfaces
Prepare a Model for Rendering
Balance Mesh Density for Smooth Geometry
Render a Drawing for Presentation > Render 3D Objects for Realism > Prepare a Model for Rendering >
Minimize Intersecting and Coplanar Faces
Concept Quick Reference

Certain kinds of geometry create special rendering problems.

The complexity of an object relates to the number of its vertices and faces. The more faces a model has, the longer it takes to render. Keep the geometry of your drawing simple to keep rendering time to a minimum. Use the fewest faces possible to describe a surface.

Intersecting Faces

Intersecting faces in a model occur when two objects pass through one other. For conceptual design situations, simply placing one object through another is a fast way to visualize how something will look. However, the edge created where the two objects intersect can exhibit a rippled appearance.

In the following example, the edge appears rippled in the left image and much cleaner after a Boolean union.

When edges do not appear to be as precise as you want, use Boolean operations like union, intersect, and subtract. A much cleaner and precise edge is created to better reflect the object’s appearance.

Coplanar Faces

Faces that overlap and lie in the same plane, coplanar faces, can produce ambiguous results, especially if the materials applied to the two faces differ.

In the following example, artifacts appear when faces occupy the same location.

Moving an object so its faces no longer occupy the same plane as another object will fix this situation.

Twisted Faces

Faces that self-overlap due to a 180-degree twist can also produce ambiguous results, because the normal for the face is not well defined.

In the following example, artifacts appear where the face is twisted due to crossing the second and third corner points.

This situation is often encountered when trying to fix a model that has a hole in its surface. For example, when corner points are selected for the new face, the points are crossed instead of being placed around the hole in a counter-clockwise direction. Avoid this problem by choosing corner points in the proper order.


Minimize Intersecting and Coplanar Faces (Quick Reference)

Understand Face Normals and Hidden Surfaces
Minimize Intersecting and Coplanar Faces
Balance Mesh Density for Smooth Geometry
Render a Drawing for Presentation > Render 3D Objects for Realism > Prepare a Model for Rendering > Minimize Intersecting and Coplanar Faces >
Minimize Intersecting and Coplanar Faces
Concept Quick Reference

Commands

RENDER

Creates a photorealistic or realistically shaded image of a 3D wireframe or solid model

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Balance Mesh Density for Smooth Geometry (Concept)

Minimize Intersecting and Coplanar Faces
Prepare a Model for Rendering
Set Up the Renderer
Render a Drawing for Presentation > Render 3D Objects for Realism > Prepare a Model for Rendering >
Balance Mesh Density for Smooth Geometry
Concept Procedure Quick Reference

When you render a model, the density of the mesh affects the smoothness of surfaces.

Mesh components are comprised of vertices, faces, polygons, and edges.

  • A vertex is a point that forms the corner of a face or polygon.
  • A face is a triangular portion of a surface object.
  • A polygon is a quadrilateral portion of a surface object.
  • An edge is the boundary of a face or polygon.

In a drawing, all faces have three vertices, except faces in polyface meshes, which are treated as adjoining triangles. For rendering purposes, each quadrilateral face is a pair of triangular faces that share one edge.

Smoothing of an object is handled automatically by the renderer. Two types of smoothing occur during the rendering process. One smoothing operation interpolates the face normals across a surface. The other operation takes into account the number of faces, the face count, that make up the geometry; greater face counts result in smoother surfaces but longer processing times.

While you cannot control the interpolation of face normals, you can control the display accuracy of curved objects by using the VIEWRES command and the FACETRES system variable.

Control Display of Circles and Arcs

The VIEWRES command controls the display accuracy of curved 2D linework like circles and arcs in the current viewport.

In the following example, line segments are more apparent as VIEWRES decreases - Upper left = 1000, Middle = 100, Lower right = 10.

These objects are drawn on the screen using many short straight line segments. Smoother arcs and circles display with higher VIEWRES settings, but they take longer to regenerate. To increase performance while you're drawing, set a low VIEWRES value.

Control Display of Curved Solids

FACETRES controls the mesh density and smoothness of shaded and rendered curved solids.

In the following example, facets display on curved geometry when FACETRES is low. FACETRES = .25.

When FACETRES is set to 1, there is a one-to-one correlation between the viewing resolution of circles and arcs and the tessellation, a means of subdividing the faces of solid objects. For example, when FACETRES is set to 2, the tessellation will be twice the tessellation set by VIEWRES. The default value of FACETRES is 0.5. The range of possible values is 0.01 to 10.

When you raise and lower the value of VIEWRES, objects controlled by both VIEWRES and FACETRES are affected. When you raise and lower the value of FACETRES, only solid objects are affected.

In the following example, smoother geometry is displayed when FACETRES is set to higher values. FACETRES = 5.

See Also

    • Create Meshes


Balance Mesh Density for Smooth Geometry (Procedure)

Understand Face Normals and Hidden Surfaces
Up a level to ..
Balance Mesh Density for Smooth Geometry
Render a Drawing for Presentation > Render 3D Objects for Realism > Prepare a Model for Rendering > Balance Mesh Density for Smooth Geometry >
Balance Mesh Density for Smooth Geometry
Concept Procedure Quick Reference

To alter the render resolution of solid geometry

To alter the display resolution of arcs and circles


To alter the render resolution of solid geometry (Procedure)

Balance Mesh Density for Smooth Geometry
Up a level to ..
Balance Mesh Density for Smooth Geometry
Render a Drawing for Presentation > Render 3D Objects for Realism > Prepare a Model for Rendering > Balance Mesh Density for Smooth Geometry >
Balance Mesh Density for Smooth Geometry
Concept Procedure Quick Reference

To alter the render resolution of solid geometry

  1. At the Command prompt, enter facetres.
  2. Do one of the following:
    • Enter a value greater than .5 to increase the smoothness of curved surfaces.
    • Enter a value lower than .5 to decrease the smoothness of curved surfaces.


To alter the display resolution of arcs and circles (Procedure)

Balance Mesh Density for Smooth Geometry
Up a level to ..
Set Up the Renderer
Render a Drawing for Presentation > Render 3D Objects for Realism > Prepare a Model for Rendering > Balance Mesh Density for Smooth Geometry >
Balance Mesh Density for Smooth Geometry
Concept Procedure Quick Reference

To alter the display resolution of arcs and circles

  1. At the Command prompt, enter viewres.
  2. Ignore the prompt about fast zooms if you only want to make circles and arcs in the drawing look better for your rendering.
  3. At the Circle Zoom Percent prompt, do one of the following:
    • Enter a value greater than 1000 to increase the smoothness of arcs and circles.
    • Enter a value lower than 1000 to decrease the smoothness of arcs and circles.


Balance Mesh Density for Smooth Geometry (Quick Reference)

Minimize Intersecting and Coplanar Faces
Balance Mesh Density for Smooth Geometry
Use the Render Settings Palette
Render a Drawing for Presentation > Render 3D Objects for Realism > Prepare a Model for Rendering > Balance Mesh Density for Smooth Geometry >
Balance Mesh Density for Smooth Geometry
Concept Procedure Quick Reference

Commands

VIEWRES

Sets the resolution for objects in the current viewport

System Variables

FACETRES

Utilities

No entries

Command Modifiers

No entries


Set Up the Renderer

Balance Mesh Density for Smooth Geometry
Render 3D Objects for Realism
Use the Render Settings Palette
Render a Drawing for Presentation > Render 3D Objects for Realism >
Set Up the Renderer
Concept Procedure

You can control many of the settings that affect how the renderer processes a rendering task, especially when rendering higher quality images.

Topics in this section

  • Use the Render Settings Palette

    The Render Setting palette contains the main controls for the renderer. You can choose from predefined render settings or make custom settings.

  • Create Custom Render Presets

    When you specify a collection of render settings that give you the results you want, saving them as a custom preset lets you quickly reuse the settings.

  • Control the Rendering Environment

    You can use environmental features to set up atmospheric effects or background images.


Set Up the Renderer (Procedure)

Balance Mesh Density for Smooth Geometry
Set Up the Renderer
Use the Render Settings Palette
Render a Drawing for Presentation > Render 3D Objects for Realism > Set Up the Renderer >
Set Up the Renderer
Concept Procedure

To create a custom render preset from the Advanced Render Settings palette

To create a custom render preset from the Render Presets Manager

To edit a custom render preset

To use fog / depth cueing

To set a background for a named view

To edit a background for a named view


Use the Render Settings Palette (Concept)

Set Up the Renderer
Set Up the Renderer
Create Custom Render Presets
Render a Drawing for Presentation > Render 3D Objects for Realism > Set Up the Renderer >
Use the Render Settings Palette
Concept Procedure Quick Reference

The Render Setting palette contains the main controls for the renderer. You can choose from predefined render settings or make custom settings.

The RPREF command opens the Render Settings palette, where you set the parameters for rendering.

The palette is separated into several sections ranging from basic to advanced settings. The General sections contain settings that affect how your model gets rendered, how materials and shadows are handled, and how anti-aliasing is performed. (Anti-aliasing smooths the stairstep effect at the edge of curved lines or edges.) The Raytracing section controls how shading occurs. The Indirect Illumination section controls lighting properties, how your scene is illuminated, and if global illumination and final gathering are processed. There are also diagnostic controls that can be useful in helping you understand why an image isn’t getting rendered as expected.

Render Presets

A drop-down list provides a collection of predefined render settings called render presets. Render presets store groups of settings that allow the renderer to produce varying quality images. The standard presets range from Draft quality, for quick test images, up to Presentation quality, which provides photorealistic images. You can also open the Render Presets Manager where you can create custom presets.

See Also

    • Create Custom Render Presets


To create a custom render preset from the Advanced Render Settings palette (Procedure)

Set Up the Renderer
Up a level to ..
Create Custom Render Presets
Render a Drawing for Presentation > Render 3D Objects for Realism > Set Up the Renderer > Use the Render Settings Palette >
Use the Render Settings Palette
Concept Procedure Quick Reference

To create a custom render preset from the Advanced Render Settings palette

  1. At the Command prompt, enter rpref.
  2. In the Advanced Render Settings palette, select an existing standard or custom preset.
  3. Make changes to the settings that you’d like to use for your rendering.

    Notice the original render preset has an ‘*’ prefix indicating that it has been changed.

  4. Render the model.
  5. To save the render settings you made as a new, custom render preset, do one of the following:
    • Click in the preset name field at the top of the Advanced Render Settings palette and enter a new name.
    • Click in the render preset field on the Render panel of the ribbon and enter a new name.


Use the Render Settings Palette (Quick Reference)

Balance Mesh Density for Smooth Geometry
Use the Render Settings Palette
Create Custom Render Presets
Render a Drawing for Presentation > Render 3D Objects for Realism > Set Up the Renderer > Use the Render Settings Palette >
Use the Render Settings Palette
Concept Procedure Quick Reference

Commands

RPREF

Displays the Advanced Render Settings palette for access to advanced rendering settings

RPREFCLOSE

Closes the Render Settings palette if it is displayed

RENDERPRESETS

Specifies render presets, reusable rendering parameters, for rendering an image

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Create Custom Render Presets (Concept)

Use the Render Settings Palette
Set Up the Renderer
Control the Rendering Environment
Render a Drawing for Presentation > Render 3D Objects for Realism > Set Up the Renderer >
Create Custom Render Presets
Concept Procedure Quick Reference

When you specify a collection of render settings that give you the results you want, saving them as a custom preset lets you quickly reuse the settings.

Using a standard preset as a base, you can experiment with settings and see how the rendered images look. Once you’re satisfied with the results, you can create a new, custom preset.

You can review and change the render settings for any preset in your drawing in the following ways:

  • Manage and organize existing render presets.
  • Change parameters of standard or existing custom presets.
  • Create, update, or delete custom render presets.
  • Set a render preset to be used by the renderer.

The tree view pane shows all the presets that are stored with the current drawing. The tree view is split between the standard render presets and any custom presets you’ve created. You can change the order of standard and custom presets by dragging one above the other in the tree view. When you create a new preset, it is always added to the Custom Render Presets branch. It will also appear in the Render Presets lists in the Render panel on the ribbon and the Render Settings palette.

Many of the render settings found on the Render Settings palette can also be set in the Render Presets Manager. Using a standard preset as a base, you can make adjustments to the settings and see how the rendered images look. Once you’re satisfied with the results, you can create a new, custom preset.

Only custom render presets can be deleted. If you’ve selected a standard preset, the Delete button is inactive.

In order for a render preset to be used by the renderer, it must be made current. While working in the Render Presets Manager, you select presets you want to edit, but in order for the renderer to use them, you have to click the Set Current button. Otherwise, the preset chosen on the Render panel on the ribbon or the Advanced Render Settings palette is used.

If you make changes to a standard render preset, its name is prefaced with an asterisk to indicate that a change has been made to its original settings. If the rendered results are acceptable, you can save the preset by entering a new name in the presets list on the Render panel on the ribbon or on the Render Settings palette.

If you change the settings of a custom render preset, you can enter a new name to create a new, custom render preset or choose to update the preset from the presets list on the Render panel on the ribbon or on the Render Settings palette.


Create Custom Render Presets (Procedure)

Use the Render Settings Palette
Up a level to ..
Create Custom Render Presets
Render a Drawing for Presentation > Render 3D Objects for Realism > Set Up the Renderer > Create Custom Render Presets >
Create Custom Render Presets
Concept Procedure Quick Reference

To create a custom render preset from the Render Presets Manager

To edit a custom render preset


To create a custom render preset from the Render Presets Manager (Procedure)

Create Custom Render Presets
Up a level to ..
Create Custom Render Presets
Render a Drawing for Presentation > Render 3D Objects for Realism > Set Up the Renderer > Create Custom Render Presets >
Create Custom Render Presets
Concept Procedure Quick Reference

To create a custom render preset from the Render Presets Manager

  1. At the Command prompt, enter renderpresets.
  2. In the Render Presets Manager, select an existing standard or custom preset.
  3. Click the Create Copy button and specify a name for your new preset. Click OK.

    The new preset appears in the tree view under the Custom Render Presets branch.


To edit a custom render preset (Procedure)

Create Custom Render Presets
Up a level to ..
Control the Rendering Environment
Render a Drawing for Presentation > Render 3D Objects for Realism > Set Up the Renderer > Create Custom Render Presets >
Create Custom Render Presets
Concept Procedure Quick Reference

To edit a custom render preset

  1. At the Command prompt, enter renderpresets.
  2. In the Render Presets Manager, select an existing custom preset.
  3. Make adjustments from the render settings section.

    The preset name is prefaced with an asterisk to show it has been changed.

  4. Click the Set Current button and render the scene.

    If the results are good, you can choose to update the current preset or re-open the Render Preset Manager and create a new, custom preset.


Create Custom Render Presets (Quick Reference)

Use the Render Settings Palette
Create Custom Render Presets
Control the Rendering Environment
Render a Drawing for Presentation > Render 3D Objects for Realism > Set Up the Renderer > Create Custom Render Presets >
Create Custom Render Presets
Concept Procedure Quick Reference

Commands

RPREF

Displays the Advanced Render Settings palette for access to advanced rendering settings

RENDERPRESETS

Specifies render presets, reusable rendering parameters, for rendering an image

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Control the Rendering Environment (Concept)

Create Custom Render Presets
Set Up the Renderer
Basics of Rendering
Render a Drawing for Presentation > Render 3D Objects for Realism > Set Up the Renderer >
Control the Rendering Environment
Concept Procedure Quick Reference

You can use environmental features to set up atmospheric effects or background images.

You can enhance a rendered image by means of atmospheric effects like fog and depth cueing or by adding a bitmap image as a background.

Fog / Depth Cue Effects

Fog and depth cueing are very similar atmospheric effects that cause objects to appear to fade as they increase in distance from the camera. Fog uses a white color while depth cueing uses black.

The RENDERENVIRONMENT command is used to set up fog or depth cue parameters. The key parameters you’ll set are the color of the fog or depth cueing, the near and far distances, and the near and far fog percentages.

Fog and depth cueing are based on the front or back clipping planes of your camera coupled with the near and far distance settings on the Render Environment dialog box. For example, the back clipping plane of a camera is active and located 30 feet from the camera location. If you want fog to start 15 feet from the camera and spread away indefinitely, you set the Near Distance to 50 and the Far Distance to 100.

The density of the fog or depth cueing is controlled by the Near and Far Fog Percentages. These settings have a range of 0.0001 to 100. Higher values mean the fog or depth cueing is more opaque.

TipFor smaller scale models, the Near and Far Fog Percentage setting may need to be set below 1.0 to see the desired effect.

Backgrounds

A background is basically a backdrop that displays behind your model. Backgrounds can be a single color, a multi-color gradient, or a bitmap image.

Backgrounds work best when you are rendering still images, or animations in which the view doesn’t change or the camera doesn't move. You set backgrounds from the View Manager. Once set, the background is associated with the named view or camera and is saved with the drawing.


Control the Rendering Environment (Procedure)

Create Custom Render Presets
Up a level to ..
Control the Rendering Environment
Render a Drawing for Presentation > Render 3D Objects for Realism > Set Up the Renderer > Control the Rendering Environment >
Control the Rendering Environment
Concept Procedure Quick Reference

To use fog / depth cueing

To set a background for a named view

To edit a background for a named view


To use fog / depth cueing (Procedure)

Control the Rendering Environment
Up a level to ..
Control the Rendering Environment
Render a Drawing for Presentation > Render 3D Objects for Realism > Set Up the Renderer > Control the Rendering Environment >
Control the Rendering Environment
Concept Procedure Quick Reference

To use fog / depth cueing

  1. Select a camera and open its Property palette.
  2. Turn on its front or back clipping plane.
  3. Set the clipping plane offset value.
  4. Click Visualize tab [image] Render panel [image] Environment.At the Command prompt, enter renderenvironment.
  5. Turn on Enable Fog and set the color of the fog or depth cueing.

    Light colors are typically used for fog while dark colors are used for depth cueing.

  6. Set the Near and Far Distance values to specify where the fog starts and ends.
  7. Set the fog or depth cue opacity with the Near and Far Fog Percentage values. Click OK.
  8. Render the model.


To set a background for a named view (Procedure)

Control the Rendering Environment
Up a level to ..
Control the Rendering Environment
Render a Drawing for Presentation > Render 3D Objects for Realism > Set Up the Renderer > Control the Rendering Environment >
Control the Rendering Environment
Concept Procedure Quick Reference

To set a background for a named view

  1. At the Command prompt, enter view.
  2. In the View Manager, select an existing named view from the Model Views list.
  3. On the General panel, click the Background Override list and select Solid, Gradient, or Image.
  4. In the Background dialog box, set the colors or choose a bitmap image to use for the background. Click OK.
  5. Click OK to close the View Manager.
  6. On the ribbon, select the named view from the drop-down list on the View tab [image] Viewports panel.
  7. Render the scene.


To edit a background for a named view (Procedure)

Control the Rendering Environment
Up a level to ..
Basics of Rendering
Render a Drawing for Presentation > Render 3D Objects for Realism > Set Up the Renderer > Control the Rendering Environment >
Control the Rendering Environment
Concept Procedure Quick Reference

To edit a background for a named view

  1. At the Command prompt, enter view.
  2. In the View Manager, select an existing named view from the Model Views list.
  3. On the General panel, click the Background Override list and select Edit.
  4. In the Background dialog box, set the new colors or choose a new bitmap image to use for the background. Click OK.
  5. Click OK to close the View Manager.
  6. On the ribbon, select the named view from the drop-down list on the View tab [image] Viewports panel
  7. Render the scene.


Control the Rendering Environment (Quick Reference)

Create Custom Render Presets
Control the Rendering Environment
Set the Render Destination
Render a Drawing for Presentation > Render 3D Objects for Realism > Set Up the Renderer > Control the Rendering Environment >
Control the Rendering Environment
Concept Procedure Quick Reference

Commands

RENDERENVIRONMENT

Provides visual cues for the apparent distance of objects

VIEW

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Basics of Rendering

Control the Rendering Environment
Render 3D Objects for Realism
Set the Render Destination
Render a Drawing for Presentation > Render 3D Objects for Realism >
Basics of Rendering
Concept Procedure

While the final goal is to create a photorealistic, presentation-quality image that illustrates your vision, you create many renderings before you reach that goal.

At a basic level, you can use the RENDER command to render your model without applying any materials, adding any lights, or setting up a scene. When you render a new model, the renderer automatically uses a virtual “over-the-shoulder” distant light. You cannot move or adjust this light.

Topics in this section

  • Set the Render Destination

    Rendered images appear either in a viewport or get displayed in the Render Window.

  • Render Views, Selected Objects, or Cropped Content

    You can render an entire view, a set of selected objects, or a portion of what you see in the viewport.

  • Set Output Resolution

    Set the resolution of the rendered image by specifying the width and the height of the image, in pixels.

  • Material Adjustments

    Adding materials to objects greatly increases the realism of a model.

  • Adjust Sampling to Improve Image Quality

    You can use several standard render presets to remove the jagged effect from the display of diagonal lines and curved edges.

  • Use Shadows in Rendering

    With shadows, you can create rendered images that have greater depth and realism.


Basics of Rendering (Procedure)

Control the Rendering Environment
Basics of Rendering
Set the Render Destination
Render a Drawing for Presentation > Render 3D Objects for Realism > Basics of Rendering >
Basics of Rendering
Concept Procedure

To set the render destination

To render a view

To render a selection set of objects

To render a cropped view

To view shadows in the viewport

To generate shadow mapped shadows in the rendered image

To generate ray-traced shadows in the rendered image


Set the Render Destination (Concept)

Basics of Rendering
Basics of Rendering
Render Views, Selected Objects, or Cropped Content
Render a Drawing for Presentation > Render 3D Objects for Realism > Basics of Rendering >
Set the Render Destination
Concept Procedure Quick Reference

Rendered images appear either in a viewport or get displayed in the Render Window.

When you render a scene, the image can be displayed in either the viewport or the Render Window. This is the render destination.

The render destination is set in the Advanced Render Settings palette in the Render Context section. The default setting is Window.

When the render destination is set to Window, the renderer automatically opens the Render Window and the image is processed. Upon completion, the image is displayed and a history entry is created. As more renderings occur, they are added to the render history so you can quickly look at previous images and compare to see which have the desired results. Images that you want to keep can be saved from the Render Window.

If you choose to set the render destination to Viewport, the generated image is rendered and displayed directly in the active viewport. In essence, this is a one-time rendering because there is no render history entry that you can compare with later images. If you want to keep the image that you rendered to the viewport, you can use the SAVEIMG command to save the images.

Rendering to a viewport always renders against the background color you set for the drawing area. The Render Window background color matches the background color. Use the REGEN command to refresh the display.

See Also

    • Render Window


To set the render destination (Procedure)

Basics of Rendering
Up a level to ..
Render Views, Selected Objects, or Cropped Content
Render a Drawing for Presentation > Render 3D Objects for Realism > Basics of Rendering > Set the Render Destination >
Set the Render Destination
Concept Procedure Quick Reference

To set the render destination

  1. At the Command prompt, enter rpref.
  2. In the Advanced Render Settings palette, scroll to the top of the palette. Under General, open the Render Context rollout, if necessary.
  3. Open the Destination list and select Window or Viewport.
  4. Render the scene.
    Toolbar: Render
    Command entry: RPREF


Set the Render Destination (Quick Reference)

Control the Rendering Environment
Set the Render Destination
Render Views, Selected Objects, or Cropped Content
Render a Drawing for Presentation > Render 3D Objects for Realism > Basics of Rendering > Set the Render Destination >
Set the Render Destination
Concept Procedure Quick Reference

Commands

RENDER

Creates a photorealistic or realistically shaded image of a 3D wireframe or solid model

RPREF

Displays the Advanced Render Settings palette for access to advanced rendering settings

SAVEIMG

Saves a rendered image to a file

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Render Views, Selected Objects, or Cropped Content (Concept)

Set the Render Destination
Basics of Rendering
Set Output Resolution
Render a Drawing for Presentation > Render 3D Objects for Realism > Basics of Rendering >
Render Views, Selected Objects, or Cropped Content
Concept Procedure Quick Reference

You can render an entire view, a set of selected objects, or a portion of what you see in the viewport.

Render a View

The default rendering procedure is to render all objects in the current view in the drawing. If you haven’t opened a named view or a camera view, the current view is rendered. While the rendering process is faster when you render key objects or smaller portions of a view, rendering the entire view lets you see how all objects are oriented to one another.

If your current drawing contains named views or if you’ve added cameras to your model, you can quickly display them by using the VIEW command.

The following example shows a rendering of a named view.

Depending on the rendering destination you’ve chosen, the rendered view is displayed in the Render Window or directly in the viewport. For a complete description of the Render Window, see RENDER in the Command Reference.

Render Selected Objects

If you’re adding detail to specific objects, you don’t want to waste time rendering an entire viewport. By changing the rendering procedure to Selected, you are prompted to pick the objects that you want rendered.

The following example shows a rendered selection of the first bottle, its cork, and the wine glass.

Rendering a selection set of objects is very efficient when testing different materials, especially when the materials include texture mapping. By rendering a selected object, you can quickly verify how the material looks and if its texture coordinates must be altered.

Render a Cropped Region

Sometimes you need to render only a portion of what is displayed in the viewport but you still want to see some of the surrounding environment.

In the following example, only the region surrounding the third bottle and the wine glass is rendered.

By setting the rendering procedure to Crop, you can specify a smaller region of the viewport to be rendered. Similar to selecting objects by window, you can set a rectangular region in the viewport. Any objects that appear in the region are rendered. Everything outside the region is ignored by the renderer.

NoteA cropped rendering only displays in the viewport. Use the REGEN command to refresh the display.


Render Views, Selected Objects, or Cropped Content (Procedure)

Set the Render Destination
Up a level to ..
Render Views, Selected Objects, or Cropped Content
Render a Drawing for Presentation > Render 3D Objects for Realism > Basics of Rendering > Render Views, Selected Objects, or Cropped Content >
Render Views, Selected Objects, or Cropped Content
Concept Procedure Quick Reference

To render a view

To render a selection set of objects

To render a cropped view


To render a view (Procedure)

Render Views, Selected Objects, or Cropped Content
Up a level to ..
Render Views, Selected Objects, or Cropped Content
Render a Drawing for Presentation > Render 3D Objects for Realism > Basics of Rendering > Render Views, Selected Objects, or Cropped Content >
Render Views, Selected Objects, or Cropped Content
Concept Procedure Quick Reference

To render a view

  1. Display a 3D view of your model.
  2. At the Command prompt, enter rpref.
  3. Choose a render preset to control the quality and speed of the rendered output.

    The Draft preset is very fast but its quality is low. Presentation generates a high quality image but takes substantially longer to render.

  4. Set the Destination to Window or Viewport to specify where you want the rendered image to be displayed.

    If you set an image target, the image is saved directly to a file as well as appearing on screen.

  5. Render the scene.
Toolbar: Render
Command entry: RPREF


To render a selection set of objects (Procedure)

Render Views, Selected Objects, or Cropped Content
Up a level to ..
Render Views, Selected Objects, or Cropped Content
Render a Drawing for Presentation > Render 3D Objects for Realism > Basics of Rendering > Render Views, Selected Objects, or Cropped Content >
Render Views, Selected Objects, or Cropped Content
Concept Procedure Quick Reference

To render a selection set of objects

  1. At the Command prompt, enter rpref.
  2. Choose a render preset to control the quality and speed of the rendered output.

    The Draft preset is very fast but its quality is low. Presentation generates a high quality image but takes substantially longer to render.

  3. Set the render procedure to Selected.
  4. Select the objects in the model that you want to render.
  5. Render the scene.
Toolbar: Render
Command entry: RPREF


To render a cropped view (Procedure)

Render Views, Selected Objects, or Cropped Content
Up a level to ..
Use Shadows in Rendering
Render a Drawing for Presentation > Render 3D Objects for Realism > Basics of Rendering > Render Views, Selected Objects, or Cropped Content >
Render Views, Selected Objects, or Cropped Content
Concept Procedure Quick Reference

To render a cropped view

  1. At the Command prompt, enter rendercrop.
  2. Specify a window in the viewport that you want to render.
  3. Render the scene.
Command entry: RENDERCROP


Render Views, Selected Objects, or Cropped Content (Quick Reference)

Set the Render Destination
Render Views, Selected Objects, or Cropped Content
Set Output Resolution
Render a Drawing for Presentation > Render 3D Objects for Realism > Basics of Rendering > Render Views, Selected Objects, or Cropped Content >
Render Views, Selected Objects, or Cropped Content
Concept Procedure Quick Reference

Commands

RENDER

Creates a photorealistic or realistically shaded image of a 3D wireframe or solid model

RENDERCROP

Selects a specific region (crop window) in an image for rendering

RPREF

Displays the Advanced Render Settings palette for access to advanced rendering settings

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Set Output Resolution (Concept)

Render Views, Selected Objects, or Cropped Content
Basics of Rendering
Material Adjustments
Render a Drawing for Presentation > Render 3D Objects for Realism > Basics of Rendering >
Set Output Resolution
Concept Quick Reference

Set the resolution of the rendered image by specifying the width and the height of the image, in pixels.

There are three resolution settings that control how a rendered image appears; the width, the height, and the image aspect ratio.

The width and height settings control the size of the rendered image, measured in pixels. A pixel (short for Picture Element) is a single point in a graphic image.

The default output resolution is 640 x 480 and can be set as high as 4,096 x 4,096. Higher resolution settings result in smaller pixels and finer detail. High resolution images also take longer to render.

Output resolutions are set from the Output Size Dialog Box. You can enter values directly into the width and height fields, or you can use the spinner controls to increase or decrease the resolution.

When you set an output resolution, it gets stored with the current drawing and is added to the output resolution list found in the Render panel of the ribbon. Most often, as you test how objects look in the model, you will find yourself using lower resolution settings, around 320 x 200 or lower. As you add more detail and materials, you’ll shift to mid-range settings, such as 640 x 480. The final rendering will always use the highest resolution required by the project, 1024 x 768 or greater, since this is the image that is presented to the customer or submitted for print.

Aspect ratio describes the proportions of a still image or the frames in an animation, expressed as the ratio of width to height, regardless of the image's resolution. The aspect ratio of an image is controlled by the Image Aspect setting. Aspect ratio is usually expressed either as a ratio of width over height (for example, 4:3) or as a multiplier (such as, 1.333). Changing this value changes the Height value to maintain the correct dimensions for the output resolution.

The following example shows various aspect ratios.

If you choose to lock the image aspect, the width and height are tied together; changing one automatically changes the other while maintaining the aspect ratio.


Set Output Resolution (Quick Reference)

Render Views, Selected Objects, or Cropped Content
Set Output Resolution
Material Adjustments
Render a Drawing for Presentation > Render 3D Objects for Realism > Basics of Rendering > Set Output Resolution >
Set Output Resolution
Concept Quick Reference

Commands

RENDER

Creates a photorealistic or realistically shaded image of a 3D wireframe or solid model

RPREF

Displays the Advanced Render Settings palette for access to advanced rendering settings

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Material Adjustments (Concept)

Set Output Resolution
Basics of Rendering
Adjust Sampling to Improve Image Quality
Render a Drawing for Presentation > Render 3D Objects for Realism > Basics of Rendering >
Material Adjustments
Concept Quick Reference

Adding materials to objects greatly increases the realism of a model.

In the context of rendering, materials describe how an object reflects or transmits light. Within a material, maps can simulate textures, bump effects, reflections, or refractions.

From the Advanced Render Settings palette, you can turn materials on or off, turn material filtering on or off, and affect how the surfaces of an object are rendered.

Materials that you’ve created and attached to objects in the model are normally turned on when you start the rendering process. If you turn them off, all the objects in the model assume the characteristics of the GLOBAL material.

Texture Filtering

You can control whether texture filtering, pixel averaging used in anti-aliasing, occurs when the model is rendered.

When texture filtering is turned on, the renderer uses a pyramidal filtering methods, which applies filtering as a function of distance.

NoteIrregular anti-aliasing might occur on detailed texture maps that are applied to a surface that recedes into the distance.

There is a slight rendering cost when texture filtering is active. Pyramidal filtering requires memory allocation equal to approximately 133% of the size of a texture map. Compared to the detail and realism provided by texture mapped materials, rendering performance is not impacted that much.

When texture filtering is turned off, no anti-aliasing occurs to texture maps when the renderer processes the model.

2-Sided Rendering

Since you have no control over the direction that faces, normals are pointing, you may encounter a model that has flipped normals. The back sides of faces are invisible to the renderer. This means that the face appears to be missing when viewed from the back. Objects are usually created with the surface normals facing outward, but it is possible to create objects with the faces flipped or to import complex geometry in which the face normals are not properly unified.

When Force 2-Sided is active, both sides of faces are raytraced as shaded. While this incurs a slight increase in rendering time, it is often faster than trying to fix multiple instances of flipped faces.


Material Adjustments (Quick Reference)

Set Output Resolution
Material Adjustments
Adjust Sampling to Improve Image Quality
Render a Drawing for Presentation > Render 3D Objects for Realism > Basics of Rendering > Material Adjustments >
Material Adjustments
Concept Quick Reference

Commands

MATERIALATTACH

Attaches materials to objects by layer

MATERIALMAP

Displays a material mapper grip tool to adjust the mapping on a face or an object

MATERIALS

Manages, applies, and modifies materials

RENDER

Creates a photorealistic or realistically shaded image of a 3D wireframe or solid model

RPREF

Displays the Advanced Render Settings palette for access to advanced rendering settings

System Variables

LOGEXPPHYSICALSCALE

Controls the relative brightness of self-illuminated materials in a photometric environment

Utilities

No entries

Command Modifiers

No entries


Adjust Sampling to Improve Image Quality (Concept)

Material Adjustments
Basics of Rendering
Use Shadows in Rendering
Render a Drawing for Presentation > Render 3D Objects for Realism > Basics of Rendering >
Adjust Sampling to Improve Image Quality
Concept Quick Reference

You can use several standard render presets to remove the jagged effect from the display of diagonal lines and curved edges.

Because the image on a monitor is made up of discrete pixels on a fixed grid, scenes rendered using the Draft or Low render presets produce jagged and inaccurate images.

In the following example, image quality is highly degraded - Min. Samples = 1/64; Max. Samples = 1/4.

The greater the resolution (and thus the smaller the pixels), the less apparent aliasing is. However, it is often best to reduce the effect further by using anti-aliasing techniques. The anti-aliasing technique used by the renderer is called sampling. Sampling is controlled by the sample and filter settings on the Advanced Render Settings palette.

Sampling provides a "best guess" color for each rendered pixel. The renderer first samples the scene color at locations within the pixel or along the pixel's edge, then uses a filter to combine the samples into a single pixel color. Increasing the minimum and maximum sample ranges greatly improves the quality of a rendering.

In the following example, increased sampling smooths edges - Min. Samples = 1; Max. Samples = 16.

There are five filter methods: Box, Gauss, Triangle, Mitchell, or Lanczos. Box, the default, is the quickest. Mitchell is often the most accurate. The Box filter combines samples evenly, without weighting them. Each of the other filters uses a particular curve to weight samples before combining them.

Anti-aliasing techniques involve at least two trade-offs.

  • Extra calculation. Pixels in the offending line or boundary and neighboring pixels in the background must be analyzed so that intermediate shades can be added.
  • Thicker lines. Although an anti-aliased line appears smoother, it must be thicker than a jagged one.

You have to decide how much time you want to spend rendering and how good you want the final rendering to be. These trade-offs will depend partly on the hardware you're using and partly on the audience for your work.

The standard render presets offer five levels of anti-aliasing. Draft is set to use the lowest level of anti-aliasing, but it provides the fastest rendering speed. Each successive level is slower to compute. The anti-aliasing algorithm makes the process more efficient by allowing the program to decide for any given pixel that fewer samples need to be computed.


Adjust Sampling to Improve Image Quality (Quick Reference)

Material Adjustments
Adjust Sampling to Improve Image Quality
Use Shadows in Rendering
Render a Drawing for Presentation > Render 3D Objects for Realism > Basics of Rendering > Adjust Sampling to Improve Image Quality >
Adjust Sampling to Improve Image Quality
Concept Quick Reference

Commands

RENDER

Creates a photorealistic or realistically shaded image of a 3D wireframe or solid model

RPREF

Displays the Advanced Render Settings palette for access to advanced rendering settings

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Use Shadows in Rendering (Concept)

Adjust Sampling to Improve Image Quality
Basics of Rendering
Advanced Rendering
Render a Drawing for Presentation > Render 3D Objects for Realism > Basics of Rendering >
Use Shadows in Rendering
Concept Procedure Quick Reference

With shadows, you can create rendered images that have greater depth and realism.

The renderer can generate shadows by shadow mapping or by ray tracing. Shadow mapped shadows rely on a bitmap that the renderer generates during a pre-rendering pass of the scene. Shadow mapping provide softer edges and can require less calculation time than ray-traced shadows, but are less accurate. Ray tracing traces the path of rays sampled from the light source. Shadows appear where rays have been blocked by objects. Ray-traced shadows have more accurate, hard edges and require more calculation time.

Shadow-Mapped Shadows

Shadow maps are the only way to generate soft-edged shadows, but they do not show the color cast by transparent or translucent objects. Shadow-mapped shadows are calculated faster than ray-traced shadows.

The following example shows how shadow maps produce softer, less precise shadows that are processed faster than raytraced shadows.

During a pre-rendering pass, a shadow map bitmap is created. Shadow quality can be controlled by increasing or decreasing the size of the shadow map. The default shadow map size is 256 x 256 pixels. If the shadow appears to be too grainy, increasing the map size will give you better quality. Shadow mapped shadows should not be used if you have a light shining through a transparent surface (for example, a multi-pane window where you want the the frame and mullions to cast shadows). You’d have to remove the glass in order for the mullions to cast shadows.

Ray-traced Shadows

Ray-traced shadows (like other ray-traced effects of reflection and refraction) are generated by tracing the path of light beams or rays sampled from a light source. Ray-traced shadows are more accurate than shadow-mapped shadows.

The following example shows that while ray tracing takes longer to process, it produces more realistic, precise shadows.

Ray-traced shadows have hard edges and accurate outlines; they also transmit color from transparent and translucent objects. Therefore, shadows of the frame and mullions of a multi-pane window will render. Because ray-traced shadows are calculated without a map, you don't have to adjust resolution as you do for shadow-mapped shadows.

Shadow Modes

You can select one of three shadow mode settings when shadows are turned on. The shadow mode can be set to Simple, Sort, or Segment.

  • Simple. The renderer calls shadow shaders in a random order. This is the default mode state for shadows.
  • Sorted. The renderer calls shadow shaders in order, from the object to the light.
  • Segment. The renderer calls shadow shaders in order along the light ray from the volume shaders to the segments of the light ray between the object and the light.

Displaying Shadows

In order for shadows to be cast in a model, lighting must be established. A light source needs to be added to the scene and you need to specify if that light source will cast shadows. For shadows to display in the viewport as you set up the scene, you need to turn on shadows for the visual style. If you want shadows to appear in the rendered image, you need to turn on shadows and choose the type of shadows to render on the Advanced Render Settings palette.


Use Shadows in Rendering (Procedure)

Render Views, Selected Objects, or Cropped Content
Up a level to ..
Use Shadows in Rendering
Render a Drawing for Presentation > Render 3D Objects for Realism > Basics of Rendering > Use Shadows in Rendering >
Use Shadows in Rendering
Concept Procedure Quick Reference

To view shadows in the viewport

To generate shadow mapped shadows in the rendered image

To generate ray-traced shadows in the rendered image


To view shadows in the viewport (Procedure)

Use Shadows in Rendering
Up a level to ..
Use Shadows in Rendering
Render a Drawing for Presentation > Render 3D Objects for Realism > Basics of Rendering > Use Shadows in Rendering >
Use Shadows in Rendering
Concept Procedure Quick Reference

To view shadows in the viewport

  1. Click Visualize tab [image] Visual Styles panel [image] Manage Visual Styles.At the Command prompt, enter visualstyles.
  2. In the Visual Style Manager, select either Conceptual or Realistic.

    Shadow display has no effect for 3D Hidden or 3D Wireframe styles.

  3. Set Shadow Display to Ground Shadows or Full Shadows.
  4. Close the Visual Style Manager.
Command entry: VISUALSTYLES


To generate shadow mapped shadows in the rendered image (Procedure)

Use Shadows in Rendering
Up a level to ..
Use Shadows in Rendering
Render a Drawing for Presentation > Render 3D Objects for Realism > Basics of Rendering > Use Shadows in Rendering >
Use Shadows in Rendering
Concept Procedure Quick Reference

To generate shadow mapped shadows in the rendered image

  1. At the Command prompt, enter rpref.
  2. In the Advanced Render Settings palette, make sure Shadows is turned on.
  3. Select the shadow mode you want to use.
  4. Turn on Shadow Map.
  5. Render the model.
Toolbar: Render
Command entry: RPREF


To generate ray-traced shadows in the rendered image (Procedure)

Use Shadows in Rendering
Up a level to ..
Save and Redisplay Rendered Images
Render a Drawing for Presentation > Render 3D Objects for Realism > Basics of Rendering > Use Shadows in Rendering >
Use Shadows in Rendering
Concept Procedure Quick Reference

To generate ray-traced shadows in the rendered image

  1. At the Command prompt, enter rpref.
  2. In the Advanced Render Settings palette, make sure Shadows is turned on.
  3. Select the shadow mode you want to use.
  4. Turn off Shadow Map.
  5. Render the model.
Toolbar: Render
Command entry: RPREF


Use Shadows in Rendering (Quick Reference)

Adjust Sampling to Improve Image Quality
Use Shadows in Rendering
Ray-traced Reflections and Refractions
Render a Drawing for Presentation > Render 3D Objects for Realism > Basics of Rendering > Use Shadows in Rendering >
Use Shadows in Rendering
Concept Procedure Quick Reference

Commands

RENDER

Creates a photorealistic or realistically shaded image of a 3D wireframe or solid model

RPREF

Displays the Advanced Render Settings palette for access to advanced rendering settings

VISUALSTYLES

Creates and modifies visual styles and applies a visual style to a viewport

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Advanced Rendering

Use Shadows in Rendering
Render 3D Objects for Realism
Ray-traced Reflections and Refractions
Render a Drawing for Presentation > Render 3D Objects for Realism >
Advanced Rendering

Advanced rendering techniques allow you to render highly detailed and photorealistic images.

Topics in this section

  • Ray-traced Reflections and Refractions

    Ray tracing traces the path of rays sampled from the light source. Reflections and refractions generated this way are physically accurate.

  • Benefits of Indirect Illumination

    Indirect illumination techniques, like global illumination and final gathering, enhance the realism of a scene by simulating radiosity, or the interreflection of light in a scene.

  • Final Gathering

    Final gathering is an optional, additional step used to improve global illumination (GI). It increases the number of rays used to calculate GI to smooth out and eliminate adverse lighting artifacts.


Ray-traced Reflections and Refractions (Concept)

Advanced Rendering
Advanced Rendering
Benefits of Indirect Illumination
Render a Drawing for Presentation > Render 3D Objects for Realism > Advanced Rendering >
Ray-traced Reflections and Refractions
Concept Quick Reference

Ray tracing traces the path of rays sampled from the light source. Reflections and refractions generated this way are physically accurate.

To reduce the time required to generate reflections and refractions, rays are limited by trace depth. Trace depth limits the number of times a ray can be reflected, refracted, or both. You set the maximum trace depth, the maximum number of reflections, and the maximum number of refractions in the Advanced Render Settings palette.

The following example shows how ray-traced reflections and refractions greatly increase the realism of a scene. Max Depth = 8; Max Reflections and Refractions = 4.

When ray tracing is turned off, no reflection or refraction occurs.

The following example shows the same model with ray tracing turned off.

Trace depth controls the number of times a light ray can be reflected or refracted. Increasing these values can increase the complexity and realism of a rendered image, at a cost of greater rendering time.

The following example shows how increasing the trace depth improves the rendering. Max Depth = 4; Max Reflections and Refractions = 2.

Ray-tracing Controls

The Max Depth setting limits the combination of reflection and refraction. Tracing of a ray stops when the total number of reflections and refractions reaches the maximum depth. For example, if Max Depth equals 3 and Max Reflections and Max Refractions are both set to 2, a ray can be reflected twice and refracted once, or vice versa, but the ray cannot be reflected and refracted four times.

The Max Reflections setting specifies the number of times a ray can be reflected. At 0, no reflection occurs. At 1, the ray can be reflected once only. At 2, the ray can be reflected twice, and so on.

The Max Refractions setting specifies the number of times a ray can be refracted. At 0, no refraction occurs. At 1, the ray can be refracted once only. At 2, the ray can be refracted twice, and so on.

NoteAs you increase the number of reflections and refractions, you will also increase the amount of processing time required by the renderer.


Ray-traced Reflections and Refractions (Quick Reference)

Use Shadows in Rendering
Ray-traced Reflections and Refractions
Benefits of Indirect Illumination
Render a Drawing for Presentation > Render 3D Objects for Realism > Advanced Rendering > Ray-traced Reflections and Refractions >
Ray-traced Reflections and Refractions
Concept Quick Reference

Commands

RENDER

Creates a photorealistic or realistically shaded image of a 3D wireframe or solid model

RPREF

Displays the Advanced Render Settings palette for access to advanced rendering settings

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Benefits of Indirect Illumination (Concept)

Ray-traced Reflections and Refractions
Advanced Rendering
Final Gathering
Render a Drawing for Presentation > Render 3D Objects for Realism > Advanced Rendering >
Benefits of Indirect Illumination
Concept Quick Reference

Indirect illumination techniques, like global illumination and final gathering, enhance the realism of a scene by simulating radiosity, or the interreflection of light in a scene.

Global illumination (GI) provides effects such as color bleeding. For example, if a red countertop is next to a white wall, the white wall gets a slightly pink tint. You might also think it’s a minor detail, but if the pink tint is missing from the image, the image looks fake, even though it might be hard to point out precisely why. This effect is not possible with ordinary ray-tracing calculations.

To calculate global illumination, the renderer uses photon maps, a technique to generate the indirect illumination effects and global illumination. A side effect of using a photon map is rendering artifacts such as dark corners and low-frequency variations in the lighting. You can reduce or eliminate these artifacts by turning on final gathering, which increases the number of rays used to calculate global illumination.

When preparing for a finished rendering, make sure you have specified the drawing units you want to use before you make any GI settings. Changing drawing units after you’re satisfied with the global illumination will adversely affect the rendering results.

The accuracy and intensity of global illumination is controlled by the number of photons generated, the sampling radius, and its trace depth. This example shows the effects of a low number of photons and a sampling radius set too small.

Photons and Sampling Radius

The intensity of global illumination is computed by the number of photons you’ve specified. Increased numbers of photons makes global illumination less noisy but also more blurry. When the number of photons are decreased, global illumination is more noisy but less blurry. The greater the number of photons, the longer the rendering time.

TipTo preview global illumination, give settings such as Photons/Sample or Photons/Light lower values, then increase the values for the final rendering.

The sampling radius sets the size of photons. In many cases, the default photon size (Use Radius=Off) of one-tenth the scene size gives useful results. In other cases, the default photon size might be too large or too small.

The size of the sampling radius (Radius) determines if photons overlap. When photons overlap, the renderer smooths them together. Increasing the radius increases the amount of smoothing and can create more natural-looking illumination. When photons have a small radius and don't overlap, no smoothing occurs. Ideally, photons should overlap. To get good results, you would want to turn on Use Radius and increase the Radius size.

Global Illumination Trace Depth

The Trace Depth controls are similar to those for calculating reflections and refractions, but they refer to the photons used by global illumination rather than to light rays used in ray-traced reflection and refraction.

The maximum depth limits the combination of reflection and refraction. Reflection and refraction of a photon stops when the total number of both equals the maximum depth. For example, if Max Depth equals 3 and Max Reflections and Max Refractions are both set to 2, a photon can be reflected twice and refracted once, or vice versa, but it can’t be reflected and refracted four times.

The Max Reflections setting specifies the number of times a photon can be reflected. At 0, no reflection occurs. At 1, the photon can be reflected once only. At 2, the photon can be reflected twice, and so on.

The Max Refractions setting specifies the number of times a photon can be refracted. At 0, no refraction occurs. At 1, the photon can be refracted once only. At 2, the photon can be refracted twice, and so on.


Benefits of Indirect Illumination (Quick Reference)

Ray-traced Reflections and Refractions
Benefits of Indirect Illumination
Final Gathering
Render a Drawing for Presentation > Render 3D Objects for Realism > Advanced Rendering > Benefits of Indirect Illumination >
Benefits of Indirect Illumination
Concept Quick Reference

Commands

RPREF

Displays the Advanced Render Settings palette for access to advanced rendering settings

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Final Gathering (Concept)

Benefits of Indirect Illumination
Advanced Rendering
Rendered Image Histories
Render a Drawing for Presentation > Render 3D Objects for Realism > Advanced Rendering >
Final Gathering
Concept Quick Reference

Final gathering is an optional, additional step used to improve global illumination (GI). It increases the number of rays used to calculate GI to smooth out and eliminate adverse lighting artifacts.

Because global illumination is calculated from a photon map, rendering artifacts such as dark corners and low-frequency variations in the lighting may occur.

By activating final gathering, you increase the number of rays used to calculate global illumination, which reduces or eliminates these artifacts.

There is a catch when deciding to use final gathering. Final gathering can greatly increase rendering time. It is most useful for scenes with overall diffuse lighting.

TipLeave final gathering off to preview the scene, then turn it on for the finished rendering. (Increasing the number of photons used to calculate global illumination can also improve global illumination.)

You activate and adjust final gathering in the Advanced Render Settings palette.


Final Gathering (Quick Reference)

Benefits of Indirect Illumination
Final Gathering
Rendered Image Histories
Render a Drawing for Presentation > Render 3D Objects for Realism > Advanced Rendering > Final Gathering >
Final Gathering
Concept Quick Reference

Commands

RPREF

Displays the Advanced Render Settings palette for access to advanced rendering settings

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Rendered Image Histories (Concept)

Final Gathering
Render 3D Objects for Realism
Save and Redisplay Rendered Images
Render a Drawing for Presentation > Render 3D Objects for Realism >
Rendered Image Histories
Concept Quick Reference

The render history maintains a list of recently rendered images generated from the currently loaded model.

Each image that is rendered to a file or the Render Window is recorded with the drawing as a history entry.

Understand History Entries

History entries store data pertaining to renderings made from the current drawing.

Each history entry contains information about the images that have been recently rendered. The information stored in history entries includes

  • Date and time of the rendering task
  • Statistics for the rendering task
  • Current view or the name of a stored view
  • Active render preset name
  • Active render settings, such as output resolution
  • Size of a cropped region, if crop was used for the render task
NoteRendered images are not stored in the history entry, only a link to the image location.

History Entry Information

Aside from the statistics, history entries contain five pertinent pieces of information.

Output File Name

Holds two pieces of information: the name of the rendering and its state. If you specify an output file, that name is listed in the field. If you have not specified an output file, the drawing name is listed with a temporary suffix.

Output Size

Tells you the output resolution for the rendered image.

View

Is always the current view unless you’ve chosen to render a saved view. In that case, the view name is displayed.

Render Time

Shows the date when the image was rendered and the amount of time it took to render.

Render Preset

Displays whatever render preset was used by the renderer to generate the image.

History Entry Creation

There are some rules that delegate when a history entry is created and if that history entry is stored with the current drawing. The destination setting is the primary factor that determines if a history entry is created. The following table outlines the circumstances of when a history entry is created and when it is saved.

Destination | History entry created? | Entry saved with drawing?
File | Yes | Yes
Render Window | Yes | Only if the Render Window view is saved
Viewport | No | Not applicable

Any history entries that are generated, but not saved with the drawing only exist for the duration of the current drawing session. Once you close the file or exit the program, unsaved history entries are lost.

History Entry States

There are four states in which a history entry can appear in the Render Window.

Normal

When you specify an output location and file name for a rendering, the history entry is created and saved with the drawing. This history entry is in a normal state and the file name you specified is displayed in the File Name column of the render history section of the Render Window.

Temporary

A temporary history entry occurs when you render an image only to the Render Window without specifying an output file. This history entry remains in memory until the drawing session ends. Temporary history entries have a -TempXXX suffix appended to their Output File Name listing.

Empty

When you specify an output location and file name for a rendering, the history entry is created and saved with the drawing. This history entry is in a normal state and the file name you specified is displayed in the Output File Name column of the render history section of the Render Window.


Rendered Image Histories (Quick Reference)

Final Gathering
Rendered Image Histories
Save a Rendered Image
Render a Drawing for Presentation > Render 3D Objects for Realism > Rendered Image Histories >
Rendered Image Histories
Concept Quick Reference

Commands

RENDER

Creates a photorealistic or realistically shaded image of a 3D wireframe or solid model

RENDERWIN

Displays the Render Window without invoking a render task

RPREF

Displays the Advanced Render Settings palette for access to advanced rendering settings

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Save and Redisplay Rendered Images

Rendered Image Histories
Render 3D Objects for Realism
Save a Rendered Image
Render a Drawing for Presentation > Render 3D Objects for Realism >
Save and Redisplay Rendered Images
Concept Procedure

You can save a rendering and then redisplay it later. Redisplaying is much faster than rendering again.

Topics in this section

  • Save a Rendered Image

    You can render directly to a file or save a temporary history entry to one of several different file formats.

  • Redisplay a Rendered Image

    Having saved your rendered image, you can redisplay that rendering at any time.

  • Save Copies of Rendered Images

    You can save copies of images that are part of a drawing’s render history.

  • Use Models with Other Applications

    You can use other Autodesk products to further enhance the quality of your models.

  • Update Legacy Drawings

    When you open drawings created with earlier versions of AutoCAD, content is converted to be usable in rendering.


Save and Redisplay Rendered Images (Procedure)

Use Shadows in Rendering
Save and Redisplay Rendered Images
Save a Rendered Image
Render a Drawing for Presentation > Render 3D Objects for Realism > Save and Redisplay Rendered Images >
Save and Redisplay Rendered Images
Concept Procedure

To render an image directly to a file

To save an image that is rendered to the viewport

To save a rendered image from the Render Window

To save a rendered image from the Render Window


Save a Rendered Image (Concept)

Save and Redisplay Rendered Images
Save and Redisplay Rendered Images
Redisplay a Rendered Image
Render a Drawing for Presentation > Render 3D Objects for Realism > Save and Redisplay Rendered Images >
Save a Rendered Image
Concept Procedure Quick Reference

You can render directly to a file or save a temporary history entry to one of several different file formats.

After creating a rendering, you can save the image for redisplay at a later time. Depending on the render settings and render preset you’ve chosen, rendering can be a time-consuming process. However, redisplaying a previously rendered image is instantaneous.

To save a rendered image, you can render directly to a file, you can render to the viewport and then save the image, or you can render to the Render Window and save or save a copy of the image. Once an image is saved, you can view your images at any time. Saved images can also be used as texture maps for materials that you’ve created.

Render Directly to a File

No matter how your display is configured, you can bypass the screen and redirect your rendering to a file. An advantage of not rendering to the screen is that you can render to higher resolutions than your current display configuration permits. You can then view that image on other systems with higher-resolution displays. You set the file location and file name by setting the Image Target in the Advanced Render Settings palette or on the Render panel of the ribbon. Rendered images are saved to one of several file formats, such as BMP, TGA, TIF, PCX, JPG, and PNG.

Save a Viewport Rendering

You can choose to render to a viewport. After rendering a model to a viewport, you use SAVEIMG to save the displayed image to one of the following file formats: BMP, TGA, TIF, PCX, JPG, or PNG. You can save the file to an assortment of different grayscale or color depths that are offered by the file format you’ve selected.

Save a Render Window Rendering

If you’ve chosen the render destination to be the render window, you can save the image or save a copy of the image to one of the following file formats: BMP, TGA, TIF, PCX, JPG, or PNG. Depending upon the file format you’ve selected, you can choose to save grayscale or color depths ranging from 8 bits to 32 bits per pixel (bpp).


Save a Rendered Image (Procedure)

Save and Redisplay Rendered Images
Up a level to ..
Save a Rendered Image
Render a Drawing for Presentation > Render 3D Objects for Realism > Save and Redisplay Rendered Images > Save a Rendered Image >
Save a Rendered Image
Concept Procedure Quick Reference

To render an image directly to a file

To save an image that is rendered to the viewport

To save a rendered image from the Render Window


To render an image directly to a file (Procedure)

Save a Rendered Image
Up a level to ..
Save a Rendered Image
Render a Drawing for Presentation > Render 3D Objects for Realism > Save and Redisplay Rendered Images > Save a Rendered Image >
Save a Rendered Image
Concept Procedure Quick Reference

To render an image directly to a file

  1. At the Command prompt, enter rpref.
  2. In the Advanced Render Settings palette, turn on Save Rendering to File.
  3. Click the [...] button next to the Output File Name field.
  4. In the Save As dialog box, select a file type and the location where you want the image saved. Click Save.
  5. Click Render.
    Toolbar: Render
    Command entry: RPREF

    As the rendering is completed, the image appears in the Render Window. It is also saved to the drive location you chose with the name you specified.


To save an image that is rendered to the viewport (Procedure)

Save a Rendered Image
Up a level to ..
Save a Rendered Image
Render a Drawing for Presentation > Render 3D Objects for Realism > Save and Redisplay Rendered Images > Save a Rendered Image >
Save a Rendered Image
Concept Procedure Quick Reference

To save an image that is rendered to the viewport

  1. After the image is rendered to the viewport, click Visualize tab [image] Render panel [image] Save.enter saveimg at the command prompt.
  2. In the Render Output File dialog box, browse to a folder where you want to store the image.
  3. Enter a name for the image and an output file format.
  4. Click Save.
    Command entry: SAVEIMG


To save a rendered image from the Render Window (Procedure)

Save a Rendered Image
Up a level to ..
Save Copies of Rendered Images
Render a Drawing for Presentation > Render 3D Objects for Realism > Save and Redisplay Rendered Images > Save a Rendered Image >
Save a Rendered Image
Concept Procedure Quick Reference

To save a rendered image from the Render Window

  1. Select a history entry from the Render Window.
  2. Click File menu [image] Save.
  3. In the Render Output File dialog box, select a file format, and enter a storage location and file name. Click Save.

    The image is saved in the selected file format.


Save a Rendered Image (Quick Reference)

Rendered Image Histories
Save a Rendered Image
Redisplay a Rendered Image
Render a Drawing for Presentation > Render 3D Objects for Realism > Save and Redisplay Rendered Images > Save a Rendered Image >
Save a Rendered Image
Concept Procedure Quick Reference

Commands

RENDER

Creates a photorealistic or realistically shaded image of a 3D wireframe or solid model

RENDERWIN

Displays the Render Window without invoking a render task

RPREF

Displays the Advanced Render Settings palette for access to advanced rendering settings

SAVEIMG

Saves a rendered image to a file

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Redisplay a Rendered Image (Concept)

Save a Rendered Image
Save and Redisplay Rendered Images
Save Copies of Rendered Images
Render a Drawing for Presentation > Render 3D Objects for Realism > Save and Redisplay Rendered Images >
Redisplay a Rendered Image
Concept Quick Reference

Having saved your rendered image, you can redisplay that rendering at any time.

Having saved your rendered image, you can view that rendering at any time by opening it in the Windows Image Viewer.

If you don’t want to use an external program, you can also view the image by inserting it into the drawing with the IMAGEATTACH command.


Redisplay a Rendered Image (Quick Reference)

Save a Rendered Image
Redisplay a Rendered Image
Save Copies of Rendered Images
Render a Drawing for Presentation > Render 3D Objects for Realism > Save and Redisplay Rendered Images > Redisplay a Rendered Image >
Redisplay a Rendered Image
Concept Quick Reference

Commands

IMAGEATTACH

Attaches a new image to the current drawing

RENDER

Creates a photorealistic or realistically shaded image of a 3D wireframe or solid model

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Save Copies of Rendered Images (Concept)

Redisplay a Rendered Image
Save and Redisplay Rendered Images
Use Models with Other Applications
Render a Drawing for Presentation > Render 3D Objects for Realism > Save and Redisplay Rendered Images >
Save Copies of Rendered Images
Concept Procedure Quick Reference

You can save copies of images that are part of a drawing’s render history.

With the Save Copy option, located in the Render Window, you can save a rendered image to a new location even though an output path may already be set. This is useful if you want to re-render a history entry and compare the new image with the previous.


To save a rendered image from the Render Window (Procedure)

Save a Rendered Image
Up a level to ..
How Export to Impression Works
Render a Drawing for Presentation > Render 3D Objects for Realism > Save and Redisplay Rendered Images > Save Copies of Rendered Images >
Save Copies of Rendered Images
Concept Procedure Quick Reference

To save a rendered image from the Render Window

  1. Select a history entry from the Render Window.
  2. Click File menu [image] Save Copy.
  3. In the Render Output File dialog box, select a file format, and enter a storage location and file name. Click Save.

    The image is saved in the selected file format.


Save Copies of Rendered Images (Quick Reference)

Redisplay a Rendered Image
Save Copies of Rendered Images
Use Models with Other Applications
Render a Drawing for Presentation > Render 3D Objects for Realism > Save and Redisplay Rendered Images > Save Copies of Rendered Images >
Save Copies of Rendered Images
Concept Procedure Quick Reference

Commands

RENDER

Creates a photorealistic or realistically shaded image of a 3D wireframe or solid model

RENDERWIN

Displays the Render Window without invoking a render task

RPREF

Displays the Advanced Render Settings palette for access to advanced rendering settings

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Use Models with Other Applications (Concept)

Save Copies of Rendered Images
Save and Redisplay Rendered Images
Update Legacy Drawings
Render a Drawing for Presentation > Render 3D Objects for Realism > Save and Redisplay Rendered Images >
Use Models with Other Applications
Concept Quick Reference

You can use other Autodesk products to further enhance the quality of your models.

Autodesk® products continually improve their ability to share drawings and models, including 3ds max®, Autodesk® VIZ, AutoCAD® Architecture, and AutoCAD® Mechanical.

3ds max or Autodesk VIZ

With these products, you can make greater improvements on your models. You have the option of opening DWG or DXF files without converting or you can use the File Link Manager to create a live link with a drawing file. 3ds max or Autodesk VIZ offers expanded animation, lighting, material, and rendering capabilities that add further polish to your presentation graphics.

AutoCAD Architecture

AutoCAD geometry can be opened in AutoCAD Architecture in DWG form. No conversion is necessary. Once the model is open, you can use VIZ Render, a simplified variant of Autodesk VIZ. You can use File Link, create and apply enhanced materials, and use enhanced rendering features.

AutoCAD Mechanical

If you want to use AutoCAD geometry and rendering data with AutoCAD Mechanical, you can export and import files using the following methods:

  • To export a drawing, click File menu [image] Export.To export a drawing, at the Command prompt, enter export.
  • To import a file, click Insert menu [image] Drawing Exchange Binary.To import a file, at the Command prompt, enter dxbin.


Use Models with Other Applications (Quick Reference)

Save Copies of Rendered Images
Use Models with Other Applications
Update Legacy Drawings
Render a Drawing for Presentation > Render 3D Objects for Realism > Save and Redisplay Rendered Images > Use Models with Other Applications >
Use Models with Other Applications
Concept Quick Reference

Commands

3DSIN

Imports a 3D Studio (3DS) file

AMECONVERT

Converts AME solid models to AutoCAD solid objects

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Update Legacy Drawings (Concept)

Use Models with Other Applications
Save and Redisplay Rendered Images
Give CAD Drawings a Hand-Drawn Look
Render a Drawing for Presentation > Render 3D Objects for Realism > Save and Redisplay Rendered Images >
Update Legacy Drawings
Concept Quick Reference

When you open drawings created with earlier versions of AutoCAD, content is converted to be usable in rendering.

Lights, Materials, and Cameras

Lights, materials, and cameras have been improved but some older drawings may contain AutoShade information, such as lights, scene blocks, and camera blocks.

Lights and materials used in older drawings can be converted. AutoCAD 2008 introduced the 3DCONVERSIONMODE system variable. With the system variable set to the default value of 1, lighting and materials are automatically converted for older drawings. Additional information about converting drawings can be found under the topics Converting Lights and Converting Materials.


Update Legacy Drawings (Quick Reference)

Use Models with Other Applications
Update Legacy Drawings
What is Autodesk Impression?
Render a Drawing for Presentation > Render 3D Objects for Realism > Save and Redisplay Rendered Images > Update Legacy Drawings >
Update Legacy Drawings
Concept Quick Reference

Commands

RENDER

Creates a photorealistic or realistically shaded image of a 3D wireframe or solid model

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Give CAD Drawings a Hand-Drawn Look

Update Legacy Drawings
Render a Drawing for Presentation
What is Autodesk Impression?
Render a Drawing for Presentation >
Give CAD Drawings a Hand-Drawn Look

Give your drawing a hand-drawn look for customer presentations.

Topics in this section

  • What is Autodesk Impression?

    Autodesk Impression software converts precision drawings into eye-catching design illustrations that simulate everything from pencil-drawn sketches to hand-colored renderings.

  • How Export to Impression Works

    Export your drawing to Impression to see how your drawing looks with a “hand-drawn” stroke.

  • Get Information About Impression

    Find out how to use and purchase Impression.


What is Autodesk Impression? (Concept)

Give CAD Drawings a Hand-Drawn Look
Give CAD Drawings a Hand-Drawn Look
How Export to Impression Works
Render a Drawing for Presentation > Give CAD Drawings a Hand-Drawn Look >
What is Autodesk Impression?
Concept Quick Reference

Autodesk Impression software converts precision drawings into eye-catching design illustrations that simulate everything from pencil-drawn sketches to hand-colored renderings.

Open or Import DWG or DWF Files

With the Export to Impression feature, you can export a view for rendering in Autodesk® Impression. If Impression is installed on your computer, it opens a DWG file (such as an AutoCAD drawing) or a 2D DWF file with a pencil or marker stroke already applied.

Impression converts three dimensional (3D) views to 2D illustrations, with hidden lines removed by default.

In Impression, you can use the Impression tools to assign styles to layers and objects, or to shade closed areas with a variety of fill styles.

Stylize the Drawing

Impression comes with numerous preset styles. You can also develop your own style sets. You can vary their appearance by changing properties such as stroke width, color, and overshoot. You can specify outline strokes or create fill styles that include strokes, textures, or gradients.

Add effects such as roughened edges.

Keep the illustration simple by using a single layer style to stylize all objects on a layer with the same stroke style.

Insert area fill into closed areas bounded by different objects using the following methods:

  • Use the Area Fill tool to insert a fill style with a single click, by drawing a line across area boundaries, or by dragging a window. This option displays gray shading to preview the areas that can be filled.

  • Use the Power Fill tool to fill several similarly shaped areas simultaneously.

  • Drag a style swatch from the Styles palette to a closed area in your illustration to fill large areas quickly.

Create Geometry and Text

Insert text, draw your own shapes, and add drop shadows.

Use Blocks to Save Time

Create and insert blocks, or quickly substitute inserted blocks by dragging stylized entourage onto inserted blocks.

Modify block appearance by updating the block styles stored in the Styles palette.

Original block styles and tree block

Updated block styles and updated tree block

Share the Results

When you finish, share your illustration by saving it in a variety of standard formats.

NoteAutodesk Impression availability is limited. Please check your local Autodesk website to see if Impression is available in your country.


What is Autodesk Impression? (Quick Reference)

Update Legacy Drawings
What is Autodesk Impression?
How Export to Impression Works
Render a Drawing for Presentation > Give CAD Drawings a Hand-Drawn Look > What is Autodesk Impression? >
What is Autodesk Impression?
Concept Quick Reference

Commands

IMPRESSION

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


How Export to Impression Works (Concept)

What is Autodesk Impression?
Give CAD Drawings a Hand-Drawn Look
Get Information About Impression
Render a Drawing for Presentation > Give CAD Drawings a Hand-Drawn Look >
How Export to Impression Works
Concept Procedure Quick Reference

Export your drawing to Impression to see how your drawing looks with a “hand-drawn” stroke.

The Export Process

When you export to Impression, your drawing opens in Impression using the default stroke type you specify as you export. All drawings, including 3D drawings, are treated as 2D drawings in Impression.

NoteAutodesk® Impression must be installed on your computer before you can use this export feature. Availability for this product is limited. Please check your local Autodesk website to see if Impression is available in your country.

Using the Impression tools, you can enhance the illustration by applying fill styles to objects and layers. You can drag an area fill swatch to a point within any closed boundaries or use an area fill tool for more precision. If the numerous fill styles available with the program do not meet your needs, you can create your own unique styles.

Impression saves illustrations in Impression Render Format (IRF). The changes you make do not affect the original DWG or DWF file. However, if the original drawing changes, you can use the Update CAD Geometry feature to refresh the line work and retain many of your Impression stylizations. If fill boundaries are significantly different, you can update the shading by reapplying the area fill or dragging the area fill anchors to a new location.

How 3D Drawings Are Converted

When you export three-dimensional drawings, Impression converts them to 2D, and automatically removes hidden lines, displays intersecting edges, and turns off contour lines.

You cannot modify this default behavior when you export a drawing directly from AutoCAD or an AutoCAD-based product. To modify these settings to display wireframe geometry, import or open a drawing from within Impression.

You cannot export a 3D DWF file to Impression.


How Export to Impression Works (Procedure)

Save Copies of Rendered Images
How Export to Impression Works
How Export to Impression Works
Render a Drawing for Presentation > Give CAD Drawings a Hand-Drawn Look > How Export to Impression Works >
How Export to Impression Works
Concept Procedure Quick Reference

To export a drawing to Impression (dialog box)

To export a drawing to Impression (ribbon)


To export a drawing to Impression (dialog box) (Procedure)

How Export to Impression Works
How Export to Impression Works
How Export to Impression Works
Render a Drawing for Presentation > Give CAD Drawings a Hand-Drawn Look > How Export to Impression Works >
How Export to Impression Works
Concept Procedure Quick Reference

To export a drawing to Impression (dialog box)

  1. Click File menu [image] Export to Impression.
    NoteImpression must be installed on your computer before you can use this export feature.
  2. In the Export to Impression dialog box, under What to Export, click one of the following options:
    • Display. Exports the current view.
    • Extents. Exports all geometry in the current view, including geometry that is not currently displayed in the drawing area.
    • Window. Exports the portion of the drawing area that you specify by clicking two points.
    • Layouts. Exports all viewports and geometry displayed in the selected layout.
  3. In the Plot Style Table list, do one of the following:
    • To base Impression stroke styles on color, lineweight, and linetype properties of a specific plot style table, select an STB or CTB file.
    • To base Impression stroke styles on the lineweight and linetype of each incoming layer, or on the selected stroke type, click None.
  4. In the Stroke list, select the stroke to use for all exported geometry.

    To combine the lineweight and linetype of the plot style with the properties of the selected stroke, choose both a plot style and a stroke. If any other settings overlap, the plot style setting has priority.

  5. Click OK.

    The drawing is opened in Impression. You can save and print the drawing or continue to stylize the illustration.

Command entry: IMPRESSION
Toolbar: Standard


To export a drawing to Impression (ribbon) (Procedure)

How Export to Impression Works
How Export to Impression Works
Render a Drawing for Presentation > Give CAD Drawings a Hand-Drawn Look > How Export to Impression Works >
How Export to Impression Works
Concept Procedure Quick Reference

To export a drawing to Impression (ribbon)

  1. On the ribbon, on the Plot and Publish tab [image] Export to Impression panel [image] Export list, select the view you want to export.
    • Display. Exports the current view.
    • Extents. Exports all geometry in the current view, including geometry that is not currently displayed in the drawing area.
    • Window. Exports the portion of the drawing area that you specify by clicking two points.
    • Layouts. Exports all viewports and geometry displayed in the selected layout.
    NoteImpression must be installed on your computer before you can use this export feature.
  2. Click the Plot Style Table list and do one of the following:
    • To base Impression stroke styles on color, lineweight, and linetype properties of a specific plot style table, select an STB or CTB file.
    • To base Impression stroke styles on the lineweight and linetype of each incoming layer, or on the selected stroke type, click None.
  3. In the Stroke list, select the stroke to use for all exported geometry.

    Select both a stroke and a plot style to combine the lineweight and linetype of the plot style with the selected stroke color and type. If the settings overlap, the plot style setting has priority.

  4. Click the Export button.

    The drawing is opened in Impression. You can save and print the drawing or continue to stylize the illustration.


How Export to Impression Works (Quick Reference)

What is Autodesk Impression?
How Export to Impression Works
Get Information About Impression
Render a Drawing for Presentation > Give CAD Drawings a Hand-Drawn Look > How Export to Impression Works >
How Export to Impression Works
Concept Procedure Quick Reference

Commands

IMPRESSION

Gives a CAD drawing a hand-drawn look by exporting it for rendering in Autodesk Impression

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Get Information About Impression (Concept)

How Export to Impression Works
Give CAD Drawings a Hand-Drawn Look
Glossary
Render a Drawing for Presentation > Give CAD Drawings a Hand-Drawn Look >
Get Information About Impression
Concept Quick Reference

Find out how to use and purchase Impression.

Get Information about Using Impression

You can find information in a variety of locations:

  • Jump Start Tour. Available from the Impression Help menu, this quick tutorial is displayed across the bottom of the Impression canvas, or drawing area. It includes sample illustrations that give you hands-on guidance through some key activities in Impression. Short animations demonstrate the steps.
  • Quick Start Guide. Available from the Impression Help menu, the illustrations and animations in the Quick Start Guide give you an overview of what you can do with Impression.
  • Impression Help System. Once you are familiar with Impression, the Impression Help system is useful for obtaining more detailed information. Become familiar with the Help organization, so you can quickly find general descriptions, procedures, details about dialog boxes and palettes, and definitions.
  • Autodesk Impression Community Site. For the latest news and contact with other Impression customers, go to http://impression.autodesk.com/impression-community.

How to Obtain Impression

Some Autodesk products ship with a fully licensed version of Impression. For information, see http://www.autodesk.com/impression.

NoteAutodesk Impression availability is limited. Please check your local Autodesk website to see if Impression is available in your country.

Accessing Impression Versions

When multiple versions of Impression are installed on your computer, Export to Impression automatically exports the drawing to the most recent version. If you have not installed the most recent version of Impression, you can upgrade or set an older version as the default. If your trial version expires, you can buy a license or revert to any older version installed on your computer.

When you export to an older version of Impression, some features do not work as they work in the most recent version:

  • You cannot export a Window or Display View to Impression Release 1. Only the extents of the drawing are exported.
  • Plot style information is lost. The rendered drawing uses only the stroke type.


Get Information About Impression (Quick Reference)

How Export to Impression Works
Get Information About Impression
Render a Drawing for Presentation > Give CAD Drawings a Hand-Drawn Look > Get Information About Impression >
Get Information About Impression
Concept Quick Reference

Commands

IMPRESSION

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Glossary

Get Information About Impression
Glossary
3D view

Any view where the UCS icon appears in rendered colored form: current visual style is not 2D Wireframe.

absolute coordinates

Coordinate values measured from a coordinate system's origin point. See also origin, relative coordinates, user coordinate system (UCS), world coordinates, and world coordinate system (WCS).

acquired point

In the tracking or object snap tracking methods of locating a point, an intermediate location used as a reference.

acquisition marker

During tracking or object snap tracking, the temporary plus sign displayed at the location of an acquired point.

action

The smallest task or user interaction that can be recorded with the Action Recorder.

action

Defines how the geometry of a dynamic block reference will move or change when the custom properties of a block reference are manipulated in a drawing. A dynamic block definition usually contains at least one action that is associated with a parameter. (BACTION)

action macro

A series of recorded actions that can be played back in the active drawing.

action macro file

A file that stores all the actions contained in an action macro. Action macro files have the file extension .actm.

Action tree

A control used to display the recorded actions in an action macro.

activate

Part of the Autodesk software registration process. It allows you to run a product in compliance with the product's end-user license agreement.

adaptive degradation

A method of controlling performance that turns off features in a certain order when performance falls below a specified level.

adaptive sampling

A method to accelerate the anti-aliasing process within the bounds of the sample matrix size. See also anti-aliasing.

adjacent cell selection

A selection of table cells that share at least one boundary with another cell in the same selection.

affine calibration

A tablet calibration method that provides an arbitrary linear transformation in two-dimensional space. Affine calibration requires three calibration points to allow a tablet transformation that combines translation, independent X and Y scaling, rotation, and some skewing. Use affine calibration if a drawing has been stretched differently in the horizontal or vertical direction. (TABLET)

alias

A shortcut for a command. For example, CP is an alias for COPY, and Z is an alias for ZOOM. You define aliases in the acad.pgp file.

aliasing

The effect of discrete picture elements, or pixels, aligned as a straight or curved edge on a fixed grid appearing to be jagged or stepped. See also anti-aliasing.

aligned dimension

A dimension that measures the distance between two points at any angle. The dimension line is parallel to the line connecting the dimension's definition points. (DIMALIGNED)

alpha channel

Alpha is a type of data, found in 32-bit bitmap files, that assigns transparency to the pixels in the image.

A 24-bit truecolor file contains three channels of color information: red, green, and blue, or RGB. Each channel of a truecolor bitmap file is defined by 8 bits, providing 256 levels of intensity. The intensity of each channel determines the color of the pixel in the image. Thus, an RGB file is 24-bit with 256 levels each of red, green, and blue.

By adding a fourth, alpha channel, the file can specify the transparency, or opacity, of each of the pixels. An alpha value of 0 is transparent, an alpha value of 255 is opaque, and values in between are semi-transparent. An RGBA file (red, green, blue, alpha) is 32-bit, with the extra 8 bits of alpha providing 256 levels of transparency.

To output a rendered image with alpha, save in an alpha-compatible format such as PNG, TIFF, or Targa.

ambient color

A color produced only by ambient light. Ambient color is the color of an object where it is in shadow. This color is what the object reflects when illuminated by ambient light rather than direct light.

ambient light

Light that illuminates all surfaces of a model with equal intensity. Ambient light has no single source or direction and does not diminish in intensity over distance.

angular dimension

A dimension that measures angles or arc segments and consists of text, extension lines, and leaders. (DIMANGULAR)

angular unit

The unit of measurement for an angle. Angular units can be measured in decimal degrees, degrees/minutes/seconds, grads, and radians.

annotation scale

A setting that is saved with model space, layout viewports, and model views. When you create annotative objects, they are scaled based on the current annotation scale setting and automatically displayed at the correct size.

annotations

Text, dimensions, tolerances, symbols, notes, and other types of explanatory symbols or objects that are used to add information to your model.

annotative

A property that belongs to objects that are commonly used to annotate drawings. This property allows you to automate the process of scaling annotations. Annotative objects are defined at a paper height and display in layout viewports and model space at the size determined by the annotation scale set for those spaces.

anonymous block

An unnamed block created by a number of features, including associative and nonassociative dimensions.

anti-aliasing

A method that reduces aliasing by shading the pixels adjacent to the main pixels that define a line or boundary. See also aliasing.

approximation points

Point locations that a B-spline must pass near, within a fit tolerance. See also fit points and interpolation points.

array

1. Multiple copies of selected objects in a rectangular or polar (radial) pattern. (ARRAY) 2. A collection of data items, each identified by a subscript or key, arranged so a computer can examine the collection and retrieve data with the key.

arrowhead

A terminator, such as an arrowhead, slash, or dot, at the end of a dimension line showing where a dimension begins and ends.

aspect ratio

Ratio of display width to height.

associative dimension

A dimension that automatically adapts as the associated geometry is modified. Controlled by the DIMASSOC system variable. See also nonassociative dimension and exploded dimension.

associative hatch

Hatching that conforms to its bounding objects such that modifying the bounding objects automatically adjusts the hatch. (BHATCH)

attenuation

The diminishing of light intensity over distance.

attribute definition

An object that is included in a block definition to store alphanumeric data. Attribute values can be predefined or specified when the block is inserted. Attribute data can be extracted from a drawing and inserted into external files. (ATTDEF)

attribute extraction file

A text file to which extracted attribute data is written. The contents and format are determined by the attribute extraction template file. See also attribute extraction template file.

attribute extraction template file

A text file that determines which attributes are extracted and how they are formatted when written to an attribute extraction file. See also attribute extraction file.

attribute prompt

The text string displayed when you insert a block with an attribute whose value is undefined. See also attribute definition, attribute tag, and attribute value.

attribute tag

A text string associated with an attribute that identifies a particular attribute during extraction from the drawing database. See also attribute definition, attribute prompt, and attribute value.

attribute value

The alphanumeric information associated with an attribute tag. See also attribute definition, attribute prompt, and attribute tag.

AutoCAD library search path

The order in which looks for a support file: current directory, drawing directory, directory specified in the support path, and directory containing the executable file, acad.exe.

AutoCAD window

The drawing area, its surrounding menus, and the command line.

axis tripod

Icon with X, Y, and Z coordinates that is used to visualize the viewpoint (view direction) of a drawing without displaying the drawing. (VPOINT)

B-spline curve

A blended piecewise polynomial curve passing near a given set of control points. See also Bezier curve. (SPLINE)

back face

The opposite side of a front face. Back faces are not visible in a rendered image. See also front faces.

base point

1. In the context of editing grips, the grip that changes to a solid color when selected to specify the focus of the subsequent editing operation. 2. A point for relative distance and angle when copying, moving, and rotating objects. 3. The insertion base point of the current drawing. (BASE) 4. The insertion base point for a block definition. (BLOCK)

baseline

An imaginary line on which text characters appear to rest. Individual characters can have descenders that drop below the baseline. See also baseline dimension.

baseline dimension

Multiple dimensions measured from the same baseline. Also called parallel dimensions. See also baseline.

basic tooltip

Displays a brief description for the tooltip.

basic wheels

A reference to the View Object and Tour Building SteeringWheels.

Bezier curve

A polynomial curve defined by a set of control points, representing an equation of an order one less than the number of points being considered. A Bezier curve is a special case of a B-spline curve. See also B-spline curve.

big wheels

The large version of the SteeringWheels. Labels are displayed on each wheel wedge and they are larger than the size of the cursor.

bitmap

The digital representation of an image having bits referenced to pixels. In color graphics, a different value represents each red, green, and blue component of a pixel.

blips

Temporary screen markers displayed in the drawing area when you specify a point or select objects. (BLIPMODE)

block

A generic term for one or more objects that are combined to create a single object. Commonly used for either block definition or block reference. See also block definition and block reference. (BLOCK)

block authoring palettes

Tool palettes used in the Block Editor to add actions and parameters to dynamic block definitions.

block authoring tools

Actions, parameters, and parameter sets on the tabs of the Block Authoring Palettes window. Used in the Block Editor to create dynamic blocks.

block definition

The name, base point, and set of objects that are combined and stored in the symbol table of a drawing. See also block and block reference.

block definition table

The nongraphical data area of a drawing file that stores block definitions. See also named object.

block instance

See block reference.

block reference

A compound object that is inserted in a drawing and displays the data stored in a block definition. Also called instance. See also block and block definition. (INSERT)

bump map

A map in which brightness values are translated into apparent changes in the height of the surface of an object.

button menu

The menu for a pointing device with multiple buttons. Each button on the pointing device (except the pick button) can be defined in the customization file (acad.cui).

BYBLOCK

A special object property used to specify that the object inherits the color or linetype of any block containing it. See also BYLAYER.

BYLAYER

A special object property used to specify that the object inherits the color or linetype associated with its layer. See also BYBLOCK.

callout block

A block used as symbol to reference another sheet. Callout blocks have many industry-specific terms, such as reference tags, detail keys, detail markers, and so on. See also label block.

camera

Defines the current eye-level position in a 3D model. A camera has a location XYZ coordinate, a target XYZ coordinate, and a field of view or lens length, which determines the magnification or zoom factor.

camera target

Defines the point you are viewing by specifying the coordinate at the center of the view.

candela

The SI unit of luminous intensity (perceived power emitted by a light source in a particular direction) (Symbol: cd). Cd/Sr

category

See view category.

cell

The smallest available table selection.

cell boundary

The four gridlines surrounding a table cell. An adjacent cell selection can be surrounded with a cell boundary.

cell style

A style that contains specific formatting for table cells.

Chain Actions

In a dynamic block definition, a property of point, linear, polar, XY, and rotation parameters. When set to Yes, a change in an action that contains the parameter in the action's selection set triggers any actions associated with that parameter, just as if you had edited the parameter in the block reference through a grip or custom property.

circular external reference

An externally referenced drawing (xref) that references itself directly or indirectly. The xref that creates the circular condition is ignored.

clipping planes

The boundaries that define or clip the field of view.

CMYK

For cyan, magenta, yellow, and key color. A system of defining colors by specifying the percentages of cyan, magenta, yellow, and the key color, which is typically black.

Color bleed scale

Increases or decreases the saturation of the reflected color from the material.

color map

A table defining the intensity of red, green, and blue (RGB) for each displayed color.

column

A vertically adjacent table cell selection spanning the height of the table. A single column is one cell in width.

command line

A text area reserved for keyboard input, prompts, and messages.

compass

A visual aid that displays the directions north, south, east, and west in the current model. The compass is displayed below the ViewCube.

composite solid

A solid created from two or more individual solids. (UNION, SUBTRACT, INTERSECT)

construction plane

See workplane.

contextual tab

A ribbon tab that is displayed only when a particular type of object, such as a hatch or table, is included in a selection. Toolbars can be changed to contextual tabs in the CUI.

continued dimension

A type of linear dimension that uses the second extension line origin of a selected dimension as its first extension line origin, breaking one long dimension into shorter segments that add up to the total measurement. Also called chain dimension. (DIMCONTINUE)

control frame

A series of point locations used as a mechanism to control the shape of a B-spline. These points are connected by a series of line segments for visual clarity and to distinguish the control frame from fit points. The SPLFRAME system variable must be turned on to display control frames.

control point

See control frame.

Coons patch

In 3D surface meshes, the bicubic surface (one curved in the M direction and another in the N direction) interpolated between four edges.

coordinate filters

Functions that extract individual X, Y, and Z coordinate values from different points to create a new, composite point. Also called X,Y,Z point filters.

cross sections

Generally, curves or lines that define the profile (shape) of a lofted solid or surface. Cross sections can be open or closed. A lofted solid or surface is drawn in the space between the cross sections. (LOFT)

crosshairs

A type of cursor consisting of two lines that intersect.

crossing selection

A rectangular area drawn to select objects fully or partly within its borders.

CTB file

SA color-dependent plot style table.

current drawing

A drawing file that is open in the program, and receives any command or action that you enter.

cursor

See pointer and crosshairs.

cursor menu

See shortcut menu.

custom grips

In a dynamic block reference, used to manipulate the geometry and custom properties.

custom object

A type of object that is created by an ObjectARX application and that typically has more specialized capabilities than standard objects. Custom objects include parametric solids (AutoCAD Mechanical Desktop), intelligently interactive door symbols (AutoCAD Architecture), polygon objects (AutoCAD Map 3D), and associative dimension objects (AutoCAD and AutoCAD LT). See also proxy object and object enabler.

customization (CUI) file

An XML-based file that stores customization data. You modify a customization file through the Customize User Interface dialog box. CUI files replace MNU, MNS, and MNC files that were used to define menus in earlier releases.

data link

A connection between a table and an external source of data.

decimal degrees

A notation for specifying latitude and longitude. For example, 35.1234°, 100.5678°.

Latitude always precedes longitude

default drawing

See initial environment.

default lighting

The lighting in a shaded viewport when the sun and user lights are turned off. Faces are lighted by two distant light sources that follow the viewpoint as you move around the model.

default value

The value that is accepted when you press ENTER at a sub-prompt. The default value is displayed in angle brackets <>. See also default.

definition points

Points for creating a dimension. The program refers to the points to modify the appearance and value of a nonassociative dimension when the dimensioned object is modified. Also called defpoints and stored on the special layer DEFPOINTS.

definition table

The nongraphical data area of a drawing file that stores block definitions.

dependency highlighting

In a dynamic block definition, how associated objects are displayed when you select a parameter, grip, or action.

dependent named objects (in xrefs)

Named objects brought into a drawing by an external reference. See also named object and symbol table.

dependent symbols

See dependent named objects (in xrefs).

DGN underlay

See underlay.

DIESEL

For Direct Interpretively Evaluated String Expression Language. A macro language for altering the status line with the MODEMACRO system variable and for customizing menu items.

diffuse color

An object's predominant color.

dimension line arc

An arc (usually with arrows at each end) spanning the angle formed by the extension lines of an angle being measured. The dimension text near this arc sometimes divides it into two arcs. See also angular dimension.

dimension style

A named group of dimension settings that determines the appearance of the dimension and simplifies the setting of dimension system variables. (DIMSTYLE)

dimension text

The measurement value of dimensioned objects.

dimension variables

A set of numeric values, text strings, and settings that control dimensioning features. (DIMSTYLE)

direct distance entry

A method to specify a second point by first moving the cursor to indicate direction and then entering a distance.

dithering

Combining color dots to give the impression of displaying more colors than are actually available.

dockable window

A user interface element that can be either docked, anchored, or floating in the drawing area. Dockable windows include the command window, tool palettes, Properties Palette, and so on.

drawing area

The area in which your drawings are displayed and modified. The size of the drawing area varies, depending on the size of the AutoCAD window and on how many toolbars and other elements are displayed. See also AutoCAD window.

drawing extents

The smallest rectangle that contains all objects in a drawing, positioned on the screen to display the largest possible view of all objects. (ZOOM)

drawing limits

See grid limits.

drawing set

A collection of drawings assembled using the Publish dialog box.

drawing state

A collection of known settings that define the behavioral properties of the drawing environment and/or drawing at a known period of time, such as when an action macro was recorded or before the playback of an action macro.

drawing template

A drawing file with preestablished settings for new drawings such as acad.dwtand acadiso.dwt however, any drawing can be used as a template. See also initial environment.

DSD

For drawing set descriptions. A file format for saving a description of a drawing set that has been assembled using the Publish dialog box.

DST

For sheet set data. The XML file format used to store the associations and information that define a sheet set.

DWF

For Design Web Format. A highly compressed file format that is created from a DWG file. DWF files are easy to publish and view on the Web. See also DWG and DXF.

DWF underlay

See underlay.

DWFx

DWFx — the future of DWF — is based on the XML Paper Specification (XPS) format from Microsoft.

DWFx files are easily distributable on the Windows Vista platform as this format is supported by the XPS Viewer. You can also view DWFx files using Autodesk Design Review.

DWG

Standard file format for saving vector graphics. See also DWF and DXF.

DXF

For drawing interchange format. An ASCII or binary file format of a drawing file for exporting drawings to other applications or for importing drawings from other applications. See also DWF and DWG.

edge

The boundary of a face.

edge modifiers

Effects such as overhang and jitter that control how edges are displayed in a shaded model.

electronic drawing set

The digital equivalent of a set of plotted drawings. You create an electronic drawing set by publishing drawings to a DWF file.

elevation

The default Z value above or below the XY plane of the current user coordinate system, which is used for entering coordinates and digitizing locations. (ELEV)

embed

To use object linking and embedding (OLE) information from a source document in a destination document. An embedded object is a copy of the information from a source document that is placed in the destination document and has no link to the source document. See also link.

empty selection set

A selection set that contains no objects.

enterprise customization file

A CUI file that is typically controlled by a CAD manager. It is often accessed by many users and is stored in a shared network location. The file is read-only to users to prevent the data in the file from being changed. A CAD manager creates an enterprise CUI file by modifying a main CUI file and then saving the file to the support location defined in the Options dialog box, Files tab.

environment map

A bitmap that is used to simulate reflections in materials that have reflective properties. The map is “wrapped” around the scene and any reflective object will show the appropriate portion of the map in the reflective parts of its material.

environment variable

A setting stored in the operating system that controls the operation of a program.

explode

To disassemble a complex object, such as a block, dimension, solid, or polyline, into simpler objects. In the case of a block, the block definition is unchanged. The block reference is replaced by the components of the block. See also block, block definition, and block reference. (EXPLODE)

exploded dimension

Independent objects that have the appearance of a dimension but are not associated with the dimensioned object or each other. Controlled by the DIMASSOC system variable. See also associative dimension, nonassociative dimension, and explode. (EXPLODE)

extended tooltips

When hovered over the tooltip for a period of time, displays additional information.

extents

See drawing extents.

external reference (xref)

A drawing file referenced by another drawing. (XREF)

extrusion

A 3D solid created by sweeping an object that encloses an area along a linear path.

face

A triangular or quadrilateral portion of a surface object.

face color mode

A setting in the visual style that controls how color is displayed on a face.

face style

A setting in the visual style that defines the shading on a face.

feature control frame

The tolerance that applies to specific features or patterns of features. Feature control frames always contain at least a geometric characteristic symbol to indicate the type of control and a tolerance value to indicate the amount of acceptable variation.

fence

A multisegmented line specified to select objects it passes through.

field

A specialized text object set up to display data that may change during the life cycle of the drawing. When the field is updated, the latest value of the field is displayed. (FIELD)

fill

A solid color covering an area bounded by lines or curves. (FILL)

filters

See coordinate filters.

final gathering

Final gathering is an optional, additional step to calculating global illumination. Using a photon map to calculate global illumination can cause rendering artifacts such as dark corners and low-frequency variations in the lighting. You can reduce or eliminate these artifacts by turning on final gathering, which increases the number of rays used to calculate global illumination.

Final gathering can greatly increase rendering time. It is most useful for scenes with overall diffuse lighting, less useful for scenes with bright spots of indirect illumination.

You turn on final gathering on the Advanced Render Settings palette. See also global illumination.

First Contact balloon

The interactive graphical tooltip that is displayed when the SteeringWheel is pinned during startup.

fit points

Locations that a B-spline must pass through exactly or within a fit tolerance. See also interpolation points and approximation points.

fit tolerance

The setting for the maximum distance that a B-spline can pass for each of the fit points that define it.

floating panel

A ribbon panel that is not attached to the rest of the ribbon or application frame.

floating viewports

See layout viewports.

font

A character set, made up of letters, numbers, punctuation marks, and symbols of a distinctive proportion and design.

footcandle

The American unit of illuminance (symbol: fc). Lm/ft^2.

footcandle

The American unit of illuminance (symbol: fc). Lm/ft^2

frame

An individual, static image in an animated sequence. See also motion path.

freeze

A setting that suppresses the display of objects on selected layers. Objects on frozen layers are not displayed, regenerated, or plotted. Freezing layers shortens regenerating time. See also thaw. (LAYER)

front faces

Faces with their normals pointed outward.

general property

Properties that are common between a selection of objects. These include Color, Layer, Linetype, Linetype scale, Plot style, Lineweight, Hyperlink, and Thickness.

geographic elevation

The relative height along the specified up-direction defined for a geographic marker.

geographic marker

Visual representation of geographic location information.

geometry

All graphical objects such as lines, circles, arcs, polylines, and dimensions. Nongraphical objects, such as linetypes, lineweights, text styles, and layers are not considered geometry. See also named object.

gizmo

Some modifiers display in viewports as a box-like apparatus called a gizmo, which initially surrounds the selected object. A gizmo acts like a kind of container that transfers the modification to the object to which it's attached.

global illumination

An indirect illumination technique that allows for effects such as color bleeding. As light hits a colored object in the model, photons bounce to adjacent objects and tint them with the color of the original object.

Gooch shading

A type of shading that uses a transition from cool to warm colors rather than from dark to light.

graphics area

See drawing area.

graphics window

See AutoCAD window and drawing area.

grid

An area covered with regularly spaced dots or lines to aid drawing. The grid spacing is adjustable. The grid dots are never plotted. See also grid limits. (GRID)

grid limits

The user-defined rectangular boundary of the drawing area covered by dots when the grid is turned on. Also called drawing limits. (LIMITS)

grip modes

The editing capabilities activated when grips are displayed on an object: stretching, moving, rotating, scaling, and mirroring.

grip tool

An icon that you use in a 3D view to easily constrain the movement or rotation of a selection set of objects to an axis or a plane. (3DMOVE, 3DROTATE)

grips

Small squares and triangles that appear on objects you select. After selecting the grip, you edit the object by dragging it with the pointing device instead of entering commands.

ground plane

The XY plane of the user coordinate system when perspective projection is turned on. The ground plane displays with a color gradient between the ground horizon (nearest to the horizon) and the ground origin (opposite the horizon). See also sky and underground.

guide curves

Lines or curves that intersect each cross section of a lofted solid or surface and that define the form by adding additional wireframe information to the object. (LOFT)

handle

A unique alphanumeric tag for an object in the program's database.

HDI

For Heidi Device Interface. An interface for developing device drivers that are required for peripherals to work with the program and other Autodesk products.

heads-up display (HUD)

The process of transparently displaying user interface elements on top of or over the drawing area without obscuring the view of the objects drawn on the drawing area.

helix

An open 2D or 3D spiral. (HELIX)

HLS

For hue, lightness, and saturation. A system of defining color by specifying the amount of hue, lightness, and saturation.

Home view

A special view saved with the drawing that is controlled through the ViewCube. The Home view is similar in concept to the default, initial view presented when a drawing is first opened.

horizontal landing

An optional line segment connecting the tail of a leader line with the leader content.

horizontal ribbon

The ribbon, when it is oriented across the top of the drawing window.

i-drop

A method by which a drawing file can be dragged from a Web page and inserted into another drawing.

IGES

For Initial Graphics Exchange Specification. A standard format for digital representation and exchange of information between CAD/CAM systems. In AutoCAD-based products, the commands to import and export IGES files are available only in AutoCAD Mechanical.

Illuminance

In photometry, illuminance is the total luminous flux incident on a surface per unit area.

indirect bump scale

Scales the effect of the base material’s bump mapping in areas lit by indirect light.

indirect illumination

Illumination techniques such as global illumination and final gathering, that enhance the realism of a scene by simulating radiosity, or the interreflection of light between objects in a scene.

initial environment

The variables and settings for new drawings as defined by the default drawing template, such as acad.dwg or acadiso.dwg. See also template drawing.

input property

In a dynamic block definition, a parameter property other than that of a lookup, alignment, or base point parameter that you can add as a column to a lookup table. When the parameter values in a dynamic block reference match a row of input property values, the corresponding lookup property values in that table row are assigned to the block reference. (BLOOKUPTABLE)

interface element

A user interface object that can be customized, such as a toolbar, pull-down menu, shortcut key, dockable window, and so on.

interpolation points

Defining points that a B-spline passes through. See also approximation points and fit points.

island

An enclosed area within another enclosed area. Islands may be detected as part of the process of creating hatches, polylines, and regions. (BHATCH, BOUNDARY)

ISO

For International Standards Organization. The organization that sets international standards in all fields except electrical and electronics. Headquarters are in Geneva, Switzerland.

isometric snap style

A drafting option that aligns the cursor with two of three isometric axes and displays grid, making 2D isometric drawings easier to create.

key point

In a dynamic block definition, the point on a parameter that drives its associated action when edited in the block reference.

label block

A block used to label views and details. Labels contain data, such as a title, view number, and scale, that is associated with the referenced view. See also callout block.

landing

The portion of a leader object that acts as a pointer to the object being called out. A landing can either be a straight line or a spline curve.

landing gap

An optional space between a leader tail and the leader content.

layer

A logical grouping of data that are like transparent acetate overlays on a drawing. You can view layers individually or in combination. (LAYER)

layer index

A list showing the objects on each layer. A layer index is used to locate what portion of the drawing is read when you partially open a drawing. Saving a layer index with a drawing also enhances performance when you work with external references. The INDEXCTL system variable controls whether layer and spatial indexes are saved with a drawing.

layer translation mappings

Assignments of a set of layers to another set of layers that defines standards. These standards include layer names and layer properties. Also called layer mappings.

layout

The environment in which you create and design paper space layout viewports to be plotted. Multiple layouts can be created for each drawing.

layout viewports

Objects that are created in paper space that display views. See also paper space. (VPORTS)

leader tail

The portion of a leader line that is connected to the annotation.

lens length

Defines the magnification properties of a camera's lens. The greater the lens length, the narrower the field of view.

light glyph

The graphic representation of a point light or a spotlight.

limits

See drawing limits.

line font

See linetype.

linetype

How a line or type of curve is displayed. For example, a continuous line has a different linetype than a dashed line. Also called line font. (LINETYPE)

lineweight

A width value that can be assigned to all graphical objects except TrueType® fonts and raster images.

link

To use object linking and embedding (OLE) to reference data in another file. When data is linked, any changes to it in the source document are automatically updated in any destination document. See also embed.

LL84 coordinate system

Common latitude longitudinal-based coordinate system where latitude and longitude are both measured from -90 to 90 degrees.

Longitude begins at 0 degrees at the Prime Meridian in Greenwich, England and is measured from -180 to 180.

Latitude is 0 degrees at the equator and is measured from -90 to 90.

lofted solid/surface

A solid or surface that is drawn through a set of two or more cross-section curves. The cross sections define the profile (shape) of the resulting solid or surface. Cross sections (generally, curves or lines) can be open or closed. (LOFT)

lookup property

In a dynamic block definition, a lookup parameter that you add to a lookup table. The lookup parameter label is used as the property name. When the parameter values in a dynamic block reference match a row of input property values, the corresponding lookup property values in that table row are assigned to the block reference. (BLOOKUPTABLE)

lookup table

Defines properties for and assigns property values to a dynamic block. Assigns property values to the dynamic block reference based on how the block is manipulated in a drawing. (BLOOKUPTABLE)

lumen

The SI unit of luminous flux (Symbol: lm). Cd * Sr

luminaire

This refers to the aggregation of a lamp or lamps and its fixture. The fixture may be a simple can or a complex armature with constrained joints.

luminance

Luminance is the value of light reflected off a surface. It is a measure of how bright or dark we perceive the surface.

luminous flux

The perceived power in per unit of solid angle. The total luminous flux for a lamp is the perceived power emitted in all directions.

lux

The SI unit of illuminance (symbol: lx). Lm/m^2

macro-derived selection

A selection set of all the objects that have been created during the playback of an action macro up to the command that is requesting a selection set.

main customization file

A writable CUI file that defines most of the user interface elements (including the standard menus, toolbars, keyboard accelerators, and so on). The acad.cui file (the default main CUI file) is automatically loaded when you start AutoCAD.

markup

A single comment or a redline geometry correction inserted into a DWF file using Autodesk Design Review.

markup set

A group of markups contained within a single DWF file.

menu browser

A user interface element that accesses all menus. (Click a button in the top-left corner of the application window.) The menu browser searches for menu commands and displays a browser for recently used files.

merge

In tables, an adjacent cell selection that has been combined into a single cell.

mini wheels

The small version of SteeringWheels. No labels are displayed on any of the wedges and they are often the size of the cursor.

mirror

To create a new version of an existing object by reflecting it symmetrically with respect to a prescribed line or plane. (MIRROR)

mode

A software setting or operating state.

model

A two- or three-dimensional representation of an object.

model space

One of the two primary spaces in which objects reside. Typically, a geometric model is placed in a three-dimensional coordinate space called model space. A final layout of specific views and annotations of this model is placed in paper space. See also paper space. (MSPACE)

model viewports

A type of display that splits the drawing area into one or more adjacent rectangular viewing areas. See also layout viewports, TILEMODE, and viewport. (VPORTS)

motion path

Defines the path or target of a camera. A path can be a line, arc, elliptical arc, circle, polyline, 3D polyline, or spline.

multi-sheet DWF

A DWF file that contains multiple sheets.

multileader

A leader object that creates annotations with multiple leader lines.

named object

Describes the various types of nongraphical information, such as styles and definitions, stored with a drawing. Named objects include linetypes, layers, dimension styles, text styles, block definitions, layouts, views, and viewport configurations. Named objects are stored in definition (symbol) tables.

named objects, dependent

See dependent named objects (in xrefs).

named path

A saved motion path object that is linked to a camera or target.

named range

A tool in Microsoft Excel that provides a method to assign a meaningful name to a single cell or a range of cells.

named view

A view saved for restoration later. (VIEW)

node

An object snap specification to locate points, dimension definition points, and dimension text origins.

nonassociative dimension

A dimension that does not automatically change as the associated geometry is modified. Controlled by the DIMASSOC system variable. See also associative dimension and exploded dimension.

normal

A normal is a vector that defines which way a face is pointing. The direction of the normal indicates the front, or outer surface of the face.

noun-verb selection

Selecting an object first and then performing an operation on it rather than entering a command first and then selecting the object.

NURBS

For nonuniform rational B-spline curve. A B-spline curve or surface defined by a series of weighted control points and one or more knot vectors. See also B-spline curve.

object

One or more graphical elements, such as text, dimensions, lines, circles, or polylines, treated as a single element for creation, manipulation, and modification. Formerly called entity.

object enabler

A tool that provides specific viewing and standard editing access to a custom object when the ObjectARX application that created the custom object is not present. See also custom object and proxy object.

Object Snap mode

Methods for selecting commonly needed points on an object while you create or edit a drawing. See also running object snap and object snap override.

object snap override

Turning off or changing a running Object Snap mode for input of a single point. See also Object Snap mode and running object snap.

ObjectARX (AutoCAD Runtime Extension)

A compiled-language programming environment for developing AutoCAD applications.

OLE

For object linking and embedding. An information-sharing method in which data from a source document can be linked to or embedded in a destination document. Selecting the data in the destination document opens the source application so that the data can be edited. See also embed and link.

opacity map

Projection of opaque and transparent areas onto objects, creating the effect of a solid surface with holes or gaps.

origin

The point where coordinate axes intersect. For example, the origin of a Cartesian coordinate system is where the X, Y, and Z axes meet at 0,0,0.

Ortho mode

A setting that limits pointing device input to horizontal or vertical (relative to the current snap angle and the user coordinate system). See also snap angle and user coordinate system (UCS).

orthogonal

Having perpendicular slopes or tangents at the point of intersection.

page setup

A collection of plot device and other settings that affect the appearance and format of the final output. These settings can be modified and applied to other layouts.

pan

To shift the view of a drawing without changing magnification. See also zoom. (PAN)

paper space

One of two primary spaces in which objects reside. Paper space is used for creating a finished layout for printing or plotting, as opposed to doing drafting or design work. You design your model using the Model tab. See also model space and viewport. (PSPACE)

parameter

In a dynamic block definition, defines custom properties for the dynamic block by specifying positions, distances, and angles for geometry in the block.

parameter set

A tool on the Parameter Sets tab of the Block Authoring Palettes window that adds one or more parameters and one or more associated actions to the dynamic block definition.

partial customization file

Any CUI file that is not defined as the main CUI file. You can load and unload partial CUI files as you need them during a drawing session.

path curve

Defines the direction and length that a profile curve is lofted, swept, or extruded to create a solid or surface. (SWEEP, LOFT, EXTRUDE)

PC2 file

Complete plotter configuration file. PC2 files contain all plot settings and device-specific settings that were saved in previous versions. See also PCP file and PC3 file.

PC3 file

Partial plotter configuration file. PC3 files contain plot settings information such as the device driver and model, the output port to which the device is connected, and various device-specific settings, but do not include any custom plotter calibration or custom paper size information. See also PMP file, STB file, and CTB file.

PCP file

Partial plotter configuration file. PCP files contain basic plot specifications and pen parameters that were saved in previous versions. Plot settings that are stored in a PCP file include pen assignments, plotting units, paper size, plot rotation, plot origin, scale factor, and pen optimization level. See also PC2 file and PC3 file.

performance tuning

A method of optimizing 3D graphics performance. The performance tuner examines your graphics card and 3D display driver and decides whether to use software or hardware implementation for features that support both.

personalization

Customizes the executable file during installation with the user name, company, and other information.

perspective view

Objects in 3D seen by an observer positioned at the viewpoint looking at the view center. Objects appear smaller when the distance from the observer (at the view point) to the view center increases. Although a perspective view appears realistic, it does not preserve the shapes of objects. Parallel lines seemingly converge in the view. The program has perspective view settings for VPORTS table entries as well as viewport objects.

photometric lights

Photometric lights are physically-correct lights. Physically correct lights attenuate as the square of the distance. Photometry is the science of measurement of visible light in terms of its perceived brightness.

photon map

A technique to generate the indirect illumination effects of global illumination used by the renderer. When it calculates indirect illumination, the renderer traces photons emitted from a light. The photon is traced through the model, being reflected or transmitted by objects, until it strikes a diffuse surface. When it strikes a surface, the photon is stored in the photon map.

photorealistic rendering

Rendering that resembles a photograph.

pick button

The button on a pointing device that is used to select objects or specify points on the screen. For example, on a two-button mouse, it is the left button by default.

pick-first

The selection of objects before an action macro or command is issued.

pick-first set

A selection set of objects that are selected prior to the execution of an action macro or a command. See also pre-selection set.

pin

A push pin-shaped button used on the ribbon and in the menu browser. On the ribbon, pins are used to keep panels expanded. In the menu browser, pins keep an item in the list of recently-viewed items.

plan view

A view orientation from a point on the positive Z axis toward the origin (0,0,0). (PLAN)

planar face

A flat face that can be located anywhere in 3D space.

planar projection

Mapping of objects or images onto a plane.

planar surface

A flat surface that can be located anywhere in 3D space. (PLANESURF)

playback

The process of executing the actions stored in a previously recorded action macro.

pline

See polyline.

plot style

An object property that specifies a set of overrides for color, dithering, gray scale, pen assignments, screening, linetype, lineweight, endstyles, joinstyles, and fill styles. Plot styles are applied at plot time.

plot style table

A set of plot styles. Plot styles are defined in plot style tables and apply to objects only when the plot style table is attached to a layout or viewport.

plug-ins

Plug-ins are libraries of reuseable content that extend the functionality of AutoCAD. Plug-ins are created by third party developers and can be accessed from the Featured Technologies and Content channel of the Communications Center.

PMP file

Plot Model Parameter. File containing custom plotter calibration and custom paper size information associated with plotter configuration file.

point

1. A location in three-dimensional space specified by X, Y, and Z coordinate values. 2. An object consisting of a single coordinate location. (POINT)

point filters

See coordinate filters.

pointer

A cursor on a video display screen that can be moved around to place textual or graphical information. See also crosshairs.

polar array

Objects copied around a specified center point a specified number of times. (ARRAY)

Polar Snap

A precision drawing tool used to snap to incremental distances along the polar tracking alignment path. See also polar tracking.

polar tracking

A precision drawing tool that displays temporary alignment paths defined by user-specified polar angles. See also Polar Snap.

polygon window selection

A multisided area specified to select objects in groups. See also crossing selection and window selection.

polyline

An object composed of one or more connected line segments or circular arcs treated as a single object. Also called pline. (PLINE, PEDIT)

polysolid

A swept solid that is drawn the same way you draw a polyline or that is based on an existing line. By default, a polysolid always has a rectangular profile. You can specify the height and width of the profile. (POLYSOLID)

pre-playback drawing environment

The drawing state prior to the playback of an action macro.

pre-selection set

A selection set of objects that is defined prior to the execution of an action macro.

primary table fragment

The fragment of a broken table that contains the beginning set of rows up to the first table break.

procedural materials

Materials that generate a 3D pattern in two or more colors, and apply it to an object. These include marble and wood. Also called template materials.

profile curve

An object that is swept, extruded, or revolved and defines the shape of the resulting solid or surface. (SWEEP, EXTRUDE, REVOLVE)

prompt

A message on the command line or in a tooltip that asks for information or requests action such as specifying a point.

proxy object

A substitute for a custom object when the ObjectARX application that created the custom object is not available. See also custom object and object enabler.

PWT

A template file format used to publish drawings to the Web.

Quick View image

A thumbnail image of a drawing, layout or model space that is displayed using Quick View tools.

Quick View tool

A tool to preview and switch between open drawings and layouts in a drawing.

ray tracing

The renderer can generate reflections and refractions. Ray tracing traces the path of rays sampled from the light source. Reflections and refractions generated this way are physically accurate.

You turn on ray tracing on the Advanced Render Settings palette.

ray-traced shadows

A way that the renderer can generate shadows. Ray tracing traces the path of rays sampled from the light source. Shadows appear where rays have been blocked by objects. Ray-traced shadows have sharp edges.

Ray-traced shadows are active when Shadow Map is turned off on the Advanced Render Settings palette.

recorded value

The input captured during the recording of an action macro for a sub-prompt of a command.

rectangular break

To break a table into multiple parts that are evenly spaced and set at a user-specified height using the table breaking grips.

redraw

To quickly refresh or clean up blip marks in the current viewport without updating the drawing's database. See also regenerate. (REDRAW)

reference

A definition, known as an external reference or block reference, that is used and stored in the drawing. See also block (BLOCK) and external reference (xref). (XREF)

reflectance scale

Increases or decreases the amount of energy the material reflects.

reflection color

The color of a highlight on shiny material. Also called specular color.

reflection line

In a dynamic block reference, the axis about which a flip action's selection set flips when the associated parameter is edited through a grip or the Properties palette.

reflection mapping

Creates the effect of a scene reflected on the surface of a shiny object.

refraction

How light distorts through an object.

regenerate

To update a drawing's screen display by recomputing the screen coordinates from the database. See also redraw. (REGEN)

relative coordinates

Coordinates specified in relation to previous coordinates.

request user input

An item that is assigned to an action node that pauses the playback of an action macro so a user can provide some form of input before playback resumes.

reverse lookup

Adds a lookup grip to a dynamic block reference. When you click this grip, a drop-down list of the lookup values for that lookup property (column in the lookup table) is displayed. When you select a value from the list, the corresponding input property values are assigned to the block reference. Depending on how the block was defined, this usually results in a change in the block reference's geometry. (BLOOKUPTABLE)

rewind

Restores the previous view or movement path created by the ViewCube, SteeringWheels, and other navigation tools.

RGB

For red, green, and blue. A system of defining colors by specifying percentages of red, green, and blue.

ribbon

A palette that displays buttons and controls used for both 2D drawing and annotation and 3D modeling, viewing, and rendering. See also ribbon tab and ribbon panel and slide-out panel. (RIBBON)

ribbon panel

The secondary control in the ribbon. Panels contain buttons or other controls. Multiple panels make a tab.

ribbon tab

The most general control on the ribbon. Tabs contain panels, which contain buttons or other controls.

roll arrows

Curved arrows located above the ViewCube with which you can rotate the current view 90 degrees clockwise or counterclockwise.

roughness

Value to simulate how light hitting a face is reflected back to the user. A high roughness value simulates a non-shiny or rough object (sandpaper/carpet). A low roughness value simulates a very shiny object (metals, some plastics.)

row

A horizontally adjacent table cell selection spanning the width of the table. A single row is one cell in height.

RSS feed

Information published by a website to which you subscribe. Usually allows users to receive notifications when new content (articles) are posted. RSS stands for Rich Site Summary (or Really Simple Syndication).

rubber-band line

A line that stretches dynamically on the screen with the movement of the cursor. One endpoint of the line is attached to a point in your drawing, and the other is attached to the moving cursor.

running object snap

Setting an Object Snap mode so it continues for subsequent selections. See also Object Snap mode and object snap override. (OSNAP)

sampling

Sampling is an antialiasing technique. It provides a "best guess" color for each rendered pixel. The renderer first samples the scene color at locations within the pixel or along the pixel's edge, then uses a filter to combine the samples into a single pixel color.

save back

To update the objects in the original reference (external or block reference) with changes made to objects in a working set during in-place reference editing.

scale representation

The display of an annotative object based on the annotation scales that the object supports. For example, if an annotative object supports two annotations scales, it has two scale representations

script file

A set of commands executed sequentially with a single SCRIPT command. Script files are created outside the program using a text editor, saved in text format, and stored in an external file with the file extension .scr.

search tag

A user-defined keyword used to search for commands in the menu browser.

secondary table fragment

Any fragment of a broken table that does not contain the beginning set of rows.

selection node

A specific type of action tree node that is used to handle selection activities.

selection sensitivity

The ability to define the pivot point for a view based on the center of the bounding box defined by the current selection. The SteeringWheels support selection sensitivity.

selection set

One or more selected objects that a command can act upon at the same time.

In a dynamic block definition, the geometry associated with an action.

shadow maps

A shadow map is a bitmap that the renderer generates during a pre-rendering pass of the scene. Shadow maps don't show the color cast by transparent or translucent objects. On the other hand, shadow maps can have soft-edged shadows, which ray-traced shadows cannot.

Shadow mapped shadows provide softer edges and can require less calculation time than ray-traced shadows, but are less accurate. On the Advanced Render Settings palette, shadow mapped shadows are active when Shadow Map is turned on.

ShapeManager

ShapeManager is the Autodesk technology that provides 3D solid modeling to AutoCAD and other products.

sheet

A layout selected from a drawing file and assigned to a sheet set. See also sheet set.

sheet list table

A table listing all sheets in a sheet set. A sheet list table can be generated automatically with the Sheet Set Manager.

sheet selection

A named selection of sheets in a sheet set that can be conveniently recalled for archiving, transmitting, and publishing operations.

sheet set

An organized and named collection of sheets from several drawing files. See also sheet. (SHEETSET)

shortcut keys

Keys and key combinations that start commands; for example, CTRL+S saves a file. The function keys (F1, F2, and so on) are also shortcut keys. Also known as accelerator keys.

shortcut menu

The menu displayed at your cursor location when you right-click your pointing device. The shortcut menu and the options it provides depend on the pointer location and other conditions, such as whether an object is selected or a command is in progress.

shot

A saved view that can later be restored by name or using the ShowMotion user interface. A shot can contain a static thumbnail of the saved view or camera motion that can be played back as an animation. See also named view.

ShowMotion

User interface element where you can access named views (shots) that are stored in the current drawing. The named views (shots) are organized by sequences and can contain movements.

sky

The background color of the drawing area when perspective projection is turned on. The sky displays with a color gradient between the sky horizon (nearest to the horizon) and the sky zenith (opposite the horizon). See also ground plane.

slide file

A file that contains a raster image or snapshot of the objects displayed in the drawing area. Slide files have the file extension .sld. (MSLIDE, VSLIDE)

slide library

A collection of slide files organized for convenient retrieval and display. Slide library names have the extension .slb and are created with the slidelib.exe utility.

slide-out panel

An area on the ribbon associated with a ribbon panel. A slide-out panel contains additional tools and controls. See also ribbon panel and ribbon.

smooth shading

Smoothing of the edges between polygon faces.

snap angle

The angle that the snap grid is rotated.

snap grid

The invisible grid that locks the pointer into alignment with the grid points according to the spacing set by Snap. Snap grid does not necessarily correspond to the visible grid, which is controlled separately by GRID. (SNAP)

Snap mode

A mode for locking a pointing device into alignment with an invisible rectangular grid. When Snap mode is on, the screen crosshairs and all input coordinates are snapped to the nearest point on the grid. The snap resolution defines the spacing of this grid. See also Object Snap mode. (SNAP)

snap resolution

The spacing between points of the snap grid.

solid history

A property of a solid that allows you to see and modify the original forms of the solid.

solid object

An object that represents the entire volume of an object, for example a box.

solid primitive

A basic solid form. Solid primitives include: box, wedge, cone, cylinder, sphere, torus, and pyramid.

spatial index

A list that organizes objects based on their location in space. A spatial index is used to locate what portion of the drawing is read when you partially open a drawing. Saving a spatial index with a drawing also enhances performance when working with external references. The INDEXCTL system variable controls whether layer and spatial indexes are saved with a drawing.

specular reflection

The light in a narrow cone where the angle of the incoming beam equals the angle of the reflected beam.

STB file

For plot style table file. Contains plot styles and their characteristics.

SteeringWheels

Tool set that provides access to 2D and 3D navigation tools.

stretch frame

In a dynamic block definition that contains a stretch action or a polar stretch action, determines how the objects within or crossed by the frame are edited in the block reference.

sub-prompt

A command prompt that instructs for a form of input to complete a command or alter a property.

subobject

Any part of a solid: a face, an edge, or a vertex. Also, an original individual form that is part of a composite solid.

Subscription Center

A resource available from the Help menu for subscription members to access the latest releases of Autodesk software, incremental product enhancements, personalized web support, and self-paced e-Learning.

subset

A named collection of sheets in a sheet set that is often organized by discipline or workflow stage. See also view category.

surface normal

Positive direction perpendicular to the surface of an object.

swept solid/surface

A solid or surface created in the shape of the specified profile (the swept object) swept along the specified path. (SWEEP)

symbol

A representation of an item commonly used in drawings. Symbols are inserted in drawings as blocks.

symbol library

A collection of block definitions stored in a single drawing file.

symbol table

See definition table and block definition table.

system variable

A name that is recognized as a mode, size, or limit. Read-only system variables, such as DWGNAME, cannot be modified directly by the user.

table

A rectangular array of cells that contain annotation, primarily text but also blocks. In the AEC industry, tables are often referred to as “schedules” and contain information about the materials needed for the construction of the building being designed. In the manufacturing industry, they are often referred to as “BOM” (bills of materials). (TABLE)

table break

The point at the bottom of a table row where the table will be split into a supplementary table fragment.

table style

A style that contains a specific table format and structure. A table style contains at least 3 cell styles.

temporary files

Data files created during an program session. The files are deleted by the time you end the session. If the session ends abnormally, such as during a power outage, temporary files might be left on the disk.

tessellation lines

Lines that help you visualize a curved surface.

text style

A named, saved collection of settings that determines the appearance of text characters—for example, stretched, compressed, oblique, mirrored, or set in a vertical column.

texture map

The projection of an image (such as a tile pattern) onto an object (such as a chair).

thaw

A setting that displays previously frozen layers. See also freeze. (LAYER)

thickness

The distance certain objects are extruded to give them a 3D appearance. (PROPERTIES, CHPROP, ELEV, THICKNESS)

tiled viewports

See model viewports.

TILEMODE

A system variable that controls whether viewports can be created as movable, resizable objects (layout viewports), or as nonoverlapping display elements that appear side-by-side (model viewports). See also viewport.

tool message

A small instructional message that appears over the drawing window and is specific to the active navigation tool from a SteeringWheel.

toolbar

Part of the interface containing icons that represent commands.

tooltip

A small box of text that identifies or explains an object or interface element when the cursor hovers near or over it.

tracking

A way to locate a point relative to other points on the drawing.

tracking menu

A cluster of buttons that follows the cursor as you move it around the drawing area.

translucency

How light is scattered through an object.

transmittance scale

Increases or decreases the amount of energy a transparent material transmits out to the scene.

transparency

A quantity defining how much light is let through an object.

transparent command

A command started while another is in progress. Precede transparent commands with an apostrophe.

two sided material

The positive and negative normal of the material will be considered during the rendering process.

UCS

See user coordinate system (UCS).

UCS icon

An icon that indicates the orientation of the UCS axes. (UCSICON)

underground

The XY plane of the user coordinate system when perspective projection is turned on and when viewed from below ground. The underground plane displays with a color gradient between the earth horizon (nearest to the horizon) and the earth azimuth (opposite the horizon). See also ground plane and sky.

underlay

A DWF, or DGN file used to provide visual context in a drawing file. Underlays cannot be edited, and do not provide the full range of notification. Underlays cannot be bound to a drawing. See also external reference (xref).

up direction

A vector defining what direction is Up. By default this is the positive Z – axis (0,0,+1).

The up direction and the north direction are always constrained such that they are perpendicular to each other.

user coordinate system (UCS)

A user-defined coordinate system that defines the orientation of the X, Y, and Z axes in 3D space. The UCS determines the default placement of geometry in a drawing. See also world coordinate system (WCS).

UVW

The material’s coordinate space. Used instead of XYZ because that is usually reserved for the world coordinate system (WCS). Most material maps are a 2D plane assigned to a 3D surface. The U, V, and W coordinates parallel the relative directions of X, Y, and Z coordinates. If you look at a 2D map image, U is the equivalent of X, and represents the horizontal direction of the map. V is the equivalent of Y, and represents the vertical direction of the map. W is the equivalent of Z and represents a direction perpendicular to the UV plane of the map.

value node

A specific type of action node that is used to handle requests for user input and hold the recorded value that was captured during the recording of an action macro.

value set

In a dynamic block definition, a range or list of values specified for a linear, polar, XY, or rotation parameter.

vector

A mathematical object with precise direction and length but without specific location.

vertex

A location where edges or polyline segments meet.

vertical ribbon

The ribbon when it is oriented vertically, usually on the left or right of the drawing window.

view

A graphical representation of a model from a specific location (viewpoint) in space. See also viewpoint and viewport. (3DORBIT, VPOINT, DVIEW, VIEW)

view category

A named collection of views in a sheet set that is often organized by function. See also subset.

ViewCube

User interface element that displays the current orientation of a model. You can use it to restore and create a UCS, interactively rotate the view, or restore a preset view.

viewpoint

The location in 3D model space from which you are viewing a model. See also view and viewport. (3DORBIT, DVIEW, VPOINT)

viewport

A bounded area that displays some portion of the model space of a drawing. The TILEMODE system variable determines the type of viewport created. 1. When TILEMODE is off (0), viewports are objects that can be moved and resized on a layout. (MVIEW) 2. When TILEMODE is on (1), the entire drawing area is divided into nonoverlapping model viewports. See also TILEMODE, view, and viewpoint. (VPORTS)

viewport configuration

A named collection of model viewports that can be saved and restored. (VPORTS)

virtual screen display

The area in which the program can pan and zoom without regenerating the drawing.

visibility mode

Displays or does not display geometry (in a dimmed state) that is invisible for a visibility state. (BVMODE)

visibility state

In a dynamic block, a custom property that allows only specified geometry to display in the block reference. (BVSTATE)

visual style

A collection of settings that control the display of edges and shading in a viewport.

volumetric shadows

A photorealistically rendered volume of space cast by the shadow of an object.

WCS

See world coordinate system (WCS).

wheel

A reference to one of the individual user interface elements that make up SteeringWheels. See also SteeringWheels.

wheel surface

Area of a wheel that is used to organize wedges and other buttons.

wheel wedge

A section on the surface of a wheel that is designated for a specific 2D or 3D navigation tool.

wheels

A reference to more than one of the individual user interface elements that make up SteeringWheels. See also SteeringWheels.

window selection

A rectangular area specified in the drawing area to select multiple objects at the same time. See also crossing selection, polygon window selection.

wipeout object

A polygonal area that masks underlying objects with the current background color. This area is bounded by the wipeout frame, which you can turn on for editing and turn off for plotting.

wireframe model

The representation of an object using lines and curves to represent its boundaries.

working drawing

A drawing for manufacturing or building purposes.

working set

A group of objects selected for in-place reference editing.

workplane

Another name for the XY plane of the user coordinate system. See also elevation and user coordinate system (UCS).

workspace

A set of menus, toolbars and dockable windows (such as the Properties palette, DesignCenter, and the Tool palettes window) that are grouped and organized so that you can work in a custom, task-oriented drawing environment.

world coordinate system (WCS)

A coordinate system used as the basis for defining all objects and other coordinate systems. See also user coordinate system (UCS).

world coordinates

Coordinates expressed in relation to the world coordinate system (WCS).

wrap around (cursor)

Behavior where the cursor wraps around the drawing area and appears on the opposite side to allow the continuation of a drag operation instead of stopping at the edge of the drawing area.

X,Y,Z point filters

See coordinate filters.

xref

See external reference (xref).

zoom

To reduce or increase the apparent magnification of the drawing area. (ZOOM)


Comments?

Using this form sends your comments to the Autodesk Technical Publications group responsible for this documentation.

Topic title and location (do not edit):
Name (optional):
         Email (optional):
Comments:

Note: This form is not intended as a way for you to receive feedback or technical support. The information you provide will be used to enhance future updates to the documentation. Thanks!